#*******************************************************************************
#* FILE PURPOSE: Top level makefile for Creating Kernel CCS Projects
#*******************************************************************************
#* FILE NAME: ccsmake.mk
#*
#* DESCRIPTION: Defines Compiler tools paths, CCS path and rule to create and build CCS projects 
#*
#*
#* This is an auto-generated file             
#*******************************************************************************
#*
# (Mandatory) Specify where various tools are installed.

# CCSCGTVER   - C6x Code Generation version to be used for building CCS project
export CCSCGTVER ?= 7.4.2

# CCS_INSTALL_DIR   - TI Code Composer Studio install directory
export CCSV5_INSTALL_DIR ?= C:/ti/ccsv5

ifneq ($(findstring $(CCSVERSION), CCSV5),)
	export CCS_INSTALL_DIR ?= $(CCSV5_INSTALL_DIR)
	export ECLIPSE_CMD ?= "$(CCS_INSTALL_DIR)/eclipse/eclipsec.exe" -noSplash
	export CDTFILE ?= .cproject
endif

# Common Macros used in make

ifndef RMDIR
export RMDIR = DEL /Q /F /S
endif

ifneq ($(findstring $(SHELL), sh.exe),)
	quote = "
	FIXCCSPJT=
else
	quote = '
	FIXCCSPJT=${XDC_INSTALL_DIR}/xs -f ../../../mas/swtools/fixccspjt.js $(@D)/$(CDTFILE)
endif

# PHONY Targets
.PHONY: all clean cleanall .projects 

# FORCE Targets
FORCE: 

# all rule
all: .executables
.executables: .projects
.projects:
.xdcenv.mak:
Package.mak:
package.bld:

#############################################################

# Rule to Build Project FFT_Example_66_LE_COFF

#############################################################

.executables: ./FFT_Example_66_LE_COFF/Release/FFT_Example_66_LE_COFF.out

.projects: ./FFT_Example_66_LE_COFF

./FFT_Example_66_LE_COFF: ./FFT_Example_66_LE_COFF/.project

./FFT_Example_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/FFT_Example_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name FFT_Example_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__FFT_EXAMPLE_66_LE_COFF_/fft_example.c\
 -ccs.linkFile EXT_ROOT__FFT_EXAMPLE_66_LE_COFF_/lnk.cmd\
 -ccs.linkFile EXT_ROOT__FFT_EXAMPLE_66_LE_COFF_/gen_twiddle_fft16x16.c\
 -ccs.linkFile EXT_ROOT__FFT_EXAMPLE_66_LE_COFF_/gen_twiddle_fft16x32.c\
 -ccs.linkFile EXT_ROOT__FFT_EXAMPLE_66_LE_COFF_/gen_twiddle_fft32x32.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -i../../../packages -g  -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -i../../../packages -o3 --symdebug:none  -i../../../ -i../../" @configurations Release -ccs.location ./FFT_Example_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__FFT_EXAMPLE_66_LE_COFF_ "C:/builds/DEV_TI_DSPLIB_3_2_0_1/dsplib/dsplib/ti/dsplib/dsplib/examples" \

	echo EXT_ROOT__FFT_EXAMPLE_66_LE_COFF_=.././ >> ./FFT_Example_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/FFT_Example_66_LE_COFF"
./FFT_Example_66_LE_COFF/Release/FFT_Example_66_LE_COFF.out: fft_example.c
./FFT_Example_66_LE_COFF/Release/FFT_Example_66_LE_COFF.out: lnk.cmd
./FFT_Example_66_LE_COFF/Release/FFT_Example_66_LE_COFF.out: gen_twiddle_fft16x16.h
./FFT_Example_66_LE_COFF/Release/FFT_Example_66_LE_COFF.out: gen_twiddle_fft16x16.c
./FFT_Example_66_LE_COFF/Release/FFT_Example_66_LE_COFF.out: gen_twiddle_fft16x32.h
./FFT_Example_66_LE_COFF/Release/FFT_Example_66_LE_COFF.out: gen_twiddle_fft16x32.c
./FFT_Example_66_LE_COFF/Release/FFT_Example_66_LE_COFF.out: gen_twiddle_fft32x32.c
./FFT_Example_66_LE_COFF/Release/FFT_Example_66_LE_COFF.out: gen_twiddle_fft32x32.h
./FFT_Example_66_LE_COFF/Release/FFT_Example_66_LE_COFF.out: ./FFT_Example_66_LE_COFF/.project
	-@ echo Importing Project FFT_Example_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/FFT_Example_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects FFT_Example_66_LE_COFF -ccs.location "C:/builds/DEV_TI_DSPLIB_3_2_0_1/dsplib/dsplib/ti/dsplib/dsplib/examples/FFT_Example_66_LE_COFF"
	-@ echo Building Project FFT_Example_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/FFT_Example_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects FFT_Example_66_LE_COFF -ccs.configuration Release
	-@ echo Project FFT_Example_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/FFT_Example_66_LE_COFF"

clean::
	-$(RMDIR) "./FFT_Example_66_LE_COFF"

