/*
 * This is a little header file which doxygen parses to generate the main
 * documentation page
 */

 /**
 * @mainpage DSPLIB API Reference
 *  This is the main landing page for the DSPLIB API Reference.  You can navigate by 
 *  functional category using the links provided below or directly to any module (kernel) 
 *  or it's assocaited soure file using the tabs above.  You can always return to this page 
 *  via the "Main Page" tab above.
 *
 * 
 * @section introduction Introduction
 *  The TI C6000 DSPLIB is an optimized DSP Function Library for C programmers. It includes many
 *  C-callable, optimized, general-purpose signal-processing routines. These routines are typically 
 *  used in computationally-intensive real-time applications where optimal execution speed is critical.
 *  By using these routines, you can achieve execution speeds considerably faster than equivalent code
 *  written in standard ANSI C language. In addition, by providing ready-to-use DSP functions, TI DSPLIB 
 *  can significantly shorten your DSP application development time.
 *  
 *  The TI DSPLIB includes commonly used DSP routines. Source code is provided that allows you to
 *  modify functions to match your specific needs.
 *  
 *  The routines contained in the library are organized into the following seven different functional
 *  areas:
 *
 *
 * @section features Features and Benefits
 *  - Natural C Source Code
 *  - Optimized C code with Intrinsics
 *  - C-callable routines, fully compatible with the TI C6x compiler
 *  - Fractional Q.15-format operands supported on some benchmarks
 *  - Benchmarks (cycle and code size)
 *  - Tested against C model
 *  - The provided precompiled library was compiled using Code Generation Tools Version 7.4.2
 *
 * 
 * @section modules Modules
 *
 *  - @ref ADAPTIVEFILTER
 *  - @ref CORRELATION
 *  - @ref FFT
 *  - @ref FILTCONV
 *  - @ref MATH
 *  - @ref MATRIX
 *  - @ref MISC
 *
 */  

 /** @defgroup  ADAPTIVEFILTER Adaptive filtering     */
 /** @defgroup  CORRELATION Correlation               */
 /** @defgroup  FFT Fast Fourier Transform            */
 /** @defgroup  FILTCONV Filtering and convolution    */
 /** @defgroup  MATH Math                             */
 /** @defgroup  MATRIX Matrix                         */
 /** @defgroup  MISC Miscellaneous                    */

 
