#*******************************************************************************
#* FILE PURPOSE: Top level makefile for Creating Kernel CCS Projects
#*******************************************************************************
#* FILE NAME: ccsmake.mk
#*
#* DESCRIPTION: Defines Compiler tools paths, CCS path and rule to create and build CCS projects 
#*
#*
#* This is an auto-generated file             
#*******************************************************************************
#*
# (Mandatory) Specify where various tools are installed.

# CCSCGTVER   - C6x Code Generation version to be used for building CCS project
export CCSCGTVER ?= 7.4.2

# CCS_INSTALL_DIR   - TI Code Composer Studio install directory
export CCSV5_INSTALL_DIR ?= C:/ti/ccsv5

ifneq ($(findstring $(CCSVERSION), CCSV5),)
	export CCS_INSTALL_DIR ?= $(CCSV5_INSTALL_DIR)
	export ECLIPSE_CMD ?= "$(CCS_INSTALL_DIR)/eclipse/eclipsec.exe" -noSplash
	export CDTFILE ?= .cproject
endif

# DSPLIB_INSTALL_DIR   - DSPLIB install directory
export DSPLIB_INSTALL_DIR ?= C:/ti/dsplib_c66x_3_2_0_1/packages

# Common Macros used in make

ifndef RMDIR
export RMDIR = DEL /Q /F /S
endif

ifneq ($(findstring $(SHELL), sh.exe),)
	quote = "
	FIXCCSPJT=
else
	quote = '
	FIXCCSPJT=${XDC_INSTALL_DIR}/xs -f ../mas/swtools/fixccspjt.js $(@D)/$(CDTFILE)
endif

# PHONY Targets
.PHONY: all clean cleanall .projects 

# FORCE Targets
FORCE: 

# all rule
all: .executables
.executables: .projects
.projects:
.xdcenv.mak:
Package.mak:
package.bld:

#############################################################

# Rule to Build Project DSPF_dp_cholesky_66_LE_COFF

#############################################################

.executables: src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_COFF/Release/DSPF_dp_cholesky_66_LE_COFF.out

.projects: src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_COFF

src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_COFF: src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_COFF/.project

src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_cholesky_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_dp_cholesky_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_DP_CHOLESKY_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_DP_CHOLESKY_66_LE_COFF_SRCDSPF_DP_CHOLESKYC66/DSPF_dp_cholesky_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_CHOLESKY_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_CHOLESKY_66_LE_COFF_SRCDSPF_DP_CHOLESKY "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_cholesky" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_CHOLESKY_66_LE_COFF_SRCDSPF_DP_CHOLESKYC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_cholesky/c66" \

	echo EXT_ROOT__DSPF_DP_CHOLESKY_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_DP_CHOLESKY_66_LE_COFF_SRCDSPF_DP_CHOLESKY=../../ >> src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_DP_CHOLESKY_66_LE_COFF_SRCDSPF_DP_CHOLESKYC66=.././ >> src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_cholesky_66_LE_COFF"
src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_COFF/Release/DSPF_dp_cholesky_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_COFF/Release/DSPF_dp_cholesky_66_LE_COFF.out: src/DSPF_dp_cholesky/DSPF_dp_cholesky.h
src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_COFF/Release/DSPF_dp_cholesky_66_LE_COFF.out: src/DSPF_dp_cholesky//c66/DSPF_dp_cholesky.h
src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_COFF/Release/DSPF_dp_cholesky_66_LE_COFF.out: src/DSPF_dp_cholesky//c66/DSPF_dp_cholesky_cn.h
src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_COFF/Release/DSPF_dp_cholesky_66_LE_COFF.out: src/DSPF_dp_cholesky//c66/DSPF_dp_cholesky_d.c
src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_COFF/Release/DSPF_dp_cholesky_66_LE_COFF.out: src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_COFF/.project
	-@ echo Importing Project DSPF_dp_cholesky_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_cholesky_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_dp_cholesky_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_cholesky/c66/DSPF_dp_cholesky_66_LE_COFF"
	-@ echo Building Project DSPF_dp_cholesky_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_cholesky_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_dp_cholesky_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_dp_cholesky_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_cholesky_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_dp_cholesky_66_BE_COFF

#############################################################

.executables: src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_COFF/Release/DSPF_dp_cholesky_66_BE_COFF.out

.projects: src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_COFF

src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_COFF: src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_COFF/.project

src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_cholesky_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_dp_cholesky_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_DP_CHOLESKY_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_DP_CHOLESKY_66_BE_COFF_SRCDSPF_DP_CHOLESKYC66/DSPF_dp_cholesky_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_CHOLESKY_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_CHOLESKY_66_BE_COFF_SRCDSPF_DP_CHOLESKY "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_cholesky" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_CHOLESKY_66_BE_COFF_SRCDSPF_DP_CHOLESKYC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_cholesky/c66" \

	echo EXT_ROOT__DSPF_DP_CHOLESKY_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_DP_CHOLESKY_66_BE_COFF_SRCDSPF_DP_CHOLESKY=../../ >> src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_DP_CHOLESKY_66_BE_COFF_SRCDSPF_DP_CHOLESKYC66=.././ >> src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_cholesky_66_BE_COFF"
src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_COFF/Release/DSPF_dp_cholesky_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_COFF/Release/DSPF_dp_cholesky_66_BE_COFF.out: src/DSPF_dp_cholesky/DSPF_dp_cholesky.h
src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_COFF/Release/DSPF_dp_cholesky_66_BE_COFF.out: src/DSPF_dp_cholesky//c66/DSPF_dp_cholesky.h
src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_COFF/Release/DSPF_dp_cholesky_66_BE_COFF.out: src/DSPF_dp_cholesky//c66/DSPF_dp_cholesky_cn.h
src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_COFF/Release/DSPF_dp_cholesky_66_BE_COFF.out: src/DSPF_dp_cholesky//c66/DSPF_dp_cholesky_d.c
src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_COFF/Release/DSPF_dp_cholesky_66_BE_COFF.out: src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_COFF/.project
	-@ echo Importing Project DSPF_dp_cholesky_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_cholesky_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_dp_cholesky_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_cholesky/c66/DSPF_dp_cholesky_66_BE_COFF"
	-@ echo Building Project DSPF_dp_cholesky_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_cholesky_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_dp_cholesky_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_dp_cholesky_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_cholesky_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_dp_cholesky_66_LE_ELF

#############################################################

.executables: src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_ELF/Release/DSPF_dp_cholesky_66_LE_ELF.out

.projects: src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_ELF

src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_ELF: src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_ELF/.project

src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_cholesky_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_dp_cholesky_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_DP_CHOLESKY_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_DP_CHOLESKY_66_LE_ELF_SRCDSPF_DP_CHOLESKYC66/DSPF_dp_cholesky_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_CHOLESKY_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_CHOLESKY_66_LE_ELF_SRCDSPF_DP_CHOLESKY "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_cholesky" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_CHOLESKY_66_LE_ELF_SRCDSPF_DP_CHOLESKYC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_cholesky/c66" \

	echo EXT_ROOT__DSPF_DP_CHOLESKY_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_DP_CHOLESKY_66_LE_ELF_SRCDSPF_DP_CHOLESKY=../../ >> src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_DP_CHOLESKY_66_LE_ELF_SRCDSPF_DP_CHOLESKYC66=.././ >> src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_cholesky_66_LE_ELF"
src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_ELF/Release/DSPF_dp_cholesky_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_ELF/Release/DSPF_dp_cholesky_66_LE_ELF.out: src/DSPF_dp_cholesky/DSPF_dp_cholesky.h
src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_ELF/Release/DSPF_dp_cholesky_66_LE_ELF.out: src/DSPF_dp_cholesky//c66/DSPF_dp_cholesky.h
src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_ELF/Release/DSPF_dp_cholesky_66_LE_ELF.out: src/DSPF_dp_cholesky//c66/DSPF_dp_cholesky_cn.h
src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_ELF/Release/DSPF_dp_cholesky_66_LE_ELF.out: src/DSPF_dp_cholesky//c66/DSPF_dp_cholesky_d.c
src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_ELF/Release/DSPF_dp_cholesky_66_LE_ELF.out: src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_ELF/.project
	-@ echo Importing Project DSPF_dp_cholesky_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_cholesky_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_dp_cholesky_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_cholesky/c66/DSPF_dp_cholesky_66_LE_ELF"
	-@ echo Building Project DSPF_dp_cholesky_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_cholesky_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_dp_cholesky_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_dp_cholesky_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_cholesky_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_dp_cholesky_66_BE_ELF

#############################################################

.executables: src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_ELF/Release/DSPF_dp_cholesky_66_BE_ELF.out

.projects: src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_ELF

src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_ELF: src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_ELF/.project

src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_cholesky_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_dp_cholesky_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_DP_CHOLESKY_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_DP_CHOLESKY_66_BE_ELF_SRCDSPF_DP_CHOLESKYC66/DSPF_dp_cholesky_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_CHOLESKY_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_CHOLESKY_66_BE_ELF_SRCDSPF_DP_CHOLESKY "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_cholesky" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_CHOLESKY_66_BE_ELF_SRCDSPF_DP_CHOLESKYC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_cholesky/c66" \

	echo EXT_ROOT__DSPF_DP_CHOLESKY_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_DP_CHOLESKY_66_BE_ELF_SRCDSPF_DP_CHOLESKY=../../ >> src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_DP_CHOLESKY_66_BE_ELF_SRCDSPF_DP_CHOLESKYC66=.././ >> src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_cholesky_66_BE_ELF"
src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_ELF/Release/DSPF_dp_cholesky_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_ELF/Release/DSPF_dp_cholesky_66_BE_ELF.out: src/DSPF_dp_cholesky/DSPF_dp_cholesky.h
src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_ELF/Release/DSPF_dp_cholesky_66_BE_ELF.out: src/DSPF_dp_cholesky//c66/DSPF_dp_cholesky.h
src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_ELF/Release/DSPF_dp_cholesky_66_BE_ELF.out: src/DSPF_dp_cholesky//c66/DSPF_dp_cholesky_cn.h
src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_ELF/Release/DSPF_dp_cholesky_66_BE_ELF.out: src/DSPF_dp_cholesky//c66/DSPF_dp_cholesky_d.c
src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_ELF/Release/DSPF_dp_cholesky_66_BE_ELF.out: src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_ELF/.project
	-@ echo Importing Project DSPF_dp_cholesky_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_cholesky_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_dp_cholesky_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_cholesky/c66/DSPF_dp_cholesky_66_BE_ELF"
	-@ echo Building Project DSPF_dp_cholesky_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_cholesky_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_dp_cholesky_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_dp_cholesky_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_cholesky_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_dp_cholesky//c66//DSPF_dp_cholesky_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_dp_fftDPxDP_66_LE_COFF

#############################################################

.executables: src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_COFF/Release/DSPF_dp_fftDPxDP_66_LE_COFF.out

.projects: src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_COFF

src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_COFF: src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_COFF/.project

src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_fftDPxDP_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_dp_fftDPxDP_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_DP_FFTDPXDP_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_DP_FFTDPXDP_66_LE_COFF_SRCDSPF_DP_FFTDPXDPC66/DSPF_dp_fftDPxDP_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_FFTDPXDP_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_FFTDPXDP_66_LE_COFF_SRCDSPF_DP_FFTDPXDP "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_fftDPxDP" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_FFTDPXDP_66_LE_COFF_SRCDSPF_DP_FFTDPXDPC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_fftDPxDP/c66" \

	echo EXT_ROOT__DSPF_DP_FFTDPXDP_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_DP_FFTDPXDP_66_LE_COFF_SRCDSPF_DP_FFTDPXDP=../../ >> src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_DP_FFTDPXDP_66_LE_COFF_SRCDSPF_DP_FFTDPXDPC66=.././ >> src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_fftDPxDP_66_LE_COFF"
src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_COFF/Release/DSPF_dp_fftDPxDP_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_COFF/Release/DSPF_dp_fftDPxDP_66_LE_COFF.out: src/DSPF_dp_fftDPxDP/DSPF_dp_fftDPxDP.h
src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_COFF/Release/DSPF_dp_fftDPxDP_66_LE_COFF.out: src/DSPF_dp_fftDPxDP//c66/DSPF_dp_fftDPxDP.h
src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_COFF/Release/DSPF_dp_fftDPxDP_66_LE_COFF.out: src/DSPF_dp_fftDPxDP//c66/DSPF_dp_fftDPxDP_cn.h
src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_COFF/Release/DSPF_dp_fftDPxDP_66_LE_COFF.out: src/DSPF_dp_fftDPxDP//c66/DSPF_dp_fftDPxDP_d.c
src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_COFF/Release/DSPF_dp_fftDPxDP_66_LE_COFF.out: src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_COFF/.project
	-@ echo Importing Project DSPF_dp_fftDPxDP_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_fftDPxDP_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_dp_fftDPxDP_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_fftDPxDP/c66/DSPF_dp_fftDPxDP_66_LE_COFF"
	-@ echo Building Project DSPF_dp_fftDPxDP_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_fftDPxDP_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_dp_fftDPxDP_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_dp_fftDPxDP_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_fftDPxDP_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_dp_fftDPxDP_66_BE_COFF

#############################################################

.executables: src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_COFF/Release/DSPF_dp_fftDPxDP_66_BE_COFF.out

.projects: src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_COFF

src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_COFF: src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_COFF/.project

src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_fftDPxDP_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_dp_fftDPxDP_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_DP_FFTDPXDP_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_DP_FFTDPXDP_66_BE_COFF_SRCDSPF_DP_FFTDPXDPC66/DSPF_dp_fftDPxDP_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_FFTDPXDP_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_FFTDPXDP_66_BE_COFF_SRCDSPF_DP_FFTDPXDP "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_fftDPxDP" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_FFTDPXDP_66_BE_COFF_SRCDSPF_DP_FFTDPXDPC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_fftDPxDP/c66" \

	echo EXT_ROOT__DSPF_DP_FFTDPXDP_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_DP_FFTDPXDP_66_BE_COFF_SRCDSPF_DP_FFTDPXDP=../../ >> src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_DP_FFTDPXDP_66_BE_COFF_SRCDSPF_DP_FFTDPXDPC66=.././ >> src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_fftDPxDP_66_BE_COFF"
src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_COFF/Release/DSPF_dp_fftDPxDP_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_COFF/Release/DSPF_dp_fftDPxDP_66_BE_COFF.out: src/DSPF_dp_fftDPxDP/DSPF_dp_fftDPxDP.h
src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_COFF/Release/DSPF_dp_fftDPxDP_66_BE_COFF.out: src/DSPF_dp_fftDPxDP//c66/DSPF_dp_fftDPxDP.h
src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_COFF/Release/DSPF_dp_fftDPxDP_66_BE_COFF.out: src/DSPF_dp_fftDPxDP//c66/DSPF_dp_fftDPxDP_cn.h
src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_COFF/Release/DSPF_dp_fftDPxDP_66_BE_COFF.out: src/DSPF_dp_fftDPxDP//c66/DSPF_dp_fftDPxDP_d.c
src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_COFF/Release/DSPF_dp_fftDPxDP_66_BE_COFF.out: src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_COFF/.project
	-@ echo Importing Project DSPF_dp_fftDPxDP_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_fftDPxDP_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_dp_fftDPxDP_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_fftDPxDP/c66/DSPF_dp_fftDPxDP_66_BE_COFF"
	-@ echo Building Project DSPF_dp_fftDPxDP_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_fftDPxDP_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_dp_fftDPxDP_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_dp_fftDPxDP_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_fftDPxDP_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_dp_fftDPxDP_66_LE_ELF

#############################################################

.executables: src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_ELF/Release/DSPF_dp_fftDPxDP_66_LE_ELF.out

.projects: src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_ELF

src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_ELF: src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_ELF/.project

src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_fftDPxDP_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_dp_fftDPxDP_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_DP_FFTDPXDP_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_DP_FFTDPXDP_66_LE_ELF_SRCDSPF_DP_FFTDPXDPC66/DSPF_dp_fftDPxDP_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_FFTDPXDP_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_FFTDPXDP_66_LE_ELF_SRCDSPF_DP_FFTDPXDP "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_fftDPxDP" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_FFTDPXDP_66_LE_ELF_SRCDSPF_DP_FFTDPXDPC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_fftDPxDP/c66" \

	echo EXT_ROOT__DSPF_DP_FFTDPXDP_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_DP_FFTDPXDP_66_LE_ELF_SRCDSPF_DP_FFTDPXDP=../../ >> src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_DP_FFTDPXDP_66_LE_ELF_SRCDSPF_DP_FFTDPXDPC66=.././ >> src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_fftDPxDP_66_LE_ELF"
src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_ELF/Release/DSPF_dp_fftDPxDP_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_ELF/Release/DSPF_dp_fftDPxDP_66_LE_ELF.out: src/DSPF_dp_fftDPxDP/DSPF_dp_fftDPxDP.h
src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_ELF/Release/DSPF_dp_fftDPxDP_66_LE_ELF.out: src/DSPF_dp_fftDPxDP//c66/DSPF_dp_fftDPxDP.h
src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_ELF/Release/DSPF_dp_fftDPxDP_66_LE_ELF.out: src/DSPF_dp_fftDPxDP//c66/DSPF_dp_fftDPxDP_cn.h
src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_ELF/Release/DSPF_dp_fftDPxDP_66_LE_ELF.out: src/DSPF_dp_fftDPxDP//c66/DSPF_dp_fftDPxDP_d.c
src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_ELF/Release/DSPF_dp_fftDPxDP_66_LE_ELF.out: src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_ELF/.project
	-@ echo Importing Project DSPF_dp_fftDPxDP_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_fftDPxDP_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_dp_fftDPxDP_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_fftDPxDP/c66/DSPF_dp_fftDPxDP_66_LE_ELF"
	-@ echo Building Project DSPF_dp_fftDPxDP_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_fftDPxDP_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_dp_fftDPxDP_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_dp_fftDPxDP_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_fftDPxDP_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_dp_fftDPxDP_66_BE_ELF

#############################################################

.executables: src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_ELF/Release/DSPF_dp_fftDPxDP_66_BE_ELF.out

.projects: src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_ELF

src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_ELF: src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_ELF/.project

src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_fftDPxDP_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_dp_fftDPxDP_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_DP_FFTDPXDP_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_DP_FFTDPXDP_66_BE_ELF_SRCDSPF_DP_FFTDPXDPC66/DSPF_dp_fftDPxDP_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_FFTDPXDP_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_FFTDPXDP_66_BE_ELF_SRCDSPF_DP_FFTDPXDP "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_fftDPxDP" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_FFTDPXDP_66_BE_ELF_SRCDSPF_DP_FFTDPXDPC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_fftDPxDP/c66" \

	echo EXT_ROOT__DSPF_DP_FFTDPXDP_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_DP_FFTDPXDP_66_BE_ELF_SRCDSPF_DP_FFTDPXDP=../../ >> src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_DP_FFTDPXDP_66_BE_ELF_SRCDSPF_DP_FFTDPXDPC66=.././ >> src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_fftDPxDP_66_BE_ELF"
src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_ELF/Release/DSPF_dp_fftDPxDP_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_ELF/Release/DSPF_dp_fftDPxDP_66_BE_ELF.out: src/DSPF_dp_fftDPxDP/DSPF_dp_fftDPxDP.h
src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_ELF/Release/DSPF_dp_fftDPxDP_66_BE_ELF.out: src/DSPF_dp_fftDPxDP//c66/DSPF_dp_fftDPxDP.h
src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_ELF/Release/DSPF_dp_fftDPxDP_66_BE_ELF.out: src/DSPF_dp_fftDPxDP//c66/DSPF_dp_fftDPxDP_cn.h
src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_ELF/Release/DSPF_dp_fftDPxDP_66_BE_ELF.out: src/DSPF_dp_fftDPxDP//c66/DSPF_dp_fftDPxDP_d.c
src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_ELF/Release/DSPF_dp_fftDPxDP_66_BE_ELF.out: src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_ELF/.project
	-@ echo Importing Project DSPF_dp_fftDPxDP_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_fftDPxDP_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_dp_fftDPxDP_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_fftDPxDP/c66/DSPF_dp_fftDPxDP_66_BE_ELF"
	-@ echo Building Project DSPF_dp_fftDPxDP_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_fftDPxDP_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_dp_fftDPxDP_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_dp_fftDPxDP_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_fftDPxDP_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_dp_fftDPxDP//c66//DSPF_dp_fftDPxDP_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_dp_ifftDPxDP_66_LE_COFF

#############################################################

.executables: src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_COFF/Release/DSPF_dp_ifftDPxDP_66_LE_COFF.out

.projects: src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_COFF

src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_COFF: src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_COFF/.project

src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_ifftDPxDP_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_dp_ifftDPxDP_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_DP_IFFTDPXDP_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_DP_IFFTDPXDP_66_LE_COFF_SRCDSPF_DP_IFFTDPXDPC66/DSPF_dp_ifftDPxDP_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_IFFTDPXDP_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_IFFTDPXDP_66_LE_COFF_SRCDSPF_DP_IFFTDPXDP "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_ifftDPxDP" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_IFFTDPXDP_66_LE_COFF_SRCDSPF_DP_IFFTDPXDPC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_ifftDPxDP/c66" \

	echo EXT_ROOT__DSPF_DP_IFFTDPXDP_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_DP_IFFTDPXDP_66_LE_COFF_SRCDSPF_DP_IFFTDPXDP=../../ >> src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_DP_IFFTDPXDP_66_LE_COFF_SRCDSPF_DP_IFFTDPXDPC66=.././ >> src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_ifftDPxDP_66_LE_COFF"
src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_COFF/Release/DSPF_dp_ifftDPxDP_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_COFF/Release/DSPF_dp_ifftDPxDP_66_LE_COFF.out: src/DSPF_dp_ifftDPxDP/DSPF_dp_ifftDPxDP.h
src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_COFF/Release/DSPF_dp_ifftDPxDP_66_LE_COFF.out: src/DSPF_dp_ifftDPxDP//c66/DSPF_dp_ifftDPxDP.h
src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_COFF/Release/DSPF_dp_ifftDPxDP_66_LE_COFF.out: src/DSPF_dp_ifftDPxDP//c66/DSPF_dp_ifftDPxDP_cn.h
src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_COFF/Release/DSPF_dp_ifftDPxDP_66_LE_COFF.out: src/DSPF_dp_ifftDPxDP//c66/DSPF_dp_ifftDPxDP_d.c
src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_COFF/Release/DSPF_dp_ifftDPxDP_66_LE_COFF.out: src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_COFF/.project
	-@ echo Importing Project DSPF_dp_ifftDPxDP_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_ifftDPxDP_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_dp_ifftDPxDP_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_ifftDPxDP/c66/DSPF_dp_ifftDPxDP_66_LE_COFF"
	-@ echo Building Project DSPF_dp_ifftDPxDP_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_ifftDPxDP_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_dp_ifftDPxDP_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_dp_ifftDPxDP_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_ifftDPxDP_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_dp_ifftDPxDP_66_BE_COFF

#############################################################

.executables: src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_COFF/Release/DSPF_dp_ifftDPxDP_66_BE_COFF.out

.projects: src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_COFF

src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_COFF: src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_COFF/.project

src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_ifftDPxDP_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_dp_ifftDPxDP_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_DP_IFFTDPXDP_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_DP_IFFTDPXDP_66_BE_COFF_SRCDSPF_DP_IFFTDPXDPC66/DSPF_dp_ifftDPxDP_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_IFFTDPXDP_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_IFFTDPXDP_66_BE_COFF_SRCDSPF_DP_IFFTDPXDP "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_ifftDPxDP" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_IFFTDPXDP_66_BE_COFF_SRCDSPF_DP_IFFTDPXDPC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_ifftDPxDP/c66" \

	echo EXT_ROOT__DSPF_DP_IFFTDPXDP_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_DP_IFFTDPXDP_66_BE_COFF_SRCDSPF_DP_IFFTDPXDP=../../ >> src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_DP_IFFTDPXDP_66_BE_COFF_SRCDSPF_DP_IFFTDPXDPC66=.././ >> src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_ifftDPxDP_66_BE_COFF"
src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_COFF/Release/DSPF_dp_ifftDPxDP_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_COFF/Release/DSPF_dp_ifftDPxDP_66_BE_COFF.out: src/DSPF_dp_ifftDPxDP/DSPF_dp_ifftDPxDP.h
src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_COFF/Release/DSPF_dp_ifftDPxDP_66_BE_COFF.out: src/DSPF_dp_ifftDPxDP//c66/DSPF_dp_ifftDPxDP.h
src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_COFF/Release/DSPF_dp_ifftDPxDP_66_BE_COFF.out: src/DSPF_dp_ifftDPxDP//c66/DSPF_dp_ifftDPxDP_cn.h
src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_COFF/Release/DSPF_dp_ifftDPxDP_66_BE_COFF.out: src/DSPF_dp_ifftDPxDP//c66/DSPF_dp_ifftDPxDP_d.c
src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_COFF/Release/DSPF_dp_ifftDPxDP_66_BE_COFF.out: src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_COFF/.project
	-@ echo Importing Project DSPF_dp_ifftDPxDP_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_ifftDPxDP_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_dp_ifftDPxDP_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_ifftDPxDP/c66/DSPF_dp_ifftDPxDP_66_BE_COFF"
	-@ echo Building Project DSPF_dp_ifftDPxDP_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_ifftDPxDP_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_dp_ifftDPxDP_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_dp_ifftDPxDP_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_ifftDPxDP_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_dp_ifftDPxDP_66_LE_ELF

#############################################################

.executables: src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_ELF/Release/DSPF_dp_ifftDPxDP_66_LE_ELF.out

.projects: src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_ELF

src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_ELF: src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_ELF/.project

src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_ifftDPxDP_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_dp_ifftDPxDP_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_DP_IFFTDPXDP_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_DP_IFFTDPXDP_66_LE_ELF_SRCDSPF_DP_IFFTDPXDPC66/DSPF_dp_ifftDPxDP_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_IFFTDPXDP_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_IFFTDPXDP_66_LE_ELF_SRCDSPF_DP_IFFTDPXDP "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_ifftDPxDP" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_IFFTDPXDP_66_LE_ELF_SRCDSPF_DP_IFFTDPXDPC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_ifftDPxDP/c66" \

	echo EXT_ROOT__DSPF_DP_IFFTDPXDP_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_DP_IFFTDPXDP_66_LE_ELF_SRCDSPF_DP_IFFTDPXDP=../../ >> src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_DP_IFFTDPXDP_66_LE_ELF_SRCDSPF_DP_IFFTDPXDPC66=.././ >> src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_ifftDPxDP_66_LE_ELF"
src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_ELF/Release/DSPF_dp_ifftDPxDP_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_ELF/Release/DSPF_dp_ifftDPxDP_66_LE_ELF.out: src/DSPF_dp_ifftDPxDP/DSPF_dp_ifftDPxDP.h
src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_ELF/Release/DSPF_dp_ifftDPxDP_66_LE_ELF.out: src/DSPF_dp_ifftDPxDP//c66/DSPF_dp_ifftDPxDP.h
src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_ELF/Release/DSPF_dp_ifftDPxDP_66_LE_ELF.out: src/DSPF_dp_ifftDPxDP//c66/DSPF_dp_ifftDPxDP_cn.h
src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_ELF/Release/DSPF_dp_ifftDPxDP_66_LE_ELF.out: src/DSPF_dp_ifftDPxDP//c66/DSPF_dp_ifftDPxDP_d.c
src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_ELF/Release/DSPF_dp_ifftDPxDP_66_LE_ELF.out: src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_ELF/.project
	-@ echo Importing Project DSPF_dp_ifftDPxDP_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_ifftDPxDP_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_dp_ifftDPxDP_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_ifftDPxDP/c66/DSPF_dp_ifftDPxDP_66_LE_ELF"
	-@ echo Building Project DSPF_dp_ifftDPxDP_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_ifftDPxDP_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_dp_ifftDPxDP_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_dp_ifftDPxDP_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_ifftDPxDP_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_dp_ifftDPxDP_66_BE_ELF

#############################################################

.executables: src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_ELF/Release/DSPF_dp_ifftDPxDP_66_BE_ELF.out

.projects: src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_ELF

src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_ELF: src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_ELF/.project

src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_ifftDPxDP_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_dp_ifftDPxDP_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_DP_IFFTDPXDP_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_DP_IFFTDPXDP_66_BE_ELF_SRCDSPF_DP_IFFTDPXDPC66/DSPF_dp_ifftDPxDP_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_IFFTDPXDP_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_IFFTDPXDP_66_BE_ELF_SRCDSPF_DP_IFFTDPXDP "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_ifftDPxDP" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_IFFTDPXDP_66_BE_ELF_SRCDSPF_DP_IFFTDPXDPC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_ifftDPxDP/c66" \

	echo EXT_ROOT__DSPF_DP_IFFTDPXDP_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_DP_IFFTDPXDP_66_BE_ELF_SRCDSPF_DP_IFFTDPXDP=../../ >> src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_DP_IFFTDPXDP_66_BE_ELF_SRCDSPF_DP_IFFTDPXDPC66=.././ >> src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_ifftDPxDP_66_BE_ELF"
src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_ELF/Release/DSPF_dp_ifftDPxDP_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_ELF/Release/DSPF_dp_ifftDPxDP_66_BE_ELF.out: src/DSPF_dp_ifftDPxDP/DSPF_dp_ifftDPxDP.h
src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_ELF/Release/DSPF_dp_ifftDPxDP_66_BE_ELF.out: src/DSPF_dp_ifftDPxDP//c66/DSPF_dp_ifftDPxDP.h
src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_ELF/Release/DSPF_dp_ifftDPxDP_66_BE_ELF.out: src/DSPF_dp_ifftDPxDP//c66/DSPF_dp_ifftDPxDP_cn.h
src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_ELF/Release/DSPF_dp_ifftDPxDP_66_BE_ELF.out: src/DSPF_dp_ifftDPxDP//c66/DSPF_dp_ifftDPxDP_d.c
src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_ELF/Release/DSPF_dp_ifftDPxDP_66_BE_ELF.out: src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_ELF/.project
	-@ echo Importing Project DSPF_dp_ifftDPxDP_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_ifftDPxDP_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_dp_ifftDPxDP_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_ifftDPxDP/c66/DSPF_dp_ifftDPxDP_66_BE_ELF"
	-@ echo Building Project DSPF_dp_ifftDPxDP_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_ifftDPxDP_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_dp_ifftDPxDP_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_dp_ifftDPxDP_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_ifftDPxDP_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_dp_ifftDPxDP//c66//DSPF_dp_ifftDPxDP_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_dp_mat_mul_gemm_66_LE_COFF

#############################################################

.executables: src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_COFF/Release/DSPF_dp_mat_mul_gemm_66_LE_COFF.out

.projects: src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_COFF

src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_COFF: src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_COFF/.project

src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_mul_gemm_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_dp_mat_mul_gemm_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_LE_COFF_SRCDSPF_DP_MAT_MUL_GEMMC66/DSPF_dp_mat_mul_gemm_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_LE_COFF_SRCDSPF_DP_MAT_MUL_GEMM "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_mul_gemm" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_LE_COFF_SRCDSPF_DP_MAT_MUL_GEMMC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_mul_gemm/c66" \

	echo EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_LE_COFF_SRCDSPF_DP_MAT_MUL_GEMM=../../ >> src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_LE_COFF_SRCDSPF_DP_MAT_MUL_GEMMC66=.././ >> src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_mat_mul_gemm_66_LE_COFF"
src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_COFF/Release/DSPF_dp_mat_mul_gemm_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_COFF/Release/DSPF_dp_mat_mul_gemm_66_LE_COFF.out: src/DSPF_dp_mat_mul_gemm/DSPF_dp_mat_mul_gemm.h
src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_COFF/Release/DSPF_dp_mat_mul_gemm_66_LE_COFF.out: src/DSPF_dp_mat_mul_gemm//c66/DSPF_dp_mat_mul_gemm.h
src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_COFF/Release/DSPF_dp_mat_mul_gemm_66_LE_COFF.out: src/DSPF_dp_mat_mul_gemm//c66/DSPF_dp_mat_mul_gemm_cn.h
src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_COFF/Release/DSPF_dp_mat_mul_gemm_66_LE_COFF.out: src/DSPF_dp_mat_mul_gemm//c66/DSPF_dp_mat_mul_gemm_d.c
src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_COFF/Release/DSPF_dp_mat_mul_gemm_66_LE_COFF.out: src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_COFF/.project
	-@ echo Importing Project DSPF_dp_mat_mul_gemm_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_mul_gemm_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_dp_mat_mul_gemm_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_mul_gemm/c66/DSPF_dp_mat_mul_gemm_66_LE_COFF"
	-@ echo Building Project DSPF_dp_mat_mul_gemm_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_mul_gemm_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_dp_mat_mul_gemm_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_dp_mat_mul_gemm_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_mat_mul_gemm_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_dp_mat_mul_gemm_66_BE_COFF

#############################################################

.executables: src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_COFF/Release/DSPF_dp_mat_mul_gemm_66_BE_COFF.out

.projects: src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_COFF

src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_COFF: src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_COFF/.project

src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_mul_gemm_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_dp_mat_mul_gemm_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_BE_COFF_SRCDSPF_DP_MAT_MUL_GEMMC66/DSPF_dp_mat_mul_gemm_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_BE_COFF_SRCDSPF_DP_MAT_MUL_GEMM "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_mul_gemm" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_BE_COFF_SRCDSPF_DP_MAT_MUL_GEMMC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_mul_gemm/c66" \

	echo EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_BE_COFF_SRCDSPF_DP_MAT_MUL_GEMM=../../ >> src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_BE_COFF_SRCDSPF_DP_MAT_MUL_GEMMC66=.././ >> src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_mat_mul_gemm_66_BE_COFF"
src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_COFF/Release/DSPF_dp_mat_mul_gemm_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_COFF/Release/DSPF_dp_mat_mul_gemm_66_BE_COFF.out: src/DSPF_dp_mat_mul_gemm/DSPF_dp_mat_mul_gemm.h
src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_COFF/Release/DSPF_dp_mat_mul_gemm_66_BE_COFF.out: src/DSPF_dp_mat_mul_gemm//c66/DSPF_dp_mat_mul_gemm.h
src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_COFF/Release/DSPF_dp_mat_mul_gemm_66_BE_COFF.out: src/DSPF_dp_mat_mul_gemm//c66/DSPF_dp_mat_mul_gemm_cn.h
src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_COFF/Release/DSPF_dp_mat_mul_gemm_66_BE_COFF.out: src/DSPF_dp_mat_mul_gemm//c66/DSPF_dp_mat_mul_gemm_d.c
src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_COFF/Release/DSPF_dp_mat_mul_gemm_66_BE_COFF.out: src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_COFF/.project
	-@ echo Importing Project DSPF_dp_mat_mul_gemm_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_mul_gemm_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_dp_mat_mul_gemm_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_mul_gemm/c66/DSPF_dp_mat_mul_gemm_66_BE_COFF"
	-@ echo Building Project DSPF_dp_mat_mul_gemm_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_mul_gemm_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_dp_mat_mul_gemm_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_dp_mat_mul_gemm_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_mat_mul_gemm_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_dp_mat_mul_gemm_66_LE_ELF

#############################################################

.executables: src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_ELF/Release/DSPF_dp_mat_mul_gemm_66_LE_ELF.out

.projects: src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_ELF

src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_ELF: src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_ELF/.project

src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_mul_gemm_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_dp_mat_mul_gemm_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_LE_ELF_SRCDSPF_DP_MAT_MUL_GEMMC66/DSPF_dp_mat_mul_gemm_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_LE_ELF_SRCDSPF_DP_MAT_MUL_GEMM "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_mul_gemm" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_LE_ELF_SRCDSPF_DP_MAT_MUL_GEMMC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_mul_gemm/c66" \

	echo EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_LE_ELF_SRCDSPF_DP_MAT_MUL_GEMM=../../ >> src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_LE_ELF_SRCDSPF_DP_MAT_MUL_GEMMC66=.././ >> src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_mat_mul_gemm_66_LE_ELF"
src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_ELF/Release/DSPF_dp_mat_mul_gemm_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_ELF/Release/DSPF_dp_mat_mul_gemm_66_LE_ELF.out: src/DSPF_dp_mat_mul_gemm/DSPF_dp_mat_mul_gemm.h
src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_ELF/Release/DSPF_dp_mat_mul_gemm_66_LE_ELF.out: src/DSPF_dp_mat_mul_gemm//c66/DSPF_dp_mat_mul_gemm.h
src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_ELF/Release/DSPF_dp_mat_mul_gemm_66_LE_ELF.out: src/DSPF_dp_mat_mul_gemm//c66/DSPF_dp_mat_mul_gemm_cn.h
src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_ELF/Release/DSPF_dp_mat_mul_gemm_66_LE_ELF.out: src/DSPF_dp_mat_mul_gemm//c66/DSPF_dp_mat_mul_gemm_d.c
src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_ELF/Release/DSPF_dp_mat_mul_gemm_66_LE_ELF.out: src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_ELF/.project
	-@ echo Importing Project DSPF_dp_mat_mul_gemm_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_mul_gemm_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_dp_mat_mul_gemm_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_mul_gemm/c66/DSPF_dp_mat_mul_gemm_66_LE_ELF"
	-@ echo Building Project DSPF_dp_mat_mul_gemm_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_mul_gemm_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_dp_mat_mul_gemm_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_dp_mat_mul_gemm_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_mat_mul_gemm_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_dp_mat_mul_gemm_66_BE_ELF

#############################################################

.executables: src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_ELF/Release/DSPF_dp_mat_mul_gemm_66_BE_ELF.out

.projects: src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_ELF

src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_ELF: src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_ELF/.project

src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_mul_gemm_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_dp_mat_mul_gemm_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_BE_ELF_SRCDSPF_DP_MAT_MUL_GEMMC66/DSPF_dp_mat_mul_gemm_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_BE_ELF_SRCDSPF_DP_MAT_MUL_GEMM "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_mul_gemm" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_BE_ELF_SRCDSPF_DP_MAT_MUL_GEMMC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_mul_gemm/c66" \

	echo EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_BE_ELF_SRCDSPF_DP_MAT_MUL_GEMM=../../ >> src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_DP_MAT_MUL_GEMM_66_BE_ELF_SRCDSPF_DP_MAT_MUL_GEMMC66=.././ >> src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_mat_mul_gemm_66_BE_ELF"
src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_ELF/Release/DSPF_dp_mat_mul_gemm_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_ELF/Release/DSPF_dp_mat_mul_gemm_66_BE_ELF.out: src/DSPF_dp_mat_mul_gemm/DSPF_dp_mat_mul_gemm.h
src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_ELF/Release/DSPF_dp_mat_mul_gemm_66_BE_ELF.out: src/DSPF_dp_mat_mul_gemm//c66/DSPF_dp_mat_mul_gemm.h
src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_ELF/Release/DSPF_dp_mat_mul_gemm_66_BE_ELF.out: src/DSPF_dp_mat_mul_gemm//c66/DSPF_dp_mat_mul_gemm_cn.h
src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_ELF/Release/DSPF_dp_mat_mul_gemm_66_BE_ELF.out: src/DSPF_dp_mat_mul_gemm//c66/DSPF_dp_mat_mul_gemm_d.c
src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_ELF/Release/DSPF_dp_mat_mul_gemm_66_BE_ELF.out: src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_ELF/.project
	-@ echo Importing Project DSPF_dp_mat_mul_gemm_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_mul_gemm_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_dp_mat_mul_gemm_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_mul_gemm/c66/DSPF_dp_mat_mul_gemm_66_BE_ELF"
	-@ echo Building Project DSPF_dp_mat_mul_gemm_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_mul_gemm_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_dp_mat_mul_gemm_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_dp_mat_mul_gemm_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_mat_mul_gemm_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_dp_mat_mul_gemm//c66//DSPF_dp_mat_mul_gemm_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_dp_mat_submat_copy_66_LE_COFF

#############################################################

.executables: src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_COFF/Release/DSPF_dp_mat_submat_copy_66_LE_COFF.out

.projects: src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_COFF

src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_COFF: src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_COFF/.project

src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_submat_copy_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_dp_mat_submat_copy_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_LE_COFF_SRCDSPF_DP_MAT_SUBMAT_COPYC66/DSPF_dp_mat_submat_copy_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_LE_COFF_SRCDSPF_DP_MAT_SUBMAT_COPY "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_submat_copy" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_LE_COFF_SRCDSPF_DP_MAT_SUBMAT_COPYC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_submat_copy/c66" \

	echo EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_LE_COFF_SRCDSPF_DP_MAT_SUBMAT_COPY=../../ >> src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_LE_COFF_SRCDSPF_DP_MAT_SUBMAT_COPYC66=.././ >> src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_mat_submat_copy_66_LE_COFF"
src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_COFF/Release/DSPF_dp_mat_submat_copy_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_COFF/Release/DSPF_dp_mat_submat_copy_66_LE_COFF.out: src/DSPF_dp_mat_submat_copy/DSPF_dp_mat_submat_copy.h
src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_COFF/Release/DSPF_dp_mat_submat_copy_66_LE_COFF.out: src/DSPF_dp_mat_submat_copy//c66/DSPF_dp_mat_submat_copy.h
src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_COFF/Release/DSPF_dp_mat_submat_copy_66_LE_COFF.out: src/DSPF_dp_mat_submat_copy//c66/DSPF_dp_mat_submat_copy_cn.h
src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_COFF/Release/DSPF_dp_mat_submat_copy_66_LE_COFF.out: src/DSPF_dp_mat_submat_copy//c66/DSPF_dp_mat_submat_copy_d.c
src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_COFF/Release/DSPF_dp_mat_submat_copy_66_LE_COFF.out: src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_COFF/.project
	-@ echo Importing Project DSPF_dp_mat_submat_copy_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_submat_copy_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_dp_mat_submat_copy_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_submat_copy/c66/DSPF_dp_mat_submat_copy_66_LE_COFF"
	-@ echo Building Project DSPF_dp_mat_submat_copy_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_submat_copy_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_dp_mat_submat_copy_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_dp_mat_submat_copy_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_mat_submat_copy_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_dp_mat_submat_copy_66_BE_COFF

#############################################################

.executables: src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_COFF/Release/DSPF_dp_mat_submat_copy_66_BE_COFF.out

.projects: src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_COFF

src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_COFF: src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_COFF/.project

src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_submat_copy_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_dp_mat_submat_copy_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_BE_COFF_SRCDSPF_DP_MAT_SUBMAT_COPYC66/DSPF_dp_mat_submat_copy_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_BE_COFF_SRCDSPF_DP_MAT_SUBMAT_COPY "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_submat_copy" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_BE_COFF_SRCDSPF_DP_MAT_SUBMAT_COPYC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_submat_copy/c66" \

	echo EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_BE_COFF_SRCDSPF_DP_MAT_SUBMAT_COPY=../../ >> src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_BE_COFF_SRCDSPF_DP_MAT_SUBMAT_COPYC66=.././ >> src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_mat_submat_copy_66_BE_COFF"
src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_COFF/Release/DSPF_dp_mat_submat_copy_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_COFF/Release/DSPF_dp_mat_submat_copy_66_BE_COFF.out: src/DSPF_dp_mat_submat_copy/DSPF_dp_mat_submat_copy.h
src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_COFF/Release/DSPF_dp_mat_submat_copy_66_BE_COFF.out: src/DSPF_dp_mat_submat_copy//c66/DSPF_dp_mat_submat_copy.h
src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_COFF/Release/DSPF_dp_mat_submat_copy_66_BE_COFF.out: src/DSPF_dp_mat_submat_copy//c66/DSPF_dp_mat_submat_copy_cn.h
src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_COFF/Release/DSPF_dp_mat_submat_copy_66_BE_COFF.out: src/DSPF_dp_mat_submat_copy//c66/DSPF_dp_mat_submat_copy_d.c
src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_COFF/Release/DSPF_dp_mat_submat_copy_66_BE_COFF.out: src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_COFF/.project
	-@ echo Importing Project DSPF_dp_mat_submat_copy_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_submat_copy_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_dp_mat_submat_copy_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_submat_copy/c66/DSPF_dp_mat_submat_copy_66_BE_COFF"
	-@ echo Building Project DSPF_dp_mat_submat_copy_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_submat_copy_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_dp_mat_submat_copy_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_dp_mat_submat_copy_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_mat_submat_copy_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_dp_mat_submat_copy_66_LE_ELF

#############################################################

.executables: src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_ELF/Release/DSPF_dp_mat_submat_copy_66_LE_ELF.out

.projects: src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_ELF

src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_ELF: src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_ELF/.project

src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_submat_copy_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_dp_mat_submat_copy_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_LE_ELF_SRCDSPF_DP_MAT_SUBMAT_COPYC66/DSPF_dp_mat_submat_copy_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_LE_ELF_SRCDSPF_DP_MAT_SUBMAT_COPY "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_submat_copy" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_LE_ELF_SRCDSPF_DP_MAT_SUBMAT_COPYC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_submat_copy/c66" \

	echo EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_LE_ELF_SRCDSPF_DP_MAT_SUBMAT_COPY=../../ >> src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_LE_ELF_SRCDSPF_DP_MAT_SUBMAT_COPYC66=.././ >> src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_mat_submat_copy_66_LE_ELF"
src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_ELF/Release/DSPF_dp_mat_submat_copy_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_ELF/Release/DSPF_dp_mat_submat_copy_66_LE_ELF.out: src/DSPF_dp_mat_submat_copy/DSPF_dp_mat_submat_copy.h
src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_ELF/Release/DSPF_dp_mat_submat_copy_66_LE_ELF.out: src/DSPF_dp_mat_submat_copy//c66/DSPF_dp_mat_submat_copy.h
src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_ELF/Release/DSPF_dp_mat_submat_copy_66_LE_ELF.out: src/DSPF_dp_mat_submat_copy//c66/DSPF_dp_mat_submat_copy_cn.h
src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_ELF/Release/DSPF_dp_mat_submat_copy_66_LE_ELF.out: src/DSPF_dp_mat_submat_copy//c66/DSPF_dp_mat_submat_copy_d.c
src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_ELF/Release/DSPF_dp_mat_submat_copy_66_LE_ELF.out: src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_ELF/.project
	-@ echo Importing Project DSPF_dp_mat_submat_copy_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_submat_copy_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_dp_mat_submat_copy_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_submat_copy/c66/DSPF_dp_mat_submat_copy_66_LE_ELF"
	-@ echo Building Project DSPF_dp_mat_submat_copy_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_submat_copy_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_dp_mat_submat_copy_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_dp_mat_submat_copy_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_mat_submat_copy_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_dp_mat_submat_copy_66_BE_ELF

#############################################################

.executables: src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_ELF/Release/DSPF_dp_mat_submat_copy_66_BE_ELF.out

.projects: src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_ELF

src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_ELF: src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_ELF/.project

src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_submat_copy_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_dp_mat_submat_copy_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_BE_ELF_SRCDSPF_DP_MAT_SUBMAT_COPYC66/DSPF_dp_mat_submat_copy_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_BE_ELF_SRCDSPF_DP_MAT_SUBMAT_COPY "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_submat_copy" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_BE_ELF_SRCDSPF_DP_MAT_SUBMAT_COPYC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_submat_copy/c66" \

	echo EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_BE_ELF_SRCDSPF_DP_MAT_SUBMAT_COPY=../../ >> src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_DP_MAT_SUBMAT_COPY_66_BE_ELF_SRCDSPF_DP_MAT_SUBMAT_COPYC66=.././ >> src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_mat_submat_copy_66_BE_ELF"
src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_ELF/Release/DSPF_dp_mat_submat_copy_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_ELF/Release/DSPF_dp_mat_submat_copy_66_BE_ELF.out: src/DSPF_dp_mat_submat_copy/DSPF_dp_mat_submat_copy.h
src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_ELF/Release/DSPF_dp_mat_submat_copy_66_BE_ELF.out: src/DSPF_dp_mat_submat_copy//c66/DSPF_dp_mat_submat_copy.h
src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_ELF/Release/DSPF_dp_mat_submat_copy_66_BE_ELF.out: src/DSPF_dp_mat_submat_copy//c66/DSPF_dp_mat_submat_copy_cn.h
src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_ELF/Release/DSPF_dp_mat_submat_copy_66_BE_ELF.out: src/DSPF_dp_mat_submat_copy//c66/DSPF_dp_mat_submat_copy_d.c
src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_ELF/Release/DSPF_dp_mat_submat_copy_66_BE_ELF.out: src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_ELF/.project
	-@ echo Importing Project DSPF_dp_mat_submat_copy_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_submat_copy_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_dp_mat_submat_copy_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_submat_copy/c66/DSPF_dp_mat_submat_copy_66_BE_ELF"
	-@ echo Building Project DSPF_dp_mat_submat_copy_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_submat_copy_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_dp_mat_submat_copy_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_dp_mat_submat_copy_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_mat_submat_copy_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_dp_mat_submat_copy//c66//DSPF_dp_mat_submat_copy_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_dp_mat_trans_66_LE_COFF

#############################################################

.executables: src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_COFF/Release/DSPF_dp_mat_trans_66_LE_COFF.out

.projects: src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_COFF

src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_COFF: src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_COFF/.project

src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_trans_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_dp_mat_trans_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_DP_MAT_TRANS_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_DP_MAT_TRANS_66_LE_COFF_SRCDSPF_DP_MAT_TRANSC66/DSPF_dp_mat_trans_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_TRANS_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_TRANS_66_LE_COFF_SRCDSPF_DP_MAT_TRANS "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_trans" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_TRANS_66_LE_COFF_SRCDSPF_DP_MAT_TRANSC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_trans/c66" \

	echo EXT_ROOT__DSPF_DP_MAT_TRANS_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_DP_MAT_TRANS_66_LE_COFF_SRCDSPF_DP_MAT_TRANS=../../ >> src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_DP_MAT_TRANS_66_LE_COFF_SRCDSPF_DP_MAT_TRANSC66=.././ >> src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_mat_trans_66_LE_COFF"
src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_COFF/Release/DSPF_dp_mat_trans_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_COFF/Release/DSPF_dp_mat_trans_66_LE_COFF.out: src/DSPF_dp_mat_trans/DSPF_dp_mat_trans.h
src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_COFF/Release/DSPF_dp_mat_trans_66_LE_COFF.out: src/DSPF_dp_mat_trans//c66/DSPF_dp_mat_trans.h
src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_COFF/Release/DSPF_dp_mat_trans_66_LE_COFF.out: src/DSPF_dp_mat_trans//c66/DSPF_dp_mat_trans_cn.h
src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_COFF/Release/DSPF_dp_mat_trans_66_LE_COFF.out: src/DSPF_dp_mat_trans//c66/DSPF_dp_mat_trans_d.c
src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_COFF/Release/DSPF_dp_mat_trans_66_LE_COFF.out: src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_COFF/.project
	-@ echo Importing Project DSPF_dp_mat_trans_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_trans_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_dp_mat_trans_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_trans/c66/DSPF_dp_mat_trans_66_LE_COFF"
	-@ echo Building Project DSPF_dp_mat_trans_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_trans_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_dp_mat_trans_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_dp_mat_trans_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_mat_trans_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_dp_mat_trans_66_BE_COFF

#############################################################

.executables: src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_COFF/Release/DSPF_dp_mat_trans_66_BE_COFF.out

.projects: src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_COFF

src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_COFF: src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_COFF/.project

src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_trans_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_dp_mat_trans_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_DP_MAT_TRANS_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_DP_MAT_TRANS_66_BE_COFF_SRCDSPF_DP_MAT_TRANSC66/DSPF_dp_mat_trans_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_TRANS_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_TRANS_66_BE_COFF_SRCDSPF_DP_MAT_TRANS "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_trans" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_TRANS_66_BE_COFF_SRCDSPF_DP_MAT_TRANSC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_trans/c66" \

	echo EXT_ROOT__DSPF_DP_MAT_TRANS_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_DP_MAT_TRANS_66_BE_COFF_SRCDSPF_DP_MAT_TRANS=../../ >> src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_DP_MAT_TRANS_66_BE_COFF_SRCDSPF_DP_MAT_TRANSC66=.././ >> src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_mat_trans_66_BE_COFF"
src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_COFF/Release/DSPF_dp_mat_trans_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_COFF/Release/DSPF_dp_mat_trans_66_BE_COFF.out: src/DSPF_dp_mat_trans/DSPF_dp_mat_trans.h
src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_COFF/Release/DSPF_dp_mat_trans_66_BE_COFF.out: src/DSPF_dp_mat_trans//c66/DSPF_dp_mat_trans.h
src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_COFF/Release/DSPF_dp_mat_trans_66_BE_COFF.out: src/DSPF_dp_mat_trans//c66/DSPF_dp_mat_trans_cn.h
src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_COFF/Release/DSPF_dp_mat_trans_66_BE_COFF.out: src/DSPF_dp_mat_trans//c66/DSPF_dp_mat_trans_d.c
src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_COFF/Release/DSPF_dp_mat_trans_66_BE_COFF.out: src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_COFF/.project
	-@ echo Importing Project DSPF_dp_mat_trans_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_trans_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_dp_mat_trans_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_trans/c66/DSPF_dp_mat_trans_66_BE_COFF"
	-@ echo Building Project DSPF_dp_mat_trans_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_trans_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_dp_mat_trans_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_dp_mat_trans_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_mat_trans_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_dp_mat_trans_66_LE_ELF

#############################################################

.executables: src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_ELF/Release/DSPF_dp_mat_trans_66_LE_ELF.out

.projects: src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_ELF

src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_ELF: src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_ELF/.project

src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_trans_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_dp_mat_trans_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_DP_MAT_TRANS_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_DP_MAT_TRANS_66_LE_ELF_SRCDSPF_DP_MAT_TRANSC66/DSPF_dp_mat_trans_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_TRANS_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_TRANS_66_LE_ELF_SRCDSPF_DP_MAT_TRANS "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_trans" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_TRANS_66_LE_ELF_SRCDSPF_DP_MAT_TRANSC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_trans/c66" \

	echo EXT_ROOT__DSPF_DP_MAT_TRANS_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_DP_MAT_TRANS_66_LE_ELF_SRCDSPF_DP_MAT_TRANS=../../ >> src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_DP_MAT_TRANS_66_LE_ELF_SRCDSPF_DP_MAT_TRANSC66=.././ >> src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_mat_trans_66_LE_ELF"
src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_ELF/Release/DSPF_dp_mat_trans_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_ELF/Release/DSPF_dp_mat_trans_66_LE_ELF.out: src/DSPF_dp_mat_trans/DSPF_dp_mat_trans.h
src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_ELF/Release/DSPF_dp_mat_trans_66_LE_ELF.out: src/DSPF_dp_mat_trans//c66/DSPF_dp_mat_trans.h
src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_ELF/Release/DSPF_dp_mat_trans_66_LE_ELF.out: src/DSPF_dp_mat_trans//c66/DSPF_dp_mat_trans_cn.h
src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_ELF/Release/DSPF_dp_mat_trans_66_LE_ELF.out: src/DSPF_dp_mat_trans//c66/DSPF_dp_mat_trans_d.c
src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_ELF/Release/DSPF_dp_mat_trans_66_LE_ELF.out: src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_ELF/.project
	-@ echo Importing Project DSPF_dp_mat_trans_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_trans_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_dp_mat_trans_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_trans/c66/DSPF_dp_mat_trans_66_LE_ELF"
	-@ echo Building Project DSPF_dp_mat_trans_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_trans_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_dp_mat_trans_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_dp_mat_trans_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_mat_trans_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_dp_mat_trans_66_BE_ELF

#############################################################

.executables: src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_ELF/Release/DSPF_dp_mat_trans_66_BE_ELF.out

.projects: src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_ELF

src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_ELF: src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_ELF/.project

src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_trans_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_dp_mat_trans_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_DP_MAT_TRANS_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_DP_MAT_TRANS_66_BE_ELF_SRCDSPF_DP_MAT_TRANSC66/DSPF_dp_mat_trans_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_TRANS_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_TRANS_66_BE_ELF_SRCDSPF_DP_MAT_TRANS "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_trans" \
 -ccs.definePathVariable EXT_ROOT__DSPF_DP_MAT_TRANS_66_BE_ELF_SRCDSPF_DP_MAT_TRANSC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_trans/c66" \

	echo EXT_ROOT__DSPF_DP_MAT_TRANS_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_DP_MAT_TRANS_66_BE_ELF_SRCDSPF_DP_MAT_TRANS=../../ >> src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_DP_MAT_TRANS_66_BE_ELF_SRCDSPF_DP_MAT_TRANSC66=.././ >> src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_mat_trans_66_BE_ELF"
src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_ELF/Release/DSPF_dp_mat_trans_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_ELF/Release/DSPF_dp_mat_trans_66_BE_ELF.out: src/DSPF_dp_mat_trans/DSPF_dp_mat_trans.h
src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_ELF/Release/DSPF_dp_mat_trans_66_BE_ELF.out: src/DSPF_dp_mat_trans//c66/DSPF_dp_mat_trans.h
src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_ELF/Release/DSPF_dp_mat_trans_66_BE_ELF.out: src/DSPF_dp_mat_trans//c66/DSPF_dp_mat_trans_cn.h
src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_ELF/Release/DSPF_dp_mat_trans_66_BE_ELF.out: src/DSPF_dp_mat_trans//c66/DSPF_dp_mat_trans_d.c
src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_ELF/Release/DSPF_dp_mat_trans_66_BE_ELF.out: src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_ELF/.project
	-@ echo Importing Project DSPF_dp_mat_trans_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_trans_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_dp_mat_trans_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_dp_mat_trans/c66/DSPF_dp_mat_trans_66_BE_ELF"
	-@ echo Building Project DSPF_dp_mat_trans_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_dp_mat_trans_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_dp_mat_trans_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_dp_mat_trans_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_dp_mat_trans_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_dp_mat_trans//c66//DSPF_dp_mat_trans_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_autocor_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_COFF/Release/DSPF_sp_autocor_66_LE_COFF.out

.projects: src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_COFF

src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_COFF: src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_COFF/.project

src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_autocor_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_autocor_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_AUTOCOR_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_AUTOCOR_66_LE_COFF_SRCDSPF_SP_AUTOCORC66/DSPF_sp_autocor_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_AUTOCOR_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_AUTOCOR_66_LE_COFF_SRCDSPF_SP_AUTOCOR "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_autocor" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_AUTOCOR_66_LE_COFF_SRCDSPF_SP_AUTOCORC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_autocor/c66" \

	echo EXT_ROOT__DSPF_SP_AUTOCOR_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_AUTOCOR_66_LE_COFF_SRCDSPF_SP_AUTOCOR=../../ >> src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_AUTOCOR_66_LE_COFF_SRCDSPF_SP_AUTOCORC66=.././ >> src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_autocor_66_LE_COFF"
src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_COFF/Release/DSPF_sp_autocor_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_COFF/Release/DSPF_sp_autocor_66_LE_COFF.out: src/DSPF_sp_autocor/DSPF_sp_autocor.h
src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_COFF/Release/DSPF_sp_autocor_66_LE_COFF.out: src/DSPF_sp_autocor//c66/DSPF_sp_autocor.h
src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_COFF/Release/DSPF_sp_autocor_66_LE_COFF.out: src/DSPF_sp_autocor//c66/DSPF_sp_autocor_cn.h
src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_COFF/Release/DSPF_sp_autocor_66_LE_COFF.out: src/DSPF_sp_autocor//c66/DSPF_sp_autocor_d.c
src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_COFF/Release/DSPF_sp_autocor_66_LE_COFF.out: src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_autocor_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_autocor_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_autocor_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_autocor/c66/DSPF_sp_autocor_66_LE_COFF"
	-@ echo Building Project DSPF_sp_autocor_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_autocor_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_autocor_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_autocor_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_autocor_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_autocor_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_COFF/Release/DSPF_sp_autocor_66_BE_COFF.out

.projects: src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_COFF

src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_COFF: src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_COFF/.project

src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_autocor_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_autocor_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_AUTOCOR_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_AUTOCOR_66_BE_COFF_SRCDSPF_SP_AUTOCORC66/DSPF_sp_autocor_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_AUTOCOR_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_AUTOCOR_66_BE_COFF_SRCDSPF_SP_AUTOCOR "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_autocor" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_AUTOCOR_66_BE_COFF_SRCDSPF_SP_AUTOCORC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_autocor/c66" \

	echo EXT_ROOT__DSPF_SP_AUTOCOR_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_AUTOCOR_66_BE_COFF_SRCDSPF_SP_AUTOCOR=../../ >> src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_AUTOCOR_66_BE_COFF_SRCDSPF_SP_AUTOCORC66=.././ >> src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_autocor_66_BE_COFF"
src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_COFF/Release/DSPF_sp_autocor_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_COFF/Release/DSPF_sp_autocor_66_BE_COFF.out: src/DSPF_sp_autocor/DSPF_sp_autocor.h
src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_COFF/Release/DSPF_sp_autocor_66_BE_COFF.out: src/DSPF_sp_autocor//c66/DSPF_sp_autocor.h
src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_COFF/Release/DSPF_sp_autocor_66_BE_COFF.out: src/DSPF_sp_autocor//c66/DSPF_sp_autocor_cn.h
src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_COFF/Release/DSPF_sp_autocor_66_BE_COFF.out: src/DSPF_sp_autocor//c66/DSPF_sp_autocor_d.c
src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_COFF/Release/DSPF_sp_autocor_66_BE_COFF.out: src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_autocor_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_autocor_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_autocor_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_autocor/c66/DSPF_sp_autocor_66_BE_COFF"
	-@ echo Building Project DSPF_sp_autocor_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_autocor_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_autocor_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_autocor_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_autocor_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_autocor_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_ELF/Release/DSPF_sp_autocor_66_LE_ELF.out

.projects: src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_ELF

src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_ELF: src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_ELF/.project

src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_autocor_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_autocor_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_AUTOCOR_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_AUTOCOR_66_LE_ELF_SRCDSPF_SP_AUTOCORC66/DSPF_sp_autocor_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_AUTOCOR_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_AUTOCOR_66_LE_ELF_SRCDSPF_SP_AUTOCOR "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_autocor" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_AUTOCOR_66_LE_ELF_SRCDSPF_SP_AUTOCORC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_autocor/c66" \

	echo EXT_ROOT__DSPF_SP_AUTOCOR_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_AUTOCOR_66_LE_ELF_SRCDSPF_SP_AUTOCOR=../../ >> src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_AUTOCOR_66_LE_ELF_SRCDSPF_SP_AUTOCORC66=.././ >> src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_autocor_66_LE_ELF"
src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_ELF/Release/DSPF_sp_autocor_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_ELF/Release/DSPF_sp_autocor_66_LE_ELF.out: src/DSPF_sp_autocor/DSPF_sp_autocor.h
src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_ELF/Release/DSPF_sp_autocor_66_LE_ELF.out: src/DSPF_sp_autocor//c66/DSPF_sp_autocor.h
src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_ELF/Release/DSPF_sp_autocor_66_LE_ELF.out: src/DSPF_sp_autocor//c66/DSPF_sp_autocor_cn.h
src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_ELF/Release/DSPF_sp_autocor_66_LE_ELF.out: src/DSPF_sp_autocor//c66/DSPF_sp_autocor_d.c
src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_ELF/Release/DSPF_sp_autocor_66_LE_ELF.out: src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_autocor_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_autocor_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_autocor_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_autocor/c66/DSPF_sp_autocor_66_LE_ELF"
	-@ echo Building Project DSPF_sp_autocor_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_autocor_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_autocor_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_autocor_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_autocor_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_autocor_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_ELF/Release/DSPF_sp_autocor_66_BE_ELF.out

.projects: src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_ELF

src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_ELF: src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_ELF/.project

src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_autocor_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_autocor_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_AUTOCOR_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_AUTOCOR_66_BE_ELF_SRCDSPF_SP_AUTOCORC66/DSPF_sp_autocor_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_AUTOCOR_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_AUTOCOR_66_BE_ELF_SRCDSPF_SP_AUTOCOR "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_autocor" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_AUTOCOR_66_BE_ELF_SRCDSPF_SP_AUTOCORC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_autocor/c66" \

	echo EXT_ROOT__DSPF_SP_AUTOCOR_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_AUTOCOR_66_BE_ELF_SRCDSPF_SP_AUTOCOR=../../ >> src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_AUTOCOR_66_BE_ELF_SRCDSPF_SP_AUTOCORC66=.././ >> src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_autocor_66_BE_ELF"
src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_ELF/Release/DSPF_sp_autocor_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_ELF/Release/DSPF_sp_autocor_66_BE_ELF.out: src/DSPF_sp_autocor/DSPF_sp_autocor.h
src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_ELF/Release/DSPF_sp_autocor_66_BE_ELF.out: src/DSPF_sp_autocor//c66/DSPF_sp_autocor.h
src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_ELF/Release/DSPF_sp_autocor_66_BE_ELF.out: src/DSPF_sp_autocor//c66/DSPF_sp_autocor_cn.h
src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_ELF/Release/DSPF_sp_autocor_66_BE_ELF.out: src/DSPF_sp_autocor//c66/DSPF_sp_autocor_d.c
src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_ELF/Release/DSPF_sp_autocor_66_BE_ELF.out: src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_autocor_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_autocor_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_autocor_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_autocor/c66/DSPF_sp_autocor_66_BE_ELF"
	-@ echo Building Project DSPF_sp_autocor_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_autocor_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_autocor_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_autocor_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_autocor_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_autocor//c66//DSPF_sp_autocor_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_biquad_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_COFF/Release/DSPF_sp_biquad_66_LE_COFF.out

.projects: src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_COFF

src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_COFF: src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_COFF/.project

src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_biquad_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_biquad_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_BIQUAD_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_BIQUAD_66_LE_COFF_SRCDSPF_SP_BIQUADC66/DSPF_sp_biquad_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_BIQUAD_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_BIQUAD_66_LE_COFF_SRCDSPF_SP_BIQUAD "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_biquad" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_BIQUAD_66_LE_COFF_SRCDSPF_SP_BIQUADC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_biquad/c66" \

	echo EXT_ROOT__DSPF_SP_BIQUAD_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_BIQUAD_66_LE_COFF_SRCDSPF_SP_BIQUAD=../../ >> src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_BIQUAD_66_LE_COFF_SRCDSPF_SP_BIQUADC66=.././ >> src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_biquad_66_LE_COFF"
src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_COFF/Release/DSPF_sp_biquad_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_COFF/Release/DSPF_sp_biquad_66_LE_COFF.out: src/DSPF_sp_biquad/DSPF_sp_biquad.h
src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_COFF/Release/DSPF_sp_biquad_66_LE_COFF.out: src/DSPF_sp_biquad//c66/DSPF_sp_biquad.h
src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_COFF/Release/DSPF_sp_biquad_66_LE_COFF.out: src/DSPF_sp_biquad//c66/DSPF_sp_biquad_cn.h
src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_COFF/Release/DSPF_sp_biquad_66_LE_COFF.out: src/DSPF_sp_biquad//c66/DSPF_sp_biquad_d.c
src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_COFF/Release/DSPF_sp_biquad_66_LE_COFF.out: src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_biquad_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_biquad_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_biquad_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_biquad/c66/DSPF_sp_biquad_66_LE_COFF"
	-@ echo Building Project DSPF_sp_biquad_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_biquad_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_biquad_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_biquad_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_biquad_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_biquad_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_COFF/Release/DSPF_sp_biquad_66_BE_COFF.out

.projects: src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_COFF

src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_COFF: src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_COFF/.project

src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_biquad_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_biquad_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_BIQUAD_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_BIQUAD_66_BE_COFF_SRCDSPF_SP_BIQUADC66/DSPF_sp_biquad_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_BIQUAD_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_BIQUAD_66_BE_COFF_SRCDSPF_SP_BIQUAD "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_biquad" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_BIQUAD_66_BE_COFF_SRCDSPF_SP_BIQUADC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_biquad/c66" \

	echo EXT_ROOT__DSPF_SP_BIQUAD_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_BIQUAD_66_BE_COFF_SRCDSPF_SP_BIQUAD=../../ >> src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_BIQUAD_66_BE_COFF_SRCDSPF_SP_BIQUADC66=.././ >> src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_biquad_66_BE_COFF"
src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_COFF/Release/DSPF_sp_biquad_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_COFF/Release/DSPF_sp_biquad_66_BE_COFF.out: src/DSPF_sp_biquad/DSPF_sp_biquad.h
src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_COFF/Release/DSPF_sp_biquad_66_BE_COFF.out: src/DSPF_sp_biquad//c66/DSPF_sp_biquad.h
src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_COFF/Release/DSPF_sp_biquad_66_BE_COFF.out: src/DSPF_sp_biquad//c66/DSPF_sp_biquad_cn.h
src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_COFF/Release/DSPF_sp_biquad_66_BE_COFF.out: src/DSPF_sp_biquad//c66/DSPF_sp_biquad_d.c
src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_COFF/Release/DSPF_sp_biquad_66_BE_COFF.out: src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_biquad_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_biquad_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_biquad_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_biquad/c66/DSPF_sp_biquad_66_BE_COFF"
	-@ echo Building Project DSPF_sp_biquad_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_biquad_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_biquad_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_biquad_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_biquad_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_biquad_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_ELF/Release/DSPF_sp_biquad_66_LE_ELF.out

.projects: src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_ELF

src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_ELF: src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_ELF/.project

src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_biquad_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_biquad_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_BIQUAD_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_BIQUAD_66_LE_ELF_SRCDSPF_SP_BIQUADC66/DSPF_sp_biquad_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_BIQUAD_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_BIQUAD_66_LE_ELF_SRCDSPF_SP_BIQUAD "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_biquad" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_BIQUAD_66_LE_ELF_SRCDSPF_SP_BIQUADC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_biquad/c66" \

	echo EXT_ROOT__DSPF_SP_BIQUAD_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_BIQUAD_66_LE_ELF_SRCDSPF_SP_BIQUAD=../../ >> src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_BIQUAD_66_LE_ELF_SRCDSPF_SP_BIQUADC66=.././ >> src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_biquad_66_LE_ELF"
src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_ELF/Release/DSPF_sp_biquad_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_ELF/Release/DSPF_sp_biquad_66_LE_ELF.out: src/DSPF_sp_biquad/DSPF_sp_biquad.h
src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_ELF/Release/DSPF_sp_biquad_66_LE_ELF.out: src/DSPF_sp_biquad//c66/DSPF_sp_biquad.h
src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_ELF/Release/DSPF_sp_biquad_66_LE_ELF.out: src/DSPF_sp_biquad//c66/DSPF_sp_biquad_cn.h
src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_ELF/Release/DSPF_sp_biquad_66_LE_ELF.out: src/DSPF_sp_biquad//c66/DSPF_sp_biquad_d.c
src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_ELF/Release/DSPF_sp_biquad_66_LE_ELF.out: src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_biquad_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_biquad_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_biquad_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_biquad/c66/DSPF_sp_biquad_66_LE_ELF"
	-@ echo Building Project DSPF_sp_biquad_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_biquad_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_biquad_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_biquad_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_biquad_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_biquad_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_ELF/Release/DSPF_sp_biquad_66_BE_ELF.out

.projects: src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_ELF

src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_ELF: src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_ELF/.project

src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_biquad_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_biquad_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_BIQUAD_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_BIQUAD_66_BE_ELF_SRCDSPF_SP_BIQUADC66/DSPF_sp_biquad_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_BIQUAD_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_BIQUAD_66_BE_ELF_SRCDSPF_SP_BIQUAD "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_biquad" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_BIQUAD_66_BE_ELF_SRCDSPF_SP_BIQUADC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_biquad/c66" \

	echo EXT_ROOT__DSPF_SP_BIQUAD_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_BIQUAD_66_BE_ELF_SRCDSPF_SP_BIQUAD=../../ >> src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_BIQUAD_66_BE_ELF_SRCDSPF_SP_BIQUADC66=.././ >> src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_biquad_66_BE_ELF"
src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_ELF/Release/DSPF_sp_biquad_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_ELF/Release/DSPF_sp_biquad_66_BE_ELF.out: src/DSPF_sp_biquad/DSPF_sp_biquad.h
src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_ELF/Release/DSPF_sp_biquad_66_BE_ELF.out: src/DSPF_sp_biquad//c66/DSPF_sp_biquad.h
src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_ELF/Release/DSPF_sp_biquad_66_BE_ELF.out: src/DSPF_sp_biquad//c66/DSPF_sp_biquad_cn.h
src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_ELF/Release/DSPF_sp_biquad_66_BE_ELF.out: src/DSPF_sp_biquad//c66/DSPF_sp_biquad_d.c
src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_ELF/Release/DSPF_sp_biquad_66_BE_ELF.out: src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_biquad_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_biquad_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_biquad_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_biquad/c66/DSPF_sp_biquad_66_BE_ELF"
	-@ echo Building Project DSPF_sp_biquad_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_biquad_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_biquad_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_biquad_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_biquad_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_biquad//c66//DSPF_sp_biquad_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_bitrev_cplx_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_COFF/Release/DSPF_sp_bitrev_cplx_66_LE_COFF.out

.projects: src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_COFF

src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_COFF: src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_COFF/.project

src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_bitrev_cplx_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_bitrev_cplx_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_BITREV_CPLX_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_BITREV_CPLX_66_LE_COFF_SRCDSPF_SP_BITREV_CPLXC66/DSPF_sp_bitrev_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_BITREV_CPLX_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_BITREV_CPLX_66_LE_COFF_SRCDSPF_SP_BITREV_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_bitrev_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_BITREV_CPLX_66_LE_COFF_SRCDSPF_SP_BITREV_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_bitrev_cplx/c66" \

	echo EXT_ROOT__DSPF_SP_BITREV_CPLX_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_BITREV_CPLX_66_LE_COFF_SRCDSPF_SP_BITREV_CPLX=../../ >> src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_BITREV_CPLX_66_LE_COFF_SRCDSPF_SP_BITREV_CPLXC66=.././ >> src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_bitrev_cplx_66_LE_COFF"
src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_COFF/Release/DSPF_sp_bitrev_cplx_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_COFF/Release/DSPF_sp_bitrev_cplx_66_LE_COFF.out: src/DSPF_sp_bitrev_cplx/DSPF_sp_bitrev_cplx.h
src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_COFF/Release/DSPF_sp_bitrev_cplx_66_LE_COFF.out: src/DSPF_sp_bitrev_cplx//c66/DSPF_sp_bitrev_cplx.h
src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_COFF/Release/DSPF_sp_bitrev_cplx_66_LE_COFF.out: src/DSPF_sp_bitrev_cplx//c66/DSPF_sp_bitrev_cplx_cn.h
src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_COFF/Release/DSPF_sp_bitrev_cplx_66_LE_COFF.out: src/DSPF_sp_bitrev_cplx//c66/DSPF_sp_bitrev_cplx_d.c
src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_COFF/Release/DSPF_sp_bitrev_cplx_66_LE_COFF.out: src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_bitrev_cplx_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_bitrev_cplx_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_bitrev_cplx_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_bitrev_cplx/c66/DSPF_sp_bitrev_cplx_66_LE_COFF"
	-@ echo Building Project DSPF_sp_bitrev_cplx_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_bitrev_cplx_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_bitrev_cplx_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_bitrev_cplx_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_bitrev_cplx_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_bitrev_cplx_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_COFF/Release/DSPF_sp_bitrev_cplx_66_BE_COFF.out

.projects: src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_COFF

src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_COFF: src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_COFF/.project

src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_bitrev_cplx_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_bitrev_cplx_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_BITREV_CPLX_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_BITREV_CPLX_66_BE_COFF_SRCDSPF_SP_BITREV_CPLXC66/DSPF_sp_bitrev_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_BITREV_CPLX_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_BITREV_CPLX_66_BE_COFF_SRCDSPF_SP_BITREV_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_bitrev_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_BITREV_CPLX_66_BE_COFF_SRCDSPF_SP_BITREV_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_bitrev_cplx/c66" \

	echo EXT_ROOT__DSPF_SP_BITREV_CPLX_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_BITREV_CPLX_66_BE_COFF_SRCDSPF_SP_BITREV_CPLX=../../ >> src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_BITREV_CPLX_66_BE_COFF_SRCDSPF_SP_BITREV_CPLXC66=.././ >> src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_bitrev_cplx_66_BE_COFF"
src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_COFF/Release/DSPF_sp_bitrev_cplx_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_COFF/Release/DSPF_sp_bitrev_cplx_66_BE_COFF.out: src/DSPF_sp_bitrev_cplx/DSPF_sp_bitrev_cplx.h
src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_COFF/Release/DSPF_sp_bitrev_cplx_66_BE_COFF.out: src/DSPF_sp_bitrev_cplx//c66/DSPF_sp_bitrev_cplx.h
src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_COFF/Release/DSPF_sp_bitrev_cplx_66_BE_COFF.out: src/DSPF_sp_bitrev_cplx//c66/DSPF_sp_bitrev_cplx_cn.h
src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_COFF/Release/DSPF_sp_bitrev_cplx_66_BE_COFF.out: src/DSPF_sp_bitrev_cplx//c66/DSPF_sp_bitrev_cplx_d.c
src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_COFF/Release/DSPF_sp_bitrev_cplx_66_BE_COFF.out: src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_bitrev_cplx_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_bitrev_cplx_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_bitrev_cplx_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_bitrev_cplx/c66/DSPF_sp_bitrev_cplx_66_BE_COFF"
	-@ echo Building Project DSPF_sp_bitrev_cplx_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_bitrev_cplx_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_bitrev_cplx_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_bitrev_cplx_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_bitrev_cplx_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_bitrev_cplx_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_ELF/Release/DSPF_sp_bitrev_cplx_66_LE_ELF.out

.projects: src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_ELF

src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_ELF: src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_ELF/.project

src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_bitrev_cplx_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_bitrev_cplx_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_BITREV_CPLX_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_BITREV_CPLX_66_LE_ELF_SRCDSPF_SP_BITREV_CPLXC66/DSPF_sp_bitrev_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_BITREV_CPLX_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_BITREV_CPLX_66_LE_ELF_SRCDSPF_SP_BITREV_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_bitrev_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_BITREV_CPLX_66_LE_ELF_SRCDSPF_SP_BITREV_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_bitrev_cplx/c66" \

	echo EXT_ROOT__DSPF_SP_BITREV_CPLX_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_BITREV_CPLX_66_LE_ELF_SRCDSPF_SP_BITREV_CPLX=../../ >> src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_BITREV_CPLX_66_LE_ELF_SRCDSPF_SP_BITREV_CPLXC66=.././ >> src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_bitrev_cplx_66_LE_ELF"
src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_ELF/Release/DSPF_sp_bitrev_cplx_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_ELF/Release/DSPF_sp_bitrev_cplx_66_LE_ELF.out: src/DSPF_sp_bitrev_cplx/DSPF_sp_bitrev_cplx.h
src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_ELF/Release/DSPF_sp_bitrev_cplx_66_LE_ELF.out: src/DSPF_sp_bitrev_cplx//c66/DSPF_sp_bitrev_cplx.h
src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_ELF/Release/DSPF_sp_bitrev_cplx_66_LE_ELF.out: src/DSPF_sp_bitrev_cplx//c66/DSPF_sp_bitrev_cplx_cn.h
src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_ELF/Release/DSPF_sp_bitrev_cplx_66_LE_ELF.out: src/DSPF_sp_bitrev_cplx//c66/DSPF_sp_bitrev_cplx_d.c
src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_ELF/Release/DSPF_sp_bitrev_cplx_66_LE_ELF.out: src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_bitrev_cplx_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_bitrev_cplx_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_bitrev_cplx_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_bitrev_cplx/c66/DSPF_sp_bitrev_cplx_66_LE_ELF"
	-@ echo Building Project DSPF_sp_bitrev_cplx_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_bitrev_cplx_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_bitrev_cplx_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_bitrev_cplx_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_bitrev_cplx_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_bitrev_cplx_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_ELF/Release/DSPF_sp_bitrev_cplx_66_BE_ELF.out

.projects: src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_ELF

src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_ELF: src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_ELF/.project

src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_bitrev_cplx_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_bitrev_cplx_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_BITREV_CPLX_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_BITREV_CPLX_66_BE_ELF_SRCDSPF_SP_BITREV_CPLXC66/DSPF_sp_bitrev_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_BITREV_CPLX_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_BITREV_CPLX_66_BE_ELF_SRCDSPF_SP_BITREV_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_bitrev_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_BITREV_CPLX_66_BE_ELF_SRCDSPF_SP_BITREV_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_bitrev_cplx/c66" \

	echo EXT_ROOT__DSPF_SP_BITREV_CPLX_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_BITREV_CPLX_66_BE_ELF_SRCDSPF_SP_BITREV_CPLX=../../ >> src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_BITREV_CPLX_66_BE_ELF_SRCDSPF_SP_BITREV_CPLXC66=.././ >> src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_bitrev_cplx_66_BE_ELF"
src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_ELF/Release/DSPF_sp_bitrev_cplx_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_ELF/Release/DSPF_sp_bitrev_cplx_66_BE_ELF.out: src/DSPF_sp_bitrev_cplx/DSPF_sp_bitrev_cplx.h
src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_ELF/Release/DSPF_sp_bitrev_cplx_66_BE_ELF.out: src/DSPF_sp_bitrev_cplx//c66/DSPF_sp_bitrev_cplx.h
src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_ELF/Release/DSPF_sp_bitrev_cplx_66_BE_ELF.out: src/DSPF_sp_bitrev_cplx//c66/DSPF_sp_bitrev_cplx_cn.h
src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_ELF/Release/DSPF_sp_bitrev_cplx_66_BE_ELF.out: src/DSPF_sp_bitrev_cplx//c66/DSPF_sp_bitrev_cplx_d.c
src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_ELF/Release/DSPF_sp_bitrev_cplx_66_BE_ELF.out: src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_bitrev_cplx_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_bitrev_cplx_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_bitrev_cplx_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_bitrev_cplx/c66/DSPF_sp_bitrev_cplx_66_BE_ELF"
	-@ echo Building Project DSPF_sp_bitrev_cplx_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_bitrev_cplx_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_bitrev_cplx_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_bitrev_cplx_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_bitrev_cplx_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_bitrev_cplx//c66//DSPF_sp_bitrev_cplx_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_cholesky_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_COFF/Release/DSPF_sp_cholesky_66_LE_COFF.out

.projects: src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_COFF

src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_COFF: src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_COFF/.project

src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_cholesky_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_cholesky_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_CHOLESKY_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_CHOLESKY_66_LE_COFF_SRCDSPF_SP_CHOLESKYC66/DSPF_sp_cholesky_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_CHOLESKY_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_CHOLESKY_66_LE_COFF_SRCDSPF_SP_CHOLESKY "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_cholesky" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_CHOLESKY_66_LE_COFF_SRCDSPF_SP_CHOLESKYC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_cholesky/c66" \

	echo EXT_ROOT__DSPF_SP_CHOLESKY_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_CHOLESKY_66_LE_COFF_SRCDSPF_SP_CHOLESKY=../../ >> src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_CHOLESKY_66_LE_COFF_SRCDSPF_SP_CHOLESKYC66=.././ >> src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_cholesky_66_LE_COFF"
src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_COFF/Release/DSPF_sp_cholesky_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_COFF/Release/DSPF_sp_cholesky_66_LE_COFF.out: src/DSPF_sp_cholesky/DSPF_sp_cholesky.h
src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_COFF/Release/DSPF_sp_cholesky_66_LE_COFF.out: src/DSPF_sp_cholesky//c66/DSPF_sp_cholesky.h
src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_COFF/Release/DSPF_sp_cholesky_66_LE_COFF.out: src/DSPF_sp_cholesky//c66/DSPF_sp_cholesky_cn.h
src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_COFF/Release/DSPF_sp_cholesky_66_LE_COFF.out: src/DSPF_sp_cholesky//c66/DSPF_sp_cholesky_d.c
src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_COFF/Release/DSPF_sp_cholesky_66_LE_COFF.out: src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_cholesky_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_cholesky_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_cholesky_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_cholesky/c66/DSPF_sp_cholesky_66_LE_COFF"
	-@ echo Building Project DSPF_sp_cholesky_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_cholesky_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_cholesky_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_cholesky_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_cholesky_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_cholesky_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_COFF/Release/DSPF_sp_cholesky_66_BE_COFF.out

.projects: src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_COFF

src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_COFF: src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_COFF/.project

src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_cholesky_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_cholesky_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_CHOLESKY_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_CHOLESKY_66_BE_COFF_SRCDSPF_SP_CHOLESKYC66/DSPF_sp_cholesky_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_CHOLESKY_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_CHOLESKY_66_BE_COFF_SRCDSPF_SP_CHOLESKY "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_cholesky" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_CHOLESKY_66_BE_COFF_SRCDSPF_SP_CHOLESKYC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_cholesky/c66" \

	echo EXT_ROOT__DSPF_SP_CHOLESKY_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_CHOLESKY_66_BE_COFF_SRCDSPF_SP_CHOLESKY=../../ >> src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_CHOLESKY_66_BE_COFF_SRCDSPF_SP_CHOLESKYC66=.././ >> src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_cholesky_66_BE_COFF"
src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_COFF/Release/DSPF_sp_cholesky_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_COFF/Release/DSPF_sp_cholesky_66_BE_COFF.out: src/DSPF_sp_cholesky/DSPF_sp_cholesky.h
src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_COFF/Release/DSPF_sp_cholesky_66_BE_COFF.out: src/DSPF_sp_cholesky//c66/DSPF_sp_cholesky.h
src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_COFF/Release/DSPF_sp_cholesky_66_BE_COFF.out: src/DSPF_sp_cholesky//c66/DSPF_sp_cholesky_cn.h
src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_COFF/Release/DSPF_sp_cholesky_66_BE_COFF.out: src/DSPF_sp_cholesky//c66/DSPF_sp_cholesky_d.c
src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_COFF/Release/DSPF_sp_cholesky_66_BE_COFF.out: src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_cholesky_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_cholesky_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_cholesky_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_cholesky/c66/DSPF_sp_cholesky_66_BE_COFF"
	-@ echo Building Project DSPF_sp_cholesky_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_cholesky_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_cholesky_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_cholesky_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_cholesky_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_cholesky_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_ELF/Release/DSPF_sp_cholesky_66_LE_ELF.out

.projects: src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_ELF

src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_ELF: src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_ELF/.project

src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_cholesky_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_cholesky_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_CHOLESKY_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_CHOLESKY_66_LE_ELF_SRCDSPF_SP_CHOLESKYC66/DSPF_sp_cholesky_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_CHOLESKY_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_CHOLESKY_66_LE_ELF_SRCDSPF_SP_CHOLESKY "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_cholesky" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_CHOLESKY_66_LE_ELF_SRCDSPF_SP_CHOLESKYC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_cholesky/c66" \

	echo EXT_ROOT__DSPF_SP_CHOLESKY_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_CHOLESKY_66_LE_ELF_SRCDSPF_SP_CHOLESKY=../../ >> src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_CHOLESKY_66_LE_ELF_SRCDSPF_SP_CHOLESKYC66=.././ >> src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_cholesky_66_LE_ELF"
src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_ELF/Release/DSPF_sp_cholesky_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_ELF/Release/DSPF_sp_cholesky_66_LE_ELF.out: src/DSPF_sp_cholesky/DSPF_sp_cholesky.h
src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_ELF/Release/DSPF_sp_cholesky_66_LE_ELF.out: src/DSPF_sp_cholesky//c66/DSPF_sp_cholesky.h
src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_ELF/Release/DSPF_sp_cholesky_66_LE_ELF.out: src/DSPF_sp_cholesky//c66/DSPF_sp_cholesky_cn.h
src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_ELF/Release/DSPF_sp_cholesky_66_LE_ELF.out: src/DSPF_sp_cholesky//c66/DSPF_sp_cholesky_d.c
src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_ELF/Release/DSPF_sp_cholesky_66_LE_ELF.out: src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_cholesky_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_cholesky_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_cholesky_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_cholesky/c66/DSPF_sp_cholesky_66_LE_ELF"
	-@ echo Building Project DSPF_sp_cholesky_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_cholesky_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_cholesky_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_cholesky_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_cholesky_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_cholesky_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_ELF/Release/DSPF_sp_cholesky_66_BE_ELF.out

.projects: src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_ELF

src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_ELF: src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_ELF/.project

src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_cholesky_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_cholesky_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_CHOLESKY_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_CHOLESKY_66_BE_ELF_SRCDSPF_SP_CHOLESKYC66/DSPF_sp_cholesky_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_CHOLESKY_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_CHOLESKY_66_BE_ELF_SRCDSPF_SP_CHOLESKY "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_cholesky" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_CHOLESKY_66_BE_ELF_SRCDSPF_SP_CHOLESKYC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_cholesky/c66" \

	echo EXT_ROOT__DSPF_SP_CHOLESKY_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_CHOLESKY_66_BE_ELF_SRCDSPF_SP_CHOLESKY=../../ >> src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_CHOLESKY_66_BE_ELF_SRCDSPF_SP_CHOLESKYC66=.././ >> src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_cholesky_66_BE_ELF"
src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_ELF/Release/DSPF_sp_cholesky_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_ELF/Release/DSPF_sp_cholesky_66_BE_ELF.out: src/DSPF_sp_cholesky/DSPF_sp_cholesky.h
src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_ELF/Release/DSPF_sp_cholesky_66_BE_ELF.out: src/DSPF_sp_cholesky//c66/DSPF_sp_cholesky.h
src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_ELF/Release/DSPF_sp_cholesky_66_BE_ELF.out: src/DSPF_sp_cholesky//c66/DSPF_sp_cholesky_cn.h
src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_ELF/Release/DSPF_sp_cholesky_66_BE_ELF.out: src/DSPF_sp_cholesky//c66/DSPF_sp_cholesky_d.c
src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_ELF/Release/DSPF_sp_cholesky_66_BE_ELF.out: src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_cholesky_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_cholesky_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_cholesky_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_cholesky/c66/DSPF_sp_cholesky_66_BE_ELF"
	-@ echo Building Project DSPF_sp_cholesky_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_cholesky_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_cholesky_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_cholesky_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_cholesky_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_cholesky//c66//DSPF_sp_cholesky_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_convol_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_COFF/Release/DSPF_sp_convol_66_LE_COFF.out

.projects: src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_COFF

src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_COFF: src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_COFF/.project

src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_convol_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_convol_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_CONVOL_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_CONVOL_66_LE_COFF_SRCDSPF_SP_CONVOLC66/DSPF_sp_convol_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_CONVOL_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_CONVOL_66_LE_COFF_SRCDSPF_SP_CONVOL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_convol" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_CONVOL_66_LE_COFF_SRCDSPF_SP_CONVOLC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_convol/c66" \

	echo EXT_ROOT__DSPF_SP_CONVOL_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_CONVOL_66_LE_COFF_SRCDSPF_SP_CONVOL=../../ >> src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_CONVOL_66_LE_COFF_SRCDSPF_SP_CONVOLC66=.././ >> src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_convol_66_LE_COFF"
src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_COFF/Release/DSPF_sp_convol_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_COFF/Release/DSPF_sp_convol_66_LE_COFF.out: src/DSPF_sp_convol/DSPF_sp_convol.h
src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_COFF/Release/DSPF_sp_convol_66_LE_COFF.out: src/DSPF_sp_convol//c66/DSPF_sp_convol.h
src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_COFF/Release/DSPF_sp_convol_66_LE_COFF.out: src/DSPF_sp_convol//c66/DSPF_sp_convol_cn.h
src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_COFF/Release/DSPF_sp_convol_66_LE_COFF.out: src/DSPF_sp_convol//c66/DSPF_sp_convol_d.c
src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_COFF/Release/DSPF_sp_convol_66_LE_COFF.out: src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_convol_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_convol_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_convol_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_convol/c66/DSPF_sp_convol_66_LE_COFF"
	-@ echo Building Project DSPF_sp_convol_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_convol_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_convol_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_convol_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_convol_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_convol_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_COFF/Release/DSPF_sp_convol_66_BE_COFF.out

.projects: src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_COFF

src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_COFF: src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_COFF/.project

src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_convol_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_convol_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_CONVOL_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_CONVOL_66_BE_COFF_SRCDSPF_SP_CONVOLC66/DSPF_sp_convol_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_CONVOL_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_CONVOL_66_BE_COFF_SRCDSPF_SP_CONVOL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_convol" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_CONVOL_66_BE_COFF_SRCDSPF_SP_CONVOLC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_convol/c66" \

	echo EXT_ROOT__DSPF_SP_CONVOL_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_CONVOL_66_BE_COFF_SRCDSPF_SP_CONVOL=../../ >> src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_CONVOL_66_BE_COFF_SRCDSPF_SP_CONVOLC66=.././ >> src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_convol_66_BE_COFF"
src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_COFF/Release/DSPF_sp_convol_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_COFF/Release/DSPF_sp_convol_66_BE_COFF.out: src/DSPF_sp_convol/DSPF_sp_convol.h
src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_COFF/Release/DSPF_sp_convol_66_BE_COFF.out: src/DSPF_sp_convol//c66/DSPF_sp_convol.h
src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_COFF/Release/DSPF_sp_convol_66_BE_COFF.out: src/DSPF_sp_convol//c66/DSPF_sp_convol_cn.h
src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_COFF/Release/DSPF_sp_convol_66_BE_COFF.out: src/DSPF_sp_convol//c66/DSPF_sp_convol_d.c
src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_COFF/Release/DSPF_sp_convol_66_BE_COFF.out: src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_convol_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_convol_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_convol_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_convol/c66/DSPF_sp_convol_66_BE_COFF"
	-@ echo Building Project DSPF_sp_convol_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_convol_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_convol_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_convol_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_convol_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_convol_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_ELF/Release/DSPF_sp_convol_66_LE_ELF.out

.projects: src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_ELF

src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_ELF: src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_ELF/.project

src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_convol_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_convol_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_CONVOL_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_CONVOL_66_LE_ELF_SRCDSPF_SP_CONVOLC66/DSPF_sp_convol_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_CONVOL_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_CONVOL_66_LE_ELF_SRCDSPF_SP_CONVOL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_convol" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_CONVOL_66_LE_ELF_SRCDSPF_SP_CONVOLC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_convol/c66" \

	echo EXT_ROOT__DSPF_SP_CONVOL_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_CONVOL_66_LE_ELF_SRCDSPF_SP_CONVOL=../../ >> src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_CONVOL_66_LE_ELF_SRCDSPF_SP_CONVOLC66=.././ >> src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_convol_66_LE_ELF"
src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_ELF/Release/DSPF_sp_convol_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_ELF/Release/DSPF_sp_convol_66_LE_ELF.out: src/DSPF_sp_convol/DSPF_sp_convol.h
src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_ELF/Release/DSPF_sp_convol_66_LE_ELF.out: src/DSPF_sp_convol//c66/DSPF_sp_convol.h
src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_ELF/Release/DSPF_sp_convol_66_LE_ELF.out: src/DSPF_sp_convol//c66/DSPF_sp_convol_cn.h
src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_ELF/Release/DSPF_sp_convol_66_LE_ELF.out: src/DSPF_sp_convol//c66/DSPF_sp_convol_d.c
src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_ELF/Release/DSPF_sp_convol_66_LE_ELF.out: src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_convol_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_convol_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_convol_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_convol/c66/DSPF_sp_convol_66_LE_ELF"
	-@ echo Building Project DSPF_sp_convol_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_convol_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_convol_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_convol_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_convol_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_convol//c66//DSPF_sp_convol_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_convol_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_ELF/Release/DSPF_sp_convol_66_BE_ELF.out

.projects: src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_ELF

src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_ELF: src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_ELF/.project

src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_convol_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_convol_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_CONVOL_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_CONVOL_66_BE_ELF_SRCDSPF_SP_CONVOLC66/DSPF_sp_convol_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_CONVOL_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_CONVOL_66_BE_ELF_SRCDSPF_SP_CONVOL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_convol" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_CONVOL_66_BE_ELF_SRCDSPF_SP_CONVOLC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_convol/c66" \

	echo EXT_ROOT__DSPF_SP_CONVOL_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_CONVOL_66_BE_ELF_SRCDSPF_SP_CONVOL=../../ >> src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_CONVOL_66_BE_ELF_SRCDSPF_SP_CONVOLC66=.././ >> src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_convol_66_BE_ELF"
src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_ELF/Release/DSPF_sp_convol_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_ELF/Release/DSPF_sp_convol_66_BE_ELF.out: src/DSPF_sp_convol/DSPF_sp_convol.h
src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_ELF/Release/DSPF_sp_convol_66_BE_ELF.out: src/DSPF_sp_convol//c66/DSPF_sp_convol.h
src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_ELF/Release/DSPF_sp_convol_66_BE_ELF.out: src/DSPF_sp_convol//c66/DSPF_sp_convol_cn.h
src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_ELF/Release/DSPF_sp_convol_66_BE_ELF.out: src/DSPF_sp_convol//c66/DSPF_sp_convol_d.c
src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_ELF/Release/DSPF_sp_convol_66_BE_ELF.out: src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_convol_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_convol_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_convol_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_convol/c66/DSPF_sp_convol_66_BE_ELF"
	-@ echo Building Project DSPF_sp_convol_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_convol_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_convol_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_convol_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_convol_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_convol//c66//DSPF_sp_convol_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_dotprod_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_COFF/Release/DSPF_sp_dotprod_66_LE_COFF.out

.projects: src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_COFF

src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_COFF: src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_COFF/.project

src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_dotprod_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_dotprod_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_DOTPROD_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_DOTPROD_66_LE_COFF_SRCDSPF_SP_DOTPRODC66/DSPF_sp_dotprod_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_DOTPROD_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_DOTPROD_66_LE_COFF_SRCDSPF_SP_DOTPROD "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_dotprod" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_DOTPROD_66_LE_COFF_SRCDSPF_SP_DOTPRODC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_dotprod/c66" \

	echo EXT_ROOT__DSPF_SP_DOTPROD_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_DOTPROD_66_LE_COFF_SRCDSPF_SP_DOTPROD=../../ >> src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_DOTPROD_66_LE_COFF_SRCDSPF_SP_DOTPRODC66=.././ >> src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_dotprod_66_LE_COFF"
src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_COFF/Release/DSPF_sp_dotprod_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_COFF/Release/DSPF_sp_dotprod_66_LE_COFF.out: src/DSPF_sp_dotprod/DSPF_sp_dotprod.h
src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_COFF/Release/DSPF_sp_dotprod_66_LE_COFF.out: src/DSPF_sp_dotprod//c66/DSPF_sp_dotprod.h
src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_COFF/Release/DSPF_sp_dotprod_66_LE_COFF.out: src/DSPF_sp_dotprod//c66/DSPF_sp_dotprod_cn.h
src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_COFF/Release/DSPF_sp_dotprod_66_LE_COFF.out: src/DSPF_sp_dotprod//c66/DSPF_sp_dotprod_d.c
src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_COFF/Release/DSPF_sp_dotprod_66_LE_COFF.out: src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_dotprod_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_dotprod_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_dotprod_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_dotprod/c66/DSPF_sp_dotprod_66_LE_COFF"
	-@ echo Building Project DSPF_sp_dotprod_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_dotprod_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_dotprod_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_dotprod_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_dotprod_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_dotprod_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_COFF/Release/DSPF_sp_dotprod_66_BE_COFF.out

.projects: src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_COFF

src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_COFF: src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_COFF/.project

src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_dotprod_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_dotprod_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_DOTPROD_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_DOTPROD_66_BE_COFF_SRCDSPF_SP_DOTPRODC66/DSPF_sp_dotprod_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_DOTPROD_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_DOTPROD_66_BE_COFF_SRCDSPF_SP_DOTPROD "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_dotprod" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_DOTPROD_66_BE_COFF_SRCDSPF_SP_DOTPRODC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_dotprod/c66" \

	echo EXT_ROOT__DSPF_SP_DOTPROD_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_DOTPROD_66_BE_COFF_SRCDSPF_SP_DOTPROD=../../ >> src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_DOTPROD_66_BE_COFF_SRCDSPF_SP_DOTPRODC66=.././ >> src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_dotprod_66_BE_COFF"
src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_COFF/Release/DSPF_sp_dotprod_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_COFF/Release/DSPF_sp_dotprod_66_BE_COFF.out: src/DSPF_sp_dotprod/DSPF_sp_dotprod.h
src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_COFF/Release/DSPF_sp_dotprod_66_BE_COFF.out: src/DSPF_sp_dotprod//c66/DSPF_sp_dotprod.h
src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_COFF/Release/DSPF_sp_dotprod_66_BE_COFF.out: src/DSPF_sp_dotprod//c66/DSPF_sp_dotprod_cn.h
src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_COFF/Release/DSPF_sp_dotprod_66_BE_COFF.out: src/DSPF_sp_dotprod//c66/DSPF_sp_dotprod_d.c
src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_COFF/Release/DSPF_sp_dotprod_66_BE_COFF.out: src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_dotprod_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_dotprod_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_dotprod_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_dotprod/c66/DSPF_sp_dotprod_66_BE_COFF"
	-@ echo Building Project DSPF_sp_dotprod_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_dotprod_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_dotprod_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_dotprod_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_dotprod_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_dotprod_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_ELF/Release/DSPF_sp_dotprod_66_LE_ELF.out

.projects: src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_ELF

src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_ELF: src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_ELF/.project

src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_dotprod_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_dotprod_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_DOTPROD_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_DOTPROD_66_LE_ELF_SRCDSPF_SP_DOTPRODC66/DSPF_sp_dotprod_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_DOTPROD_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_DOTPROD_66_LE_ELF_SRCDSPF_SP_DOTPROD "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_dotprod" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_DOTPROD_66_LE_ELF_SRCDSPF_SP_DOTPRODC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_dotprod/c66" \

	echo EXT_ROOT__DSPF_SP_DOTPROD_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_DOTPROD_66_LE_ELF_SRCDSPF_SP_DOTPROD=../../ >> src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_DOTPROD_66_LE_ELF_SRCDSPF_SP_DOTPRODC66=.././ >> src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_dotprod_66_LE_ELF"
src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_ELF/Release/DSPF_sp_dotprod_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_ELF/Release/DSPF_sp_dotprod_66_LE_ELF.out: src/DSPF_sp_dotprod/DSPF_sp_dotprod.h
src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_ELF/Release/DSPF_sp_dotprod_66_LE_ELF.out: src/DSPF_sp_dotprod//c66/DSPF_sp_dotprod.h
src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_ELF/Release/DSPF_sp_dotprod_66_LE_ELF.out: src/DSPF_sp_dotprod//c66/DSPF_sp_dotprod_cn.h
src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_ELF/Release/DSPF_sp_dotprod_66_LE_ELF.out: src/DSPF_sp_dotprod//c66/DSPF_sp_dotprod_d.c
src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_ELF/Release/DSPF_sp_dotprod_66_LE_ELF.out: src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_dotprod_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_dotprod_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_dotprod_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_dotprod/c66/DSPF_sp_dotprod_66_LE_ELF"
	-@ echo Building Project DSPF_sp_dotprod_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_dotprod_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_dotprod_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_dotprod_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_dotprod_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_dotprod_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_ELF/Release/DSPF_sp_dotprod_66_BE_ELF.out

.projects: src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_ELF

src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_ELF: src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_ELF/.project

src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_dotprod_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_dotprod_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_DOTPROD_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_DOTPROD_66_BE_ELF_SRCDSPF_SP_DOTPRODC66/DSPF_sp_dotprod_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_DOTPROD_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_DOTPROD_66_BE_ELF_SRCDSPF_SP_DOTPROD "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_dotprod" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_DOTPROD_66_BE_ELF_SRCDSPF_SP_DOTPRODC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_dotprod/c66" \

	echo EXT_ROOT__DSPF_SP_DOTPROD_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_DOTPROD_66_BE_ELF_SRCDSPF_SP_DOTPROD=../../ >> src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_DOTPROD_66_BE_ELF_SRCDSPF_SP_DOTPRODC66=.././ >> src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_dotprod_66_BE_ELF"
src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_ELF/Release/DSPF_sp_dotprod_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_ELF/Release/DSPF_sp_dotprod_66_BE_ELF.out: src/DSPF_sp_dotprod/DSPF_sp_dotprod.h
src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_ELF/Release/DSPF_sp_dotprod_66_BE_ELF.out: src/DSPF_sp_dotprod//c66/DSPF_sp_dotprod.h
src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_ELF/Release/DSPF_sp_dotprod_66_BE_ELF.out: src/DSPF_sp_dotprod//c66/DSPF_sp_dotprod_cn.h
src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_ELF/Release/DSPF_sp_dotprod_66_BE_ELF.out: src/DSPF_sp_dotprod//c66/DSPF_sp_dotprod_d.c
src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_ELF/Release/DSPF_sp_dotprod_66_BE_ELF.out: src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_dotprod_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_dotprod_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_dotprod_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_dotprod/c66/DSPF_sp_dotprod_66_BE_ELF"
	-@ echo Building Project DSPF_sp_dotprod_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_dotprod_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_dotprod_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_dotprod_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_dotprod_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_dotprod//c66//DSPF_sp_dotprod_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_dotp_cplx_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_COFF/Release/DSPF_sp_dotp_cplx_66_LE_COFF.out

.projects: src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_COFF

src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_COFF: src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_COFF/.project

src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_dotp_cplx_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_dotp_cplx_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_DOTP_CPLX_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_DOTP_CPLX_66_LE_COFF_SRCDSPF_SP_DOTP_CPLXC66/DSPF_sp_dotp_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_DOTP_CPLX_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_DOTP_CPLX_66_LE_COFF_SRCDSPF_SP_DOTP_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_dotp_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_DOTP_CPLX_66_LE_COFF_SRCDSPF_SP_DOTP_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_dotp_cplx/c66" \

	echo EXT_ROOT__DSPF_SP_DOTP_CPLX_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_DOTP_CPLX_66_LE_COFF_SRCDSPF_SP_DOTP_CPLX=../../ >> src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_DOTP_CPLX_66_LE_COFF_SRCDSPF_SP_DOTP_CPLXC66=.././ >> src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_dotp_cplx_66_LE_COFF"
src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_COFF/Release/DSPF_sp_dotp_cplx_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_COFF/Release/DSPF_sp_dotp_cplx_66_LE_COFF.out: src/DSPF_sp_dotp_cplx/DSPF_sp_dotp_cplx.h
src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_COFF/Release/DSPF_sp_dotp_cplx_66_LE_COFF.out: src/DSPF_sp_dotp_cplx//c66/DSPF_sp_dotp_cplx.h
src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_COFF/Release/DSPF_sp_dotp_cplx_66_LE_COFF.out: src/DSPF_sp_dotp_cplx//c66/DSPF_sp_dotp_cplx_cn.h
src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_COFF/Release/DSPF_sp_dotp_cplx_66_LE_COFF.out: src/DSPF_sp_dotp_cplx//c66/DSPF_sp_dotp_cplx_d.c
src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_COFF/Release/DSPF_sp_dotp_cplx_66_LE_COFF.out: src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_dotp_cplx_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_dotp_cplx_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_dotp_cplx_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_dotp_cplx/c66/DSPF_sp_dotp_cplx_66_LE_COFF"
	-@ echo Building Project DSPF_sp_dotp_cplx_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_dotp_cplx_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_dotp_cplx_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_dotp_cplx_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_dotp_cplx_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_dotp_cplx_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_COFF/Release/DSPF_sp_dotp_cplx_66_BE_COFF.out

.projects: src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_COFF

src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_COFF: src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_COFF/.project

src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_dotp_cplx_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_dotp_cplx_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_DOTP_CPLX_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_DOTP_CPLX_66_BE_COFF_SRCDSPF_SP_DOTP_CPLXC66/DSPF_sp_dotp_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_DOTP_CPLX_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_DOTP_CPLX_66_BE_COFF_SRCDSPF_SP_DOTP_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_dotp_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_DOTP_CPLX_66_BE_COFF_SRCDSPF_SP_DOTP_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_dotp_cplx/c66" \

	echo EXT_ROOT__DSPF_SP_DOTP_CPLX_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_DOTP_CPLX_66_BE_COFF_SRCDSPF_SP_DOTP_CPLX=../../ >> src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_DOTP_CPLX_66_BE_COFF_SRCDSPF_SP_DOTP_CPLXC66=.././ >> src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_dotp_cplx_66_BE_COFF"
src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_COFF/Release/DSPF_sp_dotp_cplx_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_COFF/Release/DSPF_sp_dotp_cplx_66_BE_COFF.out: src/DSPF_sp_dotp_cplx/DSPF_sp_dotp_cplx.h
src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_COFF/Release/DSPF_sp_dotp_cplx_66_BE_COFF.out: src/DSPF_sp_dotp_cplx//c66/DSPF_sp_dotp_cplx.h
src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_COFF/Release/DSPF_sp_dotp_cplx_66_BE_COFF.out: src/DSPF_sp_dotp_cplx//c66/DSPF_sp_dotp_cplx_cn.h
src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_COFF/Release/DSPF_sp_dotp_cplx_66_BE_COFF.out: src/DSPF_sp_dotp_cplx//c66/DSPF_sp_dotp_cplx_d.c
src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_COFF/Release/DSPF_sp_dotp_cplx_66_BE_COFF.out: src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_dotp_cplx_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_dotp_cplx_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_dotp_cplx_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_dotp_cplx/c66/DSPF_sp_dotp_cplx_66_BE_COFF"
	-@ echo Building Project DSPF_sp_dotp_cplx_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_dotp_cplx_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_dotp_cplx_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_dotp_cplx_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_dotp_cplx_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_dotp_cplx_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_ELF/Release/DSPF_sp_dotp_cplx_66_LE_ELF.out

.projects: src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_ELF

src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_ELF: src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_ELF/.project

src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_dotp_cplx_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_dotp_cplx_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_DOTP_CPLX_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_DOTP_CPLX_66_LE_ELF_SRCDSPF_SP_DOTP_CPLXC66/DSPF_sp_dotp_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_DOTP_CPLX_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_DOTP_CPLX_66_LE_ELF_SRCDSPF_SP_DOTP_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_dotp_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_DOTP_CPLX_66_LE_ELF_SRCDSPF_SP_DOTP_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_dotp_cplx/c66" \

	echo EXT_ROOT__DSPF_SP_DOTP_CPLX_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_DOTP_CPLX_66_LE_ELF_SRCDSPF_SP_DOTP_CPLX=../../ >> src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_DOTP_CPLX_66_LE_ELF_SRCDSPF_SP_DOTP_CPLXC66=.././ >> src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_dotp_cplx_66_LE_ELF"
src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_ELF/Release/DSPF_sp_dotp_cplx_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_ELF/Release/DSPF_sp_dotp_cplx_66_LE_ELF.out: src/DSPF_sp_dotp_cplx/DSPF_sp_dotp_cplx.h
src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_ELF/Release/DSPF_sp_dotp_cplx_66_LE_ELF.out: src/DSPF_sp_dotp_cplx//c66/DSPF_sp_dotp_cplx.h
src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_ELF/Release/DSPF_sp_dotp_cplx_66_LE_ELF.out: src/DSPF_sp_dotp_cplx//c66/DSPF_sp_dotp_cplx_cn.h
src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_ELF/Release/DSPF_sp_dotp_cplx_66_LE_ELF.out: src/DSPF_sp_dotp_cplx//c66/DSPF_sp_dotp_cplx_d.c
src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_ELF/Release/DSPF_sp_dotp_cplx_66_LE_ELF.out: src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_dotp_cplx_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_dotp_cplx_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_dotp_cplx_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_dotp_cplx/c66/DSPF_sp_dotp_cplx_66_LE_ELF"
	-@ echo Building Project DSPF_sp_dotp_cplx_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_dotp_cplx_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_dotp_cplx_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_dotp_cplx_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_dotp_cplx_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_dotp_cplx_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_ELF/Release/DSPF_sp_dotp_cplx_66_BE_ELF.out

.projects: src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_ELF

src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_ELF: src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_ELF/.project

src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_dotp_cplx_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_dotp_cplx_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_DOTP_CPLX_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_DOTP_CPLX_66_BE_ELF_SRCDSPF_SP_DOTP_CPLXC66/DSPF_sp_dotp_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_DOTP_CPLX_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_DOTP_CPLX_66_BE_ELF_SRCDSPF_SP_DOTP_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_dotp_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_DOTP_CPLX_66_BE_ELF_SRCDSPF_SP_DOTP_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_dotp_cplx/c66" \

	echo EXT_ROOT__DSPF_SP_DOTP_CPLX_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_DOTP_CPLX_66_BE_ELF_SRCDSPF_SP_DOTP_CPLX=../../ >> src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_DOTP_CPLX_66_BE_ELF_SRCDSPF_SP_DOTP_CPLXC66=.././ >> src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_dotp_cplx_66_BE_ELF"
src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_ELF/Release/DSPF_sp_dotp_cplx_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_ELF/Release/DSPF_sp_dotp_cplx_66_BE_ELF.out: src/DSPF_sp_dotp_cplx/DSPF_sp_dotp_cplx.h
src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_ELF/Release/DSPF_sp_dotp_cplx_66_BE_ELF.out: src/DSPF_sp_dotp_cplx//c66/DSPF_sp_dotp_cplx.h
src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_ELF/Release/DSPF_sp_dotp_cplx_66_BE_ELF.out: src/DSPF_sp_dotp_cplx//c66/DSPF_sp_dotp_cplx_cn.h
src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_ELF/Release/DSPF_sp_dotp_cplx_66_BE_ELF.out: src/DSPF_sp_dotp_cplx//c66/DSPF_sp_dotp_cplx_d.c
src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_ELF/Release/DSPF_sp_dotp_cplx_66_BE_ELF.out: src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_dotp_cplx_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_dotp_cplx_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_dotp_cplx_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_dotp_cplx/c66/DSPF_sp_dotp_cplx_66_BE_ELF"
	-@ echo Building Project DSPF_sp_dotp_cplx_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_dotp_cplx_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_dotp_cplx_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_dotp_cplx_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_dotp_cplx_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_dotp_cplx//c66//DSPF_sp_dotp_cplx_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_erand_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_COFF/Release/DSPF_sp_erand_66_LE_COFF.out

.projects: src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_COFF

src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_COFF: src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_COFF/.project

src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_erand_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_erand_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_ERAND_66_LE_COFF_SRCDSPF_SP_ERANDC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_ERAND_66_LE_COFF_SRCDSPF_SP_ERANDC66/DSPF_sp_erand_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../ -i../../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../ -i../../../" @configurations Release -ccs.location src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_ERAND_66_LE_COFF_SRCDSPF_SP_ERANDC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_erand/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_ERAND_66_LE_COFF_SRCDSPF_SP_ERAND "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_erand" \

	echo EXT_ROOT__DSPF_SP_ERAND_66_LE_COFF_SRCDSPF_SP_ERANDC66=.././ >> src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_ERAND_66_LE_COFF_SRCDSPF_SP_ERAND=../../ >> src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_erand_66_LE_COFF"
src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_COFF/Release/DSPF_sp_erand_66_LE_COFF.out: src/DSPF_sp_erand//c66/lnk.cmd
src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_COFF/Release/DSPF_sp_erand_66_LE_COFF.out: src/DSPF_sp_erand/DSPF_sp_erand.h
src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_COFF/Release/DSPF_sp_erand_66_LE_COFF.out: src/DSPF_sp_erand//c66/DSPF_sp_erand.h
src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_COFF/Release/DSPF_sp_erand_66_LE_COFF.out: src/DSPF_sp_erand//c66/DSPF_sp_erand_cn.h
src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_COFF/Release/DSPF_sp_erand_66_LE_COFF.out: src/DSPF_sp_erand//c66/DSPF_sp_erand_d.c
src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_COFF/Release/DSPF_sp_erand_66_LE_COFF.out: src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_erand_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_erand_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_erand_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_erand/c66/DSPF_sp_erand_66_LE_COFF"
	-@ echo Building Project DSPF_sp_erand_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_erand_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_erand_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_erand_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_erand_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_erand_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_COFF/Release/DSPF_sp_erand_66_BE_COFF.out

.projects: src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_COFF

src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_COFF: src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_COFF/.project

src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_erand_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_erand_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_ERAND_66_BE_COFF_SRCDSPF_SP_ERANDC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_ERAND_66_BE_COFF_SRCDSPF_SP_ERANDC66/DSPF_sp_erand_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../ -i../../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../ -i../../../" @configurations Release -ccs.location src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_ERAND_66_BE_COFF_SRCDSPF_SP_ERANDC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_erand/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_ERAND_66_BE_COFF_SRCDSPF_SP_ERAND "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_erand" \

	echo EXT_ROOT__DSPF_SP_ERAND_66_BE_COFF_SRCDSPF_SP_ERANDC66=.././ >> src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_ERAND_66_BE_COFF_SRCDSPF_SP_ERAND=../../ >> src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_erand_66_BE_COFF"
src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_COFF/Release/DSPF_sp_erand_66_BE_COFF.out: src/DSPF_sp_erand//c66/lnk.cmd
src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_COFF/Release/DSPF_sp_erand_66_BE_COFF.out: src/DSPF_sp_erand/DSPF_sp_erand.h
src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_COFF/Release/DSPF_sp_erand_66_BE_COFF.out: src/DSPF_sp_erand//c66/DSPF_sp_erand.h
src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_COFF/Release/DSPF_sp_erand_66_BE_COFF.out: src/DSPF_sp_erand//c66/DSPF_sp_erand_cn.h
src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_COFF/Release/DSPF_sp_erand_66_BE_COFF.out: src/DSPF_sp_erand//c66/DSPF_sp_erand_d.c
src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_COFF/Release/DSPF_sp_erand_66_BE_COFF.out: src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_erand_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_erand_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_erand_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_erand/c66/DSPF_sp_erand_66_BE_COFF"
	-@ echo Building Project DSPF_sp_erand_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_erand_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_erand_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_erand_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_erand_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_erand_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_ELF/Release/DSPF_sp_erand_66_LE_ELF.out

.projects: src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_ELF

src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_ELF: src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_ELF/.project

src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_erand_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_erand_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_ERAND_66_LE_ELF_SRCDSPF_SP_ERANDC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_ERAND_66_LE_ELF_SRCDSPF_SP_ERANDC66/DSPF_sp_erand_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../ -i../../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../ -i../../../" @configurations Release -ccs.location src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_ERAND_66_LE_ELF_SRCDSPF_SP_ERANDC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_erand/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_ERAND_66_LE_ELF_SRCDSPF_SP_ERAND "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_erand" \

	echo EXT_ROOT__DSPF_SP_ERAND_66_LE_ELF_SRCDSPF_SP_ERANDC66=.././ >> src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_ERAND_66_LE_ELF_SRCDSPF_SP_ERAND=../../ >> src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_erand_66_LE_ELF"
src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_ELF/Release/DSPF_sp_erand_66_LE_ELF.out: src/DSPF_sp_erand//c66/lnk.cmd
src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_ELF/Release/DSPF_sp_erand_66_LE_ELF.out: src/DSPF_sp_erand/DSPF_sp_erand.h
src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_ELF/Release/DSPF_sp_erand_66_LE_ELF.out: src/DSPF_sp_erand//c66/DSPF_sp_erand.h
src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_ELF/Release/DSPF_sp_erand_66_LE_ELF.out: src/DSPF_sp_erand//c66/DSPF_sp_erand_cn.h
src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_ELF/Release/DSPF_sp_erand_66_LE_ELF.out: src/DSPF_sp_erand//c66/DSPF_sp_erand_d.c
src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_ELF/Release/DSPF_sp_erand_66_LE_ELF.out: src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_erand_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_erand_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_erand_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_erand/c66/DSPF_sp_erand_66_LE_ELF"
	-@ echo Building Project DSPF_sp_erand_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_erand_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_erand_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_erand_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_erand_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_erand//c66//DSPF_sp_erand_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_erand_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_ELF/Release/DSPF_sp_erand_66_BE_ELF.out

.projects: src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_ELF

src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_ELF: src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_ELF/.project

src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_erand_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_erand_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_ERAND_66_BE_ELF_SRCDSPF_SP_ERANDC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_ERAND_66_BE_ELF_SRCDSPF_SP_ERANDC66/DSPF_sp_erand_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../ -i../../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../ -i../../../" @configurations Release -ccs.location src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_ERAND_66_BE_ELF_SRCDSPF_SP_ERANDC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_erand/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_ERAND_66_BE_ELF_SRCDSPF_SP_ERAND "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_erand" \

	echo EXT_ROOT__DSPF_SP_ERAND_66_BE_ELF_SRCDSPF_SP_ERANDC66=.././ >> src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_ERAND_66_BE_ELF_SRCDSPF_SP_ERAND=../../ >> src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_erand_66_BE_ELF"
src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_ELF/Release/DSPF_sp_erand_66_BE_ELF.out: src/DSPF_sp_erand//c66/lnk.cmd
src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_ELF/Release/DSPF_sp_erand_66_BE_ELF.out: src/DSPF_sp_erand/DSPF_sp_erand.h
src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_ELF/Release/DSPF_sp_erand_66_BE_ELF.out: src/DSPF_sp_erand//c66/DSPF_sp_erand.h
src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_ELF/Release/DSPF_sp_erand_66_BE_ELF.out: src/DSPF_sp_erand//c66/DSPF_sp_erand_cn.h
src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_ELF/Release/DSPF_sp_erand_66_BE_ELF.out: src/DSPF_sp_erand//c66/DSPF_sp_erand_d.c
src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_ELF/Release/DSPF_sp_erand_66_BE_ELF.out: src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_erand_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_erand_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_erand_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_erand/c66/DSPF_sp_erand_66_BE_ELF"
	-@ echo Building Project DSPF_sp_erand_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_erand_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_erand_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_erand_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_erand_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_erand//c66//DSPF_sp_erand_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_fftSPxSP_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_COFF/Release/DSPF_sp_fftSPxSP_66_LE_COFF.out

.projects: src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_COFF

src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_COFF: src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_COFF/.project

src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fftSPxSP_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_fftSPxSP_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_FFTSPXSP_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_FFTSPXSP_66_LE_COFF_SRCDSPF_SP_FFTSPXSPC66/DSPF_sp_fftSPxSP_d.c\
 -ccs.linkFile EXT_ROOT__DSPF_SP_FFTSPXSP_66_LE_COFF_SRCDSPF_SP_FFTSPXSPC66/DSPF_sp_fftSPxSP_opt.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FFTSPXSP_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FFTSPXSP_66_LE_COFF_SRCDSPF_SP_FFTSPXSP "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fftSPxSP" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FFTSPXSP_66_LE_COFF_SRCDSPF_SP_FFTSPXSPC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fftSPxSP/c66" \

	echo EXT_ROOT__DSPF_SP_FFTSPXSP_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_FFTSPXSP_66_LE_COFF_SRCDSPF_SP_FFTSPXSP=../../ >> src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_FFTSPXSP_66_LE_COFF_SRCDSPF_SP_FFTSPXSPC66=.././ >> src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fftSPxSP_66_LE_COFF"
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_COFF/Release/DSPF_sp_fftSPxSP_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_COFF/Release/DSPF_sp_fftSPxSP_66_LE_COFF.out: src/DSPF_sp_fftSPxSP/DSPF_sp_fftSPxSP.h
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_COFF/Release/DSPF_sp_fftSPxSP_66_LE_COFF.out: src/DSPF_sp_fftSPxSP//c66/DSPF_sp_fftSPxSP.h
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_COFF/Release/DSPF_sp_fftSPxSP_66_LE_COFF.out: src/DSPF_sp_fftSPxSP//c66/DSPF_sp_fftSPxSP_cn.h
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_COFF/Release/DSPF_sp_fftSPxSP_66_LE_COFF.out: src/DSPF_sp_fftSPxSP//c66/DSPF_sp_fftSPxSP_d.c
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_COFF/Release/DSPF_sp_fftSPxSP_66_LE_COFF.out: src/DSPF_sp_fftSPxSP//c66/DSPF_sp_fftSPxSP_opt.c
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_COFF/Release/DSPF_sp_fftSPxSP_66_LE_COFF.out: src/DSPF_sp_fftSPxSP//c66/DSPF_sp_fftSPxSP_opt.h
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_COFF/Release/DSPF_sp_fftSPxSP_66_LE_COFF.out: src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_fftSPxSP_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fftSPxSP_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_fftSPxSP_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fftSPxSP/c66/DSPF_sp_fftSPxSP_66_LE_COFF"
	-@ echo Building Project DSPF_sp_fftSPxSP_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fftSPxSP_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_fftSPxSP_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_fftSPxSP_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fftSPxSP_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_fftSPxSP_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_COFF/Release/DSPF_sp_fftSPxSP_66_BE_COFF.out

.projects: src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_COFF

src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_COFF: src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_COFF/.project

src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fftSPxSP_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_fftSPxSP_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_FFTSPXSP_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_FFTSPXSP_66_BE_COFF_SRCDSPF_SP_FFTSPXSPC66/DSPF_sp_fftSPxSP_d.c\
 -ccs.linkFile EXT_ROOT__DSPF_SP_FFTSPXSP_66_BE_COFF_SRCDSPF_SP_FFTSPXSPC66/DSPF_sp_fftSPxSP_opt.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FFTSPXSP_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FFTSPXSP_66_BE_COFF_SRCDSPF_SP_FFTSPXSP "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fftSPxSP" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FFTSPXSP_66_BE_COFF_SRCDSPF_SP_FFTSPXSPC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fftSPxSP/c66" \

	echo EXT_ROOT__DSPF_SP_FFTSPXSP_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_FFTSPXSP_66_BE_COFF_SRCDSPF_SP_FFTSPXSP=../../ >> src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_FFTSPXSP_66_BE_COFF_SRCDSPF_SP_FFTSPXSPC66=.././ >> src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fftSPxSP_66_BE_COFF"
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_COFF/Release/DSPF_sp_fftSPxSP_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_COFF/Release/DSPF_sp_fftSPxSP_66_BE_COFF.out: src/DSPF_sp_fftSPxSP/DSPF_sp_fftSPxSP.h
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_COFF/Release/DSPF_sp_fftSPxSP_66_BE_COFF.out: src/DSPF_sp_fftSPxSP//c66/DSPF_sp_fftSPxSP.h
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_COFF/Release/DSPF_sp_fftSPxSP_66_BE_COFF.out: src/DSPF_sp_fftSPxSP//c66/DSPF_sp_fftSPxSP_cn.h
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_COFF/Release/DSPF_sp_fftSPxSP_66_BE_COFF.out: src/DSPF_sp_fftSPxSP//c66/DSPF_sp_fftSPxSP_d.c
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_COFF/Release/DSPF_sp_fftSPxSP_66_BE_COFF.out: src/DSPF_sp_fftSPxSP//c66/DSPF_sp_fftSPxSP_opt.c
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_COFF/Release/DSPF_sp_fftSPxSP_66_BE_COFF.out: src/DSPF_sp_fftSPxSP//c66/DSPF_sp_fftSPxSP_opt.h
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_COFF/Release/DSPF_sp_fftSPxSP_66_BE_COFF.out: src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_fftSPxSP_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fftSPxSP_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_fftSPxSP_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fftSPxSP/c66/DSPF_sp_fftSPxSP_66_BE_COFF"
	-@ echo Building Project DSPF_sp_fftSPxSP_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fftSPxSP_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_fftSPxSP_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_fftSPxSP_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fftSPxSP_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_fftSPxSP_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_ELF/Release/DSPF_sp_fftSPxSP_66_LE_ELF.out

.projects: src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_ELF

src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_ELF: src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_ELF/.project

src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fftSPxSP_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_fftSPxSP_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_FFTSPXSP_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_FFTSPXSP_66_LE_ELF_SRCDSPF_SP_FFTSPXSPC66/DSPF_sp_fftSPxSP_d.c\
 -ccs.linkFile EXT_ROOT__DSPF_SP_FFTSPXSP_66_LE_ELF_SRCDSPF_SP_FFTSPXSPC66/DSPF_sp_fftSPxSP_opt.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FFTSPXSP_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FFTSPXSP_66_LE_ELF_SRCDSPF_SP_FFTSPXSP "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fftSPxSP" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FFTSPXSP_66_LE_ELF_SRCDSPF_SP_FFTSPXSPC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fftSPxSP/c66" \

	echo EXT_ROOT__DSPF_SP_FFTSPXSP_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_FFTSPXSP_66_LE_ELF_SRCDSPF_SP_FFTSPXSP=../../ >> src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_FFTSPXSP_66_LE_ELF_SRCDSPF_SP_FFTSPXSPC66=.././ >> src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fftSPxSP_66_LE_ELF"
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_ELF/Release/DSPF_sp_fftSPxSP_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_ELF/Release/DSPF_sp_fftSPxSP_66_LE_ELF.out: src/DSPF_sp_fftSPxSP/DSPF_sp_fftSPxSP.h
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_ELF/Release/DSPF_sp_fftSPxSP_66_LE_ELF.out: src/DSPF_sp_fftSPxSP//c66/DSPF_sp_fftSPxSP.h
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_ELF/Release/DSPF_sp_fftSPxSP_66_LE_ELF.out: src/DSPF_sp_fftSPxSP//c66/DSPF_sp_fftSPxSP_cn.h
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_ELF/Release/DSPF_sp_fftSPxSP_66_LE_ELF.out: src/DSPF_sp_fftSPxSP//c66/DSPF_sp_fftSPxSP_d.c
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_ELF/Release/DSPF_sp_fftSPxSP_66_LE_ELF.out: src/DSPF_sp_fftSPxSP//c66/DSPF_sp_fftSPxSP_opt.c
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_ELF/Release/DSPF_sp_fftSPxSP_66_LE_ELF.out: src/DSPF_sp_fftSPxSP//c66/DSPF_sp_fftSPxSP_opt.h
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_ELF/Release/DSPF_sp_fftSPxSP_66_LE_ELF.out: src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_fftSPxSP_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fftSPxSP_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_fftSPxSP_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fftSPxSP/c66/DSPF_sp_fftSPxSP_66_LE_ELF"
	-@ echo Building Project DSPF_sp_fftSPxSP_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fftSPxSP_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_fftSPxSP_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_fftSPxSP_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fftSPxSP_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_fftSPxSP_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_ELF/Release/DSPF_sp_fftSPxSP_66_BE_ELF.out

.projects: src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_ELF

src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_ELF: src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_ELF/.project

src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fftSPxSP_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_fftSPxSP_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_FFTSPXSP_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_FFTSPXSP_66_BE_ELF_SRCDSPF_SP_FFTSPXSPC66/DSPF_sp_fftSPxSP_d.c\
 -ccs.linkFile EXT_ROOT__DSPF_SP_FFTSPXSP_66_BE_ELF_SRCDSPF_SP_FFTSPXSPC66/DSPF_sp_fftSPxSP_opt.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FFTSPXSP_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FFTSPXSP_66_BE_ELF_SRCDSPF_SP_FFTSPXSP "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fftSPxSP" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FFTSPXSP_66_BE_ELF_SRCDSPF_SP_FFTSPXSPC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fftSPxSP/c66" \

	echo EXT_ROOT__DSPF_SP_FFTSPXSP_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_FFTSPXSP_66_BE_ELF_SRCDSPF_SP_FFTSPXSP=../../ >> src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_FFTSPXSP_66_BE_ELF_SRCDSPF_SP_FFTSPXSPC66=.././ >> src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fftSPxSP_66_BE_ELF"
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_ELF/Release/DSPF_sp_fftSPxSP_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_ELF/Release/DSPF_sp_fftSPxSP_66_BE_ELF.out: src/DSPF_sp_fftSPxSP/DSPF_sp_fftSPxSP.h
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_ELF/Release/DSPF_sp_fftSPxSP_66_BE_ELF.out: src/DSPF_sp_fftSPxSP//c66/DSPF_sp_fftSPxSP.h
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_ELF/Release/DSPF_sp_fftSPxSP_66_BE_ELF.out: src/DSPF_sp_fftSPxSP//c66/DSPF_sp_fftSPxSP_cn.h
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_ELF/Release/DSPF_sp_fftSPxSP_66_BE_ELF.out: src/DSPF_sp_fftSPxSP//c66/DSPF_sp_fftSPxSP_d.c
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_ELF/Release/DSPF_sp_fftSPxSP_66_BE_ELF.out: src/DSPF_sp_fftSPxSP//c66/DSPF_sp_fftSPxSP_opt.c
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_ELF/Release/DSPF_sp_fftSPxSP_66_BE_ELF.out: src/DSPF_sp_fftSPxSP//c66/DSPF_sp_fftSPxSP_opt.h
src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_ELF/Release/DSPF_sp_fftSPxSP_66_BE_ELF.out: src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_fftSPxSP_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fftSPxSP_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_fftSPxSP_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fftSPxSP/c66/DSPF_sp_fftSPxSP_66_BE_ELF"
	-@ echo Building Project DSPF_sp_fftSPxSP_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fftSPxSP_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_fftSPxSP_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_fftSPxSP_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fftSPxSP_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_fftSPxSP//c66//DSPF_sp_fftSPxSP_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_fftSPxSP_r2c_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_COFF/Release/DSPF_sp_fftSPxSP_r2c_66_LE_COFF.out

.projects: src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_COFF

src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_COFF: src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_COFF/.project

src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fftSPxSP_r2c_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_fftSPxSP_r2c_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_LE_COFF_SRCDSPF_SP_FFTSPXSP_R2CC66/DSPF_sp_fftSPxSP_r2c_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_LE_COFF_SRCDSPF_SP_FFTSPXSP_R2C "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fftSPxSP_r2c" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_LE_COFF_SRCDSPF_SP_FFTSPXSP_R2CC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fftSPxSP_r2c/c66" \

	echo EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_LE_COFF_SRCDSPF_SP_FFTSPXSP_R2C=../../ >> src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_LE_COFF_SRCDSPF_SP_FFTSPXSP_R2CC66=.././ >> src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fftSPxSP_r2c_66_LE_COFF"
src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_COFF/Release/DSPF_sp_fftSPxSP_r2c_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_COFF/Release/DSPF_sp_fftSPxSP_r2c_66_LE_COFF.out: src/DSPF_sp_fftSPxSP_r2c/DSPF_sp_fftSPxSP_r2c.h
src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_COFF/Release/DSPF_sp_fftSPxSP_r2c_66_LE_COFF.out: src/DSPF_sp_fftSPxSP_r2c//c66/DSPF_sp_fftSPxSP_r2c.h
src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_COFF/Release/DSPF_sp_fftSPxSP_r2c_66_LE_COFF.out: src/DSPF_sp_fftSPxSP_r2c//c66/DSPF_sp_fftSPxSP_r2c_cn.h
src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_COFF/Release/DSPF_sp_fftSPxSP_r2c_66_LE_COFF.out: src/DSPF_sp_fftSPxSP_r2c//c66/DSPF_sp_fftSPxSP_r2c_d.c
src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_COFF/Release/DSPF_sp_fftSPxSP_r2c_66_LE_COFF.out: src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_fftSPxSP_r2c_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fftSPxSP_r2c_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_fftSPxSP_r2c_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fftSPxSP_r2c/c66/DSPF_sp_fftSPxSP_r2c_66_LE_COFF"
	-@ echo Building Project DSPF_sp_fftSPxSP_r2c_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fftSPxSP_r2c_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_fftSPxSP_r2c_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_fftSPxSP_r2c_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fftSPxSP_r2c_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_fftSPxSP_r2c_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_COFF/Release/DSPF_sp_fftSPxSP_r2c_66_BE_COFF.out

.projects: src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_COFF

src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_COFF: src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_COFF/.project

src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fftSPxSP_r2c_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_fftSPxSP_r2c_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_BE_COFF_SRCDSPF_SP_FFTSPXSP_R2CC66/DSPF_sp_fftSPxSP_r2c_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_BE_COFF_SRCDSPF_SP_FFTSPXSP_R2C "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fftSPxSP_r2c" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_BE_COFF_SRCDSPF_SP_FFTSPXSP_R2CC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fftSPxSP_r2c/c66" \

	echo EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_BE_COFF_SRCDSPF_SP_FFTSPXSP_R2C=../../ >> src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_BE_COFF_SRCDSPF_SP_FFTSPXSP_R2CC66=.././ >> src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fftSPxSP_r2c_66_BE_COFF"
src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_COFF/Release/DSPF_sp_fftSPxSP_r2c_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_COFF/Release/DSPF_sp_fftSPxSP_r2c_66_BE_COFF.out: src/DSPF_sp_fftSPxSP_r2c/DSPF_sp_fftSPxSP_r2c.h
src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_COFF/Release/DSPF_sp_fftSPxSP_r2c_66_BE_COFF.out: src/DSPF_sp_fftSPxSP_r2c//c66/DSPF_sp_fftSPxSP_r2c.h
src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_COFF/Release/DSPF_sp_fftSPxSP_r2c_66_BE_COFF.out: src/DSPF_sp_fftSPxSP_r2c//c66/DSPF_sp_fftSPxSP_r2c_cn.h
src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_COFF/Release/DSPF_sp_fftSPxSP_r2c_66_BE_COFF.out: src/DSPF_sp_fftSPxSP_r2c//c66/DSPF_sp_fftSPxSP_r2c_d.c
src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_COFF/Release/DSPF_sp_fftSPxSP_r2c_66_BE_COFF.out: src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_fftSPxSP_r2c_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fftSPxSP_r2c_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_fftSPxSP_r2c_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fftSPxSP_r2c/c66/DSPF_sp_fftSPxSP_r2c_66_BE_COFF"
	-@ echo Building Project DSPF_sp_fftSPxSP_r2c_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fftSPxSP_r2c_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_fftSPxSP_r2c_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_fftSPxSP_r2c_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fftSPxSP_r2c_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_fftSPxSP_r2c_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_ELF/Release/DSPF_sp_fftSPxSP_r2c_66_LE_ELF.out

.projects: src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_ELF

src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_ELF: src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_ELF/.project

src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fftSPxSP_r2c_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_fftSPxSP_r2c_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_LE_ELF_SRCDSPF_SP_FFTSPXSP_R2CC66/DSPF_sp_fftSPxSP_r2c_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_LE_ELF_SRCDSPF_SP_FFTSPXSP_R2C "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fftSPxSP_r2c" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_LE_ELF_SRCDSPF_SP_FFTSPXSP_R2CC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fftSPxSP_r2c/c66" \

	echo EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_LE_ELF_SRCDSPF_SP_FFTSPXSP_R2C=../../ >> src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_LE_ELF_SRCDSPF_SP_FFTSPXSP_R2CC66=.././ >> src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fftSPxSP_r2c_66_LE_ELF"
src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_ELF/Release/DSPF_sp_fftSPxSP_r2c_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_ELF/Release/DSPF_sp_fftSPxSP_r2c_66_LE_ELF.out: src/DSPF_sp_fftSPxSP_r2c/DSPF_sp_fftSPxSP_r2c.h
src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_ELF/Release/DSPF_sp_fftSPxSP_r2c_66_LE_ELF.out: src/DSPF_sp_fftSPxSP_r2c//c66/DSPF_sp_fftSPxSP_r2c.h
src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_ELF/Release/DSPF_sp_fftSPxSP_r2c_66_LE_ELF.out: src/DSPF_sp_fftSPxSP_r2c//c66/DSPF_sp_fftSPxSP_r2c_cn.h
src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_ELF/Release/DSPF_sp_fftSPxSP_r2c_66_LE_ELF.out: src/DSPF_sp_fftSPxSP_r2c//c66/DSPF_sp_fftSPxSP_r2c_d.c
src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_ELF/Release/DSPF_sp_fftSPxSP_r2c_66_LE_ELF.out: src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_fftSPxSP_r2c_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fftSPxSP_r2c_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_fftSPxSP_r2c_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fftSPxSP_r2c/c66/DSPF_sp_fftSPxSP_r2c_66_LE_ELF"
	-@ echo Building Project DSPF_sp_fftSPxSP_r2c_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fftSPxSP_r2c_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_fftSPxSP_r2c_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_fftSPxSP_r2c_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fftSPxSP_r2c_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_fftSPxSP_r2c_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_ELF/Release/DSPF_sp_fftSPxSP_r2c_66_BE_ELF.out

.projects: src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_ELF

src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_ELF: src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_ELF/.project

src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fftSPxSP_r2c_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_fftSPxSP_r2c_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_BE_ELF_SRCDSPF_SP_FFTSPXSP_R2CC66/DSPF_sp_fftSPxSP_r2c_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_BE_ELF_SRCDSPF_SP_FFTSPXSP_R2C "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fftSPxSP_r2c" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_BE_ELF_SRCDSPF_SP_FFTSPXSP_R2CC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fftSPxSP_r2c/c66" \

	echo EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_BE_ELF_SRCDSPF_SP_FFTSPXSP_R2C=../../ >> src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_FFTSPXSP_R2C_66_BE_ELF_SRCDSPF_SP_FFTSPXSP_R2CC66=.././ >> src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fftSPxSP_r2c_66_BE_ELF"
src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_ELF/Release/DSPF_sp_fftSPxSP_r2c_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_ELF/Release/DSPF_sp_fftSPxSP_r2c_66_BE_ELF.out: src/DSPF_sp_fftSPxSP_r2c/DSPF_sp_fftSPxSP_r2c.h
src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_ELF/Release/DSPF_sp_fftSPxSP_r2c_66_BE_ELF.out: src/DSPF_sp_fftSPxSP_r2c//c66/DSPF_sp_fftSPxSP_r2c.h
src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_ELF/Release/DSPF_sp_fftSPxSP_r2c_66_BE_ELF.out: src/DSPF_sp_fftSPxSP_r2c//c66/DSPF_sp_fftSPxSP_r2c_cn.h
src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_ELF/Release/DSPF_sp_fftSPxSP_r2c_66_BE_ELF.out: src/DSPF_sp_fftSPxSP_r2c//c66/DSPF_sp_fftSPxSP_r2c_d.c
src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_ELF/Release/DSPF_sp_fftSPxSP_r2c_66_BE_ELF.out: src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_fftSPxSP_r2c_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fftSPxSP_r2c_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_fftSPxSP_r2c_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fftSPxSP_r2c/c66/DSPF_sp_fftSPxSP_r2c_66_BE_ELF"
	-@ echo Building Project DSPF_sp_fftSPxSP_r2c_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fftSPxSP_r2c_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_fftSPxSP_r2c_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_fftSPxSP_r2c_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fftSPxSP_r2c_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_fftSPxSP_r2c//c66//DSPF_sp_fftSPxSP_r2c_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_fircirc_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_COFF/Release/DSPF_sp_fircirc_66_LE_COFF.out

.projects: src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_COFF

src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_COFF: src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_COFF/.project

src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fircirc_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_fircirc_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_FIRCIRC_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_FIRCIRC_66_LE_COFF_SRCDSPF_SP_FIRCIRCC66/DSPF_sp_fircirc_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIRCIRC_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIRCIRC_66_LE_COFF_SRCDSPF_SP_FIRCIRC "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fircirc" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIRCIRC_66_LE_COFF_SRCDSPF_SP_FIRCIRCC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fircirc/c66" \

	echo EXT_ROOT__DSPF_SP_FIRCIRC_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIRCIRC_66_LE_COFF_SRCDSPF_SP_FIRCIRC=../../ >> src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIRCIRC_66_LE_COFF_SRCDSPF_SP_FIRCIRCC66=.././ >> src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fircirc_66_LE_COFF"
src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_COFF/Release/DSPF_sp_fircirc_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_COFF/Release/DSPF_sp_fircirc_66_LE_COFF.out: src/DSPF_sp_fircirc/DSPF_sp_fircirc.h
src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_COFF/Release/DSPF_sp_fircirc_66_LE_COFF.out: src/DSPF_sp_fircirc//c66/DSPF_sp_fircirc.h
src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_COFF/Release/DSPF_sp_fircirc_66_LE_COFF.out: src/DSPF_sp_fircirc//c66/DSPF_sp_fircirc_cn.h
src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_COFF/Release/DSPF_sp_fircirc_66_LE_COFF.out: src/DSPF_sp_fircirc//c66/DSPF_sp_fircirc_d.c
src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_COFF/Release/DSPF_sp_fircirc_66_LE_COFF.out: src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_fircirc_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fircirc_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_fircirc_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fircirc/c66/DSPF_sp_fircirc_66_LE_COFF"
	-@ echo Building Project DSPF_sp_fircirc_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fircirc_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_fircirc_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_fircirc_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fircirc_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_fircirc_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_COFF/Release/DSPF_sp_fircirc_66_BE_COFF.out

.projects: src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_COFF

src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_COFF: src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_COFF/.project

src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fircirc_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_fircirc_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_FIRCIRC_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_FIRCIRC_66_BE_COFF_SRCDSPF_SP_FIRCIRCC66/DSPF_sp_fircirc_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIRCIRC_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIRCIRC_66_BE_COFF_SRCDSPF_SP_FIRCIRC "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fircirc" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIRCIRC_66_BE_COFF_SRCDSPF_SP_FIRCIRCC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fircirc/c66" \

	echo EXT_ROOT__DSPF_SP_FIRCIRC_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIRCIRC_66_BE_COFF_SRCDSPF_SP_FIRCIRC=../../ >> src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIRCIRC_66_BE_COFF_SRCDSPF_SP_FIRCIRCC66=.././ >> src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fircirc_66_BE_COFF"
src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_COFF/Release/DSPF_sp_fircirc_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_COFF/Release/DSPF_sp_fircirc_66_BE_COFF.out: src/DSPF_sp_fircirc/DSPF_sp_fircirc.h
src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_COFF/Release/DSPF_sp_fircirc_66_BE_COFF.out: src/DSPF_sp_fircirc//c66/DSPF_sp_fircirc.h
src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_COFF/Release/DSPF_sp_fircirc_66_BE_COFF.out: src/DSPF_sp_fircirc//c66/DSPF_sp_fircirc_cn.h
src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_COFF/Release/DSPF_sp_fircirc_66_BE_COFF.out: src/DSPF_sp_fircirc//c66/DSPF_sp_fircirc_d.c
src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_COFF/Release/DSPF_sp_fircirc_66_BE_COFF.out: src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_fircirc_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fircirc_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_fircirc_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fircirc/c66/DSPF_sp_fircirc_66_BE_COFF"
	-@ echo Building Project DSPF_sp_fircirc_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fircirc_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_fircirc_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_fircirc_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fircirc_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_fircirc_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_ELF/Release/DSPF_sp_fircirc_66_LE_ELF.out

.projects: src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_ELF

src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_ELF: src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_ELF/.project

src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fircirc_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_fircirc_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_FIRCIRC_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_FIRCIRC_66_LE_ELF_SRCDSPF_SP_FIRCIRCC66/DSPF_sp_fircirc_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIRCIRC_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIRCIRC_66_LE_ELF_SRCDSPF_SP_FIRCIRC "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fircirc" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIRCIRC_66_LE_ELF_SRCDSPF_SP_FIRCIRCC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fircirc/c66" \

	echo EXT_ROOT__DSPF_SP_FIRCIRC_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIRCIRC_66_LE_ELF_SRCDSPF_SP_FIRCIRC=../../ >> src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIRCIRC_66_LE_ELF_SRCDSPF_SP_FIRCIRCC66=.././ >> src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fircirc_66_LE_ELF"
src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_ELF/Release/DSPF_sp_fircirc_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_ELF/Release/DSPF_sp_fircirc_66_LE_ELF.out: src/DSPF_sp_fircirc/DSPF_sp_fircirc.h
src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_ELF/Release/DSPF_sp_fircirc_66_LE_ELF.out: src/DSPF_sp_fircirc//c66/DSPF_sp_fircirc.h
src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_ELF/Release/DSPF_sp_fircirc_66_LE_ELF.out: src/DSPF_sp_fircirc//c66/DSPF_sp_fircirc_cn.h
src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_ELF/Release/DSPF_sp_fircirc_66_LE_ELF.out: src/DSPF_sp_fircirc//c66/DSPF_sp_fircirc_d.c
src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_ELF/Release/DSPF_sp_fircirc_66_LE_ELF.out: src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_fircirc_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fircirc_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_fircirc_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fircirc/c66/DSPF_sp_fircirc_66_LE_ELF"
	-@ echo Building Project DSPF_sp_fircirc_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fircirc_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_fircirc_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_fircirc_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fircirc_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_fircirc_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_ELF/Release/DSPF_sp_fircirc_66_BE_ELF.out

.projects: src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_ELF

src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_ELF: src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_ELF/.project

src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fircirc_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_fircirc_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_FIRCIRC_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_FIRCIRC_66_BE_ELF_SRCDSPF_SP_FIRCIRCC66/DSPF_sp_fircirc_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIRCIRC_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIRCIRC_66_BE_ELF_SRCDSPF_SP_FIRCIRC "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fircirc" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIRCIRC_66_BE_ELF_SRCDSPF_SP_FIRCIRCC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fircirc/c66" \

	echo EXT_ROOT__DSPF_SP_FIRCIRC_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIRCIRC_66_BE_ELF_SRCDSPF_SP_FIRCIRC=../../ >> src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIRCIRC_66_BE_ELF_SRCDSPF_SP_FIRCIRCC66=.././ >> src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fircirc_66_BE_ELF"
src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_ELF/Release/DSPF_sp_fircirc_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_ELF/Release/DSPF_sp_fircirc_66_BE_ELF.out: src/DSPF_sp_fircirc/DSPF_sp_fircirc.h
src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_ELF/Release/DSPF_sp_fircirc_66_BE_ELF.out: src/DSPF_sp_fircirc//c66/DSPF_sp_fircirc.h
src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_ELF/Release/DSPF_sp_fircirc_66_BE_ELF.out: src/DSPF_sp_fircirc//c66/DSPF_sp_fircirc_cn.h
src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_ELF/Release/DSPF_sp_fircirc_66_BE_ELF.out: src/DSPF_sp_fircirc//c66/DSPF_sp_fircirc_d.c
src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_ELF/Release/DSPF_sp_fircirc_66_BE_ELF.out: src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_fircirc_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fircirc_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_fircirc_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fircirc/c66/DSPF_sp_fircirc_66_BE_ELF"
	-@ echo Building Project DSPF_sp_fircirc_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fircirc_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_fircirc_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_fircirc_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fircirc_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_fircirc//c66//DSPF_sp_fircirc_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_fir_cplx_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_COFF/Release/DSPF_sp_fir_cplx_66_LE_COFF.out

.projects: src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_COFF

src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_COFF: src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_COFF/.project

src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_cplx_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_fir_cplx_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_FIR_CPLX_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_FIR_CPLX_66_LE_COFF_SRCDSPF_SP_FIR_CPLXC66/DSPF_sp_fir_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_CPLX_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_CPLX_66_LE_COFF_SRCDSPF_SP_FIR_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_CPLX_66_LE_COFF_SRCDSPF_SP_FIR_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_cplx/c66" \

	echo EXT_ROOT__DSPF_SP_FIR_CPLX_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIR_CPLX_66_LE_COFF_SRCDSPF_SP_FIR_CPLX=../../ >> src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIR_CPLX_66_LE_COFF_SRCDSPF_SP_FIR_CPLXC66=.././ >> src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fir_cplx_66_LE_COFF"
src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_COFF/Release/DSPF_sp_fir_cplx_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_COFF/Release/DSPF_sp_fir_cplx_66_LE_COFF.out: src/DSPF_sp_fir_cplx/DSPF_sp_fir_cplx.h
src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_COFF/Release/DSPF_sp_fir_cplx_66_LE_COFF.out: src/DSPF_sp_fir_cplx//c66/DSPF_sp_fir_cplx.h
src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_COFF/Release/DSPF_sp_fir_cplx_66_LE_COFF.out: src/DSPF_sp_fir_cplx//c66/DSPF_sp_fir_cplx_cn.h
src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_COFF/Release/DSPF_sp_fir_cplx_66_LE_COFF.out: src/DSPF_sp_fir_cplx//c66/DSPF_sp_fir_cplx_d.c
src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_COFF/Release/DSPF_sp_fir_cplx_66_LE_COFF.out: src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_fir_cplx_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_cplx_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_fir_cplx_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_cplx/c66/DSPF_sp_fir_cplx_66_LE_COFF"
	-@ echo Building Project DSPF_sp_fir_cplx_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_cplx_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_fir_cplx_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_fir_cplx_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fir_cplx_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_fir_cplx_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_COFF/Release/DSPF_sp_fir_cplx_66_BE_COFF.out

.projects: src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_COFF

src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_COFF: src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_COFF/.project

src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_cplx_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_fir_cplx_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_FIR_CPLX_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_FIR_CPLX_66_BE_COFF_SRCDSPF_SP_FIR_CPLXC66/DSPF_sp_fir_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_CPLX_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_CPLX_66_BE_COFF_SRCDSPF_SP_FIR_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_CPLX_66_BE_COFF_SRCDSPF_SP_FIR_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_cplx/c66" \

	echo EXT_ROOT__DSPF_SP_FIR_CPLX_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIR_CPLX_66_BE_COFF_SRCDSPF_SP_FIR_CPLX=../../ >> src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIR_CPLX_66_BE_COFF_SRCDSPF_SP_FIR_CPLXC66=.././ >> src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fir_cplx_66_BE_COFF"
src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_COFF/Release/DSPF_sp_fir_cplx_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_COFF/Release/DSPF_sp_fir_cplx_66_BE_COFF.out: src/DSPF_sp_fir_cplx/DSPF_sp_fir_cplx.h
src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_COFF/Release/DSPF_sp_fir_cplx_66_BE_COFF.out: src/DSPF_sp_fir_cplx//c66/DSPF_sp_fir_cplx.h
src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_COFF/Release/DSPF_sp_fir_cplx_66_BE_COFF.out: src/DSPF_sp_fir_cplx//c66/DSPF_sp_fir_cplx_cn.h
src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_COFF/Release/DSPF_sp_fir_cplx_66_BE_COFF.out: src/DSPF_sp_fir_cplx//c66/DSPF_sp_fir_cplx_d.c
src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_COFF/Release/DSPF_sp_fir_cplx_66_BE_COFF.out: src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_fir_cplx_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_cplx_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_fir_cplx_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_cplx/c66/DSPF_sp_fir_cplx_66_BE_COFF"
	-@ echo Building Project DSPF_sp_fir_cplx_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_cplx_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_fir_cplx_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_fir_cplx_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fir_cplx_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_fir_cplx_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_ELF/Release/DSPF_sp_fir_cplx_66_LE_ELF.out

.projects: src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_ELF

src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_ELF: src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_ELF/.project

src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_cplx_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_fir_cplx_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_FIR_CPLX_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_FIR_CPLX_66_LE_ELF_SRCDSPF_SP_FIR_CPLXC66/DSPF_sp_fir_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_CPLX_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_CPLX_66_LE_ELF_SRCDSPF_SP_FIR_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_CPLX_66_LE_ELF_SRCDSPF_SP_FIR_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_cplx/c66" \

	echo EXT_ROOT__DSPF_SP_FIR_CPLX_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIR_CPLX_66_LE_ELF_SRCDSPF_SP_FIR_CPLX=../../ >> src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIR_CPLX_66_LE_ELF_SRCDSPF_SP_FIR_CPLXC66=.././ >> src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fir_cplx_66_LE_ELF"
src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_ELF/Release/DSPF_sp_fir_cplx_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_ELF/Release/DSPF_sp_fir_cplx_66_LE_ELF.out: src/DSPF_sp_fir_cplx/DSPF_sp_fir_cplx.h
src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_ELF/Release/DSPF_sp_fir_cplx_66_LE_ELF.out: src/DSPF_sp_fir_cplx//c66/DSPF_sp_fir_cplx.h
src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_ELF/Release/DSPF_sp_fir_cplx_66_LE_ELF.out: src/DSPF_sp_fir_cplx//c66/DSPF_sp_fir_cplx_cn.h
src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_ELF/Release/DSPF_sp_fir_cplx_66_LE_ELF.out: src/DSPF_sp_fir_cplx//c66/DSPF_sp_fir_cplx_d.c
src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_ELF/Release/DSPF_sp_fir_cplx_66_LE_ELF.out: src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_fir_cplx_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_cplx_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_fir_cplx_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_cplx/c66/DSPF_sp_fir_cplx_66_LE_ELF"
	-@ echo Building Project DSPF_sp_fir_cplx_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_cplx_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_fir_cplx_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_fir_cplx_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fir_cplx_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_fir_cplx_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_ELF/Release/DSPF_sp_fir_cplx_66_BE_ELF.out

.projects: src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_ELF

src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_ELF: src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_ELF/.project

src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_cplx_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_fir_cplx_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_FIR_CPLX_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_FIR_CPLX_66_BE_ELF_SRCDSPF_SP_FIR_CPLXC66/DSPF_sp_fir_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_CPLX_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_CPLX_66_BE_ELF_SRCDSPF_SP_FIR_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_CPLX_66_BE_ELF_SRCDSPF_SP_FIR_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_cplx/c66" \

	echo EXT_ROOT__DSPF_SP_FIR_CPLX_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIR_CPLX_66_BE_ELF_SRCDSPF_SP_FIR_CPLX=../../ >> src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIR_CPLX_66_BE_ELF_SRCDSPF_SP_FIR_CPLXC66=.././ >> src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fir_cplx_66_BE_ELF"
src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_ELF/Release/DSPF_sp_fir_cplx_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_ELF/Release/DSPF_sp_fir_cplx_66_BE_ELF.out: src/DSPF_sp_fir_cplx/DSPF_sp_fir_cplx.h
src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_ELF/Release/DSPF_sp_fir_cplx_66_BE_ELF.out: src/DSPF_sp_fir_cplx//c66/DSPF_sp_fir_cplx.h
src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_ELF/Release/DSPF_sp_fir_cplx_66_BE_ELF.out: src/DSPF_sp_fir_cplx//c66/DSPF_sp_fir_cplx_cn.h
src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_ELF/Release/DSPF_sp_fir_cplx_66_BE_ELF.out: src/DSPF_sp_fir_cplx//c66/DSPF_sp_fir_cplx_d.c
src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_ELF/Release/DSPF_sp_fir_cplx_66_BE_ELF.out: src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_fir_cplx_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_cplx_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_fir_cplx_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_cplx/c66/DSPF_sp_fir_cplx_66_BE_ELF"
	-@ echo Building Project DSPF_sp_fir_cplx_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_cplx_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_fir_cplx_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_fir_cplx_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fir_cplx_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_fir_cplx//c66//DSPF_sp_fir_cplx_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_fir_gen_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_COFF/Release/DSPF_sp_fir_gen_66_LE_COFF.out

.projects: src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_COFF

src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_COFF: src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_COFF/.project

src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_gen_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_fir_gen_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_FIR_GEN_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_FIR_GEN_66_LE_COFF_SRCDSPF_SP_FIR_GENC66/DSPF_sp_fir_gen_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_GEN_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_GEN_66_LE_COFF_SRCDSPF_SP_FIR_GEN "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_gen" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_GEN_66_LE_COFF_SRCDSPF_SP_FIR_GENC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_gen/c66" \

	echo EXT_ROOT__DSPF_SP_FIR_GEN_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIR_GEN_66_LE_COFF_SRCDSPF_SP_FIR_GEN=../../ >> src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIR_GEN_66_LE_COFF_SRCDSPF_SP_FIR_GENC66=.././ >> src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fir_gen_66_LE_COFF"
src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_COFF/Release/DSPF_sp_fir_gen_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_COFF/Release/DSPF_sp_fir_gen_66_LE_COFF.out: src/DSPF_sp_fir_gen/DSPF_sp_fir_gen.h
src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_COFF/Release/DSPF_sp_fir_gen_66_LE_COFF.out: src/DSPF_sp_fir_gen//c66/DSPF_sp_fir_gen.h
src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_COFF/Release/DSPF_sp_fir_gen_66_LE_COFF.out: src/DSPF_sp_fir_gen//c66/DSPF_sp_fir_gen_cn.h
src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_COFF/Release/DSPF_sp_fir_gen_66_LE_COFF.out: src/DSPF_sp_fir_gen//c66/DSPF_sp_fir_gen_d.c
src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_COFF/Release/DSPF_sp_fir_gen_66_LE_COFF.out: src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_fir_gen_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_gen_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_fir_gen_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_gen/c66/DSPF_sp_fir_gen_66_LE_COFF"
	-@ echo Building Project DSPF_sp_fir_gen_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_gen_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_fir_gen_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_fir_gen_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fir_gen_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_fir_gen_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_COFF/Release/DSPF_sp_fir_gen_66_BE_COFF.out

.projects: src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_COFF

src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_COFF: src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_COFF/.project

src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_gen_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_fir_gen_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_FIR_GEN_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_FIR_GEN_66_BE_COFF_SRCDSPF_SP_FIR_GENC66/DSPF_sp_fir_gen_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_GEN_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_GEN_66_BE_COFF_SRCDSPF_SP_FIR_GEN "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_gen" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_GEN_66_BE_COFF_SRCDSPF_SP_FIR_GENC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_gen/c66" \

	echo EXT_ROOT__DSPF_SP_FIR_GEN_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIR_GEN_66_BE_COFF_SRCDSPF_SP_FIR_GEN=../../ >> src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIR_GEN_66_BE_COFF_SRCDSPF_SP_FIR_GENC66=.././ >> src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fir_gen_66_BE_COFF"
src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_COFF/Release/DSPF_sp_fir_gen_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_COFF/Release/DSPF_sp_fir_gen_66_BE_COFF.out: src/DSPF_sp_fir_gen/DSPF_sp_fir_gen.h
src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_COFF/Release/DSPF_sp_fir_gen_66_BE_COFF.out: src/DSPF_sp_fir_gen//c66/DSPF_sp_fir_gen.h
src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_COFF/Release/DSPF_sp_fir_gen_66_BE_COFF.out: src/DSPF_sp_fir_gen//c66/DSPF_sp_fir_gen_cn.h
src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_COFF/Release/DSPF_sp_fir_gen_66_BE_COFF.out: src/DSPF_sp_fir_gen//c66/DSPF_sp_fir_gen_d.c
src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_COFF/Release/DSPF_sp_fir_gen_66_BE_COFF.out: src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_fir_gen_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_gen_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_fir_gen_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_gen/c66/DSPF_sp_fir_gen_66_BE_COFF"
	-@ echo Building Project DSPF_sp_fir_gen_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_gen_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_fir_gen_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_fir_gen_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fir_gen_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_fir_gen_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_ELF/Release/DSPF_sp_fir_gen_66_LE_ELF.out

.projects: src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_ELF

src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_ELF: src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_ELF/.project

src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_gen_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_fir_gen_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_FIR_GEN_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_FIR_GEN_66_LE_ELF_SRCDSPF_SP_FIR_GENC66/DSPF_sp_fir_gen_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_GEN_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_GEN_66_LE_ELF_SRCDSPF_SP_FIR_GEN "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_gen" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_GEN_66_LE_ELF_SRCDSPF_SP_FIR_GENC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_gen/c66" \

	echo EXT_ROOT__DSPF_SP_FIR_GEN_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIR_GEN_66_LE_ELF_SRCDSPF_SP_FIR_GEN=../../ >> src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIR_GEN_66_LE_ELF_SRCDSPF_SP_FIR_GENC66=.././ >> src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fir_gen_66_LE_ELF"
src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_ELF/Release/DSPF_sp_fir_gen_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_ELF/Release/DSPF_sp_fir_gen_66_LE_ELF.out: src/DSPF_sp_fir_gen/DSPF_sp_fir_gen.h
src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_ELF/Release/DSPF_sp_fir_gen_66_LE_ELF.out: src/DSPF_sp_fir_gen//c66/DSPF_sp_fir_gen.h
src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_ELF/Release/DSPF_sp_fir_gen_66_LE_ELF.out: src/DSPF_sp_fir_gen//c66/DSPF_sp_fir_gen_cn.h
src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_ELF/Release/DSPF_sp_fir_gen_66_LE_ELF.out: src/DSPF_sp_fir_gen//c66/DSPF_sp_fir_gen_d.c
src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_ELF/Release/DSPF_sp_fir_gen_66_LE_ELF.out: src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_fir_gen_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_gen_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_fir_gen_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_gen/c66/DSPF_sp_fir_gen_66_LE_ELF"
	-@ echo Building Project DSPF_sp_fir_gen_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_gen_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_fir_gen_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_fir_gen_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fir_gen_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_fir_gen_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_ELF/Release/DSPF_sp_fir_gen_66_BE_ELF.out

.projects: src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_ELF

src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_ELF: src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_ELF/.project

src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_gen_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_fir_gen_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_FIR_GEN_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_FIR_GEN_66_BE_ELF_SRCDSPF_SP_FIR_GENC66/DSPF_sp_fir_gen_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_GEN_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_GEN_66_BE_ELF_SRCDSPF_SP_FIR_GEN "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_gen" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_GEN_66_BE_ELF_SRCDSPF_SP_FIR_GENC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_gen/c66" \

	echo EXT_ROOT__DSPF_SP_FIR_GEN_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIR_GEN_66_BE_ELF_SRCDSPF_SP_FIR_GEN=../../ >> src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIR_GEN_66_BE_ELF_SRCDSPF_SP_FIR_GENC66=.././ >> src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fir_gen_66_BE_ELF"
src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_ELF/Release/DSPF_sp_fir_gen_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_ELF/Release/DSPF_sp_fir_gen_66_BE_ELF.out: src/DSPF_sp_fir_gen/DSPF_sp_fir_gen.h
src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_ELF/Release/DSPF_sp_fir_gen_66_BE_ELF.out: src/DSPF_sp_fir_gen//c66/DSPF_sp_fir_gen.h
src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_ELF/Release/DSPF_sp_fir_gen_66_BE_ELF.out: src/DSPF_sp_fir_gen//c66/DSPF_sp_fir_gen_cn.h
src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_ELF/Release/DSPF_sp_fir_gen_66_BE_ELF.out: src/DSPF_sp_fir_gen//c66/DSPF_sp_fir_gen_d.c
src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_ELF/Release/DSPF_sp_fir_gen_66_BE_ELF.out: src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_fir_gen_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_gen_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_fir_gen_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_gen/c66/DSPF_sp_fir_gen_66_BE_ELF"
	-@ echo Building Project DSPF_sp_fir_gen_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_gen_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_fir_gen_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_fir_gen_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fir_gen_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_fir_gen//c66//DSPF_sp_fir_gen_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_fir_r2_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_COFF/Release/DSPF_sp_fir_r2_66_LE_COFF.out

.projects: src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_COFF

src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_COFF: src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_COFF/.project

src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_r2_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_fir_r2_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_FIR_R2_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_FIR_R2_66_LE_COFF_SRCDSPF_SP_FIR_R2C66/DSPF_sp_fir_r2_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_R2_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_R2_66_LE_COFF_SRCDSPF_SP_FIR_R2 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_r2" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_R2_66_LE_COFF_SRCDSPF_SP_FIR_R2C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_r2/c66" \

	echo EXT_ROOT__DSPF_SP_FIR_R2_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIR_R2_66_LE_COFF_SRCDSPF_SP_FIR_R2=../../ >> src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIR_R2_66_LE_COFF_SRCDSPF_SP_FIR_R2C66=.././ >> src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fir_r2_66_LE_COFF"
src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_COFF/Release/DSPF_sp_fir_r2_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_COFF/Release/DSPF_sp_fir_r2_66_LE_COFF.out: src/DSPF_sp_fir_r2/DSPF_sp_fir_r2.h
src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_COFF/Release/DSPF_sp_fir_r2_66_LE_COFF.out: src/DSPF_sp_fir_r2//c66/DSPF_sp_fir_r2.h
src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_COFF/Release/DSPF_sp_fir_r2_66_LE_COFF.out: src/DSPF_sp_fir_r2//c66/DSPF_sp_fir_r2_cn.h
src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_COFF/Release/DSPF_sp_fir_r2_66_LE_COFF.out: src/DSPF_sp_fir_r2//c66/DSPF_sp_fir_r2_d.c
src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_COFF/Release/DSPF_sp_fir_r2_66_LE_COFF.out: src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_fir_r2_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_r2_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_fir_r2_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_r2/c66/DSPF_sp_fir_r2_66_LE_COFF"
	-@ echo Building Project DSPF_sp_fir_r2_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_r2_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_fir_r2_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_fir_r2_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fir_r2_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_fir_r2_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_COFF/Release/DSPF_sp_fir_r2_66_BE_COFF.out

.projects: src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_COFF

src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_COFF: src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_COFF/.project

src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_r2_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_fir_r2_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_FIR_R2_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_FIR_R2_66_BE_COFF_SRCDSPF_SP_FIR_R2C66/DSPF_sp_fir_r2_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_R2_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_R2_66_BE_COFF_SRCDSPF_SP_FIR_R2 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_r2" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_R2_66_BE_COFF_SRCDSPF_SP_FIR_R2C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_r2/c66" \

	echo EXT_ROOT__DSPF_SP_FIR_R2_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIR_R2_66_BE_COFF_SRCDSPF_SP_FIR_R2=../../ >> src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIR_R2_66_BE_COFF_SRCDSPF_SP_FIR_R2C66=.././ >> src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fir_r2_66_BE_COFF"
src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_COFF/Release/DSPF_sp_fir_r2_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_COFF/Release/DSPF_sp_fir_r2_66_BE_COFF.out: src/DSPF_sp_fir_r2/DSPF_sp_fir_r2.h
src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_COFF/Release/DSPF_sp_fir_r2_66_BE_COFF.out: src/DSPF_sp_fir_r2//c66/DSPF_sp_fir_r2.h
src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_COFF/Release/DSPF_sp_fir_r2_66_BE_COFF.out: src/DSPF_sp_fir_r2//c66/DSPF_sp_fir_r2_cn.h
src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_COFF/Release/DSPF_sp_fir_r2_66_BE_COFF.out: src/DSPF_sp_fir_r2//c66/DSPF_sp_fir_r2_d.c
src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_COFF/Release/DSPF_sp_fir_r2_66_BE_COFF.out: src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_fir_r2_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_r2_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_fir_r2_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_r2/c66/DSPF_sp_fir_r2_66_BE_COFF"
	-@ echo Building Project DSPF_sp_fir_r2_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_r2_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_fir_r2_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_fir_r2_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fir_r2_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_fir_r2_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_ELF/Release/DSPF_sp_fir_r2_66_LE_ELF.out

.projects: src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_ELF

src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_ELF: src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_ELF/.project

src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_r2_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_fir_r2_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_FIR_R2_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_FIR_R2_66_LE_ELF_SRCDSPF_SP_FIR_R2C66/DSPF_sp_fir_r2_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_R2_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_R2_66_LE_ELF_SRCDSPF_SP_FIR_R2 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_r2" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_R2_66_LE_ELF_SRCDSPF_SP_FIR_R2C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_r2/c66" \

	echo EXT_ROOT__DSPF_SP_FIR_R2_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIR_R2_66_LE_ELF_SRCDSPF_SP_FIR_R2=../../ >> src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIR_R2_66_LE_ELF_SRCDSPF_SP_FIR_R2C66=.././ >> src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fir_r2_66_LE_ELF"
src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_ELF/Release/DSPF_sp_fir_r2_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_ELF/Release/DSPF_sp_fir_r2_66_LE_ELF.out: src/DSPF_sp_fir_r2/DSPF_sp_fir_r2.h
src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_ELF/Release/DSPF_sp_fir_r2_66_LE_ELF.out: src/DSPF_sp_fir_r2//c66/DSPF_sp_fir_r2.h
src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_ELF/Release/DSPF_sp_fir_r2_66_LE_ELF.out: src/DSPF_sp_fir_r2//c66/DSPF_sp_fir_r2_cn.h
src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_ELF/Release/DSPF_sp_fir_r2_66_LE_ELF.out: src/DSPF_sp_fir_r2//c66/DSPF_sp_fir_r2_d.c
src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_ELF/Release/DSPF_sp_fir_r2_66_LE_ELF.out: src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_fir_r2_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_r2_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_fir_r2_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_r2/c66/DSPF_sp_fir_r2_66_LE_ELF"
	-@ echo Building Project DSPF_sp_fir_r2_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_r2_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_fir_r2_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_fir_r2_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fir_r2_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_fir_r2_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_ELF/Release/DSPF_sp_fir_r2_66_BE_ELF.out

.projects: src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_ELF

src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_ELF: src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_ELF/.project

src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_r2_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_fir_r2_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_FIR_R2_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_FIR_R2_66_BE_ELF_SRCDSPF_SP_FIR_R2C66/DSPF_sp_fir_r2_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_R2_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_R2_66_BE_ELF_SRCDSPF_SP_FIR_R2 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_r2" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_FIR_R2_66_BE_ELF_SRCDSPF_SP_FIR_R2C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_r2/c66" \

	echo EXT_ROOT__DSPF_SP_FIR_R2_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIR_R2_66_BE_ELF_SRCDSPF_SP_FIR_R2=../../ >> src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_FIR_R2_66_BE_ELF_SRCDSPF_SP_FIR_R2C66=.././ >> src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fir_r2_66_BE_ELF"
src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_ELF/Release/DSPF_sp_fir_r2_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_ELF/Release/DSPF_sp_fir_r2_66_BE_ELF.out: src/DSPF_sp_fir_r2/DSPF_sp_fir_r2.h
src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_ELF/Release/DSPF_sp_fir_r2_66_BE_ELF.out: src/DSPF_sp_fir_r2//c66/DSPF_sp_fir_r2.h
src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_ELF/Release/DSPF_sp_fir_r2_66_BE_ELF.out: src/DSPF_sp_fir_r2//c66/DSPF_sp_fir_r2_cn.h
src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_ELF/Release/DSPF_sp_fir_r2_66_BE_ELF.out: src/DSPF_sp_fir_r2//c66/DSPF_sp_fir_r2_d.c
src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_ELF/Release/DSPF_sp_fir_r2_66_BE_ELF.out: src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_fir_r2_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_r2_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_fir_r2_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_fir_r2/c66/DSPF_sp_fir_r2_66_BE_ELF"
	-@ echo Building Project DSPF_sp_fir_r2_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_fir_r2_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_fir_r2_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_fir_r2_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_fir_r2_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_fir_r2//c66//DSPF_sp_fir_r2_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_ifftSPxSP_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_COFF/Release/DSPF_sp_ifftSPxSP_66_LE_COFF.out

.projects: src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_COFF

src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_COFF: src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_COFF/.project

src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_ifftSPxSP_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_ifftSPxSP_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_IFFTSPXSP_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_IFFTSPXSP_66_LE_COFF_SRCDSPF_SP_IFFTSPXSPC66/DSPF_sp_ifftSPxSP_d.c\
 -ccs.linkFile EXT_ROOT__DSPF_SP_IFFTSPXSP_66_LE_COFF_SRCDSPF_SP_IFFTSPXSPC66/DSPF_sp_ifftSPxSP_opt.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IFFTSPXSP_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IFFTSPXSP_66_LE_COFF_SRCDSPF_SP_IFFTSPXSP "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_ifftSPxSP" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IFFTSPXSP_66_LE_COFF_SRCDSPF_SP_IFFTSPXSPC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_ifftSPxSP/c66" \

	echo EXT_ROOT__DSPF_SP_IFFTSPXSP_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_IFFTSPXSP_66_LE_COFF_SRCDSPF_SP_IFFTSPXSP=../../ >> src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_IFFTSPXSP_66_LE_COFF_SRCDSPF_SP_IFFTSPXSPC66=.././ >> src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_ifftSPxSP_66_LE_COFF"
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_COFF/Release/DSPF_sp_ifftSPxSP_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_COFF/Release/DSPF_sp_ifftSPxSP_66_LE_COFF.out: src/DSPF_sp_ifftSPxSP/DSPF_sp_ifftSPxSP.h
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_COFF/Release/DSPF_sp_ifftSPxSP_66_LE_COFF.out: src/DSPF_sp_ifftSPxSP//c66/DSPF_sp_ifftSPxSP.h
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_COFF/Release/DSPF_sp_ifftSPxSP_66_LE_COFF.out: src/DSPF_sp_ifftSPxSP//c66/DSPF_sp_ifftSPxSP_cn.h
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_COFF/Release/DSPF_sp_ifftSPxSP_66_LE_COFF.out: src/DSPF_sp_ifftSPxSP//c66/DSPF_sp_ifftSPxSP_d.c
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_COFF/Release/DSPF_sp_ifftSPxSP_66_LE_COFF.out: src/DSPF_sp_ifftSPxSP//c66/DSPF_sp_ifftSPxSP_opt.c
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_COFF/Release/DSPF_sp_ifftSPxSP_66_LE_COFF.out: src/DSPF_sp_ifftSPxSP//c66/DSPF_sp_ifftSPxSP_opt.h
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_COFF/Release/DSPF_sp_ifftSPxSP_66_LE_COFF.out: src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_ifftSPxSP_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_ifftSPxSP_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_ifftSPxSP_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_ifftSPxSP/c66/DSPF_sp_ifftSPxSP_66_LE_COFF"
	-@ echo Building Project DSPF_sp_ifftSPxSP_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_ifftSPxSP_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_ifftSPxSP_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_ifftSPxSP_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_ifftSPxSP_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_ifftSPxSP_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_COFF/Release/DSPF_sp_ifftSPxSP_66_BE_COFF.out

.projects: src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_COFF

src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_COFF: src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_COFF/.project

src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_ifftSPxSP_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_ifftSPxSP_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_IFFTSPXSP_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_IFFTSPXSP_66_BE_COFF_SRCDSPF_SP_IFFTSPXSPC66/DSPF_sp_ifftSPxSP_d.c\
 -ccs.linkFile EXT_ROOT__DSPF_SP_IFFTSPXSP_66_BE_COFF_SRCDSPF_SP_IFFTSPXSPC66/DSPF_sp_ifftSPxSP_opt.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IFFTSPXSP_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IFFTSPXSP_66_BE_COFF_SRCDSPF_SP_IFFTSPXSP "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_ifftSPxSP" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IFFTSPXSP_66_BE_COFF_SRCDSPF_SP_IFFTSPXSPC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_ifftSPxSP/c66" \

	echo EXT_ROOT__DSPF_SP_IFFTSPXSP_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_IFFTSPXSP_66_BE_COFF_SRCDSPF_SP_IFFTSPXSP=../../ >> src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_IFFTSPXSP_66_BE_COFF_SRCDSPF_SP_IFFTSPXSPC66=.././ >> src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_ifftSPxSP_66_BE_COFF"
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_COFF/Release/DSPF_sp_ifftSPxSP_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_COFF/Release/DSPF_sp_ifftSPxSP_66_BE_COFF.out: src/DSPF_sp_ifftSPxSP/DSPF_sp_ifftSPxSP.h
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_COFF/Release/DSPF_sp_ifftSPxSP_66_BE_COFF.out: src/DSPF_sp_ifftSPxSP//c66/DSPF_sp_ifftSPxSP.h
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_COFF/Release/DSPF_sp_ifftSPxSP_66_BE_COFF.out: src/DSPF_sp_ifftSPxSP//c66/DSPF_sp_ifftSPxSP_cn.h
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_COFF/Release/DSPF_sp_ifftSPxSP_66_BE_COFF.out: src/DSPF_sp_ifftSPxSP//c66/DSPF_sp_ifftSPxSP_d.c
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_COFF/Release/DSPF_sp_ifftSPxSP_66_BE_COFF.out: src/DSPF_sp_ifftSPxSP//c66/DSPF_sp_ifftSPxSP_opt.c
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_COFF/Release/DSPF_sp_ifftSPxSP_66_BE_COFF.out: src/DSPF_sp_ifftSPxSP//c66/DSPF_sp_ifftSPxSP_opt.h
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_COFF/Release/DSPF_sp_ifftSPxSP_66_BE_COFF.out: src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_ifftSPxSP_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_ifftSPxSP_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_ifftSPxSP_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_ifftSPxSP/c66/DSPF_sp_ifftSPxSP_66_BE_COFF"
	-@ echo Building Project DSPF_sp_ifftSPxSP_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_ifftSPxSP_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_ifftSPxSP_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_ifftSPxSP_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_ifftSPxSP_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_ifftSPxSP_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_ELF/Release/DSPF_sp_ifftSPxSP_66_LE_ELF.out

.projects: src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_ELF

src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_ELF: src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_ELF/.project

src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_ifftSPxSP_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_ifftSPxSP_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_IFFTSPXSP_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_IFFTSPXSP_66_LE_ELF_SRCDSPF_SP_IFFTSPXSPC66/DSPF_sp_ifftSPxSP_d.c\
 -ccs.linkFile EXT_ROOT__DSPF_SP_IFFTSPXSP_66_LE_ELF_SRCDSPF_SP_IFFTSPXSPC66/DSPF_sp_ifftSPxSP_opt.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IFFTSPXSP_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IFFTSPXSP_66_LE_ELF_SRCDSPF_SP_IFFTSPXSP "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_ifftSPxSP" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IFFTSPXSP_66_LE_ELF_SRCDSPF_SP_IFFTSPXSPC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_ifftSPxSP/c66" \

	echo EXT_ROOT__DSPF_SP_IFFTSPXSP_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_IFFTSPXSP_66_LE_ELF_SRCDSPF_SP_IFFTSPXSP=../../ >> src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_IFFTSPXSP_66_LE_ELF_SRCDSPF_SP_IFFTSPXSPC66=.././ >> src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_ifftSPxSP_66_LE_ELF"
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_ELF/Release/DSPF_sp_ifftSPxSP_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_ELF/Release/DSPF_sp_ifftSPxSP_66_LE_ELF.out: src/DSPF_sp_ifftSPxSP/DSPF_sp_ifftSPxSP.h
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_ELF/Release/DSPF_sp_ifftSPxSP_66_LE_ELF.out: src/DSPF_sp_ifftSPxSP//c66/DSPF_sp_ifftSPxSP.h
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_ELF/Release/DSPF_sp_ifftSPxSP_66_LE_ELF.out: src/DSPF_sp_ifftSPxSP//c66/DSPF_sp_ifftSPxSP_cn.h
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_ELF/Release/DSPF_sp_ifftSPxSP_66_LE_ELF.out: src/DSPF_sp_ifftSPxSP//c66/DSPF_sp_ifftSPxSP_d.c
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_ELF/Release/DSPF_sp_ifftSPxSP_66_LE_ELF.out: src/DSPF_sp_ifftSPxSP//c66/DSPF_sp_ifftSPxSP_opt.c
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_ELF/Release/DSPF_sp_ifftSPxSP_66_LE_ELF.out: src/DSPF_sp_ifftSPxSP//c66/DSPF_sp_ifftSPxSP_opt.h
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_ELF/Release/DSPF_sp_ifftSPxSP_66_LE_ELF.out: src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_ifftSPxSP_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_ifftSPxSP_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_ifftSPxSP_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_ifftSPxSP/c66/DSPF_sp_ifftSPxSP_66_LE_ELF"
	-@ echo Building Project DSPF_sp_ifftSPxSP_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_ifftSPxSP_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_ifftSPxSP_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_ifftSPxSP_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_ifftSPxSP_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_ifftSPxSP_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_ELF/Release/DSPF_sp_ifftSPxSP_66_BE_ELF.out

.projects: src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_ELF

src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_ELF: src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_ELF/.project

src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_ifftSPxSP_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_ifftSPxSP_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_IFFTSPXSP_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_IFFTSPXSP_66_BE_ELF_SRCDSPF_SP_IFFTSPXSPC66/DSPF_sp_ifftSPxSP_d.c\
 -ccs.linkFile EXT_ROOT__DSPF_SP_IFFTSPXSP_66_BE_ELF_SRCDSPF_SP_IFFTSPXSPC66/DSPF_sp_ifftSPxSP_opt.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IFFTSPXSP_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IFFTSPXSP_66_BE_ELF_SRCDSPF_SP_IFFTSPXSP "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_ifftSPxSP" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IFFTSPXSP_66_BE_ELF_SRCDSPF_SP_IFFTSPXSPC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_ifftSPxSP/c66" \

	echo EXT_ROOT__DSPF_SP_IFFTSPXSP_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_IFFTSPXSP_66_BE_ELF_SRCDSPF_SP_IFFTSPXSP=../../ >> src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_IFFTSPXSP_66_BE_ELF_SRCDSPF_SP_IFFTSPXSPC66=.././ >> src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_ifftSPxSP_66_BE_ELF"
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_ELF/Release/DSPF_sp_ifftSPxSP_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_ELF/Release/DSPF_sp_ifftSPxSP_66_BE_ELF.out: src/DSPF_sp_ifftSPxSP/DSPF_sp_ifftSPxSP.h
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_ELF/Release/DSPF_sp_ifftSPxSP_66_BE_ELF.out: src/DSPF_sp_ifftSPxSP//c66/DSPF_sp_ifftSPxSP.h
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_ELF/Release/DSPF_sp_ifftSPxSP_66_BE_ELF.out: src/DSPF_sp_ifftSPxSP//c66/DSPF_sp_ifftSPxSP_cn.h
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_ELF/Release/DSPF_sp_ifftSPxSP_66_BE_ELF.out: src/DSPF_sp_ifftSPxSP//c66/DSPF_sp_ifftSPxSP_d.c
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_ELF/Release/DSPF_sp_ifftSPxSP_66_BE_ELF.out: src/DSPF_sp_ifftSPxSP//c66/DSPF_sp_ifftSPxSP_opt.c
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_ELF/Release/DSPF_sp_ifftSPxSP_66_BE_ELF.out: src/DSPF_sp_ifftSPxSP//c66/DSPF_sp_ifftSPxSP_opt.h
src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_ELF/Release/DSPF_sp_ifftSPxSP_66_BE_ELF.out: src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_ifftSPxSP_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_ifftSPxSP_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_ifftSPxSP_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_ifftSPxSP/c66/DSPF_sp_ifftSPxSP_66_BE_ELF"
	-@ echo Building Project DSPF_sp_ifftSPxSP_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_ifftSPxSP_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_ifftSPxSP_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_ifftSPxSP_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_ifftSPxSP_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_ifftSPxSP//c66//DSPF_sp_ifftSPxSP_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_ifftSPxSP_c2r_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_COFF/Release/DSPF_sp_ifftSPxSP_c2r_66_LE_COFF.out

.projects: src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_COFF

src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_COFF: src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_COFF/.project

src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_ifftSPxSP_c2r_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_ifftSPxSP_c2r_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_LE_COFF_SRCDSPF_SP_IFFTSPXSP_C2RC66/DSPF_sp_ifftSPxSP_c2r_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_LE_COFF_SRCDSPF_SP_IFFTSPXSP_C2R "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_ifftSPxSP_c2r" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_LE_COFF_SRCDSPF_SP_IFFTSPXSP_C2RC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_ifftSPxSP_c2r/c66" \

	echo EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_LE_COFF_SRCDSPF_SP_IFFTSPXSP_C2R=../../ >> src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_LE_COFF_SRCDSPF_SP_IFFTSPXSP_C2RC66=.././ >> src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_ifftSPxSP_c2r_66_LE_COFF"
src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_COFF/Release/DSPF_sp_ifftSPxSP_c2r_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_COFF/Release/DSPF_sp_ifftSPxSP_c2r_66_LE_COFF.out: src/DSPF_sp_ifftSPxSP_c2r/DSPF_sp_ifftSPxSP_c2r.h
src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_COFF/Release/DSPF_sp_ifftSPxSP_c2r_66_LE_COFF.out: src/DSPF_sp_ifftSPxSP_c2r//c66/DSPF_sp_ifftSPxSP_c2r.h
src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_COFF/Release/DSPF_sp_ifftSPxSP_c2r_66_LE_COFF.out: src/DSPF_sp_ifftSPxSP_c2r//c66/DSPF_sp_ifftSPxSP_c2r_cn.h
src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_COFF/Release/DSPF_sp_ifftSPxSP_c2r_66_LE_COFF.out: src/DSPF_sp_ifftSPxSP_c2r//c66/DSPF_sp_ifftSPxSP_c2r_d.c
src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_COFF/Release/DSPF_sp_ifftSPxSP_c2r_66_LE_COFF.out: src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_ifftSPxSP_c2r_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_ifftSPxSP_c2r_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_ifftSPxSP_c2r_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_ifftSPxSP_c2r/c66/DSPF_sp_ifftSPxSP_c2r_66_LE_COFF"
	-@ echo Building Project DSPF_sp_ifftSPxSP_c2r_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_ifftSPxSP_c2r_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_ifftSPxSP_c2r_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_ifftSPxSP_c2r_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_ifftSPxSP_c2r_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_ifftSPxSP_c2r_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_COFF/Release/DSPF_sp_ifftSPxSP_c2r_66_BE_COFF.out

.projects: src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_COFF

src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_COFF: src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_COFF/.project

src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_ifftSPxSP_c2r_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_ifftSPxSP_c2r_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_BE_COFF_SRCDSPF_SP_IFFTSPXSP_C2RC66/DSPF_sp_ifftSPxSP_c2r_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_BE_COFF_SRCDSPF_SP_IFFTSPXSP_C2R "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_ifftSPxSP_c2r" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_BE_COFF_SRCDSPF_SP_IFFTSPXSP_C2RC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_ifftSPxSP_c2r/c66" \

	echo EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_BE_COFF_SRCDSPF_SP_IFFTSPXSP_C2R=../../ >> src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_BE_COFF_SRCDSPF_SP_IFFTSPXSP_C2RC66=.././ >> src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_ifftSPxSP_c2r_66_BE_COFF"
src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_COFF/Release/DSPF_sp_ifftSPxSP_c2r_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_COFF/Release/DSPF_sp_ifftSPxSP_c2r_66_BE_COFF.out: src/DSPF_sp_ifftSPxSP_c2r/DSPF_sp_ifftSPxSP_c2r.h
src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_COFF/Release/DSPF_sp_ifftSPxSP_c2r_66_BE_COFF.out: src/DSPF_sp_ifftSPxSP_c2r//c66/DSPF_sp_ifftSPxSP_c2r.h
src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_COFF/Release/DSPF_sp_ifftSPxSP_c2r_66_BE_COFF.out: src/DSPF_sp_ifftSPxSP_c2r//c66/DSPF_sp_ifftSPxSP_c2r_cn.h
src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_COFF/Release/DSPF_sp_ifftSPxSP_c2r_66_BE_COFF.out: src/DSPF_sp_ifftSPxSP_c2r//c66/DSPF_sp_ifftSPxSP_c2r_d.c
src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_COFF/Release/DSPF_sp_ifftSPxSP_c2r_66_BE_COFF.out: src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_ifftSPxSP_c2r_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_ifftSPxSP_c2r_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_ifftSPxSP_c2r_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_ifftSPxSP_c2r/c66/DSPF_sp_ifftSPxSP_c2r_66_BE_COFF"
	-@ echo Building Project DSPF_sp_ifftSPxSP_c2r_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_ifftSPxSP_c2r_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_ifftSPxSP_c2r_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_ifftSPxSP_c2r_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_ifftSPxSP_c2r_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_ifftSPxSP_c2r_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_ELF/Release/DSPF_sp_ifftSPxSP_c2r_66_LE_ELF.out

.projects: src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_ELF

src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_ELF: src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_ELF/.project

src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_ifftSPxSP_c2r_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_ifftSPxSP_c2r_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_LE_ELF_SRCDSPF_SP_IFFTSPXSP_C2RC66/DSPF_sp_ifftSPxSP_c2r_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_LE_ELF_SRCDSPF_SP_IFFTSPXSP_C2R "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_ifftSPxSP_c2r" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_LE_ELF_SRCDSPF_SP_IFFTSPXSP_C2RC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_ifftSPxSP_c2r/c66" \

	echo EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_LE_ELF_SRCDSPF_SP_IFFTSPXSP_C2R=../../ >> src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_LE_ELF_SRCDSPF_SP_IFFTSPXSP_C2RC66=.././ >> src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_ifftSPxSP_c2r_66_LE_ELF"
src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_ELF/Release/DSPF_sp_ifftSPxSP_c2r_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_ELF/Release/DSPF_sp_ifftSPxSP_c2r_66_LE_ELF.out: src/DSPF_sp_ifftSPxSP_c2r/DSPF_sp_ifftSPxSP_c2r.h
src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_ELF/Release/DSPF_sp_ifftSPxSP_c2r_66_LE_ELF.out: src/DSPF_sp_ifftSPxSP_c2r//c66/DSPF_sp_ifftSPxSP_c2r.h
src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_ELF/Release/DSPF_sp_ifftSPxSP_c2r_66_LE_ELF.out: src/DSPF_sp_ifftSPxSP_c2r//c66/DSPF_sp_ifftSPxSP_c2r_cn.h
src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_ELF/Release/DSPF_sp_ifftSPxSP_c2r_66_LE_ELF.out: src/DSPF_sp_ifftSPxSP_c2r//c66/DSPF_sp_ifftSPxSP_c2r_d.c
src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_ELF/Release/DSPF_sp_ifftSPxSP_c2r_66_LE_ELF.out: src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_ifftSPxSP_c2r_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_ifftSPxSP_c2r_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_ifftSPxSP_c2r_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_ifftSPxSP_c2r/c66/DSPF_sp_ifftSPxSP_c2r_66_LE_ELF"
	-@ echo Building Project DSPF_sp_ifftSPxSP_c2r_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_ifftSPxSP_c2r_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_ifftSPxSP_c2r_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_ifftSPxSP_c2r_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_ifftSPxSP_c2r_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_ifftSPxSP_c2r_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_ELF/Release/DSPF_sp_ifftSPxSP_c2r_66_BE_ELF.out

.projects: src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_ELF

src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_ELF: src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_ELF/.project

src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_ifftSPxSP_c2r_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_ifftSPxSP_c2r_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_BE_ELF_SRCDSPF_SP_IFFTSPXSP_C2RC66/DSPF_sp_ifftSPxSP_c2r_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_BE_ELF_SRCDSPF_SP_IFFTSPXSP_C2R "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_ifftSPxSP_c2r" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_BE_ELF_SRCDSPF_SP_IFFTSPXSP_C2RC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_ifftSPxSP_c2r/c66" \

	echo EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_BE_ELF_SRCDSPF_SP_IFFTSPXSP_C2R=../../ >> src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_IFFTSPXSP_C2R_66_BE_ELF_SRCDSPF_SP_IFFTSPXSP_C2RC66=.././ >> src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_ifftSPxSP_c2r_66_BE_ELF"
src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_ELF/Release/DSPF_sp_ifftSPxSP_c2r_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_ELF/Release/DSPF_sp_ifftSPxSP_c2r_66_BE_ELF.out: src/DSPF_sp_ifftSPxSP_c2r/DSPF_sp_ifftSPxSP_c2r.h
src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_ELF/Release/DSPF_sp_ifftSPxSP_c2r_66_BE_ELF.out: src/DSPF_sp_ifftSPxSP_c2r//c66/DSPF_sp_ifftSPxSP_c2r.h
src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_ELF/Release/DSPF_sp_ifftSPxSP_c2r_66_BE_ELF.out: src/DSPF_sp_ifftSPxSP_c2r//c66/DSPF_sp_ifftSPxSP_c2r_cn.h
src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_ELF/Release/DSPF_sp_ifftSPxSP_c2r_66_BE_ELF.out: src/DSPF_sp_ifftSPxSP_c2r//c66/DSPF_sp_ifftSPxSP_c2r_d.c
src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_ELF/Release/DSPF_sp_ifftSPxSP_c2r_66_BE_ELF.out: src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_ifftSPxSP_c2r_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_ifftSPxSP_c2r_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_ifftSPxSP_c2r_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_ifftSPxSP_c2r/c66/DSPF_sp_ifftSPxSP_c2r_66_BE_ELF"
	-@ echo Building Project DSPF_sp_ifftSPxSP_c2r_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_ifftSPxSP_c2r_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_ifftSPxSP_c2r_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_ifftSPxSP_c2r_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_ifftSPxSP_c2r_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_ifftSPxSP_c2r//c66//DSPF_sp_ifftSPxSP_c2r_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_iirlat_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_COFF/Release/DSPF_sp_iirlat_66_LE_COFF.out

.projects: src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_COFF

src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_COFF: src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_COFF/.project

src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_iirlat_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_iirlat_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_IIRLAT_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_IIRLAT_66_LE_COFF_SRCDSPF_SP_IIRLATC66/DSPF_sp_iirlat_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IIRLAT_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IIRLAT_66_LE_COFF_SRCDSPF_SP_IIRLAT "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_iirlat" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IIRLAT_66_LE_COFF_SRCDSPF_SP_IIRLATC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_iirlat/c66" \

	echo EXT_ROOT__DSPF_SP_IIRLAT_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_IIRLAT_66_LE_COFF_SRCDSPF_SP_IIRLAT=../../ >> src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_IIRLAT_66_LE_COFF_SRCDSPF_SP_IIRLATC66=.././ >> src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_iirlat_66_LE_COFF"
src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_COFF/Release/DSPF_sp_iirlat_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_COFF/Release/DSPF_sp_iirlat_66_LE_COFF.out: src/DSPF_sp_iirlat/DSPF_sp_iirlat.h
src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_COFF/Release/DSPF_sp_iirlat_66_LE_COFF.out: src/DSPF_sp_iirlat//c66/DSPF_sp_iirlat.h
src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_COFF/Release/DSPF_sp_iirlat_66_LE_COFF.out: src/DSPF_sp_iirlat//c66/DSPF_sp_iirlat_cn.h
src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_COFF/Release/DSPF_sp_iirlat_66_LE_COFF.out: src/DSPF_sp_iirlat//c66/DSPF_sp_iirlat_d.c
src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_COFF/Release/DSPF_sp_iirlat_66_LE_COFF.out: src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_iirlat_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_iirlat_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_iirlat_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_iirlat/c66/DSPF_sp_iirlat_66_LE_COFF"
	-@ echo Building Project DSPF_sp_iirlat_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_iirlat_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_iirlat_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_iirlat_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_iirlat_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_iirlat_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_COFF/Release/DSPF_sp_iirlat_66_BE_COFF.out

.projects: src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_COFF

src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_COFF: src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_COFF/.project

src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_iirlat_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_iirlat_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_IIRLAT_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_IIRLAT_66_BE_COFF_SRCDSPF_SP_IIRLATC66/DSPF_sp_iirlat_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IIRLAT_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IIRLAT_66_BE_COFF_SRCDSPF_SP_IIRLAT "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_iirlat" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IIRLAT_66_BE_COFF_SRCDSPF_SP_IIRLATC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_iirlat/c66" \

	echo EXT_ROOT__DSPF_SP_IIRLAT_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_IIRLAT_66_BE_COFF_SRCDSPF_SP_IIRLAT=../../ >> src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_IIRLAT_66_BE_COFF_SRCDSPF_SP_IIRLATC66=.././ >> src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_iirlat_66_BE_COFF"
src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_COFF/Release/DSPF_sp_iirlat_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_COFF/Release/DSPF_sp_iirlat_66_BE_COFF.out: src/DSPF_sp_iirlat/DSPF_sp_iirlat.h
src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_COFF/Release/DSPF_sp_iirlat_66_BE_COFF.out: src/DSPF_sp_iirlat//c66/DSPF_sp_iirlat.h
src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_COFF/Release/DSPF_sp_iirlat_66_BE_COFF.out: src/DSPF_sp_iirlat//c66/DSPF_sp_iirlat_cn.h
src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_COFF/Release/DSPF_sp_iirlat_66_BE_COFF.out: src/DSPF_sp_iirlat//c66/DSPF_sp_iirlat_d.c
src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_COFF/Release/DSPF_sp_iirlat_66_BE_COFF.out: src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_iirlat_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_iirlat_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_iirlat_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_iirlat/c66/DSPF_sp_iirlat_66_BE_COFF"
	-@ echo Building Project DSPF_sp_iirlat_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_iirlat_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_iirlat_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_iirlat_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_iirlat_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_iirlat_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_ELF/Release/DSPF_sp_iirlat_66_LE_ELF.out

.projects: src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_ELF

src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_ELF: src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_ELF/.project

src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_iirlat_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_iirlat_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_IIRLAT_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_IIRLAT_66_LE_ELF_SRCDSPF_SP_IIRLATC66/DSPF_sp_iirlat_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IIRLAT_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IIRLAT_66_LE_ELF_SRCDSPF_SP_IIRLAT "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_iirlat" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IIRLAT_66_LE_ELF_SRCDSPF_SP_IIRLATC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_iirlat/c66" \

	echo EXT_ROOT__DSPF_SP_IIRLAT_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_IIRLAT_66_LE_ELF_SRCDSPF_SP_IIRLAT=../../ >> src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_IIRLAT_66_LE_ELF_SRCDSPF_SP_IIRLATC66=.././ >> src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_iirlat_66_LE_ELF"
src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_ELF/Release/DSPF_sp_iirlat_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_ELF/Release/DSPF_sp_iirlat_66_LE_ELF.out: src/DSPF_sp_iirlat/DSPF_sp_iirlat.h
src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_ELF/Release/DSPF_sp_iirlat_66_LE_ELF.out: src/DSPF_sp_iirlat//c66/DSPF_sp_iirlat.h
src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_ELF/Release/DSPF_sp_iirlat_66_LE_ELF.out: src/DSPF_sp_iirlat//c66/DSPF_sp_iirlat_cn.h
src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_ELF/Release/DSPF_sp_iirlat_66_LE_ELF.out: src/DSPF_sp_iirlat//c66/DSPF_sp_iirlat_d.c
src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_ELF/Release/DSPF_sp_iirlat_66_LE_ELF.out: src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_iirlat_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_iirlat_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_iirlat_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_iirlat/c66/DSPF_sp_iirlat_66_LE_ELF"
	-@ echo Building Project DSPF_sp_iirlat_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_iirlat_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_iirlat_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_iirlat_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_iirlat_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_iirlat_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_ELF/Release/DSPF_sp_iirlat_66_BE_ELF.out

.projects: src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_ELF

src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_ELF: src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_ELF/.project

src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_iirlat_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_iirlat_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_IIRLAT_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_IIRLAT_66_BE_ELF_SRCDSPF_SP_IIRLATC66/DSPF_sp_iirlat_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IIRLAT_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IIRLAT_66_BE_ELF_SRCDSPF_SP_IIRLAT "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_iirlat" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IIRLAT_66_BE_ELF_SRCDSPF_SP_IIRLATC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_iirlat/c66" \

	echo EXT_ROOT__DSPF_SP_IIRLAT_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_IIRLAT_66_BE_ELF_SRCDSPF_SP_IIRLAT=../../ >> src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_IIRLAT_66_BE_ELF_SRCDSPF_SP_IIRLATC66=.././ >> src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_iirlat_66_BE_ELF"
src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_ELF/Release/DSPF_sp_iirlat_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_ELF/Release/DSPF_sp_iirlat_66_BE_ELF.out: src/DSPF_sp_iirlat/DSPF_sp_iirlat.h
src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_ELF/Release/DSPF_sp_iirlat_66_BE_ELF.out: src/DSPF_sp_iirlat//c66/DSPF_sp_iirlat.h
src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_ELF/Release/DSPF_sp_iirlat_66_BE_ELF.out: src/DSPF_sp_iirlat//c66/DSPF_sp_iirlat_cn.h
src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_ELF/Release/DSPF_sp_iirlat_66_BE_ELF.out: src/DSPF_sp_iirlat//c66/DSPF_sp_iirlat_d.c
src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_ELF/Release/DSPF_sp_iirlat_66_BE_ELF.out: src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_iirlat_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_iirlat_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_iirlat_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_iirlat/c66/DSPF_sp_iirlat_66_BE_ELF"
	-@ echo Building Project DSPF_sp_iirlat_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_iirlat_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_iirlat_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_iirlat_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_iirlat_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_iirlat//c66//DSPF_sp_iirlat_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_iir_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_COFF/Release/DSPF_sp_iir_66_LE_COFF.out

.projects: src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_COFF

src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_COFF: src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_COFF/.project

src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_iir_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_iir_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_IIR_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_IIR_66_LE_COFF_SRCDSPF_SP_IIRC66/DSPF_sp_iir_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IIR_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IIR_66_LE_COFF_SRCDSPF_SP_IIR "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_iir" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IIR_66_LE_COFF_SRCDSPF_SP_IIRC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_iir/c66" \

	echo EXT_ROOT__DSPF_SP_IIR_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_IIR_66_LE_COFF_SRCDSPF_SP_IIR=../../ >> src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_IIR_66_LE_COFF_SRCDSPF_SP_IIRC66=.././ >> src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_iir_66_LE_COFF"
src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_COFF/Release/DSPF_sp_iir_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_COFF/Release/DSPF_sp_iir_66_LE_COFF.out: src/DSPF_sp_iir/DSPF_sp_iir.h
src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_COFF/Release/DSPF_sp_iir_66_LE_COFF.out: src/DSPF_sp_iir//c66/DSPF_sp_iir.h
src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_COFF/Release/DSPF_sp_iir_66_LE_COFF.out: src/DSPF_sp_iir//c66/DSPF_sp_iir_cn.h
src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_COFF/Release/DSPF_sp_iir_66_LE_COFF.out: src/DSPF_sp_iir//c66/DSPF_sp_iir_d.c
src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_COFF/Release/DSPF_sp_iir_66_LE_COFF.out: src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_iir_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_iir_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_iir_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_iir/c66/DSPF_sp_iir_66_LE_COFF"
	-@ echo Building Project DSPF_sp_iir_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_iir_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_iir_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_iir_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_iir_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_iir_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_COFF/Release/DSPF_sp_iir_66_BE_COFF.out

.projects: src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_COFF

src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_COFF: src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_COFF/.project

src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_iir_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_iir_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_IIR_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_IIR_66_BE_COFF_SRCDSPF_SP_IIRC66/DSPF_sp_iir_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IIR_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IIR_66_BE_COFF_SRCDSPF_SP_IIR "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_iir" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IIR_66_BE_COFF_SRCDSPF_SP_IIRC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_iir/c66" \

	echo EXT_ROOT__DSPF_SP_IIR_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_IIR_66_BE_COFF_SRCDSPF_SP_IIR=../../ >> src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_IIR_66_BE_COFF_SRCDSPF_SP_IIRC66=.././ >> src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_iir_66_BE_COFF"
src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_COFF/Release/DSPF_sp_iir_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_COFF/Release/DSPF_sp_iir_66_BE_COFF.out: src/DSPF_sp_iir/DSPF_sp_iir.h
src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_COFF/Release/DSPF_sp_iir_66_BE_COFF.out: src/DSPF_sp_iir//c66/DSPF_sp_iir.h
src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_COFF/Release/DSPF_sp_iir_66_BE_COFF.out: src/DSPF_sp_iir//c66/DSPF_sp_iir_cn.h
src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_COFF/Release/DSPF_sp_iir_66_BE_COFF.out: src/DSPF_sp_iir//c66/DSPF_sp_iir_d.c
src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_COFF/Release/DSPF_sp_iir_66_BE_COFF.out: src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_iir_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_iir_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_iir_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_iir/c66/DSPF_sp_iir_66_BE_COFF"
	-@ echo Building Project DSPF_sp_iir_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_iir_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_iir_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_iir_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_iir_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_iir_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_ELF/Release/DSPF_sp_iir_66_LE_ELF.out

.projects: src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_ELF

src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_ELF: src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_ELF/.project

src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_iir_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_iir_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_IIR_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_IIR_66_LE_ELF_SRCDSPF_SP_IIRC66/DSPF_sp_iir_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IIR_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IIR_66_LE_ELF_SRCDSPF_SP_IIR "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_iir" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IIR_66_LE_ELF_SRCDSPF_SP_IIRC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_iir/c66" \

	echo EXT_ROOT__DSPF_SP_IIR_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_IIR_66_LE_ELF_SRCDSPF_SP_IIR=../../ >> src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_IIR_66_LE_ELF_SRCDSPF_SP_IIRC66=.././ >> src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_iir_66_LE_ELF"
src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_ELF/Release/DSPF_sp_iir_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_ELF/Release/DSPF_sp_iir_66_LE_ELF.out: src/DSPF_sp_iir/DSPF_sp_iir.h
src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_ELF/Release/DSPF_sp_iir_66_LE_ELF.out: src/DSPF_sp_iir//c66/DSPF_sp_iir.h
src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_ELF/Release/DSPF_sp_iir_66_LE_ELF.out: src/DSPF_sp_iir//c66/DSPF_sp_iir_cn.h
src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_ELF/Release/DSPF_sp_iir_66_LE_ELF.out: src/DSPF_sp_iir//c66/DSPF_sp_iir_d.c
src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_ELF/Release/DSPF_sp_iir_66_LE_ELF.out: src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_iir_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_iir_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_iir_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_iir/c66/DSPF_sp_iir_66_LE_ELF"
	-@ echo Building Project DSPF_sp_iir_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_iir_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_iir_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_iir_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_iir_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_iir//c66//DSPF_sp_iir_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_iir_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_ELF/Release/DSPF_sp_iir_66_BE_ELF.out

.projects: src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_ELF

src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_ELF: src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_ELF/.project

src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_iir_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_iir_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_IIR_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_IIR_66_BE_ELF_SRCDSPF_SP_IIRC66/DSPF_sp_iir_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IIR_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IIR_66_BE_ELF_SRCDSPF_SP_IIR "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_iir" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_IIR_66_BE_ELF_SRCDSPF_SP_IIRC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_iir/c66" \

	echo EXT_ROOT__DSPF_SP_IIR_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_IIR_66_BE_ELF_SRCDSPF_SP_IIR=../../ >> src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_IIR_66_BE_ELF_SRCDSPF_SP_IIRC66=.././ >> src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_iir_66_BE_ELF"
src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_ELF/Release/DSPF_sp_iir_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_ELF/Release/DSPF_sp_iir_66_BE_ELF.out: src/DSPF_sp_iir/DSPF_sp_iir.h
src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_ELF/Release/DSPF_sp_iir_66_BE_ELF.out: src/DSPF_sp_iir//c66/DSPF_sp_iir.h
src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_ELF/Release/DSPF_sp_iir_66_BE_ELF.out: src/DSPF_sp_iir//c66/DSPF_sp_iir_cn.h
src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_ELF/Release/DSPF_sp_iir_66_BE_ELF.out: src/DSPF_sp_iir//c66/DSPF_sp_iir_d.c
src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_ELF/Release/DSPF_sp_iir_66_BE_ELF.out: src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_iir_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_iir_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_iir_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_iir/c66/DSPF_sp_iir_66_BE_ELF"
	-@ echo Building Project DSPF_sp_iir_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_iir_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_iir_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_iir_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_iir_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_iir//c66//DSPF_sp_iir_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_lms_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_COFF/Release/DSPF_sp_lms_66_LE_COFF.out

.projects: src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_COFF

src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_COFF: src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_COFF/.project

src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_lms_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_lms_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_LMS_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_LMS_66_LE_COFF_SRCDSPF_SP_LMSC66/DSPF_sp_lms_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_LMS_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_LMS_66_LE_COFF_SRCDSPF_SP_LMS "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_lms" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_LMS_66_LE_COFF_SRCDSPF_SP_LMSC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_lms/c66" \

	echo EXT_ROOT__DSPF_SP_LMS_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_LMS_66_LE_COFF_SRCDSPF_SP_LMS=../../ >> src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_LMS_66_LE_COFF_SRCDSPF_SP_LMSC66=.././ >> src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_lms_66_LE_COFF"
src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_COFF/Release/DSPF_sp_lms_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_COFF/Release/DSPF_sp_lms_66_LE_COFF.out: src/DSPF_sp_lms/DSPF_sp_lms.h
src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_COFF/Release/DSPF_sp_lms_66_LE_COFF.out: src/DSPF_sp_lms//c66/DSPF_sp_lms.h
src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_COFF/Release/DSPF_sp_lms_66_LE_COFF.out: src/DSPF_sp_lms//c66/DSPF_sp_lms_cn.h
src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_COFF/Release/DSPF_sp_lms_66_LE_COFF.out: src/DSPF_sp_lms//c66/DSPF_sp_lms_d.c
src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_COFF/Release/DSPF_sp_lms_66_LE_COFF.out: src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_lms_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_lms_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_lms_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_lms/c66/DSPF_sp_lms_66_LE_COFF"
	-@ echo Building Project DSPF_sp_lms_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_lms_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_lms_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_lms_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_lms_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_lms_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_COFF/Release/DSPF_sp_lms_66_BE_COFF.out

.projects: src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_COFF

src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_COFF: src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_COFF/.project

src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_lms_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_lms_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_LMS_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_LMS_66_BE_COFF_SRCDSPF_SP_LMSC66/DSPF_sp_lms_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_LMS_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_LMS_66_BE_COFF_SRCDSPF_SP_LMS "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_lms" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_LMS_66_BE_COFF_SRCDSPF_SP_LMSC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_lms/c66" \

	echo EXT_ROOT__DSPF_SP_LMS_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_LMS_66_BE_COFF_SRCDSPF_SP_LMS=../../ >> src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_LMS_66_BE_COFF_SRCDSPF_SP_LMSC66=.././ >> src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_lms_66_BE_COFF"
src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_COFF/Release/DSPF_sp_lms_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_COFF/Release/DSPF_sp_lms_66_BE_COFF.out: src/DSPF_sp_lms/DSPF_sp_lms.h
src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_COFF/Release/DSPF_sp_lms_66_BE_COFF.out: src/DSPF_sp_lms//c66/DSPF_sp_lms.h
src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_COFF/Release/DSPF_sp_lms_66_BE_COFF.out: src/DSPF_sp_lms//c66/DSPF_sp_lms_cn.h
src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_COFF/Release/DSPF_sp_lms_66_BE_COFF.out: src/DSPF_sp_lms//c66/DSPF_sp_lms_d.c
src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_COFF/Release/DSPF_sp_lms_66_BE_COFF.out: src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_lms_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_lms_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_lms_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_lms/c66/DSPF_sp_lms_66_BE_COFF"
	-@ echo Building Project DSPF_sp_lms_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_lms_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_lms_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_lms_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_lms_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_lms_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_ELF/Release/DSPF_sp_lms_66_LE_ELF.out

.projects: src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_ELF

src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_ELF: src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_ELF/.project

src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_lms_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_lms_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_LMS_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_LMS_66_LE_ELF_SRCDSPF_SP_LMSC66/DSPF_sp_lms_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_LMS_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_LMS_66_LE_ELF_SRCDSPF_SP_LMS "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_lms" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_LMS_66_LE_ELF_SRCDSPF_SP_LMSC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_lms/c66" \

	echo EXT_ROOT__DSPF_SP_LMS_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_LMS_66_LE_ELF_SRCDSPF_SP_LMS=../../ >> src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_LMS_66_LE_ELF_SRCDSPF_SP_LMSC66=.././ >> src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_lms_66_LE_ELF"
src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_ELF/Release/DSPF_sp_lms_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_ELF/Release/DSPF_sp_lms_66_LE_ELF.out: src/DSPF_sp_lms/DSPF_sp_lms.h
src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_ELF/Release/DSPF_sp_lms_66_LE_ELF.out: src/DSPF_sp_lms//c66/DSPF_sp_lms.h
src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_ELF/Release/DSPF_sp_lms_66_LE_ELF.out: src/DSPF_sp_lms//c66/DSPF_sp_lms_cn.h
src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_ELF/Release/DSPF_sp_lms_66_LE_ELF.out: src/DSPF_sp_lms//c66/DSPF_sp_lms_d.c
src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_ELF/Release/DSPF_sp_lms_66_LE_ELF.out: src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_lms_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_lms_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_lms_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_lms/c66/DSPF_sp_lms_66_LE_ELF"
	-@ echo Building Project DSPF_sp_lms_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_lms_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_lms_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_lms_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_lms_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_lms//c66//DSPF_sp_lms_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_lms_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_ELF/Release/DSPF_sp_lms_66_BE_ELF.out

.projects: src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_ELF

src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_ELF: src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_ELF/.project

src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_lms_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_lms_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_LMS_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_LMS_66_BE_ELF_SRCDSPF_SP_LMSC66/DSPF_sp_lms_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_LMS_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_LMS_66_BE_ELF_SRCDSPF_SP_LMS "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_lms" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_LMS_66_BE_ELF_SRCDSPF_SP_LMSC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_lms/c66" \

	echo EXT_ROOT__DSPF_SP_LMS_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_LMS_66_BE_ELF_SRCDSPF_SP_LMS=../../ >> src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_LMS_66_BE_ELF_SRCDSPF_SP_LMSC66=.././ >> src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_lms_66_BE_ELF"
src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_ELF/Release/DSPF_sp_lms_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_ELF/Release/DSPF_sp_lms_66_BE_ELF.out: src/DSPF_sp_lms/DSPF_sp_lms.h
src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_ELF/Release/DSPF_sp_lms_66_BE_ELF.out: src/DSPF_sp_lms//c66/DSPF_sp_lms.h
src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_ELF/Release/DSPF_sp_lms_66_BE_ELF.out: src/DSPF_sp_lms//c66/DSPF_sp_lms_cn.h
src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_ELF/Release/DSPF_sp_lms_66_BE_ELF.out: src/DSPF_sp_lms//c66/DSPF_sp_lms_d.c
src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_ELF/Release/DSPF_sp_lms_66_BE_ELF.out: src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_lms_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_lms_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_lms_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_lms/c66/DSPF_sp_lms_66_BE_ELF"
	-@ echo Building Project DSPF_sp_lms_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_lms_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_lms_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_lms_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_lms_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_lms//c66//DSPF_sp_lms_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_mat_mul_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_COFF/Release/DSPF_sp_mat_mul_66_LE_COFF.out

.projects: src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_COFF

src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_COFF: src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_COFF/.project

src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_mul_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_66_LE_COFF_SRCDSPF_SP_MAT_MULC66/DSPF_sp_mat_mul_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_66_LE_COFF_SRCDSPF_SP_MAT_MUL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_66_LE_COFF_SRCDSPF_SP_MAT_MULC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_MUL_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_66_LE_COFF_SRCDSPF_SP_MAT_MUL=../../ >> src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_66_LE_COFF_SRCDSPF_SP_MAT_MULC66=.././ >> src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_66_LE_COFF"
src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_COFF/Release/DSPF_sp_mat_mul_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_COFF/Release/DSPF_sp_mat_mul_66_LE_COFF.out: src/DSPF_sp_mat_mul/DSPF_sp_mat_mul.h
src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_COFF/Release/DSPF_sp_mat_mul_66_LE_COFF.out: src/DSPF_sp_mat_mul//c66/DSPF_sp_mat_mul.h
src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_COFF/Release/DSPF_sp_mat_mul_66_LE_COFF.out: src/DSPF_sp_mat_mul//c66/DSPF_sp_mat_mul_cn.h
src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_COFF/Release/DSPF_sp_mat_mul_66_LE_COFF.out: src/DSPF_sp_mat_mul//c66/DSPF_sp_mat_mul_d.c
src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_COFF/Release/DSPF_sp_mat_mul_66_LE_COFF.out: src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_mat_mul_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_mul_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul/c66/DSPF_sp_mat_mul_66_LE_COFF"
	-@ echo Building Project DSPF_sp_mat_mul_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_mul_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_mul_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_mat_mul_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_COFF/Release/DSPF_sp_mat_mul_66_BE_COFF.out

.projects: src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_COFF

src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_COFF: src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_COFF/.project

src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_mul_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_66_BE_COFF_SRCDSPF_SP_MAT_MULC66/DSPF_sp_mat_mul_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_66_BE_COFF_SRCDSPF_SP_MAT_MUL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_66_BE_COFF_SRCDSPF_SP_MAT_MULC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_MUL_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_66_BE_COFF_SRCDSPF_SP_MAT_MUL=../../ >> src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_66_BE_COFF_SRCDSPF_SP_MAT_MULC66=.././ >> src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_66_BE_COFF"
src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_COFF/Release/DSPF_sp_mat_mul_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_COFF/Release/DSPF_sp_mat_mul_66_BE_COFF.out: src/DSPF_sp_mat_mul/DSPF_sp_mat_mul.h
src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_COFF/Release/DSPF_sp_mat_mul_66_BE_COFF.out: src/DSPF_sp_mat_mul//c66/DSPF_sp_mat_mul.h
src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_COFF/Release/DSPF_sp_mat_mul_66_BE_COFF.out: src/DSPF_sp_mat_mul//c66/DSPF_sp_mat_mul_cn.h
src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_COFF/Release/DSPF_sp_mat_mul_66_BE_COFF.out: src/DSPF_sp_mat_mul//c66/DSPF_sp_mat_mul_d.c
src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_COFF/Release/DSPF_sp_mat_mul_66_BE_COFF.out: src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_mat_mul_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_mul_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul/c66/DSPF_sp_mat_mul_66_BE_COFF"
	-@ echo Building Project DSPF_sp_mat_mul_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_mul_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_mul_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_mat_mul_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_ELF/Release/DSPF_sp_mat_mul_66_LE_ELF.out

.projects: src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_ELF

src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_ELF: src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_ELF/.project

src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_mul_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_66_LE_ELF_SRCDSPF_SP_MAT_MULC66/DSPF_sp_mat_mul_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_66_LE_ELF_SRCDSPF_SP_MAT_MUL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_66_LE_ELF_SRCDSPF_SP_MAT_MULC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_MUL_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_66_LE_ELF_SRCDSPF_SP_MAT_MUL=../../ >> src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_66_LE_ELF_SRCDSPF_SP_MAT_MULC66=.././ >> src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_66_LE_ELF"
src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_ELF/Release/DSPF_sp_mat_mul_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_ELF/Release/DSPF_sp_mat_mul_66_LE_ELF.out: src/DSPF_sp_mat_mul/DSPF_sp_mat_mul.h
src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_ELF/Release/DSPF_sp_mat_mul_66_LE_ELF.out: src/DSPF_sp_mat_mul//c66/DSPF_sp_mat_mul.h
src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_ELF/Release/DSPF_sp_mat_mul_66_LE_ELF.out: src/DSPF_sp_mat_mul//c66/DSPF_sp_mat_mul_cn.h
src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_ELF/Release/DSPF_sp_mat_mul_66_LE_ELF.out: src/DSPF_sp_mat_mul//c66/DSPF_sp_mat_mul_d.c
src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_ELF/Release/DSPF_sp_mat_mul_66_LE_ELF.out: src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_mat_mul_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_mul_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul/c66/DSPF_sp_mat_mul_66_LE_ELF"
	-@ echo Building Project DSPF_sp_mat_mul_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_mul_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_mul_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_mat_mul_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_ELF/Release/DSPF_sp_mat_mul_66_BE_ELF.out

.projects: src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_ELF

src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_ELF: src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_ELF/.project

src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_mul_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_66_BE_ELF_SRCDSPF_SP_MAT_MULC66/DSPF_sp_mat_mul_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_66_BE_ELF_SRCDSPF_SP_MAT_MUL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_66_BE_ELF_SRCDSPF_SP_MAT_MULC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_MUL_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_66_BE_ELF_SRCDSPF_SP_MAT_MUL=../../ >> src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_66_BE_ELF_SRCDSPF_SP_MAT_MULC66=.././ >> src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_66_BE_ELF"
src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_ELF/Release/DSPF_sp_mat_mul_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_ELF/Release/DSPF_sp_mat_mul_66_BE_ELF.out: src/DSPF_sp_mat_mul/DSPF_sp_mat_mul.h
src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_ELF/Release/DSPF_sp_mat_mul_66_BE_ELF.out: src/DSPF_sp_mat_mul//c66/DSPF_sp_mat_mul.h
src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_ELF/Release/DSPF_sp_mat_mul_66_BE_ELF.out: src/DSPF_sp_mat_mul//c66/DSPF_sp_mat_mul_cn.h
src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_ELF/Release/DSPF_sp_mat_mul_66_BE_ELF.out: src/DSPF_sp_mat_mul//c66/DSPF_sp_mat_mul_d.c
src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_ELF/Release/DSPF_sp_mat_mul_66_BE_ELF.out: src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_mat_mul_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_mul_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul/c66/DSPF_sp_mat_mul_66_BE_ELF"
	-@ echo Building Project DSPF_sp_mat_mul_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_mul_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_mul_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_mul//c66//DSPF_sp_mat_mul_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_mat_mul_cplx_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_COFF/Release/DSPF_sp_mat_mul_cplx_66_LE_COFF.out

.projects: src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_COFF

src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_COFF: src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_COFF/.project

src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_cplx_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_mul_cplx_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_LE_COFF_SRCDSPF_SP_MAT_MUL_CPLXC66/DSPF_sp_mat_mul_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_LE_COFF_SRCDSPF_SP_MAT_MUL_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_LE_COFF_SRCDSPF_SP_MAT_MUL_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_cplx/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_LE_COFF_SRCDSPF_SP_MAT_MUL_CPLX=../../ >> src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_LE_COFF_SRCDSPF_SP_MAT_MUL_CPLXC66=.././ >> src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_cplx_66_LE_COFF"
src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_COFF/Release/DSPF_sp_mat_mul_cplx_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_COFF/Release/DSPF_sp_mat_mul_cplx_66_LE_COFF.out: src/DSPF_sp_mat_mul_cplx/DSPF_sp_mat_mul_cplx.h
src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_COFF/Release/DSPF_sp_mat_mul_cplx_66_LE_COFF.out: src/DSPF_sp_mat_mul_cplx//c66/DSPF_sp_mat_mul_cplx.h
src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_COFF/Release/DSPF_sp_mat_mul_cplx_66_LE_COFF.out: src/DSPF_sp_mat_mul_cplx//c66/DSPF_sp_mat_mul_cplx_cn.h
src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_COFF/Release/DSPF_sp_mat_mul_cplx_66_LE_COFF.out: src/DSPF_sp_mat_mul_cplx//c66/DSPF_sp_mat_mul_cplx_d.c
src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_COFF/Release/DSPF_sp_mat_mul_cplx_66_LE_COFF.out: src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_mat_mul_cplx_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_cplx_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_mul_cplx_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_cplx/c66/DSPF_sp_mat_mul_cplx_66_LE_COFF"
	-@ echo Building Project DSPF_sp_mat_mul_cplx_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_cplx_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_mul_cplx_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_mul_cplx_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_cplx_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_mat_mul_cplx_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_COFF/Release/DSPF_sp_mat_mul_cplx_66_BE_COFF.out

.projects: src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_COFF

src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_COFF: src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_COFF/.project

src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_cplx_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_mul_cplx_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_BE_COFF_SRCDSPF_SP_MAT_MUL_CPLXC66/DSPF_sp_mat_mul_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_BE_COFF_SRCDSPF_SP_MAT_MUL_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_BE_COFF_SRCDSPF_SP_MAT_MUL_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_cplx/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_BE_COFF_SRCDSPF_SP_MAT_MUL_CPLX=../../ >> src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_BE_COFF_SRCDSPF_SP_MAT_MUL_CPLXC66=.././ >> src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_cplx_66_BE_COFF"
src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_COFF/Release/DSPF_sp_mat_mul_cplx_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_COFF/Release/DSPF_sp_mat_mul_cplx_66_BE_COFF.out: src/DSPF_sp_mat_mul_cplx/DSPF_sp_mat_mul_cplx.h
src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_COFF/Release/DSPF_sp_mat_mul_cplx_66_BE_COFF.out: src/DSPF_sp_mat_mul_cplx//c66/DSPF_sp_mat_mul_cplx.h
src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_COFF/Release/DSPF_sp_mat_mul_cplx_66_BE_COFF.out: src/DSPF_sp_mat_mul_cplx//c66/DSPF_sp_mat_mul_cplx_cn.h
src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_COFF/Release/DSPF_sp_mat_mul_cplx_66_BE_COFF.out: src/DSPF_sp_mat_mul_cplx//c66/DSPF_sp_mat_mul_cplx_d.c
src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_COFF/Release/DSPF_sp_mat_mul_cplx_66_BE_COFF.out: src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_mat_mul_cplx_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_cplx_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_mul_cplx_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_cplx/c66/DSPF_sp_mat_mul_cplx_66_BE_COFF"
	-@ echo Building Project DSPF_sp_mat_mul_cplx_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_cplx_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_mul_cplx_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_mul_cplx_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_cplx_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_mat_mul_cplx_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_ELF/Release/DSPF_sp_mat_mul_cplx_66_LE_ELF.out

.projects: src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_ELF

src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_ELF: src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_ELF/.project

src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_cplx_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_mul_cplx_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_LE_ELF_SRCDSPF_SP_MAT_MUL_CPLXC66/DSPF_sp_mat_mul_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_LE_ELF_SRCDSPF_SP_MAT_MUL_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_LE_ELF_SRCDSPF_SP_MAT_MUL_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_cplx/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_LE_ELF_SRCDSPF_SP_MAT_MUL_CPLX=../../ >> src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_LE_ELF_SRCDSPF_SP_MAT_MUL_CPLXC66=.././ >> src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_cplx_66_LE_ELF"
src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_ELF/Release/DSPF_sp_mat_mul_cplx_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_ELF/Release/DSPF_sp_mat_mul_cplx_66_LE_ELF.out: src/DSPF_sp_mat_mul_cplx/DSPF_sp_mat_mul_cplx.h
src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_ELF/Release/DSPF_sp_mat_mul_cplx_66_LE_ELF.out: src/DSPF_sp_mat_mul_cplx//c66/DSPF_sp_mat_mul_cplx.h
src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_ELF/Release/DSPF_sp_mat_mul_cplx_66_LE_ELF.out: src/DSPF_sp_mat_mul_cplx//c66/DSPF_sp_mat_mul_cplx_cn.h
src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_ELF/Release/DSPF_sp_mat_mul_cplx_66_LE_ELF.out: src/DSPF_sp_mat_mul_cplx//c66/DSPF_sp_mat_mul_cplx_d.c
src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_ELF/Release/DSPF_sp_mat_mul_cplx_66_LE_ELF.out: src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_mat_mul_cplx_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_cplx_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_mul_cplx_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_cplx/c66/DSPF_sp_mat_mul_cplx_66_LE_ELF"
	-@ echo Building Project DSPF_sp_mat_mul_cplx_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_cplx_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_mul_cplx_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_mul_cplx_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_cplx_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_mat_mul_cplx_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_ELF/Release/DSPF_sp_mat_mul_cplx_66_BE_ELF.out

.projects: src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_ELF

src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_ELF: src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_ELF/.project

src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_cplx_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_mul_cplx_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_BE_ELF_SRCDSPF_SP_MAT_MUL_CPLXC66/DSPF_sp_mat_mul_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_BE_ELF_SRCDSPF_SP_MAT_MUL_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_BE_ELF_SRCDSPF_SP_MAT_MUL_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_cplx/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_BE_ELF_SRCDSPF_SP_MAT_MUL_CPLX=../../ >> src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_CPLX_66_BE_ELF_SRCDSPF_SP_MAT_MUL_CPLXC66=.././ >> src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_cplx_66_BE_ELF"
src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_ELF/Release/DSPF_sp_mat_mul_cplx_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_ELF/Release/DSPF_sp_mat_mul_cplx_66_BE_ELF.out: src/DSPF_sp_mat_mul_cplx/DSPF_sp_mat_mul_cplx.h
src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_ELF/Release/DSPF_sp_mat_mul_cplx_66_BE_ELF.out: src/DSPF_sp_mat_mul_cplx//c66/DSPF_sp_mat_mul_cplx.h
src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_ELF/Release/DSPF_sp_mat_mul_cplx_66_BE_ELF.out: src/DSPF_sp_mat_mul_cplx//c66/DSPF_sp_mat_mul_cplx_cn.h
src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_ELF/Release/DSPF_sp_mat_mul_cplx_66_BE_ELF.out: src/DSPF_sp_mat_mul_cplx//c66/DSPF_sp_mat_mul_cplx_d.c
src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_ELF/Release/DSPF_sp_mat_mul_cplx_66_BE_ELF.out: src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_mat_mul_cplx_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_cplx_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_mul_cplx_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_cplx/c66/DSPF_sp_mat_mul_cplx_66_BE_ELF"
	-@ echo Building Project DSPF_sp_mat_mul_cplx_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_cplx_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_mul_cplx_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_mul_cplx_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_cplx_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_mul_cplx//c66//DSPF_sp_mat_mul_cplx_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_mat_mul_gemm_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_COFF/Release/DSPF_sp_mat_mul_gemm_66_LE_COFF.out

.projects: src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_COFF

src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_COFF: src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_COFF/.project

src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_mul_gemm_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_LE_COFF_SRCDSPF_SP_MAT_MUL_GEMMC66/DSPF_sp_mat_mul_gemm_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_LE_COFF_SRCDSPF_SP_MAT_MUL_GEMM "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_gemm" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_LE_COFF_SRCDSPF_SP_MAT_MUL_GEMMC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_gemm/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_LE_COFF_SRCDSPF_SP_MAT_MUL_GEMM=../../ >> src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_LE_COFF_SRCDSPF_SP_MAT_MUL_GEMMC66=.././ >> src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_66_LE_COFF"
src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_COFF/Release/DSPF_sp_mat_mul_gemm_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_COFF/Release/DSPF_sp_mat_mul_gemm_66_LE_COFF.out: src/DSPF_sp_mat_mul_gemm/DSPF_sp_mat_mul_gemm.h
src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_COFF/Release/DSPF_sp_mat_mul_gemm_66_LE_COFF.out: src/DSPF_sp_mat_mul_gemm//c66/DSPF_sp_mat_mul_gemm.h
src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_COFF/Release/DSPF_sp_mat_mul_gemm_66_LE_COFF.out: src/DSPF_sp_mat_mul_gemm//c66/DSPF_sp_mat_mul_gemm_cn.h
src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_COFF/Release/DSPF_sp_mat_mul_gemm_66_LE_COFF.out: src/DSPF_sp_mat_mul_gemm//c66/DSPF_sp_mat_mul_gemm_d.c
src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_COFF/Release/DSPF_sp_mat_mul_gemm_66_LE_COFF.out: src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_mat_mul_gemm_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_mul_gemm_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_gemm/c66/DSPF_sp_mat_mul_gemm_66_LE_COFF"
	-@ echo Building Project DSPF_sp_mat_mul_gemm_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_mul_gemm_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_mul_gemm_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_mat_mul_gemm_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_COFF/Release/DSPF_sp_mat_mul_gemm_66_BE_COFF.out

.projects: src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_COFF

src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_COFF: src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_COFF/.project

src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_mul_gemm_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_BE_COFF_SRCDSPF_SP_MAT_MUL_GEMMC66/DSPF_sp_mat_mul_gemm_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_BE_COFF_SRCDSPF_SP_MAT_MUL_GEMM "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_gemm" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_BE_COFF_SRCDSPF_SP_MAT_MUL_GEMMC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_gemm/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_BE_COFF_SRCDSPF_SP_MAT_MUL_GEMM=../../ >> src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_BE_COFF_SRCDSPF_SP_MAT_MUL_GEMMC66=.././ >> src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_66_BE_COFF"
src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_COFF/Release/DSPF_sp_mat_mul_gemm_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_COFF/Release/DSPF_sp_mat_mul_gemm_66_BE_COFF.out: src/DSPF_sp_mat_mul_gemm/DSPF_sp_mat_mul_gemm.h
src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_COFF/Release/DSPF_sp_mat_mul_gemm_66_BE_COFF.out: src/DSPF_sp_mat_mul_gemm//c66/DSPF_sp_mat_mul_gemm.h
src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_COFF/Release/DSPF_sp_mat_mul_gemm_66_BE_COFF.out: src/DSPF_sp_mat_mul_gemm//c66/DSPF_sp_mat_mul_gemm_cn.h
src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_COFF/Release/DSPF_sp_mat_mul_gemm_66_BE_COFF.out: src/DSPF_sp_mat_mul_gemm//c66/DSPF_sp_mat_mul_gemm_d.c
src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_COFF/Release/DSPF_sp_mat_mul_gemm_66_BE_COFF.out: src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_mat_mul_gemm_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_mul_gemm_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_gemm/c66/DSPF_sp_mat_mul_gemm_66_BE_COFF"
	-@ echo Building Project DSPF_sp_mat_mul_gemm_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_mul_gemm_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_mul_gemm_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_mat_mul_gemm_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_ELF/Release/DSPF_sp_mat_mul_gemm_66_LE_ELF.out

.projects: src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_ELF

src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_ELF: src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_ELF/.project

src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_mul_gemm_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_LE_ELF_SRCDSPF_SP_MAT_MUL_GEMMC66/DSPF_sp_mat_mul_gemm_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_LE_ELF_SRCDSPF_SP_MAT_MUL_GEMM "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_gemm" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_LE_ELF_SRCDSPF_SP_MAT_MUL_GEMMC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_gemm/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_LE_ELF_SRCDSPF_SP_MAT_MUL_GEMM=../../ >> src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_LE_ELF_SRCDSPF_SP_MAT_MUL_GEMMC66=.././ >> src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_66_LE_ELF"
src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_ELF/Release/DSPF_sp_mat_mul_gemm_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_ELF/Release/DSPF_sp_mat_mul_gemm_66_LE_ELF.out: src/DSPF_sp_mat_mul_gemm/DSPF_sp_mat_mul_gemm.h
src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_ELF/Release/DSPF_sp_mat_mul_gemm_66_LE_ELF.out: src/DSPF_sp_mat_mul_gemm//c66/DSPF_sp_mat_mul_gemm.h
src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_ELF/Release/DSPF_sp_mat_mul_gemm_66_LE_ELF.out: src/DSPF_sp_mat_mul_gemm//c66/DSPF_sp_mat_mul_gemm_cn.h
src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_ELF/Release/DSPF_sp_mat_mul_gemm_66_LE_ELF.out: src/DSPF_sp_mat_mul_gemm//c66/DSPF_sp_mat_mul_gemm_d.c
src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_ELF/Release/DSPF_sp_mat_mul_gemm_66_LE_ELF.out: src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_mat_mul_gemm_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_mul_gemm_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_gemm/c66/DSPF_sp_mat_mul_gemm_66_LE_ELF"
	-@ echo Building Project DSPF_sp_mat_mul_gemm_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_mul_gemm_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_mul_gemm_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_mat_mul_gemm_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_ELF/Release/DSPF_sp_mat_mul_gemm_66_BE_ELF.out

.projects: src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_ELF

src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_ELF: src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_ELF/.project

src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_mul_gemm_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_BE_ELF_SRCDSPF_SP_MAT_MUL_GEMMC66/DSPF_sp_mat_mul_gemm_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_BE_ELF_SRCDSPF_SP_MAT_MUL_GEMM "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_gemm" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_BE_ELF_SRCDSPF_SP_MAT_MUL_GEMMC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_gemm/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_BE_ELF_SRCDSPF_SP_MAT_MUL_GEMM=../../ >> src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_66_BE_ELF_SRCDSPF_SP_MAT_MUL_GEMMC66=.././ >> src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_66_BE_ELF"
src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_ELF/Release/DSPF_sp_mat_mul_gemm_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_ELF/Release/DSPF_sp_mat_mul_gemm_66_BE_ELF.out: src/DSPF_sp_mat_mul_gemm/DSPF_sp_mat_mul_gemm.h
src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_ELF/Release/DSPF_sp_mat_mul_gemm_66_BE_ELF.out: src/DSPF_sp_mat_mul_gemm//c66/DSPF_sp_mat_mul_gemm.h
src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_ELF/Release/DSPF_sp_mat_mul_gemm_66_BE_ELF.out: src/DSPF_sp_mat_mul_gemm//c66/DSPF_sp_mat_mul_gemm_cn.h
src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_ELF/Release/DSPF_sp_mat_mul_gemm_66_BE_ELF.out: src/DSPF_sp_mat_mul_gemm//c66/DSPF_sp_mat_mul_gemm_d.c
src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_ELF/Release/DSPF_sp_mat_mul_gemm_66_BE_ELF.out: src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_mat_mul_gemm_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_mul_gemm_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_gemm/c66/DSPF_sp_mat_mul_gemm_66_BE_ELF"
	-@ echo Building Project DSPF_sp_mat_mul_gemm_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_mul_gemm_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_mul_gemm_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_mul_gemm//c66//DSPF_sp_mat_mul_gemm_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF/Release/DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF.out

.projects: src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF

src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF: src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF/.project

src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_LE_COFF_SRCDSPF_SP_MAT_MUL_GEMM_CPLXC66/DSPF_sp_mat_mul_gemm_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_LE_COFF_SRCDSPF_SP_MAT_MUL_GEMM_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_gemm_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_LE_COFF_SRCDSPF_SP_MAT_MUL_GEMM_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_gemm_cplx/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_LE_COFF_SRCDSPF_SP_MAT_MUL_GEMM_CPLX=../../ >> src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_LE_COFF_SRCDSPF_SP_MAT_MUL_GEMM_CPLXC66=.././ >> src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF"
src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF/Release/DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF/Release/DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF.out: src/DSPF_sp_mat_mul_gemm_cplx/DSPF_sp_mat_mul_gemm_cplx.h
src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF/Release/DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF.out: src/DSPF_sp_mat_mul_gemm_cplx//c66/DSPF_sp_mat_mul_gemm_cplx.h
src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF/Release/DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF.out: src/DSPF_sp_mat_mul_gemm_cplx//c66/DSPF_sp_mat_mul_gemm_cplx_cn.h
src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF/Release/DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF.out: src/DSPF_sp_mat_mul_gemm_cplx//c66/DSPF_sp_mat_mul_gemm_cplx_d.c
src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF/Release/DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF.out: src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_gemm_cplx/c66/DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF"
	-@ echo Building Project DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF/Release/DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF.out

.projects: src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF

src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF: src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF/.project

src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_BE_COFF_SRCDSPF_SP_MAT_MUL_GEMM_CPLXC66/DSPF_sp_mat_mul_gemm_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_BE_COFF_SRCDSPF_SP_MAT_MUL_GEMM_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_gemm_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_BE_COFF_SRCDSPF_SP_MAT_MUL_GEMM_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_gemm_cplx/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_BE_COFF_SRCDSPF_SP_MAT_MUL_GEMM_CPLX=../../ >> src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_BE_COFF_SRCDSPF_SP_MAT_MUL_GEMM_CPLXC66=.././ >> src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF"
src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF/Release/DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF/Release/DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF.out: src/DSPF_sp_mat_mul_gemm_cplx/DSPF_sp_mat_mul_gemm_cplx.h
src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF/Release/DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF.out: src/DSPF_sp_mat_mul_gemm_cplx//c66/DSPF_sp_mat_mul_gemm_cplx.h
src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF/Release/DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF.out: src/DSPF_sp_mat_mul_gemm_cplx//c66/DSPF_sp_mat_mul_gemm_cplx_cn.h
src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF/Release/DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF.out: src/DSPF_sp_mat_mul_gemm_cplx//c66/DSPF_sp_mat_mul_gemm_cplx_d.c
src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF/Release/DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF.out: src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_gemm_cplx/c66/DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF"
	-@ echo Building Project DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF/Release/DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF.out

.projects: src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF

src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF: src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF/.project

src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_LE_ELF_SRCDSPF_SP_MAT_MUL_GEMM_CPLXC66/DSPF_sp_mat_mul_gemm_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_LE_ELF_SRCDSPF_SP_MAT_MUL_GEMM_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_gemm_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_LE_ELF_SRCDSPF_SP_MAT_MUL_GEMM_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_gemm_cplx/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_LE_ELF_SRCDSPF_SP_MAT_MUL_GEMM_CPLX=../../ >> src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_LE_ELF_SRCDSPF_SP_MAT_MUL_GEMM_CPLXC66=.././ >> src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF"
src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF/Release/DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF/Release/DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF.out: src/DSPF_sp_mat_mul_gemm_cplx/DSPF_sp_mat_mul_gemm_cplx.h
src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF/Release/DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF.out: src/DSPF_sp_mat_mul_gemm_cplx//c66/DSPF_sp_mat_mul_gemm_cplx.h
src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF/Release/DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF.out: src/DSPF_sp_mat_mul_gemm_cplx//c66/DSPF_sp_mat_mul_gemm_cplx_cn.h
src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF/Release/DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF.out: src/DSPF_sp_mat_mul_gemm_cplx//c66/DSPF_sp_mat_mul_gemm_cplx_d.c
src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF/Release/DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF.out: src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_gemm_cplx/c66/DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF"
	-@ echo Building Project DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF/Release/DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF.out

.projects: src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF

src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF: src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF/.project

src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_BE_ELF_SRCDSPF_SP_MAT_MUL_GEMM_CPLXC66/DSPF_sp_mat_mul_gemm_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_BE_ELF_SRCDSPF_SP_MAT_MUL_GEMM_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_gemm_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_BE_ELF_SRCDSPF_SP_MAT_MUL_GEMM_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_gemm_cplx/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_BE_ELF_SRCDSPF_SP_MAT_MUL_GEMM_CPLX=../../ >> src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_MUL_GEMM_CPLX_66_BE_ELF_SRCDSPF_SP_MAT_MUL_GEMM_CPLXC66=.././ >> src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF"
src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF/Release/DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF/Release/DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF.out: src/DSPF_sp_mat_mul_gemm_cplx/DSPF_sp_mat_mul_gemm_cplx.h
src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF/Release/DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF.out: src/DSPF_sp_mat_mul_gemm_cplx//c66/DSPF_sp_mat_mul_gemm_cplx.h
src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF/Release/DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF.out: src/DSPF_sp_mat_mul_gemm_cplx//c66/DSPF_sp_mat_mul_gemm_cplx_cn.h
src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF/Release/DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF.out: src/DSPF_sp_mat_mul_gemm_cplx//c66/DSPF_sp_mat_mul_gemm_cplx_d.c
src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF/Release/DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF.out: src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_mul_gemm_cplx/c66/DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF"
	-@ echo Building Project DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_mul_gemm_cplx//c66//DSPF_sp_mat_mul_gemm_cplx_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_mat_submat_copy_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_COFF/Release/DSPF_sp_mat_submat_copy_66_LE_COFF.out

.projects: src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_COFF

src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_COFF: src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_COFF/.project

src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_submat_copy_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_submat_copy_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_LE_COFF_SRCDSPF_SP_MAT_SUBMAT_COPYC66/DSPF_sp_mat_submat_copy_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_LE_COFF_SRCDSPF_SP_MAT_SUBMAT_COPY "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_submat_copy" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_LE_COFF_SRCDSPF_SP_MAT_SUBMAT_COPYC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_submat_copy/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_LE_COFF_SRCDSPF_SP_MAT_SUBMAT_COPY=../../ >> src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_LE_COFF_SRCDSPF_SP_MAT_SUBMAT_COPYC66=.././ >> src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_submat_copy_66_LE_COFF"
src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_COFF/Release/DSPF_sp_mat_submat_copy_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_COFF/Release/DSPF_sp_mat_submat_copy_66_LE_COFF.out: src/DSPF_sp_mat_submat_copy/DSPF_sp_mat_submat_copy.h
src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_COFF/Release/DSPF_sp_mat_submat_copy_66_LE_COFF.out: src/DSPF_sp_mat_submat_copy//c66/DSPF_sp_mat_submat_copy.h
src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_COFF/Release/DSPF_sp_mat_submat_copy_66_LE_COFF.out: src/DSPF_sp_mat_submat_copy//c66/DSPF_sp_mat_submat_copy_cn.h
src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_COFF/Release/DSPF_sp_mat_submat_copy_66_LE_COFF.out: src/DSPF_sp_mat_submat_copy//c66/DSPF_sp_mat_submat_copy_d.c
src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_COFF/Release/DSPF_sp_mat_submat_copy_66_LE_COFF.out: src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_mat_submat_copy_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_submat_copy_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_submat_copy_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_submat_copy/c66/DSPF_sp_mat_submat_copy_66_LE_COFF"
	-@ echo Building Project DSPF_sp_mat_submat_copy_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_submat_copy_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_submat_copy_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_submat_copy_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_submat_copy_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_mat_submat_copy_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_COFF/Release/DSPF_sp_mat_submat_copy_66_BE_COFF.out

.projects: src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_COFF

src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_COFF: src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_COFF/.project

src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_submat_copy_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_submat_copy_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_BE_COFF_SRCDSPF_SP_MAT_SUBMAT_COPYC66/DSPF_sp_mat_submat_copy_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_BE_COFF_SRCDSPF_SP_MAT_SUBMAT_COPY "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_submat_copy" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_BE_COFF_SRCDSPF_SP_MAT_SUBMAT_COPYC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_submat_copy/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_BE_COFF_SRCDSPF_SP_MAT_SUBMAT_COPY=../../ >> src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_BE_COFF_SRCDSPF_SP_MAT_SUBMAT_COPYC66=.././ >> src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_submat_copy_66_BE_COFF"
src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_COFF/Release/DSPF_sp_mat_submat_copy_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_COFF/Release/DSPF_sp_mat_submat_copy_66_BE_COFF.out: src/DSPF_sp_mat_submat_copy/DSPF_sp_mat_submat_copy.h
src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_COFF/Release/DSPF_sp_mat_submat_copy_66_BE_COFF.out: src/DSPF_sp_mat_submat_copy//c66/DSPF_sp_mat_submat_copy.h
src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_COFF/Release/DSPF_sp_mat_submat_copy_66_BE_COFF.out: src/DSPF_sp_mat_submat_copy//c66/DSPF_sp_mat_submat_copy_cn.h
src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_COFF/Release/DSPF_sp_mat_submat_copy_66_BE_COFF.out: src/DSPF_sp_mat_submat_copy//c66/DSPF_sp_mat_submat_copy_d.c
src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_COFF/Release/DSPF_sp_mat_submat_copy_66_BE_COFF.out: src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_mat_submat_copy_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_submat_copy_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_submat_copy_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_submat_copy/c66/DSPF_sp_mat_submat_copy_66_BE_COFF"
	-@ echo Building Project DSPF_sp_mat_submat_copy_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_submat_copy_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_submat_copy_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_submat_copy_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_submat_copy_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_mat_submat_copy_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_ELF/Release/DSPF_sp_mat_submat_copy_66_LE_ELF.out

.projects: src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_ELF

src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_ELF: src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_ELF/.project

src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_submat_copy_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_submat_copy_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_LE_ELF_SRCDSPF_SP_MAT_SUBMAT_COPYC66/DSPF_sp_mat_submat_copy_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_LE_ELF_SRCDSPF_SP_MAT_SUBMAT_COPY "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_submat_copy" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_LE_ELF_SRCDSPF_SP_MAT_SUBMAT_COPYC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_submat_copy/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_LE_ELF_SRCDSPF_SP_MAT_SUBMAT_COPY=../../ >> src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_LE_ELF_SRCDSPF_SP_MAT_SUBMAT_COPYC66=.././ >> src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_submat_copy_66_LE_ELF"
src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_ELF/Release/DSPF_sp_mat_submat_copy_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_ELF/Release/DSPF_sp_mat_submat_copy_66_LE_ELF.out: src/DSPF_sp_mat_submat_copy/DSPF_sp_mat_submat_copy.h
src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_ELF/Release/DSPF_sp_mat_submat_copy_66_LE_ELF.out: src/DSPF_sp_mat_submat_copy//c66/DSPF_sp_mat_submat_copy.h
src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_ELF/Release/DSPF_sp_mat_submat_copy_66_LE_ELF.out: src/DSPF_sp_mat_submat_copy//c66/DSPF_sp_mat_submat_copy_cn.h
src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_ELF/Release/DSPF_sp_mat_submat_copy_66_LE_ELF.out: src/DSPF_sp_mat_submat_copy//c66/DSPF_sp_mat_submat_copy_d.c
src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_ELF/Release/DSPF_sp_mat_submat_copy_66_LE_ELF.out: src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_mat_submat_copy_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_submat_copy_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_submat_copy_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_submat_copy/c66/DSPF_sp_mat_submat_copy_66_LE_ELF"
	-@ echo Building Project DSPF_sp_mat_submat_copy_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_submat_copy_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_submat_copy_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_submat_copy_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_submat_copy_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_mat_submat_copy_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_ELF/Release/DSPF_sp_mat_submat_copy_66_BE_ELF.out

.projects: src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_ELF

src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_ELF: src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_ELF/.project

src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_submat_copy_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_submat_copy_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_BE_ELF_SRCDSPF_SP_MAT_SUBMAT_COPYC66/DSPF_sp_mat_submat_copy_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_BE_ELF_SRCDSPF_SP_MAT_SUBMAT_COPY "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_submat_copy" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_BE_ELF_SRCDSPF_SP_MAT_SUBMAT_COPYC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_submat_copy/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_BE_ELF_SRCDSPF_SP_MAT_SUBMAT_COPY=../../ >> src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_66_BE_ELF_SRCDSPF_SP_MAT_SUBMAT_COPYC66=.././ >> src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_submat_copy_66_BE_ELF"
src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_ELF/Release/DSPF_sp_mat_submat_copy_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_ELF/Release/DSPF_sp_mat_submat_copy_66_BE_ELF.out: src/DSPF_sp_mat_submat_copy/DSPF_sp_mat_submat_copy.h
src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_ELF/Release/DSPF_sp_mat_submat_copy_66_BE_ELF.out: src/DSPF_sp_mat_submat_copy//c66/DSPF_sp_mat_submat_copy.h
src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_ELF/Release/DSPF_sp_mat_submat_copy_66_BE_ELF.out: src/DSPF_sp_mat_submat_copy//c66/DSPF_sp_mat_submat_copy_cn.h
src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_ELF/Release/DSPF_sp_mat_submat_copy_66_BE_ELF.out: src/DSPF_sp_mat_submat_copy//c66/DSPF_sp_mat_submat_copy_d.c
src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_ELF/Release/DSPF_sp_mat_submat_copy_66_BE_ELF.out: src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_mat_submat_copy_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_submat_copy_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_submat_copy_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_submat_copy/c66/DSPF_sp_mat_submat_copy_66_BE_ELF"
	-@ echo Building Project DSPF_sp_mat_submat_copy_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_submat_copy_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_submat_copy_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_submat_copy_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_submat_copy_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_submat_copy//c66//DSPF_sp_mat_submat_copy_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_mat_submat_copy_cplx_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_COFF/Release/DSPF_sp_mat_submat_copy_cplx_66_LE_COFF.out

.projects: src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_COFF

src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_COFF: src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_COFF/.project

src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_submat_copy_cplx_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_submat_copy_cplx_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_LE_COFF_SRCDSPF_SP_MAT_SUBMAT_COPY_CPLXC66/DSPF_sp_mat_submat_copy_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_LE_COFF_SRCDSPF_SP_MAT_SUBMAT_COPY_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_submat_copy_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_LE_COFF_SRCDSPF_SP_MAT_SUBMAT_COPY_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_submat_copy_cplx/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_LE_COFF_SRCDSPF_SP_MAT_SUBMAT_COPY_CPLX=../../ >> src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_LE_COFF_SRCDSPF_SP_MAT_SUBMAT_COPY_CPLXC66=.././ >> src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_submat_copy_cplx_66_LE_COFF"
src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_COFF/Release/DSPF_sp_mat_submat_copy_cplx_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_COFF/Release/DSPF_sp_mat_submat_copy_cplx_66_LE_COFF.out: src/DSPF_sp_mat_submat_copy_cplx/DSPF_sp_mat_submat_copy_cplx.h
src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_COFF/Release/DSPF_sp_mat_submat_copy_cplx_66_LE_COFF.out: src/DSPF_sp_mat_submat_copy_cplx//c66/DSPF_sp_mat_submat_copy_cplx.h
src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_COFF/Release/DSPF_sp_mat_submat_copy_cplx_66_LE_COFF.out: src/DSPF_sp_mat_submat_copy_cplx//c66/DSPF_sp_mat_submat_copy_cplx_cn.h
src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_COFF/Release/DSPF_sp_mat_submat_copy_cplx_66_LE_COFF.out: src/DSPF_sp_mat_submat_copy_cplx//c66/DSPF_sp_mat_submat_copy_cplx_d.c
src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_COFF/Release/DSPF_sp_mat_submat_copy_cplx_66_LE_COFF.out: src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_mat_submat_copy_cplx_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_submat_copy_cplx_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_submat_copy_cplx_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_submat_copy_cplx/c66/DSPF_sp_mat_submat_copy_cplx_66_LE_COFF"
	-@ echo Building Project DSPF_sp_mat_submat_copy_cplx_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_submat_copy_cplx_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_submat_copy_cplx_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_submat_copy_cplx_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_submat_copy_cplx_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_mat_submat_copy_cplx_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_COFF/Release/DSPF_sp_mat_submat_copy_cplx_66_BE_COFF.out

.projects: src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_COFF

src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_COFF: src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_COFF/.project

src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_submat_copy_cplx_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_submat_copy_cplx_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_BE_COFF_SRCDSPF_SP_MAT_SUBMAT_COPY_CPLXC66/DSPF_sp_mat_submat_copy_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_BE_COFF_SRCDSPF_SP_MAT_SUBMAT_COPY_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_submat_copy_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_BE_COFF_SRCDSPF_SP_MAT_SUBMAT_COPY_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_submat_copy_cplx/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_BE_COFF_SRCDSPF_SP_MAT_SUBMAT_COPY_CPLX=../../ >> src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_BE_COFF_SRCDSPF_SP_MAT_SUBMAT_COPY_CPLXC66=.././ >> src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_submat_copy_cplx_66_BE_COFF"
src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_COFF/Release/DSPF_sp_mat_submat_copy_cplx_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_COFF/Release/DSPF_sp_mat_submat_copy_cplx_66_BE_COFF.out: src/DSPF_sp_mat_submat_copy_cplx/DSPF_sp_mat_submat_copy_cplx.h
src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_COFF/Release/DSPF_sp_mat_submat_copy_cplx_66_BE_COFF.out: src/DSPF_sp_mat_submat_copy_cplx//c66/DSPF_sp_mat_submat_copy_cplx.h
src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_COFF/Release/DSPF_sp_mat_submat_copy_cplx_66_BE_COFF.out: src/DSPF_sp_mat_submat_copy_cplx//c66/DSPF_sp_mat_submat_copy_cplx_cn.h
src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_COFF/Release/DSPF_sp_mat_submat_copy_cplx_66_BE_COFF.out: src/DSPF_sp_mat_submat_copy_cplx//c66/DSPF_sp_mat_submat_copy_cplx_d.c
src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_COFF/Release/DSPF_sp_mat_submat_copy_cplx_66_BE_COFF.out: src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_mat_submat_copy_cplx_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_submat_copy_cplx_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_submat_copy_cplx_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_submat_copy_cplx/c66/DSPF_sp_mat_submat_copy_cplx_66_BE_COFF"
	-@ echo Building Project DSPF_sp_mat_submat_copy_cplx_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_submat_copy_cplx_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_submat_copy_cplx_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_submat_copy_cplx_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_submat_copy_cplx_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_mat_submat_copy_cplx_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_ELF/Release/DSPF_sp_mat_submat_copy_cplx_66_LE_ELF.out

.projects: src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_ELF

src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_ELF: src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_ELF/.project

src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_submat_copy_cplx_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_submat_copy_cplx_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_LE_ELF_SRCDSPF_SP_MAT_SUBMAT_COPY_CPLXC66/DSPF_sp_mat_submat_copy_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_LE_ELF_SRCDSPF_SP_MAT_SUBMAT_COPY_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_submat_copy_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_LE_ELF_SRCDSPF_SP_MAT_SUBMAT_COPY_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_submat_copy_cplx/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_LE_ELF_SRCDSPF_SP_MAT_SUBMAT_COPY_CPLX=../../ >> src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_LE_ELF_SRCDSPF_SP_MAT_SUBMAT_COPY_CPLXC66=.././ >> src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_submat_copy_cplx_66_LE_ELF"
src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_ELF/Release/DSPF_sp_mat_submat_copy_cplx_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_ELF/Release/DSPF_sp_mat_submat_copy_cplx_66_LE_ELF.out: src/DSPF_sp_mat_submat_copy_cplx/DSPF_sp_mat_submat_copy_cplx.h
src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_ELF/Release/DSPF_sp_mat_submat_copy_cplx_66_LE_ELF.out: src/DSPF_sp_mat_submat_copy_cplx//c66/DSPF_sp_mat_submat_copy_cplx.h
src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_ELF/Release/DSPF_sp_mat_submat_copy_cplx_66_LE_ELF.out: src/DSPF_sp_mat_submat_copy_cplx//c66/DSPF_sp_mat_submat_copy_cplx_cn.h
src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_ELF/Release/DSPF_sp_mat_submat_copy_cplx_66_LE_ELF.out: src/DSPF_sp_mat_submat_copy_cplx//c66/DSPF_sp_mat_submat_copy_cplx_d.c
src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_ELF/Release/DSPF_sp_mat_submat_copy_cplx_66_LE_ELF.out: src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_mat_submat_copy_cplx_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_submat_copy_cplx_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_submat_copy_cplx_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_submat_copy_cplx/c66/DSPF_sp_mat_submat_copy_cplx_66_LE_ELF"
	-@ echo Building Project DSPF_sp_mat_submat_copy_cplx_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_submat_copy_cplx_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_submat_copy_cplx_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_submat_copy_cplx_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_submat_copy_cplx_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_mat_submat_copy_cplx_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_ELF/Release/DSPF_sp_mat_submat_copy_cplx_66_BE_ELF.out

.projects: src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_ELF

src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_ELF: src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_ELF/.project

src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_submat_copy_cplx_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_submat_copy_cplx_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_BE_ELF_SRCDSPF_SP_MAT_SUBMAT_COPY_CPLXC66/DSPF_sp_mat_submat_copy_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_BE_ELF_SRCDSPF_SP_MAT_SUBMAT_COPY_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_submat_copy_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_BE_ELF_SRCDSPF_SP_MAT_SUBMAT_COPY_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_submat_copy_cplx/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_BE_ELF_SRCDSPF_SP_MAT_SUBMAT_COPY_CPLX=../../ >> src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_SUBMAT_COPY_CPLX_66_BE_ELF_SRCDSPF_SP_MAT_SUBMAT_COPY_CPLXC66=.././ >> src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_submat_copy_cplx_66_BE_ELF"
src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_ELF/Release/DSPF_sp_mat_submat_copy_cplx_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_ELF/Release/DSPF_sp_mat_submat_copy_cplx_66_BE_ELF.out: src/DSPF_sp_mat_submat_copy_cplx/DSPF_sp_mat_submat_copy_cplx.h
src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_ELF/Release/DSPF_sp_mat_submat_copy_cplx_66_BE_ELF.out: src/DSPF_sp_mat_submat_copy_cplx//c66/DSPF_sp_mat_submat_copy_cplx.h
src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_ELF/Release/DSPF_sp_mat_submat_copy_cplx_66_BE_ELF.out: src/DSPF_sp_mat_submat_copy_cplx//c66/DSPF_sp_mat_submat_copy_cplx_cn.h
src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_ELF/Release/DSPF_sp_mat_submat_copy_cplx_66_BE_ELF.out: src/DSPF_sp_mat_submat_copy_cplx//c66/DSPF_sp_mat_submat_copy_cplx_d.c
src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_ELF/Release/DSPF_sp_mat_submat_copy_cplx_66_BE_ELF.out: src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_mat_submat_copy_cplx_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_submat_copy_cplx_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_submat_copy_cplx_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_submat_copy_cplx/c66/DSPF_sp_mat_submat_copy_cplx_66_BE_ELF"
	-@ echo Building Project DSPF_sp_mat_submat_copy_cplx_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_submat_copy_cplx_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_submat_copy_cplx_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_submat_copy_cplx_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_submat_copy_cplx_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_submat_copy_cplx//c66//DSPF_sp_mat_submat_copy_cplx_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_mat_trans_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_COFF/Release/DSPF_sp_mat_trans_66_LE_COFF.out

.projects: src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_COFF

src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_COFF: src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_COFF/.project

src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_trans_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_trans_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_TRANS_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_TRANS_66_LE_COFF_SRCDSPF_SP_MAT_TRANSC66/DSPF_sp_mat_trans_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_TRANS_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_TRANS_66_LE_COFF_SRCDSPF_SP_MAT_TRANS "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_trans" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_TRANS_66_LE_COFF_SRCDSPF_SP_MAT_TRANSC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_trans/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_TRANS_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_TRANS_66_LE_COFF_SRCDSPF_SP_MAT_TRANS=../../ >> src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_TRANS_66_LE_COFF_SRCDSPF_SP_MAT_TRANSC66=.././ >> src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_trans_66_LE_COFF"
src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_COFF/Release/DSPF_sp_mat_trans_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_COFF/Release/DSPF_sp_mat_trans_66_LE_COFF.out: src/DSPF_sp_mat_trans/DSPF_sp_mat_trans.h
src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_COFF/Release/DSPF_sp_mat_trans_66_LE_COFF.out: src/DSPF_sp_mat_trans//c66/DSPF_sp_mat_trans.h
src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_COFF/Release/DSPF_sp_mat_trans_66_LE_COFF.out: src/DSPF_sp_mat_trans//c66/DSPF_sp_mat_trans_cn.h
src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_COFF/Release/DSPF_sp_mat_trans_66_LE_COFF.out: src/DSPF_sp_mat_trans//c66/DSPF_sp_mat_trans_d.c
src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_COFF/Release/DSPF_sp_mat_trans_66_LE_COFF.out: src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_mat_trans_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_trans_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_trans_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_trans/c66/DSPF_sp_mat_trans_66_LE_COFF"
	-@ echo Building Project DSPF_sp_mat_trans_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_trans_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_trans_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_trans_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_trans_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_mat_trans_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_COFF/Release/DSPF_sp_mat_trans_66_BE_COFF.out

.projects: src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_COFF

src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_COFF: src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_COFF/.project

src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_trans_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_trans_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_TRANS_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_TRANS_66_BE_COFF_SRCDSPF_SP_MAT_TRANSC66/DSPF_sp_mat_trans_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_TRANS_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_TRANS_66_BE_COFF_SRCDSPF_SP_MAT_TRANS "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_trans" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_TRANS_66_BE_COFF_SRCDSPF_SP_MAT_TRANSC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_trans/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_TRANS_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_TRANS_66_BE_COFF_SRCDSPF_SP_MAT_TRANS=../../ >> src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_TRANS_66_BE_COFF_SRCDSPF_SP_MAT_TRANSC66=.././ >> src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_trans_66_BE_COFF"
src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_COFF/Release/DSPF_sp_mat_trans_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_COFF/Release/DSPF_sp_mat_trans_66_BE_COFF.out: src/DSPF_sp_mat_trans/DSPF_sp_mat_trans.h
src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_COFF/Release/DSPF_sp_mat_trans_66_BE_COFF.out: src/DSPF_sp_mat_trans//c66/DSPF_sp_mat_trans.h
src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_COFF/Release/DSPF_sp_mat_trans_66_BE_COFF.out: src/DSPF_sp_mat_trans//c66/DSPF_sp_mat_trans_cn.h
src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_COFF/Release/DSPF_sp_mat_trans_66_BE_COFF.out: src/DSPF_sp_mat_trans//c66/DSPF_sp_mat_trans_d.c
src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_COFF/Release/DSPF_sp_mat_trans_66_BE_COFF.out: src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_mat_trans_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_trans_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_trans_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_trans/c66/DSPF_sp_mat_trans_66_BE_COFF"
	-@ echo Building Project DSPF_sp_mat_trans_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_trans_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_trans_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_trans_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_trans_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_mat_trans_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_ELF/Release/DSPF_sp_mat_trans_66_LE_ELF.out

.projects: src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_ELF

src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_ELF: src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_ELF/.project

src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_trans_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_trans_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_TRANS_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_TRANS_66_LE_ELF_SRCDSPF_SP_MAT_TRANSC66/DSPF_sp_mat_trans_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_TRANS_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_TRANS_66_LE_ELF_SRCDSPF_SP_MAT_TRANS "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_trans" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_TRANS_66_LE_ELF_SRCDSPF_SP_MAT_TRANSC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_trans/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_TRANS_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_TRANS_66_LE_ELF_SRCDSPF_SP_MAT_TRANS=../../ >> src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_TRANS_66_LE_ELF_SRCDSPF_SP_MAT_TRANSC66=.././ >> src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_trans_66_LE_ELF"
src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_ELF/Release/DSPF_sp_mat_trans_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_ELF/Release/DSPF_sp_mat_trans_66_LE_ELF.out: src/DSPF_sp_mat_trans/DSPF_sp_mat_trans.h
src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_ELF/Release/DSPF_sp_mat_trans_66_LE_ELF.out: src/DSPF_sp_mat_trans//c66/DSPF_sp_mat_trans.h
src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_ELF/Release/DSPF_sp_mat_trans_66_LE_ELF.out: src/DSPF_sp_mat_trans//c66/DSPF_sp_mat_trans_cn.h
src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_ELF/Release/DSPF_sp_mat_trans_66_LE_ELF.out: src/DSPF_sp_mat_trans//c66/DSPF_sp_mat_trans_d.c
src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_ELF/Release/DSPF_sp_mat_trans_66_LE_ELF.out: src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_mat_trans_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_trans_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_trans_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_trans/c66/DSPF_sp_mat_trans_66_LE_ELF"
	-@ echo Building Project DSPF_sp_mat_trans_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_trans_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_trans_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_trans_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_trans_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_mat_trans_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_ELF/Release/DSPF_sp_mat_trans_66_BE_ELF.out

.projects: src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_ELF

src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_ELF: src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_ELF/.project

src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_trans_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_trans_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_TRANS_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_TRANS_66_BE_ELF_SRCDSPF_SP_MAT_TRANSC66/DSPF_sp_mat_trans_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_TRANS_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_TRANS_66_BE_ELF_SRCDSPF_SP_MAT_TRANS "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_trans" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_TRANS_66_BE_ELF_SRCDSPF_SP_MAT_TRANSC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_trans/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_TRANS_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_TRANS_66_BE_ELF_SRCDSPF_SP_MAT_TRANS=../../ >> src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_TRANS_66_BE_ELF_SRCDSPF_SP_MAT_TRANSC66=.././ >> src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_trans_66_BE_ELF"
src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_ELF/Release/DSPF_sp_mat_trans_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_ELF/Release/DSPF_sp_mat_trans_66_BE_ELF.out: src/DSPF_sp_mat_trans/DSPF_sp_mat_trans.h
src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_ELF/Release/DSPF_sp_mat_trans_66_BE_ELF.out: src/DSPF_sp_mat_trans//c66/DSPF_sp_mat_trans.h
src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_ELF/Release/DSPF_sp_mat_trans_66_BE_ELF.out: src/DSPF_sp_mat_trans//c66/DSPF_sp_mat_trans_cn.h
src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_ELF/Release/DSPF_sp_mat_trans_66_BE_ELF.out: src/DSPF_sp_mat_trans//c66/DSPF_sp_mat_trans_d.c
src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_ELF/Release/DSPF_sp_mat_trans_66_BE_ELF.out: src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_mat_trans_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_trans_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_trans_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_trans/c66/DSPF_sp_mat_trans_66_BE_ELF"
	-@ echo Building Project DSPF_sp_mat_trans_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_trans_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_trans_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_trans_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_trans_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_trans//c66//DSPF_sp_mat_trans_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_mat_trans_cplx_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_COFF/Release/DSPF_sp_mat_trans_cplx_66_LE_COFF.out

.projects: src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_COFF

src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_COFF: src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_COFF/.project

src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_trans_cplx_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_trans_cplx_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_LE_COFF_SRCDSPF_SP_MAT_TRANS_CPLXC66/DSPF_sp_mat_trans_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_LE_COFF_SRCDSPF_SP_MAT_TRANS_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_trans_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_LE_COFF_SRCDSPF_SP_MAT_TRANS_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_trans_cplx/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_LE_COFF_SRCDSPF_SP_MAT_TRANS_CPLX=../../ >> src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_LE_COFF_SRCDSPF_SP_MAT_TRANS_CPLXC66=.././ >> src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_trans_cplx_66_LE_COFF"
src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_COFF/Release/DSPF_sp_mat_trans_cplx_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_COFF/Release/DSPF_sp_mat_trans_cplx_66_LE_COFF.out: src/DSPF_sp_mat_trans_cplx/DSPF_sp_mat_trans_cplx.h
src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_COFF/Release/DSPF_sp_mat_trans_cplx_66_LE_COFF.out: src/DSPF_sp_mat_trans_cplx//c66/DSPF_sp_mat_trans_cplx.h
src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_COFF/Release/DSPF_sp_mat_trans_cplx_66_LE_COFF.out: src/DSPF_sp_mat_trans_cplx//c66/DSPF_sp_mat_trans_cplx_cn.h
src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_COFF/Release/DSPF_sp_mat_trans_cplx_66_LE_COFF.out: src/DSPF_sp_mat_trans_cplx//c66/DSPF_sp_mat_trans_cplx_d.c
src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_COFF/Release/DSPF_sp_mat_trans_cplx_66_LE_COFF.out: src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_mat_trans_cplx_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_trans_cplx_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_trans_cplx_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_trans_cplx/c66/DSPF_sp_mat_trans_cplx_66_LE_COFF"
	-@ echo Building Project DSPF_sp_mat_trans_cplx_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_trans_cplx_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_trans_cplx_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_trans_cplx_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_trans_cplx_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_mat_trans_cplx_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_COFF/Release/DSPF_sp_mat_trans_cplx_66_BE_COFF.out

.projects: src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_COFF

src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_COFF: src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_COFF/.project

src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_trans_cplx_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_trans_cplx_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_BE_COFF_SRCDSPF_SP_MAT_TRANS_CPLXC66/DSPF_sp_mat_trans_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_BE_COFF_SRCDSPF_SP_MAT_TRANS_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_trans_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_BE_COFF_SRCDSPF_SP_MAT_TRANS_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_trans_cplx/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_BE_COFF_SRCDSPF_SP_MAT_TRANS_CPLX=../../ >> src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_BE_COFF_SRCDSPF_SP_MAT_TRANS_CPLXC66=.././ >> src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_trans_cplx_66_BE_COFF"
src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_COFF/Release/DSPF_sp_mat_trans_cplx_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_COFF/Release/DSPF_sp_mat_trans_cplx_66_BE_COFF.out: src/DSPF_sp_mat_trans_cplx/DSPF_sp_mat_trans_cplx.h
src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_COFF/Release/DSPF_sp_mat_trans_cplx_66_BE_COFF.out: src/DSPF_sp_mat_trans_cplx//c66/DSPF_sp_mat_trans_cplx.h
src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_COFF/Release/DSPF_sp_mat_trans_cplx_66_BE_COFF.out: src/DSPF_sp_mat_trans_cplx//c66/DSPF_sp_mat_trans_cplx_cn.h
src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_COFF/Release/DSPF_sp_mat_trans_cplx_66_BE_COFF.out: src/DSPF_sp_mat_trans_cplx//c66/DSPF_sp_mat_trans_cplx_d.c
src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_COFF/Release/DSPF_sp_mat_trans_cplx_66_BE_COFF.out: src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_mat_trans_cplx_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_trans_cplx_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_trans_cplx_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_trans_cplx/c66/DSPF_sp_mat_trans_cplx_66_BE_COFF"
	-@ echo Building Project DSPF_sp_mat_trans_cplx_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_trans_cplx_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_trans_cplx_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_trans_cplx_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_trans_cplx_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_mat_trans_cplx_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_ELF/Release/DSPF_sp_mat_trans_cplx_66_LE_ELF.out

.projects: src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_ELF

src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_ELF: src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_ELF/.project

src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_trans_cplx_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_trans_cplx_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_LE_ELF_SRCDSPF_SP_MAT_TRANS_CPLXC66/DSPF_sp_mat_trans_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_LE_ELF_SRCDSPF_SP_MAT_TRANS_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_trans_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_LE_ELF_SRCDSPF_SP_MAT_TRANS_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_trans_cplx/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_LE_ELF_SRCDSPF_SP_MAT_TRANS_CPLX=../../ >> src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_LE_ELF_SRCDSPF_SP_MAT_TRANS_CPLXC66=.././ >> src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_trans_cplx_66_LE_ELF"
src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_ELF/Release/DSPF_sp_mat_trans_cplx_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_ELF/Release/DSPF_sp_mat_trans_cplx_66_LE_ELF.out: src/DSPF_sp_mat_trans_cplx/DSPF_sp_mat_trans_cplx.h
src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_ELF/Release/DSPF_sp_mat_trans_cplx_66_LE_ELF.out: src/DSPF_sp_mat_trans_cplx//c66/DSPF_sp_mat_trans_cplx.h
src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_ELF/Release/DSPF_sp_mat_trans_cplx_66_LE_ELF.out: src/DSPF_sp_mat_trans_cplx//c66/DSPF_sp_mat_trans_cplx_cn.h
src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_ELF/Release/DSPF_sp_mat_trans_cplx_66_LE_ELF.out: src/DSPF_sp_mat_trans_cplx//c66/DSPF_sp_mat_trans_cplx_d.c
src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_ELF/Release/DSPF_sp_mat_trans_cplx_66_LE_ELF.out: src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_mat_trans_cplx_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_trans_cplx_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_trans_cplx_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_trans_cplx/c66/DSPF_sp_mat_trans_cplx_66_LE_ELF"
	-@ echo Building Project DSPF_sp_mat_trans_cplx_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_trans_cplx_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_trans_cplx_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_trans_cplx_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_trans_cplx_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_mat_trans_cplx_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_ELF/Release/DSPF_sp_mat_trans_cplx_66_BE_ELF.out

.projects: src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_ELF

src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_ELF: src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_ELF/.project

src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_trans_cplx_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_mat_trans_cplx_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_BE_ELF_SRCDSPF_SP_MAT_TRANS_CPLXC66/DSPF_sp_mat_trans_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_BE_ELF_SRCDSPF_SP_MAT_TRANS_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_trans_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_BE_ELF_SRCDSPF_SP_MAT_TRANS_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_trans_cplx/c66" \

	echo EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_BE_ELF_SRCDSPF_SP_MAT_TRANS_CPLX=../../ >> src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAT_TRANS_CPLX_66_BE_ELF_SRCDSPF_SP_MAT_TRANS_CPLXC66=.././ >> src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_trans_cplx_66_BE_ELF"
src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_ELF/Release/DSPF_sp_mat_trans_cplx_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_ELF/Release/DSPF_sp_mat_trans_cplx_66_BE_ELF.out: src/DSPF_sp_mat_trans_cplx/DSPF_sp_mat_trans_cplx.h
src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_ELF/Release/DSPF_sp_mat_trans_cplx_66_BE_ELF.out: src/DSPF_sp_mat_trans_cplx//c66/DSPF_sp_mat_trans_cplx.h
src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_ELF/Release/DSPF_sp_mat_trans_cplx_66_BE_ELF.out: src/DSPF_sp_mat_trans_cplx//c66/DSPF_sp_mat_trans_cplx_cn.h
src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_ELF/Release/DSPF_sp_mat_trans_cplx_66_BE_ELF.out: src/DSPF_sp_mat_trans_cplx//c66/DSPF_sp_mat_trans_cplx_d.c
src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_ELF/Release/DSPF_sp_mat_trans_cplx_66_BE_ELF.out: src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_mat_trans_cplx_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_trans_cplx_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_mat_trans_cplx_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_mat_trans_cplx/c66/DSPF_sp_mat_trans_cplx_66_BE_ELF"
	-@ echo Building Project DSPF_sp_mat_trans_cplx_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_mat_trans_cplx_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_mat_trans_cplx_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_mat_trans_cplx_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_mat_trans_cplx_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_mat_trans_cplx//c66//DSPF_sp_mat_trans_cplx_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_maxidx_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_COFF/Release/DSPF_sp_maxidx_66_LE_COFF.out

.projects: src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_COFF

src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_COFF: src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_COFF/.project

src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_maxidx_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_maxidx_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAXIDX_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAXIDX_66_LE_COFF_SRCDSPF_SP_MAXIDXC66/DSPF_sp_maxidx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAXIDX_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAXIDX_66_LE_COFF_SRCDSPF_SP_MAXIDX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_maxidx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAXIDX_66_LE_COFF_SRCDSPF_SP_MAXIDXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_maxidx/c66" \

	echo EXT_ROOT__DSPF_SP_MAXIDX_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAXIDX_66_LE_COFF_SRCDSPF_SP_MAXIDX=../../ >> src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAXIDX_66_LE_COFF_SRCDSPF_SP_MAXIDXC66=.././ >> src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_maxidx_66_LE_COFF"
src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_COFF/Release/DSPF_sp_maxidx_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_COFF/Release/DSPF_sp_maxidx_66_LE_COFF.out: src/DSPF_sp_maxidx/DSPF_sp_maxidx.h
src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_COFF/Release/DSPF_sp_maxidx_66_LE_COFF.out: src/DSPF_sp_maxidx//c66/DSPF_sp_maxidx.h
src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_COFF/Release/DSPF_sp_maxidx_66_LE_COFF.out: src/DSPF_sp_maxidx//c66/DSPF_sp_maxidx_cn.h
src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_COFF/Release/DSPF_sp_maxidx_66_LE_COFF.out: src/DSPF_sp_maxidx//c66/DSPF_sp_maxidx_d.c
src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_COFF/Release/DSPF_sp_maxidx_66_LE_COFF.out: src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_maxidx_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_maxidx_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_maxidx_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_maxidx/c66/DSPF_sp_maxidx_66_LE_COFF"
	-@ echo Building Project DSPF_sp_maxidx_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_maxidx_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_maxidx_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_maxidx_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_maxidx_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_maxidx_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_COFF/Release/DSPF_sp_maxidx_66_BE_COFF.out

.projects: src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_COFF

src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_COFF: src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_COFF/.project

src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_maxidx_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_maxidx_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAXIDX_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAXIDX_66_BE_COFF_SRCDSPF_SP_MAXIDXC66/DSPF_sp_maxidx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAXIDX_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAXIDX_66_BE_COFF_SRCDSPF_SP_MAXIDX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_maxidx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAXIDX_66_BE_COFF_SRCDSPF_SP_MAXIDXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_maxidx/c66" \

	echo EXT_ROOT__DSPF_SP_MAXIDX_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAXIDX_66_BE_COFF_SRCDSPF_SP_MAXIDX=../../ >> src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAXIDX_66_BE_COFF_SRCDSPF_SP_MAXIDXC66=.././ >> src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_maxidx_66_BE_COFF"
src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_COFF/Release/DSPF_sp_maxidx_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_COFF/Release/DSPF_sp_maxidx_66_BE_COFF.out: src/DSPF_sp_maxidx/DSPF_sp_maxidx.h
src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_COFF/Release/DSPF_sp_maxidx_66_BE_COFF.out: src/DSPF_sp_maxidx//c66/DSPF_sp_maxidx.h
src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_COFF/Release/DSPF_sp_maxidx_66_BE_COFF.out: src/DSPF_sp_maxidx//c66/DSPF_sp_maxidx_cn.h
src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_COFF/Release/DSPF_sp_maxidx_66_BE_COFF.out: src/DSPF_sp_maxidx//c66/DSPF_sp_maxidx_d.c
src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_COFF/Release/DSPF_sp_maxidx_66_BE_COFF.out: src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_maxidx_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_maxidx_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_maxidx_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_maxidx/c66/DSPF_sp_maxidx_66_BE_COFF"
	-@ echo Building Project DSPF_sp_maxidx_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_maxidx_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_maxidx_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_maxidx_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_maxidx_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_maxidx_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_ELF/Release/DSPF_sp_maxidx_66_LE_ELF.out

.projects: src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_ELF

src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_ELF: src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_ELF/.project

src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_maxidx_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_maxidx_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAXIDX_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAXIDX_66_LE_ELF_SRCDSPF_SP_MAXIDXC66/DSPF_sp_maxidx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAXIDX_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAXIDX_66_LE_ELF_SRCDSPF_SP_MAXIDX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_maxidx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAXIDX_66_LE_ELF_SRCDSPF_SP_MAXIDXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_maxidx/c66" \

	echo EXT_ROOT__DSPF_SP_MAXIDX_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAXIDX_66_LE_ELF_SRCDSPF_SP_MAXIDX=../../ >> src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAXIDX_66_LE_ELF_SRCDSPF_SP_MAXIDXC66=.././ >> src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_maxidx_66_LE_ELF"
src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_ELF/Release/DSPF_sp_maxidx_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_ELF/Release/DSPF_sp_maxidx_66_LE_ELF.out: src/DSPF_sp_maxidx/DSPF_sp_maxidx.h
src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_ELF/Release/DSPF_sp_maxidx_66_LE_ELF.out: src/DSPF_sp_maxidx//c66/DSPF_sp_maxidx.h
src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_ELF/Release/DSPF_sp_maxidx_66_LE_ELF.out: src/DSPF_sp_maxidx//c66/DSPF_sp_maxidx_cn.h
src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_ELF/Release/DSPF_sp_maxidx_66_LE_ELF.out: src/DSPF_sp_maxidx//c66/DSPF_sp_maxidx_d.c
src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_ELF/Release/DSPF_sp_maxidx_66_LE_ELF.out: src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_maxidx_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_maxidx_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_maxidx_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_maxidx/c66/DSPF_sp_maxidx_66_LE_ELF"
	-@ echo Building Project DSPF_sp_maxidx_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_maxidx_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_maxidx_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_maxidx_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_maxidx_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_maxidx_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_ELF/Release/DSPF_sp_maxidx_66_BE_ELF.out

.projects: src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_ELF

src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_ELF: src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_ELF/.project

src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_maxidx_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_maxidx_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAXIDX_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAXIDX_66_BE_ELF_SRCDSPF_SP_MAXIDXC66/DSPF_sp_maxidx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAXIDX_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAXIDX_66_BE_ELF_SRCDSPF_SP_MAXIDX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_maxidx" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAXIDX_66_BE_ELF_SRCDSPF_SP_MAXIDXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_maxidx/c66" \

	echo EXT_ROOT__DSPF_SP_MAXIDX_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAXIDX_66_BE_ELF_SRCDSPF_SP_MAXIDX=../../ >> src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAXIDX_66_BE_ELF_SRCDSPF_SP_MAXIDXC66=.././ >> src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_maxidx_66_BE_ELF"
src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_ELF/Release/DSPF_sp_maxidx_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_ELF/Release/DSPF_sp_maxidx_66_BE_ELF.out: src/DSPF_sp_maxidx/DSPF_sp_maxidx.h
src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_ELF/Release/DSPF_sp_maxidx_66_BE_ELF.out: src/DSPF_sp_maxidx//c66/DSPF_sp_maxidx.h
src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_ELF/Release/DSPF_sp_maxidx_66_BE_ELF.out: src/DSPF_sp_maxidx//c66/DSPF_sp_maxidx_cn.h
src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_ELF/Release/DSPF_sp_maxidx_66_BE_ELF.out: src/DSPF_sp_maxidx//c66/DSPF_sp_maxidx_d.c
src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_ELF/Release/DSPF_sp_maxidx_66_BE_ELF.out: src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_maxidx_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_maxidx_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_maxidx_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_maxidx/c66/DSPF_sp_maxidx_66_BE_ELF"
	-@ echo Building Project DSPF_sp_maxidx_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_maxidx_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_maxidx_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_maxidx_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_maxidx_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_maxidx//c66//DSPF_sp_maxidx_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_maxval_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_COFF/Release/DSPF_sp_maxval_66_LE_COFF.out

.projects: src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_COFF

src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_COFF: src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_COFF/.project

src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_maxval_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_maxval_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAXVAL_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAXVAL_66_LE_COFF_SRCDSPF_SP_MAXVALC66/DSPF_sp_maxval_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAXVAL_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAXVAL_66_LE_COFF_SRCDSPF_SP_MAXVAL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_maxval" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAXVAL_66_LE_COFF_SRCDSPF_SP_MAXVALC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_maxval/c66" \

	echo EXT_ROOT__DSPF_SP_MAXVAL_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAXVAL_66_LE_COFF_SRCDSPF_SP_MAXVAL=../../ >> src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAXVAL_66_LE_COFF_SRCDSPF_SP_MAXVALC66=.././ >> src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_maxval_66_LE_COFF"
src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_COFF/Release/DSPF_sp_maxval_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_COFF/Release/DSPF_sp_maxval_66_LE_COFF.out: src/DSPF_sp_maxval/DSPF_sp_maxval.h
src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_COFF/Release/DSPF_sp_maxval_66_LE_COFF.out: src/DSPF_sp_maxval//c66/DSPF_sp_maxval.h
src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_COFF/Release/DSPF_sp_maxval_66_LE_COFF.out: src/DSPF_sp_maxval//c66/DSPF_sp_maxval_cn.h
src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_COFF/Release/DSPF_sp_maxval_66_LE_COFF.out: src/DSPF_sp_maxval//c66/DSPF_sp_maxval_d.c
src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_COFF/Release/DSPF_sp_maxval_66_LE_COFF.out: src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_maxval_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_maxval_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_maxval_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_maxval/c66/DSPF_sp_maxval_66_LE_COFF"
	-@ echo Building Project DSPF_sp_maxval_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_maxval_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_maxval_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_maxval_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_maxval_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_maxval_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_COFF/Release/DSPF_sp_maxval_66_BE_COFF.out

.projects: src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_COFF

src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_COFF: src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_COFF/.project

src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_maxval_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_maxval_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAXVAL_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAXVAL_66_BE_COFF_SRCDSPF_SP_MAXVALC66/DSPF_sp_maxval_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAXVAL_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAXVAL_66_BE_COFF_SRCDSPF_SP_MAXVAL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_maxval" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAXVAL_66_BE_COFF_SRCDSPF_SP_MAXVALC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_maxval/c66" \

	echo EXT_ROOT__DSPF_SP_MAXVAL_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAXVAL_66_BE_COFF_SRCDSPF_SP_MAXVAL=../../ >> src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAXVAL_66_BE_COFF_SRCDSPF_SP_MAXVALC66=.././ >> src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_maxval_66_BE_COFF"
src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_COFF/Release/DSPF_sp_maxval_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_COFF/Release/DSPF_sp_maxval_66_BE_COFF.out: src/DSPF_sp_maxval/DSPF_sp_maxval.h
src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_COFF/Release/DSPF_sp_maxval_66_BE_COFF.out: src/DSPF_sp_maxval//c66/DSPF_sp_maxval.h
src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_COFF/Release/DSPF_sp_maxval_66_BE_COFF.out: src/DSPF_sp_maxval//c66/DSPF_sp_maxval_cn.h
src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_COFF/Release/DSPF_sp_maxval_66_BE_COFF.out: src/DSPF_sp_maxval//c66/DSPF_sp_maxval_d.c
src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_COFF/Release/DSPF_sp_maxval_66_BE_COFF.out: src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_maxval_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_maxval_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_maxval_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_maxval/c66/DSPF_sp_maxval_66_BE_COFF"
	-@ echo Building Project DSPF_sp_maxval_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_maxval_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_maxval_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_maxval_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_maxval_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_maxval_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_ELF/Release/DSPF_sp_maxval_66_LE_ELF.out

.projects: src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_ELF

src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_ELF: src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_ELF/.project

src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_maxval_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_maxval_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAXVAL_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAXVAL_66_LE_ELF_SRCDSPF_SP_MAXVALC66/DSPF_sp_maxval_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAXVAL_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAXVAL_66_LE_ELF_SRCDSPF_SP_MAXVAL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_maxval" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAXVAL_66_LE_ELF_SRCDSPF_SP_MAXVALC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_maxval/c66" \

	echo EXT_ROOT__DSPF_SP_MAXVAL_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAXVAL_66_LE_ELF_SRCDSPF_SP_MAXVAL=../../ >> src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAXVAL_66_LE_ELF_SRCDSPF_SP_MAXVALC66=.././ >> src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_maxval_66_LE_ELF"
src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_ELF/Release/DSPF_sp_maxval_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_ELF/Release/DSPF_sp_maxval_66_LE_ELF.out: src/DSPF_sp_maxval/DSPF_sp_maxval.h
src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_ELF/Release/DSPF_sp_maxval_66_LE_ELF.out: src/DSPF_sp_maxval//c66/DSPF_sp_maxval.h
src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_ELF/Release/DSPF_sp_maxval_66_LE_ELF.out: src/DSPF_sp_maxval//c66/DSPF_sp_maxval_cn.h
src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_ELF/Release/DSPF_sp_maxval_66_LE_ELF.out: src/DSPF_sp_maxval//c66/DSPF_sp_maxval_d.c
src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_ELF/Release/DSPF_sp_maxval_66_LE_ELF.out: src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_maxval_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_maxval_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_maxval_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_maxval/c66/DSPF_sp_maxval_66_LE_ELF"
	-@ echo Building Project DSPF_sp_maxval_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_maxval_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_maxval_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_maxval_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_maxval_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_maxval_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_ELF/Release/DSPF_sp_maxval_66_BE_ELF.out

.projects: src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_ELF

src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_ELF: src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_ELF/.project

src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_maxval_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_maxval_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MAXVAL_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MAXVAL_66_BE_ELF_SRCDSPF_SP_MAXVALC66/DSPF_sp_maxval_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAXVAL_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAXVAL_66_BE_ELF_SRCDSPF_SP_MAXVAL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_maxval" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MAXVAL_66_BE_ELF_SRCDSPF_SP_MAXVALC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_maxval/c66" \

	echo EXT_ROOT__DSPF_SP_MAXVAL_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAXVAL_66_BE_ELF_SRCDSPF_SP_MAXVAL=../../ >> src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MAXVAL_66_BE_ELF_SRCDSPF_SP_MAXVALC66=.././ >> src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_maxval_66_BE_ELF"
src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_ELF/Release/DSPF_sp_maxval_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_ELF/Release/DSPF_sp_maxval_66_BE_ELF.out: src/DSPF_sp_maxval/DSPF_sp_maxval.h
src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_ELF/Release/DSPF_sp_maxval_66_BE_ELF.out: src/DSPF_sp_maxval//c66/DSPF_sp_maxval.h
src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_ELF/Release/DSPF_sp_maxval_66_BE_ELF.out: src/DSPF_sp_maxval//c66/DSPF_sp_maxval_cn.h
src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_ELF/Release/DSPF_sp_maxval_66_BE_ELF.out: src/DSPF_sp_maxval//c66/DSPF_sp_maxval_d.c
src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_ELF/Release/DSPF_sp_maxval_66_BE_ELF.out: src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_maxval_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_maxval_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_maxval_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_maxval/c66/DSPF_sp_maxval_66_BE_ELF"
	-@ echo Building Project DSPF_sp_maxval_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_maxval_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_maxval_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_maxval_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_maxval_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_maxval//c66//DSPF_sp_maxval_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_minerr_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_COFF/Release/DSPF_sp_minerr_66_LE_COFF.out

.projects: src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_COFF

src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_COFF: src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_COFF/.project

src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_minerr_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_minerr_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MINERR_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MINERR_66_LE_COFF_SRCDSPF_SP_MINERRC66/DSPF_sp_minerr_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MINERR_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MINERR_66_LE_COFF_SRCDSPF_SP_MINERR "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_minerr" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MINERR_66_LE_COFF_SRCDSPF_SP_MINERRC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_minerr/c66" \

	echo EXT_ROOT__DSPF_SP_MINERR_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MINERR_66_LE_COFF_SRCDSPF_SP_MINERR=../../ >> src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MINERR_66_LE_COFF_SRCDSPF_SP_MINERRC66=.././ >> src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_minerr_66_LE_COFF"
src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_COFF/Release/DSPF_sp_minerr_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_COFF/Release/DSPF_sp_minerr_66_LE_COFF.out: src/DSPF_sp_minerr/DSPF_sp_minerr.h
src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_COFF/Release/DSPF_sp_minerr_66_LE_COFF.out: src/DSPF_sp_minerr//c66/DSPF_sp_minerr.h
src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_COFF/Release/DSPF_sp_minerr_66_LE_COFF.out: src/DSPF_sp_minerr//c66/DSPF_sp_minerr_cn.h
src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_COFF/Release/DSPF_sp_minerr_66_LE_COFF.out: src/DSPF_sp_minerr//c66/DSPF_sp_minerr_d.c
src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_COFF/Release/DSPF_sp_minerr_66_LE_COFF.out: src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_minerr_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_minerr_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_minerr_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_minerr/c66/DSPF_sp_minerr_66_LE_COFF"
	-@ echo Building Project DSPF_sp_minerr_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_minerr_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_minerr_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_minerr_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_minerr_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_minerr_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_COFF/Release/DSPF_sp_minerr_66_BE_COFF.out

.projects: src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_COFF

src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_COFF: src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_COFF/.project

src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_minerr_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_minerr_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MINERR_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MINERR_66_BE_COFF_SRCDSPF_SP_MINERRC66/DSPF_sp_minerr_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MINERR_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MINERR_66_BE_COFF_SRCDSPF_SP_MINERR "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_minerr" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MINERR_66_BE_COFF_SRCDSPF_SP_MINERRC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_minerr/c66" \

	echo EXT_ROOT__DSPF_SP_MINERR_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MINERR_66_BE_COFF_SRCDSPF_SP_MINERR=../../ >> src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MINERR_66_BE_COFF_SRCDSPF_SP_MINERRC66=.././ >> src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_minerr_66_BE_COFF"
src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_COFF/Release/DSPF_sp_minerr_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_COFF/Release/DSPF_sp_minerr_66_BE_COFF.out: src/DSPF_sp_minerr/DSPF_sp_minerr.h
src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_COFF/Release/DSPF_sp_minerr_66_BE_COFF.out: src/DSPF_sp_minerr//c66/DSPF_sp_minerr.h
src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_COFF/Release/DSPF_sp_minerr_66_BE_COFF.out: src/DSPF_sp_minerr//c66/DSPF_sp_minerr_cn.h
src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_COFF/Release/DSPF_sp_minerr_66_BE_COFF.out: src/DSPF_sp_minerr//c66/DSPF_sp_minerr_d.c
src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_COFF/Release/DSPF_sp_minerr_66_BE_COFF.out: src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_minerr_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_minerr_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_minerr_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_minerr/c66/DSPF_sp_minerr_66_BE_COFF"
	-@ echo Building Project DSPF_sp_minerr_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_minerr_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_minerr_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_minerr_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_minerr_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_minerr_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_ELF/Release/DSPF_sp_minerr_66_LE_ELF.out

.projects: src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_ELF

src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_ELF: src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_ELF/.project

src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_minerr_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_minerr_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MINERR_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MINERR_66_LE_ELF_SRCDSPF_SP_MINERRC66/DSPF_sp_minerr_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MINERR_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MINERR_66_LE_ELF_SRCDSPF_SP_MINERR "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_minerr" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MINERR_66_LE_ELF_SRCDSPF_SP_MINERRC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_minerr/c66" \

	echo EXT_ROOT__DSPF_SP_MINERR_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MINERR_66_LE_ELF_SRCDSPF_SP_MINERR=../../ >> src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MINERR_66_LE_ELF_SRCDSPF_SP_MINERRC66=.././ >> src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_minerr_66_LE_ELF"
src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_ELF/Release/DSPF_sp_minerr_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_ELF/Release/DSPF_sp_minerr_66_LE_ELF.out: src/DSPF_sp_minerr/DSPF_sp_minerr.h
src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_ELF/Release/DSPF_sp_minerr_66_LE_ELF.out: src/DSPF_sp_minerr//c66/DSPF_sp_minerr.h
src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_ELF/Release/DSPF_sp_minerr_66_LE_ELF.out: src/DSPF_sp_minerr//c66/DSPF_sp_minerr_cn.h
src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_ELF/Release/DSPF_sp_minerr_66_LE_ELF.out: src/DSPF_sp_minerr//c66/DSPF_sp_minerr_d.c
src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_ELF/Release/DSPF_sp_minerr_66_LE_ELF.out: src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_minerr_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_minerr_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_minerr_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_minerr/c66/DSPF_sp_minerr_66_LE_ELF"
	-@ echo Building Project DSPF_sp_minerr_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_minerr_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_minerr_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_minerr_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_minerr_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_minerr_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_ELF/Release/DSPF_sp_minerr_66_BE_ELF.out

.projects: src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_ELF

src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_ELF: src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_ELF/.project

src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_minerr_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_minerr_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MINERR_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MINERR_66_BE_ELF_SRCDSPF_SP_MINERRC66/DSPF_sp_minerr_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MINERR_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MINERR_66_BE_ELF_SRCDSPF_SP_MINERR "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_minerr" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MINERR_66_BE_ELF_SRCDSPF_SP_MINERRC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_minerr/c66" \

	echo EXT_ROOT__DSPF_SP_MINERR_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MINERR_66_BE_ELF_SRCDSPF_SP_MINERR=../../ >> src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MINERR_66_BE_ELF_SRCDSPF_SP_MINERRC66=.././ >> src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_minerr_66_BE_ELF"
src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_ELF/Release/DSPF_sp_minerr_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_ELF/Release/DSPF_sp_minerr_66_BE_ELF.out: src/DSPF_sp_minerr/DSPF_sp_minerr.h
src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_ELF/Release/DSPF_sp_minerr_66_BE_ELF.out: src/DSPF_sp_minerr//c66/DSPF_sp_minerr.h
src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_ELF/Release/DSPF_sp_minerr_66_BE_ELF.out: src/DSPF_sp_minerr//c66/DSPF_sp_minerr_cn.h
src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_ELF/Release/DSPF_sp_minerr_66_BE_ELF.out: src/DSPF_sp_minerr//c66/DSPF_sp_minerr_d.c
src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_ELF/Release/DSPF_sp_minerr_66_BE_ELF.out: src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_minerr_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_minerr_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_minerr_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_minerr/c66/DSPF_sp_minerr_66_BE_ELF"
	-@ echo Building Project DSPF_sp_minerr_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_minerr_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_minerr_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_minerr_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_minerr_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_minerr//c66//DSPF_sp_minerr_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_minval_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_COFF/Release/DSPF_sp_minval_66_LE_COFF.out

.projects: src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_COFF

src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_COFF: src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_COFF/.project

src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_minval_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_minval_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MINVAL_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MINVAL_66_LE_COFF_SRCDSPF_SP_MINVALC66/DSPF_sp_minval_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MINVAL_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MINVAL_66_LE_COFF_SRCDSPF_SP_MINVAL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_minval" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MINVAL_66_LE_COFF_SRCDSPF_SP_MINVALC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_minval/c66" \

	echo EXT_ROOT__DSPF_SP_MINVAL_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MINVAL_66_LE_COFF_SRCDSPF_SP_MINVAL=../../ >> src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MINVAL_66_LE_COFF_SRCDSPF_SP_MINVALC66=.././ >> src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_minval_66_LE_COFF"
src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_COFF/Release/DSPF_sp_minval_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_COFF/Release/DSPF_sp_minval_66_LE_COFF.out: src/DSPF_sp_minval/DSPF_sp_minval.h
src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_COFF/Release/DSPF_sp_minval_66_LE_COFF.out: src/DSPF_sp_minval//c66/DSPF_sp_minval.h
src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_COFF/Release/DSPF_sp_minval_66_LE_COFF.out: src/DSPF_sp_minval//c66/DSPF_sp_minval_cn.h
src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_COFF/Release/DSPF_sp_minval_66_LE_COFF.out: src/DSPF_sp_minval//c66/DSPF_sp_minval_d.c
src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_COFF/Release/DSPF_sp_minval_66_LE_COFF.out: src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_minval_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_minval_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_minval_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_minval/c66/DSPF_sp_minval_66_LE_COFF"
	-@ echo Building Project DSPF_sp_minval_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_minval_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_minval_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_minval_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_minval_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_minval_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_COFF/Release/DSPF_sp_minval_66_BE_COFF.out

.projects: src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_COFF

src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_COFF: src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_COFF/.project

src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_minval_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_minval_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MINVAL_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MINVAL_66_BE_COFF_SRCDSPF_SP_MINVALC66/DSPF_sp_minval_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MINVAL_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MINVAL_66_BE_COFF_SRCDSPF_SP_MINVAL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_minval" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MINVAL_66_BE_COFF_SRCDSPF_SP_MINVALC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_minval/c66" \

	echo EXT_ROOT__DSPF_SP_MINVAL_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MINVAL_66_BE_COFF_SRCDSPF_SP_MINVAL=../../ >> src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_MINVAL_66_BE_COFF_SRCDSPF_SP_MINVALC66=.././ >> src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_minval_66_BE_COFF"
src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_COFF/Release/DSPF_sp_minval_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_COFF/Release/DSPF_sp_minval_66_BE_COFF.out: src/DSPF_sp_minval/DSPF_sp_minval.h
src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_COFF/Release/DSPF_sp_minval_66_BE_COFF.out: src/DSPF_sp_minval//c66/DSPF_sp_minval.h
src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_COFF/Release/DSPF_sp_minval_66_BE_COFF.out: src/DSPF_sp_minval//c66/DSPF_sp_minval_cn.h
src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_COFF/Release/DSPF_sp_minval_66_BE_COFF.out: src/DSPF_sp_minval//c66/DSPF_sp_minval_d.c
src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_COFF/Release/DSPF_sp_minval_66_BE_COFF.out: src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_minval_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_minval_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_minval_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_minval/c66/DSPF_sp_minval_66_BE_COFF"
	-@ echo Building Project DSPF_sp_minval_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_minval_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_minval_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_minval_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_minval_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_minval_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_ELF/Release/DSPF_sp_minval_66_LE_ELF.out

.projects: src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_ELF

src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_ELF: src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_ELF/.project

src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_minval_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_minval_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MINVAL_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MINVAL_66_LE_ELF_SRCDSPF_SP_MINVALC66/DSPF_sp_minval_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MINVAL_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MINVAL_66_LE_ELF_SRCDSPF_SP_MINVAL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_minval" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MINVAL_66_LE_ELF_SRCDSPF_SP_MINVALC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_minval/c66" \

	echo EXT_ROOT__DSPF_SP_MINVAL_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MINVAL_66_LE_ELF_SRCDSPF_SP_MINVAL=../../ >> src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MINVAL_66_LE_ELF_SRCDSPF_SP_MINVALC66=.././ >> src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_minval_66_LE_ELF"
src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_ELF/Release/DSPF_sp_minval_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_ELF/Release/DSPF_sp_minval_66_LE_ELF.out: src/DSPF_sp_minval/DSPF_sp_minval.h
src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_ELF/Release/DSPF_sp_minval_66_LE_ELF.out: src/DSPF_sp_minval//c66/DSPF_sp_minval.h
src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_ELF/Release/DSPF_sp_minval_66_LE_ELF.out: src/DSPF_sp_minval//c66/DSPF_sp_minval_cn.h
src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_ELF/Release/DSPF_sp_minval_66_LE_ELF.out: src/DSPF_sp_minval//c66/DSPF_sp_minval_d.c
src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_ELF/Release/DSPF_sp_minval_66_LE_ELF.out: src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_minval_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_minval_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_minval_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_minval/c66/DSPF_sp_minval_66_LE_ELF"
	-@ echo Building Project DSPF_sp_minval_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_minval_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_minval_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_minval_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_minval_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_minval//c66//DSPF_sp_minval_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_minval_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_ELF/Release/DSPF_sp_minval_66_BE_ELF.out

.projects: src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_ELF

src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_ELF: src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_ELF/.project

src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_minval_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_minval_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_MINVAL_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_MINVAL_66_BE_ELF_SRCDSPF_SP_MINVALC66/DSPF_sp_minval_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MINVAL_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MINVAL_66_BE_ELF_SRCDSPF_SP_MINVAL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_minval" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_MINVAL_66_BE_ELF_SRCDSPF_SP_MINVALC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_minval/c66" \

	echo EXT_ROOT__DSPF_SP_MINVAL_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MINVAL_66_BE_ELF_SRCDSPF_SP_MINVAL=../../ >> src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_MINVAL_66_BE_ELF_SRCDSPF_SP_MINVALC66=.././ >> src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_minval_66_BE_ELF"
src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_ELF/Release/DSPF_sp_minval_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_ELF/Release/DSPF_sp_minval_66_BE_ELF.out: src/DSPF_sp_minval/DSPF_sp_minval.h
src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_ELF/Release/DSPF_sp_minval_66_BE_ELF.out: src/DSPF_sp_minval//c66/DSPF_sp_minval.h
src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_ELF/Release/DSPF_sp_minval_66_BE_ELF.out: src/DSPF_sp_minval//c66/DSPF_sp_minval_cn.h
src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_ELF/Release/DSPF_sp_minval_66_BE_ELF.out: src/DSPF_sp_minval//c66/DSPF_sp_minval_d.c
src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_ELF/Release/DSPF_sp_minval_66_BE_ELF.out: src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_minval_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_minval_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_minval_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_minval/c66/DSPF_sp_minval_66_BE_ELF"
	-@ echo Building Project DSPF_sp_minval_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_minval_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_minval_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_minval_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_minval_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_minval//c66//DSPF_sp_minval_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_nrand_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_COFF/Release/DSPF_sp_nrand_66_LE_COFF.out

.projects: src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_COFF

src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_COFF: src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_COFF/.project

src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_nrand_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_nrand_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_NRAND_66_LE_COFF_SRCDSPF_SP_NRANDC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_NRAND_66_LE_COFF_SRCDSPF_SP_NRANDC66/DSPF_sp_nrand_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../ -i../../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../ -i../../../" @configurations Release -ccs.location src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_NRAND_66_LE_COFF_SRCDSPF_SP_NRANDC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_nrand/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_NRAND_66_LE_COFF_SRCDSPF_SP_NRAND "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_nrand" \

	echo EXT_ROOT__DSPF_SP_NRAND_66_LE_COFF_SRCDSPF_SP_NRANDC66=.././ >> src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_NRAND_66_LE_COFF_SRCDSPF_SP_NRAND=../../ >> src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_nrand_66_LE_COFF"
src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_COFF/Release/DSPF_sp_nrand_66_LE_COFF.out: src/DSPF_sp_nrand//c66/lnk.cmd
src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_COFF/Release/DSPF_sp_nrand_66_LE_COFF.out: src/DSPF_sp_nrand/DSPF_sp_nrand.h
src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_COFF/Release/DSPF_sp_nrand_66_LE_COFF.out: src/DSPF_sp_nrand//c66/DSPF_sp_nrand.h
src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_COFF/Release/DSPF_sp_nrand_66_LE_COFF.out: src/DSPF_sp_nrand//c66/DSPF_sp_nrand_cn.h
src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_COFF/Release/DSPF_sp_nrand_66_LE_COFF.out: src/DSPF_sp_nrand//c66/DSPF_sp_nrand_d.c
src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_COFF/Release/DSPF_sp_nrand_66_LE_COFF.out: src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_nrand_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_nrand_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_nrand_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_nrand/c66/DSPF_sp_nrand_66_LE_COFF"
	-@ echo Building Project DSPF_sp_nrand_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_nrand_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_nrand_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_nrand_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_nrand_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_nrand_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_COFF/Release/DSPF_sp_nrand_66_BE_COFF.out

.projects: src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_COFF

src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_COFF: src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_COFF/.project

src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_nrand_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_nrand_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_NRAND_66_BE_COFF_SRCDSPF_SP_NRANDC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_NRAND_66_BE_COFF_SRCDSPF_SP_NRANDC66/DSPF_sp_nrand_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../ -i../../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../ -i../../../" @configurations Release -ccs.location src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_NRAND_66_BE_COFF_SRCDSPF_SP_NRANDC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_nrand/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_NRAND_66_BE_COFF_SRCDSPF_SP_NRAND "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_nrand" \

	echo EXT_ROOT__DSPF_SP_NRAND_66_BE_COFF_SRCDSPF_SP_NRANDC66=.././ >> src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_NRAND_66_BE_COFF_SRCDSPF_SP_NRAND=../../ >> src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_nrand_66_BE_COFF"
src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_COFF/Release/DSPF_sp_nrand_66_BE_COFF.out: src/DSPF_sp_nrand//c66/lnk.cmd
src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_COFF/Release/DSPF_sp_nrand_66_BE_COFF.out: src/DSPF_sp_nrand/DSPF_sp_nrand.h
src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_COFF/Release/DSPF_sp_nrand_66_BE_COFF.out: src/DSPF_sp_nrand//c66/DSPF_sp_nrand.h
src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_COFF/Release/DSPF_sp_nrand_66_BE_COFF.out: src/DSPF_sp_nrand//c66/DSPF_sp_nrand_cn.h
src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_COFF/Release/DSPF_sp_nrand_66_BE_COFF.out: src/DSPF_sp_nrand//c66/DSPF_sp_nrand_d.c
src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_COFF/Release/DSPF_sp_nrand_66_BE_COFF.out: src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_nrand_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_nrand_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_nrand_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_nrand/c66/DSPF_sp_nrand_66_BE_COFF"
	-@ echo Building Project DSPF_sp_nrand_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_nrand_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_nrand_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_nrand_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_nrand_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_nrand_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_ELF/Release/DSPF_sp_nrand_66_LE_ELF.out

.projects: src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_ELF

src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_ELF: src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_ELF/.project

src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_nrand_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_nrand_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_NRAND_66_LE_ELF_SRCDSPF_SP_NRANDC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_NRAND_66_LE_ELF_SRCDSPF_SP_NRANDC66/DSPF_sp_nrand_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../ -i../../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../ -i../../../" @configurations Release -ccs.location src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_NRAND_66_LE_ELF_SRCDSPF_SP_NRANDC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_nrand/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_NRAND_66_LE_ELF_SRCDSPF_SP_NRAND "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_nrand" \

	echo EXT_ROOT__DSPF_SP_NRAND_66_LE_ELF_SRCDSPF_SP_NRANDC66=.././ >> src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_NRAND_66_LE_ELF_SRCDSPF_SP_NRAND=../../ >> src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_nrand_66_LE_ELF"
src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_ELF/Release/DSPF_sp_nrand_66_LE_ELF.out: src/DSPF_sp_nrand//c66/lnk.cmd
src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_ELF/Release/DSPF_sp_nrand_66_LE_ELF.out: src/DSPF_sp_nrand/DSPF_sp_nrand.h
src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_ELF/Release/DSPF_sp_nrand_66_LE_ELF.out: src/DSPF_sp_nrand//c66/DSPF_sp_nrand.h
src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_ELF/Release/DSPF_sp_nrand_66_LE_ELF.out: src/DSPF_sp_nrand//c66/DSPF_sp_nrand_cn.h
src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_ELF/Release/DSPF_sp_nrand_66_LE_ELF.out: src/DSPF_sp_nrand//c66/DSPF_sp_nrand_d.c
src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_ELF/Release/DSPF_sp_nrand_66_LE_ELF.out: src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_nrand_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_nrand_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_nrand_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_nrand/c66/DSPF_sp_nrand_66_LE_ELF"
	-@ echo Building Project DSPF_sp_nrand_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_nrand_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_nrand_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_nrand_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_nrand_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_nrand_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_ELF/Release/DSPF_sp_nrand_66_BE_ELF.out

.projects: src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_ELF

src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_ELF: src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_ELF/.project

src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_nrand_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_nrand_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_NRAND_66_BE_ELF_SRCDSPF_SP_NRANDC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_NRAND_66_BE_ELF_SRCDSPF_SP_NRANDC66/DSPF_sp_nrand_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../ -i../../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../ -i../../../" @configurations Release -ccs.location src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_NRAND_66_BE_ELF_SRCDSPF_SP_NRANDC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_nrand/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_NRAND_66_BE_ELF_SRCDSPF_SP_NRAND "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_nrand" \

	echo EXT_ROOT__DSPF_SP_NRAND_66_BE_ELF_SRCDSPF_SP_NRANDC66=.././ >> src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_NRAND_66_BE_ELF_SRCDSPF_SP_NRAND=../../ >> src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_nrand_66_BE_ELF"
src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_ELF/Release/DSPF_sp_nrand_66_BE_ELF.out: src/DSPF_sp_nrand//c66/lnk.cmd
src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_ELF/Release/DSPF_sp_nrand_66_BE_ELF.out: src/DSPF_sp_nrand/DSPF_sp_nrand.h
src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_ELF/Release/DSPF_sp_nrand_66_BE_ELF.out: src/DSPF_sp_nrand//c66/DSPF_sp_nrand.h
src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_ELF/Release/DSPF_sp_nrand_66_BE_ELF.out: src/DSPF_sp_nrand//c66/DSPF_sp_nrand_cn.h
src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_ELF/Release/DSPF_sp_nrand_66_BE_ELF.out: src/DSPF_sp_nrand//c66/DSPF_sp_nrand_d.c
src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_ELF/Release/DSPF_sp_nrand_66_BE_ELF.out: src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_nrand_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_nrand_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_nrand_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_nrand/c66/DSPF_sp_nrand_66_BE_ELF"
	-@ echo Building Project DSPF_sp_nrand_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_nrand_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_nrand_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_nrand_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_nrand_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_nrand//c66//DSPF_sp_nrand_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_urand_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_COFF/Release/DSPF_sp_urand_66_LE_COFF.out

.projects: src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_COFF

src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_COFF: src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_COFF/.project

src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_urand_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_urand_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_URAND_66_LE_COFF_SRCDSPF_SP_URANDC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_URAND_66_LE_COFF_SRCDSPF_SP_URANDC66/DSPF_sp_urand_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../ -i../../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../ -i../../../" @configurations Release -ccs.location src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_URAND_66_LE_COFF_SRCDSPF_SP_URANDC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_urand/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_URAND_66_LE_COFF_SRCDSPF_SP_URAND "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_urand" \

	echo EXT_ROOT__DSPF_SP_URAND_66_LE_COFF_SRCDSPF_SP_URANDC66=.././ >> src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_URAND_66_LE_COFF_SRCDSPF_SP_URAND=../../ >> src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_urand_66_LE_COFF"
src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_COFF/Release/DSPF_sp_urand_66_LE_COFF.out: src/DSPF_sp_urand//c66/lnk.cmd
src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_COFF/Release/DSPF_sp_urand_66_LE_COFF.out: src/DSPF_sp_urand/DSPF_sp_urand.h
src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_COFF/Release/DSPF_sp_urand_66_LE_COFF.out: src/DSPF_sp_urand//c66/DSPF_sp_urand.h
src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_COFF/Release/DSPF_sp_urand_66_LE_COFF.out: src/DSPF_sp_urand//c66/DSPF_sp_urand_cn.h
src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_COFF/Release/DSPF_sp_urand_66_LE_COFF.out: src/DSPF_sp_urand//c66/DSPF_sp_urand_d.c
src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_COFF/Release/DSPF_sp_urand_66_LE_COFF.out: src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_urand_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_urand_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_urand_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_urand/c66/DSPF_sp_urand_66_LE_COFF"
	-@ echo Building Project DSPF_sp_urand_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_urand_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_urand_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_urand_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_urand_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_urand_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_COFF/Release/DSPF_sp_urand_66_BE_COFF.out

.projects: src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_COFF

src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_COFF: src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_COFF/.project

src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_urand_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_urand_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_URAND_66_BE_COFF_SRCDSPF_SP_URANDC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_URAND_66_BE_COFF_SRCDSPF_SP_URANDC66/DSPF_sp_urand_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../ -i../../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../ -i../../../" @configurations Release -ccs.location src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_URAND_66_BE_COFF_SRCDSPF_SP_URANDC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_urand/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_URAND_66_BE_COFF_SRCDSPF_SP_URAND "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_urand" \

	echo EXT_ROOT__DSPF_SP_URAND_66_BE_COFF_SRCDSPF_SP_URANDC66=.././ >> src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_URAND_66_BE_COFF_SRCDSPF_SP_URAND=../../ >> src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_urand_66_BE_COFF"
src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_COFF/Release/DSPF_sp_urand_66_BE_COFF.out: src/DSPF_sp_urand//c66/lnk.cmd
src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_COFF/Release/DSPF_sp_urand_66_BE_COFF.out: src/DSPF_sp_urand/DSPF_sp_urand.h
src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_COFF/Release/DSPF_sp_urand_66_BE_COFF.out: src/DSPF_sp_urand//c66/DSPF_sp_urand.h
src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_COFF/Release/DSPF_sp_urand_66_BE_COFF.out: src/DSPF_sp_urand//c66/DSPF_sp_urand_cn.h
src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_COFF/Release/DSPF_sp_urand_66_BE_COFF.out: src/DSPF_sp_urand//c66/DSPF_sp_urand_d.c
src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_COFF/Release/DSPF_sp_urand_66_BE_COFF.out: src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_urand_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_urand_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_urand_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_urand/c66/DSPF_sp_urand_66_BE_COFF"
	-@ echo Building Project DSPF_sp_urand_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_urand_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_urand_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_urand_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_urand_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_urand_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_ELF/Release/DSPF_sp_urand_66_LE_ELF.out

.projects: src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_ELF

src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_ELF: src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_ELF/.project

src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_urand_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_urand_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_URAND_66_LE_ELF_SRCDSPF_SP_URANDC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_URAND_66_LE_ELF_SRCDSPF_SP_URANDC66/DSPF_sp_urand_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../ -i../../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../ -i../../../" @configurations Release -ccs.location src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_URAND_66_LE_ELF_SRCDSPF_SP_URANDC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_urand/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_URAND_66_LE_ELF_SRCDSPF_SP_URAND "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_urand" \

	echo EXT_ROOT__DSPF_SP_URAND_66_LE_ELF_SRCDSPF_SP_URANDC66=.././ >> src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_URAND_66_LE_ELF_SRCDSPF_SP_URAND=../../ >> src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_urand_66_LE_ELF"
src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_ELF/Release/DSPF_sp_urand_66_LE_ELF.out: src/DSPF_sp_urand//c66/lnk.cmd
src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_ELF/Release/DSPF_sp_urand_66_LE_ELF.out: src/DSPF_sp_urand/DSPF_sp_urand.h
src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_ELF/Release/DSPF_sp_urand_66_LE_ELF.out: src/DSPF_sp_urand//c66/DSPF_sp_urand.h
src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_ELF/Release/DSPF_sp_urand_66_LE_ELF.out: src/DSPF_sp_urand//c66/DSPF_sp_urand_cn.h
src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_ELF/Release/DSPF_sp_urand_66_LE_ELF.out: src/DSPF_sp_urand//c66/DSPF_sp_urand_d.c
src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_ELF/Release/DSPF_sp_urand_66_LE_ELF.out: src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_urand_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_urand_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_urand_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_urand/c66/DSPF_sp_urand_66_LE_ELF"
	-@ echo Building Project DSPF_sp_urand_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_urand_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_urand_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_urand_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_urand_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_urand//c66//DSPF_sp_urand_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_urand_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_ELF/Release/DSPF_sp_urand_66_BE_ELF.out

.projects: src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_ELF

src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_ELF: src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_ELF/.project

src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_urand_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_urand_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_URAND_66_BE_ELF_SRCDSPF_SP_URANDC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_URAND_66_BE_ELF_SRCDSPF_SP_URANDC66/DSPF_sp_urand_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../ -i../../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../ -i../../../" @configurations Release -ccs.location src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_URAND_66_BE_ELF_SRCDSPF_SP_URANDC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_urand/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_URAND_66_BE_ELF_SRCDSPF_SP_URAND "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_urand" \

	echo EXT_ROOT__DSPF_SP_URAND_66_BE_ELF_SRCDSPF_SP_URANDC66=.././ >> src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_URAND_66_BE_ELF_SRCDSPF_SP_URAND=../../ >> src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_urand_66_BE_ELF"
src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_ELF/Release/DSPF_sp_urand_66_BE_ELF.out: src/DSPF_sp_urand//c66/lnk.cmd
src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_ELF/Release/DSPF_sp_urand_66_BE_ELF.out: src/DSPF_sp_urand/DSPF_sp_urand.h
src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_ELF/Release/DSPF_sp_urand_66_BE_ELF.out: src/DSPF_sp_urand//c66/DSPF_sp_urand.h
src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_ELF/Release/DSPF_sp_urand_66_BE_ELF.out: src/DSPF_sp_urand//c66/DSPF_sp_urand_cn.h
src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_ELF/Release/DSPF_sp_urand_66_BE_ELF.out: src/DSPF_sp_urand//c66/DSPF_sp_urand_d.c
src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_ELF/Release/DSPF_sp_urand_66_BE_ELF.out: src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_urand_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_urand_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_urand_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_urand/c66/DSPF_sp_urand_66_BE_ELF"
	-@ echo Building Project DSPF_sp_urand_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_urand_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_urand_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_urand_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_urand_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_urand//c66//DSPF_sp_urand_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_vecadd_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_COFF/Release/DSPF_sp_vecadd_66_LE_COFF.out

.projects: src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_COFF

src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_COFF: src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_COFF/.project

src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecadd_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_vecadd_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_VECADD_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_VECADD_66_LE_COFF_SRCDSPF_SP_VECADDC66/DSPF_sp_vecadd_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECADD_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECADD_66_LE_COFF_SRCDSPF_SP_VECADD "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecadd" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECADD_66_LE_COFF_SRCDSPF_SP_VECADDC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecadd/c66" \

	echo EXT_ROOT__DSPF_SP_VECADD_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECADD_66_LE_COFF_SRCDSPF_SP_VECADD=../../ >> src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECADD_66_LE_COFF_SRCDSPF_SP_VECADDC66=.././ >> src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecadd_66_LE_COFF"
src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_COFF/Release/DSPF_sp_vecadd_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_COFF/Release/DSPF_sp_vecadd_66_LE_COFF.out: src/DSPF_sp_vecadd/DSPF_sp_vecadd.h
src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_COFF/Release/DSPF_sp_vecadd_66_LE_COFF.out: src/DSPF_sp_vecadd//c66/DSPF_sp_vecadd.h
src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_COFF/Release/DSPF_sp_vecadd_66_LE_COFF.out: src/DSPF_sp_vecadd//c66/DSPF_sp_vecadd_cn.h
src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_COFF/Release/DSPF_sp_vecadd_66_LE_COFF.out: src/DSPF_sp_vecadd//c66/DSPF_sp_vecadd_d.c
src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_COFF/Release/DSPF_sp_vecadd_66_LE_COFF.out: src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_vecadd_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecadd_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_vecadd_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecadd/c66/DSPF_sp_vecadd_66_LE_COFF"
	-@ echo Building Project DSPF_sp_vecadd_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecadd_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_vecadd_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_vecadd_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecadd_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_vecadd_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_COFF/Release/DSPF_sp_vecadd_66_BE_COFF.out

.projects: src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_COFF

src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_COFF: src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_COFF/.project

src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecadd_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_vecadd_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_VECADD_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_VECADD_66_BE_COFF_SRCDSPF_SP_VECADDC66/DSPF_sp_vecadd_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECADD_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECADD_66_BE_COFF_SRCDSPF_SP_VECADD "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecadd" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECADD_66_BE_COFF_SRCDSPF_SP_VECADDC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecadd/c66" \

	echo EXT_ROOT__DSPF_SP_VECADD_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECADD_66_BE_COFF_SRCDSPF_SP_VECADD=../../ >> src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECADD_66_BE_COFF_SRCDSPF_SP_VECADDC66=.././ >> src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecadd_66_BE_COFF"
src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_COFF/Release/DSPF_sp_vecadd_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_COFF/Release/DSPF_sp_vecadd_66_BE_COFF.out: src/DSPF_sp_vecadd/DSPF_sp_vecadd.h
src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_COFF/Release/DSPF_sp_vecadd_66_BE_COFF.out: src/DSPF_sp_vecadd//c66/DSPF_sp_vecadd.h
src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_COFF/Release/DSPF_sp_vecadd_66_BE_COFF.out: src/DSPF_sp_vecadd//c66/DSPF_sp_vecadd_cn.h
src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_COFF/Release/DSPF_sp_vecadd_66_BE_COFF.out: src/DSPF_sp_vecadd//c66/DSPF_sp_vecadd_d.c
src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_COFF/Release/DSPF_sp_vecadd_66_BE_COFF.out: src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_vecadd_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecadd_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_vecadd_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecadd/c66/DSPF_sp_vecadd_66_BE_COFF"
	-@ echo Building Project DSPF_sp_vecadd_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecadd_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_vecadd_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_vecadd_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecadd_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_vecadd_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_ELF/Release/DSPF_sp_vecadd_66_LE_ELF.out

.projects: src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_ELF

src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_ELF: src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_ELF/.project

src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecadd_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_vecadd_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_VECADD_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_VECADD_66_LE_ELF_SRCDSPF_SP_VECADDC66/DSPF_sp_vecadd_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECADD_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECADD_66_LE_ELF_SRCDSPF_SP_VECADD "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecadd" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECADD_66_LE_ELF_SRCDSPF_SP_VECADDC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecadd/c66" \

	echo EXT_ROOT__DSPF_SP_VECADD_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECADD_66_LE_ELF_SRCDSPF_SP_VECADD=../../ >> src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECADD_66_LE_ELF_SRCDSPF_SP_VECADDC66=.././ >> src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecadd_66_LE_ELF"
src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_ELF/Release/DSPF_sp_vecadd_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_ELF/Release/DSPF_sp_vecadd_66_LE_ELF.out: src/DSPF_sp_vecadd/DSPF_sp_vecadd.h
src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_ELF/Release/DSPF_sp_vecadd_66_LE_ELF.out: src/DSPF_sp_vecadd//c66/DSPF_sp_vecadd.h
src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_ELF/Release/DSPF_sp_vecadd_66_LE_ELF.out: src/DSPF_sp_vecadd//c66/DSPF_sp_vecadd_cn.h
src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_ELF/Release/DSPF_sp_vecadd_66_LE_ELF.out: src/DSPF_sp_vecadd//c66/DSPF_sp_vecadd_d.c
src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_ELF/Release/DSPF_sp_vecadd_66_LE_ELF.out: src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_vecadd_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecadd_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_vecadd_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecadd/c66/DSPF_sp_vecadd_66_LE_ELF"
	-@ echo Building Project DSPF_sp_vecadd_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecadd_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_vecadd_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_vecadd_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecadd_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_vecadd_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_ELF/Release/DSPF_sp_vecadd_66_BE_ELF.out

.projects: src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_ELF

src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_ELF: src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_ELF/.project

src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecadd_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_vecadd_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_VECADD_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_VECADD_66_BE_ELF_SRCDSPF_SP_VECADDC66/DSPF_sp_vecadd_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECADD_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECADD_66_BE_ELF_SRCDSPF_SP_VECADD "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecadd" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECADD_66_BE_ELF_SRCDSPF_SP_VECADDC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecadd/c66" \

	echo EXT_ROOT__DSPF_SP_VECADD_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECADD_66_BE_ELF_SRCDSPF_SP_VECADD=../../ >> src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECADD_66_BE_ELF_SRCDSPF_SP_VECADDC66=.././ >> src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecadd_66_BE_ELF"
src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_ELF/Release/DSPF_sp_vecadd_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_ELF/Release/DSPF_sp_vecadd_66_BE_ELF.out: src/DSPF_sp_vecadd/DSPF_sp_vecadd.h
src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_ELF/Release/DSPF_sp_vecadd_66_BE_ELF.out: src/DSPF_sp_vecadd//c66/DSPF_sp_vecadd.h
src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_ELF/Release/DSPF_sp_vecadd_66_BE_ELF.out: src/DSPF_sp_vecadd//c66/DSPF_sp_vecadd_cn.h
src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_ELF/Release/DSPF_sp_vecadd_66_BE_ELF.out: src/DSPF_sp_vecadd//c66/DSPF_sp_vecadd_d.c
src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_ELF/Release/DSPF_sp_vecadd_66_BE_ELF.out: src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_vecadd_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecadd_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_vecadd_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecadd/c66/DSPF_sp_vecadd_66_BE_ELF"
	-@ echo Building Project DSPF_sp_vecadd_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecadd_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_vecadd_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_vecadd_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecadd_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_vecadd//c66//DSPF_sp_vecadd_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_vecmul_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_COFF/Release/DSPF_sp_vecmul_66_LE_COFF.out

.projects: src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_COFF

src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_COFF: src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_COFF/.project

src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecmul_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_vecmul_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_VECMUL_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_VECMUL_66_LE_COFF_SRCDSPF_SP_VECMULC66/DSPF_sp_vecmul_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECMUL_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECMUL_66_LE_COFF_SRCDSPF_SP_VECMUL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecmul" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECMUL_66_LE_COFF_SRCDSPF_SP_VECMULC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecmul/c66" \

	echo EXT_ROOT__DSPF_SP_VECMUL_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECMUL_66_LE_COFF_SRCDSPF_SP_VECMUL=../../ >> src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECMUL_66_LE_COFF_SRCDSPF_SP_VECMULC66=.././ >> src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecmul_66_LE_COFF"
src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_COFF/Release/DSPF_sp_vecmul_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_COFF/Release/DSPF_sp_vecmul_66_LE_COFF.out: src/DSPF_sp_vecmul/DSPF_sp_vecmul.h
src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_COFF/Release/DSPF_sp_vecmul_66_LE_COFF.out: src/DSPF_sp_vecmul//c66/DSPF_sp_vecmul.h
src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_COFF/Release/DSPF_sp_vecmul_66_LE_COFF.out: src/DSPF_sp_vecmul//c66/DSPF_sp_vecmul_cn.h
src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_COFF/Release/DSPF_sp_vecmul_66_LE_COFF.out: src/DSPF_sp_vecmul//c66/DSPF_sp_vecmul_d.c
src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_COFF/Release/DSPF_sp_vecmul_66_LE_COFF.out: src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_vecmul_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecmul_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_vecmul_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecmul/c66/DSPF_sp_vecmul_66_LE_COFF"
	-@ echo Building Project DSPF_sp_vecmul_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecmul_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_vecmul_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_vecmul_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecmul_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_vecmul_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_COFF/Release/DSPF_sp_vecmul_66_BE_COFF.out

.projects: src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_COFF

src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_COFF: src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_COFF/.project

src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecmul_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_vecmul_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_VECMUL_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_VECMUL_66_BE_COFF_SRCDSPF_SP_VECMULC66/DSPF_sp_vecmul_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECMUL_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECMUL_66_BE_COFF_SRCDSPF_SP_VECMUL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecmul" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECMUL_66_BE_COFF_SRCDSPF_SP_VECMULC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecmul/c66" \

	echo EXT_ROOT__DSPF_SP_VECMUL_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECMUL_66_BE_COFF_SRCDSPF_SP_VECMUL=../../ >> src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECMUL_66_BE_COFF_SRCDSPF_SP_VECMULC66=.././ >> src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecmul_66_BE_COFF"
src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_COFF/Release/DSPF_sp_vecmul_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_COFF/Release/DSPF_sp_vecmul_66_BE_COFF.out: src/DSPF_sp_vecmul/DSPF_sp_vecmul.h
src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_COFF/Release/DSPF_sp_vecmul_66_BE_COFF.out: src/DSPF_sp_vecmul//c66/DSPF_sp_vecmul.h
src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_COFF/Release/DSPF_sp_vecmul_66_BE_COFF.out: src/DSPF_sp_vecmul//c66/DSPF_sp_vecmul_cn.h
src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_COFF/Release/DSPF_sp_vecmul_66_BE_COFF.out: src/DSPF_sp_vecmul//c66/DSPF_sp_vecmul_d.c
src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_COFF/Release/DSPF_sp_vecmul_66_BE_COFF.out: src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_vecmul_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecmul_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_vecmul_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecmul/c66/DSPF_sp_vecmul_66_BE_COFF"
	-@ echo Building Project DSPF_sp_vecmul_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecmul_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_vecmul_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_vecmul_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecmul_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_vecmul_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_ELF/Release/DSPF_sp_vecmul_66_LE_ELF.out

.projects: src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_ELF

src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_ELF: src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_ELF/.project

src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecmul_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_vecmul_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_VECMUL_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_VECMUL_66_LE_ELF_SRCDSPF_SP_VECMULC66/DSPF_sp_vecmul_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECMUL_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECMUL_66_LE_ELF_SRCDSPF_SP_VECMUL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecmul" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECMUL_66_LE_ELF_SRCDSPF_SP_VECMULC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecmul/c66" \

	echo EXT_ROOT__DSPF_SP_VECMUL_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECMUL_66_LE_ELF_SRCDSPF_SP_VECMUL=../../ >> src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECMUL_66_LE_ELF_SRCDSPF_SP_VECMULC66=.././ >> src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecmul_66_LE_ELF"
src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_ELF/Release/DSPF_sp_vecmul_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_ELF/Release/DSPF_sp_vecmul_66_LE_ELF.out: src/DSPF_sp_vecmul/DSPF_sp_vecmul.h
src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_ELF/Release/DSPF_sp_vecmul_66_LE_ELF.out: src/DSPF_sp_vecmul//c66/DSPF_sp_vecmul.h
src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_ELF/Release/DSPF_sp_vecmul_66_LE_ELF.out: src/DSPF_sp_vecmul//c66/DSPF_sp_vecmul_cn.h
src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_ELF/Release/DSPF_sp_vecmul_66_LE_ELF.out: src/DSPF_sp_vecmul//c66/DSPF_sp_vecmul_d.c
src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_ELF/Release/DSPF_sp_vecmul_66_LE_ELF.out: src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_vecmul_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecmul_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_vecmul_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecmul/c66/DSPF_sp_vecmul_66_LE_ELF"
	-@ echo Building Project DSPF_sp_vecmul_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecmul_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_vecmul_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_vecmul_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecmul_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_vecmul_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_ELF/Release/DSPF_sp_vecmul_66_BE_ELF.out

.projects: src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_ELF

src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_ELF: src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_ELF/.project

src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecmul_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_vecmul_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_VECMUL_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_VECMUL_66_BE_ELF_SRCDSPF_SP_VECMULC66/DSPF_sp_vecmul_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECMUL_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECMUL_66_BE_ELF_SRCDSPF_SP_VECMUL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecmul" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECMUL_66_BE_ELF_SRCDSPF_SP_VECMULC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecmul/c66" \

	echo EXT_ROOT__DSPF_SP_VECMUL_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECMUL_66_BE_ELF_SRCDSPF_SP_VECMUL=../../ >> src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECMUL_66_BE_ELF_SRCDSPF_SP_VECMULC66=.././ >> src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecmul_66_BE_ELF"
src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_ELF/Release/DSPF_sp_vecmul_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_ELF/Release/DSPF_sp_vecmul_66_BE_ELF.out: src/DSPF_sp_vecmul/DSPF_sp_vecmul.h
src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_ELF/Release/DSPF_sp_vecmul_66_BE_ELF.out: src/DSPF_sp_vecmul//c66/DSPF_sp_vecmul.h
src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_ELF/Release/DSPF_sp_vecmul_66_BE_ELF.out: src/DSPF_sp_vecmul//c66/DSPF_sp_vecmul_cn.h
src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_ELF/Release/DSPF_sp_vecmul_66_BE_ELF.out: src/DSPF_sp_vecmul//c66/DSPF_sp_vecmul_d.c
src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_ELF/Release/DSPF_sp_vecmul_66_BE_ELF.out: src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_vecmul_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecmul_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_vecmul_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecmul/c66/DSPF_sp_vecmul_66_BE_ELF"
	-@ echo Building Project DSPF_sp_vecmul_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecmul_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_vecmul_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_vecmul_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecmul_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_vecmul//c66//DSPF_sp_vecmul_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_vecrecip_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_COFF/Release/DSPF_sp_vecrecip_66_LE_COFF.out

.projects: src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_COFF

src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_COFF: src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_COFF/.project

src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecrecip_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_vecrecip_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_VECRECIP_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_VECRECIP_66_LE_COFF_SRCDSPF_SP_VECRECIPC66/DSPF_sp_vecrecip_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECRECIP_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECRECIP_66_LE_COFF_SRCDSPF_SP_VECRECIP "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecrecip" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECRECIP_66_LE_COFF_SRCDSPF_SP_VECRECIPC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecrecip/c66" \

	echo EXT_ROOT__DSPF_SP_VECRECIP_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECRECIP_66_LE_COFF_SRCDSPF_SP_VECRECIP=../../ >> src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECRECIP_66_LE_COFF_SRCDSPF_SP_VECRECIPC66=.././ >> src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecrecip_66_LE_COFF"
src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_COFF/Release/DSPF_sp_vecrecip_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_COFF/Release/DSPF_sp_vecrecip_66_LE_COFF.out: src/DSPF_sp_vecrecip/DSPF_sp_vecrecip.h
src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_COFF/Release/DSPF_sp_vecrecip_66_LE_COFF.out: src/DSPF_sp_vecrecip//c66/DSPF_sp_vecrecip.h
src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_COFF/Release/DSPF_sp_vecrecip_66_LE_COFF.out: src/DSPF_sp_vecrecip//c66/DSPF_sp_vecrecip_cn.h
src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_COFF/Release/DSPF_sp_vecrecip_66_LE_COFF.out: src/DSPF_sp_vecrecip//c66/DSPF_sp_vecrecip_d.c
src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_COFF/Release/DSPF_sp_vecrecip_66_LE_COFF.out: src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_vecrecip_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecrecip_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_vecrecip_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecrecip/c66/DSPF_sp_vecrecip_66_LE_COFF"
	-@ echo Building Project DSPF_sp_vecrecip_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecrecip_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_vecrecip_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_vecrecip_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecrecip_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_vecrecip_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_COFF/Release/DSPF_sp_vecrecip_66_BE_COFF.out

.projects: src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_COFF

src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_COFF: src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_COFF/.project

src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecrecip_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_vecrecip_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_VECRECIP_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_VECRECIP_66_BE_COFF_SRCDSPF_SP_VECRECIPC66/DSPF_sp_vecrecip_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECRECIP_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECRECIP_66_BE_COFF_SRCDSPF_SP_VECRECIP "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecrecip" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECRECIP_66_BE_COFF_SRCDSPF_SP_VECRECIPC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecrecip/c66" \

	echo EXT_ROOT__DSPF_SP_VECRECIP_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECRECIP_66_BE_COFF_SRCDSPF_SP_VECRECIP=../../ >> src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECRECIP_66_BE_COFF_SRCDSPF_SP_VECRECIPC66=.././ >> src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecrecip_66_BE_COFF"
src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_COFF/Release/DSPF_sp_vecrecip_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_COFF/Release/DSPF_sp_vecrecip_66_BE_COFF.out: src/DSPF_sp_vecrecip/DSPF_sp_vecrecip.h
src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_COFF/Release/DSPF_sp_vecrecip_66_BE_COFF.out: src/DSPF_sp_vecrecip//c66/DSPF_sp_vecrecip.h
src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_COFF/Release/DSPF_sp_vecrecip_66_BE_COFF.out: src/DSPF_sp_vecrecip//c66/DSPF_sp_vecrecip_cn.h
src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_COFF/Release/DSPF_sp_vecrecip_66_BE_COFF.out: src/DSPF_sp_vecrecip//c66/DSPF_sp_vecrecip_d.c
src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_COFF/Release/DSPF_sp_vecrecip_66_BE_COFF.out: src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_vecrecip_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecrecip_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_vecrecip_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecrecip/c66/DSPF_sp_vecrecip_66_BE_COFF"
	-@ echo Building Project DSPF_sp_vecrecip_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecrecip_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_vecrecip_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_vecrecip_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecrecip_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_vecrecip_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_ELF/Release/DSPF_sp_vecrecip_66_LE_ELF.out

.projects: src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_ELF

src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_ELF: src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_ELF/.project

src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecrecip_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_vecrecip_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_VECRECIP_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_VECRECIP_66_LE_ELF_SRCDSPF_SP_VECRECIPC66/DSPF_sp_vecrecip_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECRECIP_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECRECIP_66_LE_ELF_SRCDSPF_SP_VECRECIP "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecrecip" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECRECIP_66_LE_ELF_SRCDSPF_SP_VECRECIPC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecrecip/c66" \

	echo EXT_ROOT__DSPF_SP_VECRECIP_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECRECIP_66_LE_ELF_SRCDSPF_SP_VECRECIP=../../ >> src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECRECIP_66_LE_ELF_SRCDSPF_SP_VECRECIPC66=.././ >> src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecrecip_66_LE_ELF"
src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_ELF/Release/DSPF_sp_vecrecip_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_ELF/Release/DSPF_sp_vecrecip_66_LE_ELF.out: src/DSPF_sp_vecrecip/DSPF_sp_vecrecip.h
src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_ELF/Release/DSPF_sp_vecrecip_66_LE_ELF.out: src/DSPF_sp_vecrecip//c66/DSPF_sp_vecrecip.h
src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_ELF/Release/DSPF_sp_vecrecip_66_LE_ELF.out: src/DSPF_sp_vecrecip//c66/DSPF_sp_vecrecip_cn.h
src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_ELF/Release/DSPF_sp_vecrecip_66_LE_ELF.out: src/DSPF_sp_vecrecip//c66/DSPF_sp_vecrecip_d.c
src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_ELF/Release/DSPF_sp_vecrecip_66_LE_ELF.out: src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_vecrecip_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecrecip_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_vecrecip_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecrecip/c66/DSPF_sp_vecrecip_66_LE_ELF"
	-@ echo Building Project DSPF_sp_vecrecip_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecrecip_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_vecrecip_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_vecrecip_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecrecip_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_vecrecip_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_ELF/Release/DSPF_sp_vecrecip_66_BE_ELF.out

.projects: src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_ELF

src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_ELF: src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_ELF/.project

src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecrecip_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_vecrecip_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_VECRECIP_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_VECRECIP_66_BE_ELF_SRCDSPF_SP_VECRECIPC66/DSPF_sp_vecrecip_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECRECIP_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECRECIP_66_BE_ELF_SRCDSPF_SP_VECRECIP "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecrecip" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECRECIP_66_BE_ELF_SRCDSPF_SP_VECRECIPC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecrecip/c66" \

	echo EXT_ROOT__DSPF_SP_VECRECIP_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECRECIP_66_BE_ELF_SRCDSPF_SP_VECRECIP=../../ >> src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECRECIP_66_BE_ELF_SRCDSPF_SP_VECRECIPC66=.././ >> src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecrecip_66_BE_ELF"
src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_ELF/Release/DSPF_sp_vecrecip_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_ELF/Release/DSPF_sp_vecrecip_66_BE_ELF.out: src/DSPF_sp_vecrecip/DSPF_sp_vecrecip.h
src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_ELF/Release/DSPF_sp_vecrecip_66_BE_ELF.out: src/DSPF_sp_vecrecip//c66/DSPF_sp_vecrecip.h
src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_ELF/Release/DSPF_sp_vecrecip_66_BE_ELF.out: src/DSPF_sp_vecrecip//c66/DSPF_sp_vecrecip_cn.h
src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_ELF/Release/DSPF_sp_vecrecip_66_BE_ELF.out: src/DSPF_sp_vecrecip//c66/DSPF_sp_vecrecip_d.c
src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_ELF/Release/DSPF_sp_vecrecip_66_BE_ELF.out: src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_vecrecip_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecrecip_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_vecrecip_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecrecip/c66/DSPF_sp_vecrecip_66_BE_ELF"
	-@ echo Building Project DSPF_sp_vecrecip_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecrecip_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_vecrecip_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_vecrecip_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecrecip_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_vecrecip//c66//DSPF_sp_vecrecip_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_vecsum_sq_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_COFF/Release/DSPF_sp_vecsum_sq_66_LE_COFF.out

.projects: src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_COFF

src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_COFF: src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_COFF/.project

src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecsum_sq_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_vecsum_sq_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_VECSUM_SQ_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_VECSUM_SQ_66_LE_COFF_SRCDSPF_SP_VECSUM_SQC66/DSPF_sp_vecsum_sq_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECSUM_SQ_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECSUM_SQ_66_LE_COFF_SRCDSPF_SP_VECSUM_SQ "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecsum_sq" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECSUM_SQ_66_LE_COFF_SRCDSPF_SP_VECSUM_SQC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecsum_sq/c66" \

	echo EXT_ROOT__DSPF_SP_VECSUM_SQ_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECSUM_SQ_66_LE_COFF_SRCDSPF_SP_VECSUM_SQ=../../ >> src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECSUM_SQ_66_LE_COFF_SRCDSPF_SP_VECSUM_SQC66=.././ >> src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecsum_sq_66_LE_COFF"
src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_COFF/Release/DSPF_sp_vecsum_sq_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_COFF/Release/DSPF_sp_vecsum_sq_66_LE_COFF.out: src/DSPF_sp_vecsum_sq/DSPF_sp_vecsum_sq.h
src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_COFF/Release/DSPF_sp_vecsum_sq_66_LE_COFF.out: src/DSPF_sp_vecsum_sq//c66/DSPF_sp_vecsum_sq.h
src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_COFF/Release/DSPF_sp_vecsum_sq_66_LE_COFF.out: src/DSPF_sp_vecsum_sq//c66/DSPF_sp_vecsum_sq_cn.h
src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_COFF/Release/DSPF_sp_vecsum_sq_66_LE_COFF.out: src/DSPF_sp_vecsum_sq//c66/DSPF_sp_vecsum_sq_d.c
src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_COFF/Release/DSPF_sp_vecsum_sq_66_LE_COFF.out: src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_vecsum_sq_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecsum_sq_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_vecsum_sq_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecsum_sq/c66/DSPF_sp_vecsum_sq_66_LE_COFF"
	-@ echo Building Project DSPF_sp_vecsum_sq_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecsum_sq_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_vecsum_sq_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_vecsum_sq_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecsum_sq_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_vecsum_sq_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_COFF/Release/DSPF_sp_vecsum_sq_66_BE_COFF.out

.projects: src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_COFF

src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_COFF: src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_COFF/.project

src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecsum_sq_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_vecsum_sq_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_VECSUM_SQ_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_VECSUM_SQ_66_BE_COFF_SRCDSPF_SP_VECSUM_SQC66/DSPF_sp_vecsum_sq_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECSUM_SQ_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECSUM_SQ_66_BE_COFF_SRCDSPF_SP_VECSUM_SQ "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecsum_sq" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECSUM_SQ_66_BE_COFF_SRCDSPF_SP_VECSUM_SQC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecsum_sq/c66" \

	echo EXT_ROOT__DSPF_SP_VECSUM_SQ_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECSUM_SQ_66_BE_COFF_SRCDSPF_SP_VECSUM_SQ=../../ >> src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECSUM_SQ_66_BE_COFF_SRCDSPF_SP_VECSUM_SQC66=.././ >> src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecsum_sq_66_BE_COFF"
src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_COFF/Release/DSPF_sp_vecsum_sq_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_COFF/Release/DSPF_sp_vecsum_sq_66_BE_COFF.out: src/DSPF_sp_vecsum_sq/DSPF_sp_vecsum_sq.h
src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_COFF/Release/DSPF_sp_vecsum_sq_66_BE_COFF.out: src/DSPF_sp_vecsum_sq//c66/DSPF_sp_vecsum_sq.h
src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_COFF/Release/DSPF_sp_vecsum_sq_66_BE_COFF.out: src/DSPF_sp_vecsum_sq//c66/DSPF_sp_vecsum_sq_cn.h
src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_COFF/Release/DSPF_sp_vecsum_sq_66_BE_COFF.out: src/DSPF_sp_vecsum_sq//c66/DSPF_sp_vecsum_sq_d.c
src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_COFF/Release/DSPF_sp_vecsum_sq_66_BE_COFF.out: src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_vecsum_sq_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecsum_sq_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_vecsum_sq_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecsum_sq/c66/DSPF_sp_vecsum_sq_66_BE_COFF"
	-@ echo Building Project DSPF_sp_vecsum_sq_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecsum_sq_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_vecsum_sq_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_vecsum_sq_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecsum_sq_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_vecsum_sq_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_ELF/Release/DSPF_sp_vecsum_sq_66_LE_ELF.out

.projects: src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_ELF

src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_ELF: src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_ELF/.project

src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecsum_sq_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_vecsum_sq_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_VECSUM_SQ_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_VECSUM_SQ_66_LE_ELF_SRCDSPF_SP_VECSUM_SQC66/DSPF_sp_vecsum_sq_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECSUM_SQ_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECSUM_SQ_66_LE_ELF_SRCDSPF_SP_VECSUM_SQ "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecsum_sq" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECSUM_SQ_66_LE_ELF_SRCDSPF_SP_VECSUM_SQC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecsum_sq/c66" \

	echo EXT_ROOT__DSPF_SP_VECSUM_SQ_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECSUM_SQ_66_LE_ELF_SRCDSPF_SP_VECSUM_SQ=../../ >> src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECSUM_SQ_66_LE_ELF_SRCDSPF_SP_VECSUM_SQC66=.././ >> src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecsum_sq_66_LE_ELF"
src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_ELF/Release/DSPF_sp_vecsum_sq_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_ELF/Release/DSPF_sp_vecsum_sq_66_LE_ELF.out: src/DSPF_sp_vecsum_sq/DSPF_sp_vecsum_sq.h
src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_ELF/Release/DSPF_sp_vecsum_sq_66_LE_ELF.out: src/DSPF_sp_vecsum_sq//c66/DSPF_sp_vecsum_sq.h
src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_ELF/Release/DSPF_sp_vecsum_sq_66_LE_ELF.out: src/DSPF_sp_vecsum_sq//c66/DSPF_sp_vecsum_sq_cn.h
src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_ELF/Release/DSPF_sp_vecsum_sq_66_LE_ELF.out: src/DSPF_sp_vecsum_sq//c66/DSPF_sp_vecsum_sq_d.c
src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_ELF/Release/DSPF_sp_vecsum_sq_66_LE_ELF.out: src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_vecsum_sq_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecsum_sq_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_vecsum_sq_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecsum_sq/c66/DSPF_sp_vecsum_sq_66_LE_ELF"
	-@ echo Building Project DSPF_sp_vecsum_sq_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecsum_sq_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_vecsum_sq_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_vecsum_sq_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecsum_sq_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_vecsum_sq_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_ELF/Release/DSPF_sp_vecsum_sq_66_BE_ELF.out

.projects: src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_ELF

src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_ELF: src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_ELF/.project

src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecsum_sq_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_vecsum_sq_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_VECSUM_SQ_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_VECSUM_SQ_66_BE_ELF_SRCDSPF_SP_VECSUM_SQC66/DSPF_sp_vecsum_sq_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECSUM_SQ_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECSUM_SQ_66_BE_ELF_SRCDSPF_SP_VECSUM_SQ "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecsum_sq" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_VECSUM_SQ_66_BE_ELF_SRCDSPF_SP_VECSUM_SQC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecsum_sq/c66" \

	echo EXT_ROOT__DSPF_SP_VECSUM_SQ_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECSUM_SQ_66_BE_ELF_SRCDSPF_SP_VECSUM_SQ=../../ >> src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_VECSUM_SQ_66_BE_ELF_SRCDSPF_SP_VECSUM_SQC66=.././ >> src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecsum_sq_66_BE_ELF"
src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_ELF/Release/DSPF_sp_vecsum_sq_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_ELF/Release/DSPF_sp_vecsum_sq_66_BE_ELF.out: src/DSPF_sp_vecsum_sq/DSPF_sp_vecsum_sq.h
src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_ELF/Release/DSPF_sp_vecsum_sq_66_BE_ELF.out: src/DSPF_sp_vecsum_sq//c66/DSPF_sp_vecsum_sq.h
src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_ELF/Release/DSPF_sp_vecsum_sq_66_BE_ELF.out: src/DSPF_sp_vecsum_sq//c66/DSPF_sp_vecsum_sq_cn.h
src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_ELF/Release/DSPF_sp_vecsum_sq_66_BE_ELF.out: src/DSPF_sp_vecsum_sq//c66/DSPF_sp_vecsum_sq_d.c
src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_ELF/Release/DSPF_sp_vecsum_sq_66_BE_ELF.out: src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_vecsum_sq_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecsum_sq_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_vecsum_sq_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_vecsum_sq/c66/DSPF_sp_vecsum_sq_66_BE_ELF"
	-@ echo Building Project DSPF_sp_vecsum_sq_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_vecsum_sq_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_vecsum_sq_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_vecsum_sq_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_vecsum_sq_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_vecsum_sq//c66//DSPF_sp_vecsum_sq_66_BE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_w_vec_66_LE_COFF

#############################################################

.executables: src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_COFF/Release/DSPF_sp_w_vec_66_LE_COFF.out

.projects: src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_COFF

src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_COFF: src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_COFF/.project

src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_w_vec_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_w_vec_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_W_VEC_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_W_VEC_66_LE_COFF_SRCDSPF_SP_W_VECC66/DSPF_sp_w_vec_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_W_VEC_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_W_VEC_66_LE_COFF_SRCDSPF_SP_W_VEC "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_w_vec" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_W_VEC_66_LE_COFF_SRCDSPF_SP_W_VECC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_w_vec/c66" \

	echo EXT_ROOT__DSPF_SP_W_VEC_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_W_VEC_66_LE_COFF_SRCDSPF_SP_W_VEC=../../ >> src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_W_VEC_66_LE_COFF_SRCDSPF_SP_W_VECC66=.././ >> src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_w_vec_66_LE_COFF"
src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_COFF/Release/DSPF_sp_w_vec_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_COFF/Release/DSPF_sp_w_vec_66_LE_COFF.out: src/DSPF_sp_w_vec/DSPF_sp_w_vec.h
src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_COFF/Release/DSPF_sp_w_vec_66_LE_COFF.out: src/DSPF_sp_w_vec//c66/DSPF_sp_w_vec.h
src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_COFF/Release/DSPF_sp_w_vec_66_LE_COFF.out: src/DSPF_sp_w_vec//c66/DSPF_sp_w_vec_cn.h
src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_COFF/Release/DSPF_sp_w_vec_66_LE_COFF.out: src/DSPF_sp_w_vec//c66/DSPF_sp_w_vec_d.c
src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_COFF/Release/DSPF_sp_w_vec_66_LE_COFF.out: src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_COFF/.project
	-@ echo Importing Project DSPF_sp_w_vec_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_w_vec_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_w_vec_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_w_vec/c66/DSPF_sp_w_vec_66_LE_COFF"
	-@ echo Building Project DSPF_sp_w_vec_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_w_vec_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_w_vec_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_w_vec_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_w_vec_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_w_vec_66_BE_COFF

#############################################################

.executables: src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_COFF/Release/DSPF_sp_w_vec_66_BE_COFF.out

.projects: src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_COFF

src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_COFF: src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_COFF/.project

src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_w_vec_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_w_vec_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_W_VEC_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_W_VEC_66_BE_COFF_SRCDSPF_SP_W_VECC66/DSPF_sp_w_vec_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_W_VEC_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_W_VEC_66_BE_COFF_SRCDSPF_SP_W_VEC "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_w_vec" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_W_VEC_66_BE_COFF_SRCDSPF_SP_W_VECC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_w_vec/c66" \

	echo EXT_ROOT__DSPF_SP_W_VEC_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_W_VEC_66_BE_COFF_SRCDSPF_SP_W_VEC=../../ >> src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSPF_SP_W_VEC_66_BE_COFF_SRCDSPF_SP_W_VECC66=.././ >> src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_w_vec_66_BE_COFF"
src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_COFF/Release/DSPF_sp_w_vec_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_COFF/Release/DSPF_sp_w_vec_66_BE_COFF.out: src/DSPF_sp_w_vec/DSPF_sp_w_vec.h
src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_COFF/Release/DSPF_sp_w_vec_66_BE_COFF.out: src/DSPF_sp_w_vec//c66/DSPF_sp_w_vec.h
src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_COFF/Release/DSPF_sp_w_vec_66_BE_COFF.out: src/DSPF_sp_w_vec//c66/DSPF_sp_w_vec_cn.h
src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_COFF/Release/DSPF_sp_w_vec_66_BE_COFF.out: src/DSPF_sp_w_vec//c66/DSPF_sp_w_vec_d.c
src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_COFF/Release/DSPF_sp_w_vec_66_BE_COFF.out: src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_COFF/.project
	-@ echo Importing Project DSPF_sp_w_vec_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_w_vec_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_w_vec_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_w_vec/c66/DSPF_sp_w_vec_66_BE_COFF"
	-@ echo Building Project DSPF_sp_w_vec_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_w_vec_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_w_vec_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSPF_sp_w_vec_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_w_vec_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_COFF"


#############################################################

# Rule to Build Project DSPF_sp_w_vec_66_LE_ELF

#############################################################

.executables: src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_ELF/Release/DSPF_sp_w_vec_66_LE_ELF.out

.projects: src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_ELF

src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_ELF: src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_ELF/.project

src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_w_vec_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_w_vec_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_W_VEC_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_W_VEC_66_LE_ELF_SRCDSPF_SP_W_VECC66/DSPF_sp_w_vec_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_W_VEC_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_W_VEC_66_LE_ELF_SRCDSPF_SP_W_VEC "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_w_vec" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_W_VEC_66_LE_ELF_SRCDSPF_SP_W_VECC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_w_vec/c66" \

	echo EXT_ROOT__DSPF_SP_W_VEC_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_W_VEC_66_LE_ELF_SRCDSPF_SP_W_VEC=../../ >> src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_W_VEC_66_LE_ELF_SRCDSPF_SP_W_VECC66=.././ >> src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_w_vec_66_LE_ELF"
src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_ELF/Release/DSPF_sp_w_vec_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_ELF/Release/DSPF_sp_w_vec_66_LE_ELF.out: src/DSPF_sp_w_vec/DSPF_sp_w_vec.h
src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_ELF/Release/DSPF_sp_w_vec_66_LE_ELF.out: src/DSPF_sp_w_vec//c66/DSPF_sp_w_vec.h
src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_ELF/Release/DSPF_sp_w_vec_66_LE_ELF.out: src/DSPF_sp_w_vec//c66/DSPF_sp_w_vec_cn.h
src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_ELF/Release/DSPF_sp_w_vec_66_LE_ELF.out: src/DSPF_sp_w_vec//c66/DSPF_sp_w_vec_d.c
src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_ELF/Release/DSPF_sp_w_vec_66_LE_ELF.out: src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_ELF/.project
	-@ echo Importing Project DSPF_sp_w_vec_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_w_vec_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_w_vec_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_w_vec/c66/DSPF_sp_w_vec_66_LE_ELF"
	-@ echo Building Project DSPF_sp_w_vec_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_w_vec_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_w_vec_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_w_vec_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_w_vec_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_LE_ELF"


#############################################################

# Rule to Build Project DSPF_sp_w_vec_66_BE_ELF

#############################################################

.executables: src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_ELF/Release/DSPF_sp_w_vec_66_BE_ELF.out

.projects: src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_ELF

src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_ELF: src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_ELF/.project

src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_w_vec_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSPF_sp_w_vec_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSPF_SP_W_VEC_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSPF_SP_W_VEC_66_BE_ELF_SRCDSPF_SP_W_VECC66/DSPF_sp_w_vec_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_W_VEC_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_W_VEC_66_BE_ELF_SRCDSPF_SP_W_VEC "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_w_vec" \
 -ccs.definePathVariable EXT_ROOT__DSPF_SP_W_VEC_66_BE_ELF_SRCDSPF_SP_W_VECC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_w_vec/c66" \

	echo EXT_ROOT__DSPF_SP_W_VEC_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_W_VEC_66_BE_ELF_SRCDSPF_SP_W_VEC=../../ >> src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSPF_SP_W_VEC_66_BE_ELF_SRCDSPF_SP_W_VECC66=.././ >> src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_w_vec_66_BE_ELF"
src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_ELF/Release/DSPF_sp_w_vec_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_ELF/Release/DSPF_sp_w_vec_66_BE_ELF.out: src/DSPF_sp_w_vec/DSPF_sp_w_vec.h
src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_ELF/Release/DSPF_sp_w_vec_66_BE_ELF.out: src/DSPF_sp_w_vec//c66/DSPF_sp_w_vec.h
src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_ELF/Release/DSPF_sp_w_vec_66_BE_ELF.out: src/DSPF_sp_w_vec//c66/DSPF_sp_w_vec_cn.h
src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_ELF/Release/DSPF_sp_w_vec_66_BE_ELF.out: src/DSPF_sp_w_vec//c66/DSPF_sp_w_vec_d.c
src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_ELF/Release/DSPF_sp_w_vec_66_BE_ELF.out: src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_ELF/.project
	-@ echo Importing Project DSPF_sp_w_vec_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_w_vec_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSPF_sp_w_vec_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSPF_sp_w_vec/c66/DSPF_sp_w_vec_66_BE_ELF"
	-@ echo Building Project DSPF_sp_w_vec_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSPF_sp_w_vec_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSPF_sp_w_vec_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSPF_sp_w_vec_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSPF_sp_w_vec_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSPF_sp_w_vec//c66//DSPF_sp_w_vec_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_add16_66_LE_COFF

#############################################################

.executables: src/DSP_add16//c66//DSP_add16_66_LE_COFF/Release/DSP_add16_66_LE_COFF.out

.projects: src/DSP_add16//c66//DSP_add16_66_LE_COFF

src/DSP_add16//c66//DSP_add16_66_LE_COFF: src/DSP_add16//c66//DSP_add16_66_LE_COFF/.project

src/DSP_add16//c66//DSP_add16_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_add16_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_add16_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_ADD16_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_ADD16_66_LE_COFF_SRCDSP_ADD16C66/DSP_add16_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_add16//c66//DSP_add16_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_ADD16_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_ADD16_66_LE_COFF_SRCDSP_ADD16 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_add16" \
 -ccs.definePathVariable EXT_ROOT__DSP_ADD16_66_LE_COFF_SRCDSP_ADD16C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_add16/c66" \

	echo EXT_ROOT__DSP_ADD16_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_add16//c66//DSP_add16_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_ADD16_66_LE_COFF_SRCDSP_ADD16=../../ >> src/DSP_add16//c66//DSP_add16_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_ADD16_66_LE_COFF_SRCDSP_ADD16C66=.././ >> src/DSP_add16//c66//DSP_add16_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_add16_66_LE_COFF"
src/DSP_add16//c66//DSP_add16_66_LE_COFF/Release/DSP_add16_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_add16//c66//DSP_add16_66_LE_COFF/Release/DSP_add16_66_LE_COFF.out: src/DSP_add16/DSP_add16.h
src/DSP_add16//c66//DSP_add16_66_LE_COFF/Release/DSP_add16_66_LE_COFF.out: src/DSP_add16//c66/DSP_add16.h
src/DSP_add16//c66//DSP_add16_66_LE_COFF/Release/DSP_add16_66_LE_COFF.out: src/DSP_add16//c66/DSP_add16_cn.h
src/DSP_add16//c66//DSP_add16_66_LE_COFF/Release/DSP_add16_66_LE_COFF.out: src/DSP_add16//c66/DSP_add16_d.c
src/DSP_add16//c66//DSP_add16_66_LE_COFF/Release/DSP_add16_66_LE_COFF.out: src/DSP_add16//c66//DSP_add16_66_LE_COFF/.project
	-@ echo Importing Project DSP_add16_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_add16_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_add16_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_add16/c66/DSP_add16_66_LE_COFF"
	-@ echo Building Project DSP_add16_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_add16_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_add16_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_add16_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_add16_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_add16//c66//DSP_add16_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_add16_66_BE_COFF

#############################################################

.executables: src/DSP_add16//c66//DSP_add16_66_BE_COFF/Release/DSP_add16_66_BE_COFF.out

.projects: src/DSP_add16//c66//DSP_add16_66_BE_COFF

src/DSP_add16//c66//DSP_add16_66_BE_COFF: src/DSP_add16//c66//DSP_add16_66_BE_COFF/.project

src/DSP_add16//c66//DSP_add16_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_add16_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_add16_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_ADD16_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_ADD16_66_BE_COFF_SRCDSP_ADD16C66/DSP_add16_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_add16//c66//DSP_add16_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_ADD16_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_ADD16_66_BE_COFF_SRCDSP_ADD16 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_add16" \
 -ccs.definePathVariable EXT_ROOT__DSP_ADD16_66_BE_COFF_SRCDSP_ADD16C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_add16/c66" \

	echo EXT_ROOT__DSP_ADD16_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_add16//c66//DSP_add16_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_ADD16_66_BE_COFF_SRCDSP_ADD16=../../ >> src/DSP_add16//c66//DSP_add16_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_ADD16_66_BE_COFF_SRCDSP_ADD16C66=.././ >> src/DSP_add16//c66//DSP_add16_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_add16_66_BE_COFF"
src/DSP_add16//c66//DSP_add16_66_BE_COFF/Release/DSP_add16_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_add16//c66//DSP_add16_66_BE_COFF/Release/DSP_add16_66_BE_COFF.out: src/DSP_add16/DSP_add16.h
src/DSP_add16//c66//DSP_add16_66_BE_COFF/Release/DSP_add16_66_BE_COFF.out: src/DSP_add16//c66/DSP_add16.h
src/DSP_add16//c66//DSP_add16_66_BE_COFF/Release/DSP_add16_66_BE_COFF.out: src/DSP_add16//c66/DSP_add16_cn.h
src/DSP_add16//c66//DSP_add16_66_BE_COFF/Release/DSP_add16_66_BE_COFF.out: src/DSP_add16//c66/DSP_add16_d.c
src/DSP_add16//c66//DSP_add16_66_BE_COFF/Release/DSP_add16_66_BE_COFF.out: src/DSP_add16//c66//DSP_add16_66_BE_COFF/.project
	-@ echo Importing Project DSP_add16_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_add16_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_add16_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_add16/c66/DSP_add16_66_BE_COFF"
	-@ echo Building Project DSP_add16_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_add16_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_add16_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_add16_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_add16_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_add16//c66//DSP_add16_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_add16_66_LE_ELF

#############################################################

.executables: src/DSP_add16//c66//DSP_add16_66_LE_ELF/Release/DSP_add16_66_LE_ELF.out

.projects: src/DSP_add16//c66//DSP_add16_66_LE_ELF

src/DSP_add16//c66//DSP_add16_66_LE_ELF: src/DSP_add16//c66//DSP_add16_66_LE_ELF/.project

src/DSP_add16//c66//DSP_add16_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_add16_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_add16_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_ADD16_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_ADD16_66_LE_ELF_SRCDSP_ADD16C66/DSP_add16_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_add16//c66//DSP_add16_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_ADD16_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_ADD16_66_LE_ELF_SRCDSP_ADD16 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_add16" \
 -ccs.definePathVariable EXT_ROOT__DSP_ADD16_66_LE_ELF_SRCDSP_ADD16C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_add16/c66" \

	echo EXT_ROOT__DSP_ADD16_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_add16//c66//DSP_add16_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_ADD16_66_LE_ELF_SRCDSP_ADD16=../../ >> src/DSP_add16//c66//DSP_add16_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_ADD16_66_LE_ELF_SRCDSP_ADD16C66=.././ >> src/DSP_add16//c66//DSP_add16_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_add16_66_LE_ELF"
src/DSP_add16//c66//DSP_add16_66_LE_ELF/Release/DSP_add16_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_add16//c66//DSP_add16_66_LE_ELF/Release/DSP_add16_66_LE_ELF.out: src/DSP_add16/DSP_add16.h
src/DSP_add16//c66//DSP_add16_66_LE_ELF/Release/DSP_add16_66_LE_ELF.out: src/DSP_add16//c66/DSP_add16.h
src/DSP_add16//c66//DSP_add16_66_LE_ELF/Release/DSP_add16_66_LE_ELF.out: src/DSP_add16//c66/DSP_add16_cn.h
src/DSP_add16//c66//DSP_add16_66_LE_ELF/Release/DSP_add16_66_LE_ELF.out: src/DSP_add16//c66/DSP_add16_d.c
src/DSP_add16//c66//DSP_add16_66_LE_ELF/Release/DSP_add16_66_LE_ELF.out: src/DSP_add16//c66//DSP_add16_66_LE_ELF/.project
	-@ echo Importing Project DSP_add16_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_add16_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_add16_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_add16/c66/DSP_add16_66_LE_ELF"
	-@ echo Building Project DSP_add16_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_add16_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_add16_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_add16_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_add16_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_add16//c66//DSP_add16_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_add16_66_BE_ELF

#############################################################

.executables: src/DSP_add16//c66//DSP_add16_66_BE_ELF/Release/DSP_add16_66_BE_ELF.out

.projects: src/DSP_add16//c66//DSP_add16_66_BE_ELF

src/DSP_add16//c66//DSP_add16_66_BE_ELF: src/DSP_add16//c66//DSP_add16_66_BE_ELF/.project

src/DSP_add16//c66//DSP_add16_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_add16_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_add16_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_ADD16_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_ADD16_66_BE_ELF_SRCDSP_ADD16C66/DSP_add16_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_add16//c66//DSP_add16_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_ADD16_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_ADD16_66_BE_ELF_SRCDSP_ADD16 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_add16" \
 -ccs.definePathVariable EXT_ROOT__DSP_ADD16_66_BE_ELF_SRCDSP_ADD16C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_add16/c66" \

	echo EXT_ROOT__DSP_ADD16_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_add16//c66//DSP_add16_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_ADD16_66_BE_ELF_SRCDSP_ADD16=../../ >> src/DSP_add16//c66//DSP_add16_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_ADD16_66_BE_ELF_SRCDSP_ADD16C66=.././ >> src/DSP_add16//c66//DSP_add16_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_add16_66_BE_ELF"
src/DSP_add16//c66//DSP_add16_66_BE_ELF/Release/DSP_add16_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_add16//c66//DSP_add16_66_BE_ELF/Release/DSP_add16_66_BE_ELF.out: src/DSP_add16/DSP_add16.h
src/DSP_add16//c66//DSP_add16_66_BE_ELF/Release/DSP_add16_66_BE_ELF.out: src/DSP_add16//c66/DSP_add16.h
src/DSP_add16//c66//DSP_add16_66_BE_ELF/Release/DSP_add16_66_BE_ELF.out: src/DSP_add16//c66/DSP_add16_cn.h
src/DSP_add16//c66//DSP_add16_66_BE_ELF/Release/DSP_add16_66_BE_ELF.out: src/DSP_add16//c66/DSP_add16_d.c
src/DSP_add16//c66//DSP_add16_66_BE_ELF/Release/DSP_add16_66_BE_ELF.out: src/DSP_add16//c66//DSP_add16_66_BE_ELF/.project
	-@ echo Importing Project DSP_add16_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_add16_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_add16_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_add16/c66/DSP_add16_66_BE_ELF"
	-@ echo Building Project DSP_add16_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_add16_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_add16_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_add16_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_add16_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_add16//c66//DSP_add16_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_add32_66_LE_COFF

#############################################################

.executables: src/DSP_add32//c66//DSP_add32_66_LE_COFF/Release/DSP_add32_66_LE_COFF.out

.projects: src/DSP_add32//c66//DSP_add32_66_LE_COFF

src/DSP_add32//c66//DSP_add32_66_LE_COFF: src/DSP_add32//c66//DSP_add32_66_LE_COFF/.project

src/DSP_add32//c66//DSP_add32_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_add32_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_add32_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_ADD32_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_ADD32_66_LE_COFF_SRCDSP_ADD32C66/DSP_add32_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_add32//c66//DSP_add32_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_ADD32_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_ADD32_66_LE_COFF_SRCDSP_ADD32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_add32" \
 -ccs.definePathVariable EXT_ROOT__DSP_ADD32_66_LE_COFF_SRCDSP_ADD32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_add32/c66" \

	echo EXT_ROOT__DSP_ADD32_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_add32//c66//DSP_add32_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_ADD32_66_LE_COFF_SRCDSP_ADD32=../../ >> src/DSP_add32//c66//DSP_add32_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_ADD32_66_LE_COFF_SRCDSP_ADD32C66=.././ >> src/DSP_add32//c66//DSP_add32_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_add32_66_LE_COFF"
src/DSP_add32//c66//DSP_add32_66_LE_COFF/Release/DSP_add32_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_add32//c66//DSP_add32_66_LE_COFF/Release/DSP_add32_66_LE_COFF.out: src/DSP_add32/DSP_add32.h
src/DSP_add32//c66//DSP_add32_66_LE_COFF/Release/DSP_add32_66_LE_COFF.out: src/DSP_add32//c66/DSP_add32.h
src/DSP_add32//c66//DSP_add32_66_LE_COFF/Release/DSP_add32_66_LE_COFF.out: src/DSP_add32//c66/DSP_add32_cn.h
src/DSP_add32//c66//DSP_add32_66_LE_COFF/Release/DSP_add32_66_LE_COFF.out: src/DSP_add32//c66/DSP_add32_d.c
src/DSP_add32//c66//DSP_add32_66_LE_COFF/Release/DSP_add32_66_LE_COFF.out: src/DSP_add32//c66//DSP_add32_66_LE_COFF/.project
	-@ echo Importing Project DSP_add32_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_add32_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_add32_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_add32/c66/DSP_add32_66_LE_COFF"
	-@ echo Building Project DSP_add32_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_add32_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_add32_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_add32_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_add32_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_add32//c66//DSP_add32_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_add32_66_BE_COFF

#############################################################

.executables: src/DSP_add32//c66//DSP_add32_66_BE_COFF/Release/DSP_add32_66_BE_COFF.out

.projects: src/DSP_add32//c66//DSP_add32_66_BE_COFF

src/DSP_add32//c66//DSP_add32_66_BE_COFF: src/DSP_add32//c66//DSP_add32_66_BE_COFF/.project

src/DSP_add32//c66//DSP_add32_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_add32_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_add32_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_ADD32_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_ADD32_66_BE_COFF_SRCDSP_ADD32C66/DSP_add32_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_add32//c66//DSP_add32_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_ADD32_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_ADD32_66_BE_COFF_SRCDSP_ADD32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_add32" \
 -ccs.definePathVariable EXT_ROOT__DSP_ADD32_66_BE_COFF_SRCDSP_ADD32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_add32/c66" \

	echo EXT_ROOT__DSP_ADD32_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_add32//c66//DSP_add32_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_ADD32_66_BE_COFF_SRCDSP_ADD32=../../ >> src/DSP_add32//c66//DSP_add32_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_ADD32_66_BE_COFF_SRCDSP_ADD32C66=.././ >> src/DSP_add32//c66//DSP_add32_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_add32_66_BE_COFF"
src/DSP_add32//c66//DSP_add32_66_BE_COFF/Release/DSP_add32_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_add32//c66//DSP_add32_66_BE_COFF/Release/DSP_add32_66_BE_COFF.out: src/DSP_add32/DSP_add32.h
src/DSP_add32//c66//DSP_add32_66_BE_COFF/Release/DSP_add32_66_BE_COFF.out: src/DSP_add32//c66/DSP_add32.h
src/DSP_add32//c66//DSP_add32_66_BE_COFF/Release/DSP_add32_66_BE_COFF.out: src/DSP_add32//c66/DSP_add32_cn.h
src/DSP_add32//c66//DSP_add32_66_BE_COFF/Release/DSP_add32_66_BE_COFF.out: src/DSP_add32//c66/DSP_add32_d.c
src/DSP_add32//c66//DSP_add32_66_BE_COFF/Release/DSP_add32_66_BE_COFF.out: src/DSP_add32//c66//DSP_add32_66_BE_COFF/.project
	-@ echo Importing Project DSP_add32_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_add32_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_add32_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_add32/c66/DSP_add32_66_BE_COFF"
	-@ echo Building Project DSP_add32_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_add32_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_add32_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_add32_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_add32_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_add32//c66//DSP_add32_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_add32_66_LE_ELF

#############################################################

.executables: src/DSP_add32//c66//DSP_add32_66_LE_ELF/Release/DSP_add32_66_LE_ELF.out

.projects: src/DSP_add32//c66//DSP_add32_66_LE_ELF

src/DSP_add32//c66//DSP_add32_66_LE_ELF: src/DSP_add32//c66//DSP_add32_66_LE_ELF/.project

src/DSP_add32//c66//DSP_add32_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_add32_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_add32_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_ADD32_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_ADD32_66_LE_ELF_SRCDSP_ADD32C66/DSP_add32_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_add32//c66//DSP_add32_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_ADD32_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_ADD32_66_LE_ELF_SRCDSP_ADD32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_add32" \
 -ccs.definePathVariable EXT_ROOT__DSP_ADD32_66_LE_ELF_SRCDSP_ADD32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_add32/c66" \

	echo EXT_ROOT__DSP_ADD32_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_add32//c66//DSP_add32_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_ADD32_66_LE_ELF_SRCDSP_ADD32=../../ >> src/DSP_add32//c66//DSP_add32_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_ADD32_66_LE_ELF_SRCDSP_ADD32C66=.././ >> src/DSP_add32//c66//DSP_add32_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_add32_66_LE_ELF"
src/DSP_add32//c66//DSP_add32_66_LE_ELF/Release/DSP_add32_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_add32//c66//DSP_add32_66_LE_ELF/Release/DSP_add32_66_LE_ELF.out: src/DSP_add32/DSP_add32.h
src/DSP_add32//c66//DSP_add32_66_LE_ELF/Release/DSP_add32_66_LE_ELF.out: src/DSP_add32//c66/DSP_add32.h
src/DSP_add32//c66//DSP_add32_66_LE_ELF/Release/DSP_add32_66_LE_ELF.out: src/DSP_add32//c66/DSP_add32_cn.h
src/DSP_add32//c66//DSP_add32_66_LE_ELF/Release/DSP_add32_66_LE_ELF.out: src/DSP_add32//c66/DSP_add32_d.c
src/DSP_add32//c66//DSP_add32_66_LE_ELF/Release/DSP_add32_66_LE_ELF.out: src/DSP_add32//c66//DSP_add32_66_LE_ELF/.project
	-@ echo Importing Project DSP_add32_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_add32_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_add32_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_add32/c66/DSP_add32_66_LE_ELF"
	-@ echo Building Project DSP_add32_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_add32_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_add32_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_add32_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_add32_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_add32//c66//DSP_add32_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_add32_66_BE_ELF

#############################################################

.executables: src/DSP_add32//c66//DSP_add32_66_BE_ELF/Release/DSP_add32_66_BE_ELF.out

.projects: src/DSP_add32//c66//DSP_add32_66_BE_ELF

src/DSP_add32//c66//DSP_add32_66_BE_ELF: src/DSP_add32//c66//DSP_add32_66_BE_ELF/.project

src/DSP_add32//c66//DSP_add32_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_add32_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_add32_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_ADD32_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_ADD32_66_BE_ELF_SRCDSP_ADD32C66/DSP_add32_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_add32//c66//DSP_add32_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_ADD32_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_ADD32_66_BE_ELF_SRCDSP_ADD32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_add32" \
 -ccs.definePathVariable EXT_ROOT__DSP_ADD32_66_BE_ELF_SRCDSP_ADD32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_add32/c66" \

	echo EXT_ROOT__DSP_ADD32_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_add32//c66//DSP_add32_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_ADD32_66_BE_ELF_SRCDSP_ADD32=../../ >> src/DSP_add32//c66//DSP_add32_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_ADD32_66_BE_ELF_SRCDSP_ADD32C66=.././ >> src/DSP_add32//c66//DSP_add32_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_add32_66_BE_ELF"
src/DSP_add32//c66//DSP_add32_66_BE_ELF/Release/DSP_add32_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_add32//c66//DSP_add32_66_BE_ELF/Release/DSP_add32_66_BE_ELF.out: src/DSP_add32/DSP_add32.h
src/DSP_add32//c66//DSP_add32_66_BE_ELF/Release/DSP_add32_66_BE_ELF.out: src/DSP_add32//c66/DSP_add32.h
src/DSP_add32//c66//DSP_add32_66_BE_ELF/Release/DSP_add32_66_BE_ELF.out: src/DSP_add32//c66/DSP_add32_cn.h
src/DSP_add32//c66//DSP_add32_66_BE_ELF/Release/DSP_add32_66_BE_ELF.out: src/DSP_add32//c66/DSP_add32_d.c
src/DSP_add32//c66//DSP_add32_66_BE_ELF/Release/DSP_add32_66_BE_ELF.out: src/DSP_add32//c66//DSP_add32_66_BE_ELF/.project
	-@ echo Importing Project DSP_add32_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_add32_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_add32_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_add32/c66/DSP_add32_66_BE_ELF"
	-@ echo Building Project DSP_add32_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_add32_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_add32_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_add32_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_add32_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_add32//c66//DSP_add32_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_autocor_66_LE_COFF

#############################################################

.executables: src/DSP_autocor//c66//DSP_autocor_66_LE_COFF/Release/DSP_autocor_66_LE_COFF.out

.projects: src/DSP_autocor//c66//DSP_autocor_66_LE_COFF

src/DSP_autocor//c66//DSP_autocor_66_LE_COFF: src/DSP_autocor//c66//DSP_autocor_66_LE_COFF/.project

src/DSP_autocor//c66//DSP_autocor_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_autocor_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_autocor_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_AUTOCOR_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_AUTOCOR_66_LE_COFF_SRCDSP_AUTOCORC66/DSP_autocor_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_autocor//c66//DSP_autocor_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_AUTOCOR_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_AUTOCOR_66_LE_COFF_SRCDSP_AUTOCOR "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_autocor" \
 -ccs.definePathVariable EXT_ROOT__DSP_AUTOCOR_66_LE_COFF_SRCDSP_AUTOCORC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_autocor/c66" \

	echo EXT_ROOT__DSP_AUTOCOR_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_autocor//c66//DSP_autocor_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_AUTOCOR_66_LE_COFF_SRCDSP_AUTOCOR=../../ >> src/DSP_autocor//c66//DSP_autocor_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_AUTOCOR_66_LE_COFF_SRCDSP_AUTOCORC66=.././ >> src/DSP_autocor//c66//DSP_autocor_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_autocor_66_LE_COFF"
src/DSP_autocor//c66//DSP_autocor_66_LE_COFF/Release/DSP_autocor_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_autocor//c66//DSP_autocor_66_LE_COFF/Release/DSP_autocor_66_LE_COFF.out: src/DSP_autocor/DSP_autocor.h
src/DSP_autocor//c66//DSP_autocor_66_LE_COFF/Release/DSP_autocor_66_LE_COFF.out: src/DSP_autocor//c66/DSP_autocor.h
src/DSP_autocor//c66//DSP_autocor_66_LE_COFF/Release/DSP_autocor_66_LE_COFF.out: src/DSP_autocor//c66/DSP_autocor_cn.h
src/DSP_autocor//c66//DSP_autocor_66_LE_COFF/Release/DSP_autocor_66_LE_COFF.out: src/DSP_autocor//c66/DSP_autocor_d.c
src/DSP_autocor//c66//DSP_autocor_66_LE_COFF/Release/DSP_autocor_66_LE_COFF.out: src/DSP_autocor//c66//DSP_autocor_66_LE_COFF/.project
	-@ echo Importing Project DSP_autocor_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_autocor_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_autocor_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_autocor/c66/DSP_autocor_66_LE_COFF"
	-@ echo Building Project DSP_autocor_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_autocor_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_autocor_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_autocor_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_autocor_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_autocor//c66//DSP_autocor_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_autocor_66_BE_COFF

#############################################################

.executables: src/DSP_autocor//c66//DSP_autocor_66_BE_COFF/Release/DSP_autocor_66_BE_COFF.out

.projects: src/DSP_autocor//c66//DSP_autocor_66_BE_COFF

src/DSP_autocor//c66//DSP_autocor_66_BE_COFF: src/DSP_autocor//c66//DSP_autocor_66_BE_COFF/.project

src/DSP_autocor//c66//DSP_autocor_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_autocor_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_autocor_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_AUTOCOR_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_AUTOCOR_66_BE_COFF_SRCDSP_AUTOCORC66/DSP_autocor_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_autocor//c66//DSP_autocor_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_AUTOCOR_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_AUTOCOR_66_BE_COFF_SRCDSP_AUTOCOR "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_autocor" \
 -ccs.definePathVariable EXT_ROOT__DSP_AUTOCOR_66_BE_COFF_SRCDSP_AUTOCORC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_autocor/c66" \

	echo EXT_ROOT__DSP_AUTOCOR_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_autocor//c66//DSP_autocor_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_AUTOCOR_66_BE_COFF_SRCDSP_AUTOCOR=../../ >> src/DSP_autocor//c66//DSP_autocor_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_AUTOCOR_66_BE_COFF_SRCDSP_AUTOCORC66=.././ >> src/DSP_autocor//c66//DSP_autocor_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_autocor_66_BE_COFF"
src/DSP_autocor//c66//DSP_autocor_66_BE_COFF/Release/DSP_autocor_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_autocor//c66//DSP_autocor_66_BE_COFF/Release/DSP_autocor_66_BE_COFF.out: src/DSP_autocor/DSP_autocor.h
src/DSP_autocor//c66//DSP_autocor_66_BE_COFF/Release/DSP_autocor_66_BE_COFF.out: src/DSP_autocor//c66/DSP_autocor.h
src/DSP_autocor//c66//DSP_autocor_66_BE_COFF/Release/DSP_autocor_66_BE_COFF.out: src/DSP_autocor//c66/DSP_autocor_cn.h
src/DSP_autocor//c66//DSP_autocor_66_BE_COFF/Release/DSP_autocor_66_BE_COFF.out: src/DSP_autocor//c66/DSP_autocor_d.c
src/DSP_autocor//c66//DSP_autocor_66_BE_COFF/Release/DSP_autocor_66_BE_COFF.out: src/DSP_autocor//c66//DSP_autocor_66_BE_COFF/.project
	-@ echo Importing Project DSP_autocor_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_autocor_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_autocor_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_autocor/c66/DSP_autocor_66_BE_COFF"
	-@ echo Building Project DSP_autocor_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_autocor_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_autocor_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_autocor_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_autocor_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_autocor//c66//DSP_autocor_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_autocor_66_LE_ELF

#############################################################

.executables: src/DSP_autocor//c66//DSP_autocor_66_LE_ELF/Release/DSP_autocor_66_LE_ELF.out

.projects: src/DSP_autocor//c66//DSP_autocor_66_LE_ELF

src/DSP_autocor//c66//DSP_autocor_66_LE_ELF: src/DSP_autocor//c66//DSP_autocor_66_LE_ELF/.project

src/DSP_autocor//c66//DSP_autocor_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_autocor_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_autocor_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_AUTOCOR_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_AUTOCOR_66_LE_ELF_SRCDSP_AUTOCORC66/DSP_autocor_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_autocor//c66//DSP_autocor_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_AUTOCOR_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_AUTOCOR_66_LE_ELF_SRCDSP_AUTOCOR "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_autocor" \
 -ccs.definePathVariable EXT_ROOT__DSP_AUTOCOR_66_LE_ELF_SRCDSP_AUTOCORC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_autocor/c66" \

	echo EXT_ROOT__DSP_AUTOCOR_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_autocor//c66//DSP_autocor_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_AUTOCOR_66_LE_ELF_SRCDSP_AUTOCOR=../../ >> src/DSP_autocor//c66//DSP_autocor_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_AUTOCOR_66_LE_ELF_SRCDSP_AUTOCORC66=.././ >> src/DSP_autocor//c66//DSP_autocor_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_autocor_66_LE_ELF"
src/DSP_autocor//c66//DSP_autocor_66_LE_ELF/Release/DSP_autocor_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_autocor//c66//DSP_autocor_66_LE_ELF/Release/DSP_autocor_66_LE_ELF.out: src/DSP_autocor/DSP_autocor.h
src/DSP_autocor//c66//DSP_autocor_66_LE_ELF/Release/DSP_autocor_66_LE_ELF.out: src/DSP_autocor//c66/DSP_autocor.h
src/DSP_autocor//c66//DSP_autocor_66_LE_ELF/Release/DSP_autocor_66_LE_ELF.out: src/DSP_autocor//c66/DSP_autocor_cn.h
src/DSP_autocor//c66//DSP_autocor_66_LE_ELF/Release/DSP_autocor_66_LE_ELF.out: src/DSP_autocor//c66/DSP_autocor_d.c
src/DSP_autocor//c66//DSP_autocor_66_LE_ELF/Release/DSP_autocor_66_LE_ELF.out: src/DSP_autocor//c66//DSP_autocor_66_LE_ELF/.project
	-@ echo Importing Project DSP_autocor_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_autocor_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_autocor_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_autocor/c66/DSP_autocor_66_LE_ELF"
	-@ echo Building Project DSP_autocor_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_autocor_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_autocor_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_autocor_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_autocor_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_autocor//c66//DSP_autocor_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_autocor_66_BE_ELF

#############################################################

.executables: src/DSP_autocor//c66//DSP_autocor_66_BE_ELF/Release/DSP_autocor_66_BE_ELF.out

.projects: src/DSP_autocor//c66//DSP_autocor_66_BE_ELF

src/DSP_autocor//c66//DSP_autocor_66_BE_ELF: src/DSP_autocor//c66//DSP_autocor_66_BE_ELF/.project

src/DSP_autocor//c66//DSP_autocor_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_autocor_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_autocor_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_AUTOCOR_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_AUTOCOR_66_BE_ELF_SRCDSP_AUTOCORC66/DSP_autocor_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_autocor//c66//DSP_autocor_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_AUTOCOR_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_AUTOCOR_66_BE_ELF_SRCDSP_AUTOCOR "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_autocor" \
 -ccs.definePathVariable EXT_ROOT__DSP_AUTOCOR_66_BE_ELF_SRCDSP_AUTOCORC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_autocor/c66" \

	echo EXT_ROOT__DSP_AUTOCOR_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_autocor//c66//DSP_autocor_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_AUTOCOR_66_BE_ELF_SRCDSP_AUTOCOR=../../ >> src/DSP_autocor//c66//DSP_autocor_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_AUTOCOR_66_BE_ELF_SRCDSP_AUTOCORC66=.././ >> src/DSP_autocor//c66//DSP_autocor_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_autocor_66_BE_ELF"
src/DSP_autocor//c66//DSP_autocor_66_BE_ELF/Release/DSP_autocor_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_autocor//c66//DSP_autocor_66_BE_ELF/Release/DSP_autocor_66_BE_ELF.out: src/DSP_autocor/DSP_autocor.h
src/DSP_autocor//c66//DSP_autocor_66_BE_ELF/Release/DSP_autocor_66_BE_ELF.out: src/DSP_autocor//c66/DSP_autocor.h
src/DSP_autocor//c66//DSP_autocor_66_BE_ELF/Release/DSP_autocor_66_BE_ELF.out: src/DSP_autocor//c66/DSP_autocor_cn.h
src/DSP_autocor//c66//DSP_autocor_66_BE_ELF/Release/DSP_autocor_66_BE_ELF.out: src/DSP_autocor//c66/DSP_autocor_d.c
src/DSP_autocor//c66//DSP_autocor_66_BE_ELF/Release/DSP_autocor_66_BE_ELF.out: src/DSP_autocor//c66//DSP_autocor_66_BE_ELF/.project
	-@ echo Importing Project DSP_autocor_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_autocor_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_autocor_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_autocor/c66/DSP_autocor_66_BE_ELF"
	-@ echo Building Project DSP_autocor_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_autocor_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_autocor_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_autocor_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_autocor_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_autocor//c66//DSP_autocor_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_bexp_66_LE_COFF

#############################################################

.executables: src/DSP_bexp//c66//DSP_bexp_66_LE_COFF/Release/DSP_bexp_66_LE_COFF.out

.projects: src/DSP_bexp//c66//DSP_bexp_66_LE_COFF

src/DSP_bexp//c66//DSP_bexp_66_LE_COFF: src/DSP_bexp//c66//DSP_bexp_66_LE_COFF/.project

src/DSP_bexp//c66//DSP_bexp_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_bexp_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_bexp_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_BEXP_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_BEXP_66_LE_COFF_SRCDSP_BEXPC66/DSP_bexp_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_bexp//c66//DSP_bexp_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_BEXP_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_BEXP_66_LE_COFF_SRCDSP_BEXP "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_bexp" \
 -ccs.definePathVariable EXT_ROOT__DSP_BEXP_66_LE_COFF_SRCDSP_BEXPC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_bexp/c66" \

	echo EXT_ROOT__DSP_BEXP_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_bexp//c66//DSP_bexp_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_BEXP_66_LE_COFF_SRCDSP_BEXP=../../ >> src/DSP_bexp//c66//DSP_bexp_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_BEXP_66_LE_COFF_SRCDSP_BEXPC66=.././ >> src/DSP_bexp//c66//DSP_bexp_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_bexp_66_LE_COFF"
src/DSP_bexp//c66//DSP_bexp_66_LE_COFF/Release/DSP_bexp_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_bexp//c66//DSP_bexp_66_LE_COFF/Release/DSP_bexp_66_LE_COFF.out: src/DSP_bexp/DSP_bexp.h
src/DSP_bexp//c66//DSP_bexp_66_LE_COFF/Release/DSP_bexp_66_LE_COFF.out: src/DSP_bexp//c66/DSP_bexp.h
src/DSP_bexp//c66//DSP_bexp_66_LE_COFF/Release/DSP_bexp_66_LE_COFF.out: src/DSP_bexp//c66/DSP_bexp_cn.h
src/DSP_bexp//c66//DSP_bexp_66_LE_COFF/Release/DSP_bexp_66_LE_COFF.out: src/DSP_bexp//c66/DSP_bexp_d.c
src/DSP_bexp//c66//DSP_bexp_66_LE_COFF/Release/DSP_bexp_66_LE_COFF.out: src/DSP_bexp//c66//DSP_bexp_66_LE_COFF/.project
	-@ echo Importing Project DSP_bexp_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_bexp_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_bexp_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_bexp/c66/DSP_bexp_66_LE_COFF"
	-@ echo Building Project DSP_bexp_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_bexp_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_bexp_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_bexp_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_bexp_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_bexp//c66//DSP_bexp_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_bexp_66_BE_COFF

#############################################################

.executables: src/DSP_bexp//c66//DSP_bexp_66_BE_COFF/Release/DSP_bexp_66_BE_COFF.out

.projects: src/DSP_bexp//c66//DSP_bexp_66_BE_COFF

src/DSP_bexp//c66//DSP_bexp_66_BE_COFF: src/DSP_bexp//c66//DSP_bexp_66_BE_COFF/.project

src/DSP_bexp//c66//DSP_bexp_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_bexp_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_bexp_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_BEXP_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_BEXP_66_BE_COFF_SRCDSP_BEXPC66/DSP_bexp_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_bexp//c66//DSP_bexp_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_BEXP_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_BEXP_66_BE_COFF_SRCDSP_BEXP "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_bexp" \
 -ccs.definePathVariable EXT_ROOT__DSP_BEXP_66_BE_COFF_SRCDSP_BEXPC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_bexp/c66" \

	echo EXT_ROOT__DSP_BEXP_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_bexp//c66//DSP_bexp_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_BEXP_66_BE_COFF_SRCDSP_BEXP=../../ >> src/DSP_bexp//c66//DSP_bexp_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_BEXP_66_BE_COFF_SRCDSP_BEXPC66=.././ >> src/DSP_bexp//c66//DSP_bexp_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_bexp_66_BE_COFF"
src/DSP_bexp//c66//DSP_bexp_66_BE_COFF/Release/DSP_bexp_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_bexp//c66//DSP_bexp_66_BE_COFF/Release/DSP_bexp_66_BE_COFF.out: src/DSP_bexp/DSP_bexp.h
src/DSP_bexp//c66//DSP_bexp_66_BE_COFF/Release/DSP_bexp_66_BE_COFF.out: src/DSP_bexp//c66/DSP_bexp.h
src/DSP_bexp//c66//DSP_bexp_66_BE_COFF/Release/DSP_bexp_66_BE_COFF.out: src/DSP_bexp//c66/DSP_bexp_cn.h
src/DSP_bexp//c66//DSP_bexp_66_BE_COFF/Release/DSP_bexp_66_BE_COFF.out: src/DSP_bexp//c66/DSP_bexp_d.c
src/DSP_bexp//c66//DSP_bexp_66_BE_COFF/Release/DSP_bexp_66_BE_COFF.out: src/DSP_bexp//c66//DSP_bexp_66_BE_COFF/.project
	-@ echo Importing Project DSP_bexp_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_bexp_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_bexp_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_bexp/c66/DSP_bexp_66_BE_COFF"
	-@ echo Building Project DSP_bexp_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_bexp_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_bexp_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_bexp_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_bexp_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_bexp//c66//DSP_bexp_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_bexp_66_LE_ELF

#############################################################

.executables: src/DSP_bexp//c66//DSP_bexp_66_LE_ELF/Release/DSP_bexp_66_LE_ELF.out

.projects: src/DSP_bexp//c66//DSP_bexp_66_LE_ELF

src/DSP_bexp//c66//DSP_bexp_66_LE_ELF: src/DSP_bexp//c66//DSP_bexp_66_LE_ELF/.project

src/DSP_bexp//c66//DSP_bexp_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_bexp_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_bexp_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_BEXP_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_BEXP_66_LE_ELF_SRCDSP_BEXPC66/DSP_bexp_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_bexp//c66//DSP_bexp_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_BEXP_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_BEXP_66_LE_ELF_SRCDSP_BEXP "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_bexp" \
 -ccs.definePathVariable EXT_ROOT__DSP_BEXP_66_LE_ELF_SRCDSP_BEXPC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_bexp/c66" \

	echo EXT_ROOT__DSP_BEXP_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_bexp//c66//DSP_bexp_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_BEXP_66_LE_ELF_SRCDSP_BEXP=../../ >> src/DSP_bexp//c66//DSP_bexp_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_BEXP_66_LE_ELF_SRCDSP_BEXPC66=.././ >> src/DSP_bexp//c66//DSP_bexp_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_bexp_66_LE_ELF"
src/DSP_bexp//c66//DSP_bexp_66_LE_ELF/Release/DSP_bexp_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_bexp//c66//DSP_bexp_66_LE_ELF/Release/DSP_bexp_66_LE_ELF.out: src/DSP_bexp/DSP_bexp.h
src/DSP_bexp//c66//DSP_bexp_66_LE_ELF/Release/DSP_bexp_66_LE_ELF.out: src/DSP_bexp//c66/DSP_bexp.h
src/DSP_bexp//c66//DSP_bexp_66_LE_ELF/Release/DSP_bexp_66_LE_ELF.out: src/DSP_bexp//c66/DSP_bexp_cn.h
src/DSP_bexp//c66//DSP_bexp_66_LE_ELF/Release/DSP_bexp_66_LE_ELF.out: src/DSP_bexp//c66/DSP_bexp_d.c
src/DSP_bexp//c66//DSP_bexp_66_LE_ELF/Release/DSP_bexp_66_LE_ELF.out: src/DSP_bexp//c66//DSP_bexp_66_LE_ELF/.project
	-@ echo Importing Project DSP_bexp_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_bexp_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_bexp_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_bexp/c66/DSP_bexp_66_LE_ELF"
	-@ echo Building Project DSP_bexp_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_bexp_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_bexp_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_bexp_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_bexp_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_bexp//c66//DSP_bexp_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_bexp_66_BE_ELF

#############################################################

.executables: src/DSP_bexp//c66//DSP_bexp_66_BE_ELF/Release/DSP_bexp_66_BE_ELF.out

.projects: src/DSP_bexp//c66//DSP_bexp_66_BE_ELF

src/DSP_bexp//c66//DSP_bexp_66_BE_ELF: src/DSP_bexp//c66//DSP_bexp_66_BE_ELF/.project

src/DSP_bexp//c66//DSP_bexp_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_bexp_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_bexp_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_BEXP_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_BEXP_66_BE_ELF_SRCDSP_BEXPC66/DSP_bexp_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_bexp//c66//DSP_bexp_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_BEXP_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_BEXP_66_BE_ELF_SRCDSP_BEXP "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_bexp" \
 -ccs.definePathVariable EXT_ROOT__DSP_BEXP_66_BE_ELF_SRCDSP_BEXPC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_bexp/c66" \

	echo EXT_ROOT__DSP_BEXP_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_bexp//c66//DSP_bexp_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_BEXP_66_BE_ELF_SRCDSP_BEXP=../../ >> src/DSP_bexp//c66//DSP_bexp_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_BEXP_66_BE_ELF_SRCDSP_BEXPC66=.././ >> src/DSP_bexp//c66//DSP_bexp_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_bexp_66_BE_ELF"
src/DSP_bexp//c66//DSP_bexp_66_BE_ELF/Release/DSP_bexp_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_bexp//c66//DSP_bexp_66_BE_ELF/Release/DSP_bexp_66_BE_ELF.out: src/DSP_bexp/DSP_bexp.h
src/DSP_bexp//c66//DSP_bexp_66_BE_ELF/Release/DSP_bexp_66_BE_ELF.out: src/DSP_bexp//c66/DSP_bexp.h
src/DSP_bexp//c66//DSP_bexp_66_BE_ELF/Release/DSP_bexp_66_BE_ELF.out: src/DSP_bexp//c66/DSP_bexp_cn.h
src/DSP_bexp//c66//DSP_bexp_66_BE_ELF/Release/DSP_bexp_66_BE_ELF.out: src/DSP_bexp//c66/DSP_bexp_d.c
src/DSP_bexp//c66//DSP_bexp_66_BE_ELF/Release/DSP_bexp_66_BE_ELF.out: src/DSP_bexp//c66//DSP_bexp_66_BE_ELF/.project
	-@ echo Importing Project DSP_bexp_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_bexp_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_bexp_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_bexp/c66/DSP_bexp_66_BE_ELF"
	-@ echo Building Project DSP_bexp_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_bexp_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_bexp_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_bexp_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_bexp_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_bexp//c66//DSP_bexp_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_blk_eswap16_66_LE_COFF

#############################################################

.executables: src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_COFF/Release/DSP_blk_eswap16_66_LE_COFF.out

.projects: src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_COFF

src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_COFF: src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_COFF/.project

src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap16_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_blk_eswap16_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_BLK_ESWAP16_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_BLK_ESWAP16_66_LE_COFF_SRCDSP_BLK_ESWAP16C66/DSP_blk_eswap16_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP16_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP16_66_LE_COFF_SRCDSP_BLK_ESWAP16 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap16" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP16_66_LE_COFF_SRCDSP_BLK_ESWAP16C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap16/c66" \

	echo EXT_ROOT__DSP_BLK_ESWAP16_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_BLK_ESWAP16_66_LE_COFF_SRCDSP_BLK_ESWAP16=../../ >> src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_BLK_ESWAP16_66_LE_COFF_SRCDSP_BLK_ESWAP16C66=.././ >> src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_eswap16_66_LE_COFF"
src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_COFF/Release/DSP_blk_eswap16_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_COFF/Release/DSP_blk_eswap16_66_LE_COFF.out: src/DSP_blk_eswap16/DSP_blk_eswap16.h
src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_COFF/Release/DSP_blk_eswap16_66_LE_COFF.out: src/DSP_blk_eswap16//c66/DSP_blk_eswap16.h
src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_COFF/Release/DSP_blk_eswap16_66_LE_COFF.out: src/DSP_blk_eswap16//c66/DSP_blk_eswap16_cn.h
src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_COFF/Release/DSP_blk_eswap16_66_LE_COFF.out: src/DSP_blk_eswap16//c66/DSP_blk_eswap16_d.c
src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_COFF/Release/DSP_blk_eswap16_66_LE_COFF.out: src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_COFF/.project
	-@ echo Importing Project DSP_blk_eswap16_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap16_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_blk_eswap16_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap16/c66/DSP_blk_eswap16_66_LE_COFF"
	-@ echo Building Project DSP_blk_eswap16_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap16_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_blk_eswap16_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_blk_eswap16_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_eswap16_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_blk_eswap16_66_BE_COFF

#############################################################

.executables: src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_COFF/Release/DSP_blk_eswap16_66_BE_COFF.out

.projects: src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_COFF

src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_COFF: src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_COFF/.project

src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap16_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_blk_eswap16_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_BLK_ESWAP16_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_BLK_ESWAP16_66_BE_COFF_SRCDSP_BLK_ESWAP16C66/DSP_blk_eswap16_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP16_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP16_66_BE_COFF_SRCDSP_BLK_ESWAP16 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap16" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP16_66_BE_COFF_SRCDSP_BLK_ESWAP16C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap16/c66" \

	echo EXT_ROOT__DSP_BLK_ESWAP16_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_BLK_ESWAP16_66_BE_COFF_SRCDSP_BLK_ESWAP16=../../ >> src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_BLK_ESWAP16_66_BE_COFF_SRCDSP_BLK_ESWAP16C66=.././ >> src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_eswap16_66_BE_COFF"
src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_COFF/Release/DSP_blk_eswap16_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_COFF/Release/DSP_blk_eswap16_66_BE_COFF.out: src/DSP_blk_eswap16/DSP_blk_eswap16.h
src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_COFF/Release/DSP_blk_eswap16_66_BE_COFF.out: src/DSP_blk_eswap16//c66/DSP_blk_eswap16.h
src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_COFF/Release/DSP_blk_eswap16_66_BE_COFF.out: src/DSP_blk_eswap16//c66/DSP_blk_eswap16_cn.h
src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_COFF/Release/DSP_blk_eswap16_66_BE_COFF.out: src/DSP_blk_eswap16//c66/DSP_blk_eswap16_d.c
src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_COFF/Release/DSP_blk_eswap16_66_BE_COFF.out: src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_COFF/.project
	-@ echo Importing Project DSP_blk_eswap16_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap16_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_blk_eswap16_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap16/c66/DSP_blk_eswap16_66_BE_COFF"
	-@ echo Building Project DSP_blk_eswap16_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap16_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_blk_eswap16_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_blk_eswap16_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_eswap16_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_blk_eswap16_66_LE_ELF

#############################################################

.executables: src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_ELF/Release/DSP_blk_eswap16_66_LE_ELF.out

.projects: src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_ELF

src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_ELF: src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_ELF/.project

src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap16_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_blk_eswap16_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_BLK_ESWAP16_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_BLK_ESWAP16_66_LE_ELF_SRCDSP_BLK_ESWAP16C66/DSP_blk_eswap16_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP16_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP16_66_LE_ELF_SRCDSP_BLK_ESWAP16 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap16" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP16_66_LE_ELF_SRCDSP_BLK_ESWAP16C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap16/c66" \

	echo EXT_ROOT__DSP_BLK_ESWAP16_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_BLK_ESWAP16_66_LE_ELF_SRCDSP_BLK_ESWAP16=../../ >> src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_BLK_ESWAP16_66_LE_ELF_SRCDSP_BLK_ESWAP16C66=.././ >> src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_eswap16_66_LE_ELF"
src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_ELF/Release/DSP_blk_eswap16_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_ELF/Release/DSP_blk_eswap16_66_LE_ELF.out: src/DSP_blk_eswap16/DSP_blk_eswap16.h
src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_ELF/Release/DSP_blk_eswap16_66_LE_ELF.out: src/DSP_blk_eswap16//c66/DSP_blk_eswap16.h
src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_ELF/Release/DSP_blk_eswap16_66_LE_ELF.out: src/DSP_blk_eswap16//c66/DSP_blk_eswap16_cn.h
src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_ELF/Release/DSP_blk_eswap16_66_LE_ELF.out: src/DSP_blk_eswap16//c66/DSP_blk_eswap16_d.c
src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_ELF/Release/DSP_blk_eswap16_66_LE_ELF.out: src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_ELF/.project
	-@ echo Importing Project DSP_blk_eswap16_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap16_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_blk_eswap16_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap16/c66/DSP_blk_eswap16_66_LE_ELF"
	-@ echo Building Project DSP_blk_eswap16_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap16_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_blk_eswap16_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_blk_eswap16_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_eswap16_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_blk_eswap16_66_BE_ELF

#############################################################

.executables: src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_ELF/Release/DSP_blk_eswap16_66_BE_ELF.out

.projects: src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_ELF

src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_ELF: src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_ELF/.project

src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap16_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_blk_eswap16_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_BLK_ESWAP16_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_BLK_ESWAP16_66_BE_ELF_SRCDSP_BLK_ESWAP16C66/DSP_blk_eswap16_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP16_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP16_66_BE_ELF_SRCDSP_BLK_ESWAP16 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap16" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP16_66_BE_ELF_SRCDSP_BLK_ESWAP16C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap16/c66" \

	echo EXT_ROOT__DSP_BLK_ESWAP16_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_BLK_ESWAP16_66_BE_ELF_SRCDSP_BLK_ESWAP16=../../ >> src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_BLK_ESWAP16_66_BE_ELF_SRCDSP_BLK_ESWAP16C66=.././ >> src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_eswap16_66_BE_ELF"
src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_ELF/Release/DSP_blk_eswap16_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_ELF/Release/DSP_blk_eswap16_66_BE_ELF.out: src/DSP_blk_eswap16/DSP_blk_eswap16.h
src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_ELF/Release/DSP_blk_eswap16_66_BE_ELF.out: src/DSP_blk_eswap16//c66/DSP_blk_eswap16.h
src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_ELF/Release/DSP_blk_eswap16_66_BE_ELF.out: src/DSP_blk_eswap16//c66/DSP_blk_eswap16_cn.h
src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_ELF/Release/DSP_blk_eswap16_66_BE_ELF.out: src/DSP_blk_eswap16//c66/DSP_blk_eswap16_d.c
src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_ELF/Release/DSP_blk_eswap16_66_BE_ELF.out: src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_ELF/.project
	-@ echo Importing Project DSP_blk_eswap16_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap16_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_blk_eswap16_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap16/c66/DSP_blk_eswap16_66_BE_ELF"
	-@ echo Building Project DSP_blk_eswap16_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap16_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_blk_eswap16_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_blk_eswap16_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_eswap16_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_blk_eswap16//c66//DSP_blk_eswap16_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_blk_eswap32_66_LE_COFF

#############################################################

.executables: src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_COFF/Release/DSP_blk_eswap32_66_LE_COFF.out

.projects: src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_COFF

src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_COFF: src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_COFF/.project

src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap32_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_blk_eswap32_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_BLK_ESWAP32_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_BLK_ESWAP32_66_LE_COFF_SRCDSP_BLK_ESWAP32C66/DSP_blk_eswap32_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP32_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP32_66_LE_COFF_SRCDSP_BLK_ESWAP32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap32" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP32_66_LE_COFF_SRCDSP_BLK_ESWAP32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap32/c66" \

	echo EXT_ROOT__DSP_BLK_ESWAP32_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_BLK_ESWAP32_66_LE_COFF_SRCDSP_BLK_ESWAP32=../../ >> src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_BLK_ESWAP32_66_LE_COFF_SRCDSP_BLK_ESWAP32C66=.././ >> src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_eswap32_66_LE_COFF"
src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_COFF/Release/DSP_blk_eswap32_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_COFF/Release/DSP_blk_eswap32_66_LE_COFF.out: src/DSP_blk_eswap32/DSP_blk_eswap32.h
src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_COFF/Release/DSP_blk_eswap32_66_LE_COFF.out: src/DSP_blk_eswap32//c66/DSP_blk_eswap32.h
src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_COFF/Release/DSP_blk_eswap32_66_LE_COFF.out: src/DSP_blk_eswap32//c66/DSP_blk_eswap32_cn.h
src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_COFF/Release/DSP_blk_eswap32_66_LE_COFF.out: src/DSP_blk_eswap32//c66/DSP_blk_eswap32_d.c
src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_COFF/Release/DSP_blk_eswap32_66_LE_COFF.out: src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_COFF/.project
	-@ echo Importing Project DSP_blk_eswap32_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap32_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_blk_eswap32_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap32/c66/DSP_blk_eswap32_66_LE_COFF"
	-@ echo Building Project DSP_blk_eswap32_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap32_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_blk_eswap32_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_blk_eswap32_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_eswap32_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_blk_eswap32_66_BE_COFF

#############################################################

.executables: src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_COFF/Release/DSP_blk_eswap32_66_BE_COFF.out

.projects: src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_COFF

src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_COFF: src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_COFF/.project

src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap32_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_blk_eswap32_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_BLK_ESWAP32_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_BLK_ESWAP32_66_BE_COFF_SRCDSP_BLK_ESWAP32C66/DSP_blk_eswap32_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP32_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP32_66_BE_COFF_SRCDSP_BLK_ESWAP32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap32" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP32_66_BE_COFF_SRCDSP_BLK_ESWAP32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap32/c66" \

	echo EXT_ROOT__DSP_BLK_ESWAP32_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_BLK_ESWAP32_66_BE_COFF_SRCDSP_BLK_ESWAP32=../../ >> src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_BLK_ESWAP32_66_BE_COFF_SRCDSP_BLK_ESWAP32C66=.././ >> src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_eswap32_66_BE_COFF"
src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_COFF/Release/DSP_blk_eswap32_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_COFF/Release/DSP_blk_eswap32_66_BE_COFF.out: src/DSP_blk_eswap32/DSP_blk_eswap32.h
src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_COFF/Release/DSP_blk_eswap32_66_BE_COFF.out: src/DSP_blk_eswap32//c66/DSP_blk_eswap32.h
src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_COFF/Release/DSP_blk_eswap32_66_BE_COFF.out: src/DSP_blk_eswap32//c66/DSP_blk_eswap32_cn.h
src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_COFF/Release/DSP_blk_eswap32_66_BE_COFF.out: src/DSP_blk_eswap32//c66/DSP_blk_eswap32_d.c
src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_COFF/Release/DSP_blk_eswap32_66_BE_COFF.out: src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_COFF/.project
	-@ echo Importing Project DSP_blk_eswap32_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap32_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_blk_eswap32_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap32/c66/DSP_blk_eswap32_66_BE_COFF"
	-@ echo Building Project DSP_blk_eswap32_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap32_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_blk_eswap32_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_blk_eswap32_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_eswap32_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_blk_eswap32_66_LE_ELF

#############################################################

.executables: src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_ELF/Release/DSP_blk_eswap32_66_LE_ELF.out

.projects: src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_ELF

src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_ELF: src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_ELF/.project

src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap32_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_blk_eswap32_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_BLK_ESWAP32_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_BLK_ESWAP32_66_LE_ELF_SRCDSP_BLK_ESWAP32C66/DSP_blk_eswap32_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP32_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP32_66_LE_ELF_SRCDSP_BLK_ESWAP32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap32" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP32_66_LE_ELF_SRCDSP_BLK_ESWAP32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap32/c66" \

	echo EXT_ROOT__DSP_BLK_ESWAP32_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_BLK_ESWAP32_66_LE_ELF_SRCDSP_BLK_ESWAP32=../../ >> src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_BLK_ESWAP32_66_LE_ELF_SRCDSP_BLK_ESWAP32C66=.././ >> src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_eswap32_66_LE_ELF"
src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_ELF/Release/DSP_blk_eswap32_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_ELF/Release/DSP_blk_eswap32_66_LE_ELF.out: src/DSP_blk_eswap32/DSP_blk_eswap32.h
src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_ELF/Release/DSP_blk_eswap32_66_LE_ELF.out: src/DSP_blk_eswap32//c66/DSP_blk_eswap32.h
src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_ELF/Release/DSP_blk_eswap32_66_LE_ELF.out: src/DSP_blk_eswap32//c66/DSP_blk_eswap32_cn.h
src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_ELF/Release/DSP_blk_eswap32_66_LE_ELF.out: src/DSP_blk_eswap32//c66/DSP_blk_eswap32_d.c
src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_ELF/Release/DSP_blk_eswap32_66_LE_ELF.out: src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_ELF/.project
	-@ echo Importing Project DSP_blk_eswap32_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap32_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_blk_eswap32_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap32/c66/DSP_blk_eswap32_66_LE_ELF"
	-@ echo Building Project DSP_blk_eswap32_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap32_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_blk_eswap32_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_blk_eswap32_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_eswap32_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_blk_eswap32_66_BE_ELF

#############################################################

.executables: src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_ELF/Release/DSP_blk_eswap32_66_BE_ELF.out

.projects: src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_ELF

src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_ELF: src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_ELF/.project

src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap32_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_blk_eswap32_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_BLK_ESWAP32_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_BLK_ESWAP32_66_BE_ELF_SRCDSP_BLK_ESWAP32C66/DSP_blk_eswap32_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP32_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP32_66_BE_ELF_SRCDSP_BLK_ESWAP32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap32" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP32_66_BE_ELF_SRCDSP_BLK_ESWAP32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap32/c66" \

	echo EXT_ROOT__DSP_BLK_ESWAP32_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_BLK_ESWAP32_66_BE_ELF_SRCDSP_BLK_ESWAP32=../../ >> src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_BLK_ESWAP32_66_BE_ELF_SRCDSP_BLK_ESWAP32C66=.././ >> src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_eswap32_66_BE_ELF"
src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_ELF/Release/DSP_blk_eswap32_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_ELF/Release/DSP_blk_eswap32_66_BE_ELF.out: src/DSP_blk_eswap32/DSP_blk_eswap32.h
src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_ELF/Release/DSP_blk_eswap32_66_BE_ELF.out: src/DSP_blk_eswap32//c66/DSP_blk_eswap32.h
src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_ELF/Release/DSP_blk_eswap32_66_BE_ELF.out: src/DSP_blk_eswap32//c66/DSP_blk_eswap32_cn.h
src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_ELF/Release/DSP_blk_eswap32_66_BE_ELF.out: src/DSP_blk_eswap32//c66/DSP_blk_eswap32_d.c
src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_ELF/Release/DSP_blk_eswap32_66_BE_ELF.out: src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_ELF/.project
	-@ echo Importing Project DSP_blk_eswap32_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap32_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_blk_eswap32_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap32/c66/DSP_blk_eswap32_66_BE_ELF"
	-@ echo Building Project DSP_blk_eswap32_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap32_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_blk_eswap32_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_blk_eswap32_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_eswap32_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_blk_eswap32//c66//DSP_blk_eswap32_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_blk_eswap64_66_LE_COFF

#############################################################

.executables: src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_COFF/Release/DSP_blk_eswap64_66_LE_COFF.out

.projects: src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_COFF

src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_COFF: src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_COFF/.project

src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap64_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_blk_eswap64_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_BLK_ESWAP64_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_BLK_ESWAP64_66_LE_COFF_SRCDSP_BLK_ESWAP64C66/DSP_blk_eswap64_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP64_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP64_66_LE_COFF_SRCDSP_BLK_ESWAP64 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap64" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP64_66_LE_COFF_SRCDSP_BLK_ESWAP64C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap64/c66" \

	echo EXT_ROOT__DSP_BLK_ESWAP64_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_BLK_ESWAP64_66_LE_COFF_SRCDSP_BLK_ESWAP64=../../ >> src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_BLK_ESWAP64_66_LE_COFF_SRCDSP_BLK_ESWAP64C66=.././ >> src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_eswap64_66_LE_COFF"
src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_COFF/Release/DSP_blk_eswap64_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_COFF/Release/DSP_blk_eswap64_66_LE_COFF.out: src/DSP_blk_eswap64/DSP_blk_eswap64.h
src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_COFF/Release/DSP_blk_eswap64_66_LE_COFF.out: src/DSP_blk_eswap64//c66/DSP_blk_eswap64.h
src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_COFF/Release/DSP_blk_eswap64_66_LE_COFF.out: src/DSP_blk_eswap64//c66/DSP_blk_eswap64_cn.h
src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_COFF/Release/DSP_blk_eswap64_66_LE_COFF.out: src/DSP_blk_eswap64//c66/DSP_blk_eswap64_d.c
src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_COFF/Release/DSP_blk_eswap64_66_LE_COFF.out: src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_COFF/.project
	-@ echo Importing Project DSP_blk_eswap64_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap64_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_blk_eswap64_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap64/c66/DSP_blk_eswap64_66_LE_COFF"
	-@ echo Building Project DSP_blk_eswap64_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap64_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_blk_eswap64_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_blk_eswap64_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_eswap64_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_blk_eswap64_66_BE_COFF

#############################################################

.executables: src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_COFF/Release/DSP_blk_eswap64_66_BE_COFF.out

.projects: src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_COFF

src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_COFF: src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_COFF/.project

src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap64_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_blk_eswap64_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_BLK_ESWAP64_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_BLK_ESWAP64_66_BE_COFF_SRCDSP_BLK_ESWAP64C66/DSP_blk_eswap64_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP64_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP64_66_BE_COFF_SRCDSP_BLK_ESWAP64 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap64" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP64_66_BE_COFF_SRCDSP_BLK_ESWAP64C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap64/c66" \

	echo EXT_ROOT__DSP_BLK_ESWAP64_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_BLK_ESWAP64_66_BE_COFF_SRCDSP_BLK_ESWAP64=../../ >> src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_BLK_ESWAP64_66_BE_COFF_SRCDSP_BLK_ESWAP64C66=.././ >> src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_eswap64_66_BE_COFF"
src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_COFF/Release/DSP_blk_eswap64_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_COFF/Release/DSP_blk_eswap64_66_BE_COFF.out: src/DSP_blk_eswap64/DSP_blk_eswap64.h
src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_COFF/Release/DSP_blk_eswap64_66_BE_COFF.out: src/DSP_blk_eswap64//c66/DSP_blk_eswap64.h
src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_COFF/Release/DSP_blk_eswap64_66_BE_COFF.out: src/DSP_blk_eswap64//c66/DSP_blk_eswap64_cn.h
src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_COFF/Release/DSP_blk_eswap64_66_BE_COFF.out: src/DSP_blk_eswap64//c66/DSP_blk_eswap64_d.c
src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_COFF/Release/DSP_blk_eswap64_66_BE_COFF.out: src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_COFF/.project
	-@ echo Importing Project DSP_blk_eswap64_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap64_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_blk_eswap64_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap64/c66/DSP_blk_eswap64_66_BE_COFF"
	-@ echo Building Project DSP_blk_eswap64_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap64_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_blk_eswap64_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_blk_eswap64_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_eswap64_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_blk_eswap64_66_LE_ELF

#############################################################

.executables: src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_ELF/Release/DSP_blk_eswap64_66_LE_ELF.out

.projects: src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_ELF

src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_ELF: src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_ELF/.project

src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap64_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_blk_eswap64_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_BLK_ESWAP64_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_BLK_ESWAP64_66_LE_ELF_SRCDSP_BLK_ESWAP64C66/DSP_blk_eswap64_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP64_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP64_66_LE_ELF_SRCDSP_BLK_ESWAP64 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap64" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP64_66_LE_ELF_SRCDSP_BLK_ESWAP64C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap64/c66" \

	echo EXT_ROOT__DSP_BLK_ESWAP64_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_BLK_ESWAP64_66_LE_ELF_SRCDSP_BLK_ESWAP64=../../ >> src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_BLK_ESWAP64_66_LE_ELF_SRCDSP_BLK_ESWAP64C66=.././ >> src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_eswap64_66_LE_ELF"
src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_ELF/Release/DSP_blk_eswap64_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_ELF/Release/DSP_blk_eswap64_66_LE_ELF.out: src/DSP_blk_eswap64/DSP_blk_eswap64.h
src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_ELF/Release/DSP_blk_eswap64_66_LE_ELF.out: src/DSP_blk_eswap64//c66/DSP_blk_eswap64.h
src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_ELF/Release/DSP_blk_eswap64_66_LE_ELF.out: src/DSP_blk_eswap64//c66/DSP_blk_eswap64_cn.h
src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_ELF/Release/DSP_blk_eswap64_66_LE_ELF.out: src/DSP_blk_eswap64//c66/DSP_blk_eswap64_d.c
src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_ELF/Release/DSP_blk_eswap64_66_LE_ELF.out: src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_ELF/.project
	-@ echo Importing Project DSP_blk_eswap64_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap64_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_blk_eswap64_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap64/c66/DSP_blk_eswap64_66_LE_ELF"
	-@ echo Building Project DSP_blk_eswap64_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap64_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_blk_eswap64_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_blk_eswap64_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_eswap64_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_blk_eswap64_66_BE_ELF

#############################################################

.executables: src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_ELF/Release/DSP_blk_eswap64_66_BE_ELF.out

.projects: src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_ELF

src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_ELF: src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_ELF/.project

src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap64_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_blk_eswap64_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_BLK_ESWAP64_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_BLK_ESWAP64_66_BE_ELF_SRCDSP_BLK_ESWAP64C66/DSP_blk_eswap64_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP64_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP64_66_BE_ELF_SRCDSP_BLK_ESWAP64 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap64" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_ESWAP64_66_BE_ELF_SRCDSP_BLK_ESWAP64C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap64/c66" \

	echo EXT_ROOT__DSP_BLK_ESWAP64_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_BLK_ESWAP64_66_BE_ELF_SRCDSP_BLK_ESWAP64=../../ >> src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_BLK_ESWAP64_66_BE_ELF_SRCDSP_BLK_ESWAP64C66=.././ >> src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_eswap64_66_BE_ELF"
src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_ELF/Release/DSP_blk_eswap64_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_ELF/Release/DSP_blk_eswap64_66_BE_ELF.out: src/DSP_blk_eswap64/DSP_blk_eswap64.h
src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_ELF/Release/DSP_blk_eswap64_66_BE_ELF.out: src/DSP_blk_eswap64//c66/DSP_blk_eswap64.h
src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_ELF/Release/DSP_blk_eswap64_66_BE_ELF.out: src/DSP_blk_eswap64//c66/DSP_blk_eswap64_cn.h
src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_ELF/Release/DSP_blk_eswap64_66_BE_ELF.out: src/DSP_blk_eswap64//c66/DSP_blk_eswap64_d.c
src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_ELF/Release/DSP_blk_eswap64_66_BE_ELF.out: src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_ELF/.project
	-@ echo Importing Project DSP_blk_eswap64_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap64_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_blk_eswap64_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_eswap64/c66/DSP_blk_eswap64_66_BE_ELF"
	-@ echo Building Project DSP_blk_eswap64_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_eswap64_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_blk_eswap64_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_blk_eswap64_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_eswap64_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_blk_eswap64//c66//DSP_blk_eswap64_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_blk_move_66_LE_COFF

#############################################################

.executables: src/DSP_blk_move//c66//DSP_blk_move_66_LE_COFF/Release/DSP_blk_move_66_LE_COFF.out

.projects: src/DSP_blk_move//c66//DSP_blk_move_66_LE_COFF

src/DSP_blk_move//c66//DSP_blk_move_66_LE_COFF: src/DSP_blk_move//c66//DSP_blk_move_66_LE_COFF/.project

src/DSP_blk_move//c66//DSP_blk_move_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_move_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_blk_move_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_BLK_MOVE_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_BLK_MOVE_66_LE_COFF_SRCDSP_BLK_MOVEC66/DSP_blk_move_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_blk_move//c66//DSP_blk_move_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_MOVE_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_MOVE_66_LE_COFF_SRCDSP_BLK_MOVE "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_move" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_MOVE_66_LE_COFF_SRCDSP_BLK_MOVEC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_move/c66" \

	echo EXT_ROOT__DSP_BLK_MOVE_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_blk_move//c66//DSP_blk_move_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_BLK_MOVE_66_LE_COFF_SRCDSP_BLK_MOVE=../../ >> src/DSP_blk_move//c66//DSP_blk_move_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_BLK_MOVE_66_LE_COFF_SRCDSP_BLK_MOVEC66=.././ >> src/DSP_blk_move//c66//DSP_blk_move_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_move_66_LE_COFF"
src/DSP_blk_move//c66//DSP_blk_move_66_LE_COFF/Release/DSP_blk_move_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_blk_move//c66//DSP_blk_move_66_LE_COFF/Release/DSP_blk_move_66_LE_COFF.out: src/DSP_blk_move/DSP_blk_move.h
src/DSP_blk_move//c66//DSP_blk_move_66_LE_COFF/Release/DSP_blk_move_66_LE_COFF.out: src/DSP_blk_move//c66/DSP_blk_move.h
src/DSP_blk_move//c66//DSP_blk_move_66_LE_COFF/Release/DSP_blk_move_66_LE_COFF.out: src/DSP_blk_move//c66/DSP_blk_move_cn.h
src/DSP_blk_move//c66//DSP_blk_move_66_LE_COFF/Release/DSP_blk_move_66_LE_COFF.out: src/DSP_blk_move//c66/DSP_blk_move_d.c
src/DSP_blk_move//c66//DSP_blk_move_66_LE_COFF/Release/DSP_blk_move_66_LE_COFF.out: src/DSP_blk_move//c66//DSP_blk_move_66_LE_COFF/.project
	-@ echo Importing Project DSP_blk_move_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_move_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_blk_move_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_move/c66/DSP_blk_move_66_LE_COFF"
	-@ echo Building Project DSP_blk_move_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_move_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_blk_move_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_blk_move_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_move_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_blk_move//c66//DSP_blk_move_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_blk_move_66_BE_COFF

#############################################################

.executables: src/DSP_blk_move//c66//DSP_blk_move_66_BE_COFF/Release/DSP_blk_move_66_BE_COFF.out

.projects: src/DSP_blk_move//c66//DSP_blk_move_66_BE_COFF

src/DSP_blk_move//c66//DSP_blk_move_66_BE_COFF: src/DSP_blk_move//c66//DSP_blk_move_66_BE_COFF/.project

src/DSP_blk_move//c66//DSP_blk_move_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_move_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_blk_move_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_BLK_MOVE_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_BLK_MOVE_66_BE_COFF_SRCDSP_BLK_MOVEC66/DSP_blk_move_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_blk_move//c66//DSP_blk_move_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_MOVE_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_MOVE_66_BE_COFF_SRCDSP_BLK_MOVE "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_move" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_MOVE_66_BE_COFF_SRCDSP_BLK_MOVEC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_move/c66" \

	echo EXT_ROOT__DSP_BLK_MOVE_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_blk_move//c66//DSP_blk_move_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_BLK_MOVE_66_BE_COFF_SRCDSP_BLK_MOVE=../../ >> src/DSP_blk_move//c66//DSP_blk_move_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_BLK_MOVE_66_BE_COFF_SRCDSP_BLK_MOVEC66=.././ >> src/DSP_blk_move//c66//DSP_blk_move_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_move_66_BE_COFF"
src/DSP_blk_move//c66//DSP_blk_move_66_BE_COFF/Release/DSP_blk_move_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_blk_move//c66//DSP_blk_move_66_BE_COFF/Release/DSP_blk_move_66_BE_COFF.out: src/DSP_blk_move/DSP_blk_move.h
src/DSP_blk_move//c66//DSP_blk_move_66_BE_COFF/Release/DSP_blk_move_66_BE_COFF.out: src/DSP_blk_move//c66/DSP_blk_move.h
src/DSP_blk_move//c66//DSP_blk_move_66_BE_COFF/Release/DSP_blk_move_66_BE_COFF.out: src/DSP_blk_move//c66/DSP_blk_move_cn.h
src/DSP_blk_move//c66//DSP_blk_move_66_BE_COFF/Release/DSP_blk_move_66_BE_COFF.out: src/DSP_blk_move//c66/DSP_blk_move_d.c
src/DSP_blk_move//c66//DSP_blk_move_66_BE_COFF/Release/DSP_blk_move_66_BE_COFF.out: src/DSP_blk_move//c66//DSP_blk_move_66_BE_COFF/.project
	-@ echo Importing Project DSP_blk_move_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_move_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_blk_move_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_move/c66/DSP_blk_move_66_BE_COFF"
	-@ echo Building Project DSP_blk_move_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_move_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_blk_move_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_blk_move_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_move_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_blk_move//c66//DSP_blk_move_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_blk_move_66_LE_ELF

#############################################################

.executables: src/DSP_blk_move//c66//DSP_blk_move_66_LE_ELF/Release/DSP_blk_move_66_LE_ELF.out

.projects: src/DSP_blk_move//c66//DSP_blk_move_66_LE_ELF

src/DSP_blk_move//c66//DSP_blk_move_66_LE_ELF: src/DSP_blk_move//c66//DSP_blk_move_66_LE_ELF/.project

src/DSP_blk_move//c66//DSP_blk_move_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_move_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_blk_move_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_BLK_MOVE_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_BLK_MOVE_66_LE_ELF_SRCDSP_BLK_MOVEC66/DSP_blk_move_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_blk_move//c66//DSP_blk_move_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_MOVE_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_MOVE_66_LE_ELF_SRCDSP_BLK_MOVE "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_move" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_MOVE_66_LE_ELF_SRCDSP_BLK_MOVEC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_move/c66" \

	echo EXT_ROOT__DSP_BLK_MOVE_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_blk_move//c66//DSP_blk_move_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_BLK_MOVE_66_LE_ELF_SRCDSP_BLK_MOVE=../../ >> src/DSP_blk_move//c66//DSP_blk_move_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_BLK_MOVE_66_LE_ELF_SRCDSP_BLK_MOVEC66=.././ >> src/DSP_blk_move//c66//DSP_blk_move_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_move_66_LE_ELF"
src/DSP_blk_move//c66//DSP_blk_move_66_LE_ELF/Release/DSP_blk_move_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_blk_move//c66//DSP_blk_move_66_LE_ELF/Release/DSP_blk_move_66_LE_ELF.out: src/DSP_blk_move/DSP_blk_move.h
src/DSP_blk_move//c66//DSP_blk_move_66_LE_ELF/Release/DSP_blk_move_66_LE_ELF.out: src/DSP_blk_move//c66/DSP_blk_move.h
src/DSP_blk_move//c66//DSP_blk_move_66_LE_ELF/Release/DSP_blk_move_66_LE_ELF.out: src/DSP_blk_move//c66/DSP_blk_move_cn.h
src/DSP_blk_move//c66//DSP_blk_move_66_LE_ELF/Release/DSP_blk_move_66_LE_ELF.out: src/DSP_blk_move//c66/DSP_blk_move_d.c
src/DSP_blk_move//c66//DSP_blk_move_66_LE_ELF/Release/DSP_blk_move_66_LE_ELF.out: src/DSP_blk_move//c66//DSP_blk_move_66_LE_ELF/.project
	-@ echo Importing Project DSP_blk_move_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_move_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_blk_move_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_move/c66/DSP_blk_move_66_LE_ELF"
	-@ echo Building Project DSP_blk_move_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_move_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_blk_move_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_blk_move_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_move_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_blk_move//c66//DSP_blk_move_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_blk_move_66_BE_ELF

#############################################################

.executables: src/DSP_blk_move//c66//DSP_blk_move_66_BE_ELF/Release/DSP_blk_move_66_BE_ELF.out

.projects: src/DSP_blk_move//c66//DSP_blk_move_66_BE_ELF

src/DSP_blk_move//c66//DSP_blk_move_66_BE_ELF: src/DSP_blk_move//c66//DSP_blk_move_66_BE_ELF/.project

src/DSP_blk_move//c66//DSP_blk_move_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_move_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_blk_move_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_BLK_MOVE_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_BLK_MOVE_66_BE_ELF_SRCDSP_BLK_MOVEC66/DSP_blk_move_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_blk_move//c66//DSP_blk_move_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_MOVE_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_MOVE_66_BE_ELF_SRCDSP_BLK_MOVE "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_move" \
 -ccs.definePathVariable EXT_ROOT__DSP_BLK_MOVE_66_BE_ELF_SRCDSP_BLK_MOVEC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_move/c66" \

	echo EXT_ROOT__DSP_BLK_MOVE_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_blk_move//c66//DSP_blk_move_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_BLK_MOVE_66_BE_ELF_SRCDSP_BLK_MOVE=../../ >> src/DSP_blk_move//c66//DSP_blk_move_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_BLK_MOVE_66_BE_ELF_SRCDSP_BLK_MOVEC66=.././ >> src/DSP_blk_move//c66//DSP_blk_move_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_move_66_BE_ELF"
src/DSP_blk_move//c66//DSP_blk_move_66_BE_ELF/Release/DSP_blk_move_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_blk_move//c66//DSP_blk_move_66_BE_ELF/Release/DSP_blk_move_66_BE_ELF.out: src/DSP_blk_move/DSP_blk_move.h
src/DSP_blk_move//c66//DSP_blk_move_66_BE_ELF/Release/DSP_blk_move_66_BE_ELF.out: src/DSP_blk_move//c66/DSP_blk_move.h
src/DSP_blk_move//c66//DSP_blk_move_66_BE_ELF/Release/DSP_blk_move_66_BE_ELF.out: src/DSP_blk_move//c66/DSP_blk_move_cn.h
src/DSP_blk_move//c66//DSP_blk_move_66_BE_ELF/Release/DSP_blk_move_66_BE_ELF.out: src/DSP_blk_move//c66/DSP_blk_move_d.c
src/DSP_blk_move//c66//DSP_blk_move_66_BE_ELF/Release/DSP_blk_move_66_BE_ELF.out: src/DSP_blk_move//c66//DSP_blk_move_66_BE_ELF/.project
	-@ echo Importing Project DSP_blk_move_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_move_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_blk_move_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_blk_move/c66/DSP_blk_move_66_BE_ELF"
	-@ echo Building Project DSP_blk_move_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_blk_move_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_blk_move_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_blk_move_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_blk_move_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_blk_move//c66//DSP_blk_move_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_dotprod_66_LE_COFF

#############################################################

.executables: src/DSP_dotprod//c66//DSP_dotprod_66_LE_COFF/Release/DSP_dotprod_66_LE_COFF.out

.projects: src/DSP_dotprod//c66//DSP_dotprod_66_LE_COFF

src/DSP_dotprod//c66//DSP_dotprod_66_LE_COFF: src/DSP_dotprod//c66//DSP_dotprod_66_LE_COFF/.project

src/DSP_dotprod//c66//DSP_dotprod_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_dotprod_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_dotprod_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_DOTPROD_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_DOTPROD_66_LE_COFF_SRCDSP_DOTPRODC66/DSP_dotprod_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_dotprod//c66//DSP_dotprod_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_DOTPROD_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_DOTPROD_66_LE_COFF_SRCDSP_DOTPROD "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_dotprod" \
 -ccs.definePathVariable EXT_ROOT__DSP_DOTPROD_66_LE_COFF_SRCDSP_DOTPRODC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_dotprod/c66" \

	echo EXT_ROOT__DSP_DOTPROD_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_dotprod//c66//DSP_dotprod_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_DOTPROD_66_LE_COFF_SRCDSP_DOTPROD=../../ >> src/DSP_dotprod//c66//DSP_dotprod_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_DOTPROD_66_LE_COFF_SRCDSP_DOTPRODC66=.././ >> src/DSP_dotprod//c66//DSP_dotprod_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_dotprod_66_LE_COFF"
src/DSP_dotprod//c66//DSP_dotprod_66_LE_COFF/Release/DSP_dotprod_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_dotprod//c66//DSP_dotprod_66_LE_COFF/Release/DSP_dotprod_66_LE_COFF.out: src/DSP_dotprod/DSP_dotprod.h
src/DSP_dotprod//c66//DSP_dotprod_66_LE_COFF/Release/DSP_dotprod_66_LE_COFF.out: src/DSP_dotprod//c66/DSP_dotprod.h
src/DSP_dotprod//c66//DSP_dotprod_66_LE_COFF/Release/DSP_dotprod_66_LE_COFF.out: src/DSP_dotprod//c66/DSP_dotprod_cn.h
src/DSP_dotprod//c66//DSP_dotprod_66_LE_COFF/Release/DSP_dotprod_66_LE_COFF.out: src/DSP_dotprod//c66/DSP_dotprod_d.c
src/DSP_dotprod//c66//DSP_dotprod_66_LE_COFF/Release/DSP_dotprod_66_LE_COFF.out: src/DSP_dotprod//c66//DSP_dotprod_66_LE_COFF/.project
	-@ echo Importing Project DSP_dotprod_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_dotprod_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_dotprod_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_dotprod/c66/DSP_dotprod_66_LE_COFF"
	-@ echo Building Project DSP_dotprod_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_dotprod_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_dotprod_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_dotprod_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_dotprod_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_dotprod//c66//DSP_dotprod_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_dotprod_66_BE_COFF

#############################################################

.executables: src/DSP_dotprod//c66//DSP_dotprod_66_BE_COFF/Release/DSP_dotprod_66_BE_COFF.out

.projects: src/DSP_dotprod//c66//DSP_dotprod_66_BE_COFF

src/DSP_dotprod//c66//DSP_dotprod_66_BE_COFF: src/DSP_dotprod//c66//DSP_dotprod_66_BE_COFF/.project

src/DSP_dotprod//c66//DSP_dotprod_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_dotprod_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_dotprod_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_DOTPROD_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_DOTPROD_66_BE_COFF_SRCDSP_DOTPRODC66/DSP_dotprod_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_dotprod//c66//DSP_dotprod_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_DOTPROD_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_DOTPROD_66_BE_COFF_SRCDSP_DOTPROD "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_dotprod" \
 -ccs.definePathVariable EXT_ROOT__DSP_DOTPROD_66_BE_COFF_SRCDSP_DOTPRODC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_dotprod/c66" \

	echo EXT_ROOT__DSP_DOTPROD_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_dotprod//c66//DSP_dotprod_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_DOTPROD_66_BE_COFF_SRCDSP_DOTPROD=../../ >> src/DSP_dotprod//c66//DSP_dotprod_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_DOTPROD_66_BE_COFF_SRCDSP_DOTPRODC66=.././ >> src/DSP_dotprod//c66//DSP_dotprod_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_dotprod_66_BE_COFF"
src/DSP_dotprod//c66//DSP_dotprod_66_BE_COFF/Release/DSP_dotprod_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_dotprod//c66//DSP_dotprod_66_BE_COFF/Release/DSP_dotprod_66_BE_COFF.out: src/DSP_dotprod/DSP_dotprod.h
src/DSP_dotprod//c66//DSP_dotprod_66_BE_COFF/Release/DSP_dotprod_66_BE_COFF.out: src/DSP_dotprod//c66/DSP_dotprod.h
src/DSP_dotprod//c66//DSP_dotprod_66_BE_COFF/Release/DSP_dotprod_66_BE_COFF.out: src/DSP_dotprod//c66/DSP_dotprod_cn.h
src/DSP_dotprod//c66//DSP_dotprod_66_BE_COFF/Release/DSP_dotprod_66_BE_COFF.out: src/DSP_dotprod//c66/DSP_dotprod_d.c
src/DSP_dotprod//c66//DSP_dotprod_66_BE_COFF/Release/DSP_dotprod_66_BE_COFF.out: src/DSP_dotprod//c66//DSP_dotprod_66_BE_COFF/.project
	-@ echo Importing Project DSP_dotprod_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_dotprod_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_dotprod_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_dotprod/c66/DSP_dotprod_66_BE_COFF"
	-@ echo Building Project DSP_dotprod_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_dotprod_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_dotprod_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_dotprod_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_dotprod_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_dotprod//c66//DSP_dotprod_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_dotprod_66_LE_ELF

#############################################################

.executables: src/DSP_dotprod//c66//DSP_dotprod_66_LE_ELF/Release/DSP_dotprod_66_LE_ELF.out

.projects: src/DSP_dotprod//c66//DSP_dotprod_66_LE_ELF

src/DSP_dotprod//c66//DSP_dotprod_66_LE_ELF: src/DSP_dotprod//c66//DSP_dotprod_66_LE_ELF/.project

src/DSP_dotprod//c66//DSP_dotprod_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_dotprod_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_dotprod_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_DOTPROD_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_DOTPROD_66_LE_ELF_SRCDSP_DOTPRODC66/DSP_dotprod_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_dotprod//c66//DSP_dotprod_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_DOTPROD_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_DOTPROD_66_LE_ELF_SRCDSP_DOTPROD "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_dotprod" \
 -ccs.definePathVariable EXT_ROOT__DSP_DOTPROD_66_LE_ELF_SRCDSP_DOTPRODC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_dotprod/c66" \

	echo EXT_ROOT__DSP_DOTPROD_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_dotprod//c66//DSP_dotprod_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_DOTPROD_66_LE_ELF_SRCDSP_DOTPROD=../../ >> src/DSP_dotprod//c66//DSP_dotprod_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_DOTPROD_66_LE_ELF_SRCDSP_DOTPRODC66=.././ >> src/DSP_dotprod//c66//DSP_dotprod_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_dotprod_66_LE_ELF"
src/DSP_dotprod//c66//DSP_dotprod_66_LE_ELF/Release/DSP_dotprod_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_dotprod//c66//DSP_dotprod_66_LE_ELF/Release/DSP_dotprod_66_LE_ELF.out: src/DSP_dotprod/DSP_dotprod.h
src/DSP_dotprod//c66//DSP_dotprod_66_LE_ELF/Release/DSP_dotprod_66_LE_ELF.out: src/DSP_dotprod//c66/DSP_dotprod.h
src/DSP_dotprod//c66//DSP_dotprod_66_LE_ELF/Release/DSP_dotprod_66_LE_ELF.out: src/DSP_dotprod//c66/DSP_dotprod_cn.h
src/DSP_dotprod//c66//DSP_dotprod_66_LE_ELF/Release/DSP_dotprod_66_LE_ELF.out: src/DSP_dotprod//c66/DSP_dotprod_d.c
src/DSP_dotprod//c66//DSP_dotprod_66_LE_ELF/Release/DSP_dotprod_66_LE_ELF.out: src/DSP_dotprod//c66//DSP_dotprod_66_LE_ELF/.project
	-@ echo Importing Project DSP_dotprod_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_dotprod_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_dotprod_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_dotprod/c66/DSP_dotprod_66_LE_ELF"
	-@ echo Building Project DSP_dotprod_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_dotprod_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_dotprod_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_dotprod_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_dotprod_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_dotprod//c66//DSP_dotprod_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_dotprod_66_BE_ELF

#############################################################

.executables: src/DSP_dotprod//c66//DSP_dotprod_66_BE_ELF/Release/DSP_dotprod_66_BE_ELF.out

.projects: src/DSP_dotprod//c66//DSP_dotprod_66_BE_ELF

src/DSP_dotprod//c66//DSP_dotprod_66_BE_ELF: src/DSP_dotprod//c66//DSP_dotprod_66_BE_ELF/.project

src/DSP_dotprod//c66//DSP_dotprod_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_dotprod_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_dotprod_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_DOTPROD_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_DOTPROD_66_BE_ELF_SRCDSP_DOTPRODC66/DSP_dotprod_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_dotprod//c66//DSP_dotprod_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_DOTPROD_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_DOTPROD_66_BE_ELF_SRCDSP_DOTPROD "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_dotprod" \
 -ccs.definePathVariable EXT_ROOT__DSP_DOTPROD_66_BE_ELF_SRCDSP_DOTPRODC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_dotprod/c66" \

	echo EXT_ROOT__DSP_DOTPROD_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_dotprod//c66//DSP_dotprod_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_DOTPROD_66_BE_ELF_SRCDSP_DOTPROD=../../ >> src/DSP_dotprod//c66//DSP_dotprod_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_DOTPROD_66_BE_ELF_SRCDSP_DOTPRODC66=.././ >> src/DSP_dotprod//c66//DSP_dotprod_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_dotprod_66_BE_ELF"
src/DSP_dotprod//c66//DSP_dotprod_66_BE_ELF/Release/DSP_dotprod_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_dotprod//c66//DSP_dotprod_66_BE_ELF/Release/DSP_dotprod_66_BE_ELF.out: src/DSP_dotprod/DSP_dotprod.h
src/DSP_dotprod//c66//DSP_dotprod_66_BE_ELF/Release/DSP_dotprod_66_BE_ELF.out: src/DSP_dotprod//c66/DSP_dotprod.h
src/DSP_dotprod//c66//DSP_dotprod_66_BE_ELF/Release/DSP_dotprod_66_BE_ELF.out: src/DSP_dotprod//c66/DSP_dotprod_cn.h
src/DSP_dotprod//c66//DSP_dotprod_66_BE_ELF/Release/DSP_dotprod_66_BE_ELF.out: src/DSP_dotprod//c66/DSP_dotprod_d.c
src/DSP_dotprod//c66//DSP_dotprod_66_BE_ELF/Release/DSP_dotprod_66_BE_ELF.out: src/DSP_dotprod//c66//DSP_dotprod_66_BE_ELF/.project
	-@ echo Importing Project DSP_dotprod_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_dotprod_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_dotprod_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_dotprod/c66/DSP_dotprod_66_BE_ELF"
	-@ echo Building Project DSP_dotprod_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_dotprod_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_dotprod_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_dotprod_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_dotprod_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_dotprod//c66//DSP_dotprod_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_dotp_sqr_66_LE_COFF

#############################################################

.executables: src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_COFF/Release/DSP_dotp_sqr_66_LE_COFF.out

.projects: src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_COFF

src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_COFF: src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_COFF/.project

src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_dotp_sqr_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_dotp_sqr_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_DOTP_SQR_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_DOTP_SQR_66_LE_COFF_SRCDSP_DOTP_SQRC66/DSP_dotp_sqr_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_DOTP_SQR_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_DOTP_SQR_66_LE_COFF_SRCDSP_DOTP_SQR "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_dotp_sqr" \
 -ccs.definePathVariable EXT_ROOT__DSP_DOTP_SQR_66_LE_COFF_SRCDSP_DOTP_SQRC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_dotp_sqr/c66" \

	echo EXT_ROOT__DSP_DOTP_SQR_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_DOTP_SQR_66_LE_COFF_SRCDSP_DOTP_SQR=../../ >> src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_DOTP_SQR_66_LE_COFF_SRCDSP_DOTP_SQRC66=.././ >> src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_dotp_sqr_66_LE_COFF"
src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_COFF/Release/DSP_dotp_sqr_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_COFF/Release/DSP_dotp_sqr_66_LE_COFF.out: src/DSP_dotp_sqr/DSP_dotp_sqr.h
src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_COFF/Release/DSP_dotp_sqr_66_LE_COFF.out: src/DSP_dotp_sqr//c66/DSP_dotp_sqr.h
src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_COFF/Release/DSP_dotp_sqr_66_LE_COFF.out: src/DSP_dotp_sqr//c66/DSP_dotp_sqr_cn.h
src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_COFF/Release/DSP_dotp_sqr_66_LE_COFF.out: src/DSP_dotp_sqr//c66/DSP_dotp_sqr_d.c
src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_COFF/Release/DSP_dotp_sqr_66_LE_COFF.out: src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_COFF/.project
	-@ echo Importing Project DSP_dotp_sqr_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_dotp_sqr_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_dotp_sqr_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_dotp_sqr/c66/DSP_dotp_sqr_66_LE_COFF"
	-@ echo Building Project DSP_dotp_sqr_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_dotp_sqr_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_dotp_sqr_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_dotp_sqr_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_dotp_sqr_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_dotp_sqr_66_BE_COFF

#############################################################

.executables: src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_COFF/Release/DSP_dotp_sqr_66_BE_COFF.out

.projects: src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_COFF

src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_COFF: src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_COFF/.project

src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_dotp_sqr_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_dotp_sqr_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_DOTP_SQR_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_DOTP_SQR_66_BE_COFF_SRCDSP_DOTP_SQRC66/DSP_dotp_sqr_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_DOTP_SQR_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_DOTP_SQR_66_BE_COFF_SRCDSP_DOTP_SQR "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_dotp_sqr" \
 -ccs.definePathVariable EXT_ROOT__DSP_DOTP_SQR_66_BE_COFF_SRCDSP_DOTP_SQRC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_dotp_sqr/c66" \

	echo EXT_ROOT__DSP_DOTP_SQR_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_DOTP_SQR_66_BE_COFF_SRCDSP_DOTP_SQR=../../ >> src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_DOTP_SQR_66_BE_COFF_SRCDSP_DOTP_SQRC66=.././ >> src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_dotp_sqr_66_BE_COFF"
src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_COFF/Release/DSP_dotp_sqr_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_COFF/Release/DSP_dotp_sqr_66_BE_COFF.out: src/DSP_dotp_sqr/DSP_dotp_sqr.h
src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_COFF/Release/DSP_dotp_sqr_66_BE_COFF.out: src/DSP_dotp_sqr//c66/DSP_dotp_sqr.h
src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_COFF/Release/DSP_dotp_sqr_66_BE_COFF.out: src/DSP_dotp_sqr//c66/DSP_dotp_sqr_cn.h
src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_COFF/Release/DSP_dotp_sqr_66_BE_COFF.out: src/DSP_dotp_sqr//c66/DSP_dotp_sqr_d.c
src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_COFF/Release/DSP_dotp_sqr_66_BE_COFF.out: src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_COFF/.project
	-@ echo Importing Project DSP_dotp_sqr_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_dotp_sqr_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_dotp_sqr_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_dotp_sqr/c66/DSP_dotp_sqr_66_BE_COFF"
	-@ echo Building Project DSP_dotp_sqr_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_dotp_sqr_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_dotp_sqr_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_dotp_sqr_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_dotp_sqr_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_dotp_sqr_66_LE_ELF

#############################################################

.executables: src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_ELF/Release/DSP_dotp_sqr_66_LE_ELF.out

.projects: src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_ELF

src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_ELF: src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_ELF/.project

src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_dotp_sqr_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_dotp_sqr_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_DOTP_SQR_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_DOTP_SQR_66_LE_ELF_SRCDSP_DOTP_SQRC66/DSP_dotp_sqr_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_DOTP_SQR_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_DOTP_SQR_66_LE_ELF_SRCDSP_DOTP_SQR "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_dotp_sqr" \
 -ccs.definePathVariable EXT_ROOT__DSP_DOTP_SQR_66_LE_ELF_SRCDSP_DOTP_SQRC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_dotp_sqr/c66" \

	echo EXT_ROOT__DSP_DOTP_SQR_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_DOTP_SQR_66_LE_ELF_SRCDSP_DOTP_SQR=../../ >> src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_DOTP_SQR_66_LE_ELF_SRCDSP_DOTP_SQRC66=.././ >> src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_dotp_sqr_66_LE_ELF"
src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_ELF/Release/DSP_dotp_sqr_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_ELF/Release/DSP_dotp_sqr_66_LE_ELF.out: src/DSP_dotp_sqr/DSP_dotp_sqr.h
src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_ELF/Release/DSP_dotp_sqr_66_LE_ELF.out: src/DSP_dotp_sqr//c66/DSP_dotp_sqr.h
src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_ELF/Release/DSP_dotp_sqr_66_LE_ELF.out: src/DSP_dotp_sqr//c66/DSP_dotp_sqr_cn.h
src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_ELF/Release/DSP_dotp_sqr_66_LE_ELF.out: src/DSP_dotp_sqr//c66/DSP_dotp_sqr_d.c
src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_ELF/Release/DSP_dotp_sqr_66_LE_ELF.out: src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_ELF/.project
	-@ echo Importing Project DSP_dotp_sqr_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_dotp_sqr_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_dotp_sqr_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_dotp_sqr/c66/DSP_dotp_sqr_66_LE_ELF"
	-@ echo Building Project DSP_dotp_sqr_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_dotp_sqr_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_dotp_sqr_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_dotp_sqr_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_dotp_sqr_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_dotp_sqr_66_BE_ELF

#############################################################

.executables: src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_ELF/Release/DSP_dotp_sqr_66_BE_ELF.out

.projects: src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_ELF

src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_ELF: src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_ELF/.project

src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_dotp_sqr_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_dotp_sqr_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_DOTP_SQR_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_DOTP_SQR_66_BE_ELF_SRCDSP_DOTP_SQRC66/DSP_dotp_sqr_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_DOTP_SQR_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_DOTP_SQR_66_BE_ELF_SRCDSP_DOTP_SQR "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_dotp_sqr" \
 -ccs.definePathVariable EXT_ROOT__DSP_DOTP_SQR_66_BE_ELF_SRCDSP_DOTP_SQRC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_dotp_sqr/c66" \

	echo EXT_ROOT__DSP_DOTP_SQR_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_DOTP_SQR_66_BE_ELF_SRCDSP_DOTP_SQR=../../ >> src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_DOTP_SQR_66_BE_ELF_SRCDSP_DOTP_SQRC66=.././ >> src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_dotp_sqr_66_BE_ELF"
src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_ELF/Release/DSP_dotp_sqr_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_ELF/Release/DSP_dotp_sqr_66_BE_ELF.out: src/DSP_dotp_sqr/DSP_dotp_sqr.h
src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_ELF/Release/DSP_dotp_sqr_66_BE_ELF.out: src/DSP_dotp_sqr//c66/DSP_dotp_sqr.h
src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_ELF/Release/DSP_dotp_sqr_66_BE_ELF.out: src/DSP_dotp_sqr//c66/DSP_dotp_sqr_cn.h
src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_ELF/Release/DSP_dotp_sqr_66_BE_ELF.out: src/DSP_dotp_sqr//c66/DSP_dotp_sqr_d.c
src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_ELF/Release/DSP_dotp_sqr_66_BE_ELF.out: src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_ELF/.project
	-@ echo Importing Project DSP_dotp_sqr_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_dotp_sqr_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_dotp_sqr_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_dotp_sqr/c66/DSP_dotp_sqr_66_BE_ELF"
	-@ echo Building Project DSP_dotp_sqr_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_dotp_sqr_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_dotp_sqr_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_dotp_sqr_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_dotp_sqr_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_dotp_sqr//c66//DSP_dotp_sqr_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_fft16x16r_66_LE_COFF

#############################################################

.executables: src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_COFF/Release/DSP_fft16x16r_66_LE_COFF.out

.projects: src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_COFF

src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_COFF: src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_COFF/.project

src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16r_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fft16x16r_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FFT16X16R_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X16R_66_LE_COFF_SRCDSP_FFT16X16RC66/DSP_fft16x16r_d.c\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X16R_66_LE_COFF_SRCDSP_FFT16X16RC66/gen_twiddle_fft16x16r.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16R_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16R_66_LE_COFF_SRCDSP_FFT16X16R "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16r" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16R_66_LE_COFF_SRCDSP_FFT16X16RC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16r/c66" \

	echo EXT_ROOT__DSP_FFT16X16R_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FFT16X16R_66_LE_COFF_SRCDSP_FFT16X16R=../../ >> src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FFT16X16R_66_LE_COFF_SRCDSP_FFT16X16RC66=.././ >> src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x16r_66_LE_COFF"
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_COFF/Release/DSP_fft16x16r_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_COFF/Release/DSP_fft16x16r_66_LE_COFF.out: src/DSP_fft16x16r/DSP_fft16x16r.h
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_COFF/Release/DSP_fft16x16r_66_LE_COFF.out: src/DSP_fft16x16r//c66/DSP_fft16x16r.h
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_COFF/Release/DSP_fft16x16r_66_LE_COFF.out: src/DSP_fft16x16r//c66/DSP_fft16x16r_cn.h
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_COFF/Release/DSP_fft16x16r_66_LE_COFF.out: src/DSP_fft16x16r//c66/DSP_fft16x16r_d.c
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_COFF/Release/DSP_fft16x16r_66_LE_COFF.out: src/DSP_fft16x16r//c66/gen_twiddle_fft16x16r.c
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_COFF/Release/DSP_fft16x16r_66_LE_COFF.out: src/DSP_fft16x16r//c66/gen_twiddle_fft16x16r.h
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_COFF/Release/DSP_fft16x16r_66_LE_COFF.out: src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_COFF/.project
	-@ echo Importing Project DSP_fft16x16r_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16r_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fft16x16r_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16r/c66/DSP_fft16x16r_66_LE_COFF"
	-@ echo Building Project DSP_fft16x16r_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16r_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fft16x16r_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_fft16x16r_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x16r_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_fft16x16r_66_BE_COFF

#############################################################

.executables: src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_COFF/Release/DSP_fft16x16r_66_BE_COFF.out

.projects: src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_COFF

src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_COFF: src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_COFF/.project

src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16r_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fft16x16r_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FFT16X16R_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X16R_66_BE_COFF_SRCDSP_FFT16X16RC66/DSP_fft16x16r_d.c\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X16R_66_BE_COFF_SRCDSP_FFT16X16RC66/gen_twiddle_fft16x16r.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16R_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16R_66_BE_COFF_SRCDSP_FFT16X16R "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16r" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16R_66_BE_COFF_SRCDSP_FFT16X16RC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16r/c66" \

	echo EXT_ROOT__DSP_FFT16X16R_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FFT16X16R_66_BE_COFF_SRCDSP_FFT16X16R=../../ >> src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FFT16X16R_66_BE_COFF_SRCDSP_FFT16X16RC66=.././ >> src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x16r_66_BE_COFF"
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_COFF/Release/DSP_fft16x16r_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_COFF/Release/DSP_fft16x16r_66_BE_COFF.out: src/DSP_fft16x16r/DSP_fft16x16r.h
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_COFF/Release/DSP_fft16x16r_66_BE_COFF.out: src/DSP_fft16x16r//c66/DSP_fft16x16r.h
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_COFF/Release/DSP_fft16x16r_66_BE_COFF.out: src/DSP_fft16x16r//c66/DSP_fft16x16r_cn.h
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_COFF/Release/DSP_fft16x16r_66_BE_COFF.out: src/DSP_fft16x16r//c66/DSP_fft16x16r_d.c
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_COFF/Release/DSP_fft16x16r_66_BE_COFF.out: src/DSP_fft16x16r//c66/gen_twiddle_fft16x16r.c
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_COFF/Release/DSP_fft16x16r_66_BE_COFF.out: src/DSP_fft16x16r//c66/gen_twiddle_fft16x16r.h
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_COFF/Release/DSP_fft16x16r_66_BE_COFF.out: src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_COFF/.project
	-@ echo Importing Project DSP_fft16x16r_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16r_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fft16x16r_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16r/c66/DSP_fft16x16r_66_BE_COFF"
	-@ echo Building Project DSP_fft16x16r_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16r_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fft16x16r_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_fft16x16r_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x16r_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_fft16x16r_66_LE_ELF

#############################################################

.executables: src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_ELF/Release/DSP_fft16x16r_66_LE_ELF.out

.projects: src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_ELF

src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_ELF: src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_ELF/.project

src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16r_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fft16x16r_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FFT16X16R_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X16R_66_LE_ELF_SRCDSP_FFT16X16RC66/DSP_fft16x16r_d.c\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X16R_66_LE_ELF_SRCDSP_FFT16X16RC66/gen_twiddle_fft16x16r.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16R_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16R_66_LE_ELF_SRCDSP_FFT16X16R "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16r" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16R_66_LE_ELF_SRCDSP_FFT16X16RC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16r/c66" \

	echo EXT_ROOT__DSP_FFT16X16R_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FFT16X16R_66_LE_ELF_SRCDSP_FFT16X16R=../../ >> src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FFT16X16R_66_LE_ELF_SRCDSP_FFT16X16RC66=.././ >> src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x16r_66_LE_ELF"
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_ELF/Release/DSP_fft16x16r_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_ELF/Release/DSP_fft16x16r_66_LE_ELF.out: src/DSP_fft16x16r/DSP_fft16x16r.h
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_ELF/Release/DSP_fft16x16r_66_LE_ELF.out: src/DSP_fft16x16r//c66/DSP_fft16x16r.h
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_ELF/Release/DSP_fft16x16r_66_LE_ELF.out: src/DSP_fft16x16r//c66/DSP_fft16x16r_cn.h
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_ELF/Release/DSP_fft16x16r_66_LE_ELF.out: src/DSP_fft16x16r//c66/DSP_fft16x16r_d.c
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_ELF/Release/DSP_fft16x16r_66_LE_ELF.out: src/DSP_fft16x16r//c66/gen_twiddle_fft16x16r.c
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_ELF/Release/DSP_fft16x16r_66_LE_ELF.out: src/DSP_fft16x16r//c66/gen_twiddle_fft16x16r.h
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_ELF/Release/DSP_fft16x16r_66_LE_ELF.out: src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_ELF/.project
	-@ echo Importing Project DSP_fft16x16r_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16r_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fft16x16r_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16r/c66/DSP_fft16x16r_66_LE_ELF"
	-@ echo Building Project DSP_fft16x16r_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16r_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fft16x16r_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_fft16x16r_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x16r_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_fft16x16r//c66//DSP_fft16x16r_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_fft16x16r_66_BE_ELF

#############################################################

.executables: src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_ELF/Release/DSP_fft16x16r_66_BE_ELF.out

.projects: src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_ELF

src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_ELF: src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_ELF/.project

src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16r_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fft16x16r_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FFT16X16R_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X16R_66_BE_ELF_SRCDSP_FFT16X16RC66/DSP_fft16x16r_d.c\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X16R_66_BE_ELF_SRCDSP_FFT16X16RC66/gen_twiddle_fft16x16r.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16R_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16R_66_BE_ELF_SRCDSP_FFT16X16R "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16r" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16R_66_BE_ELF_SRCDSP_FFT16X16RC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16r/c66" \

	echo EXT_ROOT__DSP_FFT16X16R_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FFT16X16R_66_BE_ELF_SRCDSP_FFT16X16R=../../ >> src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FFT16X16R_66_BE_ELF_SRCDSP_FFT16X16RC66=.././ >> src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x16r_66_BE_ELF"
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_ELF/Release/DSP_fft16x16r_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_ELF/Release/DSP_fft16x16r_66_BE_ELF.out: src/DSP_fft16x16r/DSP_fft16x16r.h
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_ELF/Release/DSP_fft16x16r_66_BE_ELF.out: src/DSP_fft16x16r//c66/DSP_fft16x16r.h
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_ELF/Release/DSP_fft16x16r_66_BE_ELF.out: src/DSP_fft16x16r//c66/DSP_fft16x16r_cn.h
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_ELF/Release/DSP_fft16x16r_66_BE_ELF.out: src/DSP_fft16x16r//c66/DSP_fft16x16r_d.c
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_ELF/Release/DSP_fft16x16r_66_BE_ELF.out: src/DSP_fft16x16r//c66/gen_twiddle_fft16x16r.c
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_ELF/Release/DSP_fft16x16r_66_BE_ELF.out: src/DSP_fft16x16r//c66/gen_twiddle_fft16x16r.h
src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_ELF/Release/DSP_fft16x16r_66_BE_ELF.out: src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_ELF/.project
	-@ echo Importing Project DSP_fft16x16r_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16r_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fft16x16r_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16r/c66/DSP_fft16x16r_66_BE_ELF"
	-@ echo Building Project DSP_fft16x16r_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16r_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fft16x16r_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_fft16x16r_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x16r_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_fft16x16r//c66//DSP_fft16x16r_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_fft16x16_66_LE_COFF

#############################################################

.executables: src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_COFF/Release/DSP_fft16x16_66_LE_COFF.out

.projects: src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_COFF

src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_COFF: src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_COFF/.project

src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fft16x16_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FFT16X16_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X16_66_LE_COFF_SRCDSP_FFT16X16C66/DSP_fft16x16_d.c\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X16_66_LE_COFF_SRCDSP_FFT16X16C66/gen_twiddle_fft16x16.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16_66_LE_COFF_SRCDSP_FFT16X16 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16_66_LE_COFF_SRCDSP_FFT16X16C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16/c66" \

	echo EXT_ROOT__DSP_FFT16X16_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FFT16X16_66_LE_COFF_SRCDSP_FFT16X16=../../ >> src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FFT16X16_66_LE_COFF_SRCDSP_FFT16X16C66=.././ >> src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x16_66_LE_COFF"
src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_COFF/Release/DSP_fft16x16_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_COFF/Release/DSP_fft16x16_66_LE_COFF.out: src/DSP_fft16x16/DSP_fft16x16.h
src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_COFF/Release/DSP_fft16x16_66_LE_COFF.out: src/DSP_fft16x16//c66/DSP_fft16x16.h
src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_COFF/Release/DSP_fft16x16_66_LE_COFF.out: src/DSP_fft16x16//c66/DSP_fft16x16_cn.h
src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_COFF/Release/DSP_fft16x16_66_LE_COFF.out: src/DSP_fft16x16//c66/DSP_fft16x16_d.c
src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_COFF/Release/DSP_fft16x16_66_LE_COFF.out: src/DSP_fft16x16//c66/gen_twiddle_fft16x16.c
src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_COFF/Release/DSP_fft16x16_66_LE_COFF.out: src/DSP_fft16x16//c66/gen_twiddle_fft16x16.h
src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_COFF/Release/DSP_fft16x16_66_LE_COFF.out: src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_COFF/.project
	-@ echo Importing Project DSP_fft16x16_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fft16x16_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16/c66/DSP_fft16x16_66_LE_COFF"
	-@ echo Building Project DSP_fft16x16_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fft16x16_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_fft16x16_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x16_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_fft16x16_66_BE_COFF

#############################################################

.executables: src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_COFF/Release/DSP_fft16x16_66_BE_COFF.out

.projects: src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_COFF

src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_COFF: src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_COFF/.project

src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fft16x16_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FFT16X16_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X16_66_BE_COFF_SRCDSP_FFT16X16C66/DSP_fft16x16_d.c\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X16_66_BE_COFF_SRCDSP_FFT16X16C66/gen_twiddle_fft16x16.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16_66_BE_COFF_SRCDSP_FFT16X16 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16_66_BE_COFF_SRCDSP_FFT16X16C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16/c66" \

	echo EXT_ROOT__DSP_FFT16X16_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FFT16X16_66_BE_COFF_SRCDSP_FFT16X16=../../ >> src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FFT16X16_66_BE_COFF_SRCDSP_FFT16X16C66=.././ >> src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x16_66_BE_COFF"
src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_COFF/Release/DSP_fft16x16_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_COFF/Release/DSP_fft16x16_66_BE_COFF.out: src/DSP_fft16x16/DSP_fft16x16.h
src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_COFF/Release/DSP_fft16x16_66_BE_COFF.out: src/DSP_fft16x16//c66/DSP_fft16x16.h
src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_COFF/Release/DSP_fft16x16_66_BE_COFF.out: src/DSP_fft16x16//c66/DSP_fft16x16_cn.h
src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_COFF/Release/DSP_fft16x16_66_BE_COFF.out: src/DSP_fft16x16//c66/DSP_fft16x16_d.c
src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_COFF/Release/DSP_fft16x16_66_BE_COFF.out: src/DSP_fft16x16//c66/gen_twiddle_fft16x16.c
src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_COFF/Release/DSP_fft16x16_66_BE_COFF.out: src/DSP_fft16x16//c66/gen_twiddle_fft16x16.h
src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_COFF/Release/DSP_fft16x16_66_BE_COFF.out: src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_COFF/.project
	-@ echo Importing Project DSP_fft16x16_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fft16x16_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16/c66/DSP_fft16x16_66_BE_COFF"
	-@ echo Building Project DSP_fft16x16_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fft16x16_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_fft16x16_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x16_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_fft16x16_66_LE_ELF

#############################################################

.executables: src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_ELF/Release/DSP_fft16x16_66_LE_ELF.out

.projects: src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_ELF

src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_ELF: src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_ELF/.project

src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fft16x16_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FFT16X16_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X16_66_LE_ELF_SRCDSP_FFT16X16C66/DSP_fft16x16_d.c\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X16_66_LE_ELF_SRCDSP_FFT16X16C66/gen_twiddle_fft16x16.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16_66_LE_ELF_SRCDSP_FFT16X16 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16_66_LE_ELF_SRCDSP_FFT16X16C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16/c66" \

	echo EXT_ROOT__DSP_FFT16X16_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FFT16X16_66_LE_ELF_SRCDSP_FFT16X16=../../ >> src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FFT16X16_66_LE_ELF_SRCDSP_FFT16X16C66=.././ >> src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x16_66_LE_ELF"
src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_ELF/Release/DSP_fft16x16_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_ELF/Release/DSP_fft16x16_66_LE_ELF.out: src/DSP_fft16x16/DSP_fft16x16.h
src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_ELF/Release/DSP_fft16x16_66_LE_ELF.out: src/DSP_fft16x16//c66/DSP_fft16x16.h
src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_ELF/Release/DSP_fft16x16_66_LE_ELF.out: src/DSP_fft16x16//c66/DSP_fft16x16_cn.h
src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_ELF/Release/DSP_fft16x16_66_LE_ELF.out: src/DSP_fft16x16//c66/DSP_fft16x16_d.c
src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_ELF/Release/DSP_fft16x16_66_LE_ELF.out: src/DSP_fft16x16//c66/gen_twiddle_fft16x16.c
src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_ELF/Release/DSP_fft16x16_66_LE_ELF.out: src/DSP_fft16x16//c66/gen_twiddle_fft16x16.h
src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_ELF/Release/DSP_fft16x16_66_LE_ELF.out: src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_ELF/.project
	-@ echo Importing Project DSP_fft16x16_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fft16x16_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16/c66/DSP_fft16x16_66_LE_ELF"
	-@ echo Building Project DSP_fft16x16_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fft16x16_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_fft16x16_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x16_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_fft16x16//c66//DSP_fft16x16_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_fft16x16_66_BE_ELF

#############################################################

.executables: src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_ELF/Release/DSP_fft16x16_66_BE_ELF.out

.projects: src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_ELF

src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_ELF: src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_ELF/.project

src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fft16x16_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FFT16X16_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X16_66_BE_ELF_SRCDSP_FFT16X16C66/DSP_fft16x16_d.c\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X16_66_BE_ELF_SRCDSP_FFT16X16C66/gen_twiddle_fft16x16.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16_66_BE_ELF_SRCDSP_FFT16X16 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16_66_BE_ELF_SRCDSP_FFT16X16C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16/c66" \

	echo EXT_ROOT__DSP_FFT16X16_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FFT16X16_66_BE_ELF_SRCDSP_FFT16X16=../../ >> src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FFT16X16_66_BE_ELF_SRCDSP_FFT16X16C66=.././ >> src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x16_66_BE_ELF"
src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_ELF/Release/DSP_fft16x16_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_ELF/Release/DSP_fft16x16_66_BE_ELF.out: src/DSP_fft16x16/DSP_fft16x16.h
src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_ELF/Release/DSP_fft16x16_66_BE_ELF.out: src/DSP_fft16x16//c66/DSP_fft16x16.h
src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_ELF/Release/DSP_fft16x16_66_BE_ELF.out: src/DSP_fft16x16//c66/DSP_fft16x16_cn.h
src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_ELF/Release/DSP_fft16x16_66_BE_ELF.out: src/DSP_fft16x16//c66/DSP_fft16x16_d.c
src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_ELF/Release/DSP_fft16x16_66_BE_ELF.out: src/DSP_fft16x16//c66/gen_twiddle_fft16x16.c
src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_ELF/Release/DSP_fft16x16_66_BE_ELF.out: src/DSP_fft16x16//c66/gen_twiddle_fft16x16.h
src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_ELF/Release/DSP_fft16x16_66_BE_ELF.out: src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_ELF/.project
	-@ echo Importing Project DSP_fft16x16_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fft16x16_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16/c66/DSP_fft16x16_66_BE_ELF"
	-@ echo Building Project DSP_fft16x16_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fft16x16_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_fft16x16_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x16_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_fft16x16//c66//DSP_fft16x16_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_fft16x16_imre_66_LE_COFF

#############################################################

.executables: src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_COFF/Release/DSP_fft16x16_imre_66_LE_COFF.out

.projects: src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_COFF

src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_COFF: src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_COFF/.project

src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16_imre_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fft16x16_imre_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FFT16X16_IMRE_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X16_IMRE_66_LE_COFF_SRCDSP_FFT16X16_IMREC66/DSP_fft16x16_imre_d.c\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X16_IMRE_66_LE_COFF_SRCDSP_FFT16X16_IMREC66/gen_twiddle_fft16x16_imre.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16_IMRE_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16_IMRE_66_LE_COFF_SRCDSP_FFT16X16_IMRE "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16_imre" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16_IMRE_66_LE_COFF_SRCDSP_FFT16X16_IMREC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16_imre/c66" \

	echo EXT_ROOT__DSP_FFT16X16_IMRE_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FFT16X16_IMRE_66_LE_COFF_SRCDSP_FFT16X16_IMRE=../../ >> src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FFT16X16_IMRE_66_LE_COFF_SRCDSP_FFT16X16_IMREC66=.././ >> src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x16_imre_66_LE_COFF"
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_COFF/Release/DSP_fft16x16_imre_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_COFF/Release/DSP_fft16x16_imre_66_LE_COFF.out: src/DSP_fft16x16_imre/DSP_fft16x16_imre.h
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_COFF/Release/DSP_fft16x16_imre_66_LE_COFF.out: src/DSP_fft16x16_imre//c66/DSP_fft16x16_imre.h
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_COFF/Release/DSP_fft16x16_imre_66_LE_COFF.out: src/DSP_fft16x16_imre//c66/DSP_fft16x16_imre_cn.h
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_COFF/Release/DSP_fft16x16_imre_66_LE_COFF.out: src/DSP_fft16x16_imre//c66/DSP_fft16x16_imre_d.c
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_COFF/Release/DSP_fft16x16_imre_66_LE_COFF.out: src/DSP_fft16x16_imre//c66/gen_twiddle_fft16x16_imre.c
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_COFF/Release/DSP_fft16x16_imre_66_LE_COFF.out: src/DSP_fft16x16_imre//c66/gen_twiddle_fft16x16_imre.h
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_COFF/Release/DSP_fft16x16_imre_66_LE_COFF.out: src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_COFF/.project
	-@ echo Importing Project DSP_fft16x16_imre_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16_imre_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fft16x16_imre_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16_imre/c66/DSP_fft16x16_imre_66_LE_COFF"
	-@ echo Building Project DSP_fft16x16_imre_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16_imre_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fft16x16_imre_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_fft16x16_imre_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x16_imre_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_fft16x16_imre_66_BE_COFF

#############################################################

.executables: src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_COFF/Release/DSP_fft16x16_imre_66_BE_COFF.out

.projects: src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_COFF

src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_COFF: src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_COFF/.project

src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16_imre_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fft16x16_imre_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FFT16X16_IMRE_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X16_IMRE_66_BE_COFF_SRCDSP_FFT16X16_IMREC66/DSP_fft16x16_imre_d.c\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X16_IMRE_66_BE_COFF_SRCDSP_FFT16X16_IMREC66/gen_twiddle_fft16x16_imre.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16_IMRE_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16_IMRE_66_BE_COFF_SRCDSP_FFT16X16_IMRE "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16_imre" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16_IMRE_66_BE_COFF_SRCDSP_FFT16X16_IMREC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16_imre/c66" \

	echo EXT_ROOT__DSP_FFT16X16_IMRE_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FFT16X16_IMRE_66_BE_COFF_SRCDSP_FFT16X16_IMRE=../../ >> src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FFT16X16_IMRE_66_BE_COFF_SRCDSP_FFT16X16_IMREC66=.././ >> src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x16_imre_66_BE_COFF"
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_COFF/Release/DSP_fft16x16_imre_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_COFF/Release/DSP_fft16x16_imre_66_BE_COFF.out: src/DSP_fft16x16_imre/DSP_fft16x16_imre.h
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_COFF/Release/DSP_fft16x16_imre_66_BE_COFF.out: src/DSP_fft16x16_imre//c66/DSP_fft16x16_imre.h
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_COFF/Release/DSP_fft16x16_imre_66_BE_COFF.out: src/DSP_fft16x16_imre//c66/DSP_fft16x16_imre_cn.h
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_COFF/Release/DSP_fft16x16_imre_66_BE_COFF.out: src/DSP_fft16x16_imre//c66/DSP_fft16x16_imre_d.c
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_COFF/Release/DSP_fft16x16_imre_66_BE_COFF.out: src/DSP_fft16x16_imre//c66/gen_twiddle_fft16x16_imre.c
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_COFF/Release/DSP_fft16x16_imre_66_BE_COFF.out: src/DSP_fft16x16_imre//c66/gen_twiddle_fft16x16_imre.h
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_COFF/Release/DSP_fft16x16_imre_66_BE_COFF.out: src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_COFF/.project
	-@ echo Importing Project DSP_fft16x16_imre_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16_imre_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fft16x16_imre_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16_imre/c66/DSP_fft16x16_imre_66_BE_COFF"
	-@ echo Building Project DSP_fft16x16_imre_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16_imre_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fft16x16_imre_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_fft16x16_imre_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x16_imre_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_fft16x16_imre_66_LE_ELF

#############################################################

.executables: src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_ELF/Release/DSP_fft16x16_imre_66_LE_ELF.out

.projects: src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_ELF

src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_ELF: src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_ELF/.project

src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16_imre_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fft16x16_imre_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FFT16X16_IMRE_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X16_IMRE_66_LE_ELF_SRCDSP_FFT16X16_IMREC66/DSP_fft16x16_imre_d.c\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X16_IMRE_66_LE_ELF_SRCDSP_FFT16X16_IMREC66/gen_twiddle_fft16x16_imre.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16_IMRE_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16_IMRE_66_LE_ELF_SRCDSP_FFT16X16_IMRE "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16_imre" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16_IMRE_66_LE_ELF_SRCDSP_FFT16X16_IMREC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16_imre/c66" \

	echo EXT_ROOT__DSP_FFT16X16_IMRE_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FFT16X16_IMRE_66_LE_ELF_SRCDSP_FFT16X16_IMRE=../../ >> src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FFT16X16_IMRE_66_LE_ELF_SRCDSP_FFT16X16_IMREC66=.././ >> src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x16_imre_66_LE_ELF"
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_ELF/Release/DSP_fft16x16_imre_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_ELF/Release/DSP_fft16x16_imre_66_LE_ELF.out: src/DSP_fft16x16_imre/DSP_fft16x16_imre.h
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_ELF/Release/DSP_fft16x16_imre_66_LE_ELF.out: src/DSP_fft16x16_imre//c66/DSP_fft16x16_imre.h
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_ELF/Release/DSP_fft16x16_imre_66_LE_ELF.out: src/DSP_fft16x16_imre//c66/DSP_fft16x16_imre_cn.h
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_ELF/Release/DSP_fft16x16_imre_66_LE_ELF.out: src/DSP_fft16x16_imre//c66/DSP_fft16x16_imre_d.c
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_ELF/Release/DSP_fft16x16_imre_66_LE_ELF.out: src/DSP_fft16x16_imre//c66/gen_twiddle_fft16x16_imre.c
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_ELF/Release/DSP_fft16x16_imre_66_LE_ELF.out: src/DSP_fft16x16_imre//c66/gen_twiddle_fft16x16_imre.h
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_ELF/Release/DSP_fft16x16_imre_66_LE_ELF.out: src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_ELF/.project
	-@ echo Importing Project DSP_fft16x16_imre_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16_imre_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fft16x16_imre_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16_imre/c66/DSP_fft16x16_imre_66_LE_ELF"
	-@ echo Building Project DSP_fft16x16_imre_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16_imre_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fft16x16_imre_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_fft16x16_imre_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x16_imre_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_fft16x16_imre_66_BE_ELF

#############################################################

.executables: src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_ELF/Release/DSP_fft16x16_imre_66_BE_ELF.out

.projects: src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_ELF

src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_ELF: src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_ELF/.project

src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16_imre_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fft16x16_imre_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FFT16X16_IMRE_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X16_IMRE_66_BE_ELF_SRCDSP_FFT16X16_IMREC66/DSP_fft16x16_imre_d.c\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X16_IMRE_66_BE_ELF_SRCDSP_FFT16X16_IMREC66/gen_twiddle_fft16x16_imre.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16_IMRE_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16_IMRE_66_BE_ELF_SRCDSP_FFT16X16_IMRE "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16_imre" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X16_IMRE_66_BE_ELF_SRCDSP_FFT16X16_IMREC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16_imre/c66" \

	echo EXT_ROOT__DSP_FFT16X16_IMRE_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FFT16X16_IMRE_66_BE_ELF_SRCDSP_FFT16X16_IMRE=../../ >> src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FFT16X16_IMRE_66_BE_ELF_SRCDSP_FFT16X16_IMREC66=.././ >> src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x16_imre_66_BE_ELF"
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_ELF/Release/DSP_fft16x16_imre_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_ELF/Release/DSP_fft16x16_imre_66_BE_ELF.out: src/DSP_fft16x16_imre/DSP_fft16x16_imre.h
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_ELF/Release/DSP_fft16x16_imre_66_BE_ELF.out: src/DSP_fft16x16_imre//c66/DSP_fft16x16_imre.h
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_ELF/Release/DSP_fft16x16_imre_66_BE_ELF.out: src/DSP_fft16x16_imre//c66/DSP_fft16x16_imre_cn.h
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_ELF/Release/DSP_fft16x16_imre_66_BE_ELF.out: src/DSP_fft16x16_imre//c66/DSP_fft16x16_imre_d.c
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_ELF/Release/DSP_fft16x16_imre_66_BE_ELF.out: src/DSP_fft16x16_imre//c66/gen_twiddle_fft16x16_imre.c
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_ELF/Release/DSP_fft16x16_imre_66_BE_ELF.out: src/DSP_fft16x16_imre//c66/gen_twiddle_fft16x16_imre.h
src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_ELF/Release/DSP_fft16x16_imre_66_BE_ELF.out: src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_ELF/.project
	-@ echo Importing Project DSP_fft16x16_imre_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16_imre_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fft16x16_imre_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x16_imre/c66/DSP_fft16x16_imre_66_BE_ELF"
	-@ echo Building Project DSP_fft16x16_imre_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x16_imre_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fft16x16_imre_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_fft16x16_imre_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x16_imre_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_fft16x16_imre//c66//DSP_fft16x16_imre_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_fft16x32_66_LE_COFF

#############################################################

.executables: src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_COFF/Release/DSP_fft16x32_66_LE_COFF.out

.projects: src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_COFF

src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_COFF: src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_COFF/.project

src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x32_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fft16x32_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FFT16X32_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X32_66_LE_COFF_SRCDSP_FFT16X32C66/DSP_fft16x32_d.c\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X32_66_LE_COFF_SRCDSP_FFT16X32C66/gen_twiddle_fft16x32.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X32_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X32_66_LE_COFF_SRCDSP_FFT16X32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x32" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X32_66_LE_COFF_SRCDSP_FFT16X32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x32/c66" \

	echo EXT_ROOT__DSP_FFT16X32_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FFT16X32_66_LE_COFF_SRCDSP_FFT16X32=../../ >> src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FFT16X32_66_LE_COFF_SRCDSP_FFT16X32C66=.././ >> src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x32_66_LE_COFF"
src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_COFF/Release/DSP_fft16x32_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_COFF/Release/DSP_fft16x32_66_LE_COFF.out: src/DSP_fft16x32/DSP_fft16x32.h
src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_COFF/Release/DSP_fft16x32_66_LE_COFF.out: src/DSP_fft16x32//c66/DSP_fft16x32.h
src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_COFF/Release/DSP_fft16x32_66_LE_COFF.out: src/DSP_fft16x32//c66/DSP_fft16x32_cn.h
src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_COFF/Release/DSP_fft16x32_66_LE_COFF.out: src/DSP_fft16x32//c66/DSP_fft16x32_d.c
src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_COFF/Release/DSP_fft16x32_66_LE_COFF.out: src/DSP_fft16x32//c66/gen_twiddle_fft16x32.c
src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_COFF/Release/DSP_fft16x32_66_LE_COFF.out: src/DSP_fft16x32//c66/gen_twiddle_fft16x32.h
src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_COFF/Release/DSP_fft16x32_66_LE_COFF.out: src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_COFF/.project
	-@ echo Importing Project DSP_fft16x32_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x32_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fft16x32_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x32/c66/DSP_fft16x32_66_LE_COFF"
	-@ echo Building Project DSP_fft16x32_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x32_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fft16x32_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_fft16x32_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x32_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_fft16x32_66_BE_COFF

#############################################################

.executables: src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_COFF/Release/DSP_fft16x32_66_BE_COFF.out

.projects: src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_COFF

src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_COFF: src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_COFF/.project

src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x32_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fft16x32_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FFT16X32_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X32_66_BE_COFF_SRCDSP_FFT16X32C66/DSP_fft16x32_d.c\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X32_66_BE_COFF_SRCDSP_FFT16X32C66/gen_twiddle_fft16x32.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X32_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X32_66_BE_COFF_SRCDSP_FFT16X32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x32" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X32_66_BE_COFF_SRCDSP_FFT16X32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x32/c66" \

	echo EXT_ROOT__DSP_FFT16X32_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FFT16X32_66_BE_COFF_SRCDSP_FFT16X32=../../ >> src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FFT16X32_66_BE_COFF_SRCDSP_FFT16X32C66=.././ >> src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x32_66_BE_COFF"
src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_COFF/Release/DSP_fft16x32_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_COFF/Release/DSP_fft16x32_66_BE_COFF.out: src/DSP_fft16x32/DSP_fft16x32.h
src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_COFF/Release/DSP_fft16x32_66_BE_COFF.out: src/DSP_fft16x32//c66/DSP_fft16x32.h
src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_COFF/Release/DSP_fft16x32_66_BE_COFF.out: src/DSP_fft16x32//c66/DSP_fft16x32_cn.h
src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_COFF/Release/DSP_fft16x32_66_BE_COFF.out: src/DSP_fft16x32//c66/DSP_fft16x32_d.c
src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_COFF/Release/DSP_fft16x32_66_BE_COFF.out: src/DSP_fft16x32//c66/gen_twiddle_fft16x32.c
src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_COFF/Release/DSP_fft16x32_66_BE_COFF.out: src/DSP_fft16x32//c66/gen_twiddle_fft16x32.h
src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_COFF/Release/DSP_fft16x32_66_BE_COFF.out: src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_COFF/.project
	-@ echo Importing Project DSP_fft16x32_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x32_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fft16x32_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x32/c66/DSP_fft16x32_66_BE_COFF"
	-@ echo Building Project DSP_fft16x32_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x32_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fft16x32_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_fft16x32_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x32_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_fft16x32_66_LE_ELF

#############################################################

.executables: src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_ELF/Release/DSP_fft16x32_66_LE_ELF.out

.projects: src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_ELF

src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_ELF: src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_ELF/.project

src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x32_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fft16x32_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FFT16X32_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X32_66_LE_ELF_SRCDSP_FFT16X32C66/DSP_fft16x32_d.c\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X32_66_LE_ELF_SRCDSP_FFT16X32C66/gen_twiddle_fft16x32.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X32_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X32_66_LE_ELF_SRCDSP_FFT16X32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x32" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X32_66_LE_ELF_SRCDSP_FFT16X32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x32/c66" \

	echo EXT_ROOT__DSP_FFT16X32_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FFT16X32_66_LE_ELF_SRCDSP_FFT16X32=../../ >> src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FFT16X32_66_LE_ELF_SRCDSP_FFT16X32C66=.././ >> src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x32_66_LE_ELF"
src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_ELF/Release/DSP_fft16x32_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_ELF/Release/DSP_fft16x32_66_LE_ELF.out: src/DSP_fft16x32/DSP_fft16x32.h
src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_ELF/Release/DSP_fft16x32_66_LE_ELF.out: src/DSP_fft16x32//c66/DSP_fft16x32.h
src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_ELF/Release/DSP_fft16x32_66_LE_ELF.out: src/DSP_fft16x32//c66/DSP_fft16x32_cn.h
src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_ELF/Release/DSP_fft16x32_66_LE_ELF.out: src/DSP_fft16x32//c66/DSP_fft16x32_d.c
src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_ELF/Release/DSP_fft16x32_66_LE_ELF.out: src/DSP_fft16x32//c66/gen_twiddle_fft16x32.c
src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_ELF/Release/DSP_fft16x32_66_LE_ELF.out: src/DSP_fft16x32//c66/gen_twiddle_fft16x32.h
src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_ELF/Release/DSP_fft16x32_66_LE_ELF.out: src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_ELF/.project
	-@ echo Importing Project DSP_fft16x32_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x32_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fft16x32_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x32/c66/DSP_fft16x32_66_LE_ELF"
	-@ echo Building Project DSP_fft16x32_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x32_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fft16x32_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_fft16x32_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x32_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_fft16x32//c66//DSP_fft16x32_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_fft16x32_66_BE_ELF

#############################################################

.executables: src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_ELF/Release/DSP_fft16x32_66_BE_ELF.out

.projects: src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_ELF

src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_ELF: src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_ELF/.project

src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x32_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fft16x32_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FFT16X32_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X32_66_BE_ELF_SRCDSP_FFT16X32C66/DSP_fft16x32_d.c\
 -ccs.linkFile EXT_ROOT__DSP_FFT16X32_66_BE_ELF_SRCDSP_FFT16X32C66/gen_twiddle_fft16x32.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X32_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X32_66_BE_ELF_SRCDSP_FFT16X32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x32" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT16X32_66_BE_ELF_SRCDSP_FFT16X32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x32/c66" \

	echo EXT_ROOT__DSP_FFT16X32_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FFT16X32_66_BE_ELF_SRCDSP_FFT16X32=../../ >> src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FFT16X32_66_BE_ELF_SRCDSP_FFT16X32C66=.././ >> src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x32_66_BE_ELF"
src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_ELF/Release/DSP_fft16x32_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_ELF/Release/DSP_fft16x32_66_BE_ELF.out: src/DSP_fft16x32/DSP_fft16x32.h
src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_ELF/Release/DSP_fft16x32_66_BE_ELF.out: src/DSP_fft16x32//c66/DSP_fft16x32.h
src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_ELF/Release/DSP_fft16x32_66_BE_ELF.out: src/DSP_fft16x32//c66/DSP_fft16x32_cn.h
src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_ELF/Release/DSP_fft16x32_66_BE_ELF.out: src/DSP_fft16x32//c66/DSP_fft16x32_d.c
src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_ELF/Release/DSP_fft16x32_66_BE_ELF.out: src/DSP_fft16x32//c66/gen_twiddle_fft16x32.c
src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_ELF/Release/DSP_fft16x32_66_BE_ELF.out: src/DSP_fft16x32//c66/gen_twiddle_fft16x32.h
src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_ELF/Release/DSP_fft16x32_66_BE_ELF.out: src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_ELF/.project
	-@ echo Importing Project DSP_fft16x32_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x32_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fft16x32_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft16x32/c66/DSP_fft16x32_66_BE_ELF"
	-@ echo Building Project DSP_fft16x32_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft16x32_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fft16x32_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_fft16x32_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fft16x32_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_fft16x32//c66//DSP_fft16x32_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_fft32x32s_66_LE_COFF

#############################################################

.executables: src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_COFF/Release/DSP_fft32x32s_66_LE_COFF.out

.projects: src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_COFF

src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_COFF: src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_COFF/.project

src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft32x32s_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fft32x32s_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FFT32X32S_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FFT32X32S_66_LE_COFF_SRCDSP_FFT32X32SC66/DSP_fft32x32s_d.c\
 -ccs.linkFile EXT_ROOT__DSP_FFT32X32S_66_LE_COFF_SRCDSP_FFT32X32SC66/gen_twiddle_fft32x32s.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FFT32X32S_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT32X32S_66_LE_COFF_SRCDSP_FFT32X32S "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft32x32s" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT32X32S_66_LE_COFF_SRCDSP_FFT32X32SC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft32x32s/c66" \

	echo EXT_ROOT__DSP_FFT32X32S_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FFT32X32S_66_LE_COFF_SRCDSP_FFT32X32S=../../ >> src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FFT32X32S_66_LE_COFF_SRCDSP_FFT32X32SC66=.././ >> src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fft32x32s_66_LE_COFF"
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_COFF/Release/DSP_fft32x32s_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_COFF/Release/DSP_fft32x32s_66_LE_COFF.out: src/DSP_fft32x32s/DSP_fft32x32s.h
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_COFF/Release/DSP_fft32x32s_66_LE_COFF.out: src/DSP_fft32x32s//c66/DSP_fft32x32s.h
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_COFF/Release/DSP_fft32x32s_66_LE_COFF.out: src/DSP_fft32x32s//c66/DSP_fft32x32s_cn.h
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_COFF/Release/DSP_fft32x32s_66_LE_COFF.out: src/DSP_fft32x32s//c66/DSP_fft32x32s_d.c
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_COFF/Release/DSP_fft32x32s_66_LE_COFF.out: src/DSP_fft32x32s//c66/gen_twiddle_fft32x32s.c
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_COFF/Release/DSP_fft32x32s_66_LE_COFF.out: src/DSP_fft32x32s//c66/gen_twiddle_fft32x32s.h
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_COFF/Release/DSP_fft32x32s_66_LE_COFF.out: src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_COFF/.project
	-@ echo Importing Project DSP_fft32x32s_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft32x32s_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fft32x32s_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft32x32s/c66/DSP_fft32x32s_66_LE_COFF"
	-@ echo Building Project DSP_fft32x32s_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft32x32s_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fft32x32s_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_fft32x32s_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fft32x32s_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_fft32x32s_66_BE_COFF

#############################################################

.executables: src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_COFF/Release/DSP_fft32x32s_66_BE_COFF.out

.projects: src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_COFF

src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_COFF: src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_COFF/.project

src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft32x32s_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fft32x32s_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FFT32X32S_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FFT32X32S_66_BE_COFF_SRCDSP_FFT32X32SC66/DSP_fft32x32s_d.c\
 -ccs.linkFile EXT_ROOT__DSP_FFT32X32S_66_BE_COFF_SRCDSP_FFT32X32SC66/gen_twiddle_fft32x32s.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FFT32X32S_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT32X32S_66_BE_COFF_SRCDSP_FFT32X32S "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft32x32s" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT32X32S_66_BE_COFF_SRCDSP_FFT32X32SC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft32x32s/c66" \

	echo EXT_ROOT__DSP_FFT32X32S_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FFT32X32S_66_BE_COFF_SRCDSP_FFT32X32S=../../ >> src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FFT32X32S_66_BE_COFF_SRCDSP_FFT32X32SC66=.././ >> src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fft32x32s_66_BE_COFF"
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_COFF/Release/DSP_fft32x32s_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_COFF/Release/DSP_fft32x32s_66_BE_COFF.out: src/DSP_fft32x32s/DSP_fft32x32s.h
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_COFF/Release/DSP_fft32x32s_66_BE_COFF.out: src/DSP_fft32x32s//c66/DSP_fft32x32s.h
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_COFF/Release/DSP_fft32x32s_66_BE_COFF.out: src/DSP_fft32x32s//c66/DSP_fft32x32s_cn.h
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_COFF/Release/DSP_fft32x32s_66_BE_COFF.out: src/DSP_fft32x32s//c66/DSP_fft32x32s_d.c
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_COFF/Release/DSP_fft32x32s_66_BE_COFF.out: src/DSP_fft32x32s//c66/gen_twiddle_fft32x32s.c
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_COFF/Release/DSP_fft32x32s_66_BE_COFF.out: src/DSP_fft32x32s//c66/gen_twiddle_fft32x32s.h
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_COFF/Release/DSP_fft32x32s_66_BE_COFF.out: src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_COFF/.project
	-@ echo Importing Project DSP_fft32x32s_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft32x32s_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fft32x32s_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft32x32s/c66/DSP_fft32x32s_66_BE_COFF"
	-@ echo Building Project DSP_fft32x32s_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft32x32s_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fft32x32s_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_fft32x32s_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fft32x32s_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_fft32x32s_66_LE_ELF

#############################################################

.executables: src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_ELF/Release/DSP_fft32x32s_66_LE_ELF.out

.projects: src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_ELF

src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_ELF: src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_ELF/.project

src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft32x32s_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fft32x32s_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FFT32X32S_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FFT32X32S_66_LE_ELF_SRCDSP_FFT32X32SC66/DSP_fft32x32s_d.c\
 -ccs.linkFile EXT_ROOT__DSP_FFT32X32S_66_LE_ELF_SRCDSP_FFT32X32SC66/gen_twiddle_fft32x32s.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FFT32X32S_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT32X32S_66_LE_ELF_SRCDSP_FFT32X32S "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft32x32s" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT32X32S_66_LE_ELF_SRCDSP_FFT32X32SC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft32x32s/c66" \

	echo EXT_ROOT__DSP_FFT32X32S_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FFT32X32S_66_LE_ELF_SRCDSP_FFT32X32S=../../ >> src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FFT32X32S_66_LE_ELF_SRCDSP_FFT32X32SC66=.././ >> src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fft32x32s_66_LE_ELF"
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_ELF/Release/DSP_fft32x32s_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_ELF/Release/DSP_fft32x32s_66_LE_ELF.out: src/DSP_fft32x32s/DSP_fft32x32s.h
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_ELF/Release/DSP_fft32x32s_66_LE_ELF.out: src/DSP_fft32x32s//c66/DSP_fft32x32s.h
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_ELF/Release/DSP_fft32x32s_66_LE_ELF.out: src/DSP_fft32x32s//c66/DSP_fft32x32s_cn.h
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_ELF/Release/DSP_fft32x32s_66_LE_ELF.out: src/DSP_fft32x32s//c66/DSP_fft32x32s_d.c
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_ELF/Release/DSP_fft32x32s_66_LE_ELF.out: src/DSP_fft32x32s//c66/gen_twiddle_fft32x32s.c
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_ELF/Release/DSP_fft32x32s_66_LE_ELF.out: src/DSP_fft32x32s//c66/gen_twiddle_fft32x32s.h
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_ELF/Release/DSP_fft32x32s_66_LE_ELF.out: src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_ELF/.project
	-@ echo Importing Project DSP_fft32x32s_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft32x32s_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fft32x32s_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft32x32s/c66/DSP_fft32x32s_66_LE_ELF"
	-@ echo Building Project DSP_fft32x32s_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft32x32s_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fft32x32s_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_fft32x32s_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fft32x32s_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_fft32x32s//c66//DSP_fft32x32s_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_fft32x32s_66_BE_ELF

#############################################################

.executables: src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_ELF/Release/DSP_fft32x32s_66_BE_ELF.out

.projects: src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_ELF

src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_ELF: src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_ELF/.project

src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft32x32s_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fft32x32s_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FFT32X32S_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FFT32X32S_66_BE_ELF_SRCDSP_FFT32X32SC66/DSP_fft32x32s_d.c\
 -ccs.linkFile EXT_ROOT__DSP_FFT32X32S_66_BE_ELF_SRCDSP_FFT32X32SC66/gen_twiddle_fft32x32s.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FFT32X32S_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT32X32S_66_BE_ELF_SRCDSP_FFT32X32S "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft32x32s" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT32X32S_66_BE_ELF_SRCDSP_FFT32X32SC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft32x32s/c66" \

	echo EXT_ROOT__DSP_FFT32X32S_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FFT32X32S_66_BE_ELF_SRCDSP_FFT32X32S=../../ >> src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FFT32X32S_66_BE_ELF_SRCDSP_FFT32X32SC66=.././ >> src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fft32x32s_66_BE_ELF"
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_ELF/Release/DSP_fft32x32s_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_ELF/Release/DSP_fft32x32s_66_BE_ELF.out: src/DSP_fft32x32s/DSP_fft32x32s.h
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_ELF/Release/DSP_fft32x32s_66_BE_ELF.out: src/DSP_fft32x32s//c66/DSP_fft32x32s.h
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_ELF/Release/DSP_fft32x32s_66_BE_ELF.out: src/DSP_fft32x32s//c66/DSP_fft32x32s_cn.h
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_ELF/Release/DSP_fft32x32s_66_BE_ELF.out: src/DSP_fft32x32s//c66/DSP_fft32x32s_d.c
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_ELF/Release/DSP_fft32x32s_66_BE_ELF.out: src/DSP_fft32x32s//c66/gen_twiddle_fft32x32s.c
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_ELF/Release/DSP_fft32x32s_66_BE_ELF.out: src/DSP_fft32x32s//c66/gen_twiddle_fft32x32s.h
src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_ELF/Release/DSP_fft32x32s_66_BE_ELF.out: src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_ELF/.project
	-@ echo Importing Project DSP_fft32x32s_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft32x32s_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fft32x32s_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft32x32s/c66/DSP_fft32x32s_66_BE_ELF"
	-@ echo Building Project DSP_fft32x32s_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft32x32s_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fft32x32s_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_fft32x32s_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fft32x32s_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_fft32x32s//c66//DSP_fft32x32s_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_fft32x32_66_LE_COFF

#############################################################

.executables: src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_COFF/Release/DSP_fft32x32_66_LE_COFF.out

.projects: src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_COFF

src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_COFF: src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_COFF/.project

src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft32x32_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fft32x32_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FFT32X32_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FFT32X32_66_LE_COFF_SRCDSP_FFT32X32C66/DSP_fft32x32_d.c\
 -ccs.linkFile EXT_ROOT__DSP_FFT32X32_66_LE_COFF_SRCDSP_FFT32X32C66/gen_twiddle_fft32x32.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FFT32X32_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT32X32_66_LE_COFF_SRCDSP_FFT32X32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft32x32" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT32X32_66_LE_COFF_SRCDSP_FFT32X32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft32x32/c66" \

	echo EXT_ROOT__DSP_FFT32X32_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FFT32X32_66_LE_COFF_SRCDSP_FFT32X32=../../ >> src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FFT32X32_66_LE_COFF_SRCDSP_FFT32X32C66=.././ >> src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fft32x32_66_LE_COFF"
src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_COFF/Release/DSP_fft32x32_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_COFF/Release/DSP_fft32x32_66_LE_COFF.out: src/DSP_fft32x32/DSP_fft32x32.h
src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_COFF/Release/DSP_fft32x32_66_LE_COFF.out: src/DSP_fft32x32//c66/DSP_fft32x32.h
src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_COFF/Release/DSP_fft32x32_66_LE_COFF.out: src/DSP_fft32x32//c66/DSP_fft32x32_cn.h
src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_COFF/Release/DSP_fft32x32_66_LE_COFF.out: src/DSP_fft32x32//c66/DSP_fft32x32_d.c
src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_COFF/Release/DSP_fft32x32_66_LE_COFF.out: src/DSP_fft32x32//c66/gen_twiddle_fft32x32.c
src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_COFF/Release/DSP_fft32x32_66_LE_COFF.out: src/DSP_fft32x32//c66/gen_twiddle_fft32x32.h
src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_COFF/Release/DSP_fft32x32_66_LE_COFF.out: src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_COFF/.project
	-@ echo Importing Project DSP_fft32x32_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft32x32_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fft32x32_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft32x32/c66/DSP_fft32x32_66_LE_COFF"
	-@ echo Building Project DSP_fft32x32_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft32x32_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fft32x32_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_fft32x32_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fft32x32_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_fft32x32_66_BE_COFF

#############################################################

.executables: src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_COFF/Release/DSP_fft32x32_66_BE_COFF.out

.projects: src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_COFF

src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_COFF: src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_COFF/.project

src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft32x32_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fft32x32_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FFT32X32_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FFT32X32_66_BE_COFF_SRCDSP_FFT32X32C66/DSP_fft32x32_d.c\
 -ccs.linkFile EXT_ROOT__DSP_FFT32X32_66_BE_COFF_SRCDSP_FFT32X32C66/gen_twiddle_fft32x32.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FFT32X32_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT32X32_66_BE_COFF_SRCDSP_FFT32X32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft32x32" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT32X32_66_BE_COFF_SRCDSP_FFT32X32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft32x32/c66" \

	echo EXT_ROOT__DSP_FFT32X32_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FFT32X32_66_BE_COFF_SRCDSP_FFT32X32=../../ >> src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FFT32X32_66_BE_COFF_SRCDSP_FFT32X32C66=.././ >> src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fft32x32_66_BE_COFF"
src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_COFF/Release/DSP_fft32x32_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_COFF/Release/DSP_fft32x32_66_BE_COFF.out: src/DSP_fft32x32/DSP_fft32x32.h
src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_COFF/Release/DSP_fft32x32_66_BE_COFF.out: src/DSP_fft32x32//c66/DSP_fft32x32.h
src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_COFF/Release/DSP_fft32x32_66_BE_COFF.out: src/DSP_fft32x32//c66/DSP_fft32x32_cn.h
src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_COFF/Release/DSP_fft32x32_66_BE_COFF.out: src/DSP_fft32x32//c66/DSP_fft32x32_d.c
src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_COFF/Release/DSP_fft32x32_66_BE_COFF.out: src/DSP_fft32x32//c66/gen_twiddle_fft32x32.c
src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_COFF/Release/DSP_fft32x32_66_BE_COFF.out: src/DSP_fft32x32//c66/gen_twiddle_fft32x32.h
src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_COFF/Release/DSP_fft32x32_66_BE_COFF.out: src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_COFF/.project
	-@ echo Importing Project DSP_fft32x32_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft32x32_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fft32x32_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft32x32/c66/DSP_fft32x32_66_BE_COFF"
	-@ echo Building Project DSP_fft32x32_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft32x32_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fft32x32_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_fft32x32_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fft32x32_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_fft32x32_66_LE_ELF

#############################################################

.executables: src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_ELF/Release/DSP_fft32x32_66_LE_ELF.out

.projects: src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_ELF

src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_ELF: src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_ELF/.project

src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft32x32_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fft32x32_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FFT32X32_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FFT32X32_66_LE_ELF_SRCDSP_FFT32X32C66/DSP_fft32x32_d.c\
 -ccs.linkFile EXT_ROOT__DSP_FFT32X32_66_LE_ELF_SRCDSP_FFT32X32C66/gen_twiddle_fft32x32.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FFT32X32_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT32X32_66_LE_ELF_SRCDSP_FFT32X32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft32x32" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT32X32_66_LE_ELF_SRCDSP_FFT32X32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft32x32/c66" \

	echo EXT_ROOT__DSP_FFT32X32_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FFT32X32_66_LE_ELF_SRCDSP_FFT32X32=../../ >> src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FFT32X32_66_LE_ELF_SRCDSP_FFT32X32C66=.././ >> src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fft32x32_66_LE_ELF"
src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_ELF/Release/DSP_fft32x32_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_ELF/Release/DSP_fft32x32_66_LE_ELF.out: src/DSP_fft32x32/DSP_fft32x32.h
src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_ELF/Release/DSP_fft32x32_66_LE_ELF.out: src/DSP_fft32x32//c66/DSP_fft32x32.h
src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_ELF/Release/DSP_fft32x32_66_LE_ELF.out: src/DSP_fft32x32//c66/DSP_fft32x32_cn.h
src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_ELF/Release/DSP_fft32x32_66_LE_ELF.out: src/DSP_fft32x32//c66/DSP_fft32x32_d.c
src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_ELF/Release/DSP_fft32x32_66_LE_ELF.out: src/DSP_fft32x32//c66/gen_twiddle_fft32x32.c
src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_ELF/Release/DSP_fft32x32_66_LE_ELF.out: src/DSP_fft32x32//c66/gen_twiddle_fft32x32.h
src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_ELF/Release/DSP_fft32x32_66_LE_ELF.out: src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_ELF/.project
	-@ echo Importing Project DSP_fft32x32_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft32x32_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fft32x32_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft32x32/c66/DSP_fft32x32_66_LE_ELF"
	-@ echo Building Project DSP_fft32x32_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft32x32_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fft32x32_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_fft32x32_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fft32x32_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_fft32x32//c66//DSP_fft32x32_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_fft32x32_66_BE_ELF

#############################################################

.executables: src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_ELF/Release/DSP_fft32x32_66_BE_ELF.out

.projects: src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_ELF

src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_ELF: src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_ELF/.project

src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft32x32_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fft32x32_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FFT32X32_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FFT32X32_66_BE_ELF_SRCDSP_FFT32X32C66/DSP_fft32x32_d.c\
 -ccs.linkFile EXT_ROOT__DSP_FFT32X32_66_BE_ELF_SRCDSP_FFT32X32C66/gen_twiddle_fft32x32.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FFT32X32_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT32X32_66_BE_ELF_SRCDSP_FFT32X32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft32x32" \
 -ccs.definePathVariable EXT_ROOT__DSP_FFT32X32_66_BE_ELF_SRCDSP_FFT32X32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft32x32/c66" \

	echo EXT_ROOT__DSP_FFT32X32_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FFT32X32_66_BE_ELF_SRCDSP_FFT32X32=../../ >> src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FFT32X32_66_BE_ELF_SRCDSP_FFT32X32C66=.././ >> src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fft32x32_66_BE_ELF"
src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_ELF/Release/DSP_fft32x32_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_ELF/Release/DSP_fft32x32_66_BE_ELF.out: src/DSP_fft32x32/DSP_fft32x32.h
src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_ELF/Release/DSP_fft32x32_66_BE_ELF.out: src/DSP_fft32x32//c66/DSP_fft32x32.h
src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_ELF/Release/DSP_fft32x32_66_BE_ELF.out: src/DSP_fft32x32//c66/DSP_fft32x32_cn.h
src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_ELF/Release/DSP_fft32x32_66_BE_ELF.out: src/DSP_fft32x32//c66/DSP_fft32x32_d.c
src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_ELF/Release/DSP_fft32x32_66_BE_ELF.out: src/DSP_fft32x32//c66/gen_twiddle_fft32x32.c
src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_ELF/Release/DSP_fft32x32_66_BE_ELF.out: src/DSP_fft32x32//c66/gen_twiddle_fft32x32.h
src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_ELF/Release/DSP_fft32x32_66_BE_ELF.out: src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_ELF/.project
	-@ echo Importing Project DSP_fft32x32_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft32x32_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fft32x32_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fft32x32/c66/DSP_fft32x32_66_BE_ELF"
	-@ echo Building Project DSP_fft32x32_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fft32x32_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fft32x32_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_fft32x32_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fft32x32_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_fft32x32//c66//DSP_fft32x32_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_firlms2_66_LE_COFF

#############################################################

.executables: src/DSP_firlms2//c66//DSP_firlms2_66_LE_COFF/Release/DSP_firlms2_66_LE_COFF.out

.projects: src/DSP_firlms2//c66//DSP_firlms2_66_LE_COFF

src/DSP_firlms2//c66//DSP_firlms2_66_LE_COFF: src/DSP_firlms2//c66//DSP_firlms2_66_LE_COFF/.project

src/DSP_firlms2//c66//DSP_firlms2_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_firlms2_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_firlms2_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIRLMS2_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIRLMS2_66_LE_COFF_SRCDSP_FIRLMS2C66/DSP_firlms2_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_firlms2//c66//DSP_firlms2_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FIRLMS2_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIRLMS2_66_LE_COFF_SRCDSP_FIRLMS2 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_firlms2" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIRLMS2_66_LE_COFF_SRCDSP_FIRLMS2C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_firlms2/c66" \

	echo EXT_ROOT__DSP_FIRLMS2_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_firlms2//c66//DSP_firlms2_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIRLMS2_66_LE_COFF_SRCDSP_FIRLMS2=../../ >> src/DSP_firlms2//c66//DSP_firlms2_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIRLMS2_66_LE_COFF_SRCDSP_FIRLMS2C66=.././ >> src/DSP_firlms2//c66//DSP_firlms2_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_firlms2_66_LE_COFF"
src/DSP_firlms2//c66//DSP_firlms2_66_LE_COFF/Release/DSP_firlms2_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_firlms2//c66//DSP_firlms2_66_LE_COFF/Release/DSP_firlms2_66_LE_COFF.out: src/DSP_firlms2/DSP_firlms2.h
src/DSP_firlms2//c66//DSP_firlms2_66_LE_COFF/Release/DSP_firlms2_66_LE_COFF.out: src/DSP_firlms2//c66/DSP_firlms2.h
src/DSP_firlms2//c66//DSP_firlms2_66_LE_COFF/Release/DSP_firlms2_66_LE_COFF.out: src/DSP_firlms2//c66/DSP_firlms2_cn.h
src/DSP_firlms2//c66//DSP_firlms2_66_LE_COFF/Release/DSP_firlms2_66_LE_COFF.out: src/DSP_firlms2//c66/DSP_firlms2_d.c
src/DSP_firlms2//c66//DSP_firlms2_66_LE_COFF/Release/DSP_firlms2_66_LE_COFF.out: src/DSP_firlms2//c66//DSP_firlms2_66_LE_COFF/.project
	-@ echo Importing Project DSP_firlms2_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_firlms2_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_firlms2_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_firlms2/c66/DSP_firlms2_66_LE_COFF"
	-@ echo Building Project DSP_firlms2_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_firlms2_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_firlms2_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_firlms2_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_firlms2_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_firlms2//c66//DSP_firlms2_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_firlms2_66_BE_COFF

#############################################################

.executables: src/DSP_firlms2//c66//DSP_firlms2_66_BE_COFF/Release/DSP_firlms2_66_BE_COFF.out

.projects: src/DSP_firlms2//c66//DSP_firlms2_66_BE_COFF

src/DSP_firlms2//c66//DSP_firlms2_66_BE_COFF: src/DSP_firlms2//c66//DSP_firlms2_66_BE_COFF/.project

src/DSP_firlms2//c66//DSP_firlms2_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_firlms2_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_firlms2_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIRLMS2_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIRLMS2_66_BE_COFF_SRCDSP_FIRLMS2C66/DSP_firlms2_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_firlms2//c66//DSP_firlms2_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FIRLMS2_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIRLMS2_66_BE_COFF_SRCDSP_FIRLMS2 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_firlms2" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIRLMS2_66_BE_COFF_SRCDSP_FIRLMS2C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_firlms2/c66" \

	echo EXT_ROOT__DSP_FIRLMS2_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_firlms2//c66//DSP_firlms2_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIRLMS2_66_BE_COFF_SRCDSP_FIRLMS2=../../ >> src/DSP_firlms2//c66//DSP_firlms2_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIRLMS2_66_BE_COFF_SRCDSP_FIRLMS2C66=.././ >> src/DSP_firlms2//c66//DSP_firlms2_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_firlms2_66_BE_COFF"
src/DSP_firlms2//c66//DSP_firlms2_66_BE_COFF/Release/DSP_firlms2_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_firlms2//c66//DSP_firlms2_66_BE_COFF/Release/DSP_firlms2_66_BE_COFF.out: src/DSP_firlms2/DSP_firlms2.h
src/DSP_firlms2//c66//DSP_firlms2_66_BE_COFF/Release/DSP_firlms2_66_BE_COFF.out: src/DSP_firlms2//c66/DSP_firlms2.h
src/DSP_firlms2//c66//DSP_firlms2_66_BE_COFF/Release/DSP_firlms2_66_BE_COFF.out: src/DSP_firlms2//c66/DSP_firlms2_cn.h
src/DSP_firlms2//c66//DSP_firlms2_66_BE_COFF/Release/DSP_firlms2_66_BE_COFF.out: src/DSP_firlms2//c66/DSP_firlms2_d.c
src/DSP_firlms2//c66//DSP_firlms2_66_BE_COFF/Release/DSP_firlms2_66_BE_COFF.out: src/DSP_firlms2//c66//DSP_firlms2_66_BE_COFF/.project
	-@ echo Importing Project DSP_firlms2_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_firlms2_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_firlms2_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_firlms2/c66/DSP_firlms2_66_BE_COFF"
	-@ echo Building Project DSP_firlms2_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_firlms2_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_firlms2_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_firlms2_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_firlms2_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_firlms2//c66//DSP_firlms2_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_firlms2_66_LE_ELF

#############################################################

.executables: src/DSP_firlms2//c66//DSP_firlms2_66_LE_ELF/Release/DSP_firlms2_66_LE_ELF.out

.projects: src/DSP_firlms2//c66//DSP_firlms2_66_LE_ELF

src/DSP_firlms2//c66//DSP_firlms2_66_LE_ELF: src/DSP_firlms2//c66//DSP_firlms2_66_LE_ELF/.project

src/DSP_firlms2//c66//DSP_firlms2_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_firlms2_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_firlms2_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIRLMS2_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIRLMS2_66_LE_ELF_SRCDSP_FIRLMS2C66/DSP_firlms2_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_firlms2//c66//DSP_firlms2_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FIRLMS2_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIRLMS2_66_LE_ELF_SRCDSP_FIRLMS2 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_firlms2" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIRLMS2_66_LE_ELF_SRCDSP_FIRLMS2C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_firlms2/c66" \

	echo EXT_ROOT__DSP_FIRLMS2_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_firlms2//c66//DSP_firlms2_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIRLMS2_66_LE_ELF_SRCDSP_FIRLMS2=../../ >> src/DSP_firlms2//c66//DSP_firlms2_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIRLMS2_66_LE_ELF_SRCDSP_FIRLMS2C66=.././ >> src/DSP_firlms2//c66//DSP_firlms2_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_firlms2_66_LE_ELF"
src/DSP_firlms2//c66//DSP_firlms2_66_LE_ELF/Release/DSP_firlms2_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_firlms2//c66//DSP_firlms2_66_LE_ELF/Release/DSP_firlms2_66_LE_ELF.out: src/DSP_firlms2/DSP_firlms2.h
src/DSP_firlms2//c66//DSP_firlms2_66_LE_ELF/Release/DSP_firlms2_66_LE_ELF.out: src/DSP_firlms2//c66/DSP_firlms2.h
src/DSP_firlms2//c66//DSP_firlms2_66_LE_ELF/Release/DSP_firlms2_66_LE_ELF.out: src/DSP_firlms2//c66/DSP_firlms2_cn.h
src/DSP_firlms2//c66//DSP_firlms2_66_LE_ELF/Release/DSP_firlms2_66_LE_ELF.out: src/DSP_firlms2//c66/DSP_firlms2_d.c
src/DSP_firlms2//c66//DSP_firlms2_66_LE_ELF/Release/DSP_firlms2_66_LE_ELF.out: src/DSP_firlms2//c66//DSP_firlms2_66_LE_ELF/.project
	-@ echo Importing Project DSP_firlms2_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_firlms2_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_firlms2_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_firlms2/c66/DSP_firlms2_66_LE_ELF"
	-@ echo Building Project DSP_firlms2_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_firlms2_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_firlms2_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_firlms2_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_firlms2_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_firlms2//c66//DSP_firlms2_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_firlms2_66_BE_ELF

#############################################################

.executables: src/DSP_firlms2//c66//DSP_firlms2_66_BE_ELF/Release/DSP_firlms2_66_BE_ELF.out

.projects: src/DSP_firlms2//c66//DSP_firlms2_66_BE_ELF

src/DSP_firlms2//c66//DSP_firlms2_66_BE_ELF: src/DSP_firlms2//c66//DSP_firlms2_66_BE_ELF/.project

src/DSP_firlms2//c66//DSP_firlms2_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_firlms2_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_firlms2_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIRLMS2_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIRLMS2_66_BE_ELF_SRCDSP_FIRLMS2C66/DSP_firlms2_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_firlms2//c66//DSP_firlms2_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FIRLMS2_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIRLMS2_66_BE_ELF_SRCDSP_FIRLMS2 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_firlms2" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIRLMS2_66_BE_ELF_SRCDSP_FIRLMS2C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_firlms2/c66" \

	echo EXT_ROOT__DSP_FIRLMS2_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_firlms2//c66//DSP_firlms2_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIRLMS2_66_BE_ELF_SRCDSP_FIRLMS2=../../ >> src/DSP_firlms2//c66//DSP_firlms2_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIRLMS2_66_BE_ELF_SRCDSP_FIRLMS2C66=.././ >> src/DSP_firlms2//c66//DSP_firlms2_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_firlms2_66_BE_ELF"
src/DSP_firlms2//c66//DSP_firlms2_66_BE_ELF/Release/DSP_firlms2_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_firlms2//c66//DSP_firlms2_66_BE_ELF/Release/DSP_firlms2_66_BE_ELF.out: src/DSP_firlms2/DSP_firlms2.h
src/DSP_firlms2//c66//DSP_firlms2_66_BE_ELF/Release/DSP_firlms2_66_BE_ELF.out: src/DSP_firlms2//c66/DSP_firlms2.h
src/DSP_firlms2//c66//DSP_firlms2_66_BE_ELF/Release/DSP_firlms2_66_BE_ELF.out: src/DSP_firlms2//c66/DSP_firlms2_cn.h
src/DSP_firlms2//c66//DSP_firlms2_66_BE_ELF/Release/DSP_firlms2_66_BE_ELF.out: src/DSP_firlms2//c66/DSP_firlms2_d.c
src/DSP_firlms2//c66//DSP_firlms2_66_BE_ELF/Release/DSP_firlms2_66_BE_ELF.out: src/DSP_firlms2//c66//DSP_firlms2_66_BE_ELF/.project
	-@ echo Importing Project DSP_firlms2_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_firlms2_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_firlms2_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_firlms2/c66/DSP_firlms2_66_BE_ELF"
	-@ echo Building Project DSP_firlms2_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_firlms2_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_firlms2_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_firlms2_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_firlms2_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_firlms2//c66//DSP_firlms2_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_fir_cplx_66_LE_COFF

#############################################################

.executables: src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_COFF/Release/DSP_fir_cplx_66_LE_COFF.out

.projects: src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_COFF

src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_COFF: src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_COFF/.project

src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_cplx_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_cplx_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_CPLX_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_CPLX_66_LE_COFF_SRCDSP_FIR_CPLXC66/DSP_fir_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_CPLX_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_CPLX_66_LE_COFF_SRCDSP_FIR_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_CPLX_66_LE_COFF_SRCDSP_FIR_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_cplx/c66" \

	echo EXT_ROOT__DSP_FIR_CPLX_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_CPLX_66_LE_COFF_SRCDSP_FIR_CPLX=../../ >> src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_CPLX_66_LE_COFF_SRCDSP_FIR_CPLXC66=.././ >> src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_cplx_66_LE_COFF"
src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_COFF/Release/DSP_fir_cplx_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_COFF/Release/DSP_fir_cplx_66_LE_COFF.out: src/DSP_fir_cplx/DSP_fir_cplx.h
src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_COFF/Release/DSP_fir_cplx_66_LE_COFF.out: src/DSP_fir_cplx//c66/DSP_fir_cplx.h
src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_COFF/Release/DSP_fir_cplx_66_LE_COFF.out: src/DSP_fir_cplx//c66/DSP_fir_cplx_cn.h
src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_COFF/Release/DSP_fir_cplx_66_LE_COFF.out: src/DSP_fir_cplx//c66/DSP_fir_cplx_d.c
src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_COFF/Release/DSP_fir_cplx_66_LE_COFF.out: src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_COFF/.project
	-@ echo Importing Project DSP_fir_cplx_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_cplx_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_cplx_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_cplx/c66/DSP_fir_cplx_66_LE_COFF"
	-@ echo Building Project DSP_fir_cplx_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_cplx_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_cplx_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_fir_cplx_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_cplx_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_fir_cplx_66_BE_COFF

#############################################################

.executables: src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_COFF/Release/DSP_fir_cplx_66_BE_COFF.out

.projects: src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_COFF

src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_COFF: src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_COFF/.project

src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_cplx_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_cplx_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_CPLX_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_CPLX_66_BE_COFF_SRCDSP_FIR_CPLXC66/DSP_fir_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_CPLX_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_CPLX_66_BE_COFF_SRCDSP_FIR_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_CPLX_66_BE_COFF_SRCDSP_FIR_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_cplx/c66" \

	echo EXT_ROOT__DSP_FIR_CPLX_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_CPLX_66_BE_COFF_SRCDSP_FIR_CPLX=../../ >> src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_CPLX_66_BE_COFF_SRCDSP_FIR_CPLXC66=.././ >> src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_cplx_66_BE_COFF"
src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_COFF/Release/DSP_fir_cplx_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_COFF/Release/DSP_fir_cplx_66_BE_COFF.out: src/DSP_fir_cplx/DSP_fir_cplx.h
src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_COFF/Release/DSP_fir_cplx_66_BE_COFF.out: src/DSP_fir_cplx//c66/DSP_fir_cplx.h
src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_COFF/Release/DSP_fir_cplx_66_BE_COFF.out: src/DSP_fir_cplx//c66/DSP_fir_cplx_cn.h
src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_COFF/Release/DSP_fir_cplx_66_BE_COFF.out: src/DSP_fir_cplx//c66/DSP_fir_cplx_d.c
src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_COFF/Release/DSP_fir_cplx_66_BE_COFF.out: src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_COFF/.project
	-@ echo Importing Project DSP_fir_cplx_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_cplx_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_cplx_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_cplx/c66/DSP_fir_cplx_66_BE_COFF"
	-@ echo Building Project DSP_fir_cplx_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_cplx_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_cplx_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_fir_cplx_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_cplx_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_fir_cplx_66_LE_ELF

#############################################################

.executables: src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_ELF/Release/DSP_fir_cplx_66_LE_ELF.out

.projects: src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_ELF

src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_ELF: src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_ELF/.project

src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_cplx_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_cplx_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_CPLX_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_CPLX_66_LE_ELF_SRCDSP_FIR_CPLXC66/DSP_fir_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_CPLX_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_CPLX_66_LE_ELF_SRCDSP_FIR_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_CPLX_66_LE_ELF_SRCDSP_FIR_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_cplx/c66" \

	echo EXT_ROOT__DSP_FIR_CPLX_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_CPLX_66_LE_ELF_SRCDSP_FIR_CPLX=../../ >> src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_CPLX_66_LE_ELF_SRCDSP_FIR_CPLXC66=.././ >> src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_cplx_66_LE_ELF"
src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_ELF/Release/DSP_fir_cplx_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_ELF/Release/DSP_fir_cplx_66_LE_ELF.out: src/DSP_fir_cplx/DSP_fir_cplx.h
src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_ELF/Release/DSP_fir_cplx_66_LE_ELF.out: src/DSP_fir_cplx//c66/DSP_fir_cplx.h
src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_ELF/Release/DSP_fir_cplx_66_LE_ELF.out: src/DSP_fir_cplx//c66/DSP_fir_cplx_cn.h
src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_ELF/Release/DSP_fir_cplx_66_LE_ELF.out: src/DSP_fir_cplx//c66/DSP_fir_cplx_d.c
src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_ELF/Release/DSP_fir_cplx_66_LE_ELF.out: src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_ELF/.project
	-@ echo Importing Project DSP_fir_cplx_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_cplx_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_cplx_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_cplx/c66/DSP_fir_cplx_66_LE_ELF"
	-@ echo Building Project DSP_fir_cplx_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_cplx_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_cplx_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_fir_cplx_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_cplx_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_fir_cplx//c66//DSP_fir_cplx_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_fir_cplx_66_BE_ELF

#############################################################

.executables: src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_ELF/Release/DSP_fir_cplx_66_BE_ELF.out

.projects: src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_ELF

src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_ELF: src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_ELF/.project

src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_cplx_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_cplx_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_CPLX_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_CPLX_66_BE_ELF_SRCDSP_FIR_CPLXC66/DSP_fir_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_CPLX_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_CPLX_66_BE_ELF_SRCDSP_FIR_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_CPLX_66_BE_ELF_SRCDSP_FIR_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_cplx/c66" \

	echo EXT_ROOT__DSP_FIR_CPLX_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_CPLX_66_BE_ELF_SRCDSP_FIR_CPLX=../../ >> src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_CPLX_66_BE_ELF_SRCDSP_FIR_CPLXC66=.././ >> src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_cplx_66_BE_ELF"
src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_ELF/Release/DSP_fir_cplx_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_ELF/Release/DSP_fir_cplx_66_BE_ELF.out: src/DSP_fir_cplx/DSP_fir_cplx.h
src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_ELF/Release/DSP_fir_cplx_66_BE_ELF.out: src/DSP_fir_cplx//c66/DSP_fir_cplx.h
src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_ELF/Release/DSP_fir_cplx_66_BE_ELF.out: src/DSP_fir_cplx//c66/DSP_fir_cplx_cn.h
src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_ELF/Release/DSP_fir_cplx_66_BE_ELF.out: src/DSP_fir_cplx//c66/DSP_fir_cplx_d.c
src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_ELF/Release/DSP_fir_cplx_66_BE_ELF.out: src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_ELF/.project
	-@ echo Importing Project DSP_fir_cplx_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_cplx_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_cplx_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_cplx/c66/DSP_fir_cplx_66_BE_ELF"
	-@ echo Building Project DSP_fir_cplx_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_cplx_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_cplx_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_fir_cplx_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_cplx_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_fir_cplx//c66//DSP_fir_cplx_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_fir_cplx_hM4X4_66_LE_COFF

#############################################################

.executables: src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_COFF/Release/DSP_fir_cplx_hM4X4_66_LE_COFF.out

.projects: src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_COFF

src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_COFF: src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_COFF/.project

src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_cplx_hM4X4_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_cplx_hM4X4_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_LE_COFF_SRCDSP_FIR_CPLX_HM4X4C66/DSP_fir_cplx_hM4X4_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_LE_COFF_SRCDSP_FIR_CPLX_HM4X4 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_cplx_hM4X4" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_LE_COFF_SRCDSP_FIR_CPLX_HM4X4C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_cplx_hM4X4/c66" \

	echo EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_LE_COFF_SRCDSP_FIR_CPLX_HM4X4=../../ >> src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_LE_COFF_SRCDSP_FIR_CPLX_HM4X4C66=.././ >> src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_cplx_hM4X4_66_LE_COFF"
src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_COFF/Release/DSP_fir_cplx_hM4X4_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_COFF/Release/DSP_fir_cplx_hM4X4_66_LE_COFF.out: src/DSP_fir_cplx_hM4X4/DSP_fir_cplx_hM4X4.h
src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_COFF/Release/DSP_fir_cplx_hM4X4_66_LE_COFF.out: src/DSP_fir_cplx_hM4X4//c66/DSP_fir_cplx_hM4X4.h
src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_COFF/Release/DSP_fir_cplx_hM4X4_66_LE_COFF.out: src/DSP_fir_cplx_hM4X4//c66/DSP_fir_cplx_hM4X4_cn.h
src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_COFF/Release/DSP_fir_cplx_hM4X4_66_LE_COFF.out: src/DSP_fir_cplx_hM4X4//c66/DSP_fir_cplx_hM4X4_d.c
src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_COFF/Release/DSP_fir_cplx_hM4X4_66_LE_COFF.out: src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_COFF/.project
	-@ echo Importing Project DSP_fir_cplx_hM4X4_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_cplx_hM4X4_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_cplx_hM4X4_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_cplx_hM4X4/c66/DSP_fir_cplx_hM4X4_66_LE_COFF"
	-@ echo Building Project DSP_fir_cplx_hM4X4_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_cplx_hM4X4_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_cplx_hM4X4_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_fir_cplx_hM4X4_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_cplx_hM4X4_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_fir_cplx_hM4X4_66_BE_COFF

#############################################################

.executables: src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_COFF/Release/DSP_fir_cplx_hM4X4_66_BE_COFF.out

.projects: src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_COFF

src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_COFF: src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_COFF/.project

src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_cplx_hM4X4_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_cplx_hM4X4_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_BE_COFF_SRCDSP_FIR_CPLX_HM4X4C66/DSP_fir_cplx_hM4X4_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_BE_COFF_SRCDSP_FIR_CPLX_HM4X4 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_cplx_hM4X4" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_BE_COFF_SRCDSP_FIR_CPLX_HM4X4C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_cplx_hM4X4/c66" \

	echo EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_BE_COFF_SRCDSP_FIR_CPLX_HM4X4=../../ >> src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_BE_COFF_SRCDSP_FIR_CPLX_HM4X4C66=.././ >> src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_cplx_hM4X4_66_BE_COFF"
src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_COFF/Release/DSP_fir_cplx_hM4X4_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_COFF/Release/DSP_fir_cplx_hM4X4_66_BE_COFF.out: src/DSP_fir_cplx_hM4X4/DSP_fir_cplx_hM4X4.h
src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_COFF/Release/DSP_fir_cplx_hM4X4_66_BE_COFF.out: src/DSP_fir_cplx_hM4X4//c66/DSP_fir_cplx_hM4X4.h
src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_COFF/Release/DSP_fir_cplx_hM4X4_66_BE_COFF.out: src/DSP_fir_cplx_hM4X4//c66/DSP_fir_cplx_hM4X4_cn.h
src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_COFF/Release/DSP_fir_cplx_hM4X4_66_BE_COFF.out: src/DSP_fir_cplx_hM4X4//c66/DSP_fir_cplx_hM4X4_d.c
src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_COFF/Release/DSP_fir_cplx_hM4X4_66_BE_COFF.out: src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_COFF/.project
	-@ echo Importing Project DSP_fir_cplx_hM4X4_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_cplx_hM4X4_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_cplx_hM4X4_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_cplx_hM4X4/c66/DSP_fir_cplx_hM4X4_66_BE_COFF"
	-@ echo Building Project DSP_fir_cplx_hM4X4_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_cplx_hM4X4_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_cplx_hM4X4_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_fir_cplx_hM4X4_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_cplx_hM4X4_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_fir_cplx_hM4X4_66_LE_ELF

#############################################################

.executables: src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_ELF/Release/DSP_fir_cplx_hM4X4_66_LE_ELF.out

.projects: src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_ELF

src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_ELF: src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_ELF/.project

src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_cplx_hM4X4_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_cplx_hM4X4_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_LE_ELF_SRCDSP_FIR_CPLX_HM4X4C66/DSP_fir_cplx_hM4X4_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_LE_ELF_SRCDSP_FIR_CPLX_HM4X4 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_cplx_hM4X4" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_LE_ELF_SRCDSP_FIR_CPLX_HM4X4C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_cplx_hM4X4/c66" \

	echo EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_LE_ELF_SRCDSP_FIR_CPLX_HM4X4=../../ >> src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_LE_ELF_SRCDSP_FIR_CPLX_HM4X4C66=.././ >> src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_cplx_hM4X4_66_LE_ELF"
src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_ELF/Release/DSP_fir_cplx_hM4X4_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_ELF/Release/DSP_fir_cplx_hM4X4_66_LE_ELF.out: src/DSP_fir_cplx_hM4X4/DSP_fir_cplx_hM4X4.h
src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_ELF/Release/DSP_fir_cplx_hM4X4_66_LE_ELF.out: src/DSP_fir_cplx_hM4X4//c66/DSP_fir_cplx_hM4X4.h
src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_ELF/Release/DSP_fir_cplx_hM4X4_66_LE_ELF.out: src/DSP_fir_cplx_hM4X4//c66/DSP_fir_cplx_hM4X4_cn.h
src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_ELF/Release/DSP_fir_cplx_hM4X4_66_LE_ELF.out: src/DSP_fir_cplx_hM4X4//c66/DSP_fir_cplx_hM4X4_d.c
src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_ELF/Release/DSP_fir_cplx_hM4X4_66_LE_ELF.out: src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_ELF/.project
	-@ echo Importing Project DSP_fir_cplx_hM4X4_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_cplx_hM4X4_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_cplx_hM4X4_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_cplx_hM4X4/c66/DSP_fir_cplx_hM4X4_66_LE_ELF"
	-@ echo Building Project DSP_fir_cplx_hM4X4_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_cplx_hM4X4_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_cplx_hM4X4_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_fir_cplx_hM4X4_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_cplx_hM4X4_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_fir_cplx_hM4X4_66_BE_ELF

#############################################################

.executables: src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_ELF/Release/DSP_fir_cplx_hM4X4_66_BE_ELF.out

.projects: src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_ELF

src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_ELF: src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_ELF/.project

src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_cplx_hM4X4_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_cplx_hM4X4_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_BE_ELF_SRCDSP_FIR_CPLX_HM4X4C66/DSP_fir_cplx_hM4X4_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_BE_ELF_SRCDSP_FIR_CPLX_HM4X4 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_cplx_hM4X4" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_BE_ELF_SRCDSP_FIR_CPLX_HM4X4C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_cplx_hM4X4/c66" \

	echo EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_BE_ELF_SRCDSP_FIR_CPLX_HM4X4=../../ >> src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_CPLX_HM4X4_66_BE_ELF_SRCDSP_FIR_CPLX_HM4X4C66=.././ >> src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_cplx_hM4X4_66_BE_ELF"
src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_ELF/Release/DSP_fir_cplx_hM4X4_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_ELF/Release/DSP_fir_cplx_hM4X4_66_BE_ELF.out: src/DSP_fir_cplx_hM4X4/DSP_fir_cplx_hM4X4.h
src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_ELF/Release/DSP_fir_cplx_hM4X4_66_BE_ELF.out: src/DSP_fir_cplx_hM4X4//c66/DSP_fir_cplx_hM4X4.h
src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_ELF/Release/DSP_fir_cplx_hM4X4_66_BE_ELF.out: src/DSP_fir_cplx_hM4X4//c66/DSP_fir_cplx_hM4X4_cn.h
src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_ELF/Release/DSP_fir_cplx_hM4X4_66_BE_ELF.out: src/DSP_fir_cplx_hM4X4//c66/DSP_fir_cplx_hM4X4_d.c
src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_ELF/Release/DSP_fir_cplx_hM4X4_66_BE_ELF.out: src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_ELF/.project
	-@ echo Importing Project DSP_fir_cplx_hM4X4_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_cplx_hM4X4_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_cplx_hM4X4_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_cplx_hM4X4/c66/DSP_fir_cplx_hM4X4_66_BE_ELF"
	-@ echo Building Project DSP_fir_cplx_hM4X4_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_cplx_hM4X4_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_cplx_hM4X4_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_fir_cplx_hM4X4_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_cplx_hM4X4_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_fir_cplx_hM4X4//c66//DSP_fir_cplx_hM4X4_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_fir_gen_66_LE_COFF

#############################################################

.executables: src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_COFF/Release/DSP_fir_gen_66_LE_COFF.out

.projects: src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_COFF

src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_COFF: src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_COFF/.project

src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_gen_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_gen_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_GEN_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_GEN_66_LE_COFF_SRCDSP_FIR_GENC66/DSP_fir_gen_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_GEN_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_GEN_66_LE_COFF_SRCDSP_FIR_GEN "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_gen" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_GEN_66_LE_COFF_SRCDSP_FIR_GENC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_gen/c66" \

	echo EXT_ROOT__DSP_FIR_GEN_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_GEN_66_LE_COFF_SRCDSP_FIR_GEN=../../ >> src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_GEN_66_LE_COFF_SRCDSP_FIR_GENC66=.././ >> src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_gen_66_LE_COFF"
src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_COFF/Release/DSP_fir_gen_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_COFF/Release/DSP_fir_gen_66_LE_COFF.out: src/DSP_fir_gen/DSP_fir_gen.h
src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_COFF/Release/DSP_fir_gen_66_LE_COFF.out: src/DSP_fir_gen//c66/DSP_fir_gen.h
src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_COFF/Release/DSP_fir_gen_66_LE_COFF.out: src/DSP_fir_gen//c66/DSP_fir_gen_cn.h
src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_COFF/Release/DSP_fir_gen_66_LE_COFF.out: src/DSP_fir_gen//c66/DSP_fir_gen_d.c
src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_COFF/Release/DSP_fir_gen_66_LE_COFF.out: src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_COFF/.project
	-@ echo Importing Project DSP_fir_gen_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_gen_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_gen_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_gen/c66/DSP_fir_gen_66_LE_COFF"
	-@ echo Building Project DSP_fir_gen_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_gen_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_gen_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_fir_gen_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_gen_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_fir_gen_66_BE_COFF

#############################################################

.executables: src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_COFF/Release/DSP_fir_gen_66_BE_COFF.out

.projects: src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_COFF

src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_COFF: src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_COFF/.project

src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_gen_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_gen_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_GEN_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_GEN_66_BE_COFF_SRCDSP_FIR_GENC66/DSP_fir_gen_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_GEN_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_GEN_66_BE_COFF_SRCDSP_FIR_GEN "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_gen" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_GEN_66_BE_COFF_SRCDSP_FIR_GENC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_gen/c66" \

	echo EXT_ROOT__DSP_FIR_GEN_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_GEN_66_BE_COFF_SRCDSP_FIR_GEN=../../ >> src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_GEN_66_BE_COFF_SRCDSP_FIR_GENC66=.././ >> src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_gen_66_BE_COFF"
src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_COFF/Release/DSP_fir_gen_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_COFF/Release/DSP_fir_gen_66_BE_COFF.out: src/DSP_fir_gen/DSP_fir_gen.h
src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_COFF/Release/DSP_fir_gen_66_BE_COFF.out: src/DSP_fir_gen//c66/DSP_fir_gen.h
src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_COFF/Release/DSP_fir_gen_66_BE_COFF.out: src/DSP_fir_gen//c66/DSP_fir_gen_cn.h
src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_COFF/Release/DSP_fir_gen_66_BE_COFF.out: src/DSP_fir_gen//c66/DSP_fir_gen_d.c
src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_COFF/Release/DSP_fir_gen_66_BE_COFF.out: src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_COFF/.project
	-@ echo Importing Project DSP_fir_gen_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_gen_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_gen_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_gen/c66/DSP_fir_gen_66_BE_COFF"
	-@ echo Building Project DSP_fir_gen_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_gen_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_gen_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_fir_gen_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_gen_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_fir_gen_66_LE_ELF

#############################################################

.executables: src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_ELF/Release/DSP_fir_gen_66_LE_ELF.out

.projects: src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_ELF

src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_ELF: src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_ELF/.project

src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_gen_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_gen_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_GEN_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_GEN_66_LE_ELF_SRCDSP_FIR_GENC66/DSP_fir_gen_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_GEN_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_GEN_66_LE_ELF_SRCDSP_FIR_GEN "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_gen" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_GEN_66_LE_ELF_SRCDSP_FIR_GENC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_gen/c66" \

	echo EXT_ROOT__DSP_FIR_GEN_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_GEN_66_LE_ELF_SRCDSP_FIR_GEN=../../ >> src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_GEN_66_LE_ELF_SRCDSP_FIR_GENC66=.././ >> src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_gen_66_LE_ELF"
src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_ELF/Release/DSP_fir_gen_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_ELF/Release/DSP_fir_gen_66_LE_ELF.out: src/DSP_fir_gen/DSP_fir_gen.h
src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_ELF/Release/DSP_fir_gen_66_LE_ELF.out: src/DSP_fir_gen//c66/DSP_fir_gen.h
src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_ELF/Release/DSP_fir_gen_66_LE_ELF.out: src/DSP_fir_gen//c66/DSP_fir_gen_cn.h
src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_ELF/Release/DSP_fir_gen_66_LE_ELF.out: src/DSP_fir_gen//c66/DSP_fir_gen_d.c
src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_ELF/Release/DSP_fir_gen_66_LE_ELF.out: src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_ELF/.project
	-@ echo Importing Project DSP_fir_gen_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_gen_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_gen_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_gen/c66/DSP_fir_gen_66_LE_ELF"
	-@ echo Building Project DSP_fir_gen_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_gen_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_gen_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_fir_gen_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_gen_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_fir_gen//c66//DSP_fir_gen_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_fir_gen_66_BE_ELF

#############################################################

.executables: src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_ELF/Release/DSP_fir_gen_66_BE_ELF.out

.projects: src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_ELF

src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_ELF: src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_ELF/.project

src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_gen_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_gen_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_GEN_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_GEN_66_BE_ELF_SRCDSP_FIR_GENC66/DSP_fir_gen_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_GEN_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_GEN_66_BE_ELF_SRCDSP_FIR_GEN "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_gen" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_GEN_66_BE_ELF_SRCDSP_FIR_GENC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_gen/c66" \

	echo EXT_ROOT__DSP_FIR_GEN_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_GEN_66_BE_ELF_SRCDSP_FIR_GEN=../../ >> src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_GEN_66_BE_ELF_SRCDSP_FIR_GENC66=.././ >> src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_gen_66_BE_ELF"
src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_ELF/Release/DSP_fir_gen_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_ELF/Release/DSP_fir_gen_66_BE_ELF.out: src/DSP_fir_gen/DSP_fir_gen.h
src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_ELF/Release/DSP_fir_gen_66_BE_ELF.out: src/DSP_fir_gen//c66/DSP_fir_gen.h
src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_ELF/Release/DSP_fir_gen_66_BE_ELF.out: src/DSP_fir_gen//c66/DSP_fir_gen_cn.h
src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_ELF/Release/DSP_fir_gen_66_BE_ELF.out: src/DSP_fir_gen//c66/DSP_fir_gen_d.c
src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_ELF/Release/DSP_fir_gen_66_BE_ELF.out: src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_ELF/.project
	-@ echo Importing Project DSP_fir_gen_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_gen_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_gen_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_gen/c66/DSP_fir_gen_66_BE_ELF"
	-@ echo Building Project DSP_fir_gen_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_gen_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_gen_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_fir_gen_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_gen_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_fir_gen//c66//DSP_fir_gen_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_fir_gen_hM17_rA8X8_66_LE_COFF

#############################################################

.executables: src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_COFF/Release/DSP_fir_gen_hM17_rA8X8_66_LE_COFF.out

.projects: src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_COFF

src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_COFF: src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_COFF/.project

src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_gen_hM17_rA8X8_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_gen_hM17_rA8X8_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_LE_COFF_SRCDSP_FIR_GEN_HM17_RA8X8C66/DSP_fir_gen_hM17_rA8X8_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_LE_COFF_SRCDSP_FIR_GEN_HM17_RA8X8 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_gen_hM17_rA8X8" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_LE_COFF_SRCDSP_FIR_GEN_HM17_RA8X8C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_gen_hM17_rA8X8/c66" \

	echo EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_LE_COFF_SRCDSP_FIR_GEN_HM17_RA8X8=../../ >> src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_LE_COFF_SRCDSP_FIR_GEN_HM17_RA8X8C66=.././ >> src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_gen_hM17_rA8X8_66_LE_COFF"
src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_COFF/Release/DSP_fir_gen_hM17_rA8X8_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_COFF/Release/DSP_fir_gen_hM17_rA8X8_66_LE_COFF.out: src/DSP_fir_gen_hM17_rA8X8/DSP_fir_gen_hM17_rA8X8.h
src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_COFF/Release/DSP_fir_gen_hM17_rA8X8_66_LE_COFF.out: src/DSP_fir_gen_hM17_rA8X8//c66/DSP_fir_gen_hM17_rA8X8.h
src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_COFF/Release/DSP_fir_gen_hM17_rA8X8_66_LE_COFF.out: src/DSP_fir_gen_hM17_rA8X8//c66/DSP_fir_gen_hM17_rA8X8_cn.h
src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_COFF/Release/DSP_fir_gen_hM17_rA8X8_66_LE_COFF.out: src/DSP_fir_gen_hM17_rA8X8//c66/DSP_fir_gen_hM17_rA8X8_d.c
src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_COFF/Release/DSP_fir_gen_hM17_rA8X8_66_LE_COFF.out: src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_COFF/.project
	-@ echo Importing Project DSP_fir_gen_hM17_rA8X8_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_gen_hM17_rA8X8_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_gen_hM17_rA8X8_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_gen_hM17_rA8X8/c66/DSP_fir_gen_hM17_rA8X8_66_LE_COFF"
	-@ echo Building Project DSP_fir_gen_hM17_rA8X8_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_gen_hM17_rA8X8_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_gen_hM17_rA8X8_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_fir_gen_hM17_rA8X8_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_gen_hM17_rA8X8_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_fir_gen_hM17_rA8X8_66_BE_COFF

#############################################################

.executables: src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_COFF/Release/DSP_fir_gen_hM17_rA8X8_66_BE_COFF.out

.projects: src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_COFF

src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_COFF: src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_COFF/.project

src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_gen_hM17_rA8X8_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_gen_hM17_rA8X8_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_BE_COFF_SRCDSP_FIR_GEN_HM17_RA8X8C66/DSP_fir_gen_hM17_rA8X8_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_BE_COFF_SRCDSP_FIR_GEN_HM17_RA8X8 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_gen_hM17_rA8X8" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_BE_COFF_SRCDSP_FIR_GEN_HM17_RA8X8C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_gen_hM17_rA8X8/c66" \

	echo EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_BE_COFF_SRCDSP_FIR_GEN_HM17_RA8X8=../../ >> src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_BE_COFF_SRCDSP_FIR_GEN_HM17_RA8X8C66=.././ >> src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_gen_hM17_rA8X8_66_BE_COFF"
src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_COFF/Release/DSP_fir_gen_hM17_rA8X8_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_COFF/Release/DSP_fir_gen_hM17_rA8X8_66_BE_COFF.out: src/DSP_fir_gen_hM17_rA8X8/DSP_fir_gen_hM17_rA8X8.h
src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_COFF/Release/DSP_fir_gen_hM17_rA8X8_66_BE_COFF.out: src/DSP_fir_gen_hM17_rA8X8//c66/DSP_fir_gen_hM17_rA8X8.h
src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_COFF/Release/DSP_fir_gen_hM17_rA8X8_66_BE_COFF.out: src/DSP_fir_gen_hM17_rA8X8//c66/DSP_fir_gen_hM17_rA8X8_cn.h
src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_COFF/Release/DSP_fir_gen_hM17_rA8X8_66_BE_COFF.out: src/DSP_fir_gen_hM17_rA8X8//c66/DSP_fir_gen_hM17_rA8X8_d.c
src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_COFF/Release/DSP_fir_gen_hM17_rA8X8_66_BE_COFF.out: src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_COFF/.project
	-@ echo Importing Project DSP_fir_gen_hM17_rA8X8_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_gen_hM17_rA8X8_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_gen_hM17_rA8X8_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_gen_hM17_rA8X8/c66/DSP_fir_gen_hM17_rA8X8_66_BE_COFF"
	-@ echo Building Project DSP_fir_gen_hM17_rA8X8_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_gen_hM17_rA8X8_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_gen_hM17_rA8X8_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_fir_gen_hM17_rA8X8_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_gen_hM17_rA8X8_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_fir_gen_hM17_rA8X8_66_LE_ELF

#############################################################

.executables: src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_ELF/Release/DSP_fir_gen_hM17_rA8X8_66_LE_ELF.out

.projects: src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_ELF

src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_ELF: src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_ELF/.project

src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_gen_hM17_rA8X8_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_gen_hM17_rA8X8_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_LE_ELF_SRCDSP_FIR_GEN_HM17_RA8X8C66/DSP_fir_gen_hM17_rA8X8_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_LE_ELF_SRCDSP_FIR_GEN_HM17_RA8X8 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_gen_hM17_rA8X8" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_LE_ELF_SRCDSP_FIR_GEN_HM17_RA8X8C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_gen_hM17_rA8X8/c66" \

	echo EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_LE_ELF_SRCDSP_FIR_GEN_HM17_RA8X8=../../ >> src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_LE_ELF_SRCDSP_FIR_GEN_HM17_RA8X8C66=.././ >> src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_gen_hM17_rA8X8_66_LE_ELF"
src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_ELF/Release/DSP_fir_gen_hM17_rA8X8_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_ELF/Release/DSP_fir_gen_hM17_rA8X8_66_LE_ELF.out: src/DSP_fir_gen_hM17_rA8X8/DSP_fir_gen_hM17_rA8X8.h
src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_ELF/Release/DSP_fir_gen_hM17_rA8X8_66_LE_ELF.out: src/DSP_fir_gen_hM17_rA8X8//c66/DSP_fir_gen_hM17_rA8X8.h
src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_ELF/Release/DSP_fir_gen_hM17_rA8X8_66_LE_ELF.out: src/DSP_fir_gen_hM17_rA8X8//c66/DSP_fir_gen_hM17_rA8X8_cn.h
src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_ELF/Release/DSP_fir_gen_hM17_rA8X8_66_LE_ELF.out: src/DSP_fir_gen_hM17_rA8X8//c66/DSP_fir_gen_hM17_rA8X8_d.c
src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_ELF/Release/DSP_fir_gen_hM17_rA8X8_66_LE_ELF.out: src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_ELF/.project
	-@ echo Importing Project DSP_fir_gen_hM17_rA8X8_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_gen_hM17_rA8X8_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_gen_hM17_rA8X8_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_gen_hM17_rA8X8/c66/DSP_fir_gen_hM17_rA8X8_66_LE_ELF"
	-@ echo Building Project DSP_fir_gen_hM17_rA8X8_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_gen_hM17_rA8X8_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_gen_hM17_rA8X8_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_fir_gen_hM17_rA8X8_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_gen_hM17_rA8X8_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_fir_gen_hM17_rA8X8_66_BE_ELF

#############################################################

.executables: src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_ELF/Release/DSP_fir_gen_hM17_rA8X8_66_BE_ELF.out

.projects: src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_ELF

src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_ELF: src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_ELF/.project

src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_gen_hM17_rA8X8_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_gen_hM17_rA8X8_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_BE_ELF_SRCDSP_FIR_GEN_HM17_RA8X8C66/DSP_fir_gen_hM17_rA8X8_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_BE_ELF_SRCDSP_FIR_GEN_HM17_RA8X8 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_gen_hM17_rA8X8" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_BE_ELF_SRCDSP_FIR_GEN_HM17_RA8X8C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_gen_hM17_rA8X8/c66" \

	echo EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_BE_ELF_SRCDSP_FIR_GEN_HM17_RA8X8=../../ >> src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_GEN_HM17_RA8X8_66_BE_ELF_SRCDSP_FIR_GEN_HM17_RA8X8C66=.././ >> src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_gen_hM17_rA8X8_66_BE_ELF"
src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_ELF/Release/DSP_fir_gen_hM17_rA8X8_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_ELF/Release/DSP_fir_gen_hM17_rA8X8_66_BE_ELF.out: src/DSP_fir_gen_hM17_rA8X8/DSP_fir_gen_hM17_rA8X8.h
src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_ELF/Release/DSP_fir_gen_hM17_rA8X8_66_BE_ELF.out: src/DSP_fir_gen_hM17_rA8X8//c66/DSP_fir_gen_hM17_rA8X8.h
src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_ELF/Release/DSP_fir_gen_hM17_rA8X8_66_BE_ELF.out: src/DSP_fir_gen_hM17_rA8X8//c66/DSP_fir_gen_hM17_rA8X8_cn.h
src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_ELF/Release/DSP_fir_gen_hM17_rA8X8_66_BE_ELF.out: src/DSP_fir_gen_hM17_rA8X8//c66/DSP_fir_gen_hM17_rA8X8_d.c
src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_ELF/Release/DSP_fir_gen_hM17_rA8X8_66_BE_ELF.out: src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_ELF/.project
	-@ echo Importing Project DSP_fir_gen_hM17_rA8X8_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_gen_hM17_rA8X8_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_gen_hM17_rA8X8_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_gen_hM17_rA8X8/c66/DSP_fir_gen_hM17_rA8X8_66_BE_ELF"
	-@ echo Building Project DSP_fir_gen_hM17_rA8X8_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_gen_hM17_rA8X8_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_gen_hM17_rA8X8_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_fir_gen_hM17_rA8X8_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_gen_hM17_rA8X8_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_fir_gen_hM17_rA8X8//c66//DSP_fir_gen_hM17_rA8X8_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_fir_r4_66_LE_COFF

#############################################################

.executables: src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_COFF/Release/DSP_fir_r4_66_LE_COFF.out

.projects: src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_COFF

src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_COFF: src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_COFF/.project

src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r4_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_r4_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_R4_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_R4_66_LE_COFF_SRCDSP_FIR_R4C66/DSP_fir_r4_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R4_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R4_66_LE_COFF_SRCDSP_FIR_R4 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r4" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R4_66_LE_COFF_SRCDSP_FIR_R4C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r4/c66" \

	echo EXT_ROOT__DSP_FIR_R4_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_R4_66_LE_COFF_SRCDSP_FIR_R4=../../ >> src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_R4_66_LE_COFF_SRCDSP_FIR_R4C66=.././ >> src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r4_66_LE_COFF"
src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_COFF/Release/DSP_fir_r4_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_COFF/Release/DSP_fir_r4_66_LE_COFF.out: src/DSP_fir_r4/DSP_fir_r4.h
src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_COFF/Release/DSP_fir_r4_66_LE_COFF.out: src/DSP_fir_r4//c66/DSP_fir_r4.h
src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_COFF/Release/DSP_fir_r4_66_LE_COFF.out: src/DSP_fir_r4//c66/DSP_fir_r4_cn.h
src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_COFF/Release/DSP_fir_r4_66_LE_COFF.out: src/DSP_fir_r4//c66/DSP_fir_r4_d.c
src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_COFF/Release/DSP_fir_r4_66_LE_COFF.out: src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_COFF/.project
	-@ echo Importing Project DSP_fir_r4_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r4_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_r4_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r4/c66/DSP_fir_r4_66_LE_COFF"
	-@ echo Building Project DSP_fir_r4_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r4_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_r4_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_fir_r4_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r4_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_fir_r4_66_BE_COFF

#############################################################

.executables: src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_COFF/Release/DSP_fir_r4_66_BE_COFF.out

.projects: src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_COFF

src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_COFF: src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_COFF/.project

src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r4_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_r4_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_R4_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_R4_66_BE_COFF_SRCDSP_FIR_R4C66/DSP_fir_r4_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R4_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R4_66_BE_COFF_SRCDSP_FIR_R4 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r4" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R4_66_BE_COFF_SRCDSP_FIR_R4C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r4/c66" \

	echo EXT_ROOT__DSP_FIR_R4_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_R4_66_BE_COFF_SRCDSP_FIR_R4=../../ >> src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_R4_66_BE_COFF_SRCDSP_FIR_R4C66=.././ >> src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r4_66_BE_COFF"
src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_COFF/Release/DSP_fir_r4_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_COFF/Release/DSP_fir_r4_66_BE_COFF.out: src/DSP_fir_r4/DSP_fir_r4.h
src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_COFF/Release/DSP_fir_r4_66_BE_COFF.out: src/DSP_fir_r4//c66/DSP_fir_r4.h
src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_COFF/Release/DSP_fir_r4_66_BE_COFF.out: src/DSP_fir_r4//c66/DSP_fir_r4_cn.h
src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_COFF/Release/DSP_fir_r4_66_BE_COFF.out: src/DSP_fir_r4//c66/DSP_fir_r4_d.c
src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_COFF/Release/DSP_fir_r4_66_BE_COFF.out: src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_COFF/.project
	-@ echo Importing Project DSP_fir_r4_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r4_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_r4_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r4/c66/DSP_fir_r4_66_BE_COFF"
	-@ echo Building Project DSP_fir_r4_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r4_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_r4_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_fir_r4_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r4_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_fir_r4_66_LE_ELF

#############################################################

.executables: src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_ELF/Release/DSP_fir_r4_66_LE_ELF.out

.projects: src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_ELF

src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_ELF: src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_ELF/.project

src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r4_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_r4_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_R4_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_R4_66_LE_ELF_SRCDSP_FIR_R4C66/DSP_fir_r4_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R4_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R4_66_LE_ELF_SRCDSP_FIR_R4 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r4" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R4_66_LE_ELF_SRCDSP_FIR_R4C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r4/c66" \

	echo EXT_ROOT__DSP_FIR_R4_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_R4_66_LE_ELF_SRCDSP_FIR_R4=../../ >> src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_R4_66_LE_ELF_SRCDSP_FIR_R4C66=.././ >> src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r4_66_LE_ELF"
src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_ELF/Release/DSP_fir_r4_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_ELF/Release/DSP_fir_r4_66_LE_ELF.out: src/DSP_fir_r4/DSP_fir_r4.h
src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_ELF/Release/DSP_fir_r4_66_LE_ELF.out: src/DSP_fir_r4//c66/DSP_fir_r4.h
src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_ELF/Release/DSP_fir_r4_66_LE_ELF.out: src/DSP_fir_r4//c66/DSP_fir_r4_cn.h
src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_ELF/Release/DSP_fir_r4_66_LE_ELF.out: src/DSP_fir_r4//c66/DSP_fir_r4_d.c
src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_ELF/Release/DSP_fir_r4_66_LE_ELF.out: src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_ELF/.project
	-@ echo Importing Project DSP_fir_r4_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r4_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_r4_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r4/c66/DSP_fir_r4_66_LE_ELF"
	-@ echo Building Project DSP_fir_r4_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r4_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_r4_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_fir_r4_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r4_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_fir_r4//c66//DSP_fir_r4_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_fir_r4_66_BE_ELF

#############################################################

.executables: src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_ELF/Release/DSP_fir_r4_66_BE_ELF.out

.projects: src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_ELF

src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_ELF: src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_ELF/.project

src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r4_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_r4_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_R4_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_R4_66_BE_ELF_SRCDSP_FIR_R4C66/DSP_fir_r4_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R4_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R4_66_BE_ELF_SRCDSP_FIR_R4 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r4" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R4_66_BE_ELF_SRCDSP_FIR_R4C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r4/c66" \

	echo EXT_ROOT__DSP_FIR_R4_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_R4_66_BE_ELF_SRCDSP_FIR_R4=../../ >> src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_R4_66_BE_ELF_SRCDSP_FIR_R4C66=.././ >> src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r4_66_BE_ELF"
src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_ELF/Release/DSP_fir_r4_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_ELF/Release/DSP_fir_r4_66_BE_ELF.out: src/DSP_fir_r4/DSP_fir_r4.h
src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_ELF/Release/DSP_fir_r4_66_BE_ELF.out: src/DSP_fir_r4//c66/DSP_fir_r4.h
src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_ELF/Release/DSP_fir_r4_66_BE_ELF.out: src/DSP_fir_r4//c66/DSP_fir_r4_cn.h
src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_ELF/Release/DSP_fir_r4_66_BE_ELF.out: src/DSP_fir_r4//c66/DSP_fir_r4_d.c
src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_ELF/Release/DSP_fir_r4_66_BE_ELF.out: src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_ELF/.project
	-@ echo Importing Project DSP_fir_r4_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r4_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_r4_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r4/c66/DSP_fir_r4_66_BE_ELF"
	-@ echo Building Project DSP_fir_r4_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r4_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_r4_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_fir_r4_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r4_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_fir_r4//c66//DSP_fir_r4_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_fir_r8_66_LE_COFF

#############################################################

.executables: src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_COFF/Release/DSP_fir_r8_66_LE_COFF.out

.projects: src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_COFF

src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_COFF: src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_COFF/.project

src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_r8_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_R8_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_R8_66_LE_COFF_SRCDSP_FIR_R8C66/DSP_fir_r8_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_66_LE_COFF_SRCDSP_FIR_R8 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_66_LE_COFF_SRCDSP_FIR_R8C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8/c66" \

	echo EXT_ROOT__DSP_FIR_R8_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_66_LE_COFF_SRCDSP_FIR_R8=../../ >> src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_66_LE_COFF_SRCDSP_FIR_R8C66=.././ >> src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_66_LE_COFF"
src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_COFF/Release/DSP_fir_r8_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_COFF/Release/DSP_fir_r8_66_LE_COFF.out: src/DSP_fir_r8/DSP_fir_r8.h
src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_COFF/Release/DSP_fir_r8_66_LE_COFF.out: src/DSP_fir_r8//c66/DSP_fir_r8.h
src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_COFF/Release/DSP_fir_r8_66_LE_COFF.out: src/DSP_fir_r8//c66/DSP_fir_r8_cn.h
src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_COFF/Release/DSP_fir_r8_66_LE_COFF.out: src/DSP_fir_r8//c66/DSP_fir_r8_d.c
src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_COFF/Release/DSP_fir_r8_66_LE_COFF.out: src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_COFF/.project
	-@ echo Importing Project DSP_fir_r8_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_r8_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8/c66/DSP_fir_r8_66_LE_COFF"
	-@ echo Building Project DSP_fir_r8_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_r8_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_fir_r8_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_fir_r8_66_BE_COFF

#############################################################

.executables: src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_COFF/Release/DSP_fir_r8_66_BE_COFF.out

.projects: src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_COFF

src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_COFF: src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_COFF/.project

src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_r8_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_R8_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_R8_66_BE_COFF_SRCDSP_FIR_R8C66/DSP_fir_r8_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_66_BE_COFF_SRCDSP_FIR_R8 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_66_BE_COFF_SRCDSP_FIR_R8C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8/c66" \

	echo EXT_ROOT__DSP_FIR_R8_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_66_BE_COFF_SRCDSP_FIR_R8=../../ >> src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_66_BE_COFF_SRCDSP_FIR_R8C66=.././ >> src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_66_BE_COFF"
src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_COFF/Release/DSP_fir_r8_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_COFF/Release/DSP_fir_r8_66_BE_COFF.out: src/DSP_fir_r8/DSP_fir_r8.h
src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_COFF/Release/DSP_fir_r8_66_BE_COFF.out: src/DSP_fir_r8//c66/DSP_fir_r8.h
src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_COFF/Release/DSP_fir_r8_66_BE_COFF.out: src/DSP_fir_r8//c66/DSP_fir_r8_cn.h
src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_COFF/Release/DSP_fir_r8_66_BE_COFF.out: src/DSP_fir_r8//c66/DSP_fir_r8_d.c
src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_COFF/Release/DSP_fir_r8_66_BE_COFF.out: src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_COFF/.project
	-@ echo Importing Project DSP_fir_r8_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_r8_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8/c66/DSP_fir_r8_66_BE_COFF"
	-@ echo Building Project DSP_fir_r8_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_r8_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_fir_r8_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_fir_r8_66_LE_ELF

#############################################################

.executables: src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_ELF/Release/DSP_fir_r8_66_LE_ELF.out

.projects: src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_ELF

src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_ELF: src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_ELF/.project

src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_r8_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_R8_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_R8_66_LE_ELF_SRCDSP_FIR_R8C66/DSP_fir_r8_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_66_LE_ELF_SRCDSP_FIR_R8 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_66_LE_ELF_SRCDSP_FIR_R8C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8/c66" \

	echo EXT_ROOT__DSP_FIR_R8_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_66_LE_ELF_SRCDSP_FIR_R8=../../ >> src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_66_LE_ELF_SRCDSP_FIR_R8C66=.././ >> src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_66_LE_ELF"
src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_ELF/Release/DSP_fir_r8_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_ELF/Release/DSP_fir_r8_66_LE_ELF.out: src/DSP_fir_r8/DSP_fir_r8.h
src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_ELF/Release/DSP_fir_r8_66_LE_ELF.out: src/DSP_fir_r8//c66/DSP_fir_r8.h
src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_ELF/Release/DSP_fir_r8_66_LE_ELF.out: src/DSP_fir_r8//c66/DSP_fir_r8_cn.h
src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_ELF/Release/DSP_fir_r8_66_LE_ELF.out: src/DSP_fir_r8//c66/DSP_fir_r8_d.c
src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_ELF/Release/DSP_fir_r8_66_LE_ELF.out: src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_ELF/.project
	-@ echo Importing Project DSP_fir_r8_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_r8_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8/c66/DSP_fir_r8_66_LE_ELF"
	-@ echo Building Project DSP_fir_r8_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_r8_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_fir_r8_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_fir_r8//c66//DSP_fir_r8_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_fir_r8_66_BE_ELF

#############################################################

.executables: src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_ELF/Release/DSP_fir_r8_66_BE_ELF.out

.projects: src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_ELF

src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_ELF: src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_ELF/.project

src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_r8_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_R8_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_R8_66_BE_ELF_SRCDSP_FIR_R8C66/DSP_fir_r8_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_66_BE_ELF_SRCDSP_FIR_R8 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_66_BE_ELF_SRCDSP_FIR_R8C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8/c66" \

	echo EXT_ROOT__DSP_FIR_R8_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_66_BE_ELF_SRCDSP_FIR_R8=../../ >> src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_66_BE_ELF_SRCDSP_FIR_R8C66=.././ >> src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_66_BE_ELF"
src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_ELF/Release/DSP_fir_r8_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_ELF/Release/DSP_fir_r8_66_BE_ELF.out: src/DSP_fir_r8/DSP_fir_r8.h
src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_ELF/Release/DSP_fir_r8_66_BE_ELF.out: src/DSP_fir_r8//c66/DSP_fir_r8.h
src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_ELF/Release/DSP_fir_r8_66_BE_ELF.out: src/DSP_fir_r8//c66/DSP_fir_r8_cn.h
src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_ELF/Release/DSP_fir_r8_66_BE_ELF.out: src/DSP_fir_r8//c66/DSP_fir_r8_d.c
src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_ELF/Release/DSP_fir_r8_66_BE_ELF.out: src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_ELF/.project
	-@ echo Importing Project DSP_fir_r8_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_r8_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8/c66/DSP_fir_r8_66_BE_ELF"
	-@ echo Building Project DSP_fir_r8_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_r8_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_fir_r8_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_fir_r8//c66//DSP_fir_r8_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_fir_r8_h16_66_LE_COFF

#############################################################

.executables: src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_COFF/Release/DSP_fir_r8_h16_66_LE_COFF.out

.projects: src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_COFF

src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_COFF: src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_COFF/.project

src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h16_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_r8_h16_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_R8_H16_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_R8_H16_66_LE_COFF_SRCDSP_FIR_R8_H16C66/DSP_fir_r8_h16_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H16_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H16_66_LE_COFF_SRCDSP_FIR_R8_H16 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h16" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H16_66_LE_COFF_SRCDSP_FIR_R8_H16C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h16/c66" \

	echo EXT_ROOT__DSP_FIR_R8_H16_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_H16_66_LE_COFF_SRCDSP_FIR_R8_H16=../../ >> src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_H16_66_LE_COFF_SRCDSP_FIR_R8_H16C66=.././ >> src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_h16_66_LE_COFF"
src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_COFF/Release/DSP_fir_r8_h16_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_COFF/Release/DSP_fir_r8_h16_66_LE_COFF.out: src/DSP_fir_r8_h16/DSP_fir_r8_h16.h
src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_COFF/Release/DSP_fir_r8_h16_66_LE_COFF.out: src/DSP_fir_r8_h16//c66/DSP_fir_r8_h16.h
src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_COFF/Release/DSP_fir_r8_h16_66_LE_COFF.out: src/DSP_fir_r8_h16//c66/DSP_fir_r8_h16_cn.h
src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_COFF/Release/DSP_fir_r8_h16_66_LE_COFF.out: src/DSP_fir_r8_h16//c66/DSP_fir_r8_h16_d.c
src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_COFF/Release/DSP_fir_r8_h16_66_LE_COFF.out: src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_COFF/.project
	-@ echo Importing Project DSP_fir_r8_h16_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h16_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_r8_h16_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h16/c66/DSP_fir_r8_h16_66_LE_COFF"
	-@ echo Building Project DSP_fir_r8_h16_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h16_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_r8_h16_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_fir_r8_h16_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_h16_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_fir_r8_h16_66_BE_COFF

#############################################################

.executables: src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_COFF/Release/DSP_fir_r8_h16_66_BE_COFF.out

.projects: src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_COFF

src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_COFF: src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_COFF/.project

src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h16_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_r8_h16_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_R8_H16_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_R8_H16_66_BE_COFF_SRCDSP_FIR_R8_H16C66/DSP_fir_r8_h16_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H16_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H16_66_BE_COFF_SRCDSP_FIR_R8_H16 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h16" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H16_66_BE_COFF_SRCDSP_FIR_R8_H16C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h16/c66" \

	echo EXT_ROOT__DSP_FIR_R8_H16_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_H16_66_BE_COFF_SRCDSP_FIR_R8_H16=../../ >> src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_H16_66_BE_COFF_SRCDSP_FIR_R8_H16C66=.././ >> src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_h16_66_BE_COFF"
src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_COFF/Release/DSP_fir_r8_h16_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_COFF/Release/DSP_fir_r8_h16_66_BE_COFF.out: src/DSP_fir_r8_h16/DSP_fir_r8_h16.h
src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_COFF/Release/DSP_fir_r8_h16_66_BE_COFF.out: src/DSP_fir_r8_h16//c66/DSP_fir_r8_h16.h
src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_COFF/Release/DSP_fir_r8_h16_66_BE_COFF.out: src/DSP_fir_r8_h16//c66/DSP_fir_r8_h16_cn.h
src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_COFF/Release/DSP_fir_r8_h16_66_BE_COFF.out: src/DSP_fir_r8_h16//c66/DSP_fir_r8_h16_d.c
src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_COFF/Release/DSP_fir_r8_h16_66_BE_COFF.out: src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_COFF/.project
	-@ echo Importing Project DSP_fir_r8_h16_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h16_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_r8_h16_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h16/c66/DSP_fir_r8_h16_66_BE_COFF"
	-@ echo Building Project DSP_fir_r8_h16_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h16_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_r8_h16_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_fir_r8_h16_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_h16_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_fir_r8_h16_66_LE_ELF

#############################################################

.executables: src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_ELF/Release/DSP_fir_r8_h16_66_LE_ELF.out

.projects: src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_ELF

src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_ELF: src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_ELF/.project

src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h16_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_r8_h16_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_R8_H16_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_R8_H16_66_LE_ELF_SRCDSP_FIR_R8_H16C66/DSP_fir_r8_h16_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H16_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H16_66_LE_ELF_SRCDSP_FIR_R8_H16 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h16" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H16_66_LE_ELF_SRCDSP_FIR_R8_H16C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h16/c66" \

	echo EXT_ROOT__DSP_FIR_R8_H16_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_H16_66_LE_ELF_SRCDSP_FIR_R8_H16=../../ >> src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_H16_66_LE_ELF_SRCDSP_FIR_R8_H16C66=.././ >> src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_h16_66_LE_ELF"
src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_ELF/Release/DSP_fir_r8_h16_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_ELF/Release/DSP_fir_r8_h16_66_LE_ELF.out: src/DSP_fir_r8_h16/DSP_fir_r8_h16.h
src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_ELF/Release/DSP_fir_r8_h16_66_LE_ELF.out: src/DSP_fir_r8_h16//c66/DSP_fir_r8_h16.h
src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_ELF/Release/DSP_fir_r8_h16_66_LE_ELF.out: src/DSP_fir_r8_h16//c66/DSP_fir_r8_h16_cn.h
src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_ELF/Release/DSP_fir_r8_h16_66_LE_ELF.out: src/DSP_fir_r8_h16//c66/DSP_fir_r8_h16_d.c
src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_ELF/Release/DSP_fir_r8_h16_66_LE_ELF.out: src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_ELF/.project
	-@ echo Importing Project DSP_fir_r8_h16_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h16_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_r8_h16_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h16/c66/DSP_fir_r8_h16_66_LE_ELF"
	-@ echo Building Project DSP_fir_r8_h16_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h16_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_r8_h16_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_fir_r8_h16_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_h16_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_fir_r8_h16_66_BE_ELF

#############################################################

.executables: src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_ELF/Release/DSP_fir_r8_h16_66_BE_ELF.out

.projects: src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_ELF

src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_ELF: src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_ELF/.project

src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h16_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_r8_h16_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_R8_H16_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_R8_H16_66_BE_ELF_SRCDSP_FIR_R8_H16C66/DSP_fir_r8_h16_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H16_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H16_66_BE_ELF_SRCDSP_FIR_R8_H16 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h16" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H16_66_BE_ELF_SRCDSP_FIR_R8_H16C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h16/c66" \

	echo EXT_ROOT__DSP_FIR_R8_H16_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_H16_66_BE_ELF_SRCDSP_FIR_R8_H16=../../ >> src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_H16_66_BE_ELF_SRCDSP_FIR_R8_H16C66=.././ >> src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_h16_66_BE_ELF"
src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_ELF/Release/DSP_fir_r8_h16_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_ELF/Release/DSP_fir_r8_h16_66_BE_ELF.out: src/DSP_fir_r8_h16/DSP_fir_r8_h16.h
src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_ELF/Release/DSP_fir_r8_h16_66_BE_ELF.out: src/DSP_fir_r8_h16//c66/DSP_fir_r8_h16.h
src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_ELF/Release/DSP_fir_r8_h16_66_BE_ELF.out: src/DSP_fir_r8_h16//c66/DSP_fir_r8_h16_cn.h
src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_ELF/Release/DSP_fir_r8_h16_66_BE_ELF.out: src/DSP_fir_r8_h16//c66/DSP_fir_r8_h16_d.c
src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_ELF/Release/DSP_fir_r8_h16_66_BE_ELF.out: src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_ELF/.project
	-@ echo Importing Project DSP_fir_r8_h16_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h16_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_r8_h16_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h16/c66/DSP_fir_r8_h16_66_BE_ELF"
	-@ echo Building Project DSP_fir_r8_h16_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h16_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_r8_h16_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_fir_r8_h16_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_h16_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_fir_r8_h16//c66//DSP_fir_r8_h16_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_fir_r8_h24_66_LE_COFF

#############################################################

.executables: src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_COFF/Release/DSP_fir_r8_h24_66_LE_COFF.out

.projects: src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_COFF

src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_COFF: src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_COFF/.project

src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h24_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_r8_h24_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_R8_H24_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_R8_H24_66_LE_COFF_SRCDSP_FIR_R8_H24C66/DSP_fir_r8_h24_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H24_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H24_66_LE_COFF_SRCDSP_FIR_R8_H24 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h24" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H24_66_LE_COFF_SRCDSP_FIR_R8_H24C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h24/c66" \

	echo EXT_ROOT__DSP_FIR_R8_H24_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_H24_66_LE_COFF_SRCDSP_FIR_R8_H24=../../ >> src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_H24_66_LE_COFF_SRCDSP_FIR_R8_H24C66=.././ >> src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_h24_66_LE_COFF"
src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_COFF/Release/DSP_fir_r8_h24_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_COFF/Release/DSP_fir_r8_h24_66_LE_COFF.out: src/DSP_fir_r8_h24/DSP_fir_r8_h24.h
src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_COFF/Release/DSP_fir_r8_h24_66_LE_COFF.out: src/DSP_fir_r8_h24//c66/DSP_fir_r8_h24.h
src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_COFF/Release/DSP_fir_r8_h24_66_LE_COFF.out: src/DSP_fir_r8_h24//c66/DSP_fir_r8_h24_cn.h
src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_COFF/Release/DSP_fir_r8_h24_66_LE_COFF.out: src/DSP_fir_r8_h24//c66/DSP_fir_r8_h24_d.c
src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_COFF/Release/DSP_fir_r8_h24_66_LE_COFF.out: src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_COFF/.project
	-@ echo Importing Project DSP_fir_r8_h24_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h24_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_r8_h24_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h24/c66/DSP_fir_r8_h24_66_LE_COFF"
	-@ echo Building Project DSP_fir_r8_h24_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h24_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_r8_h24_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_fir_r8_h24_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_h24_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_fir_r8_h24_66_BE_COFF

#############################################################

.executables: src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_COFF/Release/DSP_fir_r8_h24_66_BE_COFF.out

.projects: src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_COFF

src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_COFF: src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_COFF/.project

src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h24_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_r8_h24_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_R8_H24_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_R8_H24_66_BE_COFF_SRCDSP_FIR_R8_H24C66/DSP_fir_r8_h24_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H24_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H24_66_BE_COFF_SRCDSP_FIR_R8_H24 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h24" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H24_66_BE_COFF_SRCDSP_FIR_R8_H24C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h24/c66" \

	echo EXT_ROOT__DSP_FIR_R8_H24_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_H24_66_BE_COFF_SRCDSP_FIR_R8_H24=../../ >> src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_H24_66_BE_COFF_SRCDSP_FIR_R8_H24C66=.././ >> src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_h24_66_BE_COFF"
src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_COFF/Release/DSP_fir_r8_h24_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_COFF/Release/DSP_fir_r8_h24_66_BE_COFF.out: src/DSP_fir_r8_h24/DSP_fir_r8_h24.h
src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_COFF/Release/DSP_fir_r8_h24_66_BE_COFF.out: src/DSP_fir_r8_h24//c66/DSP_fir_r8_h24.h
src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_COFF/Release/DSP_fir_r8_h24_66_BE_COFF.out: src/DSP_fir_r8_h24//c66/DSP_fir_r8_h24_cn.h
src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_COFF/Release/DSP_fir_r8_h24_66_BE_COFF.out: src/DSP_fir_r8_h24//c66/DSP_fir_r8_h24_d.c
src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_COFF/Release/DSP_fir_r8_h24_66_BE_COFF.out: src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_COFF/.project
	-@ echo Importing Project DSP_fir_r8_h24_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h24_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_r8_h24_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h24/c66/DSP_fir_r8_h24_66_BE_COFF"
	-@ echo Building Project DSP_fir_r8_h24_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h24_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_r8_h24_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_fir_r8_h24_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_h24_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_fir_r8_h24_66_LE_ELF

#############################################################

.executables: src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_ELF/Release/DSP_fir_r8_h24_66_LE_ELF.out

.projects: src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_ELF

src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_ELF: src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_ELF/.project

src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h24_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_r8_h24_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_R8_H24_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_R8_H24_66_LE_ELF_SRCDSP_FIR_R8_H24C66/DSP_fir_r8_h24_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H24_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H24_66_LE_ELF_SRCDSP_FIR_R8_H24 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h24" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H24_66_LE_ELF_SRCDSP_FIR_R8_H24C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h24/c66" \

	echo EXT_ROOT__DSP_FIR_R8_H24_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_H24_66_LE_ELF_SRCDSP_FIR_R8_H24=../../ >> src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_H24_66_LE_ELF_SRCDSP_FIR_R8_H24C66=.././ >> src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_h24_66_LE_ELF"
src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_ELF/Release/DSP_fir_r8_h24_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_ELF/Release/DSP_fir_r8_h24_66_LE_ELF.out: src/DSP_fir_r8_h24/DSP_fir_r8_h24.h
src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_ELF/Release/DSP_fir_r8_h24_66_LE_ELF.out: src/DSP_fir_r8_h24//c66/DSP_fir_r8_h24.h
src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_ELF/Release/DSP_fir_r8_h24_66_LE_ELF.out: src/DSP_fir_r8_h24//c66/DSP_fir_r8_h24_cn.h
src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_ELF/Release/DSP_fir_r8_h24_66_LE_ELF.out: src/DSP_fir_r8_h24//c66/DSP_fir_r8_h24_d.c
src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_ELF/Release/DSP_fir_r8_h24_66_LE_ELF.out: src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_ELF/.project
	-@ echo Importing Project DSP_fir_r8_h24_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h24_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_r8_h24_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h24/c66/DSP_fir_r8_h24_66_LE_ELF"
	-@ echo Building Project DSP_fir_r8_h24_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h24_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_r8_h24_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_fir_r8_h24_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_h24_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_fir_r8_h24_66_BE_ELF

#############################################################

.executables: src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_ELF/Release/DSP_fir_r8_h24_66_BE_ELF.out

.projects: src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_ELF

src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_ELF: src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_ELF/.project

src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h24_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_r8_h24_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_R8_H24_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_R8_H24_66_BE_ELF_SRCDSP_FIR_R8_H24C66/DSP_fir_r8_h24_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H24_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H24_66_BE_ELF_SRCDSP_FIR_R8_H24 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h24" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H24_66_BE_ELF_SRCDSP_FIR_R8_H24C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h24/c66" \

	echo EXT_ROOT__DSP_FIR_R8_H24_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_H24_66_BE_ELF_SRCDSP_FIR_R8_H24=../../ >> src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_H24_66_BE_ELF_SRCDSP_FIR_R8_H24C66=.././ >> src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_h24_66_BE_ELF"
src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_ELF/Release/DSP_fir_r8_h24_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_ELF/Release/DSP_fir_r8_h24_66_BE_ELF.out: src/DSP_fir_r8_h24/DSP_fir_r8_h24.h
src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_ELF/Release/DSP_fir_r8_h24_66_BE_ELF.out: src/DSP_fir_r8_h24//c66/DSP_fir_r8_h24.h
src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_ELF/Release/DSP_fir_r8_h24_66_BE_ELF.out: src/DSP_fir_r8_h24//c66/DSP_fir_r8_h24_cn.h
src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_ELF/Release/DSP_fir_r8_h24_66_BE_ELF.out: src/DSP_fir_r8_h24//c66/DSP_fir_r8_h24_d.c
src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_ELF/Release/DSP_fir_r8_h24_66_BE_ELF.out: src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_ELF/.project
	-@ echo Importing Project DSP_fir_r8_h24_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h24_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_r8_h24_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h24/c66/DSP_fir_r8_h24_66_BE_ELF"
	-@ echo Building Project DSP_fir_r8_h24_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h24_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_r8_h24_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_fir_r8_h24_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_h24_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_fir_r8_h24//c66//DSP_fir_r8_h24_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_fir_r8_h8_66_LE_COFF

#############################################################

.executables: src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_COFF/Release/DSP_fir_r8_h8_66_LE_COFF.out

.projects: src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_COFF

src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_COFF: src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_COFF/.project

src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h8_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_r8_h8_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_R8_H8_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_R8_H8_66_LE_COFF_SRCDSP_FIR_R8_H8C66/DSP_fir_r8_h8_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H8_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H8_66_LE_COFF_SRCDSP_FIR_R8_H8 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h8" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H8_66_LE_COFF_SRCDSP_FIR_R8_H8C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h8/c66" \

	echo EXT_ROOT__DSP_FIR_R8_H8_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_H8_66_LE_COFF_SRCDSP_FIR_R8_H8=../../ >> src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_H8_66_LE_COFF_SRCDSP_FIR_R8_H8C66=.././ >> src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_h8_66_LE_COFF"
src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_COFF/Release/DSP_fir_r8_h8_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_COFF/Release/DSP_fir_r8_h8_66_LE_COFF.out: src/DSP_fir_r8_h8/DSP_fir_r8_h8.h
src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_COFF/Release/DSP_fir_r8_h8_66_LE_COFF.out: src/DSP_fir_r8_h8//c66/DSP_fir_r8_h8.h
src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_COFF/Release/DSP_fir_r8_h8_66_LE_COFF.out: src/DSP_fir_r8_h8//c66/DSP_fir_r8_h8_cn.h
src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_COFF/Release/DSP_fir_r8_h8_66_LE_COFF.out: src/DSP_fir_r8_h8//c66/DSP_fir_r8_h8_d.c
src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_COFF/Release/DSP_fir_r8_h8_66_LE_COFF.out: src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_COFF/.project
	-@ echo Importing Project DSP_fir_r8_h8_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h8_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_r8_h8_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h8/c66/DSP_fir_r8_h8_66_LE_COFF"
	-@ echo Building Project DSP_fir_r8_h8_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h8_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_r8_h8_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_fir_r8_h8_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_h8_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_fir_r8_h8_66_BE_COFF

#############################################################

.executables: src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_COFF/Release/DSP_fir_r8_h8_66_BE_COFF.out

.projects: src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_COFF

src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_COFF: src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_COFF/.project

src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h8_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_r8_h8_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_R8_H8_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_R8_H8_66_BE_COFF_SRCDSP_FIR_R8_H8C66/DSP_fir_r8_h8_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H8_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H8_66_BE_COFF_SRCDSP_FIR_R8_H8 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h8" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H8_66_BE_COFF_SRCDSP_FIR_R8_H8C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h8/c66" \

	echo EXT_ROOT__DSP_FIR_R8_H8_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_H8_66_BE_COFF_SRCDSP_FIR_R8_H8=../../ >> src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_H8_66_BE_COFF_SRCDSP_FIR_R8_H8C66=.././ >> src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_h8_66_BE_COFF"
src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_COFF/Release/DSP_fir_r8_h8_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_COFF/Release/DSP_fir_r8_h8_66_BE_COFF.out: src/DSP_fir_r8_h8/DSP_fir_r8_h8.h
src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_COFF/Release/DSP_fir_r8_h8_66_BE_COFF.out: src/DSP_fir_r8_h8//c66/DSP_fir_r8_h8.h
src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_COFF/Release/DSP_fir_r8_h8_66_BE_COFF.out: src/DSP_fir_r8_h8//c66/DSP_fir_r8_h8_cn.h
src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_COFF/Release/DSP_fir_r8_h8_66_BE_COFF.out: src/DSP_fir_r8_h8//c66/DSP_fir_r8_h8_d.c
src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_COFF/Release/DSP_fir_r8_h8_66_BE_COFF.out: src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_COFF/.project
	-@ echo Importing Project DSP_fir_r8_h8_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h8_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_r8_h8_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h8/c66/DSP_fir_r8_h8_66_BE_COFF"
	-@ echo Building Project DSP_fir_r8_h8_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h8_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_r8_h8_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_fir_r8_h8_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_h8_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_fir_r8_h8_66_LE_ELF

#############################################################

.executables: src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_ELF/Release/DSP_fir_r8_h8_66_LE_ELF.out

.projects: src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_ELF

src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_ELF: src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_ELF/.project

src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h8_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_r8_h8_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_R8_H8_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_R8_H8_66_LE_ELF_SRCDSP_FIR_R8_H8C66/DSP_fir_r8_h8_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H8_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H8_66_LE_ELF_SRCDSP_FIR_R8_H8 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h8" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H8_66_LE_ELF_SRCDSP_FIR_R8_H8C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h8/c66" \

	echo EXT_ROOT__DSP_FIR_R8_H8_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_H8_66_LE_ELF_SRCDSP_FIR_R8_H8=../../ >> src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_H8_66_LE_ELF_SRCDSP_FIR_R8_H8C66=.././ >> src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_h8_66_LE_ELF"
src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_ELF/Release/DSP_fir_r8_h8_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_ELF/Release/DSP_fir_r8_h8_66_LE_ELF.out: src/DSP_fir_r8_h8/DSP_fir_r8_h8.h
src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_ELF/Release/DSP_fir_r8_h8_66_LE_ELF.out: src/DSP_fir_r8_h8//c66/DSP_fir_r8_h8.h
src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_ELF/Release/DSP_fir_r8_h8_66_LE_ELF.out: src/DSP_fir_r8_h8//c66/DSP_fir_r8_h8_cn.h
src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_ELF/Release/DSP_fir_r8_h8_66_LE_ELF.out: src/DSP_fir_r8_h8//c66/DSP_fir_r8_h8_d.c
src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_ELF/Release/DSP_fir_r8_h8_66_LE_ELF.out: src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_ELF/.project
	-@ echo Importing Project DSP_fir_r8_h8_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h8_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_r8_h8_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h8/c66/DSP_fir_r8_h8_66_LE_ELF"
	-@ echo Building Project DSP_fir_r8_h8_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h8_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_r8_h8_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_fir_r8_h8_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_h8_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_fir_r8_h8_66_BE_ELF

#############################################################

.executables: src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_ELF/Release/DSP_fir_r8_h8_66_BE_ELF.out

.projects: src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_ELF

src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_ELF: src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_ELF/.project

src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h8_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_r8_h8_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_R8_H8_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_R8_H8_66_BE_ELF_SRCDSP_FIR_R8_H8C66/DSP_fir_r8_h8_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H8_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H8_66_BE_ELF_SRCDSP_FIR_R8_H8 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h8" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_H8_66_BE_ELF_SRCDSP_FIR_R8_H8C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h8/c66" \

	echo EXT_ROOT__DSP_FIR_R8_H8_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_H8_66_BE_ELF_SRCDSP_FIR_R8_H8=../../ >> src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_H8_66_BE_ELF_SRCDSP_FIR_R8_H8C66=.././ >> src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_h8_66_BE_ELF"
src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_ELF/Release/DSP_fir_r8_h8_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_ELF/Release/DSP_fir_r8_h8_66_BE_ELF.out: src/DSP_fir_r8_h8/DSP_fir_r8_h8.h
src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_ELF/Release/DSP_fir_r8_h8_66_BE_ELF.out: src/DSP_fir_r8_h8//c66/DSP_fir_r8_h8.h
src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_ELF/Release/DSP_fir_r8_h8_66_BE_ELF.out: src/DSP_fir_r8_h8//c66/DSP_fir_r8_h8_cn.h
src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_ELF/Release/DSP_fir_r8_h8_66_BE_ELF.out: src/DSP_fir_r8_h8//c66/DSP_fir_r8_h8_d.c
src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_ELF/Release/DSP_fir_r8_h8_66_BE_ELF.out: src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_ELF/.project
	-@ echo Importing Project DSP_fir_r8_h8_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h8_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_r8_h8_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_h8/c66/DSP_fir_r8_h8_66_BE_ELF"
	-@ echo Building Project DSP_fir_r8_h8_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_h8_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_r8_h8_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_fir_r8_h8_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_h8_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_fir_r8_h8//c66//DSP_fir_r8_h8_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF

#############################################################

.executables: src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF/Release/DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF.out

.projects: src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF

src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF: src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF/.project

src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_LE_COFF_SRCDSP_FIR_R8_HM16_RM8A8X8C66/DSP_fir_r8_hM16_rM8A8X8_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_LE_COFF_SRCDSP_FIR_R8_HM16_RM8A8X8 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_hM16_rM8A8X8" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_LE_COFF_SRCDSP_FIR_R8_HM16_RM8A8X8C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_hM16_rM8A8X8/c66" \

	echo EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_LE_COFF_SRCDSP_FIR_R8_HM16_RM8A8X8=../../ >> src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_LE_COFF_SRCDSP_FIR_R8_HM16_RM8A8X8C66=.././ >> src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF"
src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF/Release/DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF/Release/DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF.out: src/DSP_fir_r8_hM16_rM8A8X8/DSP_fir_r8_hM16_rM8A8X8.h
src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF/Release/DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF.out: src/DSP_fir_r8_hM16_rM8A8X8//c66/DSP_fir_r8_hM16_rM8A8X8.h
src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF/Release/DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF.out: src/DSP_fir_r8_hM16_rM8A8X8//c66/DSP_fir_r8_hM16_rM8A8X8_cn.h
src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF/Release/DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF.out: src/DSP_fir_r8_hM16_rM8A8X8//c66/DSP_fir_r8_hM16_rM8A8X8_d.c
src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF/Release/DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF.out: src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF/.project
	-@ echo Importing Project DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_hM16_rM8A8X8/c66/DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF"
	-@ echo Building Project DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF

#############################################################

.executables: src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF/Release/DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF.out

.projects: src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF

src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF: src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF/.project

src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_BE_COFF_SRCDSP_FIR_R8_HM16_RM8A8X8C66/DSP_fir_r8_hM16_rM8A8X8_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_BE_COFF_SRCDSP_FIR_R8_HM16_RM8A8X8 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_hM16_rM8A8X8" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_BE_COFF_SRCDSP_FIR_R8_HM16_RM8A8X8C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_hM16_rM8A8X8/c66" \

	echo EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_BE_COFF_SRCDSP_FIR_R8_HM16_RM8A8X8=../../ >> src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_BE_COFF_SRCDSP_FIR_R8_HM16_RM8A8X8C66=.././ >> src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF"
src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF/Release/DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF/Release/DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF.out: src/DSP_fir_r8_hM16_rM8A8X8/DSP_fir_r8_hM16_rM8A8X8.h
src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF/Release/DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF.out: src/DSP_fir_r8_hM16_rM8A8X8//c66/DSP_fir_r8_hM16_rM8A8X8.h
src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF/Release/DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF.out: src/DSP_fir_r8_hM16_rM8A8X8//c66/DSP_fir_r8_hM16_rM8A8X8_cn.h
src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF/Release/DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF.out: src/DSP_fir_r8_hM16_rM8A8X8//c66/DSP_fir_r8_hM16_rM8A8X8_d.c
src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF/Release/DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF.out: src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF/.project
	-@ echo Importing Project DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_hM16_rM8A8X8/c66/DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF"
	-@ echo Building Project DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF

#############################################################

.executables: src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF/Release/DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF.out

.projects: src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF

src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF: src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF/.project

src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_LE_ELF_SRCDSP_FIR_R8_HM16_RM8A8X8C66/DSP_fir_r8_hM16_rM8A8X8_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_LE_ELF_SRCDSP_FIR_R8_HM16_RM8A8X8 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_hM16_rM8A8X8" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_LE_ELF_SRCDSP_FIR_R8_HM16_RM8A8X8C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_hM16_rM8A8X8/c66" \

	echo EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_LE_ELF_SRCDSP_FIR_R8_HM16_RM8A8X8=../../ >> src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_LE_ELF_SRCDSP_FIR_R8_HM16_RM8A8X8C66=.././ >> src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF"
src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF/Release/DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF/Release/DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF.out: src/DSP_fir_r8_hM16_rM8A8X8/DSP_fir_r8_hM16_rM8A8X8.h
src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF/Release/DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF.out: src/DSP_fir_r8_hM16_rM8A8X8//c66/DSP_fir_r8_hM16_rM8A8X8.h
src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF/Release/DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF.out: src/DSP_fir_r8_hM16_rM8A8X8//c66/DSP_fir_r8_hM16_rM8A8X8_cn.h
src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF/Release/DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF.out: src/DSP_fir_r8_hM16_rM8A8X8//c66/DSP_fir_r8_hM16_rM8A8X8_d.c
src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF/Release/DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF.out: src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF/.project
	-@ echo Importing Project DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_hM16_rM8A8X8/c66/DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF"
	-@ echo Building Project DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF

#############################################################

.executables: src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF/Release/DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF.out

.projects: src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF

src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF: src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF/.project

src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_BE_ELF_SRCDSP_FIR_R8_HM16_RM8A8X8C66/DSP_fir_r8_hM16_rM8A8X8_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_BE_ELF_SRCDSP_FIR_R8_HM16_RM8A8X8 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_hM16_rM8A8X8" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_BE_ELF_SRCDSP_FIR_R8_HM16_RM8A8X8C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_hM16_rM8A8X8/c66" \

	echo EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_BE_ELF_SRCDSP_FIR_R8_HM16_RM8A8X8=../../ >> src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_R8_HM16_RM8A8X8_66_BE_ELF_SRCDSP_FIR_R8_HM16_RM8A8X8C66=.././ >> src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF"
src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF/Release/DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF/Release/DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF.out: src/DSP_fir_r8_hM16_rM8A8X8/DSP_fir_r8_hM16_rM8A8X8.h
src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF/Release/DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF.out: src/DSP_fir_r8_hM16_rM8A8X8//c66/DSP_fir_r8_hM16_rM8A8X8.h
src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF/Release/DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF.out: src/DSP_fir_r8_hM16_rM8A8X8//c66/DSP_fir_r8_hM16_rM8A8X8_cn.h
src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF/Release/DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF.out: src/DSP_fir_r8_hM16_rM8A8X8//c66/DSP_fir_r8_hM16_rM8A8X8_d.c
src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF/Release/DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF.out: src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF/.project
	-@ echo Importing Project DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_r8_hM16_rM8A8X8/c66/DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF"
	-@ echo Building Project DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_fir_r8_hM16_rM8A8X8//c66//DSP_fir_r8_hM16_rM8A8X8_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_fir_sym_66_LE_COFF

#############################################################

.executables: src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_COFF/Release/DSP_fir_sym_66_LE_COFF.out

.projects: src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_COFF

src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_COFF: src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_COFF/.project

src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_sym_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_sym_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_SYM_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_SYM_66_LE_COFF_SRCDSP_FIR_SYMC66/DSP_fir_sym_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_SYM_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_SYM_66_LE_COFF_SRCDSP_FIR_SYM "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_sym" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_SYM_66_LE_COFF_SRCDSP_FIR_SYMC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_sym/c66" \

	echo EXT_ROOT__DSP_FIR_SYM_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_SYM_66_LE_COFF_SRCDSP_FIR_SYM=../../ >> src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_SYM_66_LE_COFF_SRCDSP_FIR_SYMC66=.././ >> src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_sym_66_LE_COFF"
src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_COFF/Release/DSP_fir_sym_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_COFF/Release/DSP_fir_sym_66_LE_COFF.out: src/DSP_fir_sym/DSP_fir_sym.h
src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_COFF/Release/DSP_fir_sym_66_LE_COFF.out: src/DSP_fir_sym//c66/DSP_fir_sym.h
src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_COFF/Release/DSP_fir_sym_66_LE_COFF.out: src/DSP_fir_sym//c66/DSP_fir_sym_cn.h
src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_COFF/Release/DSP_fir_sym_66_LE_COFF.out: src/DSP_fir_sym//c66/DSP_fir_sym_d.c
src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_COFF/Release/DSP_fir_sym_66_LE_COFF.out: src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_COFF/.project
	-@ echo Importing Project DSP_fir_sym_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_sym_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_sym_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_sym/c66/DSP_fir_sym_66_LE_COFF"
	-@ echo Building Project DSP_fir_sym_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_sym_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_sym_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_fir_sym_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_sym_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_fir_sym_66_BE_COFF

#############################################################

.executables: src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_COFF/Release/DSP_fir_sym_66_BE_COFF.out

.projects: src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_COFF

src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_COFF: src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_COFF/.project

src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_sym_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_sym_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_SYM_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_SYM_66_BE_COFF_SRCDSP_FIR_SYMC66/DSP_fir_sym_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_SYM_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_SYM_66_BE_COFF_SRCDSP_FIR_SYM "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_sym" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_SYM_66_BE_COFF_SRCDSP_FIR_SYMC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_sym/c66" \

	echo EXT_ROOT__DSP_FIR_SYM_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_SYM_66_BE_COFF_SRCDSP_FIR_SYM=../../ >> src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FIR_SYM_66_BE_COFF_SRCDSP_FIR_SYMC66=.././ >> src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_sym_66_BE_COFF"
src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_COFF/Release/DSP_fir_sym_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_COFF/Release/DSP_fir_sym_66_BE_COFF.out: src/DSP_fir_sym/DSP_fir_sym.h
src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_COFF/Release/DSP_fir_sym_66_BE_COFF.out: src/DSP_fir_sym//c66/DSP_fir_sym.h
src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_COFF/Release/DSP_fir_sym_66_BE_COFF.out: src/DSP_fir_sym//c66/DSP_fir_sym_cn.h
src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_COFF/Release/DSP_fir_sym_66_BE_COFF.out: src/DSP_fir_sym//c66/DSP_fir_sym_d.c
src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_COFF/Release/DSP_fir_sym_66_BE_COFF.out: src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_COFF/.project
	-@ echo Importing Project DSP_fir_sym_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_sym_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_sym_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_sym/c66/DSP_fir_sym_66_BE_COFF"
	-@ echo Building Project DSP_fir_sym_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_sym_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_sym_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_fir_sym_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_sym_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_fir_sym_66_LE_ELF

#############################################################

.executables: src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_ELF/Release/DSP_fir_sym_66_LE_ELF.out

.projects: src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_ELF

src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_ELF: src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_ELF/.project

src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_sym_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_sym_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_SYM_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_SYM_66_LE_ELF_SRCDSP_FIR_SYMC66/DSP_fir_sym_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_SYM_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_SYM_66_LE_ELF_SRCDSP_FIR_SYM "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_sym" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_SYM_66_LE_ELF_SRCDSP_FIR_SYMC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_sym/c66" \

	echo EXT_ROOT__DSP_FIR_SYM_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_SYM_66_LE_ELF_SRCDSP_FIR_SYM=../../ >> src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_SYM_66_LE_ELF_SRCDSP_FIR_SYMC66=.././ >> src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_sym_66_LE_ELF"
src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_ELF/Release/DSP_fir_sym_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_ELF/Release/DSP_fir_sym_66_LE_ELF.out: src/DSP_fir_sym/DSP_fir_sym.h
src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_ELF/Release/DSP_fir_sym_66_LE_ELF.out: src/DSP_fir_sym//c66/DSP_fir_sym.h
src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_ELF/Release/DSP_fir_sym_66_LE_ELF.out: src/DSP_fir_sym//c66/DSP_fir_sym_cn.h
src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_ELF/Release/DSP_fir_sym_66_LE_ELF.out: src/DSP_fir_sym//c66/DSP_fir_sym_d.c
src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_ELF/Release/DSP_fir_sym_66_LE_ELF.out: src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_ELF/.project
	-@ echo Importing Project DSP_fir_sym_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_sym_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_sym_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_sym/c66/DSP_fir_sym_66_LE_ELF"
	-@ echo Building Project DSP_fir_sym_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_sym_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_sym_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_fir_sym_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_sym_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_fir_sym//c66//DSP_fir_sym_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_fir_sym_66_BE_ELF

#############################################################

.executables: src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_ELF/Release/DSP_fir_sym_66_BE_ELF.out

.projects: src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_ELF

src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_ELF: src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_ELF/.project

src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_sym_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fir_sym_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FIR_SYM_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FIR_SYM_66_BE_ELF_SRCDSP_FIR_SYMC66/DSP_fir_sym_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_SYM_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_SYM_66_BE_ELF_SRCDSP_FIR_SYM "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_sym" \
 -ccs.definePathVariable EXT_ROOT__DSP_FIR_SYM_66_BE_ELF_SRCDSP_FIR_SYMC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_sym/c66" \

	echo EXT_ROOT__DSP_FIR_SYM_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_SYM_66_BE_ELF_SRCDSP_FIR_SYM=../../ >> src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FIR_SYM_66_BE_ELF_SRCDSP_FIR_SYMC66=.././ >> src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_sym_66_BE_ELF"
src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_ELF/Release/DSP_fir_sym_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_ELF/Release/DSP_fir_sym_66_BE_ELF.out: src/DSP_fir_sym/DSP_fir_sym.h
src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_ELF/Release/DSP_fir_sym_66_BE_ELF.out: src/DSP_fir_sym//c66/DSP_fir_sym.h
src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_ELF/Release/DSP_fir_sym_66_BE_ELF.out: src/DSP_fir_sym//c66/DSP_fir_sym_cn.h
src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_ELF/Release/DSP_fir_sym_66_BE_ELF.out: src/DSP_fir_sym//c66/DSP_fir_sym_d.c
src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_ELF/Release/DSP_fir_sym_66_BE_ELF.out: src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_ELF/.project
	-@ echo Importing Project DSP_fir_sym_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_sym_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fir_sym_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fir_sym/c66/DSP_fir_sym_66_BE_ELF"
	-@ echo Building Project DSP_fir_sym_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fir_sym_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fir_sym_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_fir_sym_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fir_sym_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_fir_sym//c66//DSP_fir_sym_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_fltoq15_66_LE_COFF

#############################################################

.executables: src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_COFF/Release/DSP_fltoq15_66_LE_COFF.out

.projects: src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_COFF

src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_COFF: src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_COFF/.project

src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fltoq15_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fltoq15_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FLTOQ15_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FLTOQ15_66_LE_COFF_SRCDSP_FLTOQ15C66/DSP_fltoq15_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FLTOQ15_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FLTOQ15_66_LE_COFF_SRCDSP_FLTOQ15 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fltoq15" \
 -ccs.definePathVariable EXT_ROOT__DSP_FLTOQ15_66_LE_COFF_SRCDSP_FLTOQ15C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fltoq15/c66" \

	echo EXT_ROOT__DSP_FLTOQ15_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FLTOQ15_66_LE_COFF_SRCDSP_FLTOQ15=../../ >> src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_FLTOQ15_66_LE_COFF_SRCDSP_FLTOQ15C66=.././ >> src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fltoq15_66_LE_COFF"
src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_COFF/Release/DSP_fltoq15_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_COFF/Release/DSP_fltoq15_66_LE_COFF.out: src/DSP_fltoq15/DSP_fltoq15.h
src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_COFF/Release/DSP_fltoq15_66_LE_COFF.out: src/DSP_fltoq15//c66/DSP_fltoq15.h
src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_COFF/Release/DSP_fltoq15_66_LE_COFF.out: src/DSP_fltoq15//c66/DSP_fltoq15_cn.h
src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_COFF/Release/DSP_fltoq15_66_LE_COFF.out: src/DSP_fltoq15//c66/DSP_fltoq15_d.c
src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_COFF/Release/DSP_fltoq15_66_LE_COFF.out: src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_COFF/.project
	-@ echo Importing Project DSP_fltoq15_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fltoq15_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fltoq15_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fltoq15/c66/DSP_fltoq15_66_LE_COFF"
	-@ echo Building Project DSP_fltoq15_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fltoq15_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fltoq15_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_fltoq15_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fltoq15_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_fltoq15_66_BE_COFF

#############################################################

.executables: src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_COFF/Release/DSP_fltoq15_66_BE_COFF.out

.projects: src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_COFF

src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_COFF: src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_COFF/.project

src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fltoq15_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fltoq15_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FLTOQ15_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FLTOQ15_66_BE_COFF_SRCDSP_FLTOQ15C66/DSP_fltoq15_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_FLTOQ15_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FLTOQ15_66_BE_COFF_SRCDSP_FLTOQ15 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fltoq15" \
 -ccs.definePathVariable EXT_ROOT__DSP_FLTOQ15_66_BE_COFF_SRCDSP_FLTOQ15C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fltoq15/c66" \

	echo EXT_ROOT__DSP_FLTOQ15_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FLTOQ15_66_BE_COFF_SRCDSP_FLTOQ15=../../ >> src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_FLTOQ15_66_BE_COFF_SRCDSP_FLTOQ15C66=.././ >> src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fltoq15_66_BE_COFF"
src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_COFF/Release/DSP_fltoq15_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_COFF/Release/DSP_fltoq15_66_BE_COFF.out: src/DSP_fltoq15/DSP_fltoq15.h
src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_COFF/Release/DSP_fltoq15_66_BE_COFF.out: src/DSP_fltoq15//c66/DSP_fltoq15.h
src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_COFF/Release/DSP_fltoq15_66_BE_COFF.out: src/DSP_fltoq15//c66/DSP_fltoq15_cn.h
src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_COFF/Release/DSP_fltoq15_66_BE_COFF.out: src/DSP_fltoq15//c66/DSP_fltoq15_d.c
src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_COFF/Release/DSP_fltoq15_66_BE_COFF.out: src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_COFF/.project
	-@ echo Importing Project DSP_fltoq15_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fltoq15_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fltoq15_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fltoq15/c66/DSP_fltoq15_66_BE_COFF"
	-@ echo Building Project DSP_fltoq15_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fltoq15_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fltoq15_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_fltoq15_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fltoq15_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_fltoq15_66_LE_ELF

#############################################################

.executables: src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_ELF/Release/DSP_fltoq15_66_LE_ELF.out

.projects: src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_ELF

src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_ELF: src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_ELF/.project

src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fltoq15_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fltoq15_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FLTOQ15_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FLTOQ15_66_LE_ELF_SRCDSP_FLTOQ15C66/DSP_fltoq15_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FLTOQ15_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FLTOQ15_66_LE_ELF_SRCDSP_FLTOQ15 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fltoq15" \
 -ccs.definePathVariable EXT_ROOT__DSP_FLTOQ15_66_LE_ELF_SRCDSP_FLTOQ15C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fltoq15/c66" \

	echo EXT_ROOT__DSP_FLTOQ15_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FLTOQ15_66_LE_ELF_SRCDSP_FLTOQ15=../../ >> src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_FLTOQ15_66_LE_ELF_SRCDSP_FLTOQ15C66=.././ >> src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fltoq15_66_LE_ELF"
src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_ELF/Release/DSP_fltoq15_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_ELF/Release/DSP_fltoq15_66_LE_ELF.out: src/DSP_fltoq15/DSP_fltoq15.h
src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_ELF/Release/DSP_fltoq15_66_LE_ELF.out: src/DSP_fltoq15//c66/DSP_fltoq15.h
src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_ELF/Release/DSP_fltoq15_66_LE_ELF.out: src/DSP_fltoq15//c66/DSP_fltoq15_cn.h
src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_ELF/Release/DSP_fltoq15_66_LE_ELF.out: src/DSP_fltoq15//c66/DSP_fltoq15_d.c
src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_ELF/Release/DSP_fltoq15_66_LE_ELF.out: src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_ELF/.project
	-@ echo Importing Project DSP_fltoq15_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fltoq15_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fltoq15_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fltoq15/c66/DSP_fltoq15_66_LE_ELF"
	-@ echo Building Project DSP_fltoq15_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fltoq15_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fltoq15_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_fltoq15_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fltoq15_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_fltoq15//c66//DSP_fltoq15_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_fltoq15_66_BE_ELF

#############################################################

.executables: src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_ELF/Release/DSP_fltoq15_66_BE_ELF.out

.projects: src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_ELF

src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_ELF: src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_ELF/.project

src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fltoq15_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_fltoq15_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_FLTOQ15_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_FLTOQ15_66_BE_ELF_SRCDSP_FLTOQ15C66/DSP_fltoq15_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_FLTOQ15_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_FLTOQ15_66_BE_ELF_SRCDSP_FLTOQ15 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fltoq15" \
 -ccs.definePathVariable EXT_ROOT__DSP_FLTOQ15_66_BE_ELF_SRCDSP_FLTOQ15C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fltoq15/c66" \

	echo EXT_ROOT__DSP_FLTOQ15_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FLTOQ15_66_BE_ELF_SRCDSP_FLTOQ15=../../ >> src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_FLTOQ15_66_BE_ELF_SRCDSP_FLTOQ15C66=.././ >> src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_fltoq15_66_BE_ELF"
src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_ELF/Release/DSP_fltoq15_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_ELF/Release/DSP_fltoq15_66_BE_ELF.out: src/DSP_fltoq15/DSP_fltoq15.h
src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_ELF/Release/DSP_fltoq15_66_BE_ELF.out: src/DSP_fltoq15//c66/DSP_fltoq15.h
src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_ELF/Release/DSP_fltoq15_66_BE_ELF.out: src/DSP_fltoq15//c66/DSP_fltoq15_cn.h
src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_ELF/Release/DSP_fltoq15_66_BE_ELF.out: src/DSP_fltoq15//c66/DSP_fltoq15_d.c
src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_ELF/Release/DSP_fltoq15_66_BE_ELF.out: src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_ELF/.project
	-@ echo Importing Project DSP_fltoq15_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fltoq15_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_fltoq15_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_fltoq15/c66/DSP_fltoq15_66_BE_ELF"
	-@ echo Building Project DSP_fltoq15_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_fltoq15_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_fltoq15_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_fltoq15_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_fltoq15_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_fltoq15//c66//DSP_fltoq15_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_ifft16x16_66_LE_COFF

#############################################################

.executables: src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_COFF/Release/DSP_ifft16x16_66_LE_COFF.out

.projects: src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_COFF

src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_COFF: src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_COFF/.project

src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x16_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_ifft16x16_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_IFFT16X16_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_IFFT16X16_66_LE_COFF_SRCDSP_IFFT16X16C66/DSP_ifft16x16_d.c\
 -ccs.linkFile EXT_ROOT__DSP_IFFT16X16_66_LE_COFF_SRCDSP_IFFT16X16C66/gen_twiddle_ifft16x16.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X16_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X16_66_LE_COFF_SRCDSP_IFFT16X16 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x16" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X16_66_LE_COFF_SRCDSP_IFFT16X16C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x16/c66" \

	echo EXT_ROOT__DSP_IFFT16X16_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_IFFT16X16_66_LE_COFF_SRCDSP_IFFT16X16=../../ >> src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_IFFT16X16_66_LE_COFF_SRCDSP_IFFT16X16C66=.././ >> src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft16x16_66_LE_COFF"
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_COFF/Release/DSP_ifft16x16_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_COFF/Release/DSP_ifft16x16_66_LE_COFF.out: src/DSP_ifft16x16/DSP_ifft16x16.h
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_COFF/Release/DSP_ifft16x16_66_LE_COFF.out: src/DSP_ifft16x16//c66/DSP_ifft16x16.h
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_COFF/Release/DSP_ifft16x16_66_LE_COFF.out: src/DSP_ifft16x16//c66/DSP_ifft16x16_cn.h
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_COFF/Release/DSP_ifft16x16_66_LE_COFF.out: src/DSP_ifft16x16//c66/DSP_ifft16x16_d.c
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_COFF/Release/DSP_ifft16x16_66_LE_COFF.out: src/DSP_ifft16x16//c66/gen_twiddle_ifft16x16.c
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_COFF/Release/DSP_ifft16x16_66_LE_COFF.out: src/DSP_ifft16x16//c66/gen_twiddle_ifft16x16.h
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_COFF/Release/DSP_ifft16x16_66_LE_COFF.out: src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_COFF/.project
	-@ echo Importing Project DSP_ifft16x16_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x16_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_ifft16x16_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x16/c66/DSP_ifft16x16_66_LE_COFF"
	-@ echo Building Project DSP_ifft16x16_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x16_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_ifft16x16_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_ifft16x16_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft16x16_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_ifft16x16_66_BE_COFF

#############################################################

.executables: src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_COFF/Release/DSP_ifft16x16_66_BE_COFF.out

.projects: src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_COFF

src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_COFF: src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_COFF/.project

src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x16_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_ifft16x16_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_IFFT16X16_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_IFFT16X16_66_BE_COFF_SRCDSP_IFFT16X16C66/DSP_ifft16x16_d.c\
 -ccs.linkFile EXT_ROOT__DSP_IFFT16X16_66_BE_COFF_SRCDSP_IFFT16X16C66/gen_twiddle_ifft16x16.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X16_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X16_66_BE_COFF_SRCDSP_IFFT16X16 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x16" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X16_66_BE_COFF_SRCDSP_IFFT16X16C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x16/c66" \

	echo EXT_ROOT__DSP_IFFT16X16_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_IFFT16X16_66_BE_COFF_SRCDSP_IFFT16X16=../../ >> src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_IFFT16X16_66_BE_COFF_SRCDSP_IFFT16X16C66=.././ >> src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft16x16_66_BE_COFF"
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_COFF/Release/DSP_ifft16x16_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_COFF/Release/DSP_ifft16x16_66_BE_COFF.out: src/DSP_ifft16x16/DSP_ifft16x16.h
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_COFF/Release/DSP_ifft16x16_66_BE_COFF.out: src/DSP_ifft16x16//c66/DSP_ifft16x16.h
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_COFF/Release/DSP_ifft16x16_66_BE_COFF.out: src/DSP_ifft16x16//c66/DSP_ifft16x16_cn.h
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_COFF/Release/DSP_ifft16x16_66_BE_COFF.out: src/DSP_ifft16x16//c66/DSP_ifft16x16_d.c
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_COFF/Release/DSP_ifft16x16_66_BE_COFF.out: src/DSP_ifft16x16//c66/gen_twiddle_ifft16x16.c
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_COFF/Release/DSP_ifft16x16_66_BE_COFF.out: src/DSP_ifft16x16//c66/gen_twiddle_ifft16x16.h
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_COFF/Release/DSP_ifft16x16_66_BE_COFF.out: src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_COFF/.project
	-@ echo Importing Project DSP_ifft16x16_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x16_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_ifft16x16_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x16/c66/DSP_ifft16x16_66_BE_COFF"
	-@ echo Building Project DSP_ifft16x16_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x16_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_ifft16x16_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_ifft16x16_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft16x16_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_ifft16x16_66_LE_ELF

#############################################################

.executables: src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_ELF/Release/DSP_ifft16x16_66_LE_ELF.out

.projects: src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_ELF

src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_ELF: src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_ELF/.project

src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x16_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_ifft16x16_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_IFFT16X16_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_IFFT16X16_66_LE_ELF_SRCDSP_IFFT16X16C66/DSP_ifft16x16_d.c\
 -ccs.linkFile EXT_ROOT__DSP_IFFT16X16_66_LE_ELF_SRCDSP_IFFT16X16C66/gen_twiddle_ifft16x16.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X16_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X16_66_LE_ELF_SRCDSP_IFFT16X16 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x16" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X16_66_LE_ELF_SRCDSP_IFFT16X16C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x16/c66" \

	echo EXT_ROOT__DSP_IFFT16X16_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_IFFT16X16_66_LE_ELF_SRCDSP_IFFT16X16=../../ >> src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_IFFT16X16_66_LE_ELF_SRCDSP_IFFT16X16C66=.././ >> src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft16x16_66_LE_ELF"
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_ELF/Release/DSP_ifft16x16_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_ELF/Release/DSP_ifft16x16_66_LE_ELF.out: src/DSP_ifft16x16/DSP_ifft16x16.h
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_ELF/Release/DSP_ifft16x16_66_LE_ELF.out: src/DSP_ifft16x16//c66/DSP_ifft16x16.h
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_ELF/Release/DSP_ifft16x16_66_LE_ELF.out: src/DSP_ifft16x16//c66/DSP_ifft16x16_cn.h
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_ELF/Release/DSP_ifft16x16_66_LE_ELF.out: src/DSP_ifft16x16//c66/DSP_ifft16x16_d.c
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_ELF/Release/DSP_ifft16x16_66_LE_ELF.out: src/DSP_ifft16x16//c66/gen_twiddle_ifft16x16.c
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_ELF/Release/DSP_ifft16x16_66_LE_ELF.out: src/DSP_ifft16x16//c66/gen_twiddle_ifft16x16.h
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_ELF/Release/DSP_ifft16x16_66_LE_ELF.out: src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_ELF/.project
	-@ echo Importing Project DSP_ifft16x16_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x16_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_ifft16x16_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x16/c66/DSP_ifft16x16_66_LE_ELF"
	-@ echo Building Project DSP_ifft16x16_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x16_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_ifft16x16_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_ifft16x16_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft16x16_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_ifft16x16//c66//DSP_ifft16x16_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_ifft16x16_66_BE_ELF

#############################################################

.executables: src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_ELF/Release/DSP_ifft16x16_66_BE_ELF.out

.projects: src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_ELF

src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_ELF: src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_ELF/.project

src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x16_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_ifft16x16_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_IFFT16X16_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_IFFT16X16_66_BE_ELF_SRCDSP_IFFT16X16C66/DSP_ifft16x16_d.c\
 -ccs.linkFile EXT_ROOT__DSP_IFFT16X16_66_BE_ELF_SRCDSP_IFFT16X16C66/gen_twiddle_ifft16x16.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X16_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X16_66_BE_ELF_SRCDSP_IFFT16X16 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x16" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X16_66_BE_ELF_SRCDSP_IFFT16X16C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x16/c66" \

	echo EXT_ROOT__DSP_IFFT16X16_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_IFFT16X16_66_BE_ELF_SRCDSP_IFFT16X16=../../ >> src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_IFFT16X16_66_BE_ELF_SRCDSP_IFFT16X16C66=.././ >> src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft16x16_66_BE_ELF"
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_ELF/Release/DSP_ifft16x16_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_ELF/Release/DSP_ifft16x16_66_BE_ELF.out: src/DSP_ifft16x16/DSP_ifft16x16.h
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_ELF/Release/DSP_ifft16x16_66_BE_ELF.out: src/DSP_ifft16x16//c66/DSP_ifft16x16.h
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_ELF/Release/DSP_ifft16x16_66_BE_ELF.out: src/DSP_ifft16x16//c66/DSP_ifft16x16_cn.h
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_ELF/Release/DSP_ifft16x16_66_BE_ELF.out: src/DSP_ifft16x16//c66/DSP_ifft16x16_d.c
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_ELF/Release/DSP_ifft16x16_66_BE_ELF.out: src/DSP_ifft16x16//c66/gen_twiddle_ifft16x16.c
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_ELF/Release/DSP_ifft16x16_66_BE_ELF.out: src/DSP_ifft16x16//c66/gen_twiddle_ifft16x16.h
src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_ELF/Release/DSP_ifft16x16_66_BE_ELF.out: src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_ELF/.project
	-@ echo Importing Project DSP_ifft16x16_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x16_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_ifft16x16_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x16/c66/DSP_ifft16x16_66_BE_ELF"
	-@ echo Building Project DSP_ifft16x16_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x16_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_ifft16x16_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_ifft16x16_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft16x16_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_ifft16x16//c66//DSP_ifft16x16_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_ifft16x16_imre_66_LE_COFF

#############################################################

.executables: src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_COFF/Release/DSP_ifft16x16_imre_66_LE_COFF.out

.projects: src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_COFF

src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_COFF: src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_COFF/.project

src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x16_imre_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_ifft16x16_imre_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_IFFT16X16_IMRE_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_IFFT16X16_IMRE_66_LE_COFF_SRCDSP_IFFT16X16_IMREC66/DSP_ifft16x16_imre_d.c\
 -ccs.linkFile EXT_ROOT__DSP_IFFT16X16_IMRE_66_LE_COFF_SRCDSP_IFFT16X16_IMREC66/gen_twiddle_ifft16x16_imre.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X16_IMRE_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X16_IMRE_66_LE_COFF_SRCDSP_IFFT16X16_IMRE "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x16_imre" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X16_IMRE_66_LE_COFF_SRCDSP_IFFT16X16_IMREC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x16_imre/c66" \

	echo EXT_ROOT__DSP_IFFT16X16_IMRE_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_IFFT16X16_IMRE_66_LE_COFF_SRCDSP_IFFT16X16_IMRE=../../ >> src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_IFFT16X16_IMRE_66_LE_COFF_SRCDSP_IFFT16X16_IMREC66=.././ >> src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft16x16_imre_66_LE_COFF"
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_COFF/Release/DSP_ifft16x16_imre_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_COFF/Release/DSP_ifft16x16_imre_66_LE_COFF.out: src/DSP_ifft16x16_imre/DSP_ifft16x16_imre.h
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_COFF/Release/DSP_ifft16x16_imre_66_LE_COFF.out: src/DSP_ifft16x16_imre//c66/DSP_ifft16x16_imre.h
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_COFF/Release/DSP_ifft16x16_imre_66_LE_COFF.out: src/DSP_ifft16x16_imre//c66/DSP_ifft16x16_imre_cn.h
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_COFF/Release/DSP_ifft16x16_imre_66_LE_COFF.out: src/DSP_ifft16x16_imre//c66/DSP_ifft16x16_imre_d.c
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_COFF/Release/DSP_ifft16x16_imre_66_LE_COFF.out: src/DSP_ifft16x16_imre//c66/gen_twiddle_ifft16x16_imre.c
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_COFF/Release/DSP_ifft16x16_imre_66_LE_COFF.out: src/DSP_ifft16x16_imre//c66/gen_twiddle_ifft16x16_imre.h
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_COFF/Release/DSP_ifft16x16_imre_66_LE_COFF.out: src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_COFF/.project
	-@ echo Importing Project DSP_ifft16x16_imre_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x16_imre_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_ifft16x16_imre_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x16_imre/c66/DSP_ifft16x16_imre_66_LE_COFF"
	-@ echo Building Project DSP_ifft16x16_imre_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x16_imre_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_ifft16x16_imre_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_ifft16x16_imre_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft16x16_imre_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_ifft16x16_imre_66_BE_COFF

#############################################################

.executables: src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_COFF/Release/DSP_ifft16x16_imre_66_BE_COFF.out

.projects: src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_COFF

src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_COFF: src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_COFF/.project

src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x16_imre_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_ifft16x16_imre_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_IFFT16X16_IMRE_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_IFFT16X16_IMRE_66_BE_COFF_SRCDSP_IFFT16X16_IMREC66/DSP_ifft16x16_imre_d.c\
 -ccs.linkFile EXT_ROOT__DSP_IFFT16X16_IMRE_66_BE_COFF_SRCDSP_IFFT16X16_IMREC66/gen_twiddle_ifft16x16_imre.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X16_IMRE_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X16_IMRE_66_BE_COFF_SRCDSP_IFFT16X16_IMRE "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x16_imre" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X16_IMRE_66_BE_COFF_SRCDSP_IFFT16X16_IMREC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x16_imre/c66" \

	echo EXT_ROOT__DSP_IFFT16X16_IMRE_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_IFFT16X16_IMRE_66_BE_COFF_SRCDSP_IFFT16X16_IMRE=../../ >> src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_IFFT16X16_IMRE_66_BE_COFF_SRCDSP_IFFT16X16_IMREC66=.././ >> src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft16x16_imre_66_BE_COFF"
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_COFF/Release/DSP_ifft16x16_imre_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_COFF/Release/DSP_ifft16x16_imre_66_BE_COFF.out: src/DSP_ifft16x16_imre/DSP_ifft16x16_imre.h
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_COFF/Release/DSP_ifft16x16_imre_66_BE_COFF.out: src/DSP_ifft16x16_imre//c66/DSP_ifft16x16_imre.h
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_COFF/Release/DSP_ifft16x16_imre_66_BE_COFF.out: src/DSP_ifft16x16_imre//c66/DSP_ifft16x16_imre_cn.h
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_COFF/Release/DSP_ifft16x16_imre_66_BE_COFF.out: src/DSP_ifft16x16_imre//c66/DSP_ifft16x16_imre_d.c
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_COFF/Release/DSP_ifft16x16_imre_66_BE_COFF.out: src/DSP_ifft16x16_imre//c66/gen_twiddle_ifft16x16_imre.c
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_COFF/Release/DSP_ifft16x16_imre_66_BE_COFF.out: src/DSP_ifft16x16_imre//c66/gen_twiddle_ifft16x16_imre.h
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_COFF/Release/DSP_ifft16x16_imre_66_BE_COFF.out: src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_COFF/.project
	-@ echo Importing Project DSP_ifft16x16_imre_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x16_imre_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_ifft16x16_imre_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x16_imre/c66/DSP_ifft16x16_imre_66_BE_COFF"
	-@ echo Building Project DSP_ifft16x16_imre_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x16_imre_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_ifft16x16_imre_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_ifft16x16_imre_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft16x16_imre_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_ifft16x16_imre_66_LE_ELF

#############################################################

.executables: src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_ELF/Release/DSP_ifft16x16_imre_66_LE_ELF.out

.projects: src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_ELF

src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_ELF: src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_ELF/.project

src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x16_imre_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_ifft16x16_imre_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_IFFT16X16_IMRE_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_IFFT16X16_IMRE_66_LE_ELF_SRCDSP_IFFT16X16_IMREC66/DSP_ifft16x16_imre_d.c\
 -ccs.linkFile EXT_ROOT__DSP_IFFT16X16_IMRE_66_LE_ELF_SRCDSP_IFFT16X16_IMREC66/gen_twiddle_ifft16x16_imre.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X16_IMRE_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X16_IMRE_66_LE_ELF_SRCDSP_IFFT16X16_IMRE "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x16_imre" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X16_IMRE_66_LE_ELF_SRCDSP_IFFT16X16_IMREC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x16_imre/c66" \

	echo EXT_ROOT__DSP_IFFT16X16_IMRE_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_IFFT16X16_IMRE_66_LE_ELF_SRCDSP_IFFT16X16_IMRE=../../ >> src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_IFFT16X16_IMRE_66_LE_ELF_SRCDSP_IFFT16X16_IMREC66=.././ >> src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft16x16_imre_66_LE_ELF"
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_ELF/Release/DSP_ifft16x16_imre_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_ELF/Release/DSP_ifft16x16_imre_66_LE_ELF.out: src/DSP_ifft16x16_imre/DSP_ifft16x16_imre.h
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_ELF/Release/DSP_ifft16x16_imre_66_LE_ELF.out: src/DSP_ifft16x16_imre//c66/DSP_ifft16x16_imre.h
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_ELF/Release/DSP_ifft16x16_imre_66_LE_ELF.out: src/DSP_ifft16x16_imre//c66/DSP_ifft16x16_imre_cn.h
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_ELF/Release/DSP_ifft16x16_imre_66_LE_ELF.out: src/DSP_ifft16x16_imre//c66/DSP_ifft16x16_imre_d.c
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_ELF/Release/DSP_ifft16x16_imre_66_LE_ELF.out: src/DSP_ifft16x16_imre//c66/gen_twiddle_ifft16x16_imre.c
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_ELF/Release/DSP_ifft16x16_imre_66_LE_ELF.out: src/DSP_ifft16x16_imre//c66/gen_twiddle_ifft16x16_imre.h
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_ELF/Release/DSP_ifft16x16_imre_66_LE_ELF.out: src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_ELF/.project
	-@ echo Importing Project DSP_ifft16x16_imre_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x16_imre_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_ifft16x16_imre_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x16_imre/c66/DSP_ifft16x16_imre_66_LE_ELF"
	-@ echo Building Project DSP_ifft16x16_imre_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x16_imre_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_ifft16x16_imre_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_ifft16x16_imre_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft16x16_imre_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_ifft16x16_imre_66_BE_ELF

#############################################################

.executables: src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_ELF/Release/DSP_ifft16x16_imre_66_BE_ELF.out

.projects: src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_ELF

src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_ELF: src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_ELF/.project

src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x16_imre_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_ifft16x16_imre_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_IFFT16X16_IMRE_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_IFFT16X16_IMRE_66_BE_ELF_SRCDSP_IFFT16X16_IMREC66/DSP_ifft16x16_imre_d.c\
 -ccs.linkFile EXT_ROOT__DSP_IFFT16X16_IMRE_66_BE_ELF_SRCDSP_IFFT16X16_IMREC66/gen_twiddle_ifft16x16_imre.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X16_IMRE_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X16_IMRE_66_BE_ELF_SRCDSP_IFFT16X16_IMRE "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x16_imre" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X16_IMRE_66_BE_ELF_SRCDSP_IFFT16X16_IMREC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x16_imre/c66" \

	echo EXT_ROOT__DSP_IFFT16X16_IMRE_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_IFFT16X16_IMRE_66_BE_ELF_SRCDSP_IFFT16X16_IMRE=../../ >> src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_IFFT16X16_IMRE_66_BE_ELF_SRCDSP_IFFT16X16_IMREC66=.././ >> src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft16x16_imre_66_BE_ELF"
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_ELF/Release/DSP_ifft16x16_imre_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_ELF/Release/DSP_ifft16x16_imre_66_BE_ELF.out: src/DSP_ifft16x16_imre/DSP_ifft16x16_imre.h
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_ELF/Release/DSP_ifft16x16_imre_66_BE_ELF.out: src/DSP_ifft16x16_imre//c66/DSP_ifft16x16_imre.h
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_ELF/Release/DSP_ifft16x16_imre_66_BE_ELF.out: src/DSP_ifft16x16_imre//c66/DSP_ifft16x16_imre_cn.h
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_ELF/Release/DSP_ifft16x16_imre_66_BE_ELF.out: src/DSP_ifft16x16_imre//c66/DSP_ifft16x16_imre_d.c
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_ELF/Release/DSP_ifft16x16_imre_66_BE_ELF.out: src/DSP_ifft16x16_imre//c66/gen_twiddle_ifft16x16_imre.c
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_ELF/Release/DSP_ifft16x16_imre_66_BE_ELF.out: src/DSP_ifft16x16_imre//c66/gen_twiddle_ifft16x16_imre.h
src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_ELF/Release/DSP_ifft16x16_imre_66_BE_ELF.out: src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_ELF/.project
	-@ echo Importing Project DSP_ifft16x16_imre_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x16_imre_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_ifft16x16_imre_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x16_imre/c66/DSP_ifft16x16_imre_66_BE_ELF"
	-@ echo Building Project DSP_ifft16x16_imre_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x16_imre_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_ifft16x16_imre_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_ifft16x16_imre_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft16x16_imre_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_ifft16x16_imre//c66//DSP_ifft16x16_imre_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_ifft16x32_66_LE_COFF

#############################################################

.executables: src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_COFF/Release/DSP_ifft16x32_66_LE_COFF.out

.projects: src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_COFF

src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_COFF: src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_COFF/.project

src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x32_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_ifft16x32_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_IFFT16X32_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_IFFT16X32_66_LE_COFF_SRCDSP_IFFT16X32C66/DSP_ifft16x32_d.c\
 -ccs.linkFile EXT_ROOT__DSP_IFFT16X32_66_LE_COFF_SRCDSP_IFFT16X32C66/gen_twiddle_ifft16x32.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X32_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X32_66_LE_COFF_SRCDSP_IFFT16X32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x32" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X32_66_LE_COFF_SRCDSP_IFFT16X32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x32/c66" \

	echo EXT_ROOT__DSP_IFFT16X32_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_IFFT16X32_66_LE_COFF_SRCDSP_IFFT16X32=../../ >> src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_IFFT16X32_66_LE_COFF_SRCDSP_IFFT16X32C66=.././ >> src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft16x32_66_LE_COFF"
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_COFF/Release/DSP_ifft16x32_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_COFF/Release/DSP_ifft16x32_66_LE_COFF.out: src/DSP_ifft16x32/DSP_ifft16x32.h
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_COFF/Release/DSP_ifft16x32_66_LE_COFF.out: src/DSP_ifft16x32//c66/DSP_ifft16x32.h
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_COFF/Release/DSP_ifft16x32_66_LE_COFF.out: src/DSP_ifft16x32//c66/DSP_ifft16x32_cn.h
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_COFF/Release/DSP_ifft16x32_66_LE_COFF.out: src/DSP_ifft16x32//c66/DSP_ifft16x32_d.c
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_COFF/Release/DSP_ifft16x32_66_LE_COFF.out: src/DSP_ifft16x32//c66/gen_twiddle_ifft16x32.c
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_COFF/Release/DSP_ifft16x32_66_LE_COFF.out: src/DSP_ifft16x32//c66/gen_twiddle_ifft16x32.h
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_COFF/Release/DSP_ifft16x32_66_LE_COFF.out: src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_COFF/.project
	-@ echo Importing Project DSP_ifft16x32_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x32_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_ifft16x32_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x32/c66/DSP_ifft16x32_66_LE_COFF"
	-@ echo Building Project DSP_ifft16x32_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x32_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_ifft16x32_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_ifft16x32_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft16x32_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_ifft16x32_66_BE_COFF

#############################################################

.executables: src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_COFF/Release/DSP_ifft16x32_66_BE_COFF.out

.projects: src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_COFF

src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_COFF: src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_COFF/.project

src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x32_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_ifft16x32_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_IFFT16X32_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_IFFT16X32_66_BE_COFF_SRCDSP_IFFT16X32C66/DSP_ifft16x32_d.c\
 -ccs.linkFile EXT_ROOT__DSP_IFFT16X32_66_BE_COFF_SRCDSP_IFFT16X32C66/gen_twiddle_ifft16x32.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X32_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X32_66_BE_COFF_SRCDSP_IFFT16X32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x32" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X32_66_BE_COFF_SRCDSP_IFFT16X32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x32/c66" \

	echo EXT_ROOT__DSP_IFFT16X32_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_IFFT16X32_66_BE_COFF_SRCDSP_IFFT16X32=../../ >> src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_IFFT16X32_66_BE_COFF_SRCDSP_IFFT16X32C66=.././ >> src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft16x32_66_BE_COFF"
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_COFF/Release/DSP_ifft16x32_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_COFF/Release/DSP_ifft16x32_66_BE_COFF.out: src/DSP_ifft16x32/DSP_ifft16x32.h
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_COFF/Release/DSP_ifft16x32_66_BE_COFF.out: src/DSP_ifft16x32//c66/DSP_ifft16x32.h
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_COFF/Release/DSP_ifft16x32_66_BE_COFF.out: src/DSP_ifft16x32//c66/DSP_ifft16x32_cn.h
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_COFF/Release/DSP_ifft16x32_66_BE_COFF.out: src/DSP_ifft16x32//c66/DSP_ifft16x32_d.c
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_COFF/Release/DSP_ifft16x32_66_BE_COFF.out: src/DSP_ifft16x32//c66/gen_twiddle_ifft16x32.c
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_COFF/Release/DSP_ifft16x32_66_BE_COFF.out: src/DSP_ifft16x32//c66/gen_twiddle_ifft16x32.h
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_COFF/Release/DSP_ifft16x32_66_BE_COFF.out: src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_COFF/.project
	-@ echo Importing Project DSP_ifft16x32_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x32_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_ifft16x32_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x32/c66/DSP_ifft16x32_66_BE_COFF"
	-@ echo Building Project DSP_ifft16x32_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x32_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_ifft16x32_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_ifft16x32_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft16x32_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_ifft16x32_66_LE_ELF

#############################################################

.executables: src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_ELF/Release/DSP_ifft16x32_66_LE_ELF.out

.projects: src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_ELF

src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_ELF: src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_ELF/.project

src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x32_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_ifft16x32_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_IFFT16X32_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_IFFT16X32_66_LE_ELF_SRCDSP_IFFT16X32C66/DSP_ifft16x32_d.c\
 -ccs.linkFile EXT_ROOT__DSP_IFFT16X32_66_LE_ELF_SRCDSP_IFFT16X32C66/gen_twiddle_ifft16x32.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X32_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X32_66_LE_ELF_SRCDSP_IFFT16X32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x32" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X32_66_LE_ELF_SRCDSP_IFFT16X32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x32/c66" \

	echo EXT_ROOT__DSP_IFFT16X32_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_IFFT16X32_66_LE_ELF_SRCDSP_IFFT16X32=../../ >> src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_IFFT16X32_66_LE_ELF_SRCDSP_IFFT16X32C66=.././ >> src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft16x32_66_LE_ELF"
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_ELF/Release/DSP_ifft16x32_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_ELF/Release/DSP_ifft16x32_66_LE_ELF.out: src/DSP_ifft16x32/DSP_ifft16x32.h
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_ELF/Release/DSP_ifft16x32_66_LE_ELF.out: src/DSP_ifft16x32//c66/DSP_ifft16x32.h
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_ELF/Release/DSP_ifft16x32_66_LE_ELF.out: src/DSP_ifft16x32//c66/DSP_ifft16x32_cn.h
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_ELF/Release/DSP_ifft16x32_66_LE_ELF.out: src/DSP_ifft16x32//c66/DSP_ifft16x32_d.c
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_ELF/Release/DSP_ifft16x32_66_LE_ELF.out: src/DSP_ifft16x32//c66/gen_twiddle_ifft16x32.c
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_ELF/Release/DSP_ifft16x32_66_LE_ELF.out: src/DSP_ifft16x32//c66/gen_twiddle_ifft16x32.h
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_ELF/Release/DSP_ifft16x32_66_LE_ELF.out: src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_ELF/.project
	-@ echo Importing Project DSP_ifft16x32_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x32_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_ifft16x32_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x32/c66/DSP_ifft16x32_66_LE_ELF"
	-@ echo Building Project DSP_ifft16x32_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x32_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_ifft16x32_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_ifft16x32_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft16x32_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_ifft16x32//c66//DSP_ifft16x32_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_ifft16x32_66_BE_ELF

#############################################################

.executables: src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_ELF/Release/DSP_ifft16x32_66_BE_ELF.out

.projects: src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_ELF

src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_ELF: src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_ELF/.project

src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x32_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_ifft16x32_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_IFFT16X32_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_IFFT16X32_66_BE_ELF_SRCDSP_IFFT16X32C66/DSP_ifft16x32_d.c\
 -ccs.linkFile EXT_ROOT__DSP_IFFT16X32_66_BE_ELF_SRCDSP_IFFT16X32C66/gen_twiddle_ifft16x32.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X32_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X32_66_BE_ELF_SRCDSP_IFFT16X32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x32" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT16X32_66_BE_ELF_SRCDSP_IFFT16X32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x32/c66" \

	echo EXT_ROOT__DSP_IFFT16X32_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_IFFT16X32_66_BE_ELF_SRCDSP_IFFT16X32=../../ >> src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_IFFT16X32_66_BE_ELF_SRCDSP_IFFT16X32C66=.././ >> src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft16x32_66_BE_ELF"
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_ELF/Release/DSP_ifft16x32_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_ELF/Release/DSP_ifft16x32_66_BE_ELF.out: src/DSP_ifft16x32/DSP_ifft16x32.h
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_ELF/Release/DSP_ifft16x32_66_BE_ELF.out: src/DSP_ifft16x32//c66/DSP_ifft16x32.h
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_ELF/Release/DSP_ifft16x32_66_BE_ELF.out: src/DSP_ifft16x32//c66/DSP_ifft16x32_cn.h
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_ELF/Release/DSP_ifft16x32_66_BE_ELF.out: src/DSP_ifft16x32//c66/DSP_ifft16x32_d.c
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_ELF/Release/DSP_ifft16x32_66_BE_ELF.out: src/DSP_ifft16x32//c66/gen_twiddle_ifft16x32.c
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_ELF/Release/DSP_ifft16x32_66_BE_ELF.out: src/DSP_ifft16x32//c66/gen_twiddle_ifft16x32.h
src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_ELF/Release/DSP_ifft16x32_66_BE_ELF.out: src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_ELF/.project
	-@ echo Importing Project DSP_ifft16x32_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x32_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_ifft16x32_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft16x32/c66/DSP_ifft16x32_66_BE_ELF"
	-@ echo Building Project DSP_ifft16x32_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft16x32_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_ifft16x32_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_ifft16x32_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft16x32_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_ifft16x32//c66//DSP_ifft16x32_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_ifft32x32_66_LE_COFF

#############################################################

.executables: src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_COFF/Release/DSP_ifft32x32_66_LE_COFF.out

.projects: src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_COFF

src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_COFF: src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_COFF/.project

src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft32x32_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_ifft32x32_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_IFFT32X32_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_IFFT32X32_66_LE_COFF_SRCDSP_IFFT32X32C66/DSP_ifft32x32_d.c\
 -ccs.linkFile EXT_ROOT__DSP_IFFT32X32_66_LE_COFF_SRCDSP_IFFT32X32C66/gen_twiddle_ifft32x32.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT32X32_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT32X32_66_LE_COFF_SRCDSP_IFFT32X32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft32x32" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT32X32_66_LE_COFF_SRCDSP_IFFT32X32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft32x32/c66" \

	echo EXT_ROOT__DSP_IFFT32X32_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_IFFT32X32_66_LE_COFF_SRCDSP_IFFT32X32=../../ >> src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_IFFT32X32_66_LE_COFF_SRCDSP_IFFT32X32C66=.././ >> src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft32x32_66_LE_COFF"
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_COFF/Release/DSP_ifft32x32_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_COFF/Release/DSP_ifft32x32_66_LE_COFF.out: src/DSP_ifft32x32/DSP_ifft32x32.h
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_COFF/Release/DSP_ifft32x32_66_LE_COFF.out: src/DSP_ifft32x32//c66/DSP_ifft32x32.h
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_COFF/Release/DSP_ifft32x32_66_LE_COFF.out: src/DSP_ifft32x32//c66/DSP_ifft32x32_cn.h
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_COFF/Release/DSP_ifft32x32_66_LE_COFF.out: src/DSP_ifft32x32//c66/DSP_ifft32x32_d.c
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_COFF/Release/DSP_ifft32x32_66_LE_COFF.out: src/DSP_ifft32x32//c66/gen_twiddle_ifft32x32.c
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_COFF/Release/DSP_ifft32x32_66_LE_COFF.out: src/DSP_ifft32x32//c66/gen_twiddle_ifft32x32.h
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_COFF/Release/DSP_ifft32x32_66_LE_COFF.out: src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_COFF/.project
	-@ echo Importing Project DSP_ifft32x32_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft32x32_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_ifft32x32_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft32x32/c66/DSP_ifft32x32_66_LE_COFF"
	-@ echo Building Project DSP_ifft32x32_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft32x32_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_ifft32x32_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_ifft32x32_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft32x32_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_ifft32x32_66_BE_COFF

#############################################################

.executables: src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_COFF/Release/DSP_ifft32x32_66_BE_COFF.out

.projects: src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_COFF

src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_COFF: src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_COFF/.project

src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft32x32_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_ifft32x32_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_IFFT32X32_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_IFFT32X32_66_BE_COFF_SRCDSP_IFFT32X32C66/DSP_ifft32x32_d.c\
 -ccs.linkFile EXT_ROOT__DSP_IFFT32X32_66_BE_COFF_SRCDSP_IFFT32X32C66/gen_twiddle_ifft32x32.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT32X32_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT32X32_66_BE_COFF_SRCDSP_IFFT32X32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft32x32" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT32X32_66_BE_COFF_SRCDSP_IFFT32X32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft32x32/c66" \

	echo EXT_ROOT__DSP_IFFT32X32_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_IFFT32X32_66_BE_COFF_SRCDSP_IFFT32X32=../../ >> src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_IFFT32X32_66_BE_COFF_SRCDSP_IFFT32X32C66=.././ >> src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft32x32_66_BE_COFF"
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_COFF/Release/DSP_ifft32x32_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_COFF/Release/DSP_ifft32x32_66_BE_COFF.out: src/DSP_ifft32x32/DSP_ifft32x32.h
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_COFF/Release/DSP_ifft32x32_66_BE_COFF.out: src/DSP_ifft32x32//c66/DSP_ifft32x32.h
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_COFF/Release/DSP_ifft32x32_66_BE_COFF.out: src/DSP_ifft32x32//c66/DSP_ifft32x32_cn.h
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_COFF/Release/DSP_ifft32x32_66_BE_COFF.out: src/DSP_ifft32x32//c66/DSP_ifft32x32_d.c
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_COFF/Release/DSP_ifft32x32_66_BE_COFF.out: src/DSP_ifft32x32//c66/gen_twiddle_ifft32x32.c
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_COFF/Release/DSP_ifft32x32_66_BE_COFF.out: src/DSP_ifft32x32//c66/gen_twiddle_ifft32x32.h
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_COFF/Release/DSP_ifft32x32_66_BE_COFF.out: src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_COFF/.project
	-@ echo Importing Project DSP_ifft32x32_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft32x32_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_ifft32x32_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft32x32/c66/DSP_ifft32x32_66_BE_COFF"
	-@ echo Building Project DSP_ifft32x32_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft32x32_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_ifft32x32_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_ifft32x32_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft32x32_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_ifft32x32_66_LE_ELF

#############################################################

.executables: src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_ELF/Release/DSP_ifft32x32_66_LE_ELF.out

.projects: src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_ELF

src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_ELF: src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_ELF/.project

src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft32x32_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_ifft32x32_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_IFFT32X32_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_IFFT32X32_66_LE_ELF_SRCDSP_IFFT32X32C66/DSP_ifft32x32_d.c\
 -ccs.linkFile EXT_ROOT__DSP_IFFT32X32_66_LE_ELF_SRCDSP_IFFT32X32C66/gen_twiddle_ifft32x32.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT32X32_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT32X32_66_LE_ELF_SRCDSP_IFFT32X32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft32x32" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT32X32_66_LE_ELF_SRCDSP_IFFT32X32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft32x32/c66" \

	echo EXT_ROOT__DSP_IFFT32X32_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_IFFT32X32_66_LE_ELF_SRCDSP_IFFT32X32=../../ >> src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_IFFT32X32_66_LE_ELF_SRCDSP_IFFT32X32C66=.././ >> src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft32x32_66_LE_ELF"
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_ELF/Release/DSP_ifft32x32_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_ELF/Release/DSP_ifft32x32_66_LE_ELF.out: src/DSP_ifft32x32/DSP_ifft32x32.h
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_ELF/Release/DSP_ifft32x32_66_LE_ELF.out: src/DSP_ifft32x32//c66/DSP_ifft32x32.h
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_ELF/Release/DSP_ifft32x32_66_LE_ELF.out: src/DSP_ifft32x32//c66/DSP_ifft32x32_cn.h
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_ELF/Release/DSP_ifft32x32_66_LE_ELF.out: src/DSP_ifft32x32//c66/DSP_ifft32x32_d.c
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_ELF/Release/DSP_ifft32x32_66_LE_ELF.out: src/DSP_ifft32x32//c66/gen_twiddle_ifft32x32.c
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_ELF/Release/DSP_ifft32x32_66_LE_ELF.out: src/DSP_ifft32x32//c66/gen_twiddle_ifft32x32.h
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_ELF/Release/DSP_ifft32x32_66_LE_ELF.out: src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_ELF/.project
	-@ echo Importing Project DSP_ifft32x32_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft32x32_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_ifft32x32_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft32x32/c66/DSP_ifft32x32_66_LE_ELF"
	-@ echo Building Project DSP_ifft32x32_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft32x32_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_ifft32x32_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_ifft32x32_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft32x32_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_ifft32x32//c66//DSP_ifft32x32_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_ifft32x32_66_BE_ELF

#############################################################

.executables: src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_ELF/Release/DSP_ifft32x32_66_BE_ELF.out

.projects: src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_ELF

src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_ELF: src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_ELF/.project

src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft32x32_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_ifft32x32_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_IFFT32X32_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_IFFT32X32_66_BE_ELF_SRCDSP_IFFT32X32C66/DSP_ifft32x32_d.c\
 -ccs.linkFile EXT_ROOT__DSP_IFFT32X32_66_BE_ELF_SRCDSP_IFFT32X32C66/gen_twiddle_ifft32x32.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT32X32_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT32X32_66_BE_ELF_SRCDSP_IFFT32X32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft32x32" \
 -ccs.definePathVariable EXT_ROOT__DSP_IFFT32X32_66_BE_ELF_SRCDSP_IFFT32X32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft32x32/c66" \

	echo EXT_ROOT__DSP_IFFT32X32_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_IFFT32X32_66_BE_ELF_SRCDSP_IFFT32X32=../../ >> src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_IFFT32X32_66_BE_ELF_SRCDSP_IFFT32X32C66=.././ >> src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft32x32_66_BE_ELF"
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_ELF/Release/DSP_ifft32x32_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_ELF/Release/DSP_ifft32x32_66_BE_ELF.out: src/DSP_ifft32x32/DSP_ifft32x32.h
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_ELF/Release/DSP_ifft32x32_66_BE_ELF.out: src/DSP_ifft32x32//c66/DSP_ifft32x32.h
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_ELF/Release/DSP_ifft32x32_66_BE_ELF.out: src/DSP_ifft32x32//c66/DSP_ifft32x32_cn.h
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_ELF/Release/DSP_ifft32x32_66_BE_ELF.out: src/DSP_ifft32x32//c66/DSP_ifft32x32_d.c
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_ELF/Release/DSP_ifft32x32_66_BE_ELF.out: src/DSP_ifft32x32//c66/gen_twiddle_ifft32x32.c
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_ELF/Release/DSP_ifft32x32_66_BE_ELF.out: src/DSP_ifft32x32//c66/gen_twiddle_ifft32x32.h
src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_ELF/Release/DSP_ifft32x32_66_BE_ELF.out: src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_ELF/.project
	-@ echo Importing Project DSP_ifft32x32_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft32x32_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_ifft32x32_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_ifft32x32/c66/DSP_ifft32x32_66_BE_ELF"
	-@ echo Building Project DSP_ifft32x32_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_ifft32x32_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_ifft32x32_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_ifft32x32_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_ifft32x32_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_ifft32x32//c66//DSP_ifft32x32_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_iir_66_LE_COFF

#############################################################

.executables: src/DSP_iir//c66//DSP_iir_66_LE_COFF/Release/DSP_iir_66_LE_COFF.out

.projects: src/DSP_iir//c66//DSP_iir_66_LE_COFF

src/DSP_iir//c66//DSP_iir_66_LE_COFF: src/DSP_iir//c66//DSP_iir_66_LE_COFF/.project

src/DSP_iir//c66//DSP_iir_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_iir_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_IIR_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_IIR_66_LE_COFF_SRCDSP_IIRC66/DSP_iir_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_iir//c66//DSP_iir_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_66_LE_COFF_SRCDSP_IIR "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir" \
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_66_LE_COFF_SRCDSP_IIRC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir/c66" \

	echo EXT_ROOT__DSP_IIR_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_iir//c66//DSP_iir_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_IIR_66_LE_COFF_SRCDSP_IIR=../../ >> src/DSP_iir//c66//DSP_iir_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_IIR_66_LE_COFF_SRCDSP_IIRC66=.././ >> src/DSP_iir//c66//DSP_iir_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_iir_66_LE_COFF"
src/DSP_iir//c66//DSP_iir_66_LE_COFF/Release/DSP_iir_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_iir//c66//DSP_iir_66_LE_COFF/Release/DSP_iir_66_LE_COFF.out: src/DSP_iir/DSP_iir.h
src/DSP_iir//c66//DSP_iir_66_LE_COFF/Release/DSP_iir_66_LE_COFF.out: src/DSP_iir//c66/DSP_iir.h
src/DSP_iir//c66//DSP_iir_66_LE_COFF/Release/DSP_iir_66_LE_COFF.out: src/DSP_iir//c66/DSP_iir_cn.h
src/DSP_iir//c66//DSP_iir_66_LE_COFF/Release/DSP_iir_66_LE_COFF.out: src/DSP_iir//c66/DSP_iir_d.c
src/DSP_iir//c66//DSP_iir_66_LE_COFF/Release/DSP_iir_66_LE_COFF.out: src/DSP_iir//c66//DSP_iir_66_LE_COFF/.project
	-@ echo Importing Project DSP_iir_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_iir_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir/c66/DSP_iir_66_LE_COFF"
	-@ echo Building Project DSP_iir_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_iir_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_iir_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_iir_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_iir//c66//DSP_iir_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_iir_66_BE_COFF

#############################################################

.executables: src/DSP_iir//c66//DSP_iir_66_BE_COFF/Release/DSP_iir_66_BE_COFF.out

.projects: src/DSP_iir//c66//DSP_iir_66_BE_COFF

src/DSP_iir//c66//DSP_iir_66_BE_COFF: src/DSP_iir//c66//DSP_iir_66_BE_COFF/.project

src/DSP_iir//c66//DSP_iir_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_iir_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_IIR_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_IIR_66_BE_COFF_SRCDSP_IIRC66/DSP_iir_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_iir//c66//DSP_iir_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_66_BE_COFF_SRCDSP_IIR "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir" \
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_66_BE_COFF_SRCDSP_IIRC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir/c66" \

	echo EXT_ROOT__DSP_IIR_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_iir//c66//DSP_iir_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_IIR_66_BE_COFF_SRCDSP_IIR=../../ >> src/DSP_iir//c66//DSP_iir_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_IIR_66_BE_COFF_SRCDSP_IIRC66=.././ >> src/DSP_iir//c66//DSP_iir_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_iir_66_BE_COFF"
src/DSP_iir//c66//DSP_iir_66_BE_COFF/Release/DSP_iir_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_iir//c66//DSP_iir_66_BE_COFF/Release/DSP_iir_66_BE_COFF.out: src/DSP_iir/DSP_iir.h
src/DSP_iir//c66//DSP_iir_66_BE_COFF/Release/DSP_iir_66_BE_COFF.out: src/DSP_iir//c66/DSP_iir.h
src/DSP_iir//c66//DSP_iir_66_BE_COFF/Release/DSP_iir_66_BE_COFF.out: src/DSP_iir//c66/DSP_iir_cn.h
src/DSP_iir//c66//DSP_iir_66_BE_COFF/Release/DSP_iir_66_BE_COFF.out: src/DSP_iir//c66/DSP_iir_d.c
src/DSP_iir//c66//DSP_iir_66_BE_COFF/Release/DSP_iir_66_BE_COFF.out: src/DSP_iir//c66//DSP_iir_66_BE_COFF/.project
	-@ echo Importing Project DSP_iir_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_iir_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir/c66/DSP_iir_66_BE_COFF"
	-@ echo Building Project DSP_iir_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_iir_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_iir_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_iir_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_iir//c66//DSP_iir_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_iir_66_LE_ELF

#############################################################

.executables: src/DSP_iir//c66//DSP_iir_66_LE_ELF/Release/DSP_iir_66_LE_ELF.out

.projects: src/DSP_iir//c66//DSP_iir_66_LE_ELF

src/DSP_iir//c66//DSP_iir_66_LE_ELF: src/DSP_iir//c66//DSP_iir_66_LE_ELF/.project

src/DSP_iir//c66//DSP_iir_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_iir_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_IIR_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_IIR_66_LE_ELF_SRCDSP_IIRC66/DSP_iir_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_iir//c66//DSP_iir_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_66_LE_ELF_SRCDSP_IIR "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir" \
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_66_LE_ELF_SRCDSP_IIRC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir/c66" \

	echo EXT_ROOT__DSP_IIR_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_iir//c66//DSP_iir_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_IIR_66_LE_ELF_SRCDSP_IIR=../../ >> src/DSP_iir//c66//DSP_iir_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_IIR_66_LE_ELF_SRCDSP_IIRC66=.././ >> src/DSP_iir//c66//DSP_iir_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_iir_66_LE_ELF"
src/DSP_iir//c66//DSP_iir_66_LE_ELF/Release/DSP_iir_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_iir//c66//DSP_iir_66_LE_ELF/Release/DSP_iir_66_LE_ELF.out: src/DSP_iir/DSP_iir.h
src/DSP_iir//c66//DSP_iir_66_LE_ELF/Release/DSP_iir_66_LE_ELF.out: src/DSP_iir//c66/DSP_iir.h
src/DSP_iir//c66//DSP_iir_66_LE_ELF/Release/DSP_iir_66_LE_ELF.out: src/DSP_iir//c66/DSP_iir_cn.h
src/DSP_iir//c66//DSP_iir_66_LE_ELF/Release/DSP_iir_66_LE_ELF.out: src/DSP_iir//c66/DSP_iir_d.c
src/DSP_iir//c66//DSP_iir_66_LE_ELF/Release/DSP_iir_66_LE_ELF.out: src/DSP_iir//c66//DSP_iir_66_LE_ELF/.project
	-@ echo Importing Project DSP_iir_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_iir_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir/c66/DSP_iir_66_LE_ELF"
	-@ echo Building Project DSP_iir_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_iir_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_iir_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_iir_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_iir//c66//DSP_iir_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_iir_66_BE_ELF

#############################################################

.executables: src/DSP_iir//c66//DSP_iir_66_BE_ELF/Release/DSP_iir_66_BE_ELF.out

.projects: src/DSP_iir//c66//DSP_iir_66_BE_ELF

src/DSP_iir//c66//DSP_iir_66_BE_ELF: src/DSP_iir//c66//DSP_iir_66_BE_ELF/.project

src/DSP_iir//c66//DSP_iir_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_iir_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_IIR_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_IIR_66_BE_ELF_SRCDSP_IIRC66/DSP_iir_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_iir//c66//DSP_iir_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_66_BE_ELF_SRCDSP_IIR "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir" \
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_66_BE_ELF_SRCDSP_IIRC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir/c66" \

	echo EXT_ROOT__DSP_IIR_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_iir//c66//DSP_iir_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_IIR_66_BE_ELF_SRCDSP_IIR=../../ >> src/DSP_iir//c66//DSP_iir_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_IIR_66_BE_ELF_SRCDSP_IIRC66=.././ >> src/DSP_iir//c66//DSP_iir_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_iir_66_BE_ELF"
src/DSP_iir//c66//DSP_iir_66_BE_ELF/Release/DSP_iir_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_iir//c66//DSP_iir_66_BE_ELF/Release/DSP_iir_66_BE_ELF.out: src/DSP_iir/DSP_iir.h
src/DSP_iir//c66//DSP_iir_66_BE_ELF/Release/DSP_iir_66_BE_ELF.out: src/DSP_iir//c66/DSP_iir.h
src/DSP_iir//c66//DSP_iir_66_BE_ELF/Release/DSP_iir_66_BE_ELF.out: src/DSP_iir//c66/DSP_iir_cn.h
src/DSP_iir//c66//DSP_iir_66_BE_ELF/Release/DSP_iir_66_BE_ELF.out: src/DSP_iir//c66/DSP_iir_d.c
src/DSP_iir//c66//DSP_iir_66_BE_ELF/Release/DSP_iir_66_BE_ELF.out: src/DSP_iir//c66//DSP_iir_66_BE_ELF/.project
	-@ echo Importing Project DSP_iir_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_iir_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir/c66/DSP_iir_66_BE_ELF"
	-@ echo Building Project DSP_iir_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_iir_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_iir_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_iir_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_iir//c66//DSP_iir_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_iir_lat_66_LE_COFF

#############################################################

.executables: src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_COFF/Release/DSP_iir_lat_66_LE_COFF.out

.projects: src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_COFF

src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_COFF: src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_COFF/.project

src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_lat_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_iir_lat_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_IIR_LAT_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_IIR_LAT_66_LE_COFF_SRCDSP_IIR_LATC66/DSP_iir_lat_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_LAT_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_LAT_66_LE_COFF_SRCDSP_IIR_LAT "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir_lat" \
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_LAT_66_LE_COFF_SRCDSP_IIR_LATC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir_lat/c66" \

	echo EXT_ROOT__DSP_IIR_LAT_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_IIR_LAT_66_LE_COFF_SRCDSP_IIR_LAT=../../ >> src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_IIR_LAT_66_LE_COFF_SRCDSP_IIR_LATC66=.././ >> src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_iir_lat_66_LE_COFF"
src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_COFF/Release/DSP_iir_lat_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_COFF/Release/DSP_iir_lat_66_LE_COFF.out: src/DSP_iir_lat/DSP_iir_lat.h
src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_COFF/Release/DSP_iir_lat_66_LE_COFF.out: src/DSP_iir_lat//c66/DSP_iir_lat.h
src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_COFF/Release/DSP_iir_lat_66_LE_COFF.out: src/DSP_iir_lat//c66/DSP_iir_lat_cn.h
src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_COFF/Release/DSP_iir_lat_66_LE_COFF.out: src/DSP_iir_lat//c66/DSP_iir_lat_d.c
src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_COFF/Release/DSP_iir_lat_66_LE_COFF.out: src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_COFF/.project
	-@ echo Importing Project DSP_iir_lat_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_lat_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_iir_lat_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir_lat/c66/DSP_iir_lat_66_LE_COFF"
	-@ echo Building Project DSP_iir_lat_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_lat_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_iir_lat_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_iir_lat_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_iir_lat_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_iir_lat_66_BE_COFF

#############################################################

.executables: src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_COFF/Release/DSP_iir_lat_66_BE_COFF.out

.projects: src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_COFF

src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_COFF: src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_COFF/.project

src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_lat_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_iir_lat_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_IIR_LAT_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_IIR_LAT_66_BE_COFF_SRCDSP_IIR_LATC66/DSP_iir_lat_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_LAT_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_LAT_66_BE_COFF_SRCDSP_IIR_LAT "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir_lat" \
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_LAT_66_BE_COFF_SRCDSP_IIR_LATC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir_lat/c66" \

	echo EXT_ROOT__DSP_IIR_LAT_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_IIR_LAT_66_BE_COFF_SRCDSP_IIR_LAT=../../ >> src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_IIR_LAT_66_BE_COFF_SRCDSP_IIR_LATC66=.././ >> src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_iir_lat_66_BE_COFF"
src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_COFF/Release/DSP_iir_lat_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_COFF/Release/DSP_iir_lat_66_BE_COFF.out: src/DSP_iir_lat/DSP_iir_lat.h
src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_COFF/Release/DSP_iir_lat_66_BE_COFF.out: src/DSP_iir_lat//c66/DSP_iir_lat.h
src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_COFF/Release/DSP_iir_lat_66_BE_COFF.out: src/DSP_iir_lat//c66/DSP_iir_lat_cn.h
src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_COFF/Release/DSP_iir_lat_66_BE_COFF.out: src/DSP_iir_lat//c66/DSP_iir_lat_d.c
src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_COFF/Release/DSP_iir_lat_66_BE_COFF.out: src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_COFF/.project
	-@ echo Importing Project DSP_iir_lat_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_lat_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_iir_lat_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir_lat/c66/DSP_iir_lat_66_BE_COFF"
	-@ echo Building Project DSP_iir_lat_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_lat_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_iir_lat_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_iir_lat_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_iir_lat_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_iir_lat_66_LE_ELF

#############################################################

.executables: src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_ELF/Release/DSP_iir_lat_66_LE_ELF.out

.projects: src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_ELF

src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_ELF: src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_ELF/.project

src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_lat_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_iir_lat_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_IIR_LAT_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_IIR_LAT_66_LE_ELF_SRCDSP_IIR_LATC66/DSP_iir_lat_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_LAT_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_LAT_66_LE_ELF_SRCDSP_IIR_LAT "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir_lat" \
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_LAT_66_LE_ELF_SRCDSP_IIR_LATC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir_lat/c66" \

	echo EXT_ROOT__DSP_IIR_LAT_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_IIR_LAT_66_LE_ELF_SRCDSP_IIR_LAT=../../ >> src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_IIR_LAT_66_LE_ELF_SRCDSP_IIR_LATC66=.././ >> src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_iir_lat_66_LE_ELF"
src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_ELF/Release/DSP_iir_lat_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_ELF/Release/DSP_iir_lat_66_LE_ELF.out: src/DSP_iir_lat/DSP_iir_lat.h
src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_ELF/Release/DSP_iir_lat_66_LE_ELF.out: src/DSP_iir_lat//c66/DSP_iir_lat.h
src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_ELF/Release/DSP_iir_lat_66_LE_ELF.out: src/DSP_iir_lat//c66/DSP_iir_lat_cn.h
src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_ELF/Release/DSP_iir_lat_66_LE_ELF.out: src/DSP_iir_lat//c66/DSP_iir_lat_d.c
src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_ELF/Release/DSP_iir_lat_66_LE_ELF.out: src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_ELF/.project
	-@ echo Importing Project DSP_iir_lat_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_lat_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_iir_lat_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir_lat/c66/DSP_iir_lat_66_LE_ELF"
	-@ echo Building Project DSP_iir_lat_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_lat_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_iir_lat_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_iir_lat_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_iir_lat_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_iir_lat//c66//DSP_iir_lat_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_iir_lat_66_BE_ELF

#############################################################

.executables: src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_ELF/Release/DSP_iir_lat_66_BE_ELF.out

.projects: src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_ELF

src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_ELF: src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_ELF/.project

src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_lat_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_iir_lat_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_IIR_LAT_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_IIR_LAT_66_BE_ELF_SRCDSP_IIR_LATC66/DSP_iir_lat_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_LAT_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_LAT_66_BE_ELF_SRCDSP_IIR_LAT "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir_lat" \
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_LAT_66_BE_ELF_SRCDSP_IIR_LATC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir_lat/c66" \

	echo EXT_ROOT__DSP_IIR_LAT_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_IIR_LAT_66_BE_ELF_SRCDSP_IIR_LAT=../../ >> src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_IIR_LAT_66_BE_ELF_SRCDSP_IIR_LATC66=.././ >> src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_iir_lat_66_BE_ELF"
src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_ELF/Release/DSP_iir_lat_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_ELF/Release/DSP_iir_lat_66_BE_ELF.out: src/DSP_iir_lat/DSP_iir_lat.h
src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_ELF/Release/DSP_iir_lat_66_BE_ELF.out: src/DSP_iir_lat//c66/DSP_iir_lat.h
src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_ELF/Release/DSP_iir_lat_66_BE_ELF.out: src/DSP_iir_lat//c66/DSP_iir_lat_cn.h
src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_ELF/Release/DSP_iir_lat_66_BE_ELF.out: src/DSP_iir_lat//c66/DSP_iir_lat_d.c
src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_ELF/Release/DSP_iir_lat_66_BE_ELF.out: src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_ELF/.project
	-@ echo Importing Project DSP_iir_lat_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_lat_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_iir_lat_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir_lat/c66/DSP_iir_lat_66_BE_ELF"
	-@ echo Building Project DSP_iir_lat_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_lat_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_iir_lat_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_iir_lat_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_iir_lat_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_iir_lat//c66//DSP_iir_lat_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_iir_ss_66_LE_COFF

#############################################################

.executables: src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_COFF/Release/DSP_iir_ss_66_LE_COFF.out

.projects: src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_COFF

src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_COFF: src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_COFF/.project

src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_ss_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_iir_ss_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_IIR_SS_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_IIR_SS_66_LE_COFF_SRCDSP_IIR_SSC66/DSP_iir_ss_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_SS_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_SS_66_LE_COFF_SRCDSP_IIR_SS "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir_ss" \
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_SS_66_LE_COFF_SRCDSP_IIR_SSC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir_ss/c66" \

	echo EXT_ROOT__DSP_IIR_SS_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_IIR_SS_66_LE_COFF_SRCDSP_IIR_SS=../../ >> src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_IIR_SS_66_LE_COFF_SRCDSP_IIR_SSC66=.././ >> src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_iir_ss_66_LE_COFF"
src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_COFF/Release/DSP_iir_ss_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_COFF/Release/DSP_iir_ss_66_LE_COFF.out: src/DSP_iir_ss/DSP_iir_ss.h
src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_COFF/Release/DSP_iir_ss_66_LE_COFF.out: src/DSP_iir_ss//c66/DSP_iir_ss.h
src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_COFF/Release/DSP_iir_ss_66_LE_COFF.out: src/DSP_iir_ss//c66/DSP_iir_ss_cn.h
src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_COFF/Release/DSP_iir_ss_66_LE_COFF.out: src/DSP_iir_ss//c66/DSP_iir_ss_d.c
src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_COFF/Release/DSP_iir_ss_66_LE_COFF.out: src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_COFF/.project
	-@ echo Importing Project DSP_iir_ss_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_ss_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_iir_ss_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir_ss/c66/DSP_iir_ss_66_LE_COFF"
	-@ echo Building Project DSP_iir_ss_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_ss_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_iir_ss_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_iir_ss_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_iir_ss_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_iir_ss_66_BE_COFF

#############################################################

.executables: src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_COFF/Release/DSP_iir_ss_66_BE_COFF.out

.projects: src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_COFF

src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_COFF: src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_COFF/.project

src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_ss_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_iir_ss_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_IIR_SS_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_IIR_SS_66_BE_COFF_SRCDSP_IIR_SSC66/DSP_iir_ss_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_SS_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_SS_66_BE_COFF_SRCDSP_IIR_SS "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir_ss" \
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_SS_66_BE_COFF_SRCDSP_IIR_SSC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir_ss/c66" \

	echo EXT_ROOT__DSP_IIR_SS_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_IIR_SS_66_BE_COFF_SRCDSP_IIR_SS=../../ >> src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_IIR_SS_66_BE_COFF_SRCDSP_IIR_SSC66=.././ >> src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_iir_ss_66_BE_COFF"
src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_COFF/Release/DSP_iir_ss_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_COFF/Release/DSP_iir_ss_66_BE_COFF.out: src/DSP_iir_ss/DSP_iir_ss.h
src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_COFF/Release/DSP_iir_ss_66_BE_COFF.out: src/DSP_iir_ss//c66/DSP_iir_ss.h
src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_COFF/Release/DSP_iir_ss_66_BE_COFF.out: src/DSP_iir_ss//c66/DSP_iir_ss_cn.h
src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_COFF/Release/DSP_iir_ss_66_BE_COFF.out: src/DSP_iir_ss//c66/DSP_iir_ss_d.c
src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_COFF/Release/DSP_iir_ss_66_BE_COFF.out: src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_COFF/.project
	-@ echo Importing Project DSP_iir_ss_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_ss_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_iir_ss_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir_ss/c66/DSP_iir_ss_66_BE_COFF"
	-@ echo Building Project DSP_iir_ss_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_ss_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_iir_ss_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_iir_ss_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_iir_ss_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_iir_ss_66_LE_ELF

#############################################################

.executables: src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_ELF/Release/DSP_iir_ss_66_LE_ELF.out

.projects: src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_ELF

src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_ELF: src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_ELF/.project

src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_ss_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_iir_ss_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_IIR_SS_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_IIR_SS_66_LE_ELF_SRCDSP_IIR_SSC66/DSP_iir_ss_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_SS_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_SS_66_LE_ELF_SRCDSP_IIR_SS "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir_ss" \
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_SS_66_LE_ELF_SRCDSP_IIR_SSC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir_ss/c66" \

	echo EXT_ROOT__DSP_IIR_SS_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_IIR_SS_66_LE_ELF_SRCDSP_IIR_SS=../../ >> src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_IIR_SS_66_LE_ELF_SRCDSP_IIR_SSC66=.././ >> src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_iir_ss_66_LE_ELF"
src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_ELF/Release/DSP_iir_ss_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_ELF/Release/DSP_iir_ss_66_LE_ELF.out: src/DSP_iir_ss/DSP_iir_ss.h
src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_ELF/Release/DSP_iir_ss_66_LE_ELF.out: src/DSP_iir_ss//c66/DSP_iir_ss.h
src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_ELF/Release/DSP_iir_ss_66_LE_ELF.out: src/DSP_iir_ss//c66/DSP_iir_ss_cn.h
src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_ELF/Release/DSP_iir_ss_66_LE_ELF.out: src/DSP_iir_ss//c66/DSP_iir_ss_d.c
src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_ELF/Release/DSP_iir_ss_66_LE_ELF.out: src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_ELF/.project
	-@ echo Importing Project DSP_iir_ss_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_ss_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_iir_ss_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir_ss/c66/DSP_iir_ss_66_LE_ELF"
	-@ echo Building Project DSP_iir_ss_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_ss_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_iir_ss_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_iir_ss_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_iir_ss_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_iir_ss//c66//DSP_iir_ss_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_iir_ss_66_BE_ELF

#############################################################

.executables: src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_ELF/Release/DSP_iir_ss_66_BE_ELF.out

.projects: src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_ELF

src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_ELF: src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_ELF/.project

src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_ss_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_iir_ss_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_IIR_SS_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_IIR_SS_66_BE_ELF_SRCDSP_IIR_SSC66/DSP_iir_ss_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_SS_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_SS_66_BE_ELF_SRCDSP_IIR_SS "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir_ss" \
 -ccs.definePathVariable EXT_ROOT__DSP_IIR_SS_66_BE_ELF_SRCDSP_IIR_SSC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir_ss/c66" \

	echo EXT_ROOT__DSP_IIR_SS_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_IIR_SS_66_BE_ELF_SRCDSP_IIR_SS=../../ >> src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_IIR_SS_66_BE_ELF_SRCDSP_IIR_SSC66=.././ >> src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_iir_ss_66_BE_ELF"
src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_ELF/Release/DSP_iir_ss_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_ELF/Release/DSP_iir_ss_66_BE_ELF.out: src/DSP_iir_ss/DSP_iir_ss.h
src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_ELF/Release/DSP_iir_ss_66_BE_ELF.out: src/DSP_iir_ss//c66/DSP_iir_ss.h
src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_ELF/Release/DSP_iir_ss_66_BE_ELF.out: src/DSP_iir_ss//c66/DSP_iir_ss_cn.h
src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_ELF/Release/DSP_iir_ss_66_BE_ELF.out: src/DSP_iir_ss//c66/DSP_iir_ss_d.c
src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_ELF/Release/DSP_iir_ss_66_BE_ELF.out: src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_ELF/.project
	-@ echo Importing Project DSP_iir_ss_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_ss_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_iir_ss_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_iir_ss/c66/DSP_iir_ss_66_BE_ELF"
	-@ echo Building Project DSP_iir_ss_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_iir_ss_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_iir_ss_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_iir_ss_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_iir_ss_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_iir_ss//c66//DSP_iir_ss_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_mat_mul_66_LE_COFF

#############################################################

.executables: src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_COFF/Release/DSP_mat_mul_66_LE_COFF.out

.projects: src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_COFF

src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_COFF: src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_COFF/.project

src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_mul_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_mat_mul_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MAT_MUL_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MAT_MUL_66_LE_COFF_SRCDSP_MAT_MULC66/DSP_mat_mul_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_MUL_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_MUL_66_LE_COFF_SRCDSP_MAT_MUL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_mul" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_MUL_66_LE_COFF_SRCDSP_MAT_MULC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_mul/c66" \

	echo EXT_ROOT__DSP_MAT_MUL_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_MAT_MUL_66_LE_COFF_SRCDSP_MAT_MUL=../../ >> src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_MAT_MUL_66_LE_COFF_SRCDSP_MAT_MULC66=.././ >> src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_mat_mul_66_LE_COFF"
src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_COFF/Release/DSP_mat_mul_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_COFF/Release/DSP_mat_mul_66_LE_COFF.out: src/DSP_mat_mul/DSP_mat_mul.h
src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_COFF/Release/DSP_mat_mul_66_LE_COFF.out: src/DSP_mat_mul//c66/DSP_mat_mul.h
src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_COFF/Release/DSP_mat_mul_66_LE_COFF.out: src/DSP_mat_mul//c66/DSP_mat_mul_cn.h
src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_COFF/Release/DSP_mat_mul_66_LE_COFF.out: src/DSP_mat_mul//c66/DSP_mat_mul_d.c
src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_COFF/Release/DSP_mat_mul_66_LE_COFF.out: src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_COFF/.project
	-@ echo Importing Project DSP_mat_mul_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_mul_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_mat_mul_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_mul/c66/DSP_mat_mul_66_LE_COFF"
	-@ echo Building Project DSP_mat_mul_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_mul_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_mat_mul_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_mat_mul_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_mat_mul_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_mat_mul_66_BE_COFF

#############################################################

.executables: src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_COFF/Release/DSP_mat_mul_66_BE_COFF.out

.projects: src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_COFF

src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_COFF: src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_COFF/.project

src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_mul_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_mat_mul_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MAT_MUL_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MAT_MUL_66_BE_COFF_SRCDSP_MAT_MULC66/DSP_mat_mul_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_MUL_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_MUL_66_BE_COFF_SRCDSP_MAT_MUL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_mul" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_MUL_66_BE_COFF_SRCDSP_MAT_MULC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_mul/c66" \

	echo EXT_ROOT__DSP_MAT_MUL_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_MAT_MUL_66_BE_COFF_SRCDSP_MAT_MUL=../../ >> src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_MAT_MUL_66_BE_COFF_SRCDSP_MAT_MULC66=.././ >> src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_mat_mul_66_BE_COFF"
src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_COFF/Release/DSP_mat_mul_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_COFF/Release/DSP_mat_mul_66_BE_COFF.out: src/DSP_mat_mul/DSP_mat_mul.h
src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_COFF/Release/DSP_mat_mul_66_BE_COFF.out: src/DSP_mat_mul//c66/DSP_mat_mul.h
src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_COFF/Release/DSP_mat_mul_66_BE_COFF.out: src/DSP_mat_mul//c66/DSP_mat_mul_cn.h
src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_COFF/Release/DSP_mat_mul_66_BE_COFF.out: src/DSP_mat_mul//c66/DSP_mat_mul_d.c
src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_COFF/Release/DSP_mat_mul_66_BE_COFF.out: src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_COFF/.project
	-@ echo Importing Project DSP_mat_mul_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_mul_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_mat_mul_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_mul/c66/DSP_mat_mul_66_BE_COFF"
	-@ echo Building Project DSP_mat_mul_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_mul_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_mat_mul_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_mat_mul_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_mat_mul_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_mat_mul_66_LE_ELF

#############################################################

.executables: src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_ELF/Release/DSP_mat_mul_66_LE_ELF.out

.projects: src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_ELF

src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_ELF: src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_ELF/.project

src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_mul_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_mat_mul_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MAT_MUL_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MAT_MUL_66_LE_ELF_SRCDSP_MAT_MULC66/DSP_mat_mul_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_MUL_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_MUL_66_LE_ELF_SRCDSP_MAT_MUL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_mul" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_MUL_66_LE_ELF_SRCDSP_MAT_MULC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_mul/c66" \

	echo EXT_ROOT__DSP_MAT_MUL_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_MAT_MUL_66_LE_ELF_SRCDSP_MAT_MUL=../../ >> src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_MAT_MUL_66_LE_ELF_SRCDSP_MAT_MULC66=.././ >> src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_mat_mul_66_LE_ELF"
src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_ELF/Release/DSP_mat_mul_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_ELF/Release/DSP_mat_mul_66_LE_ELF.out: src/DSP_mat_mul/DSP_mat_mul.h
src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_ELF/Release/DSP_mat_mul_66_LE_ELF.out: src/DSP_mat_mul//c66/DSP_mat_mul.h
src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_ELF/Release/DSP_mat_mul_66_LE_ELF.out: src/DSP_mat_mul//c66/DSP_mat_mul_cn.h
src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_ELF/Release/DSP_mat_mul_66_LE_ELF.out: src/DSP_mat_mul//c66/DSP_mat_mul_d.c
src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_ELF/Release/DSP_mat_mul_66_LE_ELF.out: src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_ELF/.project
	-@ echo Importing Project DSP_mat_mul_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_mul_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_mat_mul_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_mul/c66/DSP_mat_mul_66_LE_ELF"
	-@ echo Building Project DSP_mat_mul_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_mul_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_mat_mul_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_mat_mul_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_mat_mul_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_mat_mul//c66//DSP_mat_mul_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_mat_mul_66_BE_ELF

#############################################################

.executables: src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_ELF/Release/DSP_mat_mul_66_BE_ELF.out

.projects: src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_ELF

src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_ELF: src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_ELF/.project

src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_mul_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_mat_mul_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MAT_MUL_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MAT_MUL_66_BE_ELF_SRCDSP_MAT_MULC66/DSP_mat_mul_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_MUL_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_MUL_66_BE_ELF_SRCDSP_MAT_MUL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_mul" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_MUL_66_BE_ELF_SRCDSP_MAT_MULC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_mul/c66" \

	echo EXT_ROOT__DSP_MAT_MUL_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_MAT_MUL_66_BE_ELF_SRCDSP_MAT_MUL=../../ >> src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_MAT_MUL_66_BE_ELF_SRCDSP_MAT_MULC66=.././ >> src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_mat_mul_66_BE_ELF"
src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_ELF/Release/DSP_mat_mul_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_ELF/Release/DSP_mat_mul_66_BE_ELF.out: src/DSP_mat_mul/DSP_mat_mul.h
src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_ELF/Release/DSP_mat_mul_66_BE_ELF.out: src/DSP_mat_mul//c66/DSP_mat_mul.h
src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_ELF/Release/DSP_mat_mul_66_BE_ELF.out: src/DSP_mat_mul//c66/DSP_mat_mul_cn.h
src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_ELF/Release/DSP_mat_mul_66_BE_ELF.out: src/DSP_mat_mul//c66/DSP_mat_mul_d.c
src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_ELF/Release/DSP_mat_mul_66_BE_ELF.out: src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_ELF/.project
	-@ echo Importing Project DSP_mat_mul_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_mul_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_mat_mul_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_mul/c66/DSP_mat_mul_66_BE_ELF"
	-@ echo Building Project DSP_mat_mul_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_mul_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_mat_mul_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_mat_mul_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_mat_mul_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_mat_mul//c66//DSP_mat_mul_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_mat_mul_cplx_66_LE_COFF

#############################################################

.executables: src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_COFF/Release/DSP_mat_mul_cplx_66_LE_COFF.out

.projects: src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_COFF

src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_COFF: src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_COFF/.project

src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_mul_cplx_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_mat_mul_cplx_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MAT_MUL_CPLX_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MAT_MUL_CPLX_66_LE_COFF_SRCDSP_MAT_MUL_CPLXC66/DSP_mat_mul_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_MUL_CPLX_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_MUL_CPLX_66_LE_COFF_SRCDSP_MAT_MUL_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_mul_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_MUL_CPLX_66_LE_COFF_SRCDSP_MAT_MUL_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_mul_cplx/c66" \

	echo EXT_ROOT__DSP_MAT_MUL_CPLX_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_MAT_MUL_CPLX_66_LE_COFF_SRCDSP_MAT_MUL_CPLX=../../ >> src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_MAT_MUL_CPLX_66_LE_COFF_SRCDSP_MAT_MUL_CPLXC66=.././ >> src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_mat_mul_cplx_66_LE_COFF"
src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_COFF/Release/DSP_mat_mul_cplx_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_COFF/Release/DSP_mat_mul_cplx_66_LE_COFF.out: src/DSP_mat_mul_cplx/DSP_mat_mul_cplx.h
src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_COFF/Release/DSP_mat_mul_cplx_66_LE_COFF.out: src/DSP_mat_mul_cplx//c66/DSP_mat_mul_cplx.h
src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_COFF/Release/DSP_mat_mul_cplx_66_LE_COFF.out: src/DSP_mat_mul_cplx//c66/DSP_mat_mul_cplx_cn.h
src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_COFF/Release/DSP_mat_mul_cplx_66_LE_COFF.out: src/DSP_mat_mul_cplx//c66/DSP_mat_mul_cplx_d.c
src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_COFF/Release/DSP_mat_mul_cplx_66_LE_COFF.out: src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_COFF/.project
	-@ echo Importing Project DSP_mat_mul_cplx_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_mul_cplx_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_mat_mul_cplx_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_mul_cplx/c66/DSP_mat_mul_cplx_66_LE_COFF"
	-@ echo Building Project DSP_mat_mul_cplx_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_mul_cplx_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_mat_mul_cplx_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_mat_mul_cplx_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_mat_mul_cplx_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_mat_mul_cplx_66_BE_COFF

#############################################################

.executables: src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_COFF/Release/DSP_mat_mul_cplx_66_BE_COFF.out

.projects: src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_COFF

src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_COFF: src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_COFF/.project

src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_mul_cplx_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_mat_mul_cplx_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MAT_MUL_CPLX_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MAT_MUL_CPLX_66_BE_COFF_SRCDSP_MAT_MUL_CPLXC66/DSP_mat_mul_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_MUL_CPLX_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_MUL_CPLX_66_BE_COFF_SRCDSP_MAT_MUL_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_mul_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_MUL_CPLX_66_BE_COFF_SRCDSP_MAT_MUL_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_mul_cplx/c66" \

	echo EXT_ROOT__DSP_MAT_MUL_CPLX_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_MAT_MUL_CPLX_66_BE_COFF_SRCDSP_MAT_MUL_CPLX=../../ >> src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_MAT_MUL_CPLX_66_BE_COFF_SRCDSP_MAT_MUL_CPLXC66=.././ >> src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_mat_mul_cplx_66_BE_COFF"
src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_COFF/Release/DSP_mat_mul_cplx_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_COFF/Release/DSP_mat_mul_cplx_66_BE_COFF.out: src/DSP_mat_mul_cplx/DSP_mat_mul_cplx.h
src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_COFF/Release/DSP_mat_mul_cplx_66_BE_COFF.out: src/DSP_mat_mul_cplx//c66/DSP_mat_mul_cplx.h
src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_COFF/Release/DSP_mat_mul_cplx_66_BE_COFF.out: src/DSP_mat_mul_cplx//c66/DSP_mat_mul_cplx_cn.h
src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_COFF/Release/DSP_mat_mul_cplx_66_BE_COFF.out: src/DSP_mat_mul_cplx//c66/DSP_mat_mul_cplx_d.c
src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_COFF/Release/DSP_mat_mul_cplx_66_BE_COFF.out: src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_COFF/.project
	-@ echo Importing Project DSP_mat_mul_cplx_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_mul_cplx_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_mat_mul_cplx_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_mul_cplx/c66/DSP_mat_mul_cplx_66_BE_COFF"
	-@ echo Building Project DSP_mat_mul_cplx_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_mul_cplx_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_mat_mul_cplx_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_mat_mul_cplx_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_mat_mul_cplx_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_mat_mul_cplx_66_LE_ELF

#############################################################

.executables: src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_ELF/Release/DSP_mat_mul_cplx_66_LE_ELF.out

.projects: src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_ELF

src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_ELF: src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_ELF/.project

src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_mul_cplx_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_mat_mul_cplx_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MAT_MUL_CPLX_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MAT_MUL_CPLX_66_LE_ELF_SRCDSP_MAT_MUL_CPLXC66/DSP_mat_mul_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_MUL_CPLX_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_MUL_CPLX_66_LE_ELF_SRCDSP_MAT_MUL_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_mul_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_MUL_CPLX_66_LE_ELF_SRCDSP_MAT_MUL_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_mul_cplx/c66" \

	echo EXT_ROOT__DSP_MAT_MUL_CPLX_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_MAT_MUL_CPLX_66_LE_ELF_SRCDSP_MAT_MUL_CPLX=../../ >> src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_MAT_MUL_CPLX_66_LE_ELF_SRCDSP_MAT_MUL_CPLXC66=.././ >> src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_mat_mul_cplx_66_LE_ELF"
src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_ELF/Release/DSP_mat_mul_cplx_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_ELF/Release/DSP_mat_mul_cplx_66_LE_ELF.out: src/DSP_mat_mul_cplx/DSP_mat_mul_cplx.h
src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_ELF/Release/DSP_mat_mul_cplx_66_LE_ELF.out: src/DSP_mat_mul_cplx//c66/DSP_mat_mul_cplx.h
src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_ELF/Release/DSP_mat_mul_cplx_66_LE_ELF.out: src/DSP_mat_mul_cplx//c66/DSP_mat_mul_cplx_cn.h
src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_ELF/Release/DSP_mat_mul_cplx_66_LE_ELF.out: src/DSP_mat_mul_cplx//c66/DSP_mat_mul_cplx_d.c
src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_ELF/Release/DSP_mat_mul_cplx_66_LE_ELF.out: src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_ELF/.project
	-@ echo Importing Project DSP_mat_mul_cplx_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_mul_cplx_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_mat_mul_cplx_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_mul_cplx/c66/DSP_mat_mul_cplx_66_LE_ELF"
	-@ echo Building Project DSP_mat_mul_cplx_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_mul_cplx_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_mat_mul_cplx_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_mat_mul_cplx_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_mat_mul_cplx_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_mat_mul_cplx_66_BE_ELF

#############################################################

.executables: src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_ELF/Release/DSP_mat_mul_cplx_66_BE_ELF.out

.projects: src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_ELF

src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_ELF: src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_ELF/.project

src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_mul_cplx_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_mat_mul_cplx_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MAT_MUL_CPLX_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MAT_MUL_CPLX_66_BE_ELF_SRCDSP_MAT_MUL_CPLXC66/DSP_mat_mul_cplx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_MUL_CPLX_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_MUL_CPLX_66_BE_ELF_SRCDSP_MAT_MUL_CPLX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_mul_cplx" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_MUL_CPLX_66_BE_ELF_SRCDSP_MAT_MUL_CPLXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_mul_cplx/c66" \

	echo EXT_ROOT__DSP_MAT_MUL_CPLX_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_MAT_MUL_CPLX_66_BE_ELF_SRCDSP_MAT_MUL_CPLX=../../ >> src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_MAT_MUL_CPLX_66_BE_ELF_SRCDSP_MAT_MUL_CPLXC66=.././ >> src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_mat_mul_cplx_66_BE_ELF"
src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_ELF/Release/DSP_mat_mul_cplx_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_ELF/Release/DSP_mat_mul_cplx_66_BE_ELF.out: src/DSP_mat_mul_cplx/DSP_mat_mul_cplx.h
src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_ELF/Release/DSP_mat_mul_cplx_66_BE_ELF.out: src/DSP_mat_mul_cplx//c66/DSP_mat_mul_cplx.h
src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_ELF/Release/DSP_mat_mul_cplx_66_BE_ELF.out: src/DSP_mat_mul_cplx//c66/DSP_mat_mul_cplx_cn.h
src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_ELF/Release/DSP_mat_mul_cplx_66_BE_ELF.out: src/DSP_mat_mul_cplx//c66/DSP_mat_mul_cplx_d.c
src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_ELF/Release/DSP_mat_mul_cplx_66_BE_ELF.out: src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_ELF/.project
	-@ echo Importing Project DSP_mat_mul_cplx_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_mul_cplx_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_mat_mul_cplx_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_mul_cplx/c66/DSP_mat_mul_cplx_66_BE_ELF"
	-@ echo Building Project DSP_mat_mul_cplx_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_mul_cplx_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_mat_mul_cplx_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_mat_mul_cplx_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_mat_mul_cplx_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_mat_mul_cplx//c66//DSP_mat_mul_cplx_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_mat_trans_66_LE_COFF

#############################################################

.executables: src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_COFF/Release/DSP_mat_trans_66_LE_COFF.out

.projects: src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_COFF

src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_COFF: src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_COFF/.project

src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_trans_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_mat_trans_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MAT_TRANS_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MAT_TRANS_66_LE_COFF_SRCDSP_MAT_TRANSC66/DSP_mat_trans_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_TRANS_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_TRANS_66_LE_COFF_SRCDSP_MAT_TRANS "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_trans" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_TRANS_66_LE_COFF_SRCDSP_MAT_TRANSC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_trans/c66" \

	echo EXT_ROOT__DSP_MAT_TRANS_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_MAT_TRANS_66_LE_COFF_SRCDSP_MAT_TRANS=../../ >> src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_MAT_TRANS_66_LE_COFF_SRCDSP_MAT_TRANSC66=.././ >> src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_mat_trans_66_LE_COFF"
src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_COFF/Release/DSP_mat_trans_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_COFF/Release/DSP_mat_trans_66_LE_COFF.out: src/DSP_mat_trans/DSP_mat_trans.h
src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_COFF/Release/DSP_mat_trans_66_LE_COFF.out: src/DSP_mat_trans//c66/DSP_mat_trans.h
src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_COFF/Release/DSP_mat_trans_66_LE_COFF.out: src/DSP_mat_trans//c66/DSP_mat_trans_cn.h
src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_COFF/Release/DSP_mat_trans_66_LE_COFF.out: src/DSP_mat_trans//c66/DSP_mat_trans_d.c
src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_COFF/Release/DSP_mat_trans_66_LE_COFF.out: src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_COFF/.project
	-@ echo Importing Project DSP_mat_trans_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_trans_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_mat_trans_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_trans/c66/DSP_mat_trans_66_LE_COFF"
	-@ echo Building Project DSP_mat_trans_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_trans_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_mat_trans_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_mat_trans_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_mat_trans_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_mat_trans_66_BE_COFF

#############################################################

.executables: src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_COFF/Release/DSP_mat_trans_66_BE_COFF.out

.projects: src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_COFF

src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_COFF: src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_COFF/.project

src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_trans_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_mat_trans_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MAT_TRANS_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MAT_TRANS_66_BE_COFF_SRCDSP_MAT_TRANSC66/DSP_mat_trans_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_TRANS_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_TRANS_66_BE_COFF_SRCDSP_MAT_TRANS "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_trans" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_TRANS_66_BE_COFF_SRCDSP_MAT_TRANSC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_trans/c66" \

	echo EXT_ROOT__DSP_MAT_TRANS_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_MAT_TRANS_66_BE_COFF_SRCDSP_MAT_TRANS=../../ >> src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_MAT_TRANS_66_BE_COFF_SRCDSP_MAT_TRANSC66=.././ >> src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_mat_trans_66_BE_COFF"
src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_COFF/Release/DSP_mat_trans_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_COFF/Release/DSP_mat_trans_66_BE_COFF.out: src/DSP_mat_trans/DSP_mat_trans.h
src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_COFF/Release/DSP_mat_trans_66_BE_COFF.out: src/DSP_mat_trans//c66/DSP_mat_trans.h
src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_COFF/Release/DSP_mat_trans_66_BE_COFF.out: src/DSP_mat_trans//c66/DSP_mat_trans_cn.h
src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_COFF/Release/DSP_mat_trans_66_BE_COFF.out: src/DSP_mat_trans//c66/DSP_mat_trans_d.c
src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_COFF/Release/DSP_mat_trans_66_BE_COFF.out: src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_COFF/.project
	-@ echo Importing Project DSP_mat_trans_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_trans_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_mat_trans_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_trans/c66/DSP_mat_trans_66_BE_COFF"
	-@ echo Building Project DSP_mat_trans_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_trans_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_mat_trans_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_mat_trans_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_mat_trans_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_mat_trans_66_LE_ELF

#############################################################

.executables: src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_ELF/Release/DSP_mat_trans_66_LE_ELF.out

.projects: src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_ELF

src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_ELF: src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_ELF/.project

src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_trans_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_mat_trans_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MAT_TRANS_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MAT_TRANS_66_LE_ELF_SRCDSP_MAT_TRANSC66/DSP_mat_trans_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_TRANS_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_TRANS_66_LE_ELF_SRCDSP_MAT_TRANS "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_trans" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_TRANS_66_LE_ELF_SRCDSP_MAT_TRANSC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_trans/c66" \

	echo EXT_ROOT__DSP_MAT_TRANS_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_MAT_TRANS_66_LE_ELF_SRCDSP_MAT_TRANS=../../ >> src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_MAT_TRANS_66_LE_ELF_SRCDSP_MAT_TRANSC66=.././ >> src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_mat_trans_66_LE_ELF"
src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_ELF/Release/DSP_mat_trans_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_ELF/Release/DSP_mat_trans_66_LE_ELF.out: src/DSP_mat_trans/DSP_mat_trans.h
src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_ELF/Release/DSP_mat_trans_66_LE_ELF.out: src/DSP_mat_trans//c66/DSP_mat_trans.h
src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_ELF/Release/DSP_mat_trans_66_LE_ELF.out: src/DSP_mat_trans//c66/DSP_mat_trans_cn.h
src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_ELF/Release/DSP_mat_trans_66_LE_ELF.out: src/DSP_mat_trans//c66/DSP_mat_trans_d.c
src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_ELF/Release/DSP_mat_trans_66_LE_ELF.out: src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_ELF/.project
	-@ echo Importing Project DSP_mat_trans_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_trans_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_mat_trans_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_trans/c66/DSP_mat_trans_66_LE_ELF"
	-@ echo Building Project DSP_mat_trans_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_trans_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_mat_trans_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_mat_trans_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_mat_trans_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_mat_trans//c66//DSP_mat_trans_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_mat_trans_66_BE_ELF

#############################################################

.executables: src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_ELF/Release/DSP_mat_trans_66_BE_ELF.out

.projects: src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_ELF

src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_ELF: src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_ELF/.project

src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_trans_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_mat_trans_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MAT_TRANS_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MAT_TRANS_66_BE_ELF_SRCDSP_MAT_TRANSC66/DSP_mat_trans_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_TRANS_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_TRANS_66_BE_ELF_SRCDSP_MAT_TRANS "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_trans" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAT_TRANS_66_BE_ELF_SRCDSP_MAT_TRANSC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_trans/c66" \

	echo EXT_ROOT__DSP_MAT_TRANS_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_MAT_TRANS_66_BE_ELF_SRCDSP_MAT_TRANS=../../ >> src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_MAT_TRANS_66_BE_ELF_SRCDSP_MAT_TRANSC66=.././ >> src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_mat_trans_66_BE_ELF"
src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_ELF/Release/DSP_mat_trans_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_ELF/Release/DSP_mat_trans_66_BE_ELF.out: src/DSP_mat_trans/DSP_mat_trans.h
src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_ELF/Release/DSP_mat_trans_66_BE_ELF.out: src/DSP_mat_trans//c66/DSP_mat_trans.h
src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_ELF/Release/DSP_mat_trans_66_BE_ELF.out: src/DSP_mat_trans//c66/DSP_mat_trans_cn.h
src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_ELF/Release/DSP_mat_trans_66_BE_ELF.out: src/DSP_mat_trans//c66/DSP_mat_trans_d.c
src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_ELF/Release/DSP_mat_trans_66_BE_ELF.out: src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_ELF/.project
	-@ echo Importing Project DSP_mat_trans_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_trans_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_mat_trans_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mat_trans/c66/DSP_mat_trans_66_BE_ELF"
	-@ echo Building Project DSP_mat_trans_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mat_trans_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_mat_trans_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_mat_trans_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_mat_trans_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_mat_trans//c66//DSP_mat_trans_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_maxidx_66_LE_COFF

#############################################################

.executables: src/DSP_maxidx//c66//DSP_maxidx_66_LE_COFF/Release/DSP_maxidx_66_LE_COFF.out

.projects: src/DSP_maxidx//c66//DSP_maxidx_66_LE_COFF

src/DSP_maxidx//c66//DSP_maxidx_66_LE_COFF: src/DSP_maxidx//c66//DSP_maxidx_66_LE_COFF/.project

src/DSP_maxidx//c66//DSP_maxidx_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_maxidx_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_maxidx_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MAXIDX_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MAXIDX_66_LE_COFF_SRCDSP_MAXIDXC66/DSP_maxidx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_maxidx//c66//DSP_maxidx_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_MAXIDX_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAXIDX_66_LE_COFF_SRCDSP_MAXIDX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_maxidx" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAXIDX_66_LE_COFF_SRCDSP_MAXIDXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_maxidx/c66" \

	echo EXT_ROOT__DSP_MAXIDX_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_maxidx//c66//DSP_maxidx_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_MAXIDX_66_LE_COFF_SRCDSP_MAXIDX=../../ >> src/DSP_maxidx//c66//DSP_maxidx_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_MAXIDX_66_LE_COFF_SRCDSP_MAXIDXC66=.././ >> src/DSP_maxidx//c66//DSP_maxidx_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_maxidx_66_LE_COFF"
src/DSP_maxidx//c66//DSP_maxidx_66_LE_COFF/Release/DSP_maxidx_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_maxidx//c66//DSP_maxidx_66_LE_COFF/Release/DSP_maxidx_66_LE_COFF.out: src/DSP_maxidx/DSP_maxidx.h
src/DSP_maxidx//c66//DSP_maxidx_66_LE_COFF/Release/DSP_maxidx_66_LE_COFF.out: src/DSP_maxidx//c66/DSP_maxidx.h
src/DSP_maxidx//c66//DSP_maxidx_66_LE_COFF/Release/DSP_maxidx_66_LE_COFF.out: src/DSP_maxidx//c66/DSP_maxidx_cn.h
src/DSP_maxidx//c66//DSP_maxidx_66_LE_COFF/Release/DSP_maxidx_66_LE_COFF.out: src/DSP_maxidx//c66/DSP_maxidx_d.c
src/DSP_maxidx//c66//DSP_maxidx_66_LE_COFF/Release/DSP_maxidx_66_LE_COFF.out: src/DSP_maxidx//c66//DSP_maxidx_66_LE_COFF/.project
	-@ echo Importing Project DSP_maxidx_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_maxidx_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_maxidx_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_maxidx/c66/DSP_maxidx_66_LE_COFF"
	-@ echo Building Project DSP_maxidx_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_maxidx_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_maxidx_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_maxidx_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_maxidx_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_maxidx//c66//DSP_maxidx_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_maxidx_66_BE_COFF

#############################################################

.executables: src/DSP_maxidx//c66//DSP_maxidx_66_BE_COFF/Release/DSP_maxidx_66_BE_COFF.out

.projects: src/DSP_maxidx//c66//DSP_maxidx_66_BE_COFF

src/DSP_maxidx//c66//DSP_maxidx_66_BE_COFF: src/DSP_maxidx//c66//DSP_maxidx_66_BE_COFF/.project

src/DSP_maxidx//c66//DSP_maxidx_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_maxidx_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_maxidx_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MAXIDX_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MAXIDX_66_BE_COFF_SRCDSP_MAXIDXC66/DSP_maxidx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_maxidx//c66//DSP_maxidx_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_MAXIDX_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAXIDX_66_BE_COFF_SRCDSP_MAXIDX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_maxidx" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAXIDX_66_BE_COFF_SRCDSP_MAXIDXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_maxidx/c66" \

	echo EXT_ROOT__DSP_MAXIDX_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_maxidx//c66//DSP_maxidx_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_MAXIDX_66_BE_COFF_SRCDSP_MAXIDX=../../ >> src/DSP_maxidx//c66//DSP_maxidx_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_MAXIDX_66_BE_COFF_SRCDSP_MAXIDXC66=.././ >> src/DSP_maxidx//c66//DSP_maxidx_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_maxidx_66_BE_COFF"
src/DSP_maxidx//c66//DSP_maxidx_66_BE_COFF/Release/DSP_maxidx_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_maxidx//c66//DSP_maxidx_66_BE_COFF/Release/DSP_maxidx_66_BE_COFF.out: src/DSP_maxidx/DSP_maxidx.h
src/DSP_maxidx//c66//DSP_maxidx_66_BE_COFF/Release/DSP_maxidx_66_BE_COFF.out: src/DSP_maxidx//c66/DSP_maxidx.h
src/DSP_maxidx//c66//DSP_maxidx_66_BE_COFF/Release/DSP_maxidx_66_BE_COFF.out: src/DSP_maxidx//c66/DSP_maxidx_cn.h
src/DSP_maxidx//c66//DSP_maxidx_66_BE_COFF/Release/DSP_maxidx_66_BE_COFF.out: src/DSP_maxidx//c66/DSP_maxidx_d.c
src/DSP_maxidx//c66//DSP_maxidx_66_BE_COFF/Release/DSP_maxidx_66_BE_COFF.out: src/DSP_maxidx//c66//DSP_maxidx_66_BE_COFF/.project
	-@ echo Importing Project DSP_maxidx_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_maxidx_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_maxidx_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_maxidx/c66/DSP_maxidx_66_BE_COFF"
	-@ echo Building Project DSP_maxidx_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_maxidx_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_maxidx_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_maxidx_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_maxidx_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_maxidx//c66//DSP_maxidx_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_maxidx_66_LE_ELF

#############################################################

.executables: src/DSP_maxidx//c66//DSP_maxidx_66_LE_ELF/Release/DSP_maxidx_66_LE_ELF.out

.projects: src/DSP_maxidx//c66//DSP_maxidx_66_LE_ELF

src/DSP_maxidx//c66//DSP_maxidx_66_LE_ELF: src/DSP_maxidx//c66//DSP_maxidx_66_LE_ELF/.project

src/DSP_maxidx//c66//DSP_maxidx_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_maxidx_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_maxidx_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MAXIDX_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MAXIDX_66_LE_ELF_SRCDSP_MAXIDXC66/DSP_maxidx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_maxidx//c66//DSP_maxidx_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_MAXIDX_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAXIDX_66_LE_ELF_SRCDSP_MAXIDX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_maxidx" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAXIDX_66_LE_ELF_SRCDSP_MAXIDXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_maxidx/c66" \

	echo EXT_ROOT__DSP_MAXIDX_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_maxidx//c66//DSP_maxidx_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_MAXIDX_66_LE_ELF_SRCDSP_MAXIDX=../../ >> src/DSP_maxidx//c66//DSP_maxidx_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_MAXIDX_66_LE_ELF_SRCDSP_MAXIDXC66=.././ >> src/DSP_maxidx//c66//DSP_maxidx_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_maxidx_66_LE_ELF"
src/DSP_maxidx//c66//DSP_maxidx_66_LE_ELF/Release/DSP_maxidx_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_maxidx//c66//DSP_maxidx_66_LE_ELF/Release/DSP_maxidx_66_LE_ELF.out: src/DSP_maxidx/DSP_maxidx.h
src/DSP_maxidx//c66//DSP_maxidx_66_LE_ELF/Release/DSP_maxidx_66_LE_ELF.out: src/DSP_maxidx//c66/DSP_maxidx.h
src/DSP_maxidx//c66//DSP_maxidx_66_LE_ELF/Release/DSP_maxidx_66_LE_ELF.out: src/DSP_maxidx//c66/DSP_maxidx_cn.h
src/DSP_maxidx//c66//DSP_maxidx_66_LE_ELF/Release/DSP_maxidx_66_LE_ELF.out: src/DSP_maxidx//c66/DSP_maxidx_d.c
src/DSP_maxidx//c66//DSP_maxidx_66_LE_ELF/Release/DSP_maxidx_66_LE_ELF.out: src/DSP_maxidx//c66//DSP_maxidx_66_LE_ELF/.project
	-@ echo Importing Project DSP_maxidx_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_maxidx_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_maxidx_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_maxidx/c66/DSP_maxidx_66_LE_ELF"
	-@ echo Building Project DSP_maxidx_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_maxidx_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_maxidx_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_maxidx_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_maxidx_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_maxidx//c66//DSP_maxidx_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_maxidx_66_BE_ELF

#############################################################

.executables: src/DSP_maxidx//c66//DSP_maxidx_66_BE_ELF/Release/DSP_maxidx_66_BE_ELF.out

.projects: src/DSP_maxidx//c66//DSP_maxidx_66_BE_ELF

src/DSP_maxidx//c66//DSP_maxidx_66_BE_ELF: src/DSP_maxidx//c66//DSP_maxidx_66_BE_ELF/.project

src/DSP_maxidx//c66//DSP_maxidx_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_maxidx_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_maxidx_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MAXIDX_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MAXIDX_66_BE_ELF_SRCDSP_MAXIDXC66/DSP_maxidx_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_maxidx//c66//DSP_maxidx_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_MAXIDX_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAXIDX_66_BE_ELF_SRCDSP_MAXIDX "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_maxidx" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAXIDX_66_BE_ELF_SRCDSP_MAXIDXC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_maxidx/c66" \

	echo EXT_ROOT__DSP_MAXIDX_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_maxidx//c66//DSP_maxidx_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_MAXIDX_66_BE_ELF_SRCDSP_MAXIDX=../../ >> src/DSP_maxidx//c66//DSP_maxidx_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_MAXIDX_66_BE_ELF_SRCDSP_MAXIDXC66=.././ >> src/DSP_maxidx//c66//DSP_maxidx_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_maxidx_66_BE_ELF"
src/DSP_maxidx//c66//DSP_maxidx_66_BE_ELF/Release/DSP_maxidx_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_maxidx//c66//DSP_maxidx_66_BE_ELF/Release/DSP_maxidx_66_BE_ELF.out: src/DSP_maxidx/DSP_maxidx.h
src/DSP_maxidx//c66//DSP_maxidx_66_BE_ELF/Release/DSP_maxidx_66_BE_ELF.out: src/DSP_maxidx//c66/DSP_maxidx.h
src/DSP_maxidx//c66//DSP_maxidx_66_BE_ELF/Release/DSP_maxidx_66_BE_ELF.out: src/DSP_maxidx//c66/DSP_maxidx_cn.h
src/DSP_maxidx//c66//DSP_maxidx_66_BE_ELF/Release/DSP_maxidx_66_BE_ELF.out: src/DSP_maxidx//c66/DSP_maxidx_d.c
src/DSP_maxidx//c66//DSP_maxidx_66_BE_ELF/Release/DSP_maxidx_66_BE_ELF.out: src/DSP_maxidx//c66//DSP_maxidx_66_BE_ELF/.project
	-@ echo Importing Project DSP_maxidx_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_maxidx_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_maxidx_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_maxidx/c66/DSP_maxidx_66_BE_ELF"
	-@ echo Building Project DSP_maxidx_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_maxidx_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_maxidx_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_maxidx_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_maxidx_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_maxidx//c66//DSP_maxidx_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_maxval_66_LE_COFF

#############################################################

.executables: src/DSP_maxval//c66//DSP_maxval_66_LE_COFF/Release/DSP_maxval_66_LE_COFF.out

.projects: src/DSP_maxval//c66//DSP_maxval_66_LE_COFF

src/DSP_maxval//c66//DSP_maxval_66_LE_COFF: src/DSP_maxval//c66//DSP_maxval_66_LE_COFF/.project

src/DSP_maxval//c66//DSP_maxval_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_maxval_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_maxval_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MAXVAL_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MAXVAL_66_LE_COFF_SRCDSP_MAXVALC66/DSP_maxval_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_maxval//c66//DSP_maxval_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_MAXVAL_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAXVAL_66_LE_COFF_SRCDSP_MAXVAL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_maxval" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAXVAL_66_LE_COFF_SRCDSP_MAXVALC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_maxval/c66" \

	echo EXT_ROOT__DSP_MAXVAL_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_maxval//c66//DSP_maxval_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_MAXVAL_66_LE_COFF_SRCDSP_MAXVAL=../../ >> src/DSP_maxval//c66//DSP_maxval_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_MAXVAL_66_LE_COFF_SRCDSP_MAXVALC66=.././ >> src/DSP_maxval//c66//DSP_maxval_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_maxval_66_LE_COFF"
src/DSP_maxval//c66//DSP_maxval_66_LE_COFF/Release/DSP_maxval_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_maxval//c66//DSP_maxval_66_LE_COFF/Release/DSP_maxval_66_LE_COFF.out: src/DSP_maxval/DSP_maxval.h
src/DSP_maxval//c66//DSP_maxval_66_LE_COFF/Release/DSP_maxval_66_LE_COFF.out: src/DSP_maxval//c66/DSP_maxval.h
src/DSP_maxval//c66//DSP_maxval_66_LE_COFF/Release/DSP_maxval_66_LE_COFF.out: src/DSP_maxval//c66/DSP_maxval_cn.h
src/DSP_maxval//c66//DSP_maxval_66_LE_COFF/Release/DSP_maxval_66_LE_COFF.out: src/DSP_maxval//c66/DSP_maxval_d.c
src/DSP_maxval//c66//DSP_maxval_66_LE_COFF/Release/DSP_maxval_66_LE_COFF.out: src/DSP_maxval//c66//DSP_maxval_66_LE_COFF/.project
	-@ echo Importing Project DSP_maxval_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_maxval_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_maxval_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_maxval/c66/DSP_maxval_66_LE_COFF"
	-@ echo Building Project DSP_maxval_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_maxval_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_maxval_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_maxval_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_maxval_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_maxval//c66//DSP_maxval_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_maxval_66_BE_COFF

#############################################################

.executables: src/DSP_maxval//c66//DSP_maxval_66_BE_COFF/Release/DSP_maxval_66_BE_COFF.out

.projects: src/DSP_maxval//c66//DSP_maxval_66_BE_COFF

src/DSP_maxval//c66//DSP_maxval_66_BE_COFF: src/DSP_maxval//c66//DSP_maxval_66_BE_COFF/.project

src/DSP_maxval//c66//DSP_maxval_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_maxval_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_maxval_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MAXVAL_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MAXVAL_66_BE_COFF_SRCDSP_MAXVALC66/DSP_maxval_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_maxval//c66//DSP_maxval_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_MAXVAL_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAXVAL_66_BE_COFF_SRCDSP_MAXVAL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_maxval" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAXVAL_66_BE_COFF_SRCDSP_MAXVALC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_maxval/c66" \

	echo EXT_ROOT__DSP_MAXVAL_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_maxval//c66//DSP_maxval_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_MAXVAL_66_BE_COFF_SRCDSP_MAXVAL=../../ >> src/DSP_maxval//c66//DSP_maxval_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_MAXVAL_66_BE_COFF_SRCDSP_MAXVALC66=.././ >> src/DSP_maxval//c66//DSP_maxval_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_maxval_66_BE_COFF"
src/DSP_maxval//c66//DSP_maxval_66_BE_COFF/Release/DSP_maxval_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_maxval//c66//DSP_maxval_66_BE_COFF/Release/DSP_maxval_66_BE_COFF.out: src/DSP_maxval/DSP_maxval.h
src/DSP_maxval//c66//DSP_maxval_66_BE_COFF/Release/DSP_maxval_66_BE_COFF.out: src/DSP_maxval//c66/DSP_maxval.h
src/DSP_maxval//c66//DSP_maxval_66_BE_COFF/Release/DSP_maxval_66_BE_COFF.out: src/DSP_maxval//c66/DSP_maxval_cn.h
src/DSP_maxval//c66//DSP_maxval_66_BE_COFF/Release/DSP_maxval_66_BE_COFF.out: src/DSP_maxval//c66/DSP_maxval_d.c
src/DSP_maxval//c66//DSP_maxval_66_BE_COFF/Release/DSP_maxval_66_BE_COFF.out: src/DSP_maxval//c66//DSP_maxval_66_BE_COFF/.project
	-@ echo Importing Project DSP_maxval_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_maxval_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_maxval_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_maxval/c66/DSP_maxval_66_BE_COFF"
	-@ echo Building Project DSP_maxval_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_maxval_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_maxval_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_maxval_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_maxval_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_maxval//c66//DSP_maxval_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_maxval_66_LE_ELF

#############################################################

.executables: src/DSP_maxval//c66//DSP_maxval_66_LE_ELF/Release/DSP_maxval_66_LE_ELF.out

.projects: src/DSP_maxval//c66//DSP_maxval_66_LE_ELF

src/DSP_maxval//c66//DSP_maxval_66_LE_ELF: src/DSP_maxval//c66//DSP_maxval_66_LE_ELF/.project

src/DSP_maxval//c66//DSP_maxval_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_maxval_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_maxval_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MAXVAL_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MAXVAL_66_LE_ELF_SRCDSP_MAXVALC66/DSP_maxval_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_maxval//c66//DSP_maxval_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_MAXVAL_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAXVAL_66_LE_ELF_SRCDSP_MAXVAL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_maxval" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAXVAL_66_LE_ELF_SRCDSP_MAXVALC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_maxval/c66" \

	echo EXT_ROOT__DSP_MAXVAL_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_maxval//c66//DSP_maxval_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_MAXVAL_66_LE_ELF_SRCDSP_MAXVAL=../../ >> src/DSP_maxval//c66//DSP_maxval_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_MAXVAL_66_LE_ELF_SRCDSP_MAXVALC66=.././ >> src/DSP_maxval//c66//DSP_maxval_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_maxval_66_LE_ELF"
src/DSP_maxval//c66//DSP_maxval_66_LE_ELF/Release/DSP_maxval_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_maxval//c66//DSP_maxval_66_LE_ELF/Release/DSP_maxval_66_LE_ELF.out: src/DSP_maxval/DSP_maxval.h
src/DSP_maxval//c66//DSP_maxval_66_LE_ELF/Release/DSP_maxval_66_LE_ELF.out: src/DSP_maxval//c66/DSP_maxval.h
src/DSP_maxval//c66//DSP_maxval_66_LE_ELF/Release/DSP_maxval_66_LE_ELF.out: src/DSP_maxval//c66/DSP_maxval_cn.h
src/DSP_maxval//c66//DSP_maxval_66_LE_ELF/Release/DSP_maxval_66_LE_ELF.out: src/DSP_maxval//c66/DSP_maxval_d.c
src/DSP_maxval//c66//DSP_maxval_66_LE_ELF/Release/DSP_maxval_66_LE_ELF.out: src/DSP_maxval//c66//DSP_maxval_66_LE_ELF/.project
	-@ echo Importing Project DSP_maxval_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_maxval_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_maxval_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_maxval/c66/DSP_maxval_66_LE_ELF"
	-@ echo Building Project DSP_maxval_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_maxval_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_maxval_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_maxval_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_maxval_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_maxval//c66//DSP_maxval_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_maxval_66_BE_ELF

#############################################################

.executables: src/DSP_maxval//c66//DSP_maxval_66_BE_ELF/Release/DSP_maxval_66_BE_ELF.out

.projects: src/DSP_maxval//c66//DSP_maxval_66_BE_ELF

src/DSP_maxval//c66//DSP_maxval_66_BE_ELF: src/DSP_maxval//c66//DSP_maxval_66_BE_ELF/.project

src/DSP_maxval//c66//DSP_maxval_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_maxval_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_maxval_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MAXVAL_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MAXVAL_66_BE_ELF_SRCDSP_MAXVALC66/DSP_maxval_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_maxval//c66//DSP_maxval_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_MAXVAL_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAXVAL_66_BE_ELF_SRCDSP_MAXVAL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_maxval" \
 -ccs.definePathVariable EXT_ROOT__DSP_MAXVAL_66_BE_ELF_SRCDSP_MAXVALC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_maxval/c66" \

	echo EXT_ROOT__DSP_MAXVAL_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_maxval//c66//DSP_maxval_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_MAXVAL_66_BE_ELF_SRCDSP_MAXVAL=../../ >> src/DSP_maxval//c66//DSP_maxval_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_MAXVAL_66_BE_ELF_SRCDSP_MAXVALC66=.././ >> src/DSP_maxval//c66//DSP_maxval_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_maxval_66_BE_ELF"
src/DSP_maxval//c66//DSP_maxval_66_BE_ELF/Release/DSP_maxval_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_maxval//c66//DSP_maxval_66_BE_ELF/Release/DSP_maxval_66_BE_ELF.out: src/DSP_maxval/DSP_maxval.h
src/DSP_maxval//c66//DSP_maxval_66_BE_ELF/Release/DSP_maxval_66_BE_ELF.out: src/DSP_maxval//c66/DSP_maxval.h
src/DSP_maxval//c66//DSP_maxval_66_BE_ELF/Release/DSP_maxval_66_BE_ELF.out: src/DSP_maxval//c66/DSP_maxval_cn.h
src/DSP_maxval//c66//DSP_maxval_66_BE_ELF/Release/DSP_maxval_66_BE_ELF.out: src/DSP_maxval//c66/DSP_maxval_d.c
src/DSP_maxval//c66//DSP_maxval_66_BE_ELF/Release/DSP_maxval_66_BE_ELF.out: src/DSP_maxval//c66//DSP_maxval_66_BE_ELF/.project
	-@ echo Importing Project DSP_maxval_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_maxval_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_maxval_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_maxval/c66/DSP_maxval_66_BE_ELF"
	-@ echo Building Project DSP_maxval_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_maxval_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_maxval_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_maxval_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_maxval_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_maxval//c66//DSP_maxval_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_minerror_66_LE_COFF

#############################################################

.executables: src/DSP_minerror//c66//DSP_minerror_66_LE_COFF/Release/DSP_minerror_66_LE_COFF.out

.projects: src/DSP_minerror//c66//DSP_minerror_66_LE_COFF

src/DSP_minerror//c66//DSP_minerror_66_LE_COFF: src/DSP_minerror//c66//DSP_minerror_66_LE_COFF/.project

src/DSP_minerror//c66//DSP_minerror_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_minerror_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_minerror_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MINERROR_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MINERROR_66_LE_COFF_SRCDSP_MINERRORC66/DSP_minerror_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_minerror//c66//DSP_minerror_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_MINERROR_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MINERROR_66_LE_COFF_SRCDSP_MINERROR "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_minerror" \
 -ccs.definePathVariable EXT_ROOT__DSP_MINERROR_66_LE_COFF_SRCDSP_MINERRORC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_minerror/c66" \

	echo EXT_ROOT__DSP_MINERROR_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_minerror//c66//DSP_minerror_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_MINERROR_66_LE_COFF_SRCDSP_MINERROR=../../ >> src/DSP_minerror//c66//DSP_minerror_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_MINERROR_66_LE_COFF_SRCDSP_MINERRORC66=.././ >> src/DSP_minerror//c66//DSP_minerror_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_minerror_66_LE_COFF"
src/DSP_minerror//c66//DSP_minerror_66_LE_COFF/Release/DSP_minerror_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_minerror//c66//DSP_minerror_66_LE_COFF/Release/DSP_minerror_66_LE_COFF.out: src/DSP_minerror/DSP_minerror.h
src/DSP_minerror//c66//DSP_minerror_66_LE_COFF/Release/DSP_minerror_66_LE_COFF.out: src/DSP_minerror//c66/DSP_minerror.h
src/DSP_minerror//c66//DSP_minerror_66_LE_COFF/Release/DSP_minerror_66_LE_COFF.out: src/DSP_minerror//c66/DSP_minerror_cn.h
src/DSP_minerror//c66//DSP_minerror_66_LE_COFF/Release/DSP_minerror_66_LE_COFF.out: src/DSP_minerror//c66/DSP_minerror_d.c
src/DSP_minerror//c66//DSP_minerror_66_LE_COFF/Release/DSP_minerror_66_LE_COFF.out: src/DSP_minerror//c66//DSP_minerror_66_LE_COFF/.project
	-@ echo Importing Project DSP_minerror_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_minerror_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_minerror_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_minerror/c66/DSP_minerror_66_LE_COFF"
	-@ echo Building Project DSP_minerror_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_minerror_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_minerror_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_minerror_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_minerror_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_minerror//c66//DSP_minerror_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_minerror_66_BE_COFF

#############################################################

.executables: src/DSP_minerror//c66//DSP_minerror_66_BE_COFF/Release/DSP_minerror_66_BE_COFF.out

.projects: src/DSP_minerror//c66//DSP_minerror_66_BE_COFF

src/DSP_minerror//c66//DSP_minerror_66_BE_COFF: src/DSP_minerror//c66//DSP_minerror_66_BE_COFF/.project

src/DSP_minerror//c66//DSP_minerror_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_minerror_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_minerror_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MINERROR_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MINERROR_66_BE_COFF_SRCDSP_MINERRORC66/DSP_minerror_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_minerror//c66//DSP_minerror_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_MINERROR_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MINERROR_66_BE_COFF_SRCDSP_MINERROR "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_minerror" \
 -ccs.definePathVariable EXT_ROOT__DSP_MINERROR_66_BE_COFF_SRCDSP_MINERRORC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_minerror/c66" \

	echo EXT_ROOT__DSP_MINERROR_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_minerror//c66//DSP_minerror_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_MINERROR_66_BE_COFF_SRCDSP_MINERROR=../../ >> src/DSP_minerror//c66//DSP_minerror_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_MINERROR_66_BE_COFF_SRCDSP_MINERRORC66=.././ >> src/DSP_minerror//c66//DSP_minerror_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_minerror_66_BE_COFF"
src/DSP_minerror//c66//DSP_minerror_66_BE_COFF/Release/DSP_minerror_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_minerror//c66//DSP_minerror_66_BE_COFF/Release/DSP_minerror_66_BE_COFF.out: src/DSP_minerror/DSP_minerror.h
src/DSP_minerror//c66//DSP_minerror_66_BE_COFF/Release/DSP_minerror_66_BE_COFF.out: src/DSP_minerror//c66/DSP_minerror.h
src/DSP_minerror//c66//DSP_minerror_66_BE_COFF/Release/DSP_minerror_66_BE_COFF.out: src/DSP_minerror//c66/DSP_minerror_cn.h
src/DSP_minerror//c66//DSP_minerror_66_BE_COFF/Release/DSP_minerror_66_BE_COFF.out: src/DSP_minerror//c66/DSP_minerror_d.c
src/DSP_minerror//c66//DSP_minerror_66_BE_COFF/Release/DSP_minerror_66_BE_COFF.out: src/DSP_minerror//c66//DSP_minerror_66_BE_COFF/.project
	-@ echo Importing Project DSP_minerror_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_minerror_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_minerror_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_minerror/c66/DSP_minerror_66_BE_COFF"
	-@ echo Building Project DSP_minerror_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_minerror_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_minerror_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_minerror_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_minerror_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_minerror//c66//DSP_minerror_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_minerror_66_LE_ELF

#############################################################

.executables: src/DSP_minerror//c66//DSP_minerror_66_LE_ELF/Release/DSP_minerror_66_LE_ELF.out

.projects: src/DSP_minerror//c66//DSP_minerror_66_LE_ELF

src/DSP_minerror//c66//DSP_minerror_66_LE_ELF: src/DSP_minerror//c66//DSP_minerror_66_LE_ELF/.project

src/DSP_minerror//c66//DSP_minerror_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_minerror_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_minerror_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MINERROR_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MINERROR_66_LE_ELF_SRCDSP_MINERRORC66/DSP_minerror_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_minerror//c66//DSP_minerror_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_MINERROR_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MINERROR_66_LE_ELF_SRCDSP_MINERROR "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_minerror" \
 -ccs.definePathVariable EXT_ROOT__DSP_MINERROR_66_LE_ELF_SRCDSP_MINERRORC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_minerror/c66" \

	echo EXT_ROOT__DSP_MINERROR_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_minerror//c66//DSP_minerror_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_MINERROR_66_LE_ELF_SRCDSP_MINERROR=../../ >> src/DSP_minerror//c66//DSP_minerror_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_MINERROR_66_LE_ELF_SRCDSP_MINERRORC66=.././ >> src/DSP_minerror//c66//DSP_minerror_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_minerror_66_LE_ELF"
src/DSP_minerror//c66//DSP_minerror_66_LE_ELF/Release/DSP_minerror_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_minerror//c66//DSP_minerror_66_LE_ELF/Release/DSP_minerror_66_LE_ELF.out: src/DSP_minerror/DSP_minerror.h
src/DSP_minerror//c66//DSP_minerror_66_LE_ELF/Release/DSP_minerror_66_LE_ELF.out: src/DSP_minerror//c66/DSP_minerror.h
src/DSP_minerror//c66//DSP_minerror_66_LE_ELF/Release/DSP_minerror_66_LE_ELF.out: src/DSP_minerror//c66/DSP_minerror_cn.h
src/DSP_minerror//c66//DSP_minerror_66_LE_ELF/Release/DSP_minerror_66_LE_ELF.out: src/DSP_minerror//c66/DSP_minerror_d.c
src/DSP_minerror//c66//DSP_minerror_66_LE_ELF/Release/DSP_minerror_66_LE_ELF.out: src/DSP_minerror//c66//DSP_minerror_66_LE_ELF/.project
	-@ echo Importing Project DSP_minerror_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_minerror_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_minerror_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_minerror/c66/DSP_minerror_66_LE_ELF"
	-@ echo Building Project DSP_minerror_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_minerror_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_minerror_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_minerror_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_minerror_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_minerror//c66//DSP_minerror_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_minerror_66_BE_ELF

#############################################################

.executables: src/DSP_minerror//c66//DSP_minerror_66_BE_ELF/Release/DSP_minerror_66_BE_ELF.out

.projects: src/DSP_minerror//c66//DSP_minerror_66_BE_ELF

src/DSP_minerror//c66//DSP_minerror_66_BE_ELF: src/DSP_minerror//c66//DSP_minerror_66_BE_ELF/.project

src/DSP_minerror//c66//DSP_minerror_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_minerror_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_minerror_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MINERROR_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MINERROR_66_BE_ELF_SRCDSP_MINERRORC66/DSP_minerror_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_minerror//c66//DSP_minerror_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_MINERROR_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MINERROR_66_BE_ELF_SRCDSP_MINERROR "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_minerror" \
 -ccs.definePathVariable EXT_ROOT__DSP_MINERROR_66_BE_ELF_SRCDSP_MINERRORC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_minerror/c66" \

	echo EXT_ROOT__DSP_MINERROR_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_minerror//c66//DSP_minerror_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_MINERROR_66_BE_ELF_SRCDSP_MINERROR=../../ >> src/DSP_minerror//c66//DSP_minerror_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_MINERROR_66_BE_ELF_SRCDSP_MINERRORC66=.././ >> src/DSP_minerror//c66//DSP_minerror_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_minerror_66_BE_ELF"
src/DSP_minerror//c66//DSP_minerror_66_BE_ELF/Release/DSP_minerror_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_minerror//c66//DSP_minerror_66_BE_ELF/Release/DSP_minerror_66_BE_ELF.out: src/DSP_minerror/DSP_minerror.h
src/DSP_minerror//c66//DSP_minerror_66_BE_ELF/Release/DSP_minerror_66_BE_ELF.out: src/DSP_minerror//c66/DSP_minerror.h
src/DSP_minerror//c66//DSP_minerror_66_BE_ELF/Release/DSP_minerror_66_BE_ELF.out: src/DSP_minerror//c66/DSP_minerror_cn.h
src/DSP_minerror//c66//DSP_minerror_66_BE_ELF/Release/DSP_minerror_66_BE_ELF.out: src/DSP_minerror//c66/DSP_minerror_d.c
src/DSP_minerror//c66//DSP_minerror_66_BE_ELF/Release/DSP_minerror_66_BE_ELF.out: src/DSP_minerror//c66//DSP_minerror_66_BE_ELF/.project
	-@ echo Importing Project DSP_minerror_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_minerror_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_minerror_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_minerror/c66/DSP_minerror_66_BE_ELF"
	-@ echo Building Project DSP_minerror_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_minerror_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_minerror_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_minerror_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_minerror_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_minerror//c66//DSP_minerror_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_minval_66_LE_COFF

#############################################################

.executables: src/DSP_minval//c66//DSP_minval_66_LE_COFF/Release/DSP_minval_66_LE_COFF.out

.projects: src/DSP_minval//c66//DSP_minval_66_LE_COFF

src/DSP_minval//c66//DSP_minval_66_LE_COFF: src/DSP_minval//c66//DSP_minval_66_LE_COFF/.project

src/DSP_minval//c66//DSP_minval_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_minval_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_minval_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MINVAL_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MINVAL_66_LE_COFF_SRCDSP_MINVALC66/DSP_minval_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_minval//c66//DSP_minval_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_MINVAL_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MINVAL_66_LE_COFF_SRCDSP_MINVAL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_minval" \
 -ccs.definePathVariable EXT_ROOT__DSP_MINVAL_66_LE_COFF_SRCDSP_MINVALC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_minval/c66" \

	echo EXT_ROOT__DSP_MINVAL_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_minval//c66//DSP_minval_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_MINVAL_66_LE_COFF_SRCDSP_MINVAL=../../ >> src/DSP_minval//c66//DSP_minval_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_MINVAL_66_LE_COFF_SRCDSP_MINVALC66=.././ >> src/DSP_minval//c66//DSP_minval_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_minval_66_LE_COFF"
src/DSP_minval//c66//DSP_minval_66_LE_COFF/Release/DSP_minval_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_minval//c66//DSP_minval_66_LE_COFF/Release/DSP_minval_66_LE_COFF.out: src/DSP_minval/DSP_minval.h
src/DSP_minval//c66//DSP_minval_66_LE_COFF/Release/DSP_minval_66_LE_COFF.out: src/DSP_minval//c66/DSP_minval.h
src/DSP_minval//c66//DSP_minval_66_LE_COFF/Release/DSP_minval_66_LE_COFF.out: src/DSP_minval//c66/DSP_minval_cn.h
src/DSP_minval//c66//DSP_minval_66_LE_COFF/Release/DSP_minval_66_LE_COFF.out: src/DSP_minval//c66/DSP_minval_d.c
src/DSP_minval//c66//DSP_minval_66_LE_COFF/Release/DSP_minval_66_LE_COFF.out: src/DSP_minval//c66//DSP_minval_66_LE_COFF/.project
	-@ echo Importing Project DSP_minval_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_minval_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_minval_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_minval/c66/DSP_minval_66_LE_COFF"
	-@ echo Building Project DSP_minval_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_minval_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_minval_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_minval_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_minval_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_minval//c66//DSP_minval_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_minval_66_BE_COFF

#############################################################

.executables: src/DSP_minval//c66//DSP_minval_66_BE_COFF/Release/DSP_minval_66_BE_COFF.out

.projects: src/DSP_minval//c66//DSP_minval_66_BE_COFF

src/DSP_minval//c66//DSP_minval_66_BE_COFF: src/DSP_minval//c66//DSP_minval_66_BE_COFF/.project

src/DSP_minval//c66//DSP_minval_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_minval_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_minval_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MINVAL_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MINVAL_66_BE_COFF_SRCDSP_MINVALC66/DSP_minval_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_minval//c66//DSP_minval_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_MINVAL_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MINVAL_66_BE_COFF_SRCDSP_MINVAL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_minval" \
 -ccs.definePathVariable EXT_ROOT__DSP_MINVAL_66_BE_COFF_SRCDSP_MINVALC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_minval/c66" \

	echo EXT_ROOT__DSP_MINVAL_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_minval//c66//DSP_minval_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_MINVAL_66_BE_COFF_SRCDSP_MINVAL=../../ >> src/DSP_minval//c66//DSP_minval_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_MINVAL_66_BE_COFF_SRCDSP_MINVALC66=.././ >> src/DSP_minval//c66//DSP_minval_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_minval_66_BE_COFF"
src/DSP_minval//c66//DSP_minval_66_BE_COFF/Release/DSP_minval_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_minval//c66//DSP_minval_66_BE_COFF/Release/DSP_minval_66_BE_COFF.out: src/DSP_minval/DSP_minval.h
src/DSP_minval//c66//DSP_minval_66_BE_COFF/Release/DSP_minval_66_BE_COFF.out: src/DSP_minval//c66/DSP_minval.h
src/DSP_minval//c66//DSP_minval_66_BE_COFF/Release/DSP_minval_66_BE_COFF.out: src/DSP_minval//c66/DSP_minval_cn.h
src/DSP_minval//c66//DSP_minval_66_BE_COFF/Release/DSP_minval_66_BE_COFF.out: src/DSP_minval//c66/DSP_minval_d.c
src/DSP_minval//c66//DSP_minval_66_BE_COFF/Release/DSP_minval_66_BE_COFF.out: src/DSP_minval//c66//DSP_minval_66_BE_COFF/.project
	-@ echo Importing Project DSP_minval_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_minval_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_minval_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_minval/c66/DSP_minval_66_BE_COFF"
	-@ echo Building Project DSP_minval_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_minval_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_minval_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_minval_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_minval_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_minval//c66//DSP_minval_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_minval_66_LE_ELF

#############################################################

.executables: src/DSP_minval//c66//DSP_minval_66_LE_ELF/Release/DSP_minval_66_LE_ELF.out

.projects: src/DSP_minval//c66//DSP_minval_66_LE_ELF

src/DSP_minval//c66//DSP_minval_66_LE_ELF: src/DSP_minval//c66//DSP_minval_66_LE_ELF/.project

src/DSP_minval//c66//DSP_minval_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_minval_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_minval_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MINVAL_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MINVAL_66_LE_ELF_SRCDSP_MINVALC66/DSP_minval_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_minval//c66//DSP_minval_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_MINVAL_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MINVAL_66_LE_ELF_SRCDSP_MINVAL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_minval" \
 -ccs.definePathVariable EXT_ROOT__DSP_MINVAL_66_LE_ELF_SRCDSP_MINVALC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_minval/c66" \

	echo EXT_ROOT__DSP_MINVAL_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_minval//c66//DSP_minval_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_MINVAL_66_LE_ELF_SRCDSP_MINVAL=../../ >> src/DSP_minval//c66//DSP_minval_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_MINVAL_66_LE_ELF_SRCDSP_MINVALC66=.././ >> src/DSP_minval//c66//DSP_minval_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_minval_66_LE_ELF"
src/DSP_minval//c66//DSP_minval_66_LE_ELF/Release/DSP_minval_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_minval//c66//DSP_minval_66_LE_ELF/Release/DSP_minval_66_LE_ELF.out: src/DSP_minval/DSP_minval.h
src/DSP_minval//c66//DSP_minval_66_LE_ELF/Release/DSP_minval_66_LE_ELF.out: src/DSP_minval//c66/DSP_minval.h
src/DSP_minval//c66//DSP_minval_66_LE_ELF/Release/DSP_minval_66_LE_ELF.out: src/DSP_minval//c66/DSP_minval_cn.h
src/DSP_minval//c66//DSP_minval_66_LE_ELF/Release/DSP_minval_66_LE_ELF.out: src/DSP_minval//c66/DSP_minval_d.c
src/DSP_minval//c66//DSP_minval_66_LE_ELF/Release/DSP_minval_66_LE_ELF.out: src/DSP_minval//c66//DSP_minval_66_LE_ELF/.project
	-@ echo Importing Project DSP_minval_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_minval_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_minval_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_minval/c66/DSP_minval_66_LE_ELF"
	-@ echo Building Project DSP_minval_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_minval_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_minval_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_minval_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_minval_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_minval//c66//DSP_minval_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_minval_66_BE_ELF

#############################################################

.executables: src/DSP_minval//c66//DSP_minval_66_BE_ELF/Release/DSP_minval_66_BE_ELF.out

.projects: src/DSP_minval//c66//DSP_minval_66_BE_ELF

src/DSP_minval//c66//DSP_minval_66_BE_ELF: src/DSP_minval//c66//DSP_minval_66_BE_ELF/.project

src/DSP_minval//c66//DSP_minval_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_minval_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_minval_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MINVAL_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MINVAL_66_BE_ELF_SRCDSP_MINVALC66/DSP_minval_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_minval//c66//DSP_minval_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_MINVAL_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MINVAL_66_BE_ELF_SRCDSP_MINVAL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_minval" \
 -ccs.definePathVariable EXT_ROOT__DSP_MINVAL_66_BE_ELF_SRCDSP_MINVALC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_minval/c66" \

	echo EXT_ROOT__DSP_MINVAL_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_minval//c66//DSP_minval_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_MINVAL_66_BE_ELF_SRCDSP_MINVAL=../../ >> src/DSP_minval//c66//DSP_minval_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_MINVAL_66_BE_ELF_SRCDSP_MINVALC66=.././ >> src/DSP_minval//c66//DSP_minval_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_minval_66_BE_ELF"
src/DSP_minval//c66//DSP_minval_66_BE_ELF/Release/DSP_minval_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_minval//c66//DSP_minval_66_BE_ELF/Release/DSP_minval_66_BE_ELF.out: src/DSP_minval/DSP_minval.h
src/DSP_minval//c66//DSP_minval_66_BE_ELF/Release/DSP_minval_66_BE_ELF.out: src/DSP_minval//c66/DSP_minval.h
src/DSP_minval//c66//DSP_minval_66_BE_ELF/Release/DSP_minval_66_BE_ELF.out: src/DSP_minval//c66/DSP_minval_cn.h
src/DSP_minval//c66//DSP_minval_66_BE_ELF/Release/DSP_minval_66_BE_ELF.out: src/DSP_minval//c66/DSP_minval_d.c
src/DSP_minval//c66//DSP_minval_66_BE_ELF/Release/DSP_minval_66_BE_ELF.out: src/DSP_minval//c66//DSP_minval_66_BE_ELF/.project
	-@ echo Importing Project DSP_minval_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_minval_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_minval_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_minval/c66/DSP_minval_66_BE_ELF"
	-@ echo Building Project DSP_minval_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_minval_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_minval_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_minval_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_minval_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_minval//c66//DSP_minval_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_mul32_66_LE_COFF

#############################################################

.executables: src/DSP_mul32//c66//DSP_mul32_66_LE_COFF/Release/DSP_mul32_66_LE_COFF.out

.projects: src/DSP_mul32//c66//DSP_mul32_66_LE_COFF

src/DSP_mul32//c66//DSP_mul32_66_LE_COFF: src/DSP_mul32//c66//DSP_mul32_66_LE_COFF/.project

src/DSP_mul32//c66//DSP_mul32_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mul32_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_mul32_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MUL32_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MUL32_66_LE_COFF_SRCDSP_MUL32C66/DSP_mul32_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_mul32//c66//DSP_mul32_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_MUL32_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MUL32_66_LE_COFF_SRCDSP_MUL32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mul32" \
 -ccs.definePathVariable EXT_ROOT__DSP_MUL32_66_LE_COFF_SRCDSP_MUL32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mul32/c66" \

	echo EXT_ROOT__DSP_MUL32_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_mul32//c66//DSP_mul32_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_MUL32_66_LE_COFF_SRCDSP_MUL32=../../ >> src/DSP_mul32//c66//DSP_mul32_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_MUL32_66_LE_COFF_SRCDSP_MUL32C66=.././ >> src/DSP_mul32//c66//DSP_mul32_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_mul32_66_LE_COFF"
src/DSP_mul32//c66//DSP_mul32_66_LE_COFF/Release/DSP_mul32_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_mul32//c66//DSP_mul32_66_LE_COFF/Release/DSP_mul32_66_LE_COFF.out: src/DSP_mul32/DSP_mul32.h
src/DSP_mul32//c66//DSP_mul32_66_LE_COFF/Release/DSP_mul32_66_LE_COFF.out: src/DSP_mul32//c66/DSP_mul32.h
src/DSP_mul32//c66//DSP_mul32_66_LE_COFF/Release/DSP_mul32_66_LE_COFF.out: src/DSP_mul32//c66/DSP_mul32_cn.h
src/DSP_mul32//c66//DSP_mul32_66_LE_COFF/Release/DSP_mul32_66_LE_COFF.out: src/DSP_mul32//c66/DSP_mul32_d.c
src/DSP_mul32//c66//DSP_mul32_66_LE_COFF/Release/DSP_mul32_66_LE_COFF.out: src/DSP_mul32//c66//DSP_mul32_66_LE_COFF/.project
	-@ echo Importing Project DSP_mul32_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mul32_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_mul32_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mul32/c66/DSP_mul32_66_LE_COFF"
	-@ echo Building Project DSP_mul32_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mul32_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_mul32_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_mul32_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_mul32_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_mul32//c66//DSP_mul32_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_mul32_66_BE_COFF

#############################################################

.executables: src/DSP_mul32//c66//DSP_mul32_66_BE_COFF/Release/DSP_mul32_66_BE_COFF.out

.projects: src/DSP_mul32//c66//DSP_mul32_66_BE_COFF

src/DSP_mul32//c66//DSP_mul32_66_BE_COFF: src/DSP_mul32//c66//DSP_mul32_66_BE_COFF/.project

src/DSP_mul32//c66//DSP_mul32_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mul32_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_mul32_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MUL32_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MUL32_66_BE_COFF_SRCDSP_MUL32C66/DSP_mul32_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_mul32//c66//DSP_mul32_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_MUL32_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MUL32_66_BE_COFF_SRCDSP_MUL32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mul32" \
 -ccs.definePathVariable EXT_ROOT__DSP_MUL32_66_BE_COFF_SRCDSP_MUL32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mul32/c66" \

	echo EXT_ROOT__DSP_MUL32_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_mul32//c66//DSP_mul32_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_MUL32_66_BE_COFF_SRCDSP_MUL32=../../ >> src/DSP_mul32//c66//DSP_mul32_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_MUL32_66_BE_COFF_SRCDSP_MUL32C66=.././ >> src/DSP_mul32//c66//DSP_mul32_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_mul32_66_BE_COFF"
src/DSP_mul32//c66//DSP_mul32_66_BE_COFF/Release/DSP_mul32_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_mul32//c66//DSP_mul32_66_BE_COFF/Release/DSP_mul32_66_BE_COFF.out: src/DSP_mul32/DSP_mul32.h
src/DSP_mul32//c66//DSP_mul32_66_BE_COFF/Release/DSP_mul32_66_BE_COFF.out: src/DSP_mul32//c66/DSP_mul32.h
src/DSP_mul32//c66//DSP_mul32_66_BE_COFF/Release/DSP_mul32_66_BE_COFF.out: src/DSP_mul32//c66/DSP_mul32_cn.h
src/DSP_mul32//c66//DSP_mul32_66_BE_COFF/Release/DSP_mul32_66_BE_COFF.out: src/DSP_mul32//c66/DSP_mul32_d.c
src/DSP_mul32//c66//DSP_mul32_66_BE_COFF/Release/DSP_mul32_66_BE_COFF.out: src/DSP_mul32//c66//DSP_mul32_66_BE_COFF/.project
	-@ echo Importing Project DSP_mul32_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mul32_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_mul32_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mul32/c66/DSP_mul32_66_BE_COFF"
	-@ echo Building Project DSP_mul32_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mul32_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_mul32_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_mul32_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_mul32_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_mul32//c66//DSP_mul32_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_mul32_66_LE_ELF

#############################################################

.executables: src/DSP_mul32//c66//DSP_mul32_66_LE_ELF/Release/DSP_mul32_66_LE_ELF.out

.projects: src/DSP_mul32//c66//DSP_mul32_66_LE_ELF

src/DSP_mul32//c66//DSP_mul32_66_LE_ELF: src/DSP_mul32//c66//DSP_mul32_66_LE_ELF/.project

src/DSP_mul32//c66//DSP_mul32_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mul32_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_mul32_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MUL32_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MUL32_66_LE_ELF_SRCDSP_MUL32C66/DSP_mul32_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_mul32//c66//DSP_mul32_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_MUL32_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MUL32_66_LE_ELF_SRCDSP_MUL32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mul32" \
 -ccs.definePathVariable EXT_ROOT__DSP_MUL32_66_LE_ELF_SRCDSP_MUL32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mul32/c66" \

	echo EXT_ROOT__DSP_MUL32_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_mul32//c66//DSP_mul32_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_MUL32_66_LE_ELF_SRCDSP_MUL32=../../ >> src/DSP_mul32//c66//DSP_mul32_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_MUL32_66_LE_ELF_SRCDSP_MUL32C66=.././ >> src/DSP_mul32//c66//DSP_mul32_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_mul32_66_LE_ELF"
src/DSP_mul32//c66//DSP_mul32_66_LE_ELF/Release/DSP_mul32_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_mul32//c66//DSP_mul32_66_LE_ELF/Release/DSP_mul32_66_LE_ELF.out: src/DSP_mul32/DSP_mul32.h
src/DSP_mul32//c66//DSP_mul32_66_LE_ELF/Release/DSP_mul32_66_LE_ELF.out: src/DSP_mul32//c66/DSP_mul32.h
src/DSP_mul32//c66//DSP_mul32_66_LE_ELF/Release/DSP_mul32_66_LE_ELF.out: src/DSP_mul32//c66/DSP_mul32_cn.h
src/DSP_mul32//c66//DSP_mul32_66_LE_ELF/Release/DSP_mul32_66_LE_ELF.out: src/DSP_mul32//c66/DSP_mul32_d.c
src/DSP_mul32//c66//DSP_mul32_66_LE_ELF/Release/DSP_mul32_66_LE_ELF.out: src/DSP_mul32//c66//DSP_mul32_66_LE_ELF/.project
	-@ echo Importing Project DSP_mul32_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mul32_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_mul32_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mul32/c66/DSP_mul32_66_LE_ELF"
	-@ echo Building Project DSP_mul32_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mul32_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_mul32_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_mul32_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_mul32_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_mul32//c66//DSP_mul32_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_mul32_66_BE_ELF

#############################################################

.executables: src/DSP_mul32//c66//DSP_mul32_66_BE_ELF/Release/DSP_mul32_66_BE_ELF.out

.projects: src/DSP_mul32//c66//DSP_mul32_66_BE_ELF

src/DSP_mul32//c66//DSP_mul32_66_BE_ELF: src/DSP_mul32//c66//DSP_mul32_66_BE_ELF/.project

src/DSP_mul32//c66//DSP_mul32_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mul32_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_mul32_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_MUL32_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_MUL32_66_BE_ELF_SRCDSP_MUL32C66/DSP_mul32_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_mul32//c66//DSP_mul32_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_MUL32_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_MUL32_66_BE_ELF_SRCDSP_MUL32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mul32" \
 -ccs.definePathVariable EXT_ROOT__DSP_MUL32_66_BE_ELF_SRCDSP_MUL32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mul32/c66" \

	echo EXT_ROOT__DSP_MUL32_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_mul32//c66//DSP_mul32_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_MUL32_66_BE_ELF_SRCDSP_MUL32=../../ >> src/DSP_mul32//c66//DSP_mul32_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_MUL32_66_BE_ELF_SRCDSP_MUL32C66=.././ >> src/DSP_mul32//c66//DSP_mul32_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_mul32_66_BE_ELF"
src/DSP_mul32//c66//DSP_mul32_66_BE_ELF/Release/DSP_mul32_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_mul32//c66//DSP_mul32_66_BE_ELF/Release/DSP_mul32_66_BE_ELF.out: src/DSP_mul32/DSP_mul32.h
src/DSP_mul32//c66//DSP_mul32_66_BE_ELF/Release/DSP_mul32_66_BE_ELF.out: src/DSP_mul32//c66/DSP_mul32.h
src/DSP_mul32//c66//DSP_mul32_66_BE_ELF/Release/DSP_mul32_66_BE_ELF.out: src/DSP_mul32//c66/DSP_mul32_cn.h
src/DSP_mul32//c66//DSP_mul32_66_BE_ELF/Release/DSP_mul32_66_BE_ELF.out: src/DSP_mul32//c66/DSP_mul32_d.c
src/DSP_mul32//c66//DSP_mul32_66_BE_ELF/Release/DSP_mul32_66_BE_ELF.out: src/DSP_mul32//c66//DSP_mul32_66_BE_ELF/.project
	-@ echo Importing Project DSP_mul32_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mul32_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_mul32_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_mul32/c66/DSP_mul32_66_BE_ELF"
	-@ echo Building Project DSP_mul32_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_mul32_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_mul32_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_mul32_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_mul32_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_mul32//c66//DSP_mul32_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_neg32_66_LE_COFF

#############################################################

.executables: src/DSP_neg32//c66//DSP_neg32_66_LE_COFF/Release/DSP_neg32_66_LE_COFF.out

.projects: src/DSP_neg32//c66//DSP_neg32_66_LE_COFF

src/DSP_neg32//c66//DSP_neg32_66_LE_COFF: src/DSP_neg32//c66//DSP_neg32_66_LE_COFF/.project

src/DSP_neg32//c66//DSP_neg32_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_neg32_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_neg32_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_NEG32_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_NEG32_66_LE_COFF_SRCDSP_NEG32C66/DSP_neg32_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_neg32//c66//DSP_neg32_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_NEG32_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_NEG32_66_LE_COFF_SRCDSP_NEG32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_neg32" \
 -ccs.definePathVariable EXT_ROOT__DSP_NEG32_66_LE_COFF_SRCDSP_NEG32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_neg32/c66" \

	echo EXT_ROOT__DSP_NEG32_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_neg32//c66//DSP_neg32_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_NEG32_66_LE_COFF_SRCDSP_NEG32=../../ >> src/DSP_neg32//c66//DSP_neg32_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_NEG32_66_LE_COFF_SRCDSP_NEG32C66=.././ >> src/DSP_neg32//c66//DSP_neg32_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_neg32_66_LE_COFF"
src/DSP_neg32//c66//DSP_neg32_66_LE_COFF/Release/DSP_neg32_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_neg32//c66//DSP_neg32_66_LE_COFF/Release/DSP_neg32_66_LE_COFF.out: src/DSP_neg32/DSP_neg32.h
src/DSP_neg32//c66//DSP_neg32_66_LE_COFF/Release/DSP_neg32_66_LE_COFF.out: src/DSP_neg32//c66/DSP_neg32.h
src/DSP_neg32//c66//DSP_neg32_66_LE_COFF/Release/DSP_neg32_66_LE_COFF.out: src/DSP_neg32//c66/DSP_neg32_cn.h
src/DSP_neg32//c66//DSP_neg32_66_LE_COFF/Release/DSP_neg32_66_LE_COFF.out: src/DSP_neg32//c66/DSP_neg32_d.c
src/DSP_neg32//c66//DSP_neg32_66_LE_COFF/Release/DSP_neg32_66_LE_COFF.out: src/DSP_neg32//c66//DSP_neg32_66_LE_COFF/.project
	-@ echo Importing Project DSP_neg32_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_neg32_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_neg32_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_neg32/c66/DSP_neg32_66_LE_COFF"
	-@ echo Building Project DSP_neg32_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_neg32_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_neg32_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_neg32_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_neg32_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_neg32//c66//DSP_neg32_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_neg32_66_BE_COFF

#############################################################

.executables: src/DSP_neg32//c66//DSP_neg32_66_BE_COFF/Release/DSP_neg32_66_BE_COFF.out

.projects: src/DSP_neg32//c66//DSP_neg32_66_BE_COFF

src/DSP_neg32//c66//DSP_neg32_66_BE_COFF: src/DSP_neg32//c66//DSP_neg32_66_BE_COFF/.project

src/DSP_neg32//c66//DSP_neg32_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_neg32_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_neg32_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_NEG32_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_NEG32_66_BE_COFF_SRCDSP_NEG32C66/DSP_neg32_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_neg32//c66//DSP_neg32_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_NEG32_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_NEG32_66_BE_COFF_SRCDSP_NEG32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_neg32" \
 -ccs.definePathVariable EXT_ROOT__DSP_NEG32_66_BE_COFF_SRCDSP_NEG32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_neg32/c66" \

	echo EXT_ROOT__DSP_NEG32_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_neg32//c66//DSP_neg32_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_NEG32_66_BE_COFF_SRCDSP_NEG32=../../ >> src/DSP_neg32//c66//DSP_neg32_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_NEG32_66_BE_COFF_SRCDSP_NEG32C66=.././ >> src/DSP_neg32//c66//DSP_neg32_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_neg32_66_BE_COFF"
src/DSP_neg32//c66//DSP_neg32_66_BE_COFF/Release/DSP_neg32_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_neg32//c66//DSP_neg32_66_BE_COFF/Release/DSP_neg32_66_BE_COFF.out: src/DSP_neg32/DSP_neg32.h
src/DSP_neg32//c66//DSP_neg32_66_BE_COFF/Release/DSP_neg32_66_BE_COFF.out: src/DSP_neg32//c66/DSP_neg32.h
src/DSP_neg32//c66//DSP_neg32_66_BE_COFF/Release/DSP_neg32_66_BE_COFF.out: src/DSP_neg32//c66/DSP_neg32_cn.h
src/DSP_neg32//c66//DSP_neg32_66_BE_COFF/Release/DSP_neg32_66_BE_COFF.out: src/DSP_neg32//c66/DSP_neg32_d.c
src/DSP_neg32//c66//DSP_neg32_66_BE_COFF/Release/DSP_neg32_66_BE_COFF.out: src/DSP_neg32//c66//DSP_neg32_66_BE_COFF/.project
	-@ echo Importing Project DSP_neg32_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_neg32_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_neg32_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_neg32/c66/DSP_neg32_66_BE_COFF"
	-@ echo Building Project DSP_neg32_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_neg32_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_neg32_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_neg32_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_neg32_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_neg32//c66//DSP_neg32_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_neg32_66_LE_ELF

#############################################################

.executables: src/DSP_neg32//c66//DSP_neg32_66_LE_ELF/Release/DSP_neg32_66_LE_ELF.out

.projects: src/DSP_neg32//c66//DSP_neg32_66_LE_ELF

src/DSP_neg32//c66//DSP_neg32_66_LE_ELF: src/DSP_neg32//c66//DSP_neg32_66_LE_ELF/.project

src/DSP_neg32//c66//DSP_neg32_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_neg32_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_neg32_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_NEG32_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_NEG32_66_LE_ELF_SRCDSP_NEG32C66/DSP_neg32_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_neg32//c66//DSP_neg32_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_NEG32_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_NEG32_66_LE_ELF_SRCDSP_NEG32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_neg32" \
 -ccs.definePathVariable EXT_ROOT__DSP_NEG32_66_LE_ELF_SRCDSP_NEG32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_neg32/c66" \

	echo EXT_ROOT__DSP_NEG32_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_neg32//c66//DSP_neg32_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_NEG32_66_LE_ELF_SRCDSP_NEG32=../../ >> src/DSP_neg32//c66//DSP_neg32_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_NEG32_66_LE_ELF_SRCDSP_NEG32C66=.././ >> src/DSP_neg32//c66//DSP_neg32_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_neg32_66_LE_ELF"
src/DSP_neg32//c66//DSP_neg32_66_LE_ELF/Release/DSP_neg32_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_neg32//c66//DSP_neg32_66_LE_ELF/Release/DSP_neg32_66_LE_ELF.out: src/DSP_neg32/DSP_neg32.h
src/DSP_neg32//c66//DSP_neg32_66_LE_ELF/Release/DSP_neg32_66_LE_ELF.out: src/DSP_neg32//c66/DSP_neg32.h
src/DSP_neg32//c66//DSP_neg32_66_LE_ELF/Release/DSP_neg32_66_LE_ELF.out: src/DSP_neg32//c66/DSP_neg32_cn.h
src/DSP_neg32//c66//DSP_neg32_66_LE_ELF/Release/DSP_neg32_66_LE_ELF.out: src/DSP_neg32//c66/DSP_neg32_d.c
src/DSP_neg32//c66//DSP_neg32_66_LE_ELF/Release/DSP_neg32_66_LE_ELF.out: src/DSP_neg32//c66//DSP_neg32_66_LE_ELF/.project
	-@ echo Importing Project DSP_neg32_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_neg32_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_neg32_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_neg32/c66/DSP_neg32_66_LE_ELF"
	-@ echo Building Project DSP_neg32_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_neg32_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_neg32_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_neg32_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_neg32_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_neg32//c66//DSP_neg32_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_neg32_66_BE_ELF

#############################################################

.executables: src/DSP_neg32//c66//DSP_neg32_66_BE_ELF/Release/DSP_neg32_66_BE_ELF.out

.projects: src/DSP_neg32//c66//DSP_neg32_66_BE_ELF

src/DSP_neg32//c66//DSP_neg32_66_BE_ELF: src/DSP_neg32//c66//DSP_neg32_66_BE_ELF/.project

src/DSP_neg32//c66//DSP_neg32_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_neg32_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_neg32_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_NEG32_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_NEG32_66_BE_ELF_SRCDSP_NEG32C66/DSP_neg32_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_neg32//c66//DSP_neg32_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_NEG32_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_NEG32_66_BE_ELF_SRCDSP_NEG32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_neg32" \
 -ccs.definePathVariable EXT_ROOT__DSP_NEG32_66_BE_ELF_SRCDSP_NEG32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_neg32/c66" \

	echo EXT_ROOT__DSP_NEG32_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_neg32//c66//DSP_neg32_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_NEG32_66_BE_ELF_SRCDSP_NEG32=../../ >> src/DSP_neg32//c66//DSP_neg32_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_NEG32_66_BE_ELF_SRCDSP_NEG32C66=.././ >> src/DSP_neg32//c66//DSP_neg32_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_neg32_66_BE_ELF"
src/DSP_neg32//c66//DSP_neg32_66_BE_ELF/Release/DSP_neg32_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_neg32//c66//DSP_neg32_66_BE_ELF/Release/DSP_neg32_66_BE_ELF.out: src/DSP_neg32/DSP_neg32.h
src/DSP_neg32//c66//DSP_neg32_66_BE_ELF/Release/DSP_neg32_66_BE_ELF.out: src/DSP_neg32//c66/DSP_neg32.h
src/DSP_neg32//c66//DSP_neg32_66_BE_ELF/Release/DSP_neg32_66_BE_ELF.out: src/DSP_neg32//c66/DSP_neg32_cn.h
src/DSP_neg32//c66//DSP_neg32_66_BE_ELF/Release/DSP_neg32_66_BE_ELF.out: src/DSP_neg32//c66/DSP_neg32_d.c
src/DSP_neg32//c66//DSP_neg32_66_BE_ELF/Release/DSP_neg32_66_BE_ELF.out: src/DSP_neg32//c66//DSP_neg32_66_BE_ELF/.project
	-@ echo Importing Project DSP_neg32_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_neg32_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_neg32_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_neg32/c66/DSP_neg32_66_BE_ELF"
	-@ echo Building Project DSP_neg32_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_neg32_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_neg32_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_neg32_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_neg32_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_neg32//c66//DSP_neg32_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_q15tofl_66_LE_COFF

#############################################################

.executables: src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_COFF/Release/DSP_q15tofl_66_LE_COFF.out

.projects: src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_COFF

src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_COFF: src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_COFF/.project

src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_q15tofl_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_q15tofl_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_Q15TOFL_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_Q15TOFL_66_LE_COFF_SRCDSP_Q15TOFLC66/DSP_q15tofl_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_Q15TOFL_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_Q15TOFL_66_LE_COFF_SRCDSP_Q15TOFL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_q15tofl" \
 -ccs.definePathVariable EXT_ROOT__DSP_Q15TOFL_66_LE_COFF_SRCDSP_Q15TOFLC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_q15tofl/c66" \

	echo EXT_ROOT__DSP_Q15TOFL_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_Q15TOFL_66_LE_COFF_SRCDSP_Q15TOFL=../../ >> src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_Q15TOFL_66_LE_COFF_SRCDSP_Q15TOFLC66=.././ >> src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_q15tofl_66_LE_COFF"
src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_COFF/Release/DSP_q15tofl_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_COFF/Release/DSP_q15tofl_66_LE_COFF.out: src/DSP_q15tofl/DSP_q15tofl.h
src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_COFF/Release/DSP_q15tofl_66_LE_COFF.out: src/DSP_q15tofl//c66/DSP_q15tofl.h
src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_COFF/Release/DSP_q15tofl_66_LE_COFF.out: src/DSP_q15tofl//c66/DSP_q15tofl_cn.h
src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_COFF/Release/DSP_q15tofl_66_LE_COFF.out: src/DSP_q15tofl//c66/DSP_q15tofl_d.c
src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_COFF/Release/DSP_q15tofl_66_LE_COFF.out: src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_COFF/.project
	-@ echo Importing Project DSP_q15tofl_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_q15tofl_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_q15tofl_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_q15tofl/c66/DSP_q15tofl_66_LE_COFF"
	-@ echo Building Project DSP_q15tofl_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_q15tofl_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_q15tofl_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_q15tofl_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_q15tofl_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_q15tofl_66_BE_COFF

#############################################################

.executables: src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_COFF/Release/DSP_q15tofl_66_BE_COFF.out

.projects: src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_COFF

src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_COFF: src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_COFF/.project

src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_q15tofl_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_q15tofl_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_Q15TOFL_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_Q15TOFL_66_BE_COFF_SRCDSP_Q15TOFLC66/DSP_q15tofl_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_Q15TOFL_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_Q15TOFL_66_BE_COFF_SRCDSP_Q15TOFL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_q15tofl" \
 -ccs.definePathVariable EXT_ROOT__DSP_Q15TOFL_66_BE_COFF_SRCDSP_Q15TOFLC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_q15tofl/c66" \

	echo EXT_ROOT__DSP_Q15TOFL_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_Q15TOFL_66_BE_COFF_SRCDSP_Q15TOFL=../../ >> src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_Q15TOFL_66_BE_COFF_SRCDSP_Q15TOFLC66=.././ >> src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_q15tofl_66_BE_COFF"
src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_COFF/Release/DSP_q15tofl_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_COFF/Release/DSP_q15tofl_66_BE_COFF.out: src/DSP_q15tofl/DSP_q15tofl.h
src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_COFF/Release/DSP_q15tofl_66_BE_COFF.out: src/DSP_q15tofl//c66/DSP_q15tofl.h
src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_COFF/Release/DSP_q15tofl_66_BE_COFF.out: src/DSP_q15tofl//c66/DSP_q15tofl_cn.h
src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_COFF/Release/DSP_q15tofl_66_BE_COFF.out: src/DSP_q15tofl//c66/DSP_q15tofl_d.c
src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_COFF/Release/DSP_q15tofl_66_BE_COFF.out: src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_COFF/.project
	-@ echo Importing Project DSP_q15tofl_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_q15tofl_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_q15tofl_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_q15tofl/c66/DSP_q15tofl_66_BE_COFF"
	-@ echo Building Project DSP_q15tofl_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_q15tofl_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_q15tofl_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_q15tofl_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_q15tofl_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_q15tofl_66_LE_ELF

#############################################################

.executables: src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_ELF/Release/DSP_q15tofl_66_LE_ELF.out

.projects: src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_ELF

src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_ELF: src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_ELF/.project

src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_q15tofl_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_q15tofl_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_Q15TOFL_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_Q15TOFL_66_LE_ELF_SRCDSP_Q15TOFLC66/DSP_q15tofl_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_Q15TOFL_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_Q15TOFL_66_LE_ELF_SRCDSP_Q15TOFL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_q15tofl" \
 -ccs.definePathVariable EXT_ROOT__DSP_Q15TOFL_66_LE_ELF_SRCDSP_Q15TOFLC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_q15tofl/c66" \

	echo EXT_ROOT__DSP_Q15TOFL_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_Q15TOFL_66_LE_ELF_SRCDSP_Q15TOFL=../../ >> src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_Q15TOFL_66_LE_ELF_SRCDSP_Q15TOFLC66=.././ >> src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_q15tofl_66_LE_ELF"
src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_ELF/Release/DSP_q15tofl_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_ELF/Release/DSP_q15tofl_66_LE_ELF.out: src/DSP_q15tofl/DSP_q15tofl.h
src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_ELF/Release/DSP_q15tofl_66_LE_ELF.out: src/DSP_q15tofl//c66/DSP_q15tofl.h
src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_ELF/Release/DSP_q15tofl_66_LE_ELF.out: src/DSP_q15tofl//c66/DSP_q15tofl_cn.h
src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_ELF/Release/DSP_q15tofl_66_LE_ELF.out: src/DSP_q15tofl//c66/DSP_q15tofl_d.c
src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_ELF/Release/DSP_q15tofl_66_LE_ELF.out: src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_ELF/.project
	-@ echo Importing Project DSP_q15tofl_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_q15tofl_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_q15tofl_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_q15tofl/c66/DSP_q15tofl_66_LE_ELF"
	-@ echo Building Project DSP_q15tofl_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_q15tofl_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_q15tofl_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_q15tofl_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_q15tofl_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_q15tofl//c66//DSP_q15tofl_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_q15tofl_66_BE_ELF

#############################################################

.executables: src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_ELF/Release/DSP_q15tofl_66_BE_ELF.out

.projects: src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_ELF

src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_ELF: src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_ELF/.project

src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_q15tofl_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_q15tofl_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_Q15TOFL_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_Q15TOFL_66_BE_ELF_SRCDSP_Q15TOFLC66/DSP_q15tofl_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_Q15TOFL_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_Q15TOFL_66_BE_ELF_SRCDSP_Q15TOFL "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_q15tofl" \
 -ccs.definePathVariable EXT_ROOT__DSP_Q15TOFL_66_BE_ELF_SRCDSP_Q15TOFLC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_q15tofl/c66" \

	echo EXT_ROOT__DSP_Q15TOFL_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_Q15TOFL_66_BE_ELF_SRCDSP_Q15TOFL=../../ >> src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_Q15TOFL_66_BE_ELF_SRCDSP_Q15TOFLC66=.././ >> src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_q15tofl_66_BE_ELF"
src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_ELF/Release/DSP_q15tofl_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_ELF/Release/DSP_q15tofl_66_BE_ELF.out: src/DSP_q15tofl/DSP_q15tofl.h
src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_ELF/Release/DSP_q15tofl_66_BE_ELF.out: src/DSP_q15tofl//c66/DSP_q15tofl.h
src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_ELF/Release/DSP_q15tofl_66_BE_ELF.out: src/DSP_q15tofl//c66/DSP_q15tofl_cn.h
src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_ELF/Release/DSP_q15tofl_66_BE_ELF.out: src/DSP_q15tofl//c66/DSP_q15tofl_d.c
src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_ELF/Release/DSP_q15tofl_66_BE_ELF.out: src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_ELF/.project
	-@ echo Importing Project DSP_q15tofl_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_q15tofl_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_q15tofl_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_q15tofl/c66/DSP_q15tofl_66_BE_ELF"
	-@ echo Building Project DSP_q15tofl_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_q15tofl_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_q15tofl_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_q15tofl_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_q15tofl_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_q15tofl//c66//DSP_q15tofl_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_recip16_66_LE_COFF

#############################################################

.executables: src/DSP_recip16//c66//DSP_recip16_66_LE_COFF/Release/DSP_recip16_66_LE_COFF.out

.projects: src/DSP_recip16//c66//DSP_recip16_66_LE_COFF

src/DSP_recip16//c66//DSP_recip16_66_LE_COFF: src/DSP_recip16//c66//DSP_recip16_66_LE_COFF/.project

src/DSP_recip16//c66//DSP_recip16_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_recip16_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_recip16_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_RECIP16_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_RECIP16_66_LE_COFF_SRCDSP_RECIP16C66/DSP_recip16_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_recip16//c66//DSP_recip16_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_RECIP16_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_RECIP16_66_LE_COFF_SRCDSP_RECIP16 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_recip16" \
 -ccs.definePathVariable EXT_ROOT__DSP_RECIP16_66_LE_COFF_SRCDSP_RECIP16C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_recip16/c66" \

	echo EXT_ROOT__DSP_RECIP16_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_recip16//c66//DSP_recip16_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_RECIP16_66_LE_COFF_SRCDSP_RECIP16=../../ >> src/DSP_recip16//c66//DSP_recip16_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_RECIP16_66_LE_COFF_SRCDSP_RECIP16C66=.././ >> src/DSP_recip16//c66//DSP_recip16_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_recip16_66_LE_COFF"
src/DSP_recip16//c66//DSP_recip16_66_LE_COFF/Release/DSP_recip16_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_recip16//c66//DSP_recip16_66_LE_COFF/Release/DSP_recip16_66_LE_COFF.out: src/DSP_recip16/DSP_recip16.h
src/DSP_recip16//c66//DSP_recip16_66_LE_COFF/Release/DSP_recip16_66_LE_COFF.out: src/DSP_recip16//c66/DSP_recip16.h
src/DSP_recip16//c66//DSP_recip16_66_LE_COFF/Release/DSP_recip16_66_LE_COFF.out: src/DSP_recip16//c66/DSP_recip16_cn.h
src/DSP_recip16//c66//DSP_recip16_66_LE_COFF/Release/DSP_recip16_66_LE_COFF.out: src/DSP_recip16//c66/DSP_recip16_d.c
src/DSP_recip16//c66//DSP_recip16_66_LE_COFF/Release/DSP_recip16_66_LE_COFF.out: src/DSP_recip16//c66//DSP_recip16_66_LE_COFF/.project
	-@ echo Importing Project DSP_recip16_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_recip16_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_recip16_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_recip16/c66/DSP_recip16_66_LE_COFF"
	-@ echo Building Project DSP_recip16_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_recip16_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_recip16_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_recip16_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_recip16_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_recip16//c66//DSP_recip16_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_recip16_66_BE_COFF

#############################################################

.executables: src/DSP_recip16//c66//DSP_recip16_66_BE_COFF/Release/DSP_recip16_66_BE_COFF.out

.projects: src/DSP_recip16//c66//DSP_recip16_66_BE_COFF

src/DSP_recip16//c66//DSP_recip16_66_BE_COFF: src/DSP_recip16//c66//DSP_recip16_66_BE_COFF/.project

src/DSP_recip16//c66//DSP_recip16_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_recip16_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_recip16_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_RECIP16_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_RECIP16_66_BE_COFF_SRCDSP_RECIP16C66/DSP_recip16_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_recip16//c66//DSP_recip16_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_RECIP16_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_RECIP16_66_BE_COFF_SRCDSP_RECIP16 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_recip16" \
 -ccs.definePathVariable EXT_ROOT__DSP_RECIP16_66_BE_COFF_SRCDSP_RECIP16C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_recip16/c66" \

	echo EXT_ROOT__DSP_RECIP16_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_recip16//c66//DSP_recip16_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_RECIP16_66_BE_COFF_SRCDSP_RECIP16=../../ >> src/DSP_recip16//c66//DSP_recip16_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_RECIP16_66_BE_COFF_SRCDSP_RECIP16C66=.././ >> src/DSP_recip16//c66//DSP_recip16_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_recip16_66_BE_COFF"
src/DSP_recip16//c66//DSP_recip16_66_BE_COFF/Release/DSP_recip16_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_recip16//c66//DSP_recip16_66_BE_COFF/Release/DSP_recip16_66_BE_COFF.out: src/DSP_recip16/DSP_recip16.h
src/DSP_recip16//c66//DSP_recip16_66_BE_COFF/Release/DSP_recip16_66_BE_COFF.out: src/DSP_recip16//c66/DSP_recip16.h
src/DSP_recip16//c66//DSP_recip16_66_BE_COFF/Release/DSP_recip16_66_BE_COFF.out: src/DSP_recip16//c66/DSP_recip16_cn.h
src/DSP_recip16//c66//DSP_recip16_66_BE_COFF/Release/DSP_recip16_66_BE_COFF.out: src/DSP_recip16//c66/DSP_recip16_d.c
src/DSP_recip16//c66//DSP_recip16_66_BE_COFF/Release/DSP_recip16_66_BE_COFF.out: src/DSP_recip16//c66//DSP_recip16_66_BE_COFF/.project
	-@ echo Importing Project DSP_recip16_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_recip16_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_recip16_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_recip16/c66/DSP_recip16_66_BE_COFF"
	-@ echo Building Project DSP_recip16_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_recip16_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_recip16_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_recip16_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_recip16_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_recip16//c66//DSP_recip16_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_recip16_66_LE_ELF

#############################################################

.executables: src/DSP_recip16//c66//DSP_recip16_66_LE_ELF/Release/DSP_recip16_66_LE_ELF.out

.projects: src/DSP_recip16//c66//DSP_recip16_66_LE_ELF

src/DSP_recip16//c66//DSP_recip16_66_LE_ELF: src/DSP_recip16//c66//DSP_recip16_66_LE_ELF/.project

src/DSP_recip16//c66//DSP_recip16_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_recip16_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_recip16_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_RECIP16_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_RECIP16_66_LE_ELF_SRCDSP_RECIP16C66/DSP_recip16_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_recip16//c66//DSP_recip16_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_RECIP16_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_RECIP16_66_LE_ELF_SRCDSP_RECIP16 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_recip16" \
 -ccs.definePathVariable EXT_ROOT__DSP_RECIP16_66_LE_ELF_SRCDSP_RECIP16C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_recip16/c66" \

	echo EXT_ROOT__DSP_RECIP16_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_recip16//c66//DSP_recip16_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_RECIP16_66_LE_ELF_SRCDSP_RECIP16=../../ >> src/DSP_recip16//c66//DSP_recip16_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_RECIP16_66_LE_ELF_SRCDSP_RECIP16C66=.././ >> src/DSP_recip16//c66//DSP_recip16_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_recip16_66_LE_ELF"
src/DSP_recip16//c66//DSP_recip16_66_LE_ELF/Release/DSP_recip16_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_recip16//c66//DSP_recip16_66_LE_ELF/Release/DSP_recip16_66_LE_ELF.out: src/DSP_recip16/DSP_recip16.h
src/DSP_recip16//c66//DSP_recip16_66_LE_ELF/Release/DSP_recip16_66_LE_ELF.out: src/DSP_recip16//c66/DSP_recip16.h
src/DSP_recip16//c66//DSP_recip16_66_LE_ELF/Release/DSP_recip16_66_LE_ELF.out: src/DSP_recip16//c66/DSP_recip16_cn.h
src/DSP_recip16//c66//DSP_recip16_66_LE_ELF/Release/DSP_recip16_66_LE_ELF.out: src/DSP_recip16//c66/DSP_recip16_d.c
src/DSP_recip16//c66//DSP_recip16_66_LE_ELF/Release/DSP_recip16_66_LE_ELF.out: src/DSP_recip16//c66//DSP_recip16_66_LE_ELF/.project
	-@ echo Importing Project DSP_recip16_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_recip16_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_recip16_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_recip16/c66/DSP_recip16_66_LE_ELF"
	-@ echo Building Project DSP_recip16_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_recip16_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_recip16_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_recip16_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_recip16_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_recip16//c66//DSP_recip16_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_recip16_66_BE_ELF

#############################################################

.executables: src/DSP_recip16//c66//DSP_recip16_66_BE_ELF/Release/DSP_recip16_66_BE_ELF.out

.projects: src/DSP_recip16//c66//DSP_recip16_66_BE_ELF

src/DSP_recip16//c66//DSP_recip16_66_BE_ELF: src/DSP_recip16//c66//DSP_recip16_66_BE_ELF/.project

src/DSP_recip16//c66//DSP_recip16_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_recip16_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_recip16_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_RECIP16_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_RECIP16_66_BE_ELF_SRCDSP_RECIP16C66/DSP_recip16_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_recip16//c66//DSP_recip16_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_RECIP16_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_RECIP16_66_BE_ELF_SRCDSP_RECIP16 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_recip16" \
 -ccs.definePathVariable EXT_ROOT__DSP_RECIP16_66_BE_ELF_SRCDSP_RECIP16C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_recip16/c66" \

	echo EXT_ROOT__DSP_RECIP16_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_recip16//c66//DSP_recip16_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_RECIP16_66_BE_ELF_SRCDSP_RECIP16=../../ >> src/DSP_recip16//c66//DSP_recip16_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_RECIP16_66_BE_ELF_SRCDSP_RECIP16C66=.././ >> src/DSP_recip16//c66//DSP_recip16_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_recip16_66_BE_ELF"
src/DSP_recip16//c66//DSP_recip16_66_BE_ELF/Release/DSP_recip16_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_recip16//c66//DSP_recip16_66_BE_ELF/Release/DSP_recip16_66_BE_ELF.out: src/DSP_recip16/DSP_recip16.h
src/DSP_recip16//c66//DSP_recip16_66_BE_ELF/Release/DSP_recip16_66_BE_ELF.out: src/DSP_recip16//c66/DSP_recip16.h
src/DSP_recip16//c66//DSP_recip16_66_BE_ELF/Release/DSP_recip16_66_BE_ELF.out: src/DSP_recip16//c66/DSP_recip16_cn.h
src/DSP_recip16//c66//DSP_recip16_66_BE_ELF/Release/DSP_recip16_66_BE_ELF.out: src/DSP_recip16//c66/DSP_recip16_d.c
src/DSP_recip16//c66//DSP_recip16_66_BE_ELF/Release/DSP_recip16_66_BE_ELF.out: src/DSP_recip16//c66//DSP_recip16_66_BE_ELF/.project
	-@ echo Importing Project DSP_recip16_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_recip16_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_recip16_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_recip16/c66/DSP_recip16_66_BE_ELF"
	-@ echo Building Project DSP_recip16_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_recip16_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_recip16_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_recip16_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_recip16_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_recip16//c66//DSP_recip16_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_urand16_66_LE_COFF

#############################################################

.executables: src/DSP_urand16//c66//DSP_urand16_66_LE_COFF/Release/DSP_urand16_66_LE_COFF.out

.projects: src/DSP_urand16//c66//DSP_urand16_66_LE_COFF

src/DSP_urand16//c66//DSP_urand16_66_LE_COFF: src/DSP_urand16//c66//DSP_urand16_66_LE_COFF/.project

src/DSP_urand16//c66//DSP_urand16_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_urand16_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_urand16_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_URAND16_66_LE_COFF_SRCDSP_URAND16C66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_URAND16_66_LE_COFF_SRCDSP_URAND16C66/DSP_urand16_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../ -i../../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../ -i../../../" @configurations Release -ccs.location src/DSP_urand16//c66//DSP_urand16_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_URAND16_66_LE_COFF_SRCDSP_URAND16C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_urand16/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_URAND16_66_LE_COFF_SRCDSP_URAND16 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_urand16" \

	echo EXT_ROOT__DSP_URAND16_66_LE_COFF_SRCDSP_URAND16C66=.././ >> src/DSP_urand16//c66//DSP_urand16_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_URAND16_66_LE_COFF_SRCDSP_URAND16=../../ >> src/DSP_urand16//c66//DSP_urand16_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_urand16_66_LE_COFF"
src/DSP_urand16//c66//DSP_urand16_66_LE_COFF/Release/DSP_urand16_66_LE_COFF.out: src/DSP_urand16//c66/lnk.cmd
src/DSP_urand16//c66//DSP_urand16_66_LE_COFF/Release/DSP_urand16_66_LE_COFF.out: src/DSP_urand16/DSP_urand16.h
src/DSP_urand16//c66//DSP_urand16_66_LE_COFF/Release/DSP_urand16_66_LE_COFF.out: src/DSP_urand16//c66/DSP_urand16.h
src/DSP_urand16//c66//DSP_urand16_66_LE_COFF/Release/DSP_urand16_66_LE_COFF.out: src/DSP_urand16//c66/DSP_urand16_cn.h
src/DSP_urand16//c66//DSP_urand16_66_LE_COFF/Release/DSP_urand16_66_LE_COFF.out: src/DSP_urand16//c66/DSP_urand16_d.c
src/DSP_urand16//c66//DSP_urand16_66_LE_COFF/Release/DSP_urand16_66_LE_COFF.out: src/DSP_urand16//c66//DSP_urand16_66_LE_COFF/.project
	-@ echo Importing Project DSP_urand16_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_urand16_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_urand16_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_urand16/c66/DSP_urand16_66_LE_COFF"
	-@ echo Building Project DSP_urand16_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_urand16_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_urand16_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_urand16_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_urand16_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_urand16//c66//DSP_urand16_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_urand16_66_BE_COFF

#############################################################

.executables: src/DSP_urand16//c66//DSP_urand16_66_BE_COFF/Release/DSP_urand16_66_BE_COFF.out

.projects: src/DSP_urand16//c66//DSP_urand16_66_BE_COFF

src/DSP_urand16//c66//DSP_urand16_66_BE_COFF: src/DSP_urand16//c66//DSP_urand16_66_BE_COFF/.project

src/DSP_urand16//c66//DSP_urand16_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_urand16_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_urand16_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_URAND16_66_BE_COFF_SRCDSP_URAND16C66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_URAND16_66_BE_COFF_SRCDSP_URAND16C66/DSP_urand16_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../ -i../../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../ -i../../../" @configurations Release -ccs.location src/DSP_urand16//c66//DSP_urand16_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_URAND16_66_BE_COFF_SRCDSP_URAND16C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_urand16/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_URAND16_66_BE_COFF_SRCDSP_URAND16 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_urand16" \

	echo EXT_ROOT__DSP_URAND16_66_BE_COFF_SRCDSP_URAND16C66=.././ >> src/DSP_urand16//c66//DSP_urand16_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_URAND16_66_BE_COFF_SRCDSP_URAND16=../../ >> src/DSP_urand16//c66//DSP_urand16_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_urand16_66_BE_COFF"
src/DSP_urand16//c66//DSP_urand16_66_BE_COFF/Release/DSP_urand16_66_BE_COFF.out: src/DSP_urand16//c66/lnk.cmd
src/DSP_urand16//c66//DSP_urand16_66_BE_COFF/Release/DSP_urand16_66_BE_COFF.out: src/DSP_urand16/DSP_urand16.h
src/DSP_urand16//c66//DSP_urand16_66_BE_COFF/Release/DSP_urand16_66_BE_COFF.out: src/DSP_urand16//c66/DSP_urand16.h
src/DSP_urand16//c66//DSP_urand16_66_BE_COFF/Release/DSP_urand16_66_BE_COFF.out: src/DSP_urand16//c66/DSP_urand16_cn.h
src/DSP_urand16//c66//DSP_urand16_66_BE_COFF/Release/DSP_urand16_66_BE_COFF.out: src/DSP_urand16//c66/DSP_urand16_d.c
src/DSP_urand16//c66//DSP_urand16_66_BE_COFF/Release/DSP_urand16_66_BE_COFF.out: src/DSP_urand16//c66//DSP_urand16_66_BE_COFF/.project
	-@ echo Importing Project DSP_urand16_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_urand16_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_urand16_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_urand16/c66/DSP_urand16_66_BE_COFF"
	-@ echo Building Project DSP_urand16_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_urand16_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_urand16_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_urand16_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_urand16_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_urand16//c66//DSP_urand16_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_urand16_66_LE_ELF

#############################################################

.executables: src/DSP_urand16//c66//DSP_urand16_66_LE_ELF/Release/DSP_urand16_66_LE_ELF.out

.projects: src/DSP_urand16//c66//DSP_urand16_66_LE_ELF

src/DSP_urand16//c66//DSP_urand16_66_LE_ELF: src/DSP_urand16//c66//DSP_urand16_66_LE_ELF/.project

src/DSP_urand16//c66//DSP_urand16_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_urand16_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_urand16_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_URAND16_66_LE_ELF_SRCDSP_URAND16C66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_URAND16_66_LE_ELF_SRCDSP_URAND16C66/DSP_urand16_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../ -i../../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../ -i../../../" @configurations Release -ccs.location src/DSP_urand16//c66//DSP_urand16_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_URAND16_66_LE_ELF_SRCDSP_URAND16C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_urand16/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_URAND16_66_LE_ELF_SRCDSP_URAND16 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_urand16" \

	echo EXT_ROOT__DSP_URAND16_66_LE_ELF_SRCDSP_URAND16C66=.././ >> src/DSP_urand16//c66//DSP_urand16_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_URAND16_66_LE_ELF_SRCDSP_URAND16=../../ >> src/DSP_urand16//c66//DSP_urand16_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_urand16_66_LE_ELF"
src/DSP_urand16//c66//DSP_urand16_66_LE_ELF/Release/DSP_urand16_66_LE_ELF.out: src/DSP_urand16//c66/lnk.cmd
src/DSP_urand16//c66//DSP_urand16_66_LE_ELF/Release/DSP_urand16_66_LE_ELF.out: src/DSP_urand16/DSP_urand16.h
src/DSP_urand16//c66//DSP_urand16_66_LE_ELF/Release/DSP_urand16_66_LE_ELF.out: src/DSP_urand16//c66/DSP_urand16.h
src/DSP_urand16//c66//DSP_urand16_66_LE_ELF/Release/DSP_urand16_66_LE_ELF.out: src/DSP_urand16//c66/DSP_urand16_cn.h
src/DSP_urand16//c66//DSP_urand16_66_LE_ELF/Release/DSP_urand16_66_LE_ELF.out: src/DSP_urand16//c66/DSP_urand16_d.c
src/DSP_urand16//c66//DSP_urand16_66_LE_ELF/Release/DSP_urand16_66_LE_ELF.out: src/DSP_urand16//c66//DSP_urand16_66_LE_ELF/.project
	-@ echo Importing Project DSP_urand16_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_urand16_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_urand16_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_urand16/c66/DSP_urand16_66_LE_ELF"
	-@ echo Building Project DSP_urand16_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_urand16_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_urand16_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_urand16_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_urand16_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_urand16//c66//DSP_urand16_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_urand16_66_BE_ELF

#############################################################

.executables: src/DSP_urand16//c66//DSP_urand16_66_BE_ELF/Release/DSP_urand16_66_BE_ELF.out

.projects: src/DSP_urand16//c66//DSP_urand16_66_BE_ELF

src/DSP_urand16//c66//DSP_urand16_66_BE_ELF: src/DSP_urand16//c66//DSP_urand16_66_BE_ELF/.project

src/DSP_urand16//c66//DSP_urand16_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_urand16_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_urand16_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_URAND16_66_BE_ELF_SRCDSP_URAND16C66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_URAND16_66_BE_ELF_SRCDSP_URAND16C66/DSP_urand16_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../ -i../../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../ -i../../../" @configurations Release -ccs.location src/DSP_urand16//c66//DSP_urand16_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_URAND16_66_BE_ELF_SRCDSP_URAND16C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_urand16/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_URAND16_66_BE_ELF_SRCDSP_URAND16 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_urand16" \

	echo EXT_ROOT__DSP_URAND16_66_BE_ELF_SRCDSP_URAND16C66=.././ >> src/DSP_urand16//c66//DSP_urand16_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_URAND16_66_BE_ELF_SRCDSP_URAND16=../../ >> src/DSP_urand16//c66//DSP_urand16_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_urand16_66_BE_ELF"
src/DSP_urand16//c66//DSP_urand16_66_BE_ELF/Release/DSP_urand16_66_BE_ELF.out: src/DSP_urand16//c66/lnk.cmd
src/DSP_urand16//c66//DSP_urand16_66_BE_ELF/Release/DSP_urand16_66_BE_ELF.out: src/DSP_urand16/DSP_urand16.h
src/DSP_urand16//c66//DSP_urand16_66_BE_ELF/Release/DSP_urand16_66_BE_ELF.out: src/DSP_urand16//c66/DSP_urand16.h
src/DSP_urand16//c66//DSP_urand16_66_BE_ELF/Release/DSP_urand16_66_BE_ELF.out: src/DSP_urand16//c66/DSP_urand16_cn.h
src/DSP_urand16//c66//DSP_urand16_66_BE_ELF/Release/DSP_urand16_66_BE_ELF.out: src/DSP_urand16//c66/DSP_urand16_d.c
src/DSP_urand16//c66//DSP_urand16_66_BE_ELF/Release/DSP_urand16_66_BE_ELF.out: src/DSP_urand16//c66//DSP_urand16_66_BE_ELF/.project
	-@ echo Importing Project DSP_urand16_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_urand16_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_urand16_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_urand16/c66/DSP_urand16_66_BE_ELF"
	-@ echo Building Project DSP_urand16_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_urand16_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_urand16_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_urand16_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_urand16_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_urand16//c66//DSP_urand16_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_urand32_66_LE_COFF

#############################################################

.executables: src/DSP_urand32//c66//DSP_urand32_66_LE_COFF/Release/DSP_urand32_66_LE_COFF.out

.projects: src/DSP_urand32//c66//DSP_urand32_66_LE_COFF

src/DSP_urand32//c66//DSP_urand32_66_LE_COFF: src/DSP_urand32//c66//DSP_urand32_66_LE_COFF/.project

src/DSP_urand32//c66//DSP_urand32_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_urand32_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_urand32_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_URAND32_66_LE_COFF_SRCDSP_URAND32C66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_URAND32_66_LE_COFF_SRCDSP_URAND32C66/DSP_urand32_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../ -i../../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../ -i../../../" @configurations Release -ccs.location src/DSP_urand32//c66//DSP_urand32_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_URAND32_66_LE_COFF_SRCDSP_URAND32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_urand32/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_URAND32_66_LE_COFF_SRCDSP_URAND32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_urand32" \

	echo EXT_ROOT__DSP_URAND32_66_LE_COFF_SRCDSP_URAND32C66=.././ >> src/DSP_urand32//c66//DSP_urand32_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_URAND32_66_LE_COFF_SRCDSP_URAND32=../../ >> src/DSP_urand32//c66//DSP_urand32_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_urand32_66_LE_COFF"
src/DSP_urand32//c66//DSP_urand32_66_LE_COFF/Release/DSP_urand32_66_LE_COFF.out: src/DSP_urand32//c66/lnk.cmd
src/DSP_urand32//c66//DSP_urand32_66_LE_COFF/Release/DSP_urand32_66_LE_COFF.out: src/DSP_urand32/DSP_urand32.h
src/DSP_urand32//c66//DSP_urand32_66_LE_COFF/Release/DSP_urand32_66_LE_COFF.out: src/DSP_urand32//c66/DSPF_sp_math_i.h
src/DSP_urand32//c66//DSP_urand32_66_LE_COFF/Release/DSP_urand32_66_LE_COFF.out: src/DSP_urand32//c66/DSP_urand32.h
src/DSP_urand32//c66//DSP_urand32_66_LE_COFF/Release/DSP_urand32_66_LE_COFF.out: src/DSP_urand32//c66/DSP_urand32_cn.h
src/DSP_urand32//c66//DSP_urand32_66_LE_COFF/Release/DSP_urand32_66_LE_COFF.out: src/DSP_urand32//c66/DSP_urand32_d.c
src/DSP_urand32//c66//DSP_urand32_66_LE_COFF/Release/DSP_urand32_66_LE_COFF.out: src/DSP_urand32//c66//DSP_urand32_66_LE_COFF/.project
	-@ echo Importing Project DSP_urand32_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_urand32_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_urand32_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_urand32/c66/DSP_urand32_66_LE_COFF"
	-@ echo Building Project DSP_urand32_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_urand32_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_urand32_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_urand32_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_urand32_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_urand32//c66//DSP_urand32_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_urand32_66_BE_COFF

#############################################################

.executables: src/DSP_urand32//c66//DSP_urand32_66_BE_COFF/Release/DSP_urand32_66_BE_COFF.out

.projects: src/DSP_urand32//c66//DSP_urand32_66_BE_COFF

src/DSP_urand32//c66//DSP_urand32_66_BE_COFF: src/DSP_urand32//c66//DSP_urand32_66_BE_COFF/.project

src/DSP_urand32//c66//DSP_urand32_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_urand32_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_urand32_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_URAND32_66_BE_COFF_SRCDSP_URAND32C66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_URAND32_66_BE_COFF_SRCDSP_URAND32C66/DSP_urand32_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../ -i../../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../ -i../../../" @configurations Release -ccs.location src/DSP_urand32//c66//DSP_urand32_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_URAND32_66_BE_COFF_SRCDSP_URAND32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_urand32/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_URAND32_66_BE_COFF_SRCDSP_URAND32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_urand32" \

	echo EXT_ROOT__DSP_URAND32_66_BE_COFF_SRCDSP_URAND32C66=.././ >> src/DSP_urand32//c66//DSP_urand32_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_URAND32_66_BE_COFF_SRCDSP_URAND32=../../ >> src/DSP_urand32//c66//DSP_urand32_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_urand32_66_BE_COFF"
src/DSP_urand32//c66//DSP_urand32_66_BE_COFF/Release/DSP_urand32_66_BE_COFF.out: src/DSP_urand32//c66/lnk.cmd
src/DSP_urand32//c66//DSP_urand32_66_BE_COFF/Release/DSP_urand32_66_BE_COFF.out: src/DSP_urand32/DSP_urand32.h
src/DSP_urand32//c66//DSP_urand32_66_BE_COFF/Release/DSP_urand32_66_BE_COFF.out: src/DSP_urand32//c66/DSPF_sp_math_i.h
src/DSP_urand32//c66//DSP_urand32_66_BE_COFF/Release/DSP_urand32_66_BE_COFF.out: src/DSP_urand32//c66/DSP_urand32.h
src/DSP_urand32//c66//DSP_urand32_66_BE_COFF/Release/DSP_urand32_66_BE_COFF.out: src/DSP_urand32//c66/DSP_urand32_cn.h
src/DSP_urand32//c66//DSP_urand32_66_BE_COFF/Release/DSP_urand32_66_BE_COFF.out: src/DSP_urand32//c66/DSP_urand32_d.c
src/DSP_urand32//c66//DSP_urand32_66_BE_COFF/Release/DSP_urand32_66_BE_COFF.out: src/DSP_urand32//c66//DSP_urand32_66_BE_COFF/.project
	-@ echo Importing Project DSP_urand32_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_urand32_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_urand32_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_urand32/c66/DSP_urand32_66_BE_COFF"
	-@ echo Building Project DSP_urand32_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_urand32_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_urand32_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_urand32_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_urand32_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_urand32//c66//DSP_urand32_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_urand32_66_LE_ELF

#############################################################

.executables: src/DSP_urand32//c66//DSP_urand32_66_LE_ELF/Release/DSP_urand32_66_LE_ELF.out

.projects: src/DSP_urand32//c66//DSP_urand32_66_LE_ELF

src/DSP_urand32//c66//DSP_urand32_66_LE_ELF: src/DSP_urand32//c66//DSP_urand32_66_LE_ELF/.project

src/DSP_urand32//c66//DSP_urand32_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_urand32_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_urand32_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_URAND32_66_LE_ELF_SRCDSP_URAND32C66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_URAND32_66_LE_ELF_SRCDSP_URAND32C66/DSP_urand32_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../ -i../../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../ -i../../../" @configurations Release -ccs.location src/DSP_urand32//c66//DSP_urand32_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_URAND32_66_LE_ELF_SRCDSP_URAND32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_urand32/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_URAND32_66_LE_ELF_SRCDSP_URAND32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_urand32" \

	echo EXT_ROOT__DSP_URAND32_66_LE_ELF_SRCDSP_URAND32C66=.././ >> src/DSP_urand32//c66//DSP_urand32_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_URAND32_66_LE_ELF_SRCDSP_URAND32=../../ >> src/DSP_urand32//c66//DSP_urand32_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_urand32_66_LE_ELF"
src/DSP_urand32//c66//DSP_urand32_66_LE_ELF/Release/DSP_urand32_66_LE_ELF.out: src/DSP_urand32//c66/lnk.cmd
src/DSP_urand32//c66//DSP_urand32_66_LE_ELF/Release/DSP_urand32_66_LE_ELF.out: src/DSP_urand32/DSP_urand32.h
src/DSP_urand32//c66//DSP_urand32_66_LE_ELF/Release/DSP_urand32_66_LE_ELF.out: src/DSP_urand32//c66/DSPF_sp_math_i.h
src/DSP_urand32//c66//DSP_urand32_66_LE_ELF/Release/DSP_urand32_66_LE_ELF.out: src/DSP_urand32//c66/DSP_urand32.h
src/DSP_urand32//c66//DSP_urand32_66_LE_ELF/Release/DSP_urand32_66_LE_ELF.out: src/DSP_urand32//c66/DSP_urand32_cn.h
src/DSP_urand32//c66//DSP_urand32_66_LE_ELF/Release/DSP_urand32_66_LE_ELF.out: src/DSP_urand32//c66/DSP_urand32_d.c
src/DSP_urand32//c66//DSP_urand32_66_LE_ELF/Release/DSP_urand32_66_LE_ELF.out: src/DSP_urand32//c66//DSP_urand32_66_LE_ELF/.project
	-@ echo Importing Project DSP_urand32_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_urand32_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_urand32_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_urand32/c66/DSP_urand32_66_LE_ELF"
	-@ echo Building Project DSP_urand32_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_urand32_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_urand32_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_urand32_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_urand32_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_urand32//c66//DSP_urand32_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_urand32_66_BE_ELF

#############################################################

.executables: src/DSP_urand32//c66//DSP_urand32_66_BE_ELF/Release/DSP_urand32_66_BE_ELF.out

.projects: src/DSP_urand32//c66//DSP_urand32_66_BE_ELF

src/DSP_urand32//c66//DSP_urand32_66_BE_ELF: src/DSP_urand32//c66//DSP_urand32_66_BE_ELF/.project

src/DSP_urand32//c66//DSP_urand32_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_urand32_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_urand32_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_URAND32_66_BE_ELF_SRCDSP_URAND32C66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_URAND32_66_BE_ELF_SRCDSP_URAND32C66/DSP_urand32_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../ -i../../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../ -i../../../" @configurations Release -ccs.location src/DSP_urand32//c66//DSP_urand32_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_URAND32_66_BE_ELF_SRCDSP_URAND32C66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_urand32/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_URAND32_66_BE_ELF_SRCDSP_URAND32 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_urand32" \

	echo EXT_ROOT__DSP_URAND32_66_BE_ELF_SRCDSP_URAND32C66=.././ >> src/DSP_urand32//c66//DSP_urand32_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_URAND32_66_BE_ELF_SRCDSP_URAND32=../../ >> src/DSP_urand32//c66//DSP_urand32_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_urand32_66_BE_ELF"
src/DSP_urand32//c66//DSP_urand32_66_BE_ELF/Release/DSP_urand32_66_BE_ELF.out: src/DSP_urand32//c66/lnk.cmd
src/DSP_urand32//c66//DSP_urand32_66_BE_ELF/Release/DSP_urand32_66_BE_ELF.out: src/DSP_urand32/DSP_urand32.h
src/DSP_urand32//c66//DSP_urand32_66_BE_ELF/Release/DSP_urand32_66_BE_ELF.out: src/DSP_urand32//c66/DSPF_sp_math_i.h
src/DSP_urand32//c66//DSP_urand32_66_BE_ELF/Release/DSP_urand32_66_BE_ELF.out: src/DSP_urand32//c66/DSP_urand32.h
src/DSP_urand32//c66//DSP_urand32_66_BE_ELF/Release/DSP_urand32_66_BE_ELF.out: src/DSP_urand32//c66/DSP_urand32_cn.h
src/DSP_urand32//c66//DSP_urand32_66_BE_ELF/Release/DSP_urand32_66_BE_ELF.out: src/DSP_urand32//c66/DSP_urand32_d.c
src/DSP_urand32//c66//DSP_urand32_66_BE_ELF/Release/DSP_urand32_66_BE_ELF.out: src/DSP_urand32//c66//DSP_urand32_66_BE_ELF/.project
	-@ echo Importing Project DSP_urand32_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_urand32_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_urand32_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_urand32/c66/DSP_urand32_66_BE_ELF"
	-@ echo Building Project DSP_urand32_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_urand32_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_urand32_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_urand32_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_urand32_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_urand32//c66//DSP_urand32_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_vecsumsq_66_LE_COFF

#############################################################

.executables: src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_COFF/Release/DSP_vecsumsq_66_LE_COFF.out

.projects: src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_COFF

src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_COFF: src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_COFF/.project

src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_vecsumsq_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_vecsumsq_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_VECSUMSQ_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_VECSUMSQ_66_LE_COFF_SRCDSP_VECSUMSQC66/DSP_vecsumsq_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_VECSUMSQ_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_VECSUMSQ_66_LE_COFF_SRCDSP_VECSUMSQ "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_vecsumsq" \
 -ccs.definePathVariable EXT_ROOT__DSP_VECSUMSQ_66_LE_COFF_SRCDSP_VECSUMSQC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_vecsumsq/c66" \

	echo EXT_ROOT__DSP_VECSUMSQ_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_VECSUMSQ_66_LE_COFF_SRCDSP_VECSUMSQ=../../ >> src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_VECSUMSQ_66_LE_COFF_SRCDSP_VECSUMSQC66=.././ >> src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_vecsumsq_66_LE_COFF"
src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_COFF/Release/DSP_vecsumsq_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_COFF/Release/DSP_vecsumsq_66_LE_COFF.out: src/DSP_vecsumsq/DSP_vecsumsq.h
src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_COFF/Release/DSP_vecsumsq_66_LE_COFF.out: src/DSP_vecsumsq//c66/DSP_vecsumsq.h
src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_COFF/Release/DSP_vecsumsq_66_LE_COFF.out: src/DSP_vecsumsq//c66/DSP_vecsumsq_cn.h
src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_COFF/Release/DSP_vecsumsq_66_LE_COFF.out: src/DSP_vecsumsq//c66/DSP_vecsumsq_d.c
src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_COFF/Release/DSP_vecsumsq_66_LE_COFF.out: src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_COFF/.project
	-@ echo Importing Project DSP_vecsumsq_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_vecsumsq_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_vecsumsq_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_vecsumsq/c66/DSP_vecsumsq_66_LE_COFF"
	-@ echo Building Project DSP_vecsumsq_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_vecsumsq_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_vecsumsq_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_vecsumsq_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_vecsumsq_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_vecsumsq_66_BE_COFF

#############################################################

.executables: src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_COFF/Release/DSP_vecsumsq_66_BE_COFF.out

.projects: src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_COFF

src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_COFF: src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_COFF/.project

src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_vecsumsq_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_vecsumsq_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_VECSUMSQ_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_VECSUMSQ_66_BE_COFF_SRCDSP_VECSUMSQC66/DSP_vecsumsq_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_VECSUMSQ_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_VECSUMSQ_66_BE_COFF_SRCDSP_VECSUMSQ "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_vecsumsq" \
 -ccs.definePathVariable EXT_ROOT__DSP_VECSUMSQ_66_BE_COFF_SRCDSP_VECSUMSQC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_vecsumsq/c66" \

	echo EXT_ROOT__DSP_VECSUMSQ_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_VECSUMSQ_66_BE_COFF_SRCDSP_VECSUMSQ=../../ >> src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_VECSUMSQ_66_BE_COFF_SRCDSP_VECSUMSQC66=.././ >> src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_vecsumsq_66_BE_COFF"
src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_COFF/Release/DSP_vecsumsq_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_COFF/Release/DSP_vecsumsq_66_BE_COFF.out: src/DSP_vecsumsq/DSP_vecsumsq.h
src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_COFF/Release/DSP_vecsumsq_66_BE_COFF.out: src/DSP_vecsumsq//c66/DSP_vecsumsq.h
src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_COFF/Release/DSP_vecsumsq_66_BE_COFF.out: src/DSP_vecsumsq//c66/DSP_vecsumsq_cn.h
src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_COFF/Release/DSP_vecsumsq_66_BE_COFF.out: src/DSP_vecsumsq//c66/DSP_vecsumsq_d.c
src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_COFF/Release/DSP_vecsumsq_66_BE_COFF.out: src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_COFF/.project
	-@ echo Importing Project DSP_vecsumsq_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_vecsumsq_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_vecsumsq_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_vecsumsq/c66/DSP_vecsumsq_66_BE_COFF"
	-@ echo Building Project DSP_vecsumsq_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_vecsumsq_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_vecsumsq_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_vecsumsq_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_vecsumsq_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_vecsumsq_66_LE_ELF

#############################################################

.executables: src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_ELF/Release/DSP_vecsumsq_66_LE_ELF.out

.projects: src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_ELF

src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_ELF: src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_ELF/.project

src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_vecsumsq_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_vecsumsq_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_VECSUMSQ_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_VECSUMSQ_66_LE_ELF_SRCDSP_VECSUMSQC66/DSP_vecsumsq_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_VECSUMSQ_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_VECSUMSQ_66_LE_ELF_SRCDSP_VECSUMSQ "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_vecsumsq" \
 -ccs.definePathVariable EXT_ROOT__DSP_VECSUMSQ_66_LE_ELF_SRCDSP_VECSUMSQC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_vecsumsq/c66" \

	echo EXT_ROOT__DSP_VECSUMSQ_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_VECSUMSQ_66_LE_ELF_SRCDSP_VECSUMSQ=../../ >> src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_VECSUMSQ_66_LE_ELF_SRCDSP_VECSUMSQC66=.././ >> src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_vecsumsq_66_LE_ELF"
src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_ELF/Release/DSP_vecsumsq_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_ELF/Release/DSP_vecsumsq_66_LE_ELF.out: src/DSP_vecsumsq/DSP_vecsumsq.h
src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_ELF/Release/DSP_vecsumsq_66_LE_ELF.out: src/DSP_vecsumsq//c66/DSP_vecsumsq.h
src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_ELF/Release/DSP_vecsumsq_66_LE_ELF.out: src/DSP_vecsumsq//c66/DSP_vecsumsq_cn.h
src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_ELF/Release/DSP_vecsumsq_66_LE_ELF.out: src/DSP_vecsumsq//c66/DSP_vecsumsq_d.c
src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_ELF/Release/DSP_vecsumsq_66_LE_ELF.out: src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_ELF/.project
	-@ echo Importing Project DSP_vecsumsq_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_vecsumsq_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_vecsumsq_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_vecsumsq/c66/DSP_vecsumsq_66_LE_ELF"
	-@ echo Building Project DSP_vecsumsq_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_vecsumsq_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_vecsumsq_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_vecsumsq_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_vecsumsq_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_vecsumsq//c66//DSP_vecsumsq_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_vecsumsq_66_BE_ELF

#############################################################

.executables: src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_ELF/Release/DSP_vecsumsq_66_BE_ELF.out

.projects: src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_ELF

src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_ELF: src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_ELF/.project

src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_vecsumsq_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_vecsumsq_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_VECSUMSQ_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_VECSUMSQ_66_BE_ELF_SRCDSP_VECSUMSQC66/DSP_vecsumsq_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_VECSUMSQ_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_VECSUMSQ_66_BE_ELF_SRCDSP_VECSUMSQ "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_vecsumsq" \
 -ccs.definePathVariable EXT_ROOT__DSP_VECSUMSQ_66_BE_ELF_SRCDSP_VECSUMSQC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_vecsumsq/c66" \

	echo EXT_ROOT__DSP_VECSUMSQ_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_VECSUMSQ_66_BE_ELF_SRCDSP_VECSUMSQ=../../ >> src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_VECSUMSQ_66_BE_ELF_SRCDSP_VECSUMSQC66=.././ >> src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_vecsumsq_66_BE_ELF"
src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_ELF/Release/DSP_vecsumsq_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_ELF/Release/DSP_vecsumsq_66_BE_ELF.out: src/DSP_vecsumsq/DSP_vecsumsq.h
src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_ELF/Release/DSP_vecsumsq_66_BE_ELF.out: src/DSP_vecsumsq//c66/DSP_vecsumsq.h
src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_ELF/Release/DSP_vecsumsq_66_BE_ELF.out: src/DSP_vecsumsq//c66/DSP_vecsumsq_cn.h
src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_ELF/Release/DSP_vecsumsq_66_BE_ELF.out: src/DSP_vecsumsq//c66/DSP_vecsumsq_d.c
src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_ELF/Release/DSP_vecsumsq_66_BE_ELF.out: src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_ELF/.project
	-@ echo Importing Project DSP_vecsumsq_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_vecsumsq_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_vecsumsq_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_vecsumsq/c66/DSP_vecsumsq_66_BE_ELF"
	-@ echo Building Project DSP_vecsumsq_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_vecsumsq_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_vecsumsq_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_vecsumsq_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_vecsumsq_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_vecsumsq//c66//DSP_vecsumsq_66_BE_ELF"


#############################################################

# Rule to Build Project DSP_w_vec_66_LE_COFF

#############################################################

.executables: src/DSP_w_vec//c66//DSP_w_vec_66_LE_COFF/Release/DSP_w_vec_66_LE_COFF.out

.projects: src/DSP_w_vec//c66//DSP_w_vec_66_LE_COFF

src/DSP_w_vec//c66//DSP_w_vec_66_LE_COFF: src/DSP_w_vec//c66//DSP_w_vec_66_LE_COFF/.project

src/DSP_w_vec//c66//DSP_w_vec_66_LE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_w_vec_66_LE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_w_vec_66_LE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_W_VEC_66_LE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_W_VEC_66_LE_COFF_SRCDSP_W_VECC66/DSP_w_vec_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_w_vec//c66//DSP_w_vec_66_LE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_W_VEC_66_LE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_W_VEC_66_LE_COFF_SRCDSP_W_VEC "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_w_vec" \
 -ccs.definePathVariable EXT_ROOT__DSP_W_VEC_66_LE_COFF_SRCDSP_W_VECC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_w_vec/c66" \

	echo EXT_ROOT__DSP_W_VEC_66_LE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_w_vec//c66//DSP_w_vec_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_W_VEC_66_LE_COFF_SRCDSP_W_VEC=../../ >> src/DSP_w_vec//c66//DSP_w_vec_66_LE_COFF/macros.ini
	echo EXT_ROOT__DSP_W_VEC_66_LE_COFF_SRCDSP_W_VECC66=.././ >> src/DSP_w_vec//c66//DSP_w_vec_66_LE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_w_vec_66_LE_COFF"
src/DSP_w_vec//c66//DSP_w_vec_66_LE_COFF/Release/DSP_w_vec_66_LE_COFF.out: src/common//c66/lnk.cmd
src/DSP_w_vec//c66//DSP_w_vec_66_LE_COFF/Release/DSP_w_vec_66_LE_COFF.out: src/DSP_w_vec/DSP_w_vec.h
src/DSP_w_vec//c66//DSP_w_vec_66_LE_COFF/Release/DSP_w_vec_66_LE_COFF.out: src/DSP_w_vec//c66/DSP_w_vec.h
src/DSP_w_vec//c66//DSP_w_vec_66_LE_COFF/Release/DSP_w_vec_66_LE_COFF.out: src/DSP_w_vec//c66/DSP_w_vec_cn.h
src/DSP_w_vec//c66//DSP_w_vec_66_LE_COFF/Release/DSP_w_vec_66_LE_COFF.out: src/DSP_w_vec//c66/DSP_w_vec_d.c
src/DSP_w_vec//c66//DSP_w_vec_66_LE_COFF/Release/DSP_w_vec_66_LE_COFF.out: src/DSP_w_vec//c66//DSP_w_vec_66_LE_COFF/.project
	-@ echo Importing Project DSP_w_vec_66_LE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_w_vec_66_LE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_w_vec_66_LE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_w_vec/c66/DSP_w_vec_66_LE_COFF"
	-@ echo Building Project DSP_w_vec_66_LE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_w_vec_66_LE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_w_vec_66_LE_COFF -ccs.configuration Release
	-@ echo Project DSP_w_vec_66_LE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_w_vec_66_LE_COFF"

clean::
	-$(RMDIR) "src/DSP_w_vec//c66//DSP_w_vec_66_LE_COFF"


#############################################################

# Rule to Build Project DSP_w_vec_66_BE_COFF

#############################################################

.executables: src/DSP_w_vec//c66//DSP_w_vec_66_BE_COFF/Release/DSP_w_vec_66_BE_COFF.out

.projects: src/DSP_w_vec//c66//DSP_w_vec_66_BE_COFF

src/DSP_w_vec//c66//DSP_w_vec_66_BE_COFF: src/DSP_w_vec//c66//DSP_w_vec_66_BE_COFF/.project

src/DSP_w_vec//c66//DSP_w_vec_66_BE_COFF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_w_vec_66_BE_COFF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_w_vec_66_BE_COFF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_W_VEC_66_BE_COFF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_W_VEC_66_BE_COFF_SRCDSP_W_VECC66/DSP_w_vec_d.c\
 -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k -mw -Dti_targets_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_w_vec//c66//DSP_w_vec_66_BE_COFF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat coff\
 -ccs.definePathVariable EXT_ROOT__DSP_W_VEC_66_BE_COFF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_W_VEC_66_BE_COFF_SRCDSP_W_VEC "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_w_vec" \
 -ccs.definePathVariable EXT_ROOT__DSP_W_VEC_66_BE_COFF_SRCDSP_W_VECC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_w_vec/c66" \

	echo EXT_ROOT__DSP_W_VEC_66_BE_COFF_SRCCOMMONC66=../../../common/c66 >> src/DSP_w_vec//c66//DSP_w_vec_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_W_VEC_66_BE_COFF_SRCDSP_W_VEC=../../ >> src/DSP_w_vec//c66//DSP_w_vec_66_BE_COFF/macros.ini
	echo EXT_ROOT__DSP_W_VEC_66_BE_COFF_SRCDSP_W_VECC66=.././ >> src/DSP_w_vec//c66//DSP_w_vec_66_BE_COFF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_w_vec_66_BE_COFF"
src/DSP_w_vec//c66//DSP_w_vec_66_BE_COFF/Release/DSP_w_vec_66_BE_COFF.out: src/common//c66/lnk.cmd
src/DSP_w_vec//c66//DSP_w_vec_66_BE_COFF/Release/DSP_w_vec_66_BE_COFF.out: src/DSP_w_vec/DSP_w_vec.h
src/DSP_w_vec//c66//DSP_w_vec_66_BE_COFF/Release/DSP_w_vec_66_BE_COFF.out: src/DSP_w_vec//c66/DSP_w_vec.h
src/DSP_w_vec//c66//DSP_w_vec_66_BE_COFF/Release/DSP_w_vec_66_BE_COFF.out: src/DSP_w_vec//c66/DSP_w_vec_cn.h
src/DSP_w_vec//c66//DSP_w_vec_66_BE_COFF/Release/DSP_w_vec_66_BE_COFF.out: src/DSP_w_vec//c66/DSP_w_vec_d.c
src/DSP_w_vec//c66//DSP_w_vec_66_BE_COFF/Release/DSP_w_vec_66_BE_COFF.out: src/DSP_w_vec//c66//DSP_w_vec_66_BE_COFF/.project
	-@ echo Importing Project DSP_w_vec_66_BE_COFF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_w_vec_66_BE_COFF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_w_vec_66_BE_COFF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_w_vec/c66/DSP_w_vec_66_BE_COFF"
	-@ echo Building Project DSP_w_vec_66_BE_COFF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_w_vec_66_BE_COFF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_w_vec_66_BE_COFF -ccs.configuration Release
	-@ echo Project DSP_w_vec_66_BE_COFF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_w_vec_66_BE_COFF"

clean::
	-$(RMDIR) "src/DSP_w_vec//c66//DSP_w_vec_66_BE_COFF"


#############################################################

# Rule to Build Project DSP_w_vec_66_LE_ELF

#############################################################

.executables: src/DSP_w_vec//c66//DSP_w_vec_66_LE_ELF/Release/DSP_w_vec_66_LE_ELF.out

.projects: src/DSP_w_vec//c66//DSP_w_vec_66_LE_ELF

src/DSP_w_vec//c66//DSP_w_vec_66_LE_ELF: src/DSP_w_vec//c66//DSP_w_vec_66_LE_ELF/.project

src/DSP_w_vec//c66//DSP_w_vec_66_LE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_w_vec_66_LE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_w_vec_66_LE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness little\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_W_VEC_66_LE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_W_VEC_66_LE_ELF_SRCDSP_W_VECC66/DSP_w_vec_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66 --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_w_vec//c66//DSP_w_vec_66_LE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_W_VEC_66_LE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_W_VEC_66_LE_ELF_SRCDSP_W_VEC "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_w_vec" \
 -ccs.definePathVariable EXT_ROOT__DSP_W_VEC_66_LE_ELF_SRCDSP_W_VECC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_w_vec/c66" \

	echo EXT_ROOT__DSP_W_VEC_66_LE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_w_vec//c66//DSP_w_vec_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_W_VEC_66_LE_ELF_SRCDSP_W_VEC=../../ >> src/DSP_w_vec//c66//DSP_w_vec_66_LE_ELF/macros.ini
	echo EXT_ROOT__DSP_W_VEC_66_LE_ELF_SRCDSP_W_VECC66=.././ >> src/DSP_w_vec//c66//DSP_w_vec_66_LE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_w_vec_66_LE_ELF"
src/DSP_w_vec//c66//DSP_w_vec_66_LE_ELF/Release/DSP_w_vec_66_LE_ELF.out: src/common//c66/lnk.cmd
src/DSP_w_vec//c66//DSP_w_vec_66_LE_ELF/Release/DSP_w_vec_66_LE_ELF.out: src/DSP_w_vec/DSP_w_vec.h
src/DSP_w_vec//c66//DSP_w_vec_66_LE_ELF/Release/DSP_w_vec_66_LE_ELF.out: src/DSP_w_vec//c66/DSP_w_vec.h
src/DSP_w_vec//c66//DSP_w_vec_66_LE_ELF/Release/DSP_w_vec_66_LE_ELF.out: src/DSP_w_vec//c66/DSP_w_vec_cn.h
src/DSP_w_vec//c66//DSP_w_vec_66_LE_ELF/Release/DSP_w_vec_66_LE_ELF.out: src/DSP_w_vec//c66/DSP_w_vec_d.c
src/DSP_w_vec//c66//DSP_w_vec_66_LE_ELF/Release/DSP_w_vec_66_LE_ELF.out: src/DSP_w_vec//c66//DSP_w_vec_66_LE_ELF/.project
	-@ echo Importing Project DSP_w_vec_66_LE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_w_vec_66_LE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_w_vec_66_LE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_w_vec/c66/DSP_w_vec_66_LE_ELF"
	-@ echo Building Project DSP_w_vec_66_LE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_w_vec_66_LE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_w_vec_66_LE_ELF -ccs.configuration Release
	-@ echo Project DSP_w_vec_66_LE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_w_vec_66_LE_ELF"

clean::
	-$(RMDIR) "src/DSP_w_vec//c66//DSP_w_vec_66_LE_ELF"


#############################################################

# Rule to Build Project DSP_w_vec_66_BE_ELF

#############################################################

.executables: src/DSP_w_vec//c66//DSP_w_vec_66_BE_ELF/Release/DSP_w_vec_66_BE_ELF.out

.projects: src/DSP_w_vec//c66//DSP_w_vec_66_BE_ELF

src/DSP_w_vec//c66//DSP_w_vec_66_BE_ELF: src/DSP_w_vec//c66//DSP_w_vec_66_BE_ELF/.project

src/DSP_w_vec//c66//DSP_w_vec_66_BE_ELF/.project: .xdcenv.mak Package.bld Package.mak
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_w_vec_66_BE_ELF" -application com.ti.ccstudio.apps.projectCreate \
 -ccs.name DSP_w_vec_66_BE_ELF\
 -ccs.device com.ti.ccstudio.deviceModel.C6000.CustomC6000Device\
 -ccs.endianness big\
 -ccs.kind com.ti.ccstudio.managedbuild.core.ProjectKind_Executable \
 -ccs.outputType executable -ccs.linkFile EXT_ROOT__DSP_W_VEC_66_BE_ELF_SRCCOMMONC66/lnk.cmd\
 -ccs.linkFile EXT_ROOT__DSP_W_VEC_66_BE_ELF_SRCDSP_W_VECC66/DSP_w_vec_d.c\
 -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -g  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Debug -ccs.setCompilerOptions "-mv6600 -k  -mw --strip_coff_underscore -Dti_targets_elf_C66_big_endian --mem_model:data=far -o3 --symdebug:none  -i../../../../../../../ -i../../../../common/c66 -i../../../ -i../../" @configurations Release -ccs.location src/DSP_w_vec//c66//DSP_w_vec_66_BE_ELF\
 -ccs.overwrite full \
 -ccs.rts libc.a \
 -ccs.cgtVersion $(CCSCGTVER)\
 -ccs.outputFormat elf\
 -ccs.definePathVariable EXT_ROOT__DSP_W_VEC_66_BE_ELF_SRCCOMMONC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/common/c66" \
 -ccs.definePathVariable EXT_ROOT__DSP_W_VEC_66_BE_ELF_SRCDSP_W_VEC "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_w_vec" \
 -ccs.definePathVariable EXT_ROOT__DSP_W_VEC_66_BE_ELF_SRCDSP_W_VECC66 "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_w_vec/c66" \

	echo EXT_ROOT__DSP_W_VEC_66_BE_ELF_SRCCOMMONC66=../../../common/c66 >> src/DSP_w_vec//c66//DSP_w_vec_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_W_VEC_66_BE_ELF_SRCDSP_W_VEC=../../ >> src/DSP_w_vec//c66//DSP_w_vec_66_BE_ELF/macros.ini
	echo EXT_ROOT__DSP_W_VEC_66_BE_ELF_SRCDSP_W_VECC66=.././ >> src/DSP_w_vec//c66//DSP_w_vec_66_BE_ELF/macros.ini
	-$(RMDIR) "C:/Temp/workspace/DSP_w_vec_66_BE_ELF"
src/DSP_w_vec//c66//DSP_w_vec_66_BE_ELF/Release/DSP_w_vec_66_BE_ELF.out: src/common//c66/lnk.cmd
src/DSP_w_vec//c66//DSP_w_vec_66_BE_ELF/Release/DSP_w_vec_66_BE_ELF.out: src/DSP_w_vec/DSP_w_vec.h
src/DSP_w_vec//c66//DSP_w_vec_66_BE_ELF/Release/DSP_w_vec_66_BE_ELF.out: src/DSP_w_vec//c66/DSP_w_vec.h
src/DSP_w_vec//c66//DSP_w_vec_66_BE_ELF/Release/DSP_w_vec_66_BE_ELF.out: src/DSP_w_vec//c66/DSP_w_vec_cn.h
src/DSP_w_vec//c66//DSP_w_vec_66_BE_ELF/Release/DSP_w_vec_66_BE_ELF.out: src/DSP_w_vec//c66/DSP_w_vec_d.c
src/DSP_w_vec//c66//DSP_w_vec_66_BE_ELF/Release/DSP_w_vec_66_BE_ELF.out: src/DSP_w_vec//c66//DSP_w_vec_66_BE_ELF/.project
	-@ echo Importing Project DSP_w_vec_66_BE_ELF into workspace ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_w_vec_66_BE_ELF" -application com.ti.ccstudio.apps.projectImport -ccs.projects DSP_w_vec_66_BE_ELF -ccs.location "$(DSPLIB_INSTALL_DIR)/ti/dsplib/src/DSP_w_vec/c66/DSP_w_vec_66_BE_ELF"
	-@ echo Building Project DSP_w_vec_66_BE_ELF ...
	$(ECLIPSE_CMD)  -data "C:/Temp/workspace/DSP_w_vec_66_BE_ELF" -application com.ti.ccstudio.apps.projectBuild -ccs.projects DSP_w_vec_66_BE_ELF -ccs.configuration Release
	-@ echo Project DSP_w_vec_66_BE_ELF Completed ...
	-@ echo ########################################
	-$(RMDIR) "C:/Temp/workspace/DSP_w_vec_66_BE_ELF"

clean::
	-$(RMDIR) "src/DSP_w_vec//c66//DSP_w_vec_66_BE_ELF"

